!******************************************************************************!
!                                                                              !
!    class_couplings.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_couplings.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_couplings
  use constants_mdl
  use class_particles
  implicit none
  save
  integer, parameter :: n = 511

  logical :: couplings_init = .false.
  logical :: ctcouplings_init = .false.
  complex(dp) :: coupl(3167)
  integer, parameter :: nGC_21921 = 1
  integer, parameter :: nGC_21922 = 2
  integer, parameter :: nGC_21925 = 3
  integer, parameter :: nGC_21924 = 4
  integer, parameter :: nGC_21927 = 5
  integer, parameter :: nGC_21926 = 6
  integer, parameter :: nGC_20917 = 7
  integer, parameter :: nGC_21760 = 8
  integer, parameter :: nGC_21815 = 9
  integer, parameter :: nGC_21814 = 10
  integer, parameter :: nGC_21817 = 11
  integer, parameter :: nGC_21816 = 12
  integer, parameter :: nGC_21813 = 13
  integer, parameter :: nGC_21928 = 14
  integer, parameter :: nGC_21923 = 15
  integer, parameter :: nGC_21755 = 16
  integer, parameter :: nGC_20829 = 17
  integer, parameter :: nGC_74 = 18
  integer, parameter :: nGC_302 = 19
  integer, parameter :: nGC_303 = 20
  integer, parameter :: nGC_20807 = 21
  integer, parameter :: nGC_11 = 22
  integer, parameter :: nGC_20806 = 23
  integer, parameter :: nGC_307 = 24
  integer, parameter :: nGC_21491 = 25
  integer, parameter :: nGC_21490 = 26
  integer, parameter :: nGC_21493 = 27
  integer, parameter :: nGC_21492 = 28
  integer, parameter :: nGC_21495 = 29
  integer, parameter :: nGC_21497 = 30
  integer, parameter :: nGC_21542 = 31
  integer, parameter :: nGC_21498 = 32
  integer, parameter :: nGC_20774 = 33
  integer, parameter :: nGC_21541 = 34
  integer, parameter :: nGC_21540 = 35
  integer, parameter :: nGC_308 = 36
  integer, parameter :: nGC_309 = 37
  integer, parameter :: nGC_20765 = 38
  integer, parameter :: nGC_21544 = 39
  integer, parameter :: nGC_232 = 40
  integer, parameter :: nGC_233 = 41
  integer, parameter :: nGC_230 = 42
  integer, parameter :: nGC_231 = 43
  integer, parameter :: nGC_236 = 44
  integer, parameter :: nGC_237 = 45
  integer, parameter :: nGC_234 = 46
  integer, parameter :: nGC_235 = 47
  integer, parameter :: nGC_238 = 48
  integer, parameter :: nGC_239 = 49
  integer, parameter :: nGC_21002 = 50
  integer, parameter :: nGC_21003 = 51
  integer, parameter :: nGC_21000 = 52
  integer, parameter :: nGC_21001 = 53
  integer, parameter :: nGC_21006 = 54
  integer, parameter :: nGC_21007 = 55
  integer, parameter :: nGC_21004 = 56
  integer, parameter :: nGC_21005 = 57
  integer, parameter :: nGC_20849 = 58
  integer, parameter :: nGC_20848 = 59
  integer, parameter :: nGC_589 = 60
  integer, parameter :: nGC_20841 = 61
  integer, parameter :: nGC_20840 = 62
  integer, parameter :: nGC_587 = 63
  integer, parameter :: nGC_581 = 64
  integer, parameter :: nGC_20847 = 65
  integer, parameter :: nGC_20846 = 66
  integer, parameter :: nGC_348 = 67
  integer, parameter :: nGC_349 = 68
  integer, parameter :: nGC_346 = 69
  integer, parameter :: nGC_347 = 70
  integer, parameter :: nGC_344 = 71
  integer, parameter :: nGC_345 = 72
  integer, parameter :: nGC_342 = 73
  integer, parameter :: nGC_343 = 74
  integer, parameter :: nGC_340 = 75
  integer, parameter :: nGC_341 = 76
  integer, parameter :: nGC_567 = 77
  integer, parameter :: nGC_565 = 78
  integer, parameter :: nGC_563 = 79
  integer, parameter :: nGC_561 = 80
  integer, parameter :: nGC_32432 = 81
  integer, parameter :: nGC_21316 = 82
  integer, parameter :: nGC_21317 = 83
  integer, parameter :: nGC_21314 = 84
  integer, parameter :: nGC_21315 = 85
  integer, parameter :: nGC_21312 = 86
  integer, parameter :: nGC_21313 = 87
  integer, parameter :: nGC_21310 = 88
  integer, parameter :: nGC_21311 = 89
  integer, parameter :: nGC_20983 = 90
  integer, parameter :: nGC_21318 = 91
  integer, parameter :: nGC_21319 = 92
  integer, parameter :: nGC_168 = 93
  integer, parameter :: nGC_169 = 94
  integer, parameter :: nGC_162 = 95
  integer, parameter :: nGC_163 = 96
  integer, parameter :: nGC_160 = 97
  integer, parameter :: nGC_161 = 98
  integer, parameter :: nGC_166 = 99
  integer, parameter :: nGC_167 = 100
  integer, parameter :: nGC_164 = 101
  integer, parameter :: nGC_165 = 102
  integer, parameter :: nGC_21055 = 103
  integer, parameter :: nGC_21818 = 104
  integer, parameter :: nGC_MHA = 105
  integer, parameter :: nGC_MHC = 106
  integer, parameter :: nGC_MHL = 107
  integer, parameter :: nGC_MHH = 108
  integer, parameter :: nGC_21812 = 109
  integer, parameter :: nGC_21149 = 110
  integer, parameter :: nGC_21792 = 111
  integer, parameter :: nGC_21793 = 112
  integer, parameter :: nGC_21790 = 113
  integer, parameter :: nGC_21791 = 114
  integer, parameter :: nGC_21796 = 115
  integer, parameter :: nGC_21797 = 116
  integer, parameter :: nGC_21794 = 117
  integer, parameter :: nGC_21795 = 118
  integer, parameter :: nGC_21798 = 119
  integer, parameter :: nGC_21799 = 120
  integer, parameter :: nGC_21550 = 121
  integer, parameter :: nGC_21551 = 122
  integer, parameter :: nGC_21552 = 123
  integer, parameter :: nGC_21553 = 124
  integer, parameter :: nGC_21554 = 125
  integer, parameter :: nGC_35162 = 126
  integer, parameter :: nGC_21178 = 127
  integer, parameter :: nGC_21179 = 128
  integer, parameter :: nGC_221 = 129
  integer, parameter :: nGC_220 = 130
  integer, parameter :: nGC_223 = 131
  integer, parameter :: nGC_222 = 132
  integer, parameter :: nGC_225 = 133
  integer, parameter :: nGC_224 = 134
  integer, parameter :: nGC_226 = 135
  integer, parameter :: nGC_229 = 136
  integer, parameter :: nGC_228 = 137
  integer, parameter :: nGC_21015 = 138
  integer, parameter :: nGC_21014 = 139
  integer, parameter :: nGC_21017 = 140
  integer, parameter :: nGC_21016 = 141
  integer, parameter :: nGC_21011 = 142
  integer, parameter :: nGC_21010 = 143
  integer, parameter :: nGC_21013 = 144
  integer, parameter :: nGC_21012 = 145
  integer, parameter :: nGC_20838 = 146
  integer, parameter :: nGC_20839 = 147
  integer, parameter :: nGC_20782 = 148
  integer, parameter :: nGC_20783 = 149
  integer, parameter :: nGC_20836 = 150
  integer, parameter :: nGC_20830 = 151
  integer, parameter :: nGC_20784 = 152
  integer, parameter :: nGC_20785 = 153
  integer, parameter :: nGC_359 = 154
  integer, parameter :: nGC_358 = 155
  integer, parameter :: nGC_355 = 156
  integer, parameter :: nGC_354 = 157
  integer, parameter :: nGC_357 = 158
  integer, parameter :: nGC_356 = 159
  integer, parameter :: nGC_351 = 160
  integer, parameter :: nGC_350 = 161
  integer, parameter :: nGC_353 = 162
  integer, parameter :: nGC_352 = 163
  integer, parameter :: nGC_575 = 164
  integer, parameter :: nGC_571 = 165
  integer, parameter :: nGC_573 = 166
  integer, parameter :: nGC_579 = 167
  integer, parameter :: nGC_597 = 168
  integer, parameter :: nGC_179 = 169
  integer, parameter :: nGC_20941 = 170
  integer, parameter :: nGC_171 = 171
  integer, parameter :: nGC_170 = 172
  integer, parameter :: nGC_173 = 173
  integer, parameter :: nGC_172 = 174
  integer, parameter :: nGC_175 = 175
  integer, parameter :: nGC_174 = 176
  integer, parameter :: nGC_177 = 177
  integer, parameter :: nGC_176 = 178
  integer, parameter :: nGC_20832 = 179
  integer, parameter :: nGC_22719 = 180
  integer, parameter :: nGC_21942 = 181
  integer, parameter :: nGC_21941 = 182
  integer, parameter :: nGC_21940 = 183
  integer, parameter :: nGC_773 = 184
  integer, parameter :: nGC_22711 = 185
  integer, parameter :: nGC_TS_GC_236_Hh = 186
  integer, parameter :: nGC_TS_GC_236_Hl = 187
  integer, parameter :: nGC_21763 = 188
  integer, parameter :: nGC_21762 = 189
  integer, parameter :: nGC_21761 = 190
  integer, parameter :: nGC_21767 = 191
  integer, parameter :: nGC_21766 = 192
  integer, parameter :: nGC_21765 = 193
  integer, parameter :: nGC_21764 = 194
  integer, parameter :: nGC_99 = 195
  integer, parameter :: nGC_98 = 196
  integer, parameter :: nGC_97 = 197
  integer, parameter :: nGC_96 = 198
  integer, parameter :: nGC_95 = 199
  integer, parameter :: nGC_94 = 200
  integer, parameter :: nGC_93 = 201
  integer, parameter :: nGC_92 = 202
  integer, parameter :: nGC_91 = 203
  integer, parameter :: nGC_90 = 204
  integer, parameter :: nGC_21785 = 205
  integer, parameter :: nGC_21784 = 206
  integer, parameter :: nGC_21787 = 207
  integer, parameter :: nGC_21786 = 208
  integer, parameter :: nGC_21789 = 209
  integer, parameter :: nGC_21788 = 210
  integer, parameter :: nGC_75 = 211
  integer, parameter :: nGC_77 = 212
  integer, parameter :: nGC_76 = 213
  integer, parameter :: nGC_71 = 214
  integer, parameter :: nGC_70 = 215
  integer, parameter :: nGC_73 = 216
  integer, parameter :: nGC_72 = 217
  integer, parameter :: nGC_79 = 218
  integer, parameter :: nGC_78 = 219
  integer, parameter :: nGC_TS_GC_345_Hl = 220
  integer, parameter :: nGC_21165 = 221
  integer, parameter :: nGC_21164 = 222
  integer, parameter :: nGC_21166 = 223
  integer, parameter :: nGC_21769 = 224
  integer, parameter :: nGC_21768 = 225
  integer, parameter :: nGC_218 = 226
  integer, parameter :: nGC_219 = 227
  integer, parameter :: nGC_214 = 228
  integer, parameter :: nGC_215 = 229
  integer, parameter :: nGC_216 = 230
  integer, parameter :: nGC_217 = 231
  integer, parameter :: nGC_210 = 232
  integer, parameter :: nGC_211 = 233
  integer, parameter :: nGC_212 = 234
  integer, parameter :: nGC_213 = 235
  integer, parameter :: nGC_333 = 236
  integer, parameter :: nGC_20799 = 237
  integer, parameter :: nGC_20798 = 238
  integer, parameter :: nGC_20828 = 239
  integer, parameter :: nGC_20794 = 240
  integer, parameter :: nGC_20825 = 241
  integer, parameter :: nGC_20824 = 242
  integer, parameter :: nGC_20823 = 243
  integer, parameter :: nGC_368 = 244
  integer, parameter :: nGC_369 = 245
  integer, parameter :: nGC_20826 = 246
  integer, parameter :: nGC_360 = 247
  integer, parameter :: nGC_361 = 248
  integer, parameter :: nGC_362 = 249
  integer, parameter :: nGC_363 = 250
  integer, parameter :: nGC_364 = 251
  integer, parameter :: nGC_365 = 252
  integer, parameter :: nGC_366 = 253
  integer, parameter :: nGC_367 = 254
  integer, parameter :: nGC_20796 = 255
  integer, parameter :: nGC_545 = 256
  integer, parameter :: nGC_547 = 257
  integer, parameter :: nGC_32415 = 258
  integer, parameter :: nGC_20822 = 259
  integer, parameter :: nGC_21378 = 260
  integer, parameter :: nGC_20821 = 261
  integer, parameter :: nGC_20820 = 262
  integer, parameter :: nGC_144 = 263
  integer, parameter :: nGC_145 = 264
  integer, parameter :: nGC_146 = 265
  integer, parameter :: nGC_147 = 266
  integer, parameter :: nGC_141 = 267
  integer, parameter :: nGC_142 = 268
  integer, parameter :: nGC_143 = 269
  integer, parameter :: nGC_148 = 270
  integer, parameter :: nGC_149 = 271
  integer, parameter :: nGC_20957 = 272
  integer, parameter :: nGC_20956 = 273
  integer, parameter :: nGC_20959 = 274
  integer, parameter :: nGC_20958 = 275
  integer, parameter :: nGC_269 = 276
  integer, parameter :: nGC_20844 = 277
  integer, parameter :: nGC_21204 = 278
  integer, parameter :: nGC_21205 = 279
  integer, parameter :: nGC_21206 = 280
  integer, parameter :: nGC_21207 = 281
  integer, parameter :: nGC_21208 = 282
  integer, parameter :: nGC_21209 = 283
  integer, parameter :: nGC_781 = 284
  integer, parameter :: nGC_MI = 285
  integer, parameter :: nGC_MM = 286
  integer, parameter :: nGC_1381 = 287
  integer, parameter :: nGC_MC = 288
  integer, parameter :: nGC_MB = 289
  integer, parameter :: nGC_MZ = 290
  integer, parameter :: nGC_543 = 291
  integer, parameter :: nGC_334 = 292
  integer, parameter :: nGC_MW = 293
  integer, parameter :: nGC_21379 = 294
  integer, parameter :: nGC_32264 = 295
  integer, parameter :: nGC_32269 = 296
  integer, parameter :: nGC_21377 = 297
  integer, parameter :: nGC_21278 = 298
  integer, parameter :: nGC_TS_GC_172_Hl = 299
  integer, parameter :: nGC_89 = 300
  integer, parameter :: nGC_TS_GC_172_Hh = 301
  integer, parameter :: nGC_80 = 302
  integer, parameter :: nGC_81 = 303
  integer, parameter :: nGC_82 = 304
  integer, parameter :: nGC_83 = 305
  integer, parameter :: nGC_84 = 306
  integer, parameter :: nGC_85 = 307
  integer, parameter :: nGC_86 = 308
  integer, parameter :: nGC_87 = 309
  integer, parameter :: nGC_37383 = 310
  integer, parameter :: nGC_66 = 311
  integer, parameter :: nGC_67 = 312
  integer, parameter :: nGC_64 = 313
  integer, parameter :: nGC_65 = 314
  integer, parameter :: nGC_62 = 315
  integer, parameter :: nGC_63 = 316
  integer, parameter :: nGC_60 = 317
  integer, parameter :: nGC_61 = 318
  integer, parameter :: nGC_68 = 319
  integer, parameter :: nGC_69 = 320
  integer, parameter :: nGC_37384 = 321
  integer, parameter :: nGC_22841 = 322
  integer, parameter :: nGC_22847 = 323
  integer, parameter :: nGC_21688 = 324
  integer, parameter :: nGC_21689 = 325
  integer, parameter :: nGC_21684 = 326
  integer, parameter :: nGC_21685 = 327
  integer, parameter :: nGC_21687 = 328
  integer, parameter :: nGC_21680 = 329
  integer, parameter :: nGC_21681 = 330
  integer, parameter :: nGC_21682 = 331
  integer, parameter :: nGC_21683 = 332
  integer, parameter :: nGC_21710 = 333
  integer, parameter :: nGC_21711 = 334
  integer, parameter :: nGC_21190 = 335
  integer, parameter :: nGC_21191 = 336
  integer, parameter :: nGC_21197 = 337
  integer, parameter :: nGC_209 = 338
  integer, parameter :: nGC_208 = 339
  integer, parameter :: nGC_21758 = 340
  integer, parameter :: nGC_21759 = 341
  integer, parameter :: nGC_203 = 342
  integer, parameter :: nGC_202 = 343
  integer, parameter :: nGC_201 = 344
  integer, parameter :: nGC_200 = 345
  integer, parameter :: nGC_207 = 346
  integer, parameter :: nGC_206 = 347
  integer, parameter :: nGC_205 = 348
  integer, parameter :: nGC_204 = 349
  integer, parameter :: nGC_21499 = 350
  integer, parameter :: nGC_TS_GC_366_Hh = 351
  integer, parameter :: nGC_51734 = 352
  integer, parameter :: nGC_51733 = 353
  integer, parameter :: nGC_377 = 354
  integer, parameter :: nGC_376 = 355
  integer, parameter :: nGC_375 = 356
  integer, parameter :: nGC_20763 = 357
  integer, parameter :: nGC_20764 = 358
  integer, parameter :: nGC_372 = 359
  integer, parameter :: nGC_20814 = 360
  integer, parameter :: nGC_370 = 361
  integer, parameter :: nGC_20768 = 362
  integer, parameter :: nGC_20769 = 363
  integer, parameter :: nGC_20818 = 364
  integer, parameter :: nGC_20819 = 365
  integer, parameter :: nGC_379 = 366
  integer, parameter :: nGC_378 = 367
  integer, parameter :: nGC_32468 = 368
  integer, parameter :: nGC_559 = 369
  integer, parameter :: nGC_557 = 370
  integer, parameter :: nGC_555 = 371
  integer, parameter :: nGC_553 = 372
  integer, parameter :: nGC_551 = 373
  integer, parameter :: nGC_153 = 374
  integer, parameter :: nGC_152 = 375
  integer, parameter :: nGC_151 = 376
  integer, parameter :: nGC_157 = 377
  integer, parameter :: nGC_156 = 378
  integer, parameter :: nGC_155 = 379
  integer, parameter :: nGC_37392 = 380
  integer, parameter :: nGC_159 = 381
  integer, parameter :: nGC_158 = 382
  integer, parameter :: nGC_20962 = 383
  integer, parameter :: nGC_20960 = 384
  integer, parameter :: nGC_20961 = 385
  integer, parameter :: nGC_20968 = 386
  integer, parameter :: nGC_20969 = 387
  integer, parameter :: nGC_21212 = 388
  integer, parameter :: nGC_21218 = 389
  integer, parameter :: nGC_36192 = 390
  integer, parameter :: nGC_33657 = 391
  integer, parameter :: nGC_39920 = 392
  integer, parameter :: nGC_21452 = 393
  integer, parameter :: nGC_44797 = 394
  integer, parameter :: nGC_44796 = 395
  integer, parameter :: nGC_44795 = 396
  integer, parameter :: nGC_44794 = 397
  integer, parameter :: nGC_21517 = 398
  integer, parameter :: nGC_339 = 399
  integer, parameter :: nGC_21512 = 400
  integer, parameter :: nGC_TS_GC_173_Hh = 401
  integer, parameter :: nGC_TS_GC_342_Hl = 402
  integer, parameter :: nGC_22509 = 403
  integer, parameter :: nGC_332 = 404
  integer, parameter :: nGC_42006 = 405
  integer, parameter :: nGC_337 = 406
  integer, parameter :: nGC_39586 = 407
  integer, parameter :: nGC_39585 = 408
  integer, parameter :: nGC_53 = 409
  integer, parameter :: nGC_52 = 410
  integer, parameter :: nGC_51 = 411
  integer, parameter :: nGC_50 = 412
  integer, parameter :: nGC_57 = 413
  integer, parameter :: nGC_55 = 414
  integer, parameter :: nGC_54 = 415
  integer, parameter :: nGC_59 = 416
  integer, parameter :: nGC_58 = 417
  integer, parameter :: nGC_21854 = 418
  integer, parameter :: nGC_35159 = 419
  integer, parameter :: nGC_36593 = 420
  integer, parameter :: nGC_36601 = 421
  integer, parameter :: nGC_35489 = 422
  integer, parameter :: nGC_21699 = 423
  integer, parameter :: nGC_21698 = 424
  integer, parameter :: nGC_21697 = 425
  integer, parameter :: nGC_21696 = 426
  integer, parameter :: nGC_21694 = 427
  integer, parameter :: nGC_21691 = 428
  integer, parameter :: nGC_ME = 429
  integer, parameter :: nGC_MD = 430
  integer, parameter :: nGC_247 = 431
  integer, parameter :: nGC_TS_GC_363_Hl = 432
  integer, parameter :: nGC_32293 = 433
  integer, parameter :: nGC_34197 = 434
  integer, parameter :: nGC_21183 = 435
  integer, parameter :: nGC_21182 = 436
  integer, parameter :: nGC_21181 = 437
  integer, parameter :: nGC_21180 = 438
  integer, parameter :: nGC_21187 = 439
  integer, parameter :: nGC_21186 = 440
  integer, parameter :: nGC_21185 = 441
  integer, parameter :: nGC_21184 = 442
  integer, parameter :: nGC_21500 = 443
  integer, parameter :: nGC_21189 = 444
  integer, parameter :: nGC_21188 = 445
  integer, parameter :: nGC_21741 = 446
  integer, parameter :: nGC_21740 = 447
  integer, parameter :: nGC_21743 = 448
  integer, parameter :: nGC_21742 = 449
  integer, parameter :: nGC_21745 = 450
  integer, parameter :: nGC_21744 = 451
  integer, parameter :: nGC_21747 = 452
  integer, parameter :: nGC_21746 = 453
  integer, parameter :: nGC_21749 = 454
  integer, parameter :: nGC_MU = 455
  integer, parameter :: nGC_MT = 456
  integer, parameter :: nGC_TS_GC_224_Hl = 457
  integer, parameter :: nGC_TS_GC_351_Hl = 458
  integer, parameter :: nGC_20805 = 459
  integer, parameter :: nGC_20804 = 460
  integer, parameter :: nGC_300 = 461
  integer, parameter :: nGC_301 = 462
  integer, parameter :: nGC_306 = 463
  integer, parameter :: nGC_20800 = 464
  integer, parameter :: nGC_304 = 465
  integer, parameter :: nGC_20802 = 466
  integer, parameter :: nGC_20779 = 467
  integer, parameter :: nGC_20778 = 468
  integer, parameter :: nGC_20809 = 469
  integer, parameter :: nGC_20808 = 470
  integer, parameter :: nGC_34468 = 471
  integer, parameter :: nGC_34469 = 472
  integer, parameter :: nGC_32478 = 473
  integer, parameter :: nGC_523 = 474
  integer, parameter :: nGC_527 = 475
  integer, parameter :: nGC_32471 = 476
  integer, parameter :: nGC_525 = 477
  integer, parameter :: nGC_TS_GC_215_Hl = 478
  integer, parameter :: nGC_51415 = 479
  integer, parameter :: nGC_21008 = 480
  integer, parameter :: nGC_TS_GC_215_Hh = 481
  integer, parameter :: nGC_21009 = 482
  integer, parameter :: nGC_20970 = 483
  integer, parameter :: nGC_37567 = 484
  integer, parameter :: nGC_22690 = 485
  integer, parameter :: nGC_21226 = 486
  integer, parameter :: nGC_21227 = 487
  integer, parameter :: nGC_21224 = 488
  integer, parameter :: nGC_21225 = 489
  integer, parameter :: nGC_21223 = 490
  integer, parameter :: nGC_39680 = 491
  integer, parameter :: nGC_21228 = 492
  integer, parameter :: nGC_21229 = 493
  integer, parameter :: nGC_MW_GF = 494
  integer, parameter :: nGC_20843 = 495
  integer, parameter :: nGC_20842 = 496
  integer, parameter :: nGC_20845 = 497
  integer, parameter :: nGC_583 = 498
  integer, parameter :: nGC_20749 = 499
  integer, parameter :: nGC_21543 = 500
  integer, parameter :: nGC_TS_GC_375_Hl = 501
  integer, parameter :: nGC_21518 = 502
  integer, parameter :: nGC_21519 = 503
  integer, parameter :: nGC_21514 = 504
  integer, parameter :: nGC_21515 = 505
  integer, parameter :: nGC_21516 = 506
  integer, parameter :: nGC_TS_GC_173_Hl = 507
  integer, parameter :: nGC_21510 = 508
  integer, parameter :: nGC_21511 = 509
  integer, parameter :: nGC_48 = 510
  integer, parameter :: nGC_49 = 511
  integer, parameter :: nGC_44 = 512
  integer, parameter :: nGC_45 = 513
  integer, parameter :: nGC_46 = 514
  integer, parameter :: nGC_47 = 515
  integer, parameter :: nGC_40 = 516
  integer, parameter :: nGC_41 = 517
  integer, parameter :: nGC_42 = 518
  integer, parameter :: nGC_43 = 519
  integer, parameter :: nGC_20860 = 520
  integer, parameter :: nGC_5297 = 521
  integer, parameter :: nGC_4237 = 522
  integer, parameter :: nGC_21258 = 523
  integer, parameter :: nGC_21420 = 524
  integer, parameter :: nGC_21421 = 525
  integer, parameter :: nGC_21422 = 526
  integer, parameter :: nGC_34825 = 527
  integer, parameter :: nGC_243 = 528
  integer, parameter :: nGC_2345 = 529
  integer, parameter :: nGC_21734 = 530
  integer, parameter :: nGC_21735 = 531
  integer, parameter :: nGC_21736 = 532
  integer, parameter :: nGC_21737 = 533
  integer, parameter :: nGC_21731 = 534
  integer, parameter :: nGC_21732 = 535
  integer, parameter :: nGC_21733 = 536
  integer, parameter :: nGC_34507 = 537
  integer, parameter :: nGC_21738 = 538
  integer, parameter :: nGC_21739 = 539
  integer, parameter :: nGC_TS_GC_348_Hh = 540
  integer, parameter :: nGC_21648 = 541
  integer, parameter :: nGC_21649 = 542
  integer, parameter :: nGC_20744 = 543
  integer, parameter :: nGC_312 = 544
  integer, parameter :: nGC_315 = 545
  integer, parameter :: nGC_314 = 546
  integer, parameter :: nGC_317 = 547
  integer, parameter :: nGC_316 = 548
  integer, parameter :: nGC_21640 = 549
  integer, parameter :: nGC_318 = 550
  integer, parameter :: nGC_21642 = 551
  integer, parameter :: nGC_21643 = 552
  integer, parameter :: nGC_21644 = 553
  integer, parameter :: nGC_21645 = 554
  integer, parameter :: nGC_20748 = 555
  integer, parameter :: nGC_21647 = 556
  integer, parameter :: nGC_34471 = 557
  integer, parameter :: nGC_34477 = 558
  integer, parameter :: nGC_TS_GC_339_Hh = 559
  integer, parameter :: nGC_32442 = 560
  integer, parameter :: nGC_32443 = 561
  integer, parameter :: nGC_22595 = 562
  integer, parameter :: nGC_531 = 563
  integer, parameter :: nGC_535 = 564
  integer, parameter :: nGC_34870 = 565
  integer, parameter :: nGC_537 = 566
  integer, parameter :: nGC_TS_GC_234_Hl = 567
  integer, parameter :: nGC_37570 = 568
  integer, parameter :: nGC_305 = 569
  integer, parameter :: nGC_21239 = 570
  integer, parameter :: nGC_21238 = 571
  integer, parameter :: nGC_37147 = 572
  integer, parameter :: nGC_21231 = 573
  integer, parameter :: nGC_21233 = 574
  integer, parameter :: nGC_21232 = 575
  integer, parameter :: nGC_21235 = 576
  integer, parameter :: nGC_21234 = 577
  integer, parameter :: nGC_21237 = 578
  integer, parameter :: nGC_21236 = 579
  integer, parameter :: nGC_1931 = 580
  integer, parameter :: nGC_33885 = 581
  integer, parameter :: nGC_123 = 582
  integer, parameter :: nGC_MS = 583
  integer, parameter :: nGC_6589 = 584
  integer, parameter :: nGC_88 = 585
  integer, parameter :: nGC_22674 = 586
  integer, parameter :: nGC_22673 = 587
  integer, parameter :: nGC_22679 = 588
  integer, parameter :: nGC_21509 = 589
  integer, parameter :: nGC_22703 = 590
  integer, parameter :: nGC_22706 = 591
  integer, parameter :: nGC_39 = 592
  integer, parameter :: nGC_38 = 593
  integer, parameter :: nGC_31 = 594
  integer, parameter :: nGC_30 = 595
  integer, parameter :: nGC_33 = 596
  integer, parameter :: nGC_32 = 597
  integer, parameter :: nGC_35 = 598
  integer, parameter :: nGC_34 = 599
  integer, parameter :: nGC_37 = 600
  integer, parameter :: nGC_36 = 601
  integer, parameter :: nGC_311 = 602
  integer, parameter :: nGC_32835 = 603
  integer, parameter :: nGC_310 = 604
  integer, parameter :: nGC_36684 = 605
  integer, parameter :: nGC_313 = 606
  integer, parameter :: nGC_36685 = 607
  integer, parameter :: nGC_20745 = 608
  integer, parameter :: nGC_21437 = 609
  integer, parameter :: nGC_21436 = 610
  integer, parameter :: nGC_20742 = 611
  integer, parameter :: nGC_21439 = 612
  integer, parameter :: nGC_20743 = 613
  integer, parameter :: nGC_20740 = 614
  integer, parameter :: nGC_20741 = 615
  integer, parameter :: nGC_319 = 616
  integer, parameter :: nGC_32907 = 617
  integer, parameter :: nGC_21641 = 618
  integer, parameter :: nGC_22850 = 619
  integer, parameter :: nGC_22851 = 620
  integer, parameter :: nGC_22852 = 621
  integer, parameter :: nGC_22853 = 622
  integer, parameter :: nGC_43046 = 623
  integer, parameter :: nGC_21646 = 624
  integer, parameter :: nGC_22856 = 625
  integer, parameter :: nGC_22857 = 626
  integer, parameter :: nGC_22858 = 627
  integer, parameter :: nGC_34470 = 628
  integer, parameter :: nGC_34268 = 629
  integer, parameter :: nGC_38564 = 630
  integer, parameter :: nGC_34476 = 631
  integer, parameter :: nGC_20759 = 632
  integer, parameter :: nGC_20758 = 633
  integer, parameter :: nGC_251 = 634
  integer, parameter :: nGC_20751 = 635
  integer, parameter :: nGC_20750 = 636
  integer, parameter :: nGC_20753 = 637
  integer, parameter :: nGC_20752 = 638
  integer, parameter :: nGC_20755 = 639
  integer, parameter :: nGC_20754 = 640
  integer, parameter :: nGC_20757 = 641
  integer, parameter :: nGC_21659 = 642
  integer, parameter :: nGC_328 = 643
  integer, parameter :: nGC_329 = 644
  integer, parameter :: nGC_324 = 645
  integer, parameter :: nGC_325 = 646
  integer, parameter :: nGC_326 = 647
  integer, parameter :: nGC_327 = 648
  integer, parameter :: nGC_320 = 649
  integer, parameter :: nGC_321 = 650
  integer, parameter :: nGC_322 = 651
  integer, parameter :: nGC_323 = 652
  integer, parameter :: nGC_32455 = 653
  integer, parameter :: nGC_539 = 654
  integer, parameter :: nGC_20773 = 655
  integer, parameter :: nGC_4517 = 656
  integer, parameter :: nGC_188 = 657
  integer, parameter :: nGC_189 = 658
  integer, parameter :: nGC_22845 = 659
  integer, parameter :: nGC_20919 = 660
  integer, parameter :: nGC_20918 = 661
  integer, parameter :: nGC_180 = 662
  integer, parameter :: nGC_20916 = 663
  integer, parameter :: nGC_182 = 664
  integer, parameter :: nGC_183 = 665
  integer, parameter :: nGC_184 = 666
  integer, parameter :: nGC_186 = 667
  integer, parameter :: nGC_TS_GC_357_Hl = 668
  integer, parameter :: nGC_34310 = 669
  integer, parameter :: nGC_20772 = 670
  integer, parameter :: nGC_533 = 671
  integer, parameter :: nGC_615 = 672
  integer, parameter :: nGC_21171 = 673
  integer, parameter :: nGC_21248 = 674
  integer, parameter :: nGC_32567 = 675
  integer, parameter :: nGC_21244 = 676
  integer, parameter :: nGC_20771 = 677
  integer, parameter :: nGC_21246 = 678
  integer, parameter :: nGC_21247 = 679
  integer, parameter :: nGC_21240 = 680
  integer, parameter :: nGC_21241 = 681
  integer, parameter :: nGC_21242 = 682
  integer, parameter :: nGC_21243 = 683
  integer, parameter :: nGC_21088 = 684
  integer, parameter :: nGC_21089 = 685
  integer, parameter :: nGC_21082 = 686
  integer, parameter :: nGC_21083 = 687
  integer, parameter :: nGC_21080 = 688
  integer, parameter :: nGC_21086 = 689
  integer, parameter :: nGC_21087 = 690
  integer, parameter :: nGC_21084 = 691
  integer, parameter :: nGC_39648 = 692
  integer, parameter :: nGC_20770 = 693
  integer, parameter :: nGC_21494 = 694
  integer, parameter :: nGC_20777 = 695
  integer, parameter :: nGC_32654 = 696
  integer, parameter :: nGC_32630 = 697
  integer, parameter :: nGC_20776 = 698
  integer, parameter :: nGC_21398 = 699
  integer, parameter :: nGC_21396 = 700
  integer, parameter :: nGC_21397 = 701
  integer, parameter :: nGC_21686 = 702
  integer, parameter :: nGC_21868 = 703
  integer, parameter :: nGC_21869 = 704
  integer, parameter :: nGC_21866 = 705
  integer, parameter :: nGC_20775 = 706
  integer, parameter :: nGC_22728 = 707
  integer, parameter :: nGC_246 = 708
  integer, parameter :: nGC_32120 = 709
  integer, parameter :: nGC_22662 = 710
  integer, parameter :: nGC_22661 = 711
  integer, parameter :: nGC_22660 = 712
  integer, parameter :: nGC_21819 = 713
  integer, parameter :: nGC_35963 = 714
  integer, parameter :: nGC_22063 = 715
  integer, parameter :: nGC_22065 = 716
  integer, parameter :: nGC_22064 = 717
  integer, parameter :: nGC_21532 = 718
  integer, parameter :: nGC_21533 = 719
  integer, parameter :: nGC_21531 = 720
  integer, parameter :: nGC_39577 = 721
  integer, parameter :: nGC_39579 = 722
  integer, parameter :: nGC_39578 = 723
  integer, parameter :: nGC_28 = 724
  integer, parameter :: nGC_29 = 725
  integer, parameter :: nGC_242 = 726
  integer, parameter :: nGC_22 = 727
  integer, parameter :: nGC_23 = 728
  integer, parameter :: nGC_20 = 729
  integer, parameter :: nGC_21 = 730
  integer, parameter :: nGC_26 = 731
  integer, parameter :: nGC_27 = 732
  integer, parameter :: nGC_24 = 733
  integer, parameter :: nGC_25 = 734
  integer, parameter :: nGC_32331 = 735
  integer, parameter :: nGC_35104 = 736
  integer, parameter :: nGC_32338 = 737
  integer, parameter :: nGC_989 = 738
  integer, parameter :: nGC_240 = 739
  integer, parameter :: nGC_34670 = 740
  integer, parameter :: nGC_TS_GC_235_Hh = 741
  integer, parameter :: nGC_32936 = 742
  integer, parameter :: nGC_TS_GC_251_Hh = 743
  integer, parameter :: nGC_22843 = 744
  integer, parameter :: nGC_22842 = 745
  integer, parameter :: nGC_21718 = 746
  integer, parameter :: nGC_21719 = 747
  integer, parameter :: nGC_22846 = 748
  integer, parameter :: nGC_22844 = 749
  integer, parameter :: nGC_21712 = 750
  integer, parameter :: nGC_21713 = 751
  integer, parameter :: nGC_22849 = 752
  integer, parameter :: nGC_22848 = 753
  integer, parameter :: nGC_21716 = 754
  integer, parameter :: nGC_21717 = 755
  integer, parameter :: nGC_21714 = 756
  integer, parameter :: nGC_21715 = 757
  integer, parameter :: nGC_2697 = 758
  integer, parameter :: nGC_35074 = 759
  integer, parameter :: nGC_35075 = 760
  integer, parameter :: nGC_34274 = 761
  integer, parameter :: nGC_34279 = 762
  integer, parameter :: nGC_33263 = 763
  integer, parameter :: nGC_33968 = 764
  integer, parameter :: nGC_20729 = 765
  integer, parameter :: nGC_21230 = 766
  integer, parameter :: nGC_20720 = 767
  integer, parameter :: nGC_20721 = 768
  integer, parameter :: nGC_20722 = 769
  integer, parameter :: nGC_2969 = 770
  integer, parameter :: nGC_338 = 771
  integer, parameter :: nGC_21668 = 772
  integer, parameter :: nGC_21669 = 773
  integer, parameter :: nGC_21666 = 774
  integer, parameter :: nGC_21667 = 775
  integer, parameter :: nGC_21664 = 776
  integer, parameter :: nGC_330 = 777
  integer, parameter :: nGC_21662 = 778
  integer, parameter :: nGC_336 = 779
  integer, parameter :: nGC_335 = 780
  integer, parameter :: nGC_21661 = 781
  integer, parameter :: nGC_34415 = 782
  integer, parameter :: nGC_4525 = 783
  integer, parameter :: nGC_33196 = 784
  integer, parameter :: nGC_33192 = 785
  integer, parameter :: nGC_197 = 786
  integer, parameter :: nGC_196 = 787
  integer, parameter :: nGC_195 = 788
  integer, parameter :: nGC_194 = 789
  integer, parameter :: nGC_193 = 790
  integer, parameter :: nGC_192 = 791
  integer, parameter :: nGC_191 = 792
  integer, parameter :: nGC_190 = 793
  integer, parameter :: nGC_199 = 794
  integer, parameter :: nGC_198 = 795
  integer, parameter :: nGC_38581 = 796
  integer, parameter :: nGC_20920 = 797
  integer, parameter :: nGC_20926 = 798
  integer, parameter :: nGC_20927 = 799
  integer, parameter :: nGC_40501 = 800
  integer, parameter :: nGC_20928 = 801
  integer, parameter :: nGC_20929 = 802
  integer, parameter :: nGC_22855 = 803
  integer, parameter :: nGC_609 = 804
  integer, parameter :: nGC_607 = 805
  integer, parameter :: nGC_605 = 806
  integer, parameter :: nGC_603 = 807
  integer, parameter :: nGC_601 = 808
  integer, parameter :: nGC_21198 = 809
  integer, parameter :: nGC_14 = 810
  integer, parameter :: nGC_21259 = 811
  integer, parameter :: nGC_21199 = 812
  integer, parameter :: nGC_21257 = 813
  integer, parameter :: nGC_21256 = 814
  integer, parameter :: nGC_21255 = 815
  integer, parameter :: nGC_21254 = 816
  integer, parameter :: nGC_12 = 817
  integer, parameter :: nGC_21099 = 818
  integer, parameter :: nGC_21098 = 819
  integer, parameter :: nGC_21095 = 820
  integer, parameter :: nGC_21097 = 821
  integer, parameter :: nGC_21096 = 822
  integer, parameter :: nGC_513 = 823
  integer, parameter :: nGC_511 = 824
  integer, parameter :: nGC_517 = 825
  integer, parameter :: nGC_515 = 826
  integer, parameter :: nGC_519 = 827
  integer, parameter :: nGC_22722 = 828
  integer, parameter :: nGC_TS_GC_39_Hh = 829
  integer, parameter :: nGC_22720 = 830
  integer, parameter :: nGC_21895 = 831
  integer, parameter :: nGC_21897 = 832
  integer, parameter :: nGC_21896 = 833
  integer, parameter :: nGC_21891 = 834
  integer, parameter :: nGC_21890 = 835
  integer, parameter :: nGC_21893 = 836
  integer, parameter :: nGC_21892 = 837
  integer, parameter :: nGC_44423 = 838
  integer, parameter :: nGC_32482 = 839
  integer, parameter :: nGC_44424 = 840
  integer, parameter :: nGC_21381 = 841
  integer, parameter :: nGC_21380 = 842
  integer, parameter :: nGC_21757 = 843
  integer, parameter :: nGC_21878 = 844
  integer, parameter :: nGC_21873 = 845
  integer, parameter :: nGC_21872 = 846
  integer, parameter :: nGC_21871 = 847
  integer, parameter :: nGC_21870 = 848
  integer, parameter :: nGC_21877 = 849
  integer, parameter :: nGC_21876 = 850
  integer, parameter :: nGC_21875 = 851
  integer, parameter :: nGC_21874 = 852
  integer, parameter :: nGC_21750 = 853
  integer, parameter :: nGC_33454 = 854
  integer, parameter :: nGC_22271 = 855
  integer, parameter :: nGC_20766 = 856
  integer, parameter :: nGC_42913 = 857
  integer, parameter :: nGC_42911 = 858
  integer, parameter :: nGC_33523 = 859
  integer, parameter :: nGC_21513 = 860
  integer, parameter :: nGC_32186 = 861
  integer, parameter :: nGC_17 = 862
  integer, parameter :: nGC_16 = 863
  integer, parameter :: nGC_15 = 864
  integer, parameter :: nGC_13 = 865
  integer, parameter :: nGC_21520 = 866
  integer, parameter :: nGC_36798 = 867
  integer, parameter :: nGC_10 = 868
  integer, parameter :: nGC_22726 = 869
  integer, parameter :: nGC_22724 = 870
  integer, parameter :: nGC_21529 = 871
  integer, parameter :: nGC_36793 = 872
  integer, parameter :: nGC_19 = 873
  integer, parameter :: nGC_18 = 874
  integer, parameter :: nGC_35442 = 875
  integer, parameter :: nGC_32325 = 876
  integer, parameter :: nGC_32324 = 877
  integer, parameter :: nGC_997 = 878
  integer, parameter :: nGC_36645 = 879
  integer, parameter :: nGC_36646 = 880
  integer, parameter :: nGC_22128 = 881
  integer, parameter :: nGC_22655 = 882
  integer, parameter :: nGC_21419 = 883
  integer, parameter :: nGC_21418 = 884
  integer, parameter :: nGC_2755 = 885
  integer, parameter :: nGC_21411 = 886
  integer, parameter :: nGC_21413 = 887
  integer, parameter :: nGC_21412 = 888
  integer, parameter :: nGC_21415 = 889
  integer, parameter :: nGC_21414 = 890
  integer, parameter :: nGC_21417 = 891
  integer, parameter :: nGC_21416 = 892
  integer, parameter :: nGC_34644 = 893
  integer, parameter :: nGC_21085 = 894
  integer, parameter :: nGC_32929 = 895
  integer, parameter :: nGC_32747 = 896
  integer, parameter :: nGC_22656 = 897
  integer, parameter :: nGC_38303 = 898
  integer, parameter :: nGC_38302 = 899
  integer, parameter :: nGC_22126 = 900
  integer, parameter :: nGC_21709 = 901
  integer, parameter :: nGC_21708 = 902
  integer, parameter :: nGC_21705 = 903
  integer, parameter :: nGC_21704 = 904
  integer, parameter :: nGC_21707 = 905
  integer, parameter :: nGC_21706 = 906
  integer, parameter :: nGC_21701 = 907
  integer, parameter :: nGC_21700 = 908
  integer, parameter :: nGC_21703 = 909
  integer, parameter :: nGC_21702 = 910
  integer, parameter :: nGC_521 = 911
  integer, parameter :: nGC_5469 = 912
  integer, parameter :: nGC_20760 = 913
  integer, parameter :: nGC_20761 = 914
  integer, parameter :: nGC_20762 = 915
  integer, parameter :: nGC_374 = 916
  integer, parameter :: nGC_20739 = 917
  integer, parameter :: nGC_20738 = 918
  integer, parameter :: nGC_20737 = 919
  integer, parameter :: nGC_373 = 920
  integer, parameter :: nGC_20735 = 921
  integer, parameter :: nGC_TS_GC_44_Hh = 922
  integer, parameter :: nGC_20733 = 923
  integer, parameter :: nGC_20732 = 924
  integer, parameter :: nGC_20731 = 925
  integer, parameter :: nGC_20730 = 926
  integer, parameter :: nGC_21671 = 927
  integer, parameter :: nGC_21670 = 928
  integer, parameter :: nGC_21673 = 929
  integer, parameter :: nGC_21672 = 930
  integer, parameter :: nGC_21675 = 931
  integer, parameter :: nGC_371 = 932
  integer, parameter :: nGC_21677 = 933
  integer, parameter :: nGC_34643 = 934
  integer, parameter :: nGC_21679 = 935
  integer, parameter :: nGC_21678 = 936
  integer, parameter :: nGC_20767 = 937
  integer, parameter :: nGC_34645 = 938
  integer, parameter :: nGC_TS_GC_233_Hh = 939
  integer, parameter :: nGC_33324 = 940
  integer, parameter :: nGC_TS_GC_233_Hl = 941
  integer, parameter :: nGC_331 = 942
  integer, parameter :: nGC_20931 = 943
  integer, parameter :: nGC_20930 = 944
  integer, parameter :: nGC_20933 = 945
  integer, parameter :: nGC_20932 = 946
  integer, parameter :: nGC_37839 = 947
  integer, parameter :: nGC_1053 = 948
  integer, parameter :: nGC_294 = 949
  integer, parameter :: nGC_295 = 950
  integer, parameter :: nGC_296 = 951
  integer, parameter :: nGC_297 = 952
  integer, parameter :: nGC_290 = 953
  integer, parameter :: nGC_34338 = 954
  integer, parameter :: nGC_34337 = 955
  integer, parameter :: nGC_298 = 956
  integer, parameter :: nGC_299 = 957
  integer, parameter :: nGC_34330 = 958
  integer, parameter :: nGC_TS_GC_354_Hh = 959
  integer, parameter :: nGC_279 = 960
  integer, parameter :: nGC_43955 = 961
  integer, parameter :: nGC_TS_GC_329_Hl = 962
  integer, parameter :: nGC_38773 = 963
  integer, parameter :: nGC_21060 = 964
  integer, parameter :: nGC_21061 = 965
  integer, parameter :: nGC_21062 = 966
  integer, parameter :: nGC_21063 = 967
  integer, parameter :: nGC_21064 = 968
  integer, parameter :: nGC_21066 = 969
  integer, parameter :: nGC_21067 = 970
  integer, parameter :: nGC_21068 = 971
  integer, parameter :: nGC_21069 = 972
  integer, parameter :: nGC_38306 = 973
  integer, parameter :: nGC_1949 = 974
  integer, parameter :: nGC_TS_GC_19_Hh = 975
  integer, parameter :: nGC_TS_GC_336_Hh = 976
  integer, parameter :: nGC_32492 = 977
  integer, parameter :: nGC_32495 = 978
  integer, parameter :: nGC_TS_GC_53_Hh = 979
  integer, parameter :: nGC_1541 = 980
  integer, parameter :: nGC_35459 = 981
  integer, parameter :: nGC_33449 = 982
  integer, parameter :: nGC_22467 = 983
  integer, parameter :: nGC_32141 = 984
  integer, parameter :: nGC_22468 = 985
  integer, parameter :: nGC_32149 = 986
  integer, parameter :: nGC_22260 = 987
  integer, parameter :: nGC_22267 = 988
  integer, parameter :: nGC_21280 = 989
  integer, parameter :: nGC_21281 = 990
  integer, parameter :: nGC_22268 = 991
  integer, parameter :: nGC_22481 = 992
  integer, parameter :: nGC_22480 = 993
  integer, parameter :: nGC_22001 = 994
  integer, parameter :: nGC_150 = 995
  integer, parameter :: nGC_39154 = 996
  integer, parameter :: nGC_32314 = 997
  integer, parameter :: nGC_20795 = 998
  integer, parameter :: nGC_154 = 999
  integer, parameter :: nGC_22139 = 1000
  integer, parameter :: nGC_22138 = 1001
  integer, parameter :: nGC_22649 = 1002
  integer, parameter :: nGC_22648 = 1003
  integer, parameter :: nGC_22133 = 1004
  integer, parameter :: nGC_22131 = 1005
  integer, parameter :: nGC_22135 = 1006
  integer, parameter :: nGC_22675 = 1007
  integer, parameter :: nGC_20797 = 1008
  integer, parameter :: nGC_TS_GC_33_Hl = 1009
  integer, parameter :: nGC_TS_GC_33_Hh = 1010
  integer, parameter :: nGC_36279 = 1011
  integer, parameter :: nGC_22860 = 1012
  integer, parameter :: nGC_21867 = 1013
  integer, parameter :: nGC_20880 = 1014
  integer, parameter :: nGC_34787 = 1015
  integer, parameter :: nGC_TS_GC_17_Hl = 1016
  integer, parameter :: nGC_TS_GC_17_Hh = 1017
  integer, parameter :: nGC_20746 = 1018
  integer, parameter :: nGC_33203 = 1019
  integer, parameter :: nGC_33200 = 1020
  integer, parameter :: nGC_20702 = 1021
  integer, parameter :: nGC_20703 = 1022
  integer, parameter :: nGC_20700 = 1023
  integer, parameter :: nGC_20701 = 1024
  integer, parameter :: nGC_20706 = 1025
  integer, parameter :: nGC_20707 = 1026
  integer, parameter :: nGC_20704 = 1027
  integer, parameter :: nGC_20705 = 1028
  integer, parameter :: nGC_20708 = 1029
  integer, parameter :: nGC_20709 = 1030
  integer, parameter :: nGC_20793 = 1031
  integer, parameter :: nGC_3141 = 1032
  integer, parameter :: nGC_21604 = 1033
  integer, parameter :: nGC_21605 = 1034
  integer, parameter :: nGC_21606 = 1035
  integer, parameter :: nGC_21607 = 1036
  integer, parameter :: nGC_21600 = 1037
  integer, parameter :: nGC_21601 = 1038
  integer, parameter :: nGC_21602 = 1039
  integer, parameter :: nGC_21603 = 1040
  integer, parameter :: nGC_36193 = 1041
  integer, parameter :: nGC_TS_GC_175_Hh = 1042
  integer, parameter :: nGC_33336 = 1043
  integer, parameter :: nGC_21118 = 1044
  integer, parameter :: nGC_21119 = 1045
  integer, parameter :: nGC_21110 = 1046
  integer, parameter :: nGC_21111 = 1047
  integer, parameter :: nGC_21112 = 1048
  integer, parameter :: nGC_21113 = 1049
  integer, parameter :: nGC_21114 = 1050
  integer, parameter :: nGC_21115 = 1051
  integer, parameter :: nGC_21116 = 1052
  integer, parameter :: nGC_21117 = 1053
  integer, parameter :: nGC_283 = 1054
  integer, parameter :: nGC_282 = 1055
  integer, parameter :: nGC_281 = 1056
  integer, parameter :: nGC_280 = 1057
  integer, parameter :: nGC_287 = 1058
  integer, parameter :: nGC_286 = 1059
  integer, parameter :: nGC_285 = 1060
  integer, parameter :: nGC_284 = 1061
  integer, parameter :: nGC_289 = 1062
  integer, parameter :: nGC_288 = 1063
  integer, parameter :: nGC_22682 = 1064
  integer, parameter :: nGC_32794 = 1065
  integer, parameter :: nGC_TS_GC_32_Hl = 1066
  integer, parameter :: nGC_21275 = 1067
  integer, parameter :: nGC_21274 = 1068
  integer, parameter :: nGC_21277 = 1069
  integer, parameter :: nGC_21276 = 1070
  integer, parameter :: nGC_21273 = 1071
  integer, parameter :: nGC_21272 = 1072
  integer, parameter :: nGC_21279 = 1073
  integer, parameter :: nGC_20747 = 1074
  integer, parameter :: nGC_21073 = 1075
  integer, parameter :: nGC_21072 = 1076
  integer, parameter :: nGC_21071 = 1077
  integer, parameter :: nGC_21070 = 1078
  integer, parameter :: nGC_21077 = 1079
  integer, parameter :: nGC_21076 = 1080
  integer, parameter :: nGC_21074 = 1081
  integer, parameter :: nGC_21079 = 1082
  integer, parameter :: nGC_21078 = 1083
  integer, parameter :: nGC_20892 = 1084
  integer, parameter :: nGC_20893 = 1085
  integer, parameter :: nGC_20890 = 1086
  integer, parameter :: nGC_20891 = 1087
  integer, parameter :: nGC_20896 = 1088
  integer, parameter :: nGC_20897 = 1089
  integer, parameter :: nGC_20895 = 1090
  integer, parameter :: nGC_21213 = 1091
  integer, parameter :: nGC_32224 = 1092
  integer, parameter :: nGC_21211 = 1093
  integer, parameter :: nGC_21210 = 1094
  integer, parameter :: nGC_33153 = 1095
  integer, parameter :: nGC_37840 = 1096
  integer, parameter :: nGC_21853 = 1097
  integer, parameter :: nGC_21855 = 1098
  integer, parameter :: nGC_TS_GC_174_Hl = 1099
  integer, parameter :: nGC_21857 = 1100
  integer, parameter :: nGC_21856 = 1101
  integer, parameter :: nGC_20736 = 1102
  integer, parameter :: nGC_TS_GC_45_Hl = 1103
  integer, parameter :: nGC_20734 = 1104
  integer, parameter :: nGC_21176 = 1105
  integer, parameter :: nGC_32775 = 1106
  integer, parameter :: nGC_21177 = 1107
  integer, parameter :: nGC_22256 = 1108
  integer, parameter :: nGC_122 = 1109
  integer, parameter :: nGC_21175 = 1110
  integer, parameter :: nGC_22258 = 1111
  integer, parameter :: nGC_21502 = 1112
  integer, parameter :: nGC_21501 = 1113
  integer, parameter :: nGC_541 = 1114
  integer, parameter :: nGC_22707 = 1115
  integer, parameter :: nGC_21674 = 1116
  integer, parameter :: nGC_227 = 1117
  integer, parameter :: nGC_21676 = 1118
  integer, parameter :: nGC_21770 = 1119
  integer, parameter :: nGC_128 = 1120
  integer, parameter :: nGC_21771 = 1121
  integer, parameter :: nGC_129 = 1122
  integer, parameter :: nGC_32301 = 1123
  integer, parameter :: nGC_32305 = 1124
  integer, parameter :: nGC_TS_GC_180_Hh = 1125
  integer, parameter :: nGC_22108 = 1126
  integer, parameter :: nGC_22106 = 1127
  integer, parameter :: nGC_22100 = 1128
  integer, parameter :: nGC_36689 = 1129
  integer, parameter :: nGC_21476 = 1130
  integer, parameter :: nGC_21475 = 1131
  integer, parameter :: nGC_21474 = 1132
  integer, parameter :: nGC_21473 = 1133
  integer, parameter :: nGC_21472 = 1134
  integer, parameter :: nGC_21471 = 1135
  integer, parameter :: nGC_33703 = 1136
  integer, parameter :: nGC_32946 = 1137
  integer, parameter :: nGC_35261 = 1138
  integer, parameter :: nGC_20678 = 1139
  integer, parameter :: nGC_20679 = 1140
  integer, parameter :: nGC_TS_GC_43_Hh = 1141
  integer, parameter :: nGC_20676 = 1142
  integer, parameter :: nGC_20677 = 1143
  integer, parameter :: nGC_20675 = 1144
  integer, parameter :: nGC_34228 = 1145
  integer, parameter :: nGC_21730 = 1146
  integer, parameter :: nGC_21125 = 1147
  integer, parameter :: nGC_34225 = 1148
  integer, parameter :: nGC_20781 = 1149
  integer, parameter :: nGC_33233 = 1150
  integer, parameter :: nGC_33234 = 1151
  integer, parameter :: nGC_20786 = 1152
  integer, parameter :: nGC_20715 = 1153
  integer, parameter :: nGC_20714 = 1154
  integer, parameter :: nGC_20717 = 1155
  integer, parameter :: nGC_20716 = 1156
  integer, parameter :: nGC_20711 = 1157
  integer, parameter :: nGC_20710 = 1158
  integer, parameter :: nGC_20713 = 1159
  integer, parameter :: nGC_20712 = 1160
  integer, parameter :: nGC_20719 = 1161
  integer, parameter :: nGC_20718 = 1162
  integer, parameter :: nGC_20925 = 1163
  integer, parameter :: nGC_382 = 1164
  integer, parameter :: nGC_383 = 1165
  integer, parameter :: nGC_380 = 1166
  integer, parameter :: nGC_381 = 1167
  integer, parameter :: nGC_386 = 1168
  integer, parameter :: nGC_384 = 1169
  integer, parameter :: nGC_385 = 1170
  integer, parameter :: nGC_32764 = 1171
  integer, parameter :: nGC_21109 = 1172
  integer, parameter :: nGC_21108 = 1173
  integer, parameter :: nGC_21103 = 1174
  integer, parameter :: nGC_21102 = 1175
  integer, parameter :: nGC_21101 = 1176
  integer, parameter :: nGC_21100 = 1177
  integer, parameter :: nGC_21107 = 1178
  integer, parameter :: nGC_21106 = 1179
  integer, parameter :: nGC_21105 = 1180
  integer, parameter :: nGC_21104 = 1181
  integer, parameter :: nGC_278 = 1182
  integer, parameter :: nGC_276 = 1183
  integer, parameter :: nGC_277 = 1184
  integer, parameter :: nGC_274 = 1185
  integer, parameter :: nGC_275 = 1186
  integer, parameter :: nGC_272 = 1187
  integer, parameter :: nGC_273 = 1188
  integer, parameter :: nGC_270 = 1189
  integer, parameter :: nGC_271 = 1190
  integer, parameter :: nGC_MZ_GF = 1191
  integer, parameter :: nGC_33018 = 1192
  integer, parameter :: nGC_32546 = 1193
  integer, parameter :: nGC_22143 = 1194
  integer, parameter :: nGC_32549 = 1195
  integer, parameter :: nGC_33014 = 1196
  integer, parameter :: nGC_21046 = 1197
  integer, parameter :: nGC_21047 = 1198
  integer, parameter :: nGC_21044 = 1199
  integer, parameter :: nGC_21045 = 1200
  integer, parameter :: nGC_21042 = 1201
  integer, parameter :: nGC_21043 = 1202
  integer, parameter :: nGC_21040 = 1203
  integer, parameter :: nGC_21041 = 1204
  integer, parameter :: nGC_21048 = 1205
  integer, parameter :: nGC_21049 = 1206
  integer, parameter :: nGC_20834 = 1207
  integer, parameter :: nGC_20889 = 1208
  integer, parameter :: nGC_20888 = 1209
  integer, parameter :: nGC_20835 = 1210
  integer, parameter :: nGC_20885 = 1211
  integer, parameter :: nGC_20884 = 1212
  integer, parameter :: nGC_20887 = 1213
  integer, parameter :: nGC_20886 = 1214
  integer, parameter :: nGC_20881 = 1215
  integer, parameter :: nGC_43633 = 1216
  integer, parameter :: nGC_20883 = 1217
  integer, parameter :: nGC_20882 = 1218
  integer, parameter :: nGC_20837 = 1219
  integer, parameter :: nGC_43635 = 1220
  integer, parameter :: nGC_20831 = 1221
  integer, parameter :: nGC_595 = 1222
  integer, parameter :: nGC_20833 = 1223
  integer, parameter :: nGC_21438 = 1224
  integer, parameter :: nGC_33167 = 1225
  integer, parameter :: nGC_33161 = 1226
  integer, parameter :: nGC_126 = 1227
  integer, parameter :: nGC_127 = 1228
  integer, parameter :: nGC_124 = 1229
  integer, parameter :: nGC_125 = 1230
  integer, parameter :: nGC_40713 = 1231
  integer, parameter :: nGC_120 = 1232
  integer, parameter :: nGC_121 = 1233
  integer, parameter :: nGC_34663 = 1234
  integer, parameter :: nGC_40719 = 1235
  integer, parameter :: nGC_291 = 1236
  integer, parameter :: nGC_TS_GC_180_Hl = 1237
  integer, parameter :: nGC_21820 = 1238
  integer, parameter :: nGC_21821 = 1239
  integer, parameter :: nGC_21822 = 1240
  integer, parameter :: nGC_293 = 1241
  integer, parameter :: nGC_21828 = 1242
  integer, parameter :: nGC_21829 = 1243
  integer, parameter :: nGC_MMW_GF = 1244
  integer, parameter :: nGC_32769 = 1245
  integer, parameter :: nGC_22244 = 1246
  integer, parameter :: nGC_22246 = 1247
  integer, parameter :: nGC_21910 = 1248
  integer, parameter :: nGC_21911 = 1249
  integer, parameter :: nGC_21912 = 1250
  integer, parameter :: nGC_21913 = 1251
  integer, parameter :: nGC_21914 = 1252
  integer, parameter :: nGC_21915 = 1253
  integer, parameter :: nGC_41020 = 1254
  integer, parameter :: nGC_TS_GC_16_Hh = 1255
  integer, parameter :: nGC_TS_GC_16_Hl = 1256
  integer, parameter :: nGC_36077 = 1257
  integer, parameter :: nGC_I = 1258
  integer, parameter :: nGC_TS_GC_62_Hl = 1259
  integer, parameter :: nGC_TS_GC_62_Hh = 1260
  integer, parameter :: nGC_181 = 1261
  integer, parameter :: nGC_1827 = 1262
  integer, parameter :: nGC_3 = 1263
  integer, parameter :: nGC_2 = 1264
  integer, parameter :: nGC_1 = 1265
  integer, parameter :: nGC_7 = 1266
  integer, parameter :: nGC_6 = 1267
  integer, parameter :: nGC_5 = 1268
  integer, parameter :: nGC_4 = 1269
  integer, parameter :: nGC_9 = 1270
  integer, parameter :: nGC_8 = 1271
  integer, parameter :: nGC_33955 = 1272
  integer, parameter :: nGC_21442 = 1273
  integer, parameter :: nGC_21443 = 1274
  integer, parameter :: nGC_21440 = 1275
  integer, parameter :: nGC_21441 = 1276
  integer, parameter :: nGC_21446 = 1277
  integer, parameter :: nGC_21447 = 1278
  integer, parameter :: nGC_21444 = 1279
  integer, parameter :: nGC_21445 = 1280
  integer, parameter :: nGC_36693 = 1281
  integer, parameter :: nGC_21448 = 1282
  integer, parameter :: nGC_5899 = 1283
  integer, parameter :: nGC_TS_GC_34_Hl = 1284
  integer, parameter :: nGC_22023 = 1285
  integer, parameter :: nGC_32202 = 1286
  integer, parameter :: nGC_32971 = 1287
  integer, parameter :: nGC_35258 = 1288
  integer, parameter :: nGC_36214 = 1289
  integer, parameter :: nGC_2143 = 1290
  integer, parameter :: nGC_21065 = 1291
  integer, parameter :: nGC_21597 = 1292
  integer, parameter :: nGC_21590 = 1293
  integer, parameter :: nGC_21591 = 1294
  integer, parameter :: nGC_21592 = 1295
  integer, parameter :: nGC_34231 = 1296
  integer, parameter :: nGC_35322 = 1297
  integer, parameter :: nGC_22854 = 1298
  integer, parameter :: nGC_43047 = 1299
  integer, parameter :: nGC_33226 = 1300
  integer, parameter :: nGC_TS_GC_36_Hh = 1301
  integer, parameter :: nGC_43045 = 1302
  integer, parameter :: nGC_TS_GC_36_Hl = 1303
  integer, parameter :: nGC_21628 = 1304
  integer, parameter :: nGC_21629 = 1305
  integer, parameter :: nGC_21623 = 1306
  integer, parameter :: nGC_21626 = 1307
  integer, parameter :: nGC_21627 = 1308
  integer, parameter :: nGC_21624 = 1309
  integer, parameter :: nGC_21625 = 1310
  integer, parameter :: nGC_20940 = 1311
  integer, parameter :: nGC_178 = 1312
  integer, parameter :: nGC_20942 = 1313
  integer, parameter :: nGC_35740 = 1314
  integer, parameter :: nGC_35741 = 1315
  integer, parameter :: nGC_35742 = 1316
  integer, parameter :: nGC_33319 = 1317
  integer, parameter :: nGC_TS_GC_372_Hh = 1318
  integer, parameter :: nGC_22613 = 1319
  integer, parameter :: nGC_22024 = 1320
  integer, parameter :: nGC_47063 = 1321
  integer, parameter :: nGC_21138 = 1322
  integer, parameter :: nGC_21139 = 1323
  integer, parameter :: nGC_21137 = 1324
  integer, parameter :: nGC_268 = 1325
  integer, parameter :: nGC_265 = 1326
  integer, parameter :: nGC_264 = 1327
  integer, parameter :: nGC_267 = 1328
  integer, parameter :: nGC_266 = 1329
  integer, parameter :: nGC_261 = 1330
  integer, parameter :: nGC_260 = 1331
  integer, parameter :: nGC_263 = 1332
  integer, parameter :: nGC_262 = 1333
  integer, parameter :: nGC_20984 = 1334
  integer, parameter :: nGC_20985 = 1335
  integer, parameter :: nGC_20986 = 1336
  integer, parameter :: nGC_20987 = 1337
  integer, parameter :: nGC_20981 = 1338
  integer, parameter :: nGC_20982 = 1339
  integer, parameter :: nGC_20988 = 1340
  integer, parameter :: nGC_20989 = 1341
  integer, parameter :: nGC_4477 = 1342
  integer, parameter :: nGC_21058 = 1343
  integer, parameter :: nGC_32574 = 1344
  integer, parameter :: nGC_32571 = 1345
  integer, parameter :: nGC_21051 = 1346
  integer, parameter :: nGC_21050 = 1347
  integer, parameter :: nGC_21053 = 1348
  integer, parameter :: nGC_21052 = 1349
  integer, parameter :: nGC_21054 = 1350
  integer, parameter :: nGC_21057 = 1351
  integer, parameter :: nGC_21056 = 1352
  integer, parameter :: nGC_33970 = 1353
  integer, parameter :: nGC_43566 = 1354
  integer, parameter :: nGC_43561 = 1355
  integer, parameter :: nGC_43562 = 1356
  integer, parameter :: nGC_20871 = 1357
  integer, parameter :: nGC_20872 = 1358
  integer, parameter :: nGC_20873 = 1359
  integer, parameter :: nGC_20874 = 1360
  integer, parameter :: nGC_20875 = 1361
  integer, parameter :: nGC_20876 = 1362
  integer, parameter :: nGC_20877 = 1363
  integer, parameter :: nGC_20878 = 1364
  integer, parameter :: nGC_20879 = 1365
  integer, parameter :: nGC_32680 = 1366
  integer, parameter :: nGC_38567 = 1367
  integer, parameter :: nGC_40720 = 1368
  integer, parameter :: nGC_40724 = 1369
  integer, parameter :: nGC_135 = 1370
  integer, parameter :: nGC_134 = 1371
  integer, parameter :: nGC_137 = 1372
  integer, parameter :: nGC_136 = 1373
  integer, parameter :: nGC_131 = 1374
  integer, parameter :: nGC_130 = 1375
  integer, parameter :: nGC_133 = 1376
  integer, parameter :: nGC_132 = 1377
  integer, parameter :: nGC_139 = 1378
  integer, parameter :: nGC_138 = 1379
  integer, parameter :: nGC_21837 = 1380
  integer, parameter :: nGC_21836 = 1381
  integer, parameter :: nGC_21835 = 1382
  integer, parameter :: nGC_21834 = 1383
  integer, parameter :: nGC_21833 = 1384
  integer, parameter :: nGC_21832 = 1385
  integer, parameter :: nGC_21831 = 1386
  integer, parameter :: nGC_21830 = 1387
  integer, parameter :: nGC_21894 = 1388
  integer, parameter :: nGC_21839 = 1389
  integer, parameter :: nGC_21838 = 1390
  integer, parameter :: nGC_32190 = 1391
  integer, parameter :: nGC_32191 = 1392
  integer, parameter :: nGC_32195 = 1393
  integer, parameter :: nGC_TS_GC_23_Hl = 1394
  integer, parameter :: nGC_TS_GC_23_Hh = 1395
  integer, parameter :: nGC_22238 = 1396
  integer, parameter :: nGC_22239 = 1397
  integer, parameter :: nGC_32759 = 1398
  integer, parameter :: nGC_22234 = 1399
  integer, parameter :: nGC_22235 = 1400
  integer, parameter :: nGC_22236 = 1401
  integer, parameter :: nGC_22230 = 1402
  integer, parameter :: nGC_22231 = 1403
  integer, parameter :: nGC_22232 = 1404
  integer, parameter :: nGC_22233 = 1405
  integer, parameter :: nGC_21903 = 1406
  integer, parameter :: nGC_21902 = 1407
  integer, parameter :: nGC_21901 = 1408
  integer, parameter :: nGC_21900 = 1409
  integer, parameter :: nGC_21907 = 1410
  integer, parameter :: nGC_21906 = 1411
  integer, parameter :: nGC_21905 = 1412
  integer, parameter :: nGC_21904 = 1413
  integer, parameter :: nGC_21909 = 1414
  integer, parameter :: nGC_21908 = 1415
  integer, parameter :: nGC_TS_GC_46_Hl = 1416
  integer, parameter :: nGC_1211 = 1417
  integer, parameter :: nGC_21899 = 1418
  integer, parameter :: nGC_22050 = 1419
  integer, parameter :: nGC_22052 = 1420
  integer, parameter :: nGC_22580 = 1421
  integer, parameter :: nGC_22053 = 1422
  integer, parameter :: nGC_22586 = 1423
  integer, parameter :: nGC_22584 = 1424
  integer, parameter :: nGC_33277 = 1425
  integer, parameter :: nGC_22054 = 1426
  integer, parameter :: nGC_22055 = 1427
  integer, parameter :: nGC_21947 = 1428
  integer, parameter :: nGC_22568 = 1429
  integer, parameter :: nGC_22569 = 1430
  integer, parameter :: nGC_22560 = 1431
  integer, parameter :: nGC_22561 = 1432
  integer, parameter :: nGC_22563 = 1433
  integer, parameter :: nGC_22564 = 1434
  integer, parameter :: nGC_22565 = 1435
  integer, parameter :: nGC_22566 = 1436
  integer, parameter :: nGC_22567 = 1437
  integer, parameter :: nGC_20801 = 1438
  integer, parameter :: nGC_21521 = 1439
  integer, parameter :: nGC_20827 = 1440
  integer, parameter :: nGC_32364 = 1441
  integer, parameter :: nGC_32361 = 1442
  integer, parameter :: nGC_21496 = 1443
  integer, parameter :: nGC_21964 = 1444
  integer, parameter :: nGC_22160 = 1445
  integer, parameter :: nGC_22691 = 1446
  integer, parameter :: nGC_777 = 1447
  integer, parameter :: nGC_20756 = 1448
  integer, parameter :: nGC_21455 = 1449
  integer, parameter :: nGC_21454 = 1450
  integer, parameter :: nGC_21451 = 1451
  integer, parameter :: nGC_21450 = 1452
  integer, parameter :: nGC_21453 = 1453
  integer, parameter :: nGC_21155 = 1454
  integer, parameter :: nGC_245 = 1455
  integer, parameter :: nGC_20803 = 1456
  integer, parameter :: nGC_244 = 1457
  integer, parameter :: nGC_2081 = 1458
  integer, parameter :: nGC_21898 = 1459
  integer, parameter :: nGC_241 = 1460
  integer, parameter :: nGC_21522 = 1461
  integer, parameter :: nGC_21653 = 1462
  integer, parameter :: nGC_21652 = 1463
  integer, parameter :: nGC_32767 = 1464
  integer, parameter :: nGC_21651 = 1465
  integer, parameter :: nGC_33586 = 1466
  integer, parameter :: nGC_56 = 1467
  integer, parameter :: nGC_21650 = 1468
  integer, parameter :: nGC_22836 = 1469
  integer, parameter :: nGC_22837 = 1470
  integer, parameter :: nGC_22838 = 1471
  integer, parameter :: nGC_22839 = 1472
  integer, parameter :: nGC_20690 = 1473
  integer, parameter :: nGC_20691 = 1474
  integer, parameter :: nGC_20692 = 1475
  integer, parameter :: nGC_20693 = 1476
  integer, parameter :: nGC_20694 = 1477
  integer, parameter :: nGC_20695 = 1478
  integer, parameter :: nGC_20696 = 1479
  integer, parameter :: nGC_20697 = 1480
  integer, parameter :: nGC_20698 = 1481
  integer, parameter :: nGC_20699 = 1482
  integer, parameter :: nGC_21665 = 1483
  integer, parameter :: nGC_22392 = 1484
  integer, parameter :: nGC_47603 = 1485
  integer, parameter :: nGC_21589 = 1486
  integer, parameter :: nGC_21588 = 1487
  integer, parameter :: nGC_36590 = 1488
  integer, parameter :: nGC_21639 = 1489
  integer, parameter :: nGC_21840 = 1490
  integer, parameter :: nGC_21663 = 1491
  integer, parameter :: nGC_21631 = 1492
  integer, parameter :: nGC_21630 = 1493
  integer, parameter :: nGC_21632 = 1494
  integer, parameter :: nGC_47113 = 1495
  integer, parameter :: nGC_TS_GC_243_Hl = 1496
  integer, parameter :: nGC_21660 = 1497
  integer, parameter :: nGC_21121 = 1498
  integer, parameter :: nGC_21120 = 1499
  integer, parameter :: nGC_21123 = 1500
  integer, parameter :: nGC_21122 = 1501
  integer, parameter :: nGC_21528 = 1502
  integer, parameter :: nGC_21124 = 1503
  integer, parameter :: nGC_22164 = 1504
  integer, parameter :: nGC_34374 = 1505
  integer, parameter :: nGC_258 = 1506
  integer, parameter :: nGC_259 = 1507
  integer, parameter :: nGC_MTA = 1508
  integer, parameter :: nGC_250 = 1509
  integer, parameter :: nGC_20780 = 1510
  integer, parameter :: nGC_252 = 1511
  integer, parameter :: nGC_253 = 1512
  integer, parameter :: nGC_254 = 1513
  integer, parameter :: nGC_255 = 1514
  integer, parameter :: nGC_256 = 1515
  integer, parameter :: nGC_257 = 1516
  integer, parameter :: nGC_20997 = 1517
  integer, parameter :: nGC_37581 = 1518
  integer, parameter :: nGC_22464 = 1519
  integer, parameter :: nGC_21075 = 1520
  integer, parameter :: nGC_20999 = 1521
  integer, parameter :: nGC_20998 = 1522
  integer, parameter :: nGC_21028 = 1523
  integer, parameter :: nGC_21029 = 1524
  integer, parameter :: nGC_21024 = 1525
  integer, parameter :: nGC_21025 = 1526
  integer, parameter :: nGC_21026 = 1527
  integer, parameter :: nGC_21027 = 1528
  integer, parameter :: nGC_22463 = 1529
  integer, parameter :: nGC_593 = 1530
  integer, parameter :: nGC_20863 = 1531
  integer, parameter :: nGC_20862 = 1532
  integer, parameter :: nGC_20861 = 1533
  integer, parameter :: nGC_140 = 1534
  integer, parameter :: nGC_20865 = 1535
  integer, parameter :: nGC_20864 = 1536
  integer, parameter :: nGC_21756 = 1537
  integer, parameter :: nGC_22300 = 1538
  integer, parameter :: nGC_32691 = 1539
  integer, parameter :: nGC_32690 = 1540
  integer, parameter :: nGC_TS_GC_63_Hh = 1541
  integer, parameter :: nGC_TS_GC_63_Hl = 1542
  integer, parameter :: nGC_21330 = 1543
  integer, parameter :: nGC_21331 = 1544
  integer, parameter :: nGC_22262 = 1545
  integer, parameter :: nGC_100 = 1546
  integer, parameter :: nGC_101 = 1547
  integer, parameter :: nGC_102 = 1548
  integer, parameter :: nGC_103 = 1549
  integer, parameter :: nGC_104 = 1550
  integer, parameter :: nGC_105 = 1551
  integer, parameter :: nGC_106 = 1552
  integer, parameter :: nGC_107 = 1553
  integer, parameter :: nGC_108 = 1554
  integer, parameter :: nGC_109 = 1555
  integer, parameter :: nGC_21695 = 1556
  integer, parameter :: nGC_21693 = 1557
  integer, parameter :: nGC_22264 = 1558
  integer, parameter :: nGC_21692 = 1559
  integer, parameter :: nGC_32187 = 1560
  integer, parameter :: nGC_21690 = 1561
  integer, parameter :: nGC_21282 = 1562
  integer, parameter :: nGC_56594 = 1563
  integer, parameter :: nGC_22229 = 1564
  integer, parameter :: nGC_22228 = 1565
  integer, parameter :: nGC_22227 = 1566
  integer, parameter :: nGC_22226 = 1567
  integer, parameter :: nGC_22225 = 1568
  integer, parameter :: nGC_22224 = 1569
  integer, parameter :: nGC_22223 = 1570
  integer, parameter :: nGC_22220 = 1571
  integer, parameter :: nGC_21936 = 1572
  integer, parameter :: nGC_21937 = 1573
  integer, parameter :: nGC_21934 = 1574
  integer, parameter :: nGC_21935 = 1575
  integer, parameter :: nGC_21932 = 1576
  integer, parameter :: nGC_21933 = 1577
  integer, parameter :: nGC_TS_GC_214_Hh = 1578
  integer, parameter :: nGC_20915 = 1579
  integer, parameter :: nGC_21938 = 1580
  integer, parameter :: nGC_21939 = 1581
  integer, parameter :: nGC_TS_GC_242_Hl = 1582
  integer, parameter :: nGC_43990 = 1583
  integer, parameter :: nGC_20812 = 1584
  integer, parameter :: nGC_185 = 1585
  integer, parameter :: nGC_43992 = 1586
  integer, parameter :: nGC_1433 = 1587
  integer, parameter :: nGC_187 = 1588
  integer, parameter :: nGC_21449 = 1589
  integer, parameter :: nGC_22594 = 1590
  integer, parameter :: nGC_22597 = 1591
  integer, parameter :: nGC_22596 = 1592
  integer, parameter :: nGC_22591 = 1593
  integer, parameter :: nGC_22590 = 1594
  integer, parameter :: nGC_22593 = 1595
  integer, parameter :: nGC_22592 = 1596
  integer, parameter :: nGC_20813 = 1597
  integer, parameter :: nGC_22599 = 1598
  integer, parameter :: nGC_22598 = 1599
  integer, parameter :: nGC_22357 = 1600
  integer, parameter :: nGC_22356 = 1601
  integer, parameter :: nGC_22354 = 1602
  integer, parameter :: nGC_21802 = 1603
  integer, parameter :: nGC_21800 = 1604
  integer, parameter :: nGC_21801 = 1605
  integer, parameter :: nGC_22579 = 1606
  integer, parameter :: nGC_22578 = 1607
  integer, parameter :: nGC_20810 = 1608
  integer, parameter :: nGC_21530 = 1609
  integer, parameter :: nGC_22572 = 1610
  integer, parameter :: nGC_22571 = 1611
  integer, parameter :: nGC_22570 = 1612
  integer, parameter :: nGC_22577 = 1613
  integer, parameter :: nGC_22576 = 1614
  integer, parameter :: nGC_22575 = 1615
  integer, parameter :: nGC_22574 = 1616
  integer, parameter :: nGC_32352 = 1617
  integer, parameter :: nGC_33496 = 1618
  integer, parameter :: nGC_32358 = 1619
  integer, parameter :: nGC_22689 = 1620
  integer, parameter :: nGC_22688 = 1621
  integer, parameter :: nGC_20811 = 1622
  integer, parameter :: nGC_22680 = 1623
  integer, parameter :: nGC_22683 = 1624
  integer, parameter :: nGC_33972 = 1625
  integer, parameter :: nGC_22685 = 1626
  integer, parameter :: nGC_22687 = 1627
  integer, parameter :: nGC_22686 = 1628
  integer, parameter :: nGC_22177 = 1629
  integer, parameter :: nGC_22176 = 1630
  integer, parameter :: nGC_22175 = 1631
  integer, parameter :: nGC_22174 = 1632
  integer, parameter :: nGC_22173 = 1633
  integer, parameter :: nGC_22172 = 1634
  integer, parameter :: nGC_22171 = 1635
  integer, parameter :: nGC_22170 = 1636
  integer, parameter :: nGC_22179 = 1637
  integer, parameter :: nGC_22178 = 1638
  integer, parameter :: nGC_20816 = 1639
  integer, parameter :: nGC_611 = 1640
  integer, parameter :: nGC_21598 = 1641
  integer, parameter :: nGC_21599 = 1642
  integer, parameter :: nGC_591 = 1643
  integer, parameter :: nGC_20817 = 1644
  integer, parameter :: nGC_39287 = 1645
  integer, parameter :: nGC_22165 = 1646
  integer, parameter :: nGC_32228 = 1647
  integer, parameter :: nGC_22166 = 1648
  integer, parameter :: nGC_20683 = 1649
  integer, parameter :: nGC_20682 = 1650
  integer, parameter :: nGC_20681 = 1651
  integer, parameter :: nGC_20680 = 1652
  integer, parameter :: nGC_20687 = 1653
  integer, parameter :: nGC_20686 = 1654
  integer, parameter :: nGC_20685 = 1655
  integer, parameter :: nGC_20684 = 1656
  integer, parameter :: nGC_20689 = 1657
  integer, parameter :: nGC_20688 = 1658
  integer, parameter :: nGC_20815 = 1659
  integer, parameter :: nGC_34215 = 1660
  integer, parameter :: nGC_TS_GC_178_Hh = 1661
  integer, parameter :: nGC_TS_GC_178_Hl = 1662
  integer, parameter :: nGC_22465 = 1663
  integer, parameter :: nGC_292 = 1664
  integer, parameter :: nGC_20996 = 1665
  integer, parameter :: nGC_TS_GC_35_Hl = 1666
  integer, parameter :: nGC_21488 = 1667
  integer, parameter :: nGC_21489 = 1668
  integer, parameter :: nGC_21486 = 1669
  integer, parameter :: nGC_21487 = 1670
  integer, parameter :: nGC_21484 = 1671
  integer, parameter :: nGC_21485 = 1672
  integer, parameter :: nGC_21482 = 1673
  integer, parameter :: nGC_21483 = 1674
  integer, parameter :: nGC_21481 = 1675
  integer, parameter :: nGC_21974 = 1676
  integer, parameter :: nGC_21538 = 1677
  integer, parameter :: nGC_22162 = 1678
  integer, parameter :: nGC_33117 = 1679
  integer, parameter :: nGC_33378 = 1680
  integer, parameter :: nGC_33377 = 1681
  integer, parameter :: nGC_22112 = 1682
  integer, parameter :: nGC_21539 = 1683
  integer, parameter :: nGC_22163 = 1684
  integer, parameter :: nGC_3071 = 1685
  integer, parameter :: nGC_21154 = 1686
  integer, parameter :: nGC_35937 = 1687
  integer, parameter :: nGC_21156 = 1688
  integer, parameter :: nGC_21157 = 1689
  integer, parameter :: nGC_21150 = 1690
  integer, parameter :: nGC_21151 = 1691
  integer, parameter :: nGC_21152 = 1692
  integer, parameter :: nGC_21153 = 1693
  integer, parameter :: nGC_249 = 1694
  integer, parameter :: nGC_248 = 1695
  integer, parameter :: nGC_34562 = 1696
  integer, parameter :: nGC_21081 = 1697
  integer, parameter :: nGC_32518 = 1698
  integer, parameter :: nGC_22730 = 1699
  integer, parameter :: nGC_32511 = 1700
  integer, parameter :: nGC_32512 = 1701
  integer, parameter :: nGC_21245 = 1702
  integer, parameter :: nGC_21039 = 1703
  integer, parameter :: nGC_21038 = 1704
  integer, parameter :: nGC_21037 = 1705
  integer, parameter :: nGC_21036 = 1706
  integer, parameter :: nGC_21035 = 1707
  integer, parameter :: nGC_21034 = 1708
  integer, parameter :: nGC_21033 = 1709
  integer, parameter :: nGC_21032 = 1710
  integer, parameter :: nGC_21031 = 1711
  integer, parameter :: nGC_21030 = 1712
  integer, parameter :: nGC_20856 = 1713
  integer, parameter :: nGC_20857 = 1714
  integer, parameter :: nGC_20855 = 1715
  integer, parameter :: nGC_21059 = 1716
  integer, parameter :: nGC_20858 = 1717
  integer, parameter :: nGC_20859 = 1718
  integer, parameter :: nGC_118 = 1719
  integer, parameter :: nGC_21323 = 1720
  integer, parameter :: nGC_21322 = 1721
  integer, parameter :: nGC_21321 = 1722
  integer, parameter :: nGC_21320 = 1723
  integer, parameter :: nGC_21327 = 1724
  integer, parameter :: nGC_21326 = 1725
  integer, parameter :: nGC_21325 = 1726
  integer, parameter :: nGC_21324 = 1727
  integer, parameter :: nGC_21329 = 1728
  integer, parameter :: nGC_21328 = 1729
  integer, parameter :: nGC_22168 = 1730
  integer, parameter :: nGC_TS_GC_360_Hh = 1731
  integer, parameter :: nGC_119 = 1732
  integer, parameter :: nGC_21748 = 1733
  integer, parameter :: nGC_117 = 1734
  integer, parameter :: nGC_116 = 1735
  integer, parameter :: nGC_115 = 1736
  integer, parameter :: nGC_114 = 1737
  integer, parameter :: nGC_113 = 1738
  integer, parameter :: nGC_112 = 1739
  integer, parameter :: nGC_111 = 1740
  integer, parameter :: nGC_110 = 1741
  integer, parameter :: nGC_56589 = 1742
  integer, parameter :: nGC_TS_GC_378_Hh = 1743
  integer, parameter :: nGC_22211 = 1744
  integer, parameter :: nGC_22216 = 1745
  integer, parameter :: nGC_22214 = 1746
  integer, parameter :: nGC_22215 = 1747
  integer, parameter :: nGC_22218 = 1748
  integer, parameter :: nGC_22219 = 1749
  integer, parameter :: nGC_TS_GC_47_Hh = 1750
  integer, parameter :: nGC_TS_GC_47_Hl = 1751
  integer, parameter :: nGC_32648 = 1752
  integer, parameter :: nGC_32649 = 1753
  integer, parameter :: nGC_45750 = 1754
  integer, parameter :: nGC_32645 = 1755
  integer, parameter :: nGC_22366 = 1756
  integer, parameter :: nGC_22367 = 1757
  integer, parameter :: nGC_22364 = 1758
  integer, parameter :: nGC_22365 = 1759
  integer, parameter :: nGC_22362 = 1760
  integer, parameter :: nGC_22368 = 1761
  integer, parameter :: nGC_22369 = 1762
  integer, parameter :: nGC_22548 = 1763
  integer, parameter :: nGC_22549 = 1764
  integer, parameter :: nGC_22546 = 1765
  integer, parameter :: nGC_22547 = 1766
  integer, parameter :: nGC_22544 = 1767
  integer, parameter :: nGC_22545 = 1768
  integer, parameter :: nGC_22542 = 1769
  integer, parameter :: nGC_22543 = 1770
  integer, parameter :: nGC_22540 = 1771
  integer, parameter :: nGC_22541 = 1772
  integer, parameter :: nGC_TS_GC_52_Hh = 1773
  integer, parameter :: nGC_32347 = 1774
  integer, parameter :: nGC_32346 = 1775
  integer, parameter :: nGC_TS_GC_52_Hl = 1776
  integer, parameter :: nGC_35423 = 1777
  integer, parameter :: nGC_933 = 1778
  integer, parameter :: nGC_22148 = 1779
  integer, parameter :: nGC_22149 = 1780
  integer, parameter :: nGC_33908 = 1781
  integer, parameter :: nGC_22142 = 1782
  integer, parameter :: nGC_33905 = 1783
  integer, parameter :: nGC_33906 = 1784
  integer, parameter :: nGC_33907 = 1785
  integer, parameter :: nGC_22146 = 1786
  integer, parameter :: nGC_22147 = 1787
  integer, parameter :: nGC_22145 = 1788
  integer, parameter :: nGC_TS_GC_22_Hh = 1789
  integer, parameter :: nGC_44806 = 1790
  integer, parameter :: nGC_44804 = 1791
  integer, parameter :: nGC_44803 = 1792
  integer, parameter :: nGC_44802 = 1793
  integer, parameter :: nGC_32239 = 1794
  integer, parameter :: nGC_22644 = 1795
  integer, parameter :: nGC_32231 = 1796
  integer, parameter :: nGC_32234 = 1797
  integer, parameter :: nGC_32236 = 1798
  integer, parameter :: nGC_22646 = 1799
  integer, parameter :: nGC_22641 = 1800
  integer, parameter :: nGC_TS_GC_224_Hh = 1801
  integer, parameter :: nGC_22640 = 1802
  integer, parameter :: nGC_2193 = 1803
  integer, parameter :: nGC_36555 = 1804
  integer, parameter :: nGC_36556 = 1805
  integer, parameter :: nGC_36557 = 1806
  integer, parameter :: nGC_35190 = 1807
  integer, parameter :: nGC_49408 = 1808
  integer, parameter :: nGC_3465 = 1809
  integer, parameter :: nGC_3467 = 1810
  integer, parameter :: nGC_34485 = 1811
  integer, parameter :: nGC_34486 = 1812
  integer, parameter :: nGC_34487 = 1813
  integer, parameter :: nGC_34480 = 1814
  integer, parameter :: nGC_34179 = 1815
  integer, parameter :: nGC_34174 = 1816
  integer, parameter :: nGC_34175 = 1817
  integer, parameter :: nGC_33345 = 1818
  integer, parameter :: nGC_39921 = 1819
  integer, parameter :: nGC_39922 = 1820
  integer, parameter :: nGC_2841 = 1821
  integer, parameter :: nGC_34003 = 1822
  integer, parameter :: nGC_34004 = 1823
  integer, parameter :: nGC_34008 = 1824
  integer, parameter :: nGC_34009 = 1825
  integer, parameter :: nGC_32895 = 1826
  integer, parameter :: nGC_32503 = 1827
  integer, parameter :: nGC_51742 = 1828
  integer, parameter :: nGC_51743 = 1829
  integer, parameter :: nGC_51741 = 1830
  integer, parameter :: nGC_33292 = 1831
  integer, parameter :: nGC_33293 = 1832
  integer, parameter :: nGC_TS_GC_369_Hl = 1833
  integer, parameter :: nGC_33298 = 1834
  integer, parameter :: nGC_33299 = 1835
  integer, parameter :: nGC_22118 = 1836
  integer, parameter :: nGC_34828 = 1837
  integer, parameter :: nGC_TS_GC_49_Hl = 1838
  integer, parameter :: nGC_33121 = 1839
  integer, parameter :: nGC_33126 = 1840
  integer, parameter :: nGC_39652 = 1841
  integer, parameter :: nGC_32474 = 1842
  integer, parameter :: nGC_22205 = 1843
  integer, parameter :: nGC_22204 = 1844
  integer, parameter :: nGC_22207 = 1845
  integer, parameter :: nGC_32724 = 1846
  integer, parameter :: nGC_22201 = 1847
  integer, parameter :: nGC_22200 = 1848
  integer, parameter :: nGC_33638 = 1849
  integer, parameter :: nGC_33639 = 1850
  integer, parameter :: nGC_33637 = 1851
  integer, parameter :: nGC_21952 = 1852
  integer, parameter :: nGC_21953 = 1853
  integer, parameter :: nGC_45751 = 1854
  integer, parameter :: nGC_33750 = 1855
  integer, parameter :: nGC_33753 = 1856
  integer, parameter :: nGC_TS_GC_213_Hl = 1857
  integer, parameter :: nGC_22371 = 1858
  integer, parameter :: nGC_22370 = 1859
  integer, parameter :: nGC_32651 = 1860
  integer, parameter :: nGC_22375 = 1861
  integer, parameter :: nGC_22376 = 1862
  integer, parameter :: nGC_TS_GC_179_Hl = 1863
  integer, parameter :: nGC_TS_GC_179_Hh = 1864
  integer, parameter :: nGC_22551 = 1865
  integer, parameter :: nGC_22550 = 1866
  integer, parameter :: nGC_22553 = 1867
  integer, parameter :: nGC_22552 = 1868
  integer, parameter :: nGC_22555 = 1869
  integer, parameter :: nGC_22554 = 1870
  integer, parameter :: nGC_22557 = 1871
  integer, parameter :: nGC_22556 = 1872
  integer, parameter :: nGC_22559 = 1873
  integer, parameter :: nGC_22558 = 1874
  integer, parameter :: nGC_22209 = 1875
  integer, parameter :: nGC_22159 = 1876
  integer, parameter :: nGC_22155 = 1877
  integer, parameter :: nGC_22154 = 1878
  integer, parameter :: nGC_22153 = 1879
  integer, parameter :: nGC_22152 = 1880
  integer, parameter :: nGC_41576 = 1881
  integer, parameter :: nGC_TS_GC_41_Hl = 1882
  integer, parameter :: nGC_22664 = 1883
  integer, parameter :: nGC_61006 = 1884
  integer, parameter :: nGC_32240 = 1885
  integer, parameter :: nGC_32241 = 1886
  integer, parameter :: nGC_32242 = 1887
  integer, parameter :: nGC_32243 = 1888
  integer, parameter :: nGC_34764 = 1889
  integer, parameter :: nGC_2617 = 1890
  integer, parameter :: nGC_TS_GC_241_Hl = 1891
  integer, parameter :: nGC_35161 = 1892
  integer, parameter :: nGC_35421 = 1893
  integer, parameter :: nGC_32394 = 1894
  integer, parameter :: nGC_32391 = 1895
  integer, parameter :: nGC_32869 = 1896
  integer, parameter :: nGC_38534 = 1897
  integer, parameter :: nGC_38537 = 1898
  integer, parameter :: nGC_38539 = 1899
  integer, parameter :: nGC_32864 = 1900
  integer, parameter :: nGC_35704 = 1901
  integer, parameter :: nGC_35706 = 1902
  integer, parameter :: nGC_38621 = 1903
  integer, parameter :: nGC_TS_GC_38_Hl = 1904
  integer, parameter :: nGC_TS_GC_77_Hl = 1905
  integer, parameter :: nGC_TS_GC_77_Hh = 1906
  integer, parameter :: nGC_35942 = 1907
  integer, parameter :: nGC_34385 = 1908
  integer, parameter :: nGC_34541 = 1909
  integer, parameter :: nGC_34543 = 1910
  integer, parameter :: nGC_34542 = 1911
  integer, parameter :: nGC_34544 = 1912
  integer, parameter :: nGC_34014 = 1913
  integer, parameter :: nGC_34018 = 1914
  integer, parameter :: nGC_22140 = 1915
  integer, parameter :: nGC_22141 = 1916
  integer, parameter :: nGC_32539 = 1917
  integer, parameter :: nGC_43632 = 1918
  integer, parameter :: nGC_43634 = 1919
  integer, parameter :: nGC_33173 = 1920
  integer, parameter :: nGC_34830 = 1921
  integer, parameter :: nGC_34832 = 1922
  integer, parameter :: nGC_41678 = 1923
  integer, parameter :: nGC_5895 = 1924
  integer, parameter :: nGC_5893 = 1925
  integer, parameter :: nGC_32408 = 1926
  integer, parameter :: nGC_5891 = 1927
  integer, parameter :: nGC_54098 = 1928
  integer, parameter :: nGC_43259 = 1929
  integer, parameter :: nGC_37151 = 1930
  integer, parameter :: nGC_57811 = 1931
  integer, parameter :: nGC_1083 = 1932
  integer, parameter :: nGC_56562 = 1933
  integer, parameter :: nGC_32711 = 1934
  integer, parameter :: nGC_21948 = 1935
  integer, parameter :: nGC_21944 = 1936
  integer, parameter :: nGC_21943 = 1937
  integer, parameter :: nGC_40858 = 1938
  integer, parameter :: nGC_40857 = 1939
  integer, parameter :: nGC_22098 = 1940
  integer, parameter :: nGC_22099 = 1941
  integer, parameter :: nGC_22094 = 1942
  integer, parameter :: nGC_22095 = 1943
  integer, parameter :: nGC_22096 = 1944
  integer, parameter :: nGC_22097 = 1945
  integer, parameter :: nGC_22090 = 1946
  integer, parameter :: nGC_22091 = 1947
  integer, parameter :: nGC_22092 = 1948
  integer, parameter :: nGC_22093 = 1949
  integer, parameter :: nGC_32665 = 1950
  integer, parameter :: nGC_22301 = 1951
  integer, parameter :: nGC_22302 = 1952
  integer, parameter :: nGC_22303 = 1953
  integer, parameter :: nGC_22524 = 1954
  integer, parameter :: nGC_22525 = 1955
  integer, parameter :: nGC_22526 = 1956
  integer, parameter :: nGC_22527 = 1957
  integer, parameter :: nGC_22520 = 1958
  integer, parameter :: nGC_22521 = 1959
  integer, parameter :: nGC_22522 = 1960
  integer, parameter :: nGC_22523 = 1961
  integer, parameter :: nGC_22528 = 1962
  integer, parameter :: nGC_22529 = 1963
  integer, parameter :: nGC_1067 = 1964
  integer, parameter :: nGC_33924 = 1965
  integer, parameter :: nGC_22411 = 1966
  integer, parameter :: nGC_22412 = 1967
  integer, parameter :: nGC_22414 = 1968
  integer, parameter :: nGC_22416 = 1969
  integer, parameter :: nGC_22417 = 1970
  integer, parameter :: nGC_22638 = 1971
  integer, parameter :: nGC_22639 = 1972
  integer, parameter :: nGC_22630 = 1973
  integer, parameter :: nGC_22631 = 1974
  integer, parameter :: nGC_22632 = 1975
  integer, parameter :: nGC_22633 = 1976
  integer, parameter :: nGC_22634 = 1977
  integer, parameter :: nGC_22635 = 1978
  integer, parameter :: nGC_22636 = 1979
  integer, parameter :: nGC_22637 = 1980
  integer, parameter :: nGC_32255 = 1981
  integer, parameter :: nGC_36978 = 1982
  integer, parameter :: nGC_36976 = 1983
  integer, parameter :: nGC_TS_GC_40_Hl = 1984
  integer, parameter :: nGC_TS_GC_333_Hl = 1985
  integer, parameter :: nGC_35375 = 1986
  integer, parameter :: nGC_TS_GC_53_Hl = 1987
  integer, parameter :: nGC_35372 = 1988
  integer, parameter :: nGC_39653 = 1989
  integer, parameter :: nGC_32387 = 1990
  integer, parameter :: nGC_32870 = 1991
  integer, parameter :: nGC_22333 = 1992
  integer, parameter :: nGC_TS_GC_250_Hh = 1993
  integer, parameter :: nGC_34022 = 1994
  integer, parameter :: nGC_TS_GC_46_Hh = 1995
  integer, parameter :: nGC_48332 = 1996
  integer, parameter :: nGC_43644 = 1997
  integer, parameter :: nGC_43640 = 1998
  integer, parameter :: nGC_43641 = 1999
  integer, parameter :: nGC_43642 = 2000
  integer, parameter :: nGC_43643 = 2001
  integer, parameter :: nGC_32418 = 2002
  integer, parameter :: nGC_32412 = 2003
  integer, parameter :: nGC_34848 = 2004
  integer, parameter :: nGC_37386 = 2005
  integer, parameter :: nGC_37385 = 2006
  integer, parameter :: nGC_33387 = 2007
  integer, parameter :: nGC_33384 = 2008
  integer, parameter :: nGC_43265 = 2009
  integer, parameter :: nGC_21973 = 2010
  integer, parameter :: nGC_21976 = 2011
  integer, parameter :: nGC_21977 = 2012
  integer, parameter :: nGC_21975 = 2013
  integer, parameter :: nGC_21978 = 2014
  integer, parameter :: nGC_21979 = 2015
  integer, parameter :: nGC_33659 = 2016
  integer, parameter :: nGC_21998 = 2017
  integer, parameter :: nGC_21999 = 2018
  integer, parameter :: nGC_21992 = 2019
  integer, parameter :: nGC_21993 = 2020
  integer, parameter :: nGC_21994 = 2021
  integer, parameter :: nGC_21995 = 2022
  integer, parameter :: nGC_21996 = 2023
  integer, parameter :: nGC_21997 = 2024
  integer, parameter :: nGC_22210 = 2025
  integer, parameter :: nGC_22089 = 2026
  integer, parameter :: nGC_22088 = 2027
  integer, parameter :: nGC_22087 = 2028
  integer, parameter :: nGC_22084 = 2029
  integer, parameter :: nGC_22083 = 2030
  integer, parameter :: nGC_22082 = 2031
  integer, parameter :: nGC_22081 = 2032
  integer, parameter :: nGC_32675 = 2033
  integer, parameter :: nGC_22310 = 2034
  integer, parameter :: nGC_22537 = 2035
  integer, parameter :: nGC_22536 = 2036
  integer, parameter :: nGC_22535 = 2037
  integer, parameter :: nGC_TS_GC_48_Hh = 2038
  integer, parameter :: nGC_22533 = 2039
  integer, parameter :: nGC_22532 = 2040
  integer, parameter :: nGC_22531 = 2041
  integer, parameter :: nGC_22530 = 2042
  integer, parameter :: nGC_22539 = 2043
  integer, parameter :: nGC_22538 = 2044
  integer, parameter :: nGC_1275 = 2045
  integer, parameter :: nGC_33427 = 2046
  integer, parameter :: nGC_22403 = 2047
  integer, parameter :: nGC_22406 = 2048
  integer, parameter :: nGC_22405 = 2049
  integer, parameter :: nGC_22404 = 2050
  integer, parameter :: nGC_22408 = 2051
  integer, parameter :: nGC_22629 = 2052
  integer, parameter :: nGC_22628 = 2053
  integer, parameter :: nGC_22623 = 2054
  integer, parameter :: nGC_22622 = 2055
  integer, parameter :: nGC_22621 = 2056
  integer, parameter :: nGC_22620 = 2057
  integer, parameter :: nGC_22627 = 2058
  integer, parameter :: nGC_22626 = 2059
  integer, parameter :: nGC_22625 = 2060
  integer, parameter :: nGC_TS_GC_37_Hh = 2061
  integer, parameter :: nGC_TS_GC_18_Hl = 2062
  integer, parameter :: nGC_34706 = 2063
  integer, parameter :: nGC_39359 = 2064
  integer, parameter :: nGC_2499 = 2065
  integer, parameter :: nGC_32849 = 2066
  integer, parameter :: nGC_32847 = 2067
  integer, parameter :: nGC_39356 = 2068
  integer, parameter :: nGC_2705 = 2069
  integer, parameter :: nGC_32280 = 2070
  integer, parameter :: nGC_32281 = 2071
  integer, parameter :: nGC_32282 = 2072
  integer, parameter :: nGC_32284 = 2073
  integer, parameter :: nGC_38992 = 2074
  integer, parameter :: nGC_38993 = 2075
  integer, parameter :: nGC_38991 = 2076
  integer, parameter :: nGC_38994 = 2077
  integer, parameter :: nGC_38995 = 2078
  integer, parameter :: nGC_34036 = 2079
  integer, parameter :: nGC_51736 = 2080
  integer, parameter :: nGC_51735 = 2081
  integer, parameter :: nGC_TS_GC_261_Hl = 2082
  integer, parameter :: nGC_38776 = 2083
  integer, parameter :: nGC_32465 = 2084
  integer, parameter :: nGC_37395 = 2085
  integer, parameter :: nGC_37391 = 2086
  integer, parameter :: nGC_37393 = 2087
  integer, parameter :: nGC_1669 = 2088
  integer, parameter :: nGC_21965 = 2089
  integer, parameter :: nGC_22696 = 2090
  integer, parameter :: nGC_21966 = 2091
  integer, parameter :: nGC_21961 = 2092
  integer, parameter :: nGC_33641 = 2093
  integer, parameter :: nGC_33640 = 2094
  integer, parameter :: nGC_36197 = 2095
  integer, parameter :: nGC_22693 = 2096
  integer, parameter :: nGC_21989 = 2097
  integer, parameter :: nGC_21988 = 2098
  integer, parameter :: nGC_21983 = 2099
  integer, parameter :: nGC_21982 = 2100
  integer, parameter :: nGC_21981 = 2101
  integer, parameter :: nGC_21980 = 2102
  integer, parameter :: nGC_21987 = 2103
  integer, parameter :: nGC_21986 = 2104
  integer, parameter :: nGC_21985 = 2105
  integer, parameter :: nGC_21984 = 2106
  integer, parameter :: nGC_22515 = 2107
  integer, parameter :: nGC_33706 = 2108
  integer, parameter :: nGC_22514 = 2109
  integer, parameter :: nGC_22517 = 2110
  integer, parameter :: nGC_22322 = 2111
  integer, parameter :: nGC_22326 = 2112
  integer, parameter :: nGC_32602 = 2113
  integer, parameter :: nGC_22511 = 2114
  integer, parameter :: nGC_22046 = 2115
  integer, parameter :: nGC_22513 = 2116
  integer, parameter :: nGC_37177 = 2117
  integer, parameter :: nGC_22512 = 2118
  integer, parameter :: nGC_TS_GC_332_Hh = 2119
  integer, parameter :: nGC_22186 = 2120
  integer, parameter :: nGC_22184 = 2121
  integer, parameter :: nGC_22185 = 2122
  integer, parameter :: nGC_22180 = 2123
  integer, parameter :: nGC_32111 = 2124
  integer, parameter :: nGC_32114 = 2125
  integer, parameter :: nGC_22188 = 2126
  integer, parameter :: nGC_32117 = 2127
  integer, parameter :: nGC_22436 = 2128
  integer, parameter :: nGC_22437 = 2129
  integer, parameter :: nGC_22434 = 2130
  integer, parameter :: nGC_22433 = 2131
  integer, parameter :: nGC_22430 = 2132
  integer, parameter :: nGC_22438 = 2133
  integer, parameter :: nGC_22618 = 2134
  integer, parameter :: nGC_22619 = 2135
  integer, parameter :: nGC_22616 = 2136
  integer, parameter :: nGC_22617 = 2137
  integer, parameter :: nGC_22614 = 2138
  integer, parameter :: nGC_22615 = 2139
  integer, parameter :: nGC_22612 = 2140
  integer, parameter :: nGC_22610 = 2141
  integer, parameter :: nGC_22611 = 2142
  integer, parameter :: nGC_32275 = 2143
  integer, parameter :: nGC_32272 = 2144
  integer, parameter :: nGC_22058 = 2145
  integer, parameter :: nGC_22508 = 2146
  integer, parameter :: nGC_22502 = 2147
  integer, parameter :: nGC_22503 = 2148
  integer, parameter :: nGC_22500 = 2149
  integer, parameter :: nGC_22501 = 2150
  integer, parameter :: nGC_22506 = 2151
  integer, parameter :: nGC_22507 = 2152
  integer, parameter :: nGC_22504 = 2153
  integer, parameter :: nGC_22505 = 2154
  integer, parameter :: nGC_39580 = 2155
  integer, parameter :: nGC_TS_GC_42_Hh = 2156
  integer, parameter :: nGC_36596 = 2157
  integer, parameter :: nGC_35156 = 2158
  integer, parameter :: nGC_36359 = 2159
  integer, parameter :: nGC_32850 = 2160
  integer, parameter :: nGC_39362 = 2161
  integer, parameter :: nGC_39361 = 2162
  integer, parameter :: nGC_35739 = 2163
  integer, parameter :: nGC_32297 = 2164
  integer, parameter :: nGC_34191 = 2165
  integer, parameter :: nGC_48518 = 2166
  integer, parameter :: nGC_35939 = 2167
  integer, parameter :: nGC_35938 = 2168
  integer, parameter :: nGC_33092 = 2169
  integer, parameter :: nGC_22694 = 2170
  integer, parameter :: nGC_33095 = 2171
  integer, parameter :: nGC_33252 = 2172
  integer, parameter :: nGC_33255 = 2173
  integer, parameter :: nGC_38767 = 2174
  integer, parameter :: nGC_34463 = 2175
  integer, parameter :: nGC_34861 = 2176
  integer, parameter :: nGC_32472 = 2177
  integer, parameter :: nGC_51416 = 2178
  integer, parameter :: nGC_40260 = 2179
  integer, parameter :: nGC_37345 = 2180
  integer, parameter :: nGC_TS_GC_246_Hl = 2181
  integer, parameter :: nGC_22534 = 2182
  integer, parameter :: nGC_33713 = 2183
  integer, parameter :: nGC_22335 = 2184
  integer, parameter :: nGC_22334 = 2185
  integer, parameter :: nGC_32611 = 2186
  integer, parameter :: nGC_22339 = 2187
  integer, parameter :: nGC_22338 = 2188
  integer, parameter :: nGC_44418 = 2189
  integer, parameter :: nGC_22199 = 2190
  integer, parameter :: nGC_22198 = 2191
  integer, parameter :: nGC_22191 = 2192
  integer, parameter :: nGC_22190 = 2193
  integer, parameter :: nGC_22193 = 2194
  integer, parameter :: nGC_22192 = 2195
  integer, parameter :: nGC_22195 = 2196
  integer, parameter :: nGC_22194 = 2197
  integer, parameter :: nGC_22197 = 2198
  integer, parameter :: nGC_22196 = 2199
  integer, parameter :: nGC_22428 = 2200
  integer, parameter :: nGC_22421 = 2201
  integer, parameter :: nGC_57221 = 2202
  integer, parameter :: nGC_22422 = 2203
  integer, parameter :: nGC_57226 = 2204
  integer, parameter :: nGC_22427 = 2205
  integer, parameter :: nGC_TS_GC_249_Hh = 2206
  integer, parameter :: nGC_22601 = 2207
  integer, parameter :: nGC_22600 = 2208
  integer, parameter :: nGC_22603 = 2209
  integer, parameter :: nGC_22602 = 2210
  integer, parameter :: nGC_22605 = 2211
  integer, parameter :: nGC_22604 = 2212
  integer, parameter :: nGC_22607 = 2213
  integer, parameter :: nGC_22606 = 2214
  integer, parameter :: nGC_22609 = 2215
  integer, parameter :: nGC_22608 = 2216
  integer, parameter :: nGC_22049 = 2217
  integer, parameter :: nGC_22048 = 2218
  integer, parameter :: nGC_22519 = 2219
  integer, parameter :: nGC_22518 = 2220
  integer, parameter :: nGC_22042 = 2221
  integer, parameter :: nGC_22041 = 2222
  integer, parameter :: nGC_22040 = 2223
  integer, parameter :: nGC_22510 = 2224
  integer, parameter :: nGC_22045 = 2225
  integer, parameter :: nGC_22044 = 2226
  integer, parameter :: nGC_36907 = 2227
  integer, parameter :: nGC_35589 = 2228
  integer, parameter :: nGC_36908 = 2229
  integer, parameter :: nGC_22039 = 2230
  integer, parameter :: nGC_34723 = 2231
  integer, parameter :: nGC_36580 = 2232
  integer, parameter :: nGC_TS_GC_20_Hl = 2233
  integer, parameter :: nGC_TS_GC_20_Hh = 2234
  integer, parameter :: nGC_33836 = 2235
  integer, parameter :: nGC_32823 = 2236
  integer, parameter :: nGC_TS_GC_252_Hl = 2237
  integer, parameter :: nGC_38371 = 2238
  integer, parameter :: nGC_35587 = 2239
  integer, parameter :: nGC_35584 = 2240
  integer, parameter :: nGC_34181 = 2241
  integer, parameter :: nGC_34180 = 2242
  integer, parameter :: nGC_34183 = 2243
  integer, parameter :: nGC_34182 = 2244
  integer, parameter :: nGC_34185 = 2245
  integer, parameter :: nGC_34184 = 2246
  integer, parameter :: nGC_34509 = 2247
  integer, parameter :: nGC_38791 = 2248
  integer, parameter :: nGC_34478 = 2249
  integer, parameter :: nGC_32448 = 2250
  integer, parameter :: nGC_32449 = 2251
  integer, parameter :: nGC_51408 = 2252
  integer, parameter :: nGC_22624 = 2253
  integer, parameter :: nGC_37573 = 2254
  integer, parameter :: nGC_37575 = 2255
  integer, parameter :: nGC_1603 = 2256
  integer, parameter :: nGC_33664 = 2257
  integer, parameter :: nGC_32595 = 2258
  integer, parameter :: nGC_32591 = 2259
  integer, parameter :: nGC_1113 = 2260
  integer, parameter :: nGC_1593 = 2261
  integer, parameter :: nGC_37191 = 2262
  integer, parameter :: nGC_33471 = 2263
  integer, parameter :: nGC_22458 = 2264
  integer, parameter :: nGC_22459 = 2265
  integer, parameter :: nGC_32138 = 2266
  integer, parameter :: nGC_32136 = 2267
  integer, parameter :: nGC_32137 = 2268
  integer, parameter :: nGC_22456 = 2269
  integer, parameter :: nGC_32135 = 2270
  integer, parameter :: nGC_22451 = 2271
  integer, parameter :: nGC_22298 = 2272
  integer, parameter :: nGC_22299 = 2273
  integer, parameter :: nGC_22292 = 2274
  integer, parameter :: nGC_22293 = 2275
  integer, parameter :: nGC_22290 = 2276
  integer, parameter :: nGC_22291 = 2277
  integer, parameter :: nGC_22296 = 2278
  integer, parameter :: nGC_22297 = 2279
  integer, parameter :: nGC_22294 = 2280
  integer, parameter :: nGC_22295 = 2281
  integer, parameter :: nGC_22676 = 2282
  integer, parameter :: nGC_22677 = 2283
  integer, parameter :: nGC_22670 = 2284
  integer, parameter :: nGC_22671 = 2285
  integer, parameter :: nGC_22672 = 2286
  integer, parameter :: nGC_33947 = 2287
  integer, parameter :: nGC_22678 = 2288
  integer, parameter :: nGC_22206 = 2289
  integer, parameter :: nGC_21958 = 2290
  integer, parameter :: nGC_36020 = 2291
  integer, parameter :: nGC_33502 = 2292
  integer, parameter :: nGC_22203 = 2293
  integer, parameter :: nGC_22202 = 2294
  integer, parameter :: nGC_22078 = 2295
  integer, parameter :: nGC_21955 = 2296
  integer, parameter :: nGC_22077 = 2297
  integer, parameter :: nGC_22074 = 2298
  integer, parameter :: nGC_22075 = 2299
  integer, parameter :: nGC_22072 = 2300
  integer, parameter :: nGC_22073 = 2301
  integer, parameter :: nGC_22070 = 2302
  integer, parameter :: nGC_22071 = 2303
  integer, parameter :: nGC_22708 = 2304
  integer, parameter :: nGC_22709 = 2305
  integer, parameter :: nGC_22700 = 2306
  integer, parameter :: nGC_22701 = 2307
  integer, parameter :: nGC_22702 = 2308
  integer, parameter :: nGC_22704 = 2309
  integer, parameter :: nGC_22705 = 2310
  integer, parameter :: nGC_22208 = 2311
  integer, parameter :: nGC_35131 = 2312
  integer, parameter :: nGC_34667 = 2313
  integer, parameter :: nGC_35590 = 2314
  integer, parameter :: nGC_36931 = 2315
  integer, parameter :: nGC_22859 = 2316
  integer, parameter :: nGC_43048 = 2317
  integer, parameter :: nGC_43049 = 2318
  integer, parameter :: nGC_38569 = 2319
  integer, parameter :: nGC_33275 = 2320
  integer, parameter :: nGC_33273 = 2321
  integer, parameter :: nGC_58137 = 2322
  integer, parameter :: nGC_33188 = 2323
  integer, parameter :: nGC_32450 = 2324
  integer, parameter :: nGC_32452 = 2325
  integer, parameter :: nGC_33185 = 2326
  integer, parameter :: nGC_33186 = 2327
  integer, parameter :: nGC_33187 = 2328
  integer, parameter :: nGC_32458 = 2329
  integer, parameter :: nGC_43991 = 2330
  integer, parameter :: nGC_5913 = 2331
  integer, parameter :: nGC_35497 = 2332
  integer, parameter :: nGC_22379 = 2333
  integer, parameter :: nGC_57840 = 2334
  integer, parameter :: nGC_33699 = 2335
  integer, parameter :: nGC_22474 = 2336
  integer, parameter :: nGC_32580 = 2337
  integer, parameter :: nGC_22475 = 2338
  integer, parameter :: nGC_22373 = 2339
  integer, parameter :: nGC_32650 = 2340
  integer, parameter :: nGC_57440 = 2341
  integer, parameter :: nGC_32848 = 2342
  integer, parameter :: nGC_44436 = 2343
  integer, parameter :: nGC_22251 = 2344
  integer, parameter :: nGC_44430 = 2345
  integer, parameter :: nGC_44431 = 2346
  integer, parameter :: nGC_32124 = 2347
  integer, parameter :: nGC_22444 = 2348
  integer, parameter :: nGC_22443 = 2349
  integer, parameter :: nGC_22442 = 2350
  integer, parameter :: nGC_22441 = 2351
  integer, parameter :: nGC_22440 = 2352
  integer, parameter :: nGC_41579 = 2353
  integer, parameter :: nGC_22289 = 2354
  integer, parameter :: nGC_22288 = 2355
  integer, parameter :: nGC_22287 = 2356
  integer, parameter :: nGC_22286 = 2357
  integer, parameter :: nGC_22281 = 2358
  integer, parameter :: nGC_22280 = 2359
  integer, parameter :: nGC_22283 = 2360
  integer, parameter :: nGC_22282 = 2361
  integer, parameter :: nGC_22667 = 2362
  integer, parameter :: nGC_22666 = 2363
  integer, parameter :: nGC_22665 = 2364
  integer, parameter :: nGC_40259 = 2365
  integer, parameter :: nGC_22663 = 2366
  integer, parameter :: nGC_22669 = 2367
  integer, parameter :: nGC_22668 = 2368
  integer, parameter :: nGC_33514 = 2369
  integer, parameter :: nGC_33518 = 2370
  integer, parameter :: nGC_36748 = 2371
  integer, parameter :: nGC_22061 = 2372
  integer, parameter :: nGC_22060 = 2373
  integer, parameter :: nGC_22062 = 2374
  integer, parameter :: nGC_22067 = 2375
  integer, parameter :: nGC_22066 = 2376
  integer, parameter :: nGC_22069 = 2377
  integer, parameter :: nGC_39571 = 2378
  integer, parameter :: nGC_22718 = 2379
  integer, parameter :: nGC_39574 = 2380
  integer, parameter :: nGC_22713 = 2381
  integer, parameter :: nGC_22712 = 2382
  integer, parameter :: nGC_22710 = 2383
  integer, parameter :: nGC_22717 = 2384
  integer, parameter :: nGC_22716 = 2385
  integer, parameter :: nGC_22715 = 2386
  integer, parameter :: nGC_22714 = 2387
  integer, parameter :: nGC_35692 = 2388
  integer, parameter :: nGC_32335 = 2389
  integer, parameter :: nGC_34675 = 2390
  integer, parameter :: nGC_34673 = 2391
  integer, parameter :: nGC_34672 = 2392
  integer, parameter :: nGC_38311 = 2393
  integer, parameter :: nGC_38312 = 2394
  integer, parameter :: nGC_38313 = 2395
  integer, parameter :: nGC_43051 = 2396
  integer, parameter :: nGC_43050 = 2397
  integer, parameter :: nGC_43053 = 2398
  integer, parameter :: nGC_43052 = 2399
  integer, parameter :: nGC_36647 = 2400
  integer, parameter :: nGC_34271 = 2401
  integer, parameter :: nGC_34277 = 2402
  integer, parameter :: nGC_35857 = 2403
  integer, parameter :: nGC_32806 = 2404
  integer, parameter :: nGC_32805 = 2405
  integer, parameter :: nGC_33268 = 2406
  integer, parameter :: nGC_33264 = 2407
  integer, parameter :: nGC_33910 = 2408
  integer, parameter :: nGC_TS_GC_32_Hh = 2409
  integer, parameter :: nGC_33626 = 2410
  integer, parameter :: nGC_34419 = 2411
  integer, parameter :: nGC_33197 = 2412
  integer, parameter :: nGC_33193 = 2413
  integer, parameter :: nGC_40502 = 2414
  integer, parameter :: nGC_37518 = 2415
  integer, parameter :: nGC_37517 = 2416
  integer, parameter :: nGC_37513 = 2417
  integer, parameter :: nGC_37510 = 2418
  integer, parameter :: nGC_5901 = 2419
  integer, parameter :: nGC_56507 = 2420
  integer, parameter :: nGC_33045 = 2421
  integer, parameter :: nGC_44429 = 2422
  integer, parameter :: nGC_41108 = 2423
  integer, parameter :: nGC_32483 = 2424
  integer, parameter :: nGC_22385 = 2425
  integer, parameter :: nGC_22386 = 2426
  integer, parameter :: nGC_22387 = 2427
  integer, parameter :: nGC_22380 = 2428
  integer, parameter :: nGC_22381 = 2429
  integer, parameter :: nGC_22388 = 2430
  integer, parameter :: nGC_33455 = 2431
  integer, parameter :: nGC_22472 = 2432
  integer, parameter :: nGC_22473 = 2433
  integer, parameter :: nGC_22470 = 2434
  integer, parameter :: nGC_22471 = 2435
  integer, parameter :: nGC_22476 = 2436
  integer, parameter :: nGC_22477 = 2437
  integer, parameter :: nGC_58040 = 2438
  integer, parameter :: nGC_32153 = 2439
  integer, parameter :: nGC_22478 = 2440
  integer, parameter :: nGC_22479 = 2441
  integer, parameter :: nGC_22270 = 2442
  integer, parameter :: nGC_22272 = 2443
  integer, parameter :: nGC_22273 = 2444
  integer, parameter :: nGC_22274 = 2445
  integer, parameter :: nGC_22275 = 2446
  integer, parameter :: nGC_22276 = 2447
  integer, parameter :: nGC_22277 = 2448
  integer, parameter :: nGC_22278 = 2449
  integer, parameter :: nGC_22279 = 2450
  integer, parameter :: nGC_22498 = 2451
  integer, parameter :: nGC_22499 = 2452
  integer, parameter :: nGC_22490 = 2453
  integer, parameter :: nGC_22491 = 2454
  integer, parameter :: nGC_22492 = 2455
  integer, parameter :: nGC_22493 = 2456
  integer, parameter :: nGC_22494 = 2457
  integer, parameter :: nGC_22495 = 2458
  integer, parameter :: nGC_22496 = 2459
  integer, parameter :: nGC_22497 = 2460
  integer, parameter :: nGC_42912 = 2461
  integer, parameter :: nGC_33524 = 2462
  integer, parameter :: nGC_1315 = 2463
  integer, parameter :: nGC_22014 = 2464
  integer, parameter :: nGC_22015 = 2465
  integer, parameter :: nGC_22016 = 2466
  integer, parameter :: nGC_22017 = 2467
  integer, parameter :: nGC_22012 = 2468
  integer, parameter :: nGC_22013 = 2469
  integer, parameter :: nGC_22018 = 2470
  integer, parameter :: nGC_22019 = 2471
  integer, parameter :: nGC_22729 = 2472
  integer, parameter :: nGC_22727 = 2473
  integer, parameter :: nGC_22725 = 2474
  integer, parameter :: nGC_22723 = 2475
  integer, parameter :: nGC_22721 = 2476
  integer, parameter :: nGC_32327 = 2477
  integer, parameter :: nGC_32326 = 2478
  integer, parameter :: nGC_36313 = 2479
  integer, parameter :: nGC_35448 = 2480
  integer, parameter :: nGC_36314 = 2481
  integer, parameter :: nGC_36315 = 2482
  integer, parameter :: nGC_22129 = 2483
  integer, parameter :: nGC_22658 = 2484
  integer, parameter :: nGC_22659 = 2485
  integer, parameter :: nGC_22120 = 2486
  integer, parameter :: nGC_22121 = 2487
  integer, parameter :: nGC_22122 = 2488
  integer, parameter :: nGC_22651 = 2489
  integer, parameter :: nGC_22124 = 2490
  integer, parameter :: nGC_22125 = 2491
  integer, parameter :: nGC_22654 = 2492
  integer, parameter :: nGC_22127 = 2493
  integer, parameter :: nGC_22652 = 2494
  integer, parameter :: nGC_22653 = 2495
  integer, parameter :: nGC_22650 = 2496
  integer, parameter :: nGC_22123 = 2497
  integer, parameter :: nGC_38308 = 2498
  integer, parameter :: nGC_22657 = 2499
  integer, parameter :: nGC_42041 = 2500
  integer, parameter :: nGC_TS_GC_245_Hh = 2501
  integer, parameter :: nGC_22221 = 2502
  integer, parameter :: nGC_38545 = 2503
  integer, parameter :: nGC_38546 = 2504
  integer, parameter :: nGC_38542 = 2505
  integer, parameter :: nGC_32815 = 2506
  integer, parameter :: nGC_32817 = 2507
  integer, parameter :: nGC_32816 = 2508
  integer, parameter :: nGC_51215 = 2509
  integer, parameter :: nGC_33327 = 2510
  integer, parameter :: nGC_34767 = 2511
  integer, parameter :: nGC_34339 = 2512
  integer, parameter :: nGC_40284 = 2513
  integer, parameter :: nGC_43956 = 2514
  integer, parameter :: nGC_34939 = 2515
  integer, parameter :: nGC_34934 = 2516
  integer, parameter :: nGC_33031 = 2517
  integer, parameter :: nGC_36311 = 2518
  integer, parameter :: nGC_22397 = 2519
  integer, parameter :: nGC_22396 = 2520
  integer, parameter :: nGC_22395 = 2521
  integer, parameter :: nGC_22394 = 2522
  integer, parameter :: nGC_22393 = 2523
  integer, parameter :: nGC_22391 = 2524
  integer, parameter :: nGC_22390 = 2525
  integer, parameter :: nGC_22399 = 2526
  integer, parameter :: nGC_22398 = 2527
  integer, parameter :: nGC_41390 = 2528
  integer, parameter :: nGC_32146 = 2529
  integer, parameter :: nGC_22466 = 2530
  integer, parameter :: nGC_22461 = 2531
  integer, parameter :: nGC_22460 = 2532
  integer, parameter :: nGC_22462 = 2533
  integer, parameter :: nGC_22469 = 2534
  integer, parameter :: nGC_22263 = 2535
  integer, parameter :: nGC_22454 = 2536
  integer, parameter :: nGC_22261 = 2537
  integer, parameter :: nGC_22266 = 2538
  integer, parameter :: nGC_22265 = 2539
  integer, parameter :: nGC_22455 = 2540
  integer, parameter :: nGC_22269 = 2541
  integer, parameter :: nGC_22489 = 2542
  integer, parameter :: nGC_22457 = 2543
  integer, parameter :: nGC_22483 = 2544
  integer, parameter :: nGC_22482 = 2545
  integer, parameter :: nGC_22487 = 2546
  integer, parameter :: nGC_22486 = 2547
  integer, parameter :: nGC_22485 = 2548
  integer, parameter :: nGC_22484 = 2549
  integer, parameter :: nGC_22007 = 2550
  integer, parameter :: nGC_22005 = 2551
  integer, parameter :: nGC_22003 = 2552
  integer, parameter :: nGC_22002 = 2553
  integer, parameter :: nGC_33091 = 2554
  integer, parameter :: nGC_22000 = 2555
  integer, parameter :: nGC_22009 = 2556
  integer, parameter :: nGC_22008 = 2557
  integer, parameter :: nGC_41827 = 2558
  integer, parameter :: nGC_39155 = 2559
  integer, parameter :: nGC_32317 = 2560
  integer, parameter :: nGC_36306 = 2561
  integer, parameter :: nGC_TS_GC_384_Hh = 2562
  integer, parameter :: nGC_22645 = 2563
  integer, parameter :: nGC_22132 = 2564
  integer, parameter :: nGC_22647 = 2565
  integer, parameter :: nGC_22130 = 2566
  integer, parameter :: nGC_22137 = 2567
  integer, parameter :: nGC_22136 = 2568
  integer, parameter :: nGC_22643 = 2569
  integer, parameter :: nGC_22642 = 2570
  integer, parameter :: nGC_32957 = 2571
  integer, parameter :: nGC_32950 = 2572
  integer, parameter :: nGC_32951 = 2573
  integer, parameter :: nGC_32952 = 2574
  integer, parameter :: nGC_34788 = 2575
  integer, parameter :: nGC_33204 = 2576
  integer, parameter :: nGC_TS_GC_272_Hh = 2577
  integer, parameter :: nGC_34242 = 2578
  integer, parameter :: nGC_38540 = 2579
  integer, parameter :: nGC_22681 = 2580
  integer, parameter :: nGC_34329 = 2581
  integer, parameter :: nGC_32790 = 2582
  integer, parameter :: nGC_32554 = 2583
  integer, parameter :: nGC_40362 = 2584
  integer, parameter :: nGC_33024 = 2585
  integer, parameter :: nGC_33021 = 2586
  integer, parameter :: nGC_33029 = 2587
  integer, parameter :: nGC_37006 = 2588
  integer, parameter :: nGC_22079 = 2589
  integer, parameter :: nGC_22076 = 2590
  integer, parameter :: nGC_57411 = 2591
  integer, parameter :: nGC_21960 = 2592
  integer, parameter :: nGC_21963 = 2593
  integer, parameter :: nGC_21962 = 2594
  integer, parameter :: nGC_33157 = 2595
  integer, parameter :: nGC_57789 = 2596
  integer, parameter :: nGC_40707 = 2597
  integer, parameter :: nGC_57894 = 2598
  integer, parameter :: nGC_57897 = 2599
  integer, parameter :: nGC_40708 = 2600
  integer, parameter :: nGC_32178 = 2601
  integer, parameter :: nGC_32176 = 2602
  integer, parameter :: nGC_41387 = 2603
  integer, parameter :: nGC_41385 = 2604
  integer, parameter :: nGC_41384 = 2605
  integer, parameter :: nGC_32770 = 2606
  integer, parameter :: nGC_32771 = 2607
  integer, parameter :: nGC_41389 = 2608
  integer, parameter :: nGC_41388 = 2609
  integer, parameter :: nGC_22257 = 2610
  integer, parameter :: nGC_22254 = 2611
  integer, parameter :: nGC_22255 = 2612
  integer, parameter :: nGC_22252 = 2613
  integer, parameter :: nGC_22253 = 2614
  integer, parameter :: nGC_22250 = 2615
  integer, parameter :: nGC_58847 = 2616
  integer, parameter :: nGC_22259 = 2617
  integer, parameter :: nGC_40859 = 2618
  integer, parameter :: nGC_22038 = 2619
  integer, parameter :: nGC_33789 = 2620
  integer, parameter :: nGC_22032 = 2621
  integer, parameter :: nGC_22033 = 2622
  integer, parameter :: nGC_22030 = 2623
  integer, parameter :: nGC_22031 = 2624
  integer, parameter :: nGC_22036 = 2625
  integer, parameter :: nGC_22037 = 2626
  integer, parameter :: nGC_22034 = 2627
  integer, parameter :: nGC_22035 = 2628
  integer, parameter :: nGC_TS_GC_244_Hh = 2629
  integer, parameter :: nGC_32308 = 2630
  integer, parameter :: nGC_34013 = 2631
  integer, parameter :: nGC_34010 = 2632
  integer, parameter :: nGC_22109 = 2633
  integer, parameter :: nGC_22107 = 2634
  integer, parameter :: nGC_22104 = 2635
  integer, parameter :: nGC_22105 = 2636
  integer, parameter :: nGC_22102 = 2637
  integer, parameter :: nGC_22103 = 2638
  integer, parameter :: nGC_22101 = 2639
  integer, parameter :: nGC_34546 = 2640
  integer, parameter :: nGC_35799 = 2641
  integer, parameter :: nGC_32949 = 2642
  integer, parameter :: nGC_35265 = 2643
  integer, parameter :: nGC_35262 = 2644
  integer, parameter :: nGC_32940 = 2645
  integer, parameter :: nGC_32531 = 2646
  integer, parameter :: nGC_35081 = 2647
  integer, parameter :: nGC_35080 = 2648
  integer, parameter :: nGC_35645 = 2649
  integer, parameter :: nGC_36513 = 2650
  integer, parameter :: nGC_33239 = 2651
  integer, parameter :: nGC_22324 = 2652
  integer, parameter :: nGC_34137 = 2653
  integer, parameter :: nGC_33300 = 2654
  integer, parameter :: nGC_34351 = 2655
  integer, parameter :: nGC_34353 = 2656
  integer, parameter :: nGC_32786 = 2657
  integer, parameter :: nGC_32547 = 2658
  integer, parameter :: nGC_33015 = 2659
  integer, parameter :: nGC_32165 = 2660
  integer, parameter :: nGC_32162 = 2661
  integer, parameter :: nGC_22249 = 2662
  integer, parameter :: nGC_22248 = 2663
  integer, parameter :: nGC_22241 = 2664
  integer, parameter :: nGC_22240 = 2665
  integer, parameter :: nGC_22243 = 2666
  integer, parameter :: nGC_22242 = 2667
  integer, parameter :: nGC_22245 = 2668
  integer, parameter :: nGC_22247 = 2669
  integer, parameter :: nGC_TS_GC_254_Hh = 2670
  integer, parameter :: nGC_22029 = 2671
  integer, parameter :: nGC_22028 = 2672
  integer, parameter :: nGC_22025 = 2673
  integer, parameter :: nGC_33826 = 2674
  integer, parameter :: nGC_22027 = 2675
  integer, parameter :: nGC_22026 = 2676
  integer, parameter :: nGC_22021 = 2677
  integer, parameter :: nGC_22020 = 2678
  integer, parameter :: nGC_33793 = 2679
  integer, parameter :: nGC_22022 = 2680
  integer, parameter :: nGC_TS_GC_253_Hl = 2681
  integer, parameter :: nGC_32378 = 2682
  integer, parameter :: nGC_35414 = 2683
  integer, parameter :: nGC_32373 = 2684
  integer, parameter :: nGC_36673 = 2685
  integer, parameter :: nGC_22111 = 2686
  integer, parameter :: nGC_22110 = 2687
  integer, parameter :: nGC_33483 = 2688
  integer, parameter :: nGC_33482 = 2689
  integer, parameter :: nGC_22115 = 2690
  integer, parameter :: nGC_22114 = 2691
  integer, parameter :: nGC_22117 = 2692
  integer, parameter :: nGC_22116 = 2693
  integer, parameter :: nGC_22119 = 2694
  integer, parameter :: nGC_33488 = 2695
  integer, parameter :: nGC_36690 = 2696
  integer, parameter :: nGC_36695 = 2697
  integer, parameter :: nGC_36694 = 2698
  integer, parameter :: nGC_22189 = 2699
  integer, parameter :: nGC_32972 = 2700
  integer, parameter :: nGC_36215 = 2701
  integer, parameter :: nGC_32997 = 2702
  integer, parameter :: nGC_34233 = 2703
  integer, parameter :: nGC_34230 = 2704
  integer, parameter :: nGC_33221 = 2705
  integer, parameter :: nGC_35743 = 2706
  integer, parameter :: nGC_35744 = 2707
  integer, parameter :: nGC_33314 = 2708
  integer, parameter :: nGC_34343 = 2709
  integer, parameter :: nGC_34342 = 2710
  integer, parameter :: nGC_34341 = 2711
  integer, parameter :: nGC_34340 = 2712
  integer, parameter :: nGC_32577 = 2713
  integer, parameter :: nGC_32572 = 2714
  integer, parameter :: nGC_49071 = 2715
  integer, parameter :: nGC_32279 = 2716
  integer, parameter :: nGC_43567 = 2717
  integer, parameter :: nGC_32278 = 2718
  integer, parameter :: nGC_40496 = 2719
  integer, parameter :: nGC_40497 = 2720
  integer, parameter :: nGC_37489 = 2721
  integer, parameter :: nGC_32681 = 2722
  integer, parameter :: nGC_33171 = 2723
  integer, parameter :: nGC_33170 = 2724
  integer, parameter :: nGC_41147 = 2725
  integer, parameter :: nGC_33172 = 2726
  integer, parameter :: nGC_40721 = 2727
  integer, parameter :: nGC_32192 = 2728
  integer, parameter :: nGC_32193 = 2729
  integer, parameter :: nGC_32194 = 2730
  integer, parameter :: nGC_22237 = 2731
  integer, parameter :: nGC_22113 = 2732
  integer, parameter :: nGC_32751 = 2733
  integer, parameter :: nGC_33485 = 2734
  integer, parameter :: nGC_33484 = 2735
  integer, parameter :: nGC_22051 = 2736
  integer, parameter :: nGC_22582 = 2737
  integer, parameter :: nGC_22583 = 2738
  integer, parameter :: nGC_22581 = 2739
  integer, parameter :: nGC_22587 = 2740
  integer, parameter :: nGC_22585 = 2741
  integer, parameter :: nGC_22588 = 2742
  integer, parameter :: nGC_22589 = 2743
  integer, parameter :: nGC_22341 = 2744
  integer, parameter :: nGC_22342 = 2745
  integer, parameter :: nGC_22344 = 2746
  integer, parameter :: nGC_22056 = 2747
  integer, parameter :: nGC_22349 = 2748
  integer, parameter :: nGC_22057 = 2749
  integer, parameter :: nGC_59778 = 2750
  integer, parameter :: nGC_22562 = 2751
  integer, parameter :: nGC_32368 = 2752
  integer, parameter :: nGC_36194 = 2753
  integer, parameter :: nGC_22697 = 2754
  integer, parameter :: nGC_36196 = 2755
  integer, parameter :: nGC_22695 = 2756
  integer, parameter :: nGC_22692 = 2757
  integer, parameter :: nGC_22161 = 2758
  integer, parameter :: nGC_33960 = 2759
  integer, parameter :: nGC_36198 = 2760
  integer, parameter :: nGC_22169 = 2761
  integer, parameter :: nGC_22698 = 2762
  integer, parameter :: nGC_22699 = 2763
  integer, parameter :: nGC_58184 = 2764
  integer, parameter :: nGC_32210 = 2765
  integer, parameter :: nGC_32215 = 2766
  integer, parameter :: nGC_32219 = 2767
  integer, parameter :: nGC_32218 = 2768
  integer, parameter :: nGC_33587 = 2769
  integer, parameter :: nGC_36195 = 2770
  integer, parameter :: nGC_39879 = 2771
  integer, parameter :: nGC_47114 = 2772
  integer, parameter :: nGC_47115 = 2773
  integer, parameter :: nGC_37879 = 2774
  integer, parameter :: nGC_32451 = 2775
  integer, parameter :: nGC_37877 = 2776
  integer, parameter :: nGC_34378 = 2777
  integer, parameter :: nGC_4487 = 2778
  integer, parameter :: nGC_4485 = 2779
  integer, parameter :: nGC_37585 = 2780
  integer, parameter :: nGC_37586 = 2781
  integer, parameter :: nGC_37587 = 2782
  integer, parameter :: nGC_32560 = 2783
  integer, parameter :: nGC_41394 = 2784
  integer, parameter :: nGC_40483 = 2785
  integer, parameter :: nGC_22307 = 2786
  integer, parameter :: nGC_32698 = 2787
  integer, parameter :: nGC_32696 = 2788
  integer, parameter :: nGC_33001 = 2789
  integer, parameter :: nGC_33102 = 2790
  integer, parameter :: nGC_TS_GC_381_Hl = 2791
  integer, parameter :: nGC_37123 = 2792
  integer, parameter :: nGC_32183 = 2793
  integer, parameter :: nGC_32181 = 2794
  integer, parameter :: nGC_58010 = 2795
  integer, parameter :: nGC_22222 = 2796
  integer, parameter :: nGC_59784 = 2797
  integer, parameter :: nGC_41285 = 2798
  integer, parameter :: nGC_22488 = 2799
  integer, parameter :: nGC_22353 = 2800
  integer, parameter :: nGC_22352 = 2801
  integer, parameter :: nGC_22351 = 2802
  integer, parameter :: nGC_22350 = 2803
  integer, parameter :: nGC_22355 = 2804
  integer, parameter :: nGC_22359 = 2805
  integer, parameter :: nGC_22358 = 2806
  integer, parameter :: nGC_22573 = 2807
  integer, parameter :: nGC_32355 = 2808
  integer, parameter :: nGC_33971 = 2809
  integer, parameter :: nGC_22684 = 2810
  integer, parameter :: nGC_32225 = 2811
  integer, parameter :: nGC_35502 = 2812
  integer, parameter :: nGC_35501 = 2813
  integer, parameter :: nGC_32772 = 2814
  integer, parameter :: nGC_33592 = 2815
  integer, parameter :: nGC_38541 = 2816
  integer, parameter :: nGC_33594 = 2817
  integer, parameter :: nGC_34214 = 2818
  integer, parameter :: nGC_34217 = 2819
  integer, parameter :: nGC_34216 = 2820
  integer, parameter :: nGC_35348 = 2821
  integer, parameter :: nGC_22167 = 2822
  integer, parameter :: nGC_36527 = 2823
  integer, parameter :: nGC_TS_GC_35_Hh = 2824
  integer, parameter :: nGC_33379 = 2825
  integer, parameter :: nGC_38166 = 2826
  integer, parameter :: nGC_58548 = 2827
  integer, parameter :: nGC_TS_GC_21_Hl = 2828
  integer, parameter :: nGC_34566 = 2829
  integer, parameter :: nGC_32515 = 2830
  integer, parameter :: nGC_32513 = 2831
  integer, parameter :: nGC_35496 = 2832
  integer, parameter :: nGC_59168 = 2833
  integer, parameter :: nGC_22516 = 2834
  integer, parameter :: nGC_32421 = 2835
  integer, parameter :: nGC_36648 = 2836
  integer, parameter :: nGC_33114 = 2837
  integer, parameter :: nGC_35082 = 2838
  integer, parameter :: nGC_22309 = 2839
  integer, parameter :: nGC_22346 = 2840
  integer, parameter :: nGC_32534 = 2841
  integer, parameter :: nGC_37138 = 2842
  integer, parameter :: nGC_32844 = 2843
  integer, parameter :: nGC_39587 = 2844
  integer, parameter :: nGC_32433 = 2845
  integer, parameter :: nGC_33206 = 2846
  integer, parameter :: nGC_39589 = 2847
  integer, parameter :: nGC_22377 = 2848
  integer, parameter :: nGC_41386 = 2849
  integer, parameter :: nGC_22447 = 2850
  integer, parameter :: nGC_33127 = 2851
  integer, parameter :: nGC_32633 = 2852
  integer, parameter :: nGC_35400 = 2853
  integer, parameter :: nGC_22212 = 2854
  integer, parameter :: nGC_22213 = 2855
  integer, parameter :: nGC_32736 = 2856
  integer, parameter :: nGC_22217 = 2857
  integer, parameter :: nGC_36317 = 2858
  integer, parameter :: nGC_36597 = 2859
  integer, parameter :: nGC_22450 = 2860
  integer, parameter :: nGC_22452 = 2861
  integer, parameter :: nGC_22453 = 2862
  integer, parameter :: nGC_34024 = 2863
  integer, parameter :: nGC_33965 = 2864
  integer, parameter :: nGC_34023 = 2865
  integer, parameter :: nGC_22043 = 2866
  integer, parameter :: nGC_32819 = 2867
  integer, parameter :: nGC_32283 = 2868
  integer, parameter :: nGC_22047 = 2869
  integer, parameter :: nGC_22449 = 2870
  integer, parameter :: nGC_32818 = 2871
  integer, parameter :: nGC_32851 = 2872
  integer, parameter :: nGC_22383 = 2873
  integer, parameter :: nGC_22343 = 2874
  integer, parameter :: nGC_32852 = 2875
  integer, parameter :: nGC_36602 = 2876
  integer, parameter :: nGC_22323 = 2877
  integer, parameter :: nGC_39364 = 2878
  integer, parameter :: nGC_39363 = 2879
  integer, parameter :: nGC_36909 = 2880
  integer, parameter :: nGC_34831 = 2881
  integer, parameter :: nGC_33886 = 2882
  integer, parameter :: nGC_22011 = 2883
  integer, parameter :: nGC_41679 = 2884
  integer, parameter :: nGC_22068 = 2885
  integer, parameter :: nGC_34356 = 2886
  integer, parameter :: nGC_57360 = 2887
  integer, parameter :: nGC_38996 = 2888
  integer, parameter :: nGC_38997 = 2889
  integer, parameter :: nGC_34232 = 2890
  integer, parameter :: nGC_36581 = 2891
  integer, parameter :: nGC_21959 = 2892
  integer, parameter :: nGC_48337 = 2893
  integer, parameter :: nGC_22446 = 2894
  integer, parameter :: nGC_21956 = 2895
  integer, parameter :: nGC_21957 = 2896
  integer, parameter :: nGC_21950 = 2897
  integer, parameter :: nGC_21951 = 2898
  integer, parameter :: nGC_45752 = 2899
  integer, parameter :: nGC_45753 = 2900
  integer, parameter :: nGC_21954 = 2901
  integer, parameter :: nGC_58261 = 2902
  integer, parameter :: nGC_22363 = 2903
  integer, parameter :: nGC_22360 = 2904
  integer, parameter :: nGC_22361 = 2905
  integer, parameter :: nGC_33878 = 2906
  integer, parameter :: nGC_22284 = 2907
  integer, parameter :: nGC_22328 = 2908
  integer, parameter :: nGC_22384 = 2909
  integer, parameter :: nGC_33073 = 2910
  integer, parameter :: nGC_37153 = 2911
  integer, parameter :: nGC_37152 = 2912
  integer, parameter :: nGC_34198 = 2913
  integer, parameter :: nGC_34199 = 2914
  integer, parameter :: nGC_55369 = 2915
  integer, parameter :: nGC_34194 = 2916
  integer, parameter :: nGC_34192 = 2917
  integer, parameter :: nGC_34193 = 2918
  integer, parameter :: nGC_22445 = 2919
  integer, parameter :: nGC_56563 = 2920
  integer, parameter :: nGC_35424 = 2921
  integer, parameter :: nGC_35426 = 2922
  integer, parameter :: nGC_39684 = 2923
  integer, parameter :: nGC_33205 = 2924
  integer, parameter :: nGC_37180 = 2925
  integer, parameter :: nGC_22448 = 2926
  integer, parameter :: nGC_34849 = 2927
  integer, parameter :: nGC_33380 = 2928
  integer, parameter :: nGC_33756 = 2929
  integer, parameter :: nGC_22378 = 2930
  integer, parameter :: nGC_33909 = 2931
  integer, parameter :: nGC_21949 = 2932
  integer, parameter :: nGC_60860 = 2933
  integer, parameter :: nGC_33629 = 2934
  integer, parameter :: nGC_21946 = 2935
  integer, parameter :: nGC_21945 = 2936
  integer, parameter :: nGC_22372 = 2937
  integer, parameter :: nGC_32158 = 2938
  integer, parameter :: nGC_22374 = 2939
  integer, parameter :: nGC_22144 = 2940
  integer, parameter :: nGC_33381 = 2941
  integer, parameter :: nGC_32911 = 2942
  integer, parameter :: nGC_38778 = 2943
  integer, parameter :: nGC_38779 = 2944
  integer, parameter :: nGC_41276 = 2945
  integer, parameter :: nGC_33593 = 2946
  integer, parameter :: nGC_22330 = 2947
  integer, parameter :: nGC_43264 = 2948
  integer, parameter :: nGC_36649 = 2949
  integer, parameter :: nGC_22340 = 2950
  integer, parameter :: nGC_38777 = 2951
  integer, parameter :: nGC_41023 = 2952
  integer, parameter :: nGC_32837 = 2953
  integer, parameter :: nGC_33093 = 2954
  integer, parameter :: nGC_33096 = 2955
  integer, parameter :: nGC_33097 = 2956
  integer, parameter :: nGC_33094 = 2957
  integer, parameter :: nGC_36316 = 2958
  integer, parameter :: nGC_44805 = 2959
  integer, parameter :: nGC_32514 = 2960
  integer, parameter :: nGC_22285 = 2961
  integer, parameter :: nGC_32672 = 2962
  integer, parameter :: nGC_38570 = 2963
  integer, parameter :: nGC_58408 = 2964
  integer, parameter :: nGC_36595 = 2965
  integer, parameter :: nGC_21972 = 2966
  integer, parameter :: nGC_37394 = 2967
  integer, parameter :: nGC_21970 = 2968
  integer, parameter :: nGC_21971 = 2969
  integer, parameter :: nGC_22308 = 2970
  integer, parameter :: nGC_22158 = 2971
  integer, parameter :: nGC_47066 = 2972
  integer, parameter :: nGC_32669 = 2973
  integer, parameter :: nGC_22304 = 2974
  integer, parameter :: nGC_22305 = 2975
  integer, parameter :: nGC_22157 = 2976
  integer, parameter :: nGC_22156 = 2977
  integer, parameter :: nGC_22151 = 2978
  integer, parameter :: nGC_22150 = 2979
  integer, parameter :: nGC_32807 = 2980
  integer, parameter :: nGC_33253 = 2981
  integer, parameter :: nGC_22010 = 2982
  integer, parameter :: nGC_22332 = 2983
  integer, parameter :: nGC_59580 = 2984
  integer, parameter :: nGC_36933 = 2985
  integer, parameter :: nGC_37572 = 2986
  integer, parameter :: nGC_37768 = 2987
  integer, parameter :: nGC_32620 = 2988
  integer, parameter :: nGC_32328 = 2989
  integer, parameter :: nGC_35285 = 2990
  integer, parameter :: nGC_33506 = 2991
  integer, parameter :: nGC_21990 = 2992
  integer, parameter :: nGC_21991 = 2993
  integer, parameter :: nGC_32475 = 2994
  integer, parameter :: nGC_32473 = 2995
  integer, parameter :: nGC_21968 = 2996
  integer, parameter :: nGC_34065 = 2997
  integer, parameter :: nGC_33241 = 2998
  integer, parameter :: nGC_33240 = 2999
  integer, parameter :: nGC_32248 = 3000
  integer, parameter :: nGC_41257 = 3001
  integer, parameter :: nGC_32487 = 3002
  integer, parameter :: nGC_22086 = 3003
  integer, parameter :: nGC_22085 = 3004
  integer, parameter :: nGC_34674 = 3005
  integer, parameter :: nGC_22080 = 3006
  integer, parameter :: nGC_21967 = 3007
  integer, parameter :: nGC_51745 = 3008
  integer, parameter :: nGC_35447 = 3009
  integer, parameter :: nGC_33642 = 3010
  integer, parameter :: nGC_22319 = 3011
  integer, parameter :: nGC_22318 = 3012
  integer, parameter :: nGC_22317 = 3013
  integer, parameter :: nGC_22316 = 3014
  integer, parameter :: nGC_22315 = 3015
  integer, parameter :: nGC_22314 = 3016
  integer, parameter :: nGC_22313 = 3017
  integer, parameter :: nGC_22312 = 3018
  integer, parameter :: nGC_22311 = 3019
  integer, parameter :: nGC_42794 = 3020
  integer, parameter :: nGC_22410 = 3021
  integer, parameter :: nGC_22006 = 3022
  integer, parameter :: nGC_22413 = 3023
  integer, parameter :: nGC_22415 = 3024
  integer, parameter :: nGC_36881 = 3025
  integer, parameter :: nGC_35195 = 3026
  integer, parameter :: nGC_22419 = 3027
  integer, parameter :: nGC_32625 = 3028
  integer, parameter :: nGC_36691 = 3029
  integer, parameter :: nGC_60736 = 3030
  integer, parameter :: nGC_22429 = 3031
  integer, parameter :: nGC_34790 = 3032
  integer, parameter :: nGC_49409 = 3033
  integer, parameter :: nGC_59747 = 3034
  integer, parameter :: nGC_60738 = 3035
  integer, parameter :: nGC_36945 = 3036
  integer, parameter :: nGC_22389 = 3037
  integer, parameter :: nGC_33276 = 3038
  integer, parameter :: nGC_22418 = 3039
  integer, parameter :: nGC_32259 = 3040
  integer, parameter :: nGC_32256 = 3041
  integer, parameter :: nGC_34765 = 3042
  integer, parameter :: nGC_41680 = 3043
  integer, parameter :: nGC_34766 = 3044
  integer, parameter :: nGC_35425 = 3045
  integer, parameter :: nGC_22320 = 3046
  integer, parameter :: nGC_22321 = 3047
  integer, parameter :: nGC_22327 = 3048
  integer, parameter :: nGC_32884 = 3049
  integer, parameter :: nGC_22325 = 3050
  integer, parameter :: nGC_40722 = 3051
  integer, parameter :: nGC_40723 = 3052
  integer, parameter :: nGC_36149 = 3053
  integer, parameter :: nGC_22329 = 3054
  integer, parameter :: nGC_33831 = 3055
  integer, parameter :: nGC_22402 = 3056
  integer, parameter :: nGC_22401 = 3057
  integer, parameter :: nGC_22400 = 3058
  integer, parameter :: nGC_22407 = 3059
  integer, parameter :: nGC_40860 = 3060
  integer, parameter :: nGC_32399 = 3061
  integer, parameter :: nGC_34789 = 3062
  integer, parameter :: nGC_22409 = 3063
  integer, parameter :: nGC_34278 = 3064
  integer, parameter :: nGC_22306 = 3065
  integer, parameter :: nGC_60708 = 3066
  integer, parameter :: nGC_22134 = 3067
  integer, parameter :: nGC_33340 = 3068
  integer, parameter :: nGC_35264 = 3069
  integer, parameter :: nGC_32697 = 3070
  integer, parameter :: nGC_32662 = 3071
  integer, parameter :: nGC_33348 = 3072
  integer, parameter :: nGC_32459 = 3073
  integer, parameter :: nGC_49410 = 3074
  integer, parameter :: nGC_34655 = 3075
  integer, parameter :: nGC_59600 = 3076
  integer, parameter :: nGC_32267 = 3077
  integer, parameter :: nGC_34498 = 3078
  integer, parameter :: nGC_59005 = 3079
  integer, parameter :: nGC_32268 = 3080
  integer, parameter :: nGC_44440 = 3081
  integer, parameter :: nGC_22187 = 3082
  integer, parameter :: nGC_22337 = 3083
  integer, parameter :: nGC_22336 = 3084
  integer, parameter :: nGC_22182 = 3085
  integer, parameter :: nGC_22183 = 3086
  integer, parameter :: nGC_21969 = 3087
  integer, parameter :: nGC_22181 = 3088
  integer, parameter :: nGC_22004 = 3089
  integer, parameter :: nGC_22382 = 3090
  integer, parameter :: nGC_48269 = 3091
  integer, parameter :: nGC_35173 = 3092
  integer, parameter :: nGC_22435 = 3093
  integer, parameter :: nGC_22432 = 3094
  integer, parameter :: nGC_32384 = 3095
  integer, parameter :: nGC_22431 = 3096
  integer, parameter :: nGC_32302 = 3097
  integer, parameter :: nGC_32808 = 3098
  integer, parameter :: nGC_22439 = 3099
  integer, parameter :: nGC_42793 = 3100
  integer, parameter :: nGC_34200 = 3101
  integer, parameter :: nGC_34357 = 3102
  integer, parameter :: nGC_35263 = 3103
  integer, parameter :: nGC_32506 = 3104
  integer, parameter :: nGC_32615 = 3105
  integer, parameter :: nGC_57992 = 3106
  integer, parameter :: nGC_37841 = 3107
  integer, parameter :: nGC_37842 = 3108
  integer, parameter :: nGC_38310 = 3109
  integer, parameter :: nGC_22331 = 3110
  integer, parameter :: nGC_51744 = 3111
  integer, parameter :: nGC_36280 = 3112
  integer, parameter :: nGC_35943 = 3113
  integer, parameter :: nGC_35940 = 3114
  integer, parameter :: nGC_35941 = 3115
  integer, parameter :: nGC_57943 = 3116
  integer, parameter :: nGC_36692 = 3117
  integer, parameter :: nGC_40503 = 3118
  integer, parameter :: nGC_37519 = 3119
  integer, parameter :: nGC_22420 = 3120
  integer, parameter :: nGC_22423 = 3121
  integer, parameter :: nGC_37428 = 3122
  integer, parameter :: nGC_22425 = 3123
  integer, parameter :: nGC_22424 = 3124
  integer, parameter :: nGC_22426 = 3125
  integer, parameter :: nGC_43568 = 3126
  integer, parameter :: nGC_22059 = 3127
  integer, parameter :: nGC_53492 = 3128
  integer, parameter :: nGC_53493 = 3129
  integer, parameter :: nGC_34545 = 3130
  integer, parameter :: nGC_22345 = 3131
  integer, parameter :: nGC_37195 = 3132
  integer, parameter :: nGC_22347 = 3133
  integer, parameter :: nGC_22348 = 3134
  integer, parameter :: nGC_34019 = 3135
  integer, parameter :: nGC_35498 = 3136
  integer, parameter :: nGC_35499 = 3137
  integer, parameter :: nGC_38309 = 3138
  integer, parameter :: nGC_34479 = 3139
  integer, parameter :: nGC_39588 = 3140
  integer, parameter :: nGC_37139 = 3141
  integer, parameter :: nGC_32476 = 3142
  integer, parameter :: nGC_39685 = 3143
  integer, parameter :: nGC_59573 = 3144
  integer, parameter :: nGC_37520 = 3145
  integer, parameter :: nGC_35500 = 3146
  integer, parameter :: nGC_36598 = 3147
  integer, parameter :: nGC_32912 = 3148
  integer, parameter :: nGC_34020 = 3149
  integer, parameter :: nGC_34021 = 3150
  integer, parameter :: nGC_33887 = 3151
  integer, parameter :: nGC_37324 = 3152
  integer, parameter :: nGC_37843 = 3153
  integer, parameter :: nGC_35944 = 3154
  integer, parameter :: nGC_35945 = 3155
  integer, parameter :: nGC_58279 = 3156
  integer, parameter :: nGC_33278 = 3157
  integer, parameter :: nGC_33279 = 3158
  integer, parameter :: nGC_33507 = 3159
  integer, parameter :: nGC_45754 = 3160
  integer, parameter :: nGC_37574 = 3161
  integer, parameter :: nGC_35591 = 3162
  integer, parameter :: nGC_53503 = 3163
  integer, parameter :: nGC_35592 = 3164
  integer, parameter :: nGC_53494 = 3165
  integer, parameter :: nGC_37196 = 3166
  integer, parameter :: nGC_44503 = 3167
  contains
  function get_coupling_value_mdl(c_id) result(ret_c)
    integer, intent(in) :: c_id
    complex(dp) :: ret_c
    if (c_id .eq. 0) then
      ret_c = cnul
    else
      ret_c = coupl(c_id)
    end if
  end function get_coupling_value_mdl
end module class_couplings
