!******************************************************************************!
!                                                                              !
!    class_particles.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   class_particles.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module class_particles
  use constants_mdl
  use input_mdl, only: masscut,error_mdl,warning_mdl,nx,muMS
  implicit none
  save
  logical :: particle_model_init = .false.
  character(len=*), parameter :: modelname = "THDM"
  character(len=*), parameter :: modelgauge = "'t Hooft-Feynman BFM"
  character(len=*), parameter :: driver_timestamp = "Thu Jul 30 11:16:43 2020"
! number of particles in the model
  integer, parameter :: n_particles = 60
  integer, parameter :: n_orders = 2
  character(len=3), parameter, dimension(n_orders) :: order_ids                &
                  = (/'QCD', 'QED'/)

! Particle:\gamma, pdg_code:22
  integer, parameter :: P_A = 1
! Particle:\gamma_Q, pdg_code:22
  integer, parameter :: P_AQ = 2
! Particle:Z, pdg_code:23
  integer, parameter :: P_Z = 3
! Particle:Z_Q, pdg_code:23
  integer, parameter :: P_ZQ = 4
! Particle:W^+, pdg_code:24
  integer, parameter :: P_WPlus = 5
! Particle:W^-, pdg_code:-24
  integer, parameter :: P_WMinus = 6
! Particle:W_Q^+, pdg_code:24
  integer, parameter :: P_WQPlus = 7
! Particle:W_Q^-, pdg_code:-24
  integer, parameter :: P_WQMinus = 8
! Particle:g, pdg_code:21
  integer, parameter :: P_g = 9
! Particle:g_Q, pdg_code:21
  integer, parameter :: P_gQ = 10
! Particle:u_\gamma, pdg_code:9000001
  integer, parameter :: P_ghA = 11
! Particle:\bar{u}_\gamma, pdg_code:-9000001
  integer, parameter :: P_ghAAnti = 12
! Particle:u_Z, pdg_code:9000002
  integer, parameter :: P_ghZ = 13
! Particle:\bar{u}_Z, pdg_code:-9000002
  integer, parameter :: P_ghZAnti = 14
! Particle:u_{W^+}, pdg_code:9000003
  integer, parameter :: P_ghWp = 15
! Particle:\bar{u}_{W^+}, pdg_code:-9000003
  integer, parameter :: P_ghWpAnti = 16
! Particle:u_{W^-}, pdg_code:9000004
  integer, parameter :: P_ghWm = 17
! Particle:\bar{u}_{W^-}, pdg_code:-9000004
  integer, parameter :: P_ghWmAnti = 18
! Particle:u_g, pdg_code:82
  integer, parameter :: P_ghG = 19
! Particle:\bar{u}_g, pdg_code:-82
  integer, parameter :: P_ghGAnti = 20
! Particle:\nu_e, pdg_code:12
  integer, parameter :: P_nu_e = 21
! Particle:\bar{\nu}_e, pdg_code:-12
  integer, parameter :: P_nu_eAnti = 22
! Particle:\nu_\mu, pdg_code:14
  integer, parameter :: P_nu_mu = 23
! Particle:\bar{\nu}_\mu, pdg_code:-14
  integer, parameter :: P_nu_muAnti = 24
! Particle:\nu_\tau, pdg_code:16
  integer, parameter :: P_nu_tau = 25
! Particle:\bar{\nu}_\tau, pdg_code:-16
  integer, parameter :: P_nu_tauAnti = 26
! Particle:e^-, pdg_code:11
  integer, parameter :: P_eMinus = 27
! Particle:e^+, pdg_code:-11
  integer, parameter :: P_ePlus = 28
! Particle:\mu^-, pdg_code:13
  integer, parameter :: P_muMinus = 29
! Particle:\mu^+, pdg_code:-13
  integer, parameter :: P_muPlus = 30
! Particle:\tau^-, pdg_code:15
  integer, parameter :: P_tauMinus = 31
! Particle:\tau^+, pdg_code:-15
  integer, parameter :: P_tauPlus = 32
! Particle:u, pdg_code:2
  integer, parameter :: P_u = 33
! Particle:\bar{u}, pdg_code:-2
  integer, parameter :: P_uAnti = 34
! Particle:c, pdg_code:4
  integer, parameter :: P_c = 35
! Particle:\bar{c}, pdg_code:-4
  integer, parameter :: P_cAnti = 36
! Particle:t, pdg_code:6
  integer, parameter :: P_t = 37
! Particle:\bar{t}, pdg_code:-6
  integer, parameter :: P_tAnti = 38
! Particle:d, pdg_code:1
  integer, parameter :: P_d = 39
! Particle:\bar{d}, pdg_code:-1
  integer, parameter :: P_dAnti = 40
! Particle:s, pdg_code:3
  integer, parameter :: P_s = 41
! Particle:\bar{s}, pdg_code:-3
  integer, parameter :: P_sAnti = 42
! Particle:b, pdg_code:5
  integer, parameter :: P_b = 43
! Particle:\bar{b}, pdg_code:-5
  integer, parameter :: P_bAnti = 44
! Particle:G^+, pdg_code:251
  integer, parameter :: P_GPlus = 45
! Particle:G^-, pdg_code:-251
  integer, parameter :: P_GMinus = 46
! Particle:G_Q^+, pdg_code:251
  integer, parameter :: P_GQPlus = 47
! Particle:G_Q^-, pdg_code:-251
  integer, parameter :: P_GQMinus = 48
! Particle:G_0, pdg_code:250
  integer, parameter :: P_G0 = 49
! Particle:G_{Q,0}, pdg_code:250
  integer, parameter :: P_GQ0 = 50
! Particle:H^+, pdg_code:37
  integer, parameter :: P_HPlus = 51
! Particle:H^-, pdg_code:-37
  integer, parameter :: P_HMinus = 52
! Particle:H_Q^+, pdg_code:37
  integer, parameter :: P_HQPlus = 53
! Particle:H_Q^-, pdg_code:-37
  integer, parameter :: P_HQMinus = 54
! Particle:H_\mathrm{l}, pdg_code:25
  integer, parameter :: P_Hl = 55
! Particle:H_{\mathrm{l},Q}, pdg_code:25
  integer, parameter :: P_HlQ = 56
! Particle:H_\mathrm{h}, pdg_code:35
  integer, parameter :: P_Hh = 57
! Particle:H_{\mathrm{h},Q}, pdg_code:35
  integer, parameter :: P_HhQ = 58
! Particle:H_\mathrm{a}, pdg_code:36
  integer, parameter :: P_Ha = 59
! Particle:H_{\mathrm{a},Q}, pdg_code:36
  integer, parameter :: P_HaQ = 60

! Masses and widths
  real(kind=dp) :: ME = 0d0
  real(kind=dp) :: MC = 0d0
  real(kind=dp) :: MB = 0d0
  real(kind=dp) :: MD = 0d0
  real(kind=dp) :: MW = 80.357973609878d0
  real(kind=dp) :: MHH = 500d0
  real(kind=dp) :: MTA = 0d0
  real(kind=dp) :: MHC = 420d0
  real(kind=dp) :: MS = 0d0
  real(kind=dp) :: MHA = 420d0
  real(kind=dp) :: MU = 0d0
  real(kind=dp) :: MT = 173.2d0
  real(kind=dp) :: MHL = 125d0
  real(kind=dp) :: MM = 0d0
  real(kind=dp) :: MZ = 91.153480619183d0
  real(kind=dp) :: WC = 0d0
  real(kind=dp) :: WB = 0d0
  real(kind=dp) :: WHA = 0d0
  real(kind=dp) :: WW = 2.0842989982782d0
  real(kind=dp) :: WTA = 0d0
  real(kind=dp) :: WHC = 0d0
  real(kind=dp) :: WHH = 0d0
  real(kind=dp) :: WT = 0d0
  real(kind=dp) :: WHL = 0d0
  real(kind=dp) :: WM = 0d0
  real(kind=dp) :: WZ = 2.4942663787728d0

  real(kind=dp) :: ME2, MC2, MB2, MD2, MW2, MHH2, MTA2, MHC2, MS2, MHA2, MU2,  &
             MT2, MHL2, MM2, MZ2
! Unique mass ids
  integer :: nME, nMC, nMB, nMD, nMW, nMHH, nMTA, nMHC, nMS, nMHA, nMU, nMT,   &
             nMHL, nMM, nMZ
! Mass regularization
  integer :: ME_reg, MC_reg, MB_reg, MD_reg, MW_reg, MHH_reg, MTA_reg, MHC_reg &
             , MS_reg, MHA_reg, MU_reg, MT_reg, MHL_reg, MM_reg, MZ_reg
! The number of distinct mass regulators.
  integer :: n_masses
! Complex mass parameters
  complex(kind=dp) :: cME, cMC, cMB, cMD, cMW, cMHH, cMTA, cMHC, cMS, cMHA, cMU&
                , cMT, cMHL, cMM, cMZ
  complex(kind=dp) :: cME_reg, cMC_reg, cMB_reg, cMD_reg, cMW_reg, cMHH_reg,   &
                cMTA_reg, cMHC_reg, cMS_reg, cMHA_reg, cMU_reg, cMT_reg,       &
                cMHL_reg, cMM_reg, cMZ_reg
  complex(kind=dp) :: cME2, cMC2, cMB2, cMD2, cMW2, cMHH2, cMTA2, cMHC2, cMS2, &
                cMHA2, cMU2, cMT2, cMHL2, cMM2, cMZ2
  complex(kind=dp) :: cME2_reg, cMC2_reg, cMB2_reg, cMD2_reg, cMW2_reg,        &
                cMHH2_reg, cMTA2_reg, cMHC2_reg, cMS2_reg, cMHA2_reg, cMU2_reg &
                , cMT2_reg, cMHL2_reg, cMM2_reg, cMZ2_reg
  complex(kind=dp) :: rME, rMC, rMB, rMD, rMW, rMHH, rMTA, rMHC, rMS, rMHA, rMU&
                , rMT, rMHL, rMM, rMZ
  complex(kind=dp) :: rME2, rMC2, rMB2, rMD2, rMW2, rMHH2, rMTA2, rMHC2, rMS2, &
                rMHA2, rMU2, rMT2, rMHL2, rMM2, rMZ2

! Resonances
  logical :: c_res = .false.
  logical :: b_res = .false.
  logical :: H_res = .false.
  logical :: Hl_res = .false.
  logical :: mu_res = .false.
  logical :: Hh_res = .false.
  logical :: W_res = .false.
  logical :: tau_res = .false.
  logical :: t_res = .false.
  logical :: Z_res = .false.
  logical :: Ha_res = .false.

! Light particles
  logical :: MTA_reg_light = .false.
  logical :: MM_reg_light = .false.
  logical :: MB_reg_light = .false.
  logical :: ME_reg_light = .false.
  logical :: MC_reg_light = .false.
  logical :: MU_reg_light = .false.
  logical :: MS_reg_light = .false.
  logical :: MD_reg_light = .false.

! Maximal helicity configurations. Determined by the particle with highest spin  
! e.g. massive VB  -> 3
  integer, parameter :: max_polarizations = 3

! External parameter
  complex(kind=dp) :: l5 = 0.1d0
  complex(kind=dp) :: cb = 0.31622776601684d0
  complex(kind=dp) :: sa = -0.31622776601684d0
  complex(kind=dp) :: aEW = 0.75552541674291d-02
  complex(kind=dp) :: aS = 0.118d0
  complex(kind=dp) :: muMS_BSM = 100.0d0
  complex(kind=dp) :: h1u = 0d0
  complex(kind=dp) :: h1d = 1d0
  complex(kind=dp) :: h1l = 1d0
  complex(kind=dp) :: h2u = 1d0
  complex(kind=dp) :: h2d = 0d0
  complex(kind=dp) :: h2l = 0d0

! Internal parameter
  complex(kind=dp) :: ymb
  complex(kind=dp) :: ymc
  complex(kind=dp) :: ymdo
  complex(kind=dp) :: yms
  complex(kind=dp) :: ymtau
  complex(kind=dp) :: yme
  complex(kind=dp) :: ymm
  complex(kind=dp) :: ymup
  complex(kind=dp) :: ymt
  complex(kind=dp) :: ZERO
  complex(kind=dp) :: sw2
  complex(kind=dp) :: ee
  complex(kind=dp) :: gs
  complex(kind=dp) :: MPS
  complex(kind=dp) :: MPA
  complex(kind=dp) :: MPC
  complex(kind=dp) :: sb
  complex(kind=dp) :: ca
  complex(kind=dp) :: cab
  complex(kind=dp) :: cw
  complex(kind=dp) :: sab
  complex(kind=dp) :: sw
  complex(kind=dp) :: tb
  complex(kind=dp) :: g1
  complex(kind=dp) :: gw
  complex(kind=dp) :: vev
  complex(kind=dp) :: MSB2
  complex(kind=dp) :: m12
  complex(kind=dp) :: l1
  complex(kind=dp) :: l2
  complex(kind=dp) :: l3
  complex(kind=dp) :: l4
  complex(kind=dp) :: vev1
  complex(kind=dp) :: vev2
  complex(kind=dp) :: yb2
  complex(kind=dp) :: yc1
  complex(kind=dp) :: yc2
  complex(kind=dp) :: yd12x2
  complex(kind=dp) :: yd13x3
  complex(kind=dp) :: ydo1
  complex(kind=dp) :: ydo2
  complex(kind=dp) :: ye1
  complex(kind=dp) :: ye2
  complex(kind=dp) :: ym1
  complex(kind=dp) :: ym2
  complex(kind=dp) :: ys2
  complex(kind=dp) :: yt1
  complex(kind=dp) :: yt2
  complex(kind=dp) :: ytau1
  complex(kind=dp) :: ytau2
  complex(kind=dp) :: yup1
  complex(kind=dp) :: yup2

! cmass2/cmass2_reg relates the mass id to the actual complex squared mass(_reg) 
! value.
  complex(kind=dp), allocatable :: cmass2(:), cmass2_reg(:)

  contains
    function sec(a) result(b)
      complex(kind=dp), intent(in) :: a
      complex(kind=dp) :: b
      b = 1/cos(a)
    end function sec

    function csc(a) result(b)
      complex(kind=dp), intent(in) :: a
      complex(kind=dp) :: b
      b = 1/sin(a)
    end function csc

    function cot(a) result(b)
      complex(kind=dp), intent(in) :: a
      complex(kind=dp) :: b
      b = 1/tan(a)
    end function cot

    function conjugate(a) result(b)
      complex(kind=dp), intent(in) :: a
      complex(kind=dp) :: b
      b = dconjg(a)
    end function conjugate

    function get_modelname_mdl() result(ret_modelname)
      character(len=100) :: ret_modelname
      ret_modelname = modelname
    end function get_modelname_mdl

    function get_modelgauge_mdl() result(ret_modelgauge)
      character(len=100) :: ret_modelgauge
      ret_modelgauge = modelgauge
    end function get_modelgauge_mdl

    function get_driver_timestamp_mdl() result(ret_driver_timestamp)
      character(len=200) :: ret_driver_timestamp
      ret_driver_timestamp = driver_timestamp
    end function get_driver_timestamp_mdl

    function get_cmass2_mdl(m_id) result(ret_cmass2)
      integer, intent(in) :: m_id
      complex(kind=dp) :: ret_cmass2
      ret_cmass2 = cmass2(m_id)
    end function get_cmass2_mdl

    function get_particle_cmass2_mdl(p_id) result(ret_cmass2)
      integer, intent(in) :: p_id
      integer :: m_id
      complex(kind=dp) :: ret_cmass2
      m_id = get_particle_mass_id_mdl(p_id)
      ret_cmass2 = cmass2(m_id)
    end function get_particle_cmass2_mdl

    function get_cmass2_reg_mdl(m_id) result(ret_cmass2_reg)
      integer, intent(in) :: m_id
      complex(kind=dp) :: ret_cmass2_reg
      ret_cmass2_reg = cmass2_reg(m_id)
    end function get_cmass2_reg_mdl

    function get_particle_cmass2_reg_mdl(p_id) result(ret_cmass2_reg)
      integer, intent(in) :: p_id
      integer :: m_id
      complex(kind=dp) :: ret_cmass2_reg
      m_id = get_particle_mass_id_mdl(p_id)
      ret_cmass2_reg = cmass2_reg(m_id)
    end function get_particle_cmass2_reg_mdl

    function get_n_masses_mdl() result(ret_n_masses)
      integer :: ret_n_masses
      ret_n_masses = n_masses
    end function get_n_masses_mdl

    function get_n_particles_mdl() result(ret_n_particles)
      integer :: ret_n_particles
      ret_n_particles = n_particles
    end function get_n_particles_mdl

    function get_order_id_mdl(o_id) result(ret_order)
      integer, intent(in) :: o_id
      character(len=3) :: ret_order
      ret_order = order_ids(o_id)
    end function get_order_id_mdl

    function get_n_orders_mdl() result(ret_n_orders)
      integer :: ret_n_orders
      ret_n_orders = size(order_ids)
    end function get_n_orders_mdl

    function get_max_polarizations_mdl() result(ret_max_polarizations)
      integer :: ret_max_polarizations
      ret_max_polarizations = max_polarizations
    end function get_max_polarizations_mdl

    function get_particle_polarizations_mdl(p) result(npolarizations)
      integer, intent(in) :: p
      integer :: npolarizations
      character(len=3) :: p_str
      select case(get_particle_mass_reg_mdl(p))
      case(1,2)
        select case(get_particle_spin_mdl(p))
        case(-1,1)
          npolarizations = 1
        case(2,3)
          npolarizations = 2
        case default
          write(p_str,'(i3)') p
          call error_mdl("Spin other than -1,1,2,3 not supported. P_id:" // &
                        trim(p_str), where='get_particle_polarizations_mdl')
        end select
      case(3)
        select case(get_particle_spin_mdl(p))
        case(-1,1)
          npolarizations = 1
        case(2)
          npolarizations = 2
        case(3)
          npolarizations = 3
        case default
          write(p_str,'(i3)') p
          call error_mdl("Spin other than -1,1,2,3 not supported. P_id:" // &
                        trim(p_str), where='get_particle_polarizations_mdl')
          stop
        end select
      case default
        write(p_str,'(i3)') p
        call error_mdl("Mass reg cannot be other than 1,2 or 3. P_id:" // &
                      trim(p_str), where='get_particle_polarizations_mdl')
        stop
      end select
    end function get_particle_polarizations_mdl

    function is_particle_model_init_mdl() result(ret_init)
      logical :: ret_init
      ret_init = particle_model_init
    end function is_particle_model_init_mdl

    subroutine set_particle_model_init_mdl(set_init)
      logical, intent(in) :: set_init
      particle_model_init = set_init
    end subroutine set_particle_model_init_mdl

    subroutine clear_particles_mdl
      if (allocated(cmass2_reg)) deallocate(cmass2_reg)
      if (allocated(cmass2_reg)) deallocate(cmass2_reg)
      particle_model_init = .false.
    end subroutine clear_particles_mdl

    subroutine set_masscut_mdl (m)
      ! Sets mass limit below which particles are considered massless.
      real(dp), intent(in) :: m

      masscut = m
      if (is_particle_model_init_mdl()) then
        call warning_mdl('Masscut needs to be set before defining processes.',&
                        where='set_masscut_mdl')
      end if

    end subroutine set_masscut_mdl

    subroutine set_light_particle_mdl(p)
      character(*), intent(in) :: p
      call set_light_particle_value_mdl(p, .true.)
    end subroutine set_light_particle_mdl

    subroutine unset_light_particle_mdl(p)
      character(*), intent(in) :: p
      call set_light_particle_value_mdl(p, .false.)
    end subroutine unset_light_particle_mdl

    subroutine set_resonant_particle_mdl(p)
      character(*), intent(in) :: p
      call set_resonant_particle_value_mdl(p, .true.)
    end subroutine set_resonant_particle_mdl

    subroutine unset_resonant_particle_mdl(p)
      character(*), intent(in) :: p
      call set_resonant_particle_value_mdl(p, .false.)
    end subroutine unset_resonant_particle_mdl

    subroutine init_cmasses_mdl()
!     Init mass squared parameters
      ME2 = ME**2
      MC2 = MC**2
      MB2 = MB**2
      MD2 = MD**2
      MW2 = MW**2
      MHH2 = MHH**2
      MTA2 = MTA**2
      MHC2 = MHC**2
      MS2 = MS**2
      MHA2 = MHA**2
      MU2 = MU**2
      MT2 = MT**2
      MHL2 = MHL**2
      MM2 = MM**2
      MZ2 = MZ**2

!     Start with mass Ids and complex masses
!     The mass ids are given by their order in UFO
      n_masses = 2
!     Mass representative: Z
      MZ_reg = 3
      n_masses = n_masses + 1
      nMZ = n_masses
      if (Z_res .eqv. .false.) then
        cMZ2 = MZ**2 - cima*WZ*MZ
        cMZ2_reg = MZ**2 - cima*WZ*MZ
      else
        cMZ2 = cmplx(MZ**2, 0d0,kind=dp)
        cMZ2_reg = cmplx(MZ**2, 0d0,kind=dp)
      end if 

!     Mass representative: W+
      MW_reg = 3
      n_masses = n_masses + 1
      nMW = n_masses
      if (W_res .eqv. .false.) then
        cMW2 = MW**2 - cima*WW*MW
        cMW2_reg = MW**2 - cima*WW*MW
      else
        cMW2 = cmplx(MW**2, 0d0,kind=dp)
        cMW2_reg = cmplx(MW**2, 0d0,kind=dp)
      end if 

!     Mass representative: e-
      if (ME .lt. masscut .or. ME_reg_light) then
        if (ME .eq. 0d0) then
          nME = 1
          ME_reg = 1
          cME2 = cnul
          cME2_reg = cnul
        else
          ME_reg = 2
          n_masses = n_masses + 1
          nME = n_masses
          cME2 = cnul
          cME2_reg = cmplx(ME**2, 0d0,kind=dp)
        end if 
      else
        ME_reg = 3
        n_masses = n_masses + 1
        nME = n_masses
        cME2 = cmplx(ME**2, 0d0,kind=dp)
        cME2_reg = cmplx(ME**2, 0d0,kind=dp)
      end if 

!     Mass representative: mu-
      if (MM .lt. masscut .or. MM_reg_light) then
        if (MM .eq. 0d0) then
          nMM = 1
          MM_reg = 1
          cMM2 = cnul
          cMM2_reg = cnul
        else
          MM_reg = 2
          n_masses = n_masses + 1
          nMM = n_masses
          cMM2 = cnul
          cMM2_reg = MM**2 - cima*WM*MM
          if (abs(WM) .gt. 0d0) then
            call error_mdl('Finite width WM>0 not tested in massreg.', where   &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MM_reg = 3
        n_masses = n_masses + 1
        nMM = n_masses
        if (mu_res .eqv. .false.) then
          cMM2 = MM**2 - cima*WM*MM
          cMM2_reg = MM**2 - cima*WM*MM
        else
          cMM2 = cmplx(MM**2, 0d0,kind=dp)
          cMM2_reg = cmplx(MM**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: tau-
      if (MTA .lt. masscut .or. MTA_reg_light) then
        if (MTA .eq. 0d0) then
          nMTA = 1
          MTA_reg = 1
          cMTA2 = cnul
          cMTA2_reg = cnul
        else
          MTA_reg = 2
          n_masses = n_masses + 1
          nMTA = n_masses
          cMTA2 = cnul
          cMTA2_reg = MTA**2 - cima*WTA*MTA
          if (abs(WTA) .gt. 0d0) then
            call error_mdl('Finite width WTA>0 not tested in massreg.', where  &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MTA_reg = 3
        n_masses = n_masses + 1
        nMTA = n_masses
        if (tau_res .eqv. .false.) then
          cMTA2 = MTA**2 - cima*WTA*MTA
          cMTA2_reg = MTA**2 - cima*WTA*MTA
        else
          cMTA2 = cmplx(MTA**2, 0d0,kind=dp)
          cMTA2_reg = cmplx(MTA**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: u
      if (MU .lt. masscut .or. MU_reg_light) then
        if (MU .eq. 0d0) then
          nMU = 1
          MU_reg = 1
          cMU2 = cnul
          cMU2_reg = cnul
        else
          MU_reg = 2
          n_masses = n_masses + 1
          nMU = n_masses
          cMU2 = cnul
          cMU2_reg = cmplx(MU**2, 0d0,kind=dp)
        end if 
      else
        MU_reg = 3
        n_masses = n_masses + 1
        nMU = n_masses
        cMU2 = cmplx(MU**2, 0d0,kind=dp)
        cMU2_reg = cmplx(MU**2, 0d0,kind=dp)
      end if 

!     Mass representative: c
      if (MC .lt. masscut .or. MC_reg_light) then
        if (MC .eq. 0d0) then
          nMC = 1
          MC_reg = 1
          cMC2 = cnul
          cMC2_reg = cnul
        else
          MC_reg = 2
          n_masses = n_masses + 1
          nMC = n_masses
          cMC2 = cnul
          cMC2_reg = MC**2 - cima*WC*MC
          if (abs(WC) .gt. 0d0) then
            call error_mdl('Finite width WC>0 not tested in massreg.', where   &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MC_reg = 3
        n_masses = n_masses + 1
        nMC = n_masses
        if (c_res .eqv. .false.) then
          cMC2 = MC**2 - cima*WC*MC
          cMC2_reg = MC**2 - cima*WC*MC
        else
          cMC2 = cmplx(MC**2, 0d0,kind=dp)
          cMC2_reg = cmplx(MC**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: t
      if (MT .lt. masscut) then
        if (MT .eq. 0d0) then
          nMT = 1
          MT_reg = 1
          cMT2 = cnul
          cMT2_reg = cnul
        else
          MT_reg = 2
          n_masses = n_masses + 1
          nMT = n_masses
          cMT2 = cnul
          cMT2_reg = MT**2 - cima*WT*MT
          if (abs(WT) .gt. 0d0) then
            call error_mdl('Finite width WT>0 not tested in massreg.', where   &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MT_reg = 3
        n_masses = n_masses + 1
        nMT = n_masses
        if (t_res .eqv. .false.) then
          cMT2 = MT**2 - cima*WT*MT
          cMT2_reg = MT**2 - cima*WT*MT
        else
          cMT2 = cmplx(MT**2, 0d0,kind=dp)
          cMT2_reg = cmplx(MT**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: d
      if (MD .lt. masscut .or. MD_reg_light) then
        if (MD .eq. 0d0) then
          nMD = 1
          MD_reg = 1
          cMD2 = cnul
          cMD2_reg = cnul
        else
          MD_reg = 2
          n_masses = n_masses + 1
          nMD = n_masses
          cMD2 = cnul
          cMD2_reg = cmplx(MD**2, 0d0,kind=dp)
        end if 
      else
        MD_reg = 3
        n_masses = n_masses + 1
        nMD = n_masses
        cMD2 = cmplx(MD**2, 0d0,kind=dp)
        cMD2_reg = cmplx(MD**2, 0d0,kind=dp)
      end if 

!     Mass representative: s
      if (MS .lt. masscut .or. MS_reg_light) then
        if (MS .eq. 0d0) then
          nMS = 1
          MS_reg = 1
          cMS2 = cnul
          cMS2_reg = cnul
        else
          MS_reg = 2
          n_masses = n_masses + 1
          nMS = n_masses
          cMS2 = cnul
          cMS2_reg = cmplx(MS**2, 0d0,kind=dp)
        end if 
      else
        MS_reg = 3
        n_masses = n_masses + 1
        nMS = n_masses
        cMS2 = cmplx(MS**2, 0d0,kind=dp)
        cMS2_reg = cmplx(MS**2, 0d0,kind=dp)
      end if 

!     Mass representative: b
      if (MB .lt. masscut .or. MB_reg_light) then
        if (MB .eq. 0d0) then
          nMB = 1
          MB_reg = 1
          cMB2 = cnul
          cMB2_reg = cnul
        else
          MB_reg = 2
          n_masses = n_masses + 1
          nMB = n_masses
          cMB2 = cnul
          cMB2_reg = MB**2 - cima*WB*MB
          if (abs(WB) .gt. 0d0) then
            call error_mdl('Finite width WB>0 not tested in massreg.', where   &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MB_reg = 3
        n_masses = n_masses + 1
        nMB = n_masses
        if (b_res .eqv. .false.) then
          cMB2 = MB**2 - cima*WB*MB
          cMB2_reg = MB**2 - cima*WB*MB
        else
          cMB2 = cmplx(MB**2, 0d0,kind=dp)
          cMB2_reg = cmplx(MB**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: H+
      if (MHC .lt. masscut) then
        if (MHC .eq. 0d0) then
          nMHC = 1
          MHC_reg = 1
          cMHC2 = cnul
          cMHC2_reg = cnul
        else
          MHC_reg = 2
          n_masses = n_masses + 1
          nMHC = n_masses
          cMHC2 = cnul
          cMHC2_reg = MHC**2 - cima*WHC*MHC
          if (abs(WHC) .gt. 0d0) then
            call error_mdl('Finite width WHC>0 not tested in massreg.', where  &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MHC_reg = 3
        n_masses = n_masses + 1
        nMHC = n_masses
        if (H_res .eqv. .false.) then
          cMHC2 = MHC**2 - cima*WHC*MHC
          cMHC2_reg = MHC**2 - cima*WHC*MHC
        else
          cMHC2 = cmplx(MHC**2, 0d0,kind=dp)
          cMHC2_reg = cmplx(MHC**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: Hl
      if (MHL .lt. masscut) then
        if (MHL .eq. 0d0) then
          nMHL = 1
          MHL_reg = 1
          cMHL2 = cnul
          cMHL2_reg = cnul
        else
          MHL_reg = 2
          n_masses = n_masses + 1
          nMHL = n_masses
          cMHL2 = cnul
          cMHL2_reg = MHL**2 - cima*WHL*MHL
          if (abs(WHL) .gt. 0d0) then
            call error_mdl('Finite width WHL>0 not tested in massreg.', where  &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MHL_reg = 3
        n_masses = n_masses + 1
        nMHL = n_masses
        if (Hl_res .eqv. .false.) then
          cMHL2 = MHL**2 - cima*WHL*MHL
          cMHL2_reg = MHL**2 - cima*WHL*MHL
        else
          cMHL2 = cmplx(MHL**2, 0d0,kind=dp)
          cMHL2_reg = cmplx(MHL**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: Hh
      if (MHH .lt. masscut) then
        if (MHH .eq. 0d0) then
          nMHH = 1
          MHH_reg = 1
          cMHH2 = cnul
          cMHH2_reg = cnul
        else
          MHH_reg = 2
          n_masses = n_masses + 1
          nMHH = n_masses
          cMHH2 = cnul
          cMHH2_reg = MHH**2 - cima*WHH*MHH
          if (abs(WHH) .gt. 0d0) then
            call error_mdl('Finite width WHH>0 not tested in massreg.', where  &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MHH_reg = 3
        n_masses = n_masses + 1
        nMHH = n_masses
        if (Hh_res .eqv. .false.) then
          cMHH2 = MHH**2 - cima*WHH*MHH
          cMHH2_reg = MHH**2 - cima*WHH*MHH
        else
          cMHH2 = cmplx(MHH**2, 0d0,kind=dp)
          cMHH2_reg = cmplx(MHH**2, 0d0,kind=dp)
        end if 
      end if 

!     Mass representative: Ha
      if (MHA .lt. masscut) then
        if (MHA .eq. 0d0) then
          nMHA = 1
          MHA_reg = 1
          cMHA2 = cnul
          cMHA2_reg = cnul
        else
          MHA_reg = 2
          n_masses = n_masses + 1
          nMHA = n_masses
          cMHA2 = cnul
          cMHA2_reg = MHA**2 - cima*WHA*MHA
          if (abs(WHA) .gt. 0d0) then
            call error_mdl('Finite width WHA>0 not tested in massreg.', where  &
            ='init_cmasses_mdl')
          end if 
        end if 
      else
        MHA_reg = 3
        n_masses = n_masses + 1
        nMHA = n_masses
        if (Ha_res .eqv. .false.) then
          cMHA2 = MHA**2 - cima*WHA*MHA
          cMHA2_reg = MHA**2 - cima*WHA*MHA
        else
          cMHA2 = cmplx(MHA**2, 0d0,kind=dp)
          cMHA2_reg = cmplx(MHA**2, 0d0,kind=dp)
        end if 
      end if 


      if (allocated(cmass2)) deallocate(cmass2)
      allocate(cmass2(n_masses))
      if (allocated(cmass2_reg)) deallocate(cmass2_reg)
      allocate(cmass2_reg(n_masses))
      cmass2(1:2) = cnul
      cmass2_reg(1:2) = cnul
      cmass2(nME) = cME2
      cmass2_reg(nME) = cME2_reg
      cmass2(nMC) = cMC2
      cmass2_reg(nMC) = cMC2_reg
      cmass2(nMB) = cMB2
      cmass2_reg(nMB) = cMB2_reg
      cmass2(nMD) = cMD2
      cmass2_reg(nMD) = cMD2_reg
      cmass2(nMW) = cMW2
      cmass2_reg(nMW) = cMW2_reg
      cmass2(nMHH) = cMHH2
      cmass2_reg(nMHH) = cMHH2_reg
      cmass2(nMTA) = cMTA2
      cmass2_reg(nMTA) = cMTA2_reg
      cmass2(nMHC) = cMHC2
      cmass2_reg(nMHC) = cMHC2_reg
      cmass2(nMS) = cMS2
      cmass2_reg(nMS) = cMS2_reg
      cmass2(nMHA) = cMHA2
      cmass2_reg(nMHA) = cMHA2_reg
      cmass2(nMU) = cMU2
      cmass2_reg(nMU) = cMU2_reg
      cmass2(nMT) = cMT2
      cmass2_reg(nMT) = cMT2_reg
      cmass2(nMHL) = cMHL2
      cmass2_reg(nMHL) = cMHL2_reg
      cmass2(nMM) = cMM2
      cmass2_reg(nMM) = cMM2_reg
      cmass2(nMZ) = cMZ2
      cmass2_reg(nMZ) = cMZ2_reg

      cME = sqrt(cME2)
      cME_reg = sqrt(cME2_reg)
      cMC = sqrt(cMC2)
      cMC_reg = sqrt(cMC2_reg)
      cMB = sqrt(cMB2)
      cMB_reg = sqrt(cMB2_reg)
      cMD = sqrt(cMD2)
      cMD_reg = sqrt(cMD2_reg)
      cMW = sqrt(cMW2)
      cMW_reg = sqrt(cMW2_reg)
      cMHH = sqrt(cMHH2)
      cMHH_reg = sqrt(cMHH2_reg)
      cMTA = sqrt(cMTA2)
      cMTA_reg = sqrt(cMTA2_reg)
      cMHC = sqrt(cMHC2)
      cMHC_reg = sqrt(cMHC2_reg)
      cMS = sqrt(cMS2)
      cMS_reg = sqrt(cMS2_reg)
      cMHA = sqrt(cMHA2)
      cMHA_reg = sqrt(cMHA2_reg)
      cMU = sqrt(cMU2)
      cMU_reg = sqrt(cMU2_reg)
      cMT = sqrt(cMT2)
      cMT_reg = sqrt(cMT2_reg)
      cMHL = sqrt(cMHL2)
      cMHL_reg = sqrt(cMHL2_reg)
      cMM = sqrt(cMM2)
      cMM_reg = sqrt(cMM2_reg)
      cMZ = sqrt(cMZ2)
      cMZ_reg = sqrt(cMZ2_reg)

      rME2 = cmplx(real(cME2),0d0,kind=dp)
      rME = sqrt(rME2)
      rMC2 = cmplx(real(cMC2),0d0,kind=dp)
      rMC = sqrt(rMC2)
      rMB2 = cmplx(real(cMB2),0d0,kind=dp)
      rMB = sqrt(rMB2)
      rMD2 = cmplx(real(cMD2),0d0,kind=dp)
      rMD = sqrt(rMD2)
      rMW2 = cmplx(real(cMW2),0d0,kind=dp)
      rMW = sqrt(rMW2)
      rMHH2 = cmplx(real(cMHH2),0d0,kind=dp)
      rMHH = sqrt(rMHH2)
      rMTA2 = cmplx(real(cMTA2),0d0,kind=dp)
      rMTA = sqrt(rMTA2)
      rMHC2 = cmplx(real(cMHC2),0d0,kind=dp)
      rMHC = sqrt(rMHC2)
      rMS2 = cmplx(real(cMS2),0d0,kind=dp)
      rMS = sqrt(rMS2)
      rMHA2 = cmplx(real(cMHA2),0d0,kind=dp)
      rMHA = sqrt(rMHA2)
      rMU2 = cmplx(real(cMU2),0d0,kind=dp)
      rMU = sqrt(rMU2)
      rMT2 = cmplx(real(cMT2),0d0,kind=dp)
      rMT = sqrt(rMT2)
      rMHL2 = cmplx(real(cMHL2),0d0,kind=dp)
      rMHL = sqrt(rMHL2)
      rMM2 = cmplx(real(cMM2),0d0,kind=dp)
      rMM = sqrt(rMM2)
      rMZ2 = cmplx(real(cMZ2),0d0,kind=dp)
      rMZ = sqrt(rMZ2)

      call init_parameters_mdl()

    end subroutine init_cmasses_mdl

    subroutine init_parameters_mdl()
      ymb = cMB
      ymc = cMC
      ymdo = cMD
      yms = cMS
      ymtau = cMTA
      yme = cME
      ymm = cMM
      ymup = cMU
      ymt = cMT
      ZERO = 0d0
      sw2 = -cMW**2d0/cMZ**2d0 + 1d0
      ee = 2d0*sqrt(pi)*sqrt(aEW)
      gs = 2d0*sqrt(pi)*sqrt(aS)
      MPS = sqrt(2d0)*sqrt(cMHH**2d0 + cMHL**2d0)/2d0
      MPA = sqrt(2d0)*cMHA/2d0
      MPC = sqrt(2d0)*cMHC/2d0
      sb = sqrt(-cb**2d0 + 1d0)
      ca = sqrt(-sa**2d0 + 1d0)
      cab = ca*cb + sa*sb
      cw = sqrt(-sw2 + 1d0)
      sab = -ca*sb + cb*sa
      sw = sqrt(sw2)
      tb = sb/cb
      g1 = -ee/(2d0*cw)
      gw = ee/sw
      vev = 2d0*cMW*sw/ee
      MSB2 = cMHA**2d0 + l5*vev**2d0
      m12 = MSB2*cb*sb
      l1 = (-MSB2*sb**2d0 + cMHH**2d0*ca**2d0 + cMHL**2d0*sa**2d0)/(cb**2d0*vev&
      **2d0)
      l2 = (-MSB2*cb**2d0 + cMHH**2d0*sa**2d0 + cMHL**2d0*ca**2d0)/(sb**2d0*vev&
      **2d0)
      l3 = (-MSB2 + 2d0*cMHC**2d0 + ca*sa*(cMHH**2d0 - cMHL**2d0)/(cb*sb))/vev &
      **2d0
      l4 = (MSB2 + cMHA**2d0 - 2d0*cMHC**2d0)/vev**2d0
      vev1 = cb*vev
      vev2 = sb*vev
      yb2 = sqrt(2d0)*h2d*ymb/vev2
      yc1 = sqrt(2d0)*h1u*ymc/vev1
      yc2 = sqrt(2d0)*h2u*ymc/vev2
      yd12x2 = sqrt(2d0)*h1d*yms/vev1
      yd13x3 = sqrt(2d0)*h1d*ymb/vev1
      ydo1 = sqrt(2d0)*h1d*ymdo/vev1
      ydo2 = sqrt(2d0)*h2d*ymdo/vev2
      ye1 = sqrt(2d0)*h1l*yme/vev1
      ye2 = sqrt(2d0)*h2l*yme/vev2
      ym1 = sqrt(2d0)*h1l*ymm/vev1
      ym2 = sqrt(2d0)*h2l*ymm/vev2
      ys2 = sqrt(2d0)*h2d*yms/vev2
      yt1 = sqrt(2d0)*h1u*ymt/vev1
      yt2 = sqrt(2d0)*h2u*ymt/vev2
      ytau1 = sqrt(2d0)*h1l*ymtau/vev1
      ytau2 = sqrt(2d0)*h2l*ymtau/vev2
      yup1 = sqrt(2d0)*h1u*ymup/vev1
      yup2 = sqrt(2d0)*h2u*ymup/vev2
    end subroutine init_parameters_mdl

    subroutine init_particles_mdl()
      call init_cmasses_mdl
    end subroutine init_particles_mdl

    function get_doublet_partner_mdl(particle_in) result(particle_out)
      integer :: particle_in, particle_out
      select case(particle_in)
      case(P_tauPlus)
        particle_out = P_nu_tauAnti
      case(P_eMinus)
        particle_out = P_nu_e
      case(P_uAnti)
        particle_out = P_dAnti
      case(P_bAnti)
        particle_out = P_tAnti
      case(P_nu_mu)
        particle_out = P_muMinus
      case(P_muMinus)
        particle_out = P_nu_mu
      case(P_tAnti)
        particle_out = P_bAnti
      case(P_cAnti)
        particle_out = P_sAnti
      case(P_d)
        particle_out = P_u
      case(P_b)
        particle_out = P_t
      case(P_c)
        particle_out = P_s
      case(P_nu_eAnti)
        particle_out = P_ePlus
      case(P_dAnti)
        particle_out = P_uAnti
      case(P_nu_muAnti)
        particle_out = P_muPlus
      case(P_t)
        particle_out = P_b
      case(P_u)
        particle_out = P_d
      case(P_s)
        particle_out = P_c
      case(P_nu_e)
        particle_out = P_eMinus
      case(P_sAnti)
        particle_out = P_cAnti
      case(P_nu_tauAnti)
        particle_out = P_tauPlus
      case(P_nu_tau)
        particle_out = P_tauMinus
      case(P_ePlus)
        particle_out = P_nu_eAnti
      case(P_tauMinus)
        particle_out = P_nu_tau
      case(P_muPlus)
        particle_out = P_nu_muAnti
      case default
        particle_out = 0
      end select 
    end function get_doublet_partner_mdl

    function is_firstgen_mdl(particle) result(isFirstGen)
      integer :: particle
      logical :: isFirstGen
      select case(particle)
      case(P_eMinus, P_ePlus, P_nu_e, P_nu_eAnti, P_d, P_dAnti, P_u, P_uAnti)
        isFirstGen = .true.
      case default
        isFirstGen = .false.
      end select
    end function is_firstgen_mdl

    function get_secondgen_mdl(particle) result(secondGen)
      integer :: particle, secondGen
      select case(particle)
      case(P_nu_e)
        secondGen = P_nu_mu
      case(P_eMinus)
        secondGen = P_muMinus
      case(P_d)
        secondGen = P_s
      case(P_nu_eAnti)
        secondGen = P_nu_muAnti
      case(P_ePlus)
        secondGen = P_muPlus
      case(P_dAnti)
        secondGen = P_sAnti
      case(P_uAnti)
        secondGen = P_cAnti
      case(P_u)
        secondGen = P_c
      end select
    end function get_secondgen_mdl

    function get_thirdgen_mdl(particle) result(thirdGen)
      integer :: particle, thirdGen
      select case(particle)
      case(P_nu_e)
        thirdGen = P_nu_tau
      case(P_eMinus)
        thirdGen = P_tauMinus
      case(P_d)
        thirdGen = P_b
      case(P_nu_eAnti)
        thirdGen = P_nu_tauAnti
      case(P_ePlus)
        thirdGen = P_tauPlus
      case(P_dAnti)
        thirdGen = P_bAnti
      case(P_uAnti)
        thirdGen = P_tAnti
      case(P_u)
        thirdGen = P_t
      end select
    end function get_thirdgen_mdl

    function get_particle_id_mdl(p_str) result(particle_id)
      character(*), intent(in) :: p_str
      integer :: particle_id
      select case(p_str)
      case("A")
        particle_id = 1
      case("AQ")
        particle_id = 2
      case("Z")
        particle_id = 3
      case("ZQ")
        particle_id = 4
      case("W+")
        particle_id = 5
      case("W-")
        particle_id = 6
      case("WQ+")
        particle_id = 7
      case("WQ-")
        particle_id = 8
      case("g")
        particle_id = 9
      case("gQ")
        particle_id = 10
      case("ghA")
        particle_id = 11
      case("ghA~")
        particle_id = 12
      case("ghZ")
        particle_id = 13
      case("ghZ~")
        particle_id = 14
      case("ghWp")
        particle_id = 15
      case("ghWp~")
        particle_id = 16
      case("ghWm")
        particle_id = 17
      case("ghWm~")
        particle_id = 18
      case("ghG")
        particle_id = 19
      case("ghG~")
        particle_id = 20
      case("nu_e")
        particle_id = 21
      case("nu_e~")
        particle_id = 22
      case("nu_mu")
        particle_id = 23
      case("nu_mu~")
        particle_id = 24
      case("nu_tau")
        particle_id = 25
      case("nu_tau~")
        particle_id = 26
      case("e-")
        particle_id = 27
      case("e+")
        particle_id = 28
      case("mu-")
        particle_id = 29
      case("mu+")
        particle_id = 30
      case("tau-")
        particle_id = 31
      case("tau+")
        particle_id = 32
      case("u")
        particle_id = 33
      case("u~")
        particle_id = 34
      case("c")
        particle_id = 35
      case("c~")
        particle_id = 36
      case("t")
        particle_id = 37
      case("t~")
        particle_id = 38
      case("d")
        particle_id = 39
      case("d~")
        particle_id = 40
      case("s")
        particle_id = 41
      case("s~")
        particle_id = 42
      case("b")
        particle_id = 43
      case("b~")
        particle_id = 44
      case("G+")
        particle_id = 45
      case("G-")
        particle_id = 46
      case("GQ+")
        particle_id = 47
      case("GQ-")
        particle_id = 48
      case("G0")
        particle_id = 49
      case("GQ0")
        particle_id = 50
      case("H+")
        particle_id = 51
      case("H-")
        particle_id = 52
      case("HQ+")
        particle_id = 53
      case("HQ-")
        particle_id = 54
      case("Hl")
        particle_id = 55
      case("HlQ")
        particle_id = 56
      case("Hh")
        particle_id = 57
      case("HhQ")
        particle_id = 58
      case("Ha")
        particle_id = 59
      case("HaQ")
        particle_id = 60
      end select 
    end function get_particle_id_mdl

    function get_particle_name_mdl(p) result(pname)
      integer, intent(in) :: p
      character(len=10) :: pname
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        pname = "A"
      case(P_AQ)
        pname = "AQ"
      case(P_Z)
        pname = "Z"
      case(P_ZQ)
        pname = "ZQ"
      case(P_WPlus)
        pname = "W+"
      case(P_WMinus)
        pname = "W-"
      case(P_WQPlus)
        pname = "WQ+"
      case(P_WQMinus)
        pname = "WQ-"
      case(P_g)
        pname = "g"
      case(P_gQ)
        pname = "gQ"
      case(P_ghA)
        pname = "ghA"
      case(P_ghAAnti)
        pname = "ghA~"
      case(P_ghZ)
        pname = "ghZ"
      case(P_ghZAnti)
        pname = "ghZ~"
      case(P_ghWp)
        pname = "ghWp"
      case(P_ghWpAnti)
        pname = "ghWp~"
      case(P_ghWm)
        pname = "ghWm"
      case(P_ghWmAnti)
        pname = "ghWm~"
      case(P_ghG)
        pname = "ghG"
      case(P_ghGAnti)
        pname = "ghG~"
      case(P_nu_e)
        pname = "nu_e"
      case(P_nu_eAnti)
        pname = "nu_e~"
      case(P_nu_mu)
        pname = "nu_mu"
      case(P_nu_muAnti)
        pname = "nu_mu~"
      case(P_nu_tau)
        pname = "nu_tau"
      case(P_nu_tauAnti)
        pname = "nu_tau~"
      case(P_eMinus)
        pname = "e-"
      case(P_ePlus)
        pname = "e+"
      case(P_muMinus)
        pname = "mu-"
      case(P_muPlus)
        pname = "mu+"
      case(P_tauMinus)
        pname = "tau-"
      case(P_tauPlus)
        pname = "tau+"
      case(P_u)
        pname = "u"
      case(P_uAnti)
        pname = "u~"
      case(P_c)
        pname = "c"
      case(P_cAnti)
        pname = "c~"
      case(P_t)
        pname = "t"
      case(P_tAnti)
        pname = "t~"
      case(P_d)
        pname = "d"
      case(P_dAnti)
        pname = "d~"
      case(P_s)
        pname = "s"
      case(P_sAnti)
        pname = "s~"
      case(P_b)
        pname = "b"
      case(P_bAnti)
        pname = "b~"
      case(P_GPlus)
        pname = "G+"
      case(P_GMinus)
        pname = "G-"
      case(P_GQPlus)
        pname = "GQ+"
      case(P_GQMinus)
        pname = "GQ-"
      case(P_G0)
        pname = "G0"
      case(P_GQ0)
        pname = "GQ0"
      case(P_HPlus)
        pname = "H+"
      case(P_HMinus)
        pname = "H-"
      case(P_HQPlus)
        pname = "HQ+"
      case(P_HQMinus)
        pname = "HQ-"
      case(P_Hl)
        pname = "Hl"
      case(P_HlQ)
        pname = "HlQ"
      case(P_Hh)
        pname = "Hh"
      case(P_HhQ)
        pname = "HhQ"
      case(P_Ha)
        pname = "Ha"
      case(P_HaQ)
        pname = "HaQ"
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="get_particle_name_mdl")
      end select 
    end function get_particle_name_mdl

    function get_particle_texname_mdl(p) result(ptexname)
      integer, intent(in) :: p
      character(len=30) :: ptexname
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        ptexname = "\gamma"
      case(P_AQ)
        ptexname = "\gamma_Q"
      case(P_Z)
        ptexname = "Z"
      case(P_ZQ)
        ptexname = "Z_Q"
      case(P_WPlus)
        ptexname = "W^+"
      case(P_WMinus)
        ptexname = "W^-"
      case(P_WQPlus)
        ptexname = "W_Q^+"
      case(P_WQMinus)
        ptexname = "W_Q^-"
      case(P_g)
        ptexname = "g"
      case(P_gQ)
        ptexname = "g_Q"
      case(P_ghA)
        ptexname = "u_\gamma"
      case(P_ghAAnti)
        ptexname = "\bar{u}_\gamma"
      case(P_ghZ)
        ptexname = "u_Z"
      case(P_ghZAnti)
        ptexname = "\bar{u}_Z"
      case(P_ghWp)
        ptexname = "u_{W^+}"
      case(P_ghWpAnti)
        ptexname = "\bar{u}_{W^+}"
      case(P_ghWm)
        ptexname = "u_{W^-}"
      case(P_ghWmAnti)
        ptexname = "\bar{u}_{W^-}"
      case(P_ghG)
        ptexname = "u_g"
      case(P_ghGAnti)
        ptexname = "\bar{u}_g"
      case(P_nu_e)
        ptexname = "\nu_e"
      case(P_nu_eAnti)
        ptexname = "\bar{\nu}_e"
      case(P_nu_mu)
        ptexname = "\nu_\mu"
      case(P_nu_muAnti)
        ptexname = "\bar{\nu}_\mu"
      case(P_nu_tau)
        ptexname = "\nu_\tau"
      case(P_nu_tauAnti)
        ptexname = "\bar{\nu}_\tau"
      case(P_eMinus)
        ptexname = "e^-"
      case(P_ePlus)
        ptexname = "e^+"
      case(P_muMinus)
        ptexname = "\mu^-"
      case(P_muPlus)
        ptexname = "\mu^+"
      case(P_tauMinus)
        ptexname = "\tau^-"
      case(P_tauPlus)
        ptexname = "\tau^+"
      case(P_u)
        ptexname = "u"
      case(P_uAnti)
        ptexname = "\bar{u}"
      case(P_c)
        ptexname = "c"
      case(P_cAnti)
        ptexname = "\bar{c}"
      case(P_t)
        ptexname = "t"
      case(P_tAnti)
        ptexname = "\bar{t}"
      case(P_d)
        ptexname = "d"
      case(P_dAnti)
        ptexname = "\bar{d}"
      case(P_s)
        ptexname = "s"
      case(P_sAnti)
        ptexname = "\bar{s}"
      case(P_b)
        ptexname = "b"
      case(P_bAnti)
        ptexname = "\bar{b}"
      case(P_GPlus)
        ptexname = "G^+"
      case(P_GMinus)
        ptexname = "G^-"
      case(P_GQPlus)
        ptexname = "G_Q^+"
      case(P_GQMinus)
        ptexname = "G_Q^-"
      case(P_G0)
        ptexname = "G_0"
      case(P_GQ0)
        ptexname = "G_{Q,0}"
      case(P_HPlus)
        ptexname = "H^+"
      case(P_HMinus)
        ptexname = "H^-"
      case(P_HQPlus)
        ptexname = "H_Q^+"
      case(P_HQMinus)
        ptexname = "H_Q^-"
      case(P_Hl)
        ptexname = "H_\mathrm{l}"
      case(P_HlQ)
        ptexname = "H_{\mathrm{l},Q}"
      case(P_Hh)
        ptexname = "H_\mathrm{h}"
      case(P_HhQ)
        ptexname = "H_{\mathrm{h},Q}"
      case(P_Ha)
        ptexname = "H_\mathrm{a}"
      case(P_HaQ)
        ptexname = "H_{\mathrm{a},Q}"
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="get_particle_texname_mdl")
      end select 
    end function get_particle_texname_mdl

    function get_antiparticle_id_mdl(p_str) result(particle_id)
      character(*), intent(in) :: p_str
      integer :: particle_id
      select case(p_str)
      case("A")
        particle_id = 1
      case("AQ")
        particle_id = 2
      case("Z")
        particle_id = 3
      case("ZQ")
        particle_id = 4
      case("W-")
        particle_id = 5
      case("W+")
        particle_id = 6
      case("WQ-")
        particle_id = 7
      case("WQ+")
        particle_id = 8
      case("g")
        particle_id = 9
      case("gQ")
        particle_id = 10
      case("ghA~")
        particle_id = 11
      case("ghA")
        particle_id = 12
      case("ghZ~")
        particle_id = 13
      case("ghZ")
        particle_id = 14
      case("ghWp~")
        particle_id = 15
      case("ghWp")
        particle_id = 16
      case("ghWm~")
        particle_id = 17
      case("ghWm")
        particle_id = 18
      case("ghG~")
        particle_id = 19
      case("ghG")
        particle_id = 20
      case("nu_e~")
        particle_id = 21
      case("nu_e")
        particle_id = 22
      case("nu_mu~")
        particle_id = 23
      case("nu_mu")
        particle_id = 24
      case("nu_tau~")
        particle_id = 25
      case("nu_tau")
        particle_id = 26
      case("e+")
        particle_id = 27
      case("e-")
        particle_id = 28
      case("mu+")
        particle_id = 29
      case("mu-")
        particle_id = 30
      case("tau+")
        particle_id = 31
      case("tau-")
        particle_id = 32
      case("u~")
        particle_id = 33
      case("u")
        particle_id = 34
      case("c~")
        particle_id = 35
      case("c")
        particle_id = 36
      case("t~")
        particle_id = 37
      case("t")
        particle_id = 38
      case("d~")
        particle_id = 39
      case("d")
        particle_id = 40
      case("s~")
        particle_id = 41
      case("s")
        particle_id = 42
      case("b~")
        particle_id = 43
      case("b")
        particle_id = 44
      case("G-")
        particle_id = 45
      case("G+")
        particle_id = 46
      case("GQ-")
        particle_id = 47
      case("GQ+")
        particle_id = 48
      case("G0")
        particle_id = 49
      case("GQ0")
        particle_id = 50
      case("H-")
        particle_id = 51
      case("H+")
        particle_id = 52
      case("HQ-")
        particle_id = 53
      case("HQ+")
        particle_id = 54
      case("Hl")
        particle_id = 55
      case("HlQ")
        particle_id = 56
      case("Hh")
        particle_id = 57
      case("HhQ")
        particle_id = 58
      case("Ha")
        particle_id = 59
      case("HaQ")
        particle_id = 60
      case default
        call error_mdl("Particle  "// trim(p_str) // " not defined.", where="  &
        get_antiparticle_id_mdl")
      end select 
    end function get_antiparticle_id_mdl

    function get_particle_antiparticle_mdl(p) result(ppa)
      integer, intent(in) :: p
      integer :: ppa
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        ppa = P_A
      case(P_AQ)
        ppa = P_AQ
      case(P_Z)
        ppa = P_Z
      case(P_ZQ)
        ppa = P_ZQ
      case(P_WPlus)
        ppa = P_WMinus
      case(P_WMinus)
        ppa = P_WPlus
      case(P_WQPlus)
        ppa = P_WQMinus
      case(P_WQMinus)
        ppa = P_WQPlus
      case(P_g)
        ppa = P_g
      case(P_gQ)
        ppa = P_gQ
      case(P_ghA)
        ppa = P_ghAAnti
      case(P_ghAAnti)
        ppa = P_ghA
      case(P_ghZ)
        ppa = P_ghZAnti
      case(P_ghZAnti)
        ppa = P_ghZ
      case(P_ghWp)
        ppa = P_ghWpAnti
      case(P_ghWpAnti)
        ppa = P_ghWp
      case(P_ghWm)
        ppa = P_ghWmAnti
      case(P_ghWmAnti)
        ppa = P_ghWm
      case(P_ghG)
        ppa = P_ghGAnti
      case(P_ghGAnti)
        ppa = P_ghG
      case(P_nu_e)
        ppa = P_nu_eAnti
      case(P_nu_eAnti)
        ppa = P_nu_e
      case(P_nu_mu)
        ppa = P_nu_muAnti
      case(P_nu_muAnti)
        ppa = P_nu_mu
      case(P_nu_tau)
        ppa = P_nu_tauAnti
      case(P_nu_tauAnti)
        ppa = P_nu_tau
      case(P_eMinus)
        ppa = P_ePlus
      case(P_ePlus)
        ppa = P_eMinus
      case(P_muMinus)
        ppa = P_muPlus
      case(P_muPlus)
        ppa = P_muMinus
      case(P_tauMinus)
        ppa = P_tauPlus
      case(P_tauPlus)
        ppa = P_tauMinus
      case(P_u)
        ppa = P_uAnti
      case(P_uAnti)
        ppa = P_u
      case(P_c)
        ppa = P_cAnti
      case(P_cAnti)
        ppa = P_c
      case(P_t)
        ppa = P_tAnti
      case(P_tAnti)
        ppa = P_t
      case(P_d)
        ppa = P_dAnti
      case(P_dAnti)
        ppa = P_d
      case(P_s)
        ppa = P_sAnti
      case(P_sAnti)
        ppa = P_s
      case(P_b)
        ppa = P_bAnti
      case(P_bAnti)
        ppa = P_b
      case(P_GPlus)
        ppa = P_GMinus
      case(P_GMinus)
        ppa = P_GPlus
      case(P_GQPlus)
        ppa = P_GQMinus
      case(P_GQMinus)
        ppa = P_GQPlus
      case(P_G0)
        ppa = P_G0
      case(P_GQ0)
        ppa = P_GQ0
      case(P_HPlus)
        ppa = P_HMinus
      case(P_HMinus)
        ppa = P_HPlus
      case(P_HQPlus)
        ppa = P_HQMinus
      case(P_HQMinus)
        ppa = P_HQPlus
      case(P_Hl)
        ppa = P_Hl
      case(P_HlQ)
        ppa = P_HlQ
      case(P_Hh)
        ppa = P_Hh
      case(P_HhQ)
        ppa = P_HhQ
      case(P_Ha)
        ppa = P_Ha
      case(P_HaQ)
        ppa = P_HaQ
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="get_particle_antiparticle_mdl")
      end select 
    end function get_particle_antiparticle_mdl

    function get_particle_spin_mdl(p) result(pspin)
      integer, intent(in) :: p
      integer :: pspin
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        pspin = 3
      case(P_AQ)
        pspin = 3
      case(P_Z)
        pspin = 3
      case(P_ZQ)
        pspin = 3
      case(P_WPlus)
        pspin = 3
      case(P_WMinus)
        pspin = 3
      case(P_WQPlus)
        pspin = 3
      case(P_WQMinus)
        pspin = 3
      case(P_g)
        pspin = 3
      case(P_gQ)
        pspin = 3
      case(P_ghA)
        pspin = -1
      case(P_ghAAnti)
        pspin = -1
      case(P_ghZ)
        pspin = -1
      case(P_ghZAnti)
        pspin = -1
      case(P_ghWp)
        pspin = -1
      case(P_ghWpAnti)
        pspin = -1
      case(P_ghWm)
        pspin = -1
      case(P_ghWmAnti)
        pspin = -1
      case(P_ghG)
        pspin = -1
      case(P_ghGAnti)
        pspin = -1
      case(P_nu_e)
        pspin = 2
      case(P_nu_eAnti)
        pspin = 2
      case(P_nu_mu)
        pspin = 2
      case(P_nu_muAnti)
        pspin = 2
      case(P_nu_tau)
        pspin = 2
      case(P_nu_tauAnti)
        pspin = 2
      case(P_eMinus)
        pspin = 2
      case(P_ePlus)
        pspin = 2
      case(P_muMinus)
        pspin = 2
      case(P_muPlus)
        pspin = 2
      case(P_tauMinus)
        pspin = 2
      case(P_tauPlus)
        pspin = 2
      case(P_u)
        pspin = 2
      case(P_uAnti)
        pspin = 2
      case(P_c)
        pspin = 2
      case(P_cAnti)
        pspin = 2
      case(P_t)
        pspin = 2
      case(P_tAnti)
        pspin = 2
      case(P_d)
        pspin = 2
      case(P_dAnti)
        pspin = 2
      case(P_s)
        pspin = 2
      case(P_sAnti)
        pspin = 2
      case(P_b)
        pspin = 2
      case(P_bAnti)
        pspin = 2
      case(P_GPlus)
        pspin = 1
      case(P_GMinus)
        pspin = 1
      case(P_GQPlus)
        pspin = 1
      case(P_GQMinus)
        pspin = 1
      case(P_G0)
        pspin = 1
      case(P_GQ0)
        pspin = 1
      case(P_HPlus)
        pspin = 1
      case(P_HMinus)
        pspin = 1
      case(P_HQPlus)
        pspin = 1
      case(P_HQMinus)
        pspin = 1
      case(P_Hl)
        pspin = 1
      case(P_HlQ)
        pspin = 1
      case(P_Hh)
        pspin = 1
      case(P_HhQ)
        pspin = 1
      case(P_Ha)
        pspin = 1
      case(P_HaQ)
        pspin = 1
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="get_particle_spin_mdl")
      end select 
    end function get_particle_spin_mdl

    function get_particle_colour_mdl(p) result(pcolour)
      integer, intent(in) :: p
      integer :: pcolour
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        pcolour = 1
      case(P_AQ)
        pcolour = 1
      case(P_Z)
        pcolour = 1
      case(P_ZQ)
        pcolour = 1
      case(P_WPlus)
        pcolour = 1
      case(P_WMinus)
        pcolour = 1
      case(P_WQPlus)
        pcolour = 1
      case(P_WQMinus)
        pcolour = 1
      case(P_g)
        pcolour = 8
      case(P_gQ)
        pcolour = 8
      case(P_ghA)
        pcolour = 1
      case(P_ghAAnti)
        pcolour = 1
      case(P_ghZ)
        pcolour = 1
      case(P_ghZAnti)
        pcolour = 1
      case(P_ghWp)
        pcolour = 1
      case(P_ghWpAnti)
        pcolour = 1
      case(P_ghWm)
        pcolour = 1
      case(P_ghWmAnti)
        pcolour = 1
      case(P_ghG)
        pcolour = 8
      case(P_ghGAnti)
        pcolour = 8
      case(P_nu_e)
        pcolour = 1
      case(P_nu_eAnti)
        pcolour = 1
      case(P_nu_mu)
        pcolour = 1
      case(P_nu_muAnti)
        pcolour = 1
      case(P_nu_tau)
        pcolour = 1
      case(P_nu_tauAnti)
        pcolour = 1
      case(P_eMinus)
        pcolour = 1
      case(P_ePlus)
        pcolour = 1
      case(P_muMinus)
        pcolour = 1
      case(P_muPlus)
        pcolour = 1
      case(P_tauMinus)
        pcolour = 1
      case(P_tauPlus)
        pcolour = 1
      case(P_u)
        pcolour = 3
      case(P_uAnti)
        pcolour = -3
      case(P_c)
        pcolour = 3
      case(P_cAnti)
        pcolour = -3
      case(P_t)
        pcolour = 3
      case(P_tAnti)
        pcolour = -3
      case(P_d)
        pcolour = 3
      case(P_dAnti)
        pcolour = -3
      case(P_s)
        pcolour = 3
      case(P_sAnti)
        pcolour = -3
      case(P_b)
        pcolour = 3
      case(P_bAnti)
        pcolour = -3
      case(P_GPlus)
        pcolour = 1
      case(P_GMinus)
        pcolour = 1
      case(P_GQPlus)
        pcolour = 1
      case(P_GQMinus)
        pcolour = 1
      case(P_G0)
        pcolour = 1
      case(P_GQ0)
        pcolour = 1
      case(P_HPlus)
        pcolour = 1
      case(P_HMinus)
        pcolour = 1
      case(P_HQPlus)
        pcolour = 1
      case(P_HQMinus)
        pcolour = 1
      case(P_Hl)
        pcolour = 1
      case(P_HlQ)
        pcolour = 1
      case(P_Hh)
        pcolour = 1
      case(P_HhQ)
        pcolour = 1
      case(P_Ha)
        pcolour = 1
      case(P_HaQ)
        pcolour = 1
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="get_particle_colour_mdl")
      end select 
    end function get_particle_colour_mdl

    function get_mass_name_mdl(mass_id) result(mass_name)
      integer, intent(in) :: mass_id
      character(len=6) :: mass_name, mass_id_str
      if (mass_id .le. 2) then
        mass_name = "M0"
      else if(mass_id .eq. get_particle_mass_id_mdl(3)) then
        mass_name = "MZ"
      else if(mass_id .eq. get_particle_mass_id_mdl(5)) then
        mass_name = "MW"
      else if(mass_id .eq. get_particle_mass_id_mdl(27)) then
        mass_name = "ME"
      else if(mass_id .eq. get_particle_mass_id_mdl(29)) then
        mass_name = "MM"
      else if(mass_id .eq. get_particle_mass_id_mdl(31)) then
        mass_name = "MTA"
      else if(mass_id .eq. get_particle_mass_id_mdl(33)) then
        mass_name = "MU"
      else if(mass_id .eq. get_particle_mass_id_mdl(35)) then
        mass_name = "MC"
      else if(mass_id .eq. get_particle_mass_id_mdl(37)) then
        mass_name = "MT"
      else if(mass_id .eq. get_particle_mass_id_mdl(39)) then
        mass_name = "MD"
      else if(mass_id .eq. get_particle_mass_id_mdl(41)) then
        mass_name = "MS"
      else if(mass_id .eq. get_particle_mass_id_mdl(43)) then
        mass_name = "MB"
      else if(mass_id .eq. get_particle_mass_id_mdl(51)) then
        mass_name = "MHC"
      else if(mass_id .eq. get_particle_mass_id_mdl(55)) then
        mass_name = "MHL"
      else if(mass_id .eq. get_particle_mass_id_mdl(57)) then
        mass_name = "MHH"
      else if(mass_id .eq. get_particle_mass_id_mdl(59)) then
        mass_name = "MHA"
      else
        write(mass_id_str,'(i3)') mass_id
        call error_mdl("Mass id " // trim(mass_id_str) // " not defined.",     &
        where="get_mass_name_mdl")
      end if 
    end function get_mass_name_mdl

    function get_particle_mass_id_mdl(p) result(pmassid)
      integer, intent(in) :: p
      integer :: pmassid
      select case(p)
      case(P_A)
        pmassid = 1
      case(P_AQ)
        pmassid = 1
      case(P_Z)
        pmassid = nMZ
      case(P_ZQ)
        pmassid = nMZ
      case(P_WPlus)
        pmassid = nMW
      case(P_WMinus)
        pmassid = nMW
      case(P_WQPlus)
        pmassid = nMW
      case(P_WQMinus)
        pmassid = nMW
      case(P_g)
        pmassid = 1
      case(P_gQ)
        pmassid = 1
      case(P_ghA)
        pmassid = 1
      case(P_ghAAnti)
        pmassid = 1
      case(P_ghZ)
        pmassid = nMZ
      case(P_ghZAnti)
        pmassid = nMZ
      case(P_ghWp)
        pmassid = nMW
      case(P_ghWpAnti)
        pmassid = nMW
      case(P_ghWm)
        pmassid = nMW
      case(P_ghWmAnti)
        pmassid = nMW
      case(P_ghG)
        pmassid = 1
      case(P_ghGAnti)
        pmassid = 1
      case(P_nu_e)
        pmassid = 1
      case(P_nu_eAnti)
        pmassid = 1
      case(P_nu_mu)
        pmassid = 1
      case(P_nu_muAnti)
        pmassid = 1
      case(P_nu_tau)
        pmassid = 1
      case(P_nu_tauAnti)
        pmassid = 1
      case(P_eMinus)
        pmassid = nME
      case(P_ePlus)
        pmassid = nME
      case(P_muMinus)
        pmassid = nMM
      case(P_muPlus)
        pmassid = nMM
      case(P_tauMinus)
        pmassid = nMTA
      case(P_tauPlus)
        pmassid = nMTA
      case(P_u)
        pmassid = nMU
      case(P_uAnti)
        pmassid = nMU
      case(P_c)
        pmassid = nMC
      case(P_cAnti)
        pmassid = nMC
      case(P_t)
        pmassid = nMT
      case(P_tAnti)
        pmassid = nMT
      case(P_d)
        pmassid = nMD
      case(P_dAnti)
        pmassid = nMD
      case(P_s)
        pmassid = nMS
      case(P_sAnti)
        pmassid = nMS
      case(P_b)
        pmassid = nMB
      case(P_bAnti)
        pmassid = nMB
      case(P_GPlus)
        pmassid = nMW
      case(P_GMinus)
        pmassid = nMW
      case(P_GQPlus)
        pmassid = nMW
      case(P_GQMinus)
        pmassid = nMW
      case(P_G0)
        pmassid = nMZ
      case(P_GQ0)
        pmassid = nMZ
      case(P_HPlus)
        pmassid = nMHC
      case(P_HMinus)
        pmassid = nMHC
      case(P_HQPlus)
        pmassid = nMHC
      case(P_HQMinus)
        pmassid = nMHC
      case(P_Hl)
        pmassid = nMHL
      case(P_HlQ)
        pmassid = nMHL
      case(P_Hh)
        pmassid = nMHH
      case(P_HhQ)
        pmassid = nMHH
      case(P_Ha)
        pmassid = nMHA
      case(P_HaQ)
        pmassid = nMHA
      end select 
    end function get_particle_mass_id_mdl

    function get_particle_mass_reg_mdl(p) result(pmassreg)
      integer, intent(in) :: p
      integer :: pmassreg
      select case(p)
      case(P_A)
        pmassreg = 1
      case(P_AQ)
        pmassreg = 1
      case(P_Z)
        pmassreg = MZ_reg
      case(P_ZQ)
        pmassreg = MZ_reg
      case(P_WPlus)
        pmassreg = MW_reg
      case(P_WMinus)
        pmassreg = MW_reg
      case(P_WQPlus)
        pmassreg = MW_reg
      case(P_WQMinus)
        pmassreg = MW_reg
      case(P_g)
        pmassreg = 1
      case(P_gQ)
        pmassreg = 1
      case(P_ghA)
        pmassreg = 1
      case(P_ghAAnti)
        pmassreg = 1
      case(P_ghZ)
        pmassreg = MZ_reg
      case(P_ghZAnti)
        pmassreg = MZ_reg
      case(P_ghWp)
        pmassreg = MW_reg
      case(P_ghWpAnti)
        pmassreg = MW_reg
      case(P_ghWm)
        pmassreg = MW_reg
      case(P_ghWmAnti)
        pmassreg = MW_reg
      case(P_ghG)
        pmassreg = 1
      case(P_ghGAnti)
        pmassreg = 1
      case(P_nu_e)
        pmassreg = 1
      case(P_nu_eAnti)
        pmassreg = 1
      case(P_nu_mu)
        pmassreg = 1
      case(P_nu_muAnti)
        pmassreg = 1
      case(P_nu_tau)
        pmassreg = 1
      case(P_nu_tauAnti)
        pmassreg = 1
      case(P_eMinus)
        pmassreg = ME_reg
      case(P_ePlus)
        pmassreg = ME_reg
      case(P_muMinus)
        pmassreg = MM_reg
      case(P_muPlus)
        pmassreg = MM_reg
      case(P_tauMinus)
        pmassreg = MTA_reg
      case(P_tauPlus)
        pmassreg = MTA_reg
      case(P_u)
        pmassreg = MU_reg
      case(P_uAnti)
        pmassreg = MU_reg
      case(P_c)
        pmassreg = MC_reg
      case(P_cAnti)
        pmassreg = MC_reg
      case(P_t)
        pmassreg = MT_reg
      case(P_tAnti)
        pmassreg = MT_reg
      case(P_d)
        pmassreg = MD_reg
      case(P_dAnti)
        pmassreg = MD_reg
      case(P_s)
        pmassreg = MS_reg
      case(P_sAnti)
        pmassreg = MS_reg
      case(P_b)
        pmassreg = MB_reg
      case(P_bAnti)
        pmassreg = MB_reg
      case(P_GPlus)
        pmassreg = MW_reg
      case(P_GMinus)
        pmassreg = MW_reg
      case(P_GQPlus)
        pmassreg = MW_reg
      case(P_GQMinus)
        pmassreg = MW_reg
      case(P_G0)
        pmassreg = MZ_reg
      case(P_GQ0)
        pmassreg = MZ_reg
      case(P_HPlus)
        pmassreg = MHC_reg
      case(P_HMinus)
        pmassreg = MHC_reg
      case(P_HQPlus)
        pmassreg = MHC_reg
      case(P_HQMinus)
        pmassreg = MHC_reg
      case(P_Hl)
        pmassreg = MHL_reg
      case(P_HlQ)
        pmassreg = MHL_reg
      case(P_Hh)
        pmassreg = MHH_reg
      case(P_HhQ)
        pmassreg = MHH_reg
      case(P_Ha)
        pmassreg = MHA_reg
      case(P_HaQ)
        pmassreg = MHA_reg
      end select 
    end function get_particle_mass_reg_mdl

    function get_particle_width_mdl(p) result(pwidth)
      integer, intent(in) :: p
      complex(kind=dp) :: pwidth
      select case(p)
      case(P_Z)
        pwidth = WZ
      case(P_ZQ)
        pwidth = WZ
      case(P_WPlus)
        pwidth = WW
      case(P_WMinus)
        pwidth = WW
      case(P_WQPlus)
        pwidth = WW
      case(P_WQMinus)
        pwidth = WW
      case(P_ghZ)
        pwidth = WZ
      case(P_ghZAnti)
        pwidth = WZ
      case(P_ghWp)
        pwidth = WW
      case(P_ghWpAnti)
        pwidth = WW
      case(P_ghWm)
        pwidth = WW
      case(P_ghWmAnti)
        pwidth = WW
      case(P_muMinus)
        pwidth = WM
      case(P_muPlus)
        pwidth = WM
      case(P_tauMinus)
        pwidth = WTA
      case(P_tauPlus)
        pwidth = WTA
      case(P_c)
        pwidth = WC
      case(P_cAnti)
        pwidth = WC
      case(P_t)
        pwidth = WT
      case(P_tAnti)
        pwidth = WT
      case(P_b)
        pwidth = WB
      case(P_bAnti)
        pwidth = WB
      case(P_GPlus)
        pwidth = WW
      case(P_GMinus)
        pwidth = WW
      case(P_GQPlus)
        pwidth = WW
      case(P_GQMinus)
        pwidth = WW
      case(P_G0)
        pwidth = WZ
      case(P_GQ0)
        pwidth = WZ
      case(P_HPlus)
        pwidth = WHC
      case(P_HMinus)
        pwidth = WHC
      case(P_HQPlus)
        pwidth = WHC
      case(P_HQMinus)
        pwidth = WHC
      case(P_Hl)
        pwidth = WHL
      case(P_HlQ)
        pwidth = WHL
      case(P_Hh)
        pwidth = WHH
      case(P_HhQ)
        pwidth = WHH
      case(P_Ha)
        pwidth = WHA
      case(P_HaQ)
        pwidth = WHA
      case default
        pwidth = cnul
      end select 
    end function get_particle_width_mdl

    subroutine set_parameter_mdl(param,value)
      character(*), intent(in) :: param
      complex(dp), intent(in) :: value
      if (particle_model_init) then
        call warning_mdl                                                       &
        ('Parameters need to be set before the process  generation.', where    &
        ='set_parameter_mdl')
      end if 
      select case(param)
        case("MM")
          MM = real(value,kind=dp)
        case("MB")
          MB = real(value,kind=dp)
        case("WHA")
          WHA = real(value,kind=dp)
        case("h2l")
          h2l = real(value,kind=dp)
        case("ymm")
          ymm = real(value,kind=dp)
        case("h1l")
          h1l = real(value,kind=dp)
        case("WW")
          WW = real(value,kind=dp)
        case("ymt")
          ymt = real(value,kind=dp)
        case("MW")
          MW = real(value,kind=dp)
        case("ymdo")
          ymdo = real(value,kind=dp)
        case("muMS")
          muMS = real(value,kind=dp)
        case("h2u")
          h2u = real(value,kind=dp)
        case("MHA")
          MHA = real(value,kind=dp)
        case("aEW")
          aEW = real(value,kind=dp)
        case("l5")
          l5 = real(value,kind=dp)
        case("WHH")
          WHH = real(value,kind=dp)
        case("MT")
          MT = real(value,kind=dp)
        case("WHC")
          WHC = real(value,kind=dp)
        case("ymc")
          ymc = real(value,kind=dp)
        case("WTA")
          WTA = real(value,kind=dp)
        case("ymtau")
          ymtau = real(value,kind=dp)
        case("muMS_BSM")
          muMS_BSM = real(value,kind=dp)
        case("MHH")
          MHH = real(value,kind=dp)
        case("yms")
          yms = real(value,kind=dp)
        case("h2d")
          h2d = real(value,kind=dp)
        case("WZ")
          WZ = real(value,kind=dp)
        case("h1d")
          h1d = real(value,kind=dp)
        case("WT")
          WT = real(value,kind=dp)
        case("ymup")
          ymup = real(value,kind=dp)
        case("yme")
          yme = real(value,kind=dp)
        case("MZ")
          MZ = real(value,kind=dp)
        case("h1u")
          h1u = real(value,kind=dp)
        case("WC")
          WC = real(value,kind=dp)
        case("MTA")
          MTA = real(value,kind=dp)
        case("aS")
          aS = real(value,kind=dp)
        case("cb")
          cb = real(value,kind=dp)
        case("ME")
          ME = real(value,kind=dp)
        case("sa")
          sa = real(value,kind=dp)
        case("WHL")
          WHL = real(value,kind=dp)
        case("MC")
          MC = real(value,kind=dp)
        case("MHL")
          MHL = real(value,kind=dp)
        case("MU")
          MU = real(value,kind=dp)
        case("WB")
          WB = real(value,kind=dp)
        case("ymb")
          ymb = real(value,kind=dp)
        case("WM")
          WM = real(value,kind=dp)
        case("MD")
          MD = real(value,kind=dp)
        case("MS")
          MS = real(value,kind=dp)
        case("MHC")
          MHC = real(value,kind=dp)
        case default
        call warning_mdl('Trying to change unknown/internal parameter:' // trim&
        (param), where='set_parameter_mdl')
      end select 
    end subroutine set_parameter_mdl

    function get_parameter_mdl(param)
      character(*), intent(in) :: param
      complex(dp) :: get_parameter_mdl
      select case(param)
        case("MM")
          get_parameter_mdl = MM
        case("MB")
          get_parameter_mdl = MB
        case("WHA")
          get_parameter_mdl = WHA
        case("h2l")
          get_parameter_mdl = h2l
        case("ymm")
          get_parameter_mdl = ymm
        case("h1l")
          get_parameter_mdl = h1l
        case("WW")
          get_parameter_mdl = WW
        case("ymt")
          get_parameter_mdl = ymt
        case("MW")
          get_parameter_mdl = MW
        case("ymdo")
          get_parameter_mdl = ymdo
        case("muMS")
          get_parameter_mdl = muMS
        case("h2u")
          get_parameter_mdl = h2u
        case("MHA")
          get_parameter_mdl = MHA
        case("aEW")
          get_parameter_mdl = aEW
        case("l5")
          get_parameter_mdl = l5
        case("WHH")
          get_parameter_mdl = WHH
        case("MT")
          get_parameter_mdl = MT
        case("WHC")
          get_parameter_mdl = WHC
        case("ymc")
          get_parameter_mdl = ymc
        case("WTA")
          get_parameter_mdl = WTA
        case("ymtau")
          get_parameter_mdl = ymtau
        case("muMS_BSM")
          get_parameter_mdl = muMS_BSM
        case("MHH")
          get_parameter_mdl = MHH
        case("yms")
          get_parameter_mdl = yms
        case("h2d")
          get_parameter_mdl = h2d
        case("WZ")
          get_parameter_mdl = WZ
        case("h1d")
          get_parameter_mdl = h1d
        case("WT")
          get_parameter_mdl = WT
        case("ymup")
          get_parameter_mdl = ymup
        case("yme")
          get_parameter_mdl = yme
        case("MZ")
          get_parameter_mdl = MZ
        case("h1u")
          get_parameter_mdl = h1u
        case("WC")
          get_parameter_mdl = WC
        case("MTA")
          get_parameter_mdl = MTA
        case("aS")
          get_parameter_mdl = aS
        case("cb")
          get_parameter_mdl = cb
        case("ME")
          get_parameter_mdl = ME
        case("sa")
          get_parameter_mdl = sa
        case("WHL")
          get_parameter_mdl = WHL
        case("MC")
          get_parameter_mdl = MC
        case("MHL")
          get_parameter_mdl = MHL
        case("MU")
          get_parameter_mdl = MU
        case("WB")
          get_parameter_mdl = WB
        case("ymb")
          get_parameter_mdl = ymb
        case("WM")
          get_parameter_mdl = WM
        case("MD")
          get_parameter_mdl = MD
        case("MS")
          get_parameter_mdl = MS
        case("MHC")
          get_parameter_mdl = MHC
        case("sw2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = sw2
        case("ZERO")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ZERO
        case("gw")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = gw
        case("MPA")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = MPA
        case("sw")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = sw
        case("ytau2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ytau2
        case("yup1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yup1
        case("ys2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ys2
        case("l1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = l1
        case("yd12x2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yd12x2
        case("yb2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yb2
        case("ye1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ye1
        case("l4")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = l4
        case("vev")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = vev
        case("yd13x3")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yd13x3
        case("MSB2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = MSB2
        case("cw")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = cw
        case("ydo1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ydo1
        case("yc2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yc2
        case("yup2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yup2
        case("ee")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ee
        case("yt1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yt1
        case("g1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = g1
        case("l2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = l2
        case("cab")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = cab
        case("ytau1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ytau1
        case("MPC")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = MPC
        case("tb")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = tb
        case("m12")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = m12
        case("yc1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yc1
        case("gs")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = gs
        case("ye2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ye2
        case("sab")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = sab
        case("ym1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ym1
        case("yt2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = yt2
        case("MPS")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = MPS
        case("l3")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = l3
        case("vev1")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = vev1
        case("sb")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = sb
        case("ym2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ym2
        case("ydo2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ydo2
        case("ca")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = ca
        case("vev2")
          call warning_mdl("Trying to get an internal variable which might not &
          be computed yet", where="get_parameter_mdl")
          get_parameter_mdl = vev2
        case default
          call warning_mdl('Trying to get an unknown parameter: ' // trim(param&
          ), where='get_parameter_mdl')
          get_parameter_mdl = cnul
      end select 
    end function get_parameter_mdl

    subroutine print_parameters_mdl(level)
      integer, intent(in) :: level
      character(len=15) :: fmts = '(4x,a10,g21.14)'
      character(len=24) :: fmtsc = '(4x,a10,g21.14,x,g21.14)'
      character(len=15) :: fmtm = '(4x,a7,es23.16)'
      character(len=25) :: fmtc = '(4x,a7,es23.16,x,es23.16)'
      character(len=26) :: fmtmw = '(4x,a7,es23.16,a8,es23.16)'
      character(len=18) :: fmtml = '(4x,a7,es23.16,a8)'
      write(nx,'(1x,75("-"))')
      write(nx,*) 'Input: Scale values:'
      write(nx,fmts) adjustl('muMS ='),real(muMS)
      write(nx,fmts) adjustl('muMS_BSM ='),real(muMS_BSM)
      write(nx,'(1x,75("-"))')
      write(nx,*) 'Input: Coupling values:'
      write(nx,fmtm) adjustl('aEW ='),real(aEW)
      write(nx,fmtm) adjustl('aS ='),real(aS)
      write(nx,fmtm) adjustl('cb ='),real(cb)
      write(nx,fmtm) adjustl('h1d ='),real(h1d)
      write(nx,fmtm) adjustl('h1l ='),real(h1l)
      write(nx,fmtm) adjustl('h1u ='),real(h1u)
      write(nx,fmtm) adjustl('h2d ='),real(h2d)
      write(nx,fmtm) adjustl('h2l ='),real(h2l)
      write(nx,fmtm) adjustl('h2u ='),real(h2u)
      write(nx,fmtm) adjustl('l5 ='),real(l5)
      write(nx,fmtm) adjustl('sa ='),real(sa)
      write(nx,'(1x,75("-"))')
      write(nx,*) 'Input: Pole masses and widths [GeV]:'
      write(nx,fmtmw) adjustl('MHH ='),MHH, adjustl('WHH ='),WHH
      write(nx,fmtmw) adjustl('MW ='),MW, adjustl('WW ='),WW
      write(nx,fmtmw) adjustl('MHL ='),MHL, adjustl('WHL ='),WHL
      write(nx,fmtmw) adjustl('MHA ='),MHA, adjustl('WHA ='),WHA
      write(nx,fmtmw) adjustl('MHC ='),MHC, adjustl('WHC ='),WHC
      write(nx,fmtmw) adjustl('MZ ='),MZ, adjustl('WZ ='),WZ
      if(MTA_reg .eq. 2) then
        write(nx,fmtml) adjustl('MTA ='), MTA, 'light'
      else
        write(nx,fmtmw) adjustl('MTA ='),MTA, adjustl('WTA ='),WTA
      endif
      if(MU_reg .eq. 2) then
        write(nx,fmtml) adjustl('MU ='), MU, 'light'
      else
        write(nx,fmtm) adjustl('MU ='), MU
      endif
      if(MM_reg .eq. 2) then
        write(nx,fmtml) adjustl('MM ='), MM, 'light'
      else
        write(nx,fmtmw) adjustl('MM ='),MM, adjustl('WM ='),WM
      endif
      if(MC_reg .eq. 2) then
        write(nx,fmtml) adjustl('MC ='), MC, 'light'
      else
        write(nx,fmtmw) adjustl('MC ='),MC, adjustl('WC ='),WC
      endif
      if(MB_reg .eq. 2) then
        write(nx,fmtml) adjustl('MB ='), MB, 'light'
      else
        write(nx,fmtmw) adjustl('MB ='),MB, adjustl('WB ='),WB
      endif
      if(MD_reg .eq. 2) then
        write(nx,fmtml) adjustl('MD ='), MD, 'light'
      else
        write(nx,fmtm) adjustl('MD ='), MD
      endif
      write(nx,fmtmw) adjustl('MT ='),MT, adjustl('WT ='),WT
      if(MS_reg .eq. 2) then
        write(nx,fmtml) adjustl('MS ='), MS, 'light'
      else
        write(nx,fmtm) adjustl('MS ='), MS
      endif
      if(ME_reg .eq. 2) then
        write(nx,fmtml) adjustl('ME ='), ME, 'light'
      else
        write(nx,fmtm) adjustl('ME ='), ME
      endif
      write(nx,'(1x,75("-"))')
      if (level .gt. 0) then
        write(nx,*) 'Complex masses squared [GeV^2] (internal):'
        write(nx,fmtc) adjustl('cMHH2 ='), cMHH2
        write(nx,fmtc) adjustl('cMW2 ='), cMW2
        write(nx,fmtc) adjustl('cMHL2 ='), cMHL2
        write(nx,fmtc) adjustl('cMHA2 ='), cMHA2
        write(nx,fmtc) adjustl('cMHC2 ='), cMHC2
        write(nx,fmtc) adjustl('cMZ2 ='), cMZ2
        write(nx,fmtc) adjustl('cMTA2 ='), cMTA2
        write(nx,fmtc) adjustl('cMU2 ='), cMU2
        write(nx,fmtc) adjustl('cMM2 ='), cMM2
        write(nx,fmtc) adjustl('cMC2 ='), cMC2
        write(nx,fmtc) adjustl('cMB2 ='), cMB2
        write(nx,fmtc) adjustl('cMD2 ='), cMD2
        write(nx,fmtc) adjustl('cMT2 ='), cMT2
        write(nx,fmtc) adjustl('cMS2 ='), cMS2
        write(nx,fmtc) adjustl('cME2 ='), cME2
        write(nx,'(1x,75("-"))')
        write(nx,*) 'Yukawa parameter values (internal):'
        write(nx,fmtc) adjustl('ymb ='),ymb
        write(nx,fmtc) adjustl('ymc ='),ymc
        write(nx,fmtc) adjustl('ymdo ='),ymdo
        write(nx,fmtc) adjustl('yme ='),yme
        write(nx,fmtc) adjustl('ymm ='),ymm
        write(nx,fmtc) adjustl('yms ='),yms
        write(nx,fmtc) adjustl('ymt ='),ymt
        write(nx,fmtc) adjustl('ymtau ='),ymtau
        write(nx,fmtc) adjustl('ymup ='),ymup
        write(nx,'(1x,75("-"))')
        write(nx,*) 'Internal parameter values:'
        write(nx,fmtc) 'MPA =',MPA
        write(nx,fmtc) 'MPC =',MPC
        write(nx,fmtc) 'MPS =',MPS
        write(nx,fmtc) 'MSB2 =',MSB2
        write(nx,fmtc) 'ZERO =',ZERO
        write(nx,fmtc) 'ca =',ca
        write(nx,fmtc) 'cab =',cab
        write(nx,fmtc) 'cw =',cw
        write(nx,fmtc) 'ee =',ee
        write(nx,fmtc) 'g1 =',g1
        write(nx,fmtc) 'gs =',gs
        write(nx,fmtc) 'gw =',gw
        write(nx,fmtc) 'l1 =',l1
        write(nx,fmtc) 'l2 =',l2
        write(nx,fmtc) 'l3 =',l3
        write(nx,fmtc) 'l4 =',l4
        write(nx,fmtc) 'm12 =',m12
        write(nx,fmtc) 'sab =',sab
        write(nx,fmtc) 'sb =',sb
        write(nx,fmtc) 'sw =',sw
        write(nx,fmtc) 'sw2 =',sw2
        write(nx,fmtc) 'tb =',tb
        write(nx,fmtc) 'vev =',vev
        write(nx,fmtc) 'vev1 =',vev1
        write(nx,fmtc) 'vev2 =',vev2
        write(nx,fmtc) 'yb2 =',yb2
        write(nx,fmtc) 'yc1 =',yc1
        write(nx,fmtc) 'yc2 =',yc2
        write(nx,fmtc) 'yd12x2 =',yd12x2
        write(nx,fmtc) 'yd13x3 =',yd13x3
        write(nx,fmtc) 'ydo1 =',ydo1
        write(nx,fmtc) 'ydo2 =',ydo2
        write(nx,fmtc) 'ye1 =',ye1
        write(nx,fmtc) 'ye2 =',ye2
        write(nx,fmtc) 'ym1 =',ym1
        write(nx,fmtc) 'ym2 =',ym2
        write(nx,fmtc) 'ys2 =',ys2
        write(nx,fmtc) 'yt1 =',yt1
        write(nx,fmtc) 'yt2 =',yt2
        write(nx,fmtc) 'ytau1 =',ytau1
        write(nx,fmtc) 'ytau2 =',ytau2
        write(nx,fmtc) 'yup1 =',yup1
        write(nx,fmtc) 'yup2 =',yup2
        write(nx,'(1x,75("-"))')
      end if 
    end subroutine print_parameters_mdl

    subroutine set_resonant_particle_value_mdl(p,val)
      character(*), intent(in) :: p
      logical, intent(in) :: val
      if (particle_model_init) then
        call warning_mdl                                                       &
        ('Resonances need to be set before defining processes.', where         &
        ='set_resonant_particle_value_mdl')
      end if 
      select case(p)
        case("Z")
          Z_res = val
        case("ZQ")
          Z_res = val
        case("W+")
          W_res = val
        case("W-")
          W_res = val
        case("WQ+")
          W_res = val
        case("WQ-")
          W_res = val
        case("mu-")
          mu_res = val
        case("mu+")
          mu_res = val
        case("tau-")
          tau_res = val
        case("tau+")
          tau_res = val
        case("c")
          c_res = val
        case("c~")
          c_res = val
        case("t")
          t_res = val
        case("t~")
          t_res = val
        case("b")
          b_res = val
        case("b~")
          b_res = val
        case("G+")
          W_res = val
        case("G-")
          W_res = val
        case("GQ+")
          W_res = val
        case("GQ-")
          W_res = val
        case("G0")
          Z_res = val
        case("GQ0")
          Z_res = val
        case("H+")
          H_res = val
        case("H-")
          H_res = val
        case("HQ+")
          H_res = val
        case("HQ-")
          H_res = val
        case("Hl")
          Hl_res = val
        case("HlQ")
          Hl_res = val
        case("Hh")
          Hh_res = val
        case("HhQ")
          Hh_res = val
        case("Ha")
          Ha_res = val
        case("HaQ")
          Ha_res = val
      case default
        call warning_mdl                                                       &
        ('Trying to set resonance for non-supported particle: ' // trim(p),    &
        where='set_resonant_particle_value_mdl')
      end select 
    end subroutine set_resonant_particle_value_mdl

    function is_resonant_particle_id_mdl(p) result(is_resonant_particle)
      integer, intent(in) :: p
      logical :: is_resonant_particle
      select case(p)
      case(P_Z)
        is_resonant_particle = Z_res
      case(P_ZQ)
        is_resonant_particle = Z_res
      case(P_WPlus)
        is_resonant_particle = W_res
      case(P_WMinus)
        is_resonant_particle = W_res
      case(P_WQPlus)
        is_resonant_particle = W_res
      case(P_WQMinus)
        is_resonant_particle = W_res
      case(P_muMinus)
        is_resonant_particle = mu_res
      case(P_muPlus)
        is_resonant_particle = mu_res
      case(P_tauMinus)
        is_resonant_particle = tau_res
      case(P_tauPlus)
        is_resonant_particle = tau_res
      case(P_c)
        is_resonant_particle = c_res
      case(P_cAnti)
        is_resonant_particle = c_res
      case(P_t)
        is_resonant_particle = t_res
      case(P_tAnti)
        is_resonant_particle = t_res
      case(P_b)
        is_resonant_particle = b_res
      case(P_bAnti)
        is_resonant_particle = b_res
      case(P_GPlus)
        is_resonant_particle = W_res
      case(P_GMinus)
        is_resonant_particle = W_res
      case(P_GQPlus)
        is_resonant_particle = W_res
      case(P_GQMinus)
        is_resonant_particle = W_res
      case(P_G0)
        is_resonant_particle = Z_res
      case(P_GQ0)
        is_resonant_particle = Z_res
      case(P_HPlus)
        is_resonant_particle = H_res
      case(P_HMinus)
        is_resonant_particle = H_res
      case(P_HQPlus)
        is_resonant_particle = H_res
      case(P_HQMinus)
        is_resonant_particle = H_res
      case(P_Hl)
        is_resonant_particle = Hl_res
      case(P_HlQ)
        is_resonant_particle = Hl_res
      case(P_Hh)
        is_resonant_particle = Hh_res
      case(P_HhQ)
        is_resonant_particle = Hh_res
      case(P_Ha)
        is_resonant_particle = Ha_res
      case(P_HaQ)
        is_resonant_particle = Ha_res
      case default
        call warning_mdl                                                       &
        ('Trying to determine resonance status for non-support particle id.',  &
        where='is_resonant_particle_id_mdl')
        is_resonant_particle = .false.
      end select 
    end function is_resonant_particle_id_mdl

    subroutine set_light_particle_value_mdl(p,val)
      use input_mdl, only: warning_mdl
      character(*), intent(in) :: p
      logical, intent(in) :: val
      if (particle_model_init) then
        call warning_mdl                                                       &
        ('Light particles need to be set before defining processes.', where    &
        ='set_light_particle_value_mdl')
      end if 
      select case(p)
      case("e-")
        ME_reg_light = val
      case("e+")
        ME_reg_light = val
      case("mu-")
        MM_reg_light = val
      case("mu+")
        MM_reg_light = val
      case("tau-")
        MTA_reg_light = val
      case("tau+")
        MTA_reg_light = val
      case("u")
        MU_reg_light = val
      case("u~")
        MU_reg_light = val
      case("c")
        MC_reg_light = val
      case("c~")
        MC_reg_light = val
      case("d")
        MD_reg_light = val
      case("d~")
        MD_reg_light = val
      case("s")
        MS_reg_light = val
      case("s~")
        MS_reg_light = val
      case("b")
        MB_reg_light = val
      case("b~")
        MB_reg_light = val
      case default
        call warning_mdl                                                       &
        ('Trying to set light particle for non-supported particle: ' // trim(p &
        ), where='set_light_particle_value_mdl')
      end select 
    end subroutine set_light_particle_value_mdl

    function is_light_mass_mdl(m)
      use input_mdl, only: warning_mdl
      character(*), intent(in) :: m
      logical :: is_light_mass_mdl
      select case(m)
      case("MTA_reg")
        is_light_mass_mdl = MTA_reg_light
      case("MM_reg")
        is_light_mass_mdl = MM_reg_light
      case("MB_reg")
        is_light_mass_mdl = MB_reg_light
      case("ME_reg")
        is_light_mass_mdl = ME_reg_light
      case("MC_reg")
        is_light_mass_mdl = MC_reg_light
      case("MU_reg")
        is_light_mass_mdl = MU_reg_light
      case("MS_reg")
        is_light_mass_mdl = MS_reg_light
      case("MD_reg")
        is_light_mass_mdl = MD_reg_light
      case default
        call warning_mdl                                                       &
        ('Trying to determine light status for non-support mass: ' // trim(m), &
        where='is_light_mass_mdl')
        is_light_mass_mdl = .false.
      end select 
    end function is_light_mass_mdl

    function is_particle_mdl(p) result(is_particle)
      integer, intent(in) :: p
      logical :: is_particle
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        is_particle = .true.
      case(P_AQ)
        is_particle = .true.
      case(P_Z)
        is_particle = .true.
      case(P_ZQ)
        is_particle = .true.
      case(P_WPlus)
        is_particle = .false.
      case(P_WMinus)
        is_particle = .true.
      case(P_WQPlus)
        is_particle = .false.
      case(P_WQMinus)
        is_particle = .true.
      case(P_g)
        is_particle = .true.
      case(P_gQ)
        is_particle = .true.
      case(P_ghA)
        is_particle = .true.
      case(P_ghAAnti)
        is_particle = .false.
      case(P_ghZ)
        is_particle = .true.
      case(P_ghZAnti)
        is_particle = .false.
      case(P_ghWp)
        is_particle = .true.
      case(P_ghWpAnti)
        is_particle = .false.
      case(P_ghWm)
        is_particle = .true.
      case(P_ghWmAnti)
        is_particle = .false.
      case(P_ghG)
        is_particle = .true.
      case(P_ghGAnti)
        is_particle = .false.
      case(P_nu_e)
        is_particle = .true.
      case(P_nu_eAnti)
        is_particle = .false.
      case(P_nu_mu)
        is_particle = .true.
      case(P_nu_muAnti)
        is_particle = .false.
      case(P_nu_tau)
        is_particle = .true.
      case(P_nu_tauAnti)
        is_particle = .false.
      case(P_eMinus)
        is_particle = .true.
      case(P_ePlus)
        is_particle = .false.
      case(P_muMinus)
        is_particle = .true.
      case(P_muPlus)
        is_particle = .false.
      case(P_tauMinus)
        is_particle = .true.
      case(P_tauPlus)
        is_particle = .false.
      case(P_u)
        is_particle = .true.
      case(P_uAnti)
        is_particle = .false.
      case(P_c)
        is_particle = .true.
      case(P_cAnti)
        is_particle = .false.
      case(P_t)
        is_particle = .true.
      case(P_tAnti)
        is_particle = .false.
      case(P_d)
        is_particle = .true.
      case(P_dAnti)
        is_particle = .false.
      case(P_s)
        is_particle = .true.
      case(P_sAnti)
        is_particle = .false.
      case(P_b)
        is_particle = .true.
      case(P_bAnti)
        is_particle = .false.
      case(P_GPlus)
        is_particle = .false.
      case(P_GMinus)
        is_particle = .true.
      case(P_GQPlus)
        is_particle = .false.
      case(P_GQMinus)
        is_particle = .true.
      case(P_G0)
        is_particle = .true.
      case(P_GQ0)
        is_particle = .true.
      case(P_HPlus)
        is_particle = .false.
      case(P_HMinus)
        is_particle = .true.
      case(P_HQPlus)
        is_particle = .false.
      case(P_HQMinus)
        is_particle = .true.
      case(P_Hl)
        is_particle = .true.
      case(P_HlQ)
        is_particle = .true.
      case(P_Hh)
        is_particle = .true.
      case(P_HhQ)
        is_particle = .true.
      case(P_Ha)
        is_particle = .true.
      case(P_HaQ)
        is_particle = .true.
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="is_particle_mdl")
      end select 
    end function is_particle_mdl

    function is_backgroundfield_mdl(p) result(isbf)
      integer, intent(in) :: p
      logical :: isbf
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        isbf = .true.
      case(P_AQ)
        isbf = .false.
      case(P_Z)
        isbf = .true.
      case(P_ZQ)
        isbf = .false.
      case(P_WPlus)
        isbf = .true.
      case(P_WMinus)
        isbf = .true.
      case(P_WQPlus)
        isbf = .false.
      case(P_WQMinus)
        isbf = .false.
      case(P_g)
        isbf = .true.
      case(P_gQ)
        isbf = .false.
      case(P_ghA)
        isbf = .true.
      case(P_ghAAnti)
        isbf = .true.
      case(P_ghZ)
        isbf = .true.
      case(P_ghZAnti)
        isbf = .true.
      case(P_ghWp)
        isbf = .true.
      case(P_ghWpAnti)
        isbf = .true.
      case(P_ghWm)
        isbf = .true.
      case(P_ghWmAnti)
        isbf = .true.
      case(P_ghG)
        isbf = .true.
      case(P_ghGAnti)
        isbf = .true.
      case(P_nu_e)
        isbf = .true.
      case(P_nu_eAnti)
        isbf = .true.
      case(P_nu_mu)
        isbf = .true.
      case(P_nu_muAnti)
        isbf = .true.
      case(P_nu_tau)
        isbf = .true.
      case(P_nu_tauAnti)
        isbf = .true.
      case(P_eMinus)
        isbf = .true.
      case(P_ePlus)
        isbf = .true.
      case(P_muMinus)
        isbf = .true.
      case(P_muPlus)
        isbf = .true.
      case(P_tauMinus)
        isbf = .true.
      case(P_tauPlus)
        isbf = .true.
      case(P_u)
        isbf = .true.
      case(P_uAnti)
        isbf = .true.
      case(P_c)
        isbf = .true.
      case(P_cAnti)
        isbf = .true.
      case(P_t)
        isbf = .true.
      case(P_tAnti)
        isbf = .true.
      case(P_d)
        isbf = .true.
      case(P_dAnti)
        isbf = .true.
      case(P_s)
        isbf = .true.
      case(P_sAnti)
        isbf = .true.
      case(P_b)
        isbf = .true.
      case(P_bAnti)
        isbf = .true.
      case(P_GPlus)
        isbf = .true.
      case(P_GMinus)
        isbf = .true.
      case(P_GQPlus)
        isbf = .false.
      case(P_GQMinus)
        isbf = .false.
      case(P_G0)
        isbf = .true.
      case(P_GQ0)
        isbf = .false.
      case(P_HPlus)
        isbf = .true.
      case(P_HMinus)
        isbf = .true.
      case(P_HQPlus)
        isbf = .false.
      case(P_HQMinus)
        isbf = .false.
      case(P_Hl)
        isbf = .true.
      case(P_HlQ)
        isbf = .false.
      case(P_Hh)
        isbf = .true.
      case(P_HhQ)
        isbf = .false.
      case(P_Ha)
        isbf = .true.
      case(P_HaQ)
        isbf = .false.
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="is_backgroundfield_mdl")
      end select 
    end function is_backgroundfield_mdl

    function is_quantumfield_mdl(p) result(isqf)
      integer, intent(in) :: p
      logical :: isqf
      character(len=3) :: p_str
      select case(p)
      case(P_A)
        isqf = .false.
      case(P_AQ)
        isqf = .true.
      case(P_Z)
        isqf = .false.
      case(P_ZQ)
        isqf = .true.
      case(P_WPlus)
        isqf = .false.
      case(P_WMinus)
        isqf = .false.
      case(P_WQPlus)
        isqf = .true.
      case(P_WQMinus)
        isqf = .true.
      case(P_g)
        isqf = .false.
      case(P_gQ)
        isqf = .true.
      case(P_ghA)
        isqf = .true.
      case(P_ghAAnti)
        isqf = .true.
      case(P_ghZ)
        isqf = .true.
      case(P_ghZAnti)
        isqf = .true.
      case(P_ghWp)
        isqf = .true.
      case(P_ghWpAnti)
        isqf = .true.
      case(P_ghWm)
        isqf = .true.
      case(P_ghWmAnti)
        isqf = .true.
      case(P_ghG)
        isqf = .true.
      case(P_ghGAnti)
        isqf = .true.
      case(P_nu_e)
        isqf = .true.
      case(P_nu_eAnti)
        isqf = .true.
      case(P_nu_mu)
        isqf = .true.
      case(P_nu_muAnti)
        isqf = .true.
      case(P_nu_tau)
        isqf = .true.
      case(P_nu_tauAnti)
        isqf = .true.
      case(P_eMinus)
        isqf = .true.
      case(P_ePlus)
        isqf = .true.
      case(P_muMinus)
        isqf = .true.
      case(P_muPlus)
        isqf = .true.
      case(P_tauMinus)
        isqf = .true.
      case(P_tauPlus)
        isqf = .true.
      case(P_u)
        isqf = .true.
      case(P_uAnti)
        isqf = .true.
      case(P_c)
        isqf = .true.
      case(P_cAnti)
        isqf = .true.
      case(P_t)
        isqf = .true.
      case(P_tAnti)
        isqf = .true.
      case(P_d)
        isqf = .true.
      case(P_dAnti)
        isqf = .true.
      case(P_s)
        isqf = .true.
      case(P_sAnti)
        isqf = .true.
      case(P_b)
        isqf = .true.
      case(P_bAnti)
        isqf = .true.
      case(P_GPlus)
        isqf = .false.
      case(P_GMinus)
        isqf = .false.
      case(P_GQPlus)
        isqf = .true.
      case(P_GQMinus)
        isqf = .true.
      case(P_G0)
        isqf = .false.
      case(P_GQ0)
        isqf = .true.
      case(P_HPlus)
        isqf = .false.
      case(P_HMinus)
        isqf = .false.
      case(P_HQPlus)
        isqf = .true.
      case(P_HQMinus)
        isqf = .true.
      case(P_Hl)
        isqf = .false.
      case(P_HlQ)
        isqf = .true.
      case(P_Hh)
        isqf = .false.
      case(P_HhQ)
        isqf = .true.
      case(P_Ha)
        isqf = .false.
      case(P_HaQ)
        isqf = .true.
      case default
        write(p_str,'(i3)') p
        call error_mdl("Particle id " // trim(p_str) // " not defined.", where &
        ="is_quantumfield_mdl")
      end select 
    end function is_quantumfield_mdl

    function has_feature_mdl(feature) result(has_feature)
      character(*), intent(in) :: feature
      logical :: has_feature
      select case(feature)
      case("sm_generation_opt")
        has_feature = .true.
      case("fermionloop_opt")
        has_feature = .true.
      case("qcd_rescaling")
        has_feature = .true.
      case default
        has_feature = .false.
      end select 
    end function has_feature_mdl

    function get_particle_type_mdl(particle_in) result(particle_type)
      integer, intent(in) :: particle_in
      character(2) :: particle_type
      select case (get_particle_spin_mdl(particle_in))
      ! ghost
      case(-1)
        select case (is_particle_mdl(particle_in))
        ! ghost
        case (.true.)
          particle_type = 'x'
        ! antighost
        case (.false.)
          particle_type = 'x~'
        end select
      ! scalar
      case (1)
        particle_type = 's'
      ! fermion
      case (2)
        select case (is_particle_mdl(particle_in))
        ! fermion
        case (.true.)
          particle_type = 'f'
        ! antifermion
        case (.false.)
          particle_type = 'f~'
        end select
      ! vector
      case (3)
        particle_type = 'v'
      case default
        particle_type = '0'
      end select
    end function get_particle_type_mdl

    function get_particle_type2_mdl(particle_in) result(particle_type)
      integer, intent(in) :: particle_in
      character(2) :: particle_type
      select case (get_particle_spin_mdl(particle_in))
      ! ghost
      case(-1)
        select case (is_particle_mdl(particle_in))
        ! ghost
        case (.true.)
          select case (get_particle_colour_mdl(particle_in) .ne. 1)
          ! colored ghost
          case (.true.)
            particle_type = 'G'
          ! ghost
          case (.false.)
            particle_type = 'x'
          end select
        ! antighost
        case (.false.)
          select case (get_particle_colour_mdl(particle_in) .ne. 1)
          ! colored antighost
          case (.true.)
            particle_type = 'G~'
          ! antighost
          case (.false.)
            particle_type = 'x~'
          end select
        end select
      ! scalar
      case (1)
        particle_type = 's'
      ! fermion
      case (2)
        select case (is_particle_mdl(particle_in))
        ! fermion
        case (.true.)
          select case (get_particle_colour_mdl(particle_in) .ne. 1)
          ! quark
          case (.true.)
            particle_type = 'q'
          ! fermion
          case (.false.)
            particle_type = 'f'
          end select
        ! antifermion
        case (.false.)
          select case (get_particle_colour_mdl(particle_in) .ne. 1)
          ! antiquark
          case (.true.)
            particle_type = 'q~'
          ! antifermion
          case (.false.)
            particle_type = 'f~'
          end select
        end select
      ! vector
      case (3)
        select case (get_particle_colour_mdl(particle_in) .ne. 1)
        ! gluon
        case (.true.)
          particle_type = 'g'
        ! vector
        case (.false.)
          particle_type = 'v'
        end select
      case default
        particle_type = '0'
      end select
    end function get_particle_type2_mdl

    function get_axodraw_propagator_mdl(particle_type) result(axoprop)
      character(2), intent(in) :: particle_type
      character(20) :: axoprop
      select case (particle_type)
        case ('g')
          axoprop = '\Gluon'
        case ('v')
          axoprop = '\Photon'
        case ('f', 'f~')
          axoprop = '\ArrowLine'
        case ('q', 'q~')
          axoprop = '\ArrowLine'
        case ('x', 'x~')
          axoprop = '\DashArrowLine'
        case ('G', 'G~')
          axoprop = '\DashLine'
        case ('s')
          axoprop = '\DashLine'
        case default
          write(*,*) "particle_type:", particle_type
          write (*, *) 'Case not implemented in axodraw_propagator'
          stop
      end select
    end function get_axodraw_propagator_mdl
end module class_particles
