!******************************************************************************!
!                                                                              !
!    fill_couplings2.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings2.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl2()
    coupl(nGC_21784) = -sqrt(2d0)*(cb*ym2 - sb*ym1)/2d0
    coupl(nGC_21787) = cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_21786) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21789) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21788) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_75) = -ca**2d0*cima*ee**2d0/(4d0*sw**2d0) - cima*ee**2d0*sa**2d0 &
                    /(4d0*sw**2d0)
    coupl(nGC_77) = ca**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sa**2d0/(&
                    2d0*sw**2d0)
    coupl(nGC_76) = -ca**2d0*cima*ee**2d0/(2d0*sw**2d0) - cima*ee**2d0*sa**2d0 &
                    /(2d0*sw**2d0)
    coupl(nGC_71) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - 2d0*cb**2d0*cima*l1*sb&
                    **2d0 - 2d0*cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3* &
                    sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 4d0*cb**2d0*cima*l5&
                    *sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb**4d0
    coupl(nGC_70) = -cb**4d0*cima*l3 - cb**2d0*cima*l1*sb**2d0 - cb**2d0*cima* &
                    l2*sb**2d0 + 2d0*cb**2d0*cima*l4*sb**2d0 + 2d0*cb**2d0*cima&
                    *l5*sb**2d0 - cima*l3*sb**4d0
    coupl(nGC_73) = -cb**4d0*cima*l3 - cb**4d0*cima*l4 - cb**4d0*cima*l5 - 3d0*&
                    cb**2d0*cima*l1*sb**2d0 - 3d0*cb**2d0*cima*l2*sb**2d0 + 4d0&
                    *cb**2d0*cima*l3*sb**2d0 + 4d0*cb**2d0*cima*l4*sb**2d0 +   &
                    4d0*cb**2d0*cima*l5*sb**2d0 - cima*l3*sb**4d0 - cima*l4*sb &
                    **4d0 - cima*l5*sb**4d0
    coupl(nGC_72) = -cb**4d0*cima*l4/2d0 - cb**4d0*cima*l5/2d0 - cb**2d0*cima* &
                    l1*sb**2d0 - cb**2d0*cima*l2*sb**2d0 + 2d0*cb**2d0*cima*l3*&
                    sb**2d0 + cb**2d0*cima*l4*sb**2d0 + cb**2d0*cima*l5*sb**2d0&
                     - cima*l4*sb**4d0/2d0 - cima*l5*sb**4d0/2d0
    coupl(nGC_79) = -ca*ee**2d0*sb/(4d0*sw**2d0) + cb*ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_78) = -ca*ee**2d0*sb/(2d0*sw**2d0) + cb*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_21165) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                       cw**2d0*sw)
    coupl(nGC_21164) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw&
                       *sw**2d0)
    coupl(nGC_21166) = -2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw&
                       )/(cw*sw)
    coupl(nGC_21769) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21768) = -cb**4d0*cima
    coupl(nGC_218) = -cb**2d0*cima*cw*ee/(2d0*sw) + cb**2d0*cima*ee*sw/(2d0*cw &
                     ) - cima*cw*ee*sb**2d0/(2d0*sw) + cima*ee*sb**2d0*sw/(2d0*&
                     cw)
    coupl(nGC_219) = cb**2d0*cima*cw*ee**2d0/(2d0*sw) - cb**2d0*cima*ee**2d0*sw&
                     /(2d0*cw) + cima*cw*ee**2d0*sb**2d0/(2d0*sw) - cima*ee**  &
                     2d0*sb**2d0*sw/(2d0*cw)
    coupl(nGC_214) = ca*cw*ee*sb/(2d0*sw) + ca*ee*sb*sw/(2d0*cw) - cb*cw*ee*sa &
                     /(2d0*sw) - cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_215) = -ca*cb*cw*ee/(2d0*sw) - ca*cb*ee*sw/(2d0*cw) - cw*ee*sa*sb&
                     /(2d0*sw) - ee*sa*sb*sw/(2d0*cw)
    coupl(nGC_216) = ca*cb*cw*ee/(2d0*sw) + ca*cb*ee*sw/(2d0*cw) + cw*ee*sa*sb &
                     /(2d0*sw) + ee*sa*sb*sw/(2d0*cw)
    coupl(nGC_217) = cb**2d0*cima*cw*ee/(2d0*sw) - cb**2d0*cima*ee*sw/(2d0*cw  &
                     ) + cima*cw*ee*sb**2d0/(2d0*sw) - cima*ee*sb**2d0*sw/(2d0*&
                     cw)
    coupl(nGC_210) = cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_211) = -cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_212) = cima*cw*ee/(2d0*sw) + cima*ee*sw/(2d0*cw)
    coupl(nGC_213) = -ca*cw*ee*sb/(2d0*sw) - ca*ee*sb*sw/(2d0*cw) + cb*cw*ee*sa&
                     /(2d0*sw) + cb*ee*sa*sw/(2d0*cw)
    coupl(nGC_333) = -sqrt(2d0)*ca*cima*yc2/2d0 + sqrt(2d0)*cima*sa*yc1/2d0
    coupl(nGC_20799) = -2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca*&
                       cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca&
                       *l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 +  &
                       ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_20798) = -cima*sa**2d0*sb**2d0
    coupl(nGC_20828) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       l2*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +  &
                       4d0*ca*cb*l5*sa*sb - cb**2d0*l1*sa**2d0 + cb**2d0*l3*sa &
                       **2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_20794) = -2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**  &
                       2d0*cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa  &
                        - 2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa** &
                       2d0*sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_20825) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_20824) = -ca*cima*sa*sb**2d0
    coupl(nGC_20823) = -cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0&
                       *l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb + &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_368) = -sqrt(2d0)*cb*yd12x2/2d0 - sqrt(2d0)*sb*ys2/2d0
    coupl(nGC_369) = -sqrt(2d0)*ca*cima*yt2/2d0 + sqrt(2d0)*cima*sa*yt1/2d0
    coupl(nGC_20826) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_360) = -sqrt(2d0)*ca*cima*ym1/2d0 - sqrt(2d0)*cima*sa*ym2/2d0
    coupl(nGC_361) = -cb*cima*ym1 - cima*sb*ym2
    coupl(nGC_362) = -sqrt(2d0)*cb*ym1/2d0 - sqrt(2d0)*sb*ym2/2d0
    coupl(nGC_363) = -sqrt(2d0)*ca*cima*ys2/2d0 + sqrt(2d0)*cima*sa*yd12x2/2d0
    coupl(nGC_364) = -cb*cima*ys2 + cima*sb*yd12x2
    coupl(nGC_365) = -sqrt(2d0)*cb*ys2/2d0 + sqrt(2d0)*sb*yd12x2/2d0
    coupl(nGC_366) = -sqrt(2d0)*ca*cima*yd12x2/2d0 - sqrt(2d0)*cima*sa*ys2/2d0
    coupl(nGC_367) = -cb*cima*yd12x2 - cima*sb*ys2
    coupl(nGC_20796) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**  &
                       2d0)
    coupl(nGC_545) = -cima*(ca*cb**2d0*l2 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*l5&
                     *sa*sb)
    coupl(nGC_547) = cima*(ca*cb**2d0*l3*vev1 - ca*cb*l4*sb*vev2 - ca*cb*l5*sb*&
                     vev2 + ca*l1*sb**2d0*vev1 + cb**2d0*l2*sa*vev2 - cb*l4*sa*&
                     sb*vev1 - cb*l5*sa*sb*vev1 + l3*sa*sb**2d0*vev2)
    coupl(nGC_20822) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21378) = -cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw**2d0*sw)
    coupl(nGC_20821) = 8d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 -  &
                       cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5* &
                       sb**2d0)
    coupl(nGC_20820) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_144) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee**2d0&
                     *sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*&
                     l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**2d0*sa**2d0*&
                     sb**2d0/(2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_145) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l2 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw**2d0  &
                      - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb/cw**&
                     2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4*sa**2d0 + &
                     cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0*sb**2d0/(  &
                     2d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 - cima*ee**2d0*sa**&
                     2d0*sb**2d0/(2d0*cw**2d0)
    coupl(nGC_146) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca*cb*cima*ee**2d0&
                     *sa*sb/sw**2d0 - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*&
                     l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cima*ee**2d0*sa**2d0*&
                     sb**2d0/(2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_147) = -ca**2d0*cb**2d0*cima*ee**2d0/(2d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l1 - ca**2d0*cb**2d0*cima*ee**2d0/(2d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 - ca*cb*cima*ee**2d0*sa*sb/sw**2d0  &
                      - 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb/cw**&
                     2d0 - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4*sa**2d0 + &
                     cb**2d0*cima*l5*sa**2d0 - cima*ee**2d0*sa**2d0*sb**2d0/(  &
                     2d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 - cima*ee**2d0*sa**&
                     2d0*sb**2d0/(2d0*cw**2d0)
    coupl(nGC_141) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l1 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**&
                     2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4&
                     *sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*sa**2d0*&
                     sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0 + cima*ee &
                     **2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_142) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**2d0*  &
                     cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + ca*cb*&
                     cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb -  &
                     ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*  &
                     cima*l4*sa**2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 + cima* &
                     ee**2d0*sa**2d0*sb**2d0/(4d0*sw**2d0) - cima*l4*sa**2d0*sb&
                     **2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
    coupl(nGC_143) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l5 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) + ca**2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/(  &
                     2d0*sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb  &
                      + 2d0*ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0&
                     *ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/(2d0*cw** &
                     2d0) + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*sa**2d0*sb**&
                     2d0/(4d0*sw**2d0) - cima*l5*sa**2d0*sb**2d0 + cima*ee**2d0&
                     *sa**2d0*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_148) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*ee**2d0*&
                     sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0/(4d0*sw**2d0) + ca* &
                     ee**2d0*sb**3d0/(4d0*cw**2d0) + cb**3d0*ee**2d0*sa/(4d0*sw&
                     **2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb*ee**2d0*sa*&
                     sb**2d0/(4d0*sw**2d0) - cb*ee**2d0*sa*sb**2d0/(4d0*cw**2d0&
                     )
    coupl(nGC_149) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/  &
                     2d0 - ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw** &
                     2d0) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 + cb**3d0*ee &
                     **2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*l5*sa&
                     /2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*sa*sb**&
                     2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_20957) = -ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_20956) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
    coupl(nGC_20959) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
    coupl(nGC_20958) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_269) = cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0*  &
                     vev2/(2d0*cw) - cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev1/(2d0*cw)
    coupl(nGC_20844) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       l1*sb**2d0 + ca**2d0*l3*sb**2d0 + 4d0*ca*cb*l4*sa*sb +  &
                       4d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**2d0*l3*sa &
                       **2d0 + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0)
    coupl(nGC_21204) = (cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21205) = -(cb**2d0 + sb**2d0)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21206) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21207) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21208) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21209) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**3d0
    coupl(nGC_781) = 1d0/(2d0*cMZ)
    coupl(nGC_MI) = -cima
    coupl(nGC_MM) = -cMM*cima
    coupl(nGC_1381) = -coupl(nGC_218)
    coupl(nGC_MC) = -cMC*cima
    coupl(nGC_MB) = -cMB*cima
    coupl(nGC_MZ) = cMZ**2d0*cima
    coupl(nGC_543) = cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l1*sa*sb&
                     **2d0)
    coupl(nGC_334) = cb*cima*yc2 - cima*sb*yc1
    coupl(nGC_MW) = cMW**2d0*cima
    coupl(nGC_21379) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw)
    coupl(nGC_21377) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_21278) = cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_89) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb/( &
                    2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_80) = ca*ee**2d0*sb/(4d0*sw**2d0) - cb*ee**2d0*sa/(4d0*sw**2d0)
    coupl(nGC_81) = ca*ee**2d0*sb/(2d0*sw**2d0) - cb*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_82) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb/(&
                    4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_83) = -ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb/(&
                    4d0*cw) + cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_84) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) - ca*cima*ee**2d0*sb/( &
                    4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_85) = ca*cima*cw*ee**2d0*sb/(4d0*sw**2d0) + ca*cima*ee**2d0*sb/( &
                    4d0*cw) - cb*cima*cw*ee**2d0*sa/(4d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(4d0*cw)
    coupl(nGC_86) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb/(&
                    2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_87) = -ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) + ca*cima*ee**2d0*sb/(&
                    2d0*cw) + cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) - cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_66) = -3d0*cb**4d0*cima*l2 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l1*sb**4d0
    coupl(nGC_67) = -cb**4d0*cima*l1 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l2&
                    *sb**4d0
    coupl(nGC_64) = -cb**4d0*cima*l2 - 2d0*cb**2d0*cima*l3*sb**2d0 - 2d0*cb**  &
                    2d0*cima*l4*sb**2d0 - 2d0*cb**2d0*cima*l5*sb**2d0 - cima*l1&
                    *sb**4d0
    coupl(nGC_65) = -2d0*cb**4d0*cima*l2 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l1*sb**4d0
    coupl(nGC_62) = ca*cb**3d0*l4/2d0 - ca*cb**3d0*l5/2d0 + ca*cb*l4*sb**2d0/  &
                    2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*l4*sa*sb/2d0 - cb**2d0&
                    *l5*sa*sb/2d0 + l4*sa*sb**3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_63) = -ca*cb**3d0*l4/2d0 + ca*cb**3d0*l5/2d0 - ca*cb*l4*sb**2d0/ &
                    2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*l4*sa*sb/2d0 + cb**2d0&
                    *l5*sa*sb/2d0 - l4*sa*sb**3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_60) = -ca*cb**3d0*ee**2d0/(4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(&
                    4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) - ee**  &
                    2d0*sa*sb**3d0/(4d0*cw**2d0)
    coupl(nGC_61) = ca*cb**3d0*ee**2d0/(4d0*cw**2d0) + ca*cb*ee**2d0*sb**2d0/( &
                    4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) + ee**  &
                    2d0*sa*sb**3d0/(4d0*cw**2d0)
    coupl(nGC_68) = -2d0*cb**4d0*cima*l1 - 4d0*cb**2d0*cima*l3*sb**2d0 - 4d0*cb&
                    **2d0*cima*l4*sb**2d0 - 4d0*cb**2d0*cima*l5*sb**2d0 - 2d0* &
                    cima*l2*sb**4d0
    coupl(nGC_69) = -3d0*cb**4d0*cima*l1 - 6d0*cb**2d0*cima*l3*sb**2d0 - 6d0*cb&
                    **2d0*cima*l4*sb**2d0 - 6d0*cb**2d0*cima*l5*sb**2d0 - 3d0* &
                    cima*l2*sb**4d0
    coupl(nGC_21688) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_21689) = -ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_21684) = -cima*(cb*ye2 - sb*ye1)
    coupl(nGC_21685) = -cima*sb
    coupl(nGC_21687) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
    coupl(nGC_21680) = -cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb &
                       **2d0 - cb*sa**2d0*sb)
    coupl(nGC_21681) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21682) = cb*cima*sa**2d0*sb
    coupl(nGC_21683) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_21710) = sqrt(2d0)*(cb*ym1 + sb*ym2)/2d0
    coupl(nGC_21711) = sqrt(2d0)*sb/2d0
    coupl(nGC_21190) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21191) = cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**4d0*l5&
                        + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0 - 6d0&
                       *cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0*cb** &
                       2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb**4d0 + &
                       l5*sb**4d0)
    coupl(nGC_21197) = cima*(cb*yd13x3 + sb*yb2)
    coupl(nGC_209) = -cima*cw*ee/(2d0*sw) - cima*ee*sw/(6d0*cw)
    coupl(nGC_208) = cima*ee*sw/cw
    coupl(nGC_21758) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21759) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_203) = cima*cw*ee**2d0/sw
    coupl(nGC_202) = -cima*cw*ee**2d0/sw
    coupl(nGC_201) = 2d0*cima*cw*ee/sw
    coupl(nGC_200) = -2d0*cima*cw*ee/sw
    coupl(nGC_207) = -2d0*cima*ee*sw/(3d0*cw)
    coupl(nGC_206) = cima*ee*sw/(3d0*cw)
    coupl(nGC_205) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_204) = -2d0*cima*cw*ee**2d0/sw
    coupl(nGC_21499) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
    coupl(nGC_377) = -sqrt(2d0)*cb*ytau2/2d0 + sqrt(2d0)*sb*ytau1/2d0
    coupl(nGC_376) = -cb*cima*ytau2 + cima*sb*ytau1
    coupl(nGC_375) = -sqrt(2d0)*ca*cima*ytau2/2d0 + sqrt(2d0)*cima*sa*ytau1/2d0
    coupl(nGC_20763) = cima*(ca**2d0*sb**2d0 - 4d0*ca*cb*sa*sb + cb**2d0*sa**  &
                       2d0)
    coupl(nGC_20764) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_372) = -sqrt(2d0)*ca*cima*yt1/2d0 - sqrt(2d0)*cima*sa*yt2/2d0
    coupl(nGC_20814) = -2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_370) = cb*cima*yt2 - cima*sb*yt1
    coupl(nGC_20768) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_20769) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw**2d0 + sw**2d0)**  &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_20818) = -2d0*cima*sb**4d0
    coupl(nGC_20819) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_379) = -cb*cima*ytau1 - cima*sb*ytau2
    coupl(nGC_378) = -sqrt(2d0)*ca*cima*ytau1/2d0 - sqrt(2d0)*cima*sa*ytau2/2d0
    coupl(nGC_559) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_557) = -cima*(cb - sb)*(cb + sb)*(ca*vev2 + sa*vev1)/2d0
    coupl(nGC_555) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_553) = -cb*cima*sa*sb*vev2
    coupl(nGC_551) = cima*(ca*cb**2d0*l1*vev1 - ca*cb**2d0*l3*vev1 + 2d0*ca*cb*&
                     l4*sb*vev2 + 2d0*ca*cb*l5*sb*vev2 - ca*l1*sb**2d0*vev1 +  &
                     ca*l3*sb**2d0*vev1 - cb**2d0*l2*sa*vev2 + cb**2d0*l3*sa*  &
                     vev2 + 2d0*cb*l4*sa*sb*vev1 + 2d0*cb*l5*sa*sb*vev1 + l2*sa&
                     *sb**2d0*vev2 - l3*sa*sb**2d0*vev2)
    coupl(nGC_153) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/2d0&
                      + ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw**2d0 &
                     ) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 - cb**3d0*ee**  &
                     2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*l5*sa/ &
                     2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*sa*sb** &
                     2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_152) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) + ca*cb**2d0*l4*sb/2d0&
                      - ca*cb**2d0*l5*sb/2d0 + ca*ee**2d0*sb**3d0/(4d0*sw**2d0 &
                     ) + ca*l4*sb**3d0/2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*ee**  &
                     2d0*sa/(4d0*sw**2d0) - cb**3d0*l4*sa/2d0 + cb**3d0*l5*sa/ &
                     2d0 - cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - cb*l4*sa*sb** &
                     2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_151) = ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*ee**2d0* &
                     sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/(4d0*sw**2d0) - ca* &
                     ee**2d0*sb**3d0/(4d0*cw**2d0) - cb**3d0*ee**2d0*sa/(4d0*sw&
                     **2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee**2d0*sa*&
                     sb**2d0/(4d0*sw**2d0) + cb*ee**2d0*sa*sb**2d0/(4d0*cw**2d0&
                     )
    coupl(nGC_157) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*ee**2d0/(4d0&
                     *cw**2d0) + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*cb*ee&
                     **2d0*sb**2d0/(4d0*cw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0* &
                     sw**2d0) - cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) + ee**2d0* &
                     sa*sb**3d0/(4d0*sw**2d0) - ee**2d0*sa*sb**3d0/(4d0*cw**2d0&
                     )
    coupl(nGC_156) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + ca&
                     *cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca&
                     *cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 - cb**2d0*ee**  &
                     2d0*sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0 + cb**2d0* &
                     l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - l4*sa*sb&
                     **3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_155) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - ca&
                     *cb**3d0*l5/2d0 - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca&
                     *cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 - cb**2d0*ee**  &
                     2d0*sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0 - cb**2d0* &
                     l5*sa*sb/2d0 - ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + l4*sa*sb&
                     **3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_159) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) - ca*cb**3d0*l4/2d0 + ca*&
                     cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) - ca*&
                     cb*l4*sb**2d0/2d0 + ca*cb*l5*sb**2d0/2d0 + cb**2d0*ee**2d0&
                     *sa*sb/(4d0*sw**2d0) - cb**2d0*l4*sa*sb/2d0 + cb**2d0*l5* &
                     sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**2d0) - l4*sa*sb** &
                     3d0/2d0 + l5*sa*sb**3d0/2d0
    coupl(nGC_158) = ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*l4/2d0 - ca*&
                     cb**3d0*l5/2d0 + ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*&
                     cb*l4*sb**2d0/2d0 - ca*cb*l5*sb**2d0/2d0 + cb**2d0*ee**2d0&
                     *sa*sb/(4d0*sw**2d0) + cb**2d0*l4*sa*sb/2d0 - cb**2d0*l5* &
                     sa*sb/2d0 + ee**2d0*sa*sb**3d0/(4d0*sw**2d0) + l4*sa*sb** &
                     3d0/2d0 - l5*sa*sb**3d0/2d0
    coupl(nGC_20962) = cima*ee*(cb**2d0 + sb**2d0)
    coupl(nGC_20960) = cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
    coupl(nGC_20961) = -cima*ee
    coupl(nGC_20968) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw**2d0)
    coupl(nGC_20969) = cima*ee*(cw - sw)*(cw + sw)/(2d0*cw**2d0*sw)
    coupl(nGC_21212) = cima*ee**2d0*(ca*vev2 - sa*vev1)/sw**2d0
    coupl(nGC_21218) = -2d0*cima*ee
    coupl(nGC_21452) = sqrt(2d0)*sb/2d0
    coupl(nGC_21517) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_339) = -sqrt(2d0)*ca*cima*yd13x3/2d0 - sqrt(2d0)*cima*sa*yb2/2d0
    coupl(nGC_21512) = cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_332) = ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev1 + ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0) +   &
                     cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa*vev2 + cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_337) = cb*cima*yc1 + cima*sb*yc2
    coupl(nGC_53) = -ca*cb**2d0*l4*sb/2d0 + ca*cb**2d0*l5*sb/2d0 - ca*l4*sb**  &
                    3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*l4*sa/2d0 - cb**3d0* &
                    l5*sa/2d0 + cb*l4*sa*sb**2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_52) = ca*cb**2d0*l4*sb/2d0 - ca*cb**2d0*l5*sb/2d0 + ca*l4*sb**3d0&
                    /2d0 - ca*l5*sb**3d0/2d0 - cb**3d0*l4*sa/2d0 + cb**3d0*l5* &
                    sa/2d0 - cb*l4*sa*sb**2d0/2d0 + cb*l5*sa*sb**2d0/2d0
    coupl(nGC_51) = ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) + ca*ee**2d0*sb**3d0/( &
                    4d0*cw**2d0) - cb**3d0*ee**2d0*sa/(4d0*cw**2d0) - cb*ee**  &
                    2d0*sa*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_50) = -ca*cb**2d0*ee**2d0*sb/(4d0*cw**2d0) - ca*ee**2d0*sb**3d0/(&
                    4d0*cw**2d0) + cb**3d0*ee**2d0*sa/(4d0*cw**2d0) + cb*ee**  &
                    2d0*sa*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_57) = 2d0*cb**3d0*cima*l1*sb - 2d0*cb**3d0*cima*l3*sb - 2d0*cb** &
                    3d0*cima*l4*sb - 2d0*cb**3d0*cima*l5*sb - 2d0*cb*cima*l2*sb&
                    **3d0 + 2d0*cb*cima*l3*sb**3d0 + 2d0*cb*cima*l4*sb**3d0 +  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_55) = cb**3d0*cima*l1*sb - cb**3d0*cima*l3*sb - cb**3d0*cima*l4* &
                    sb - cb**3d0*cima*l5*sb - cb*cima*l2*sb**3d0 + cb*cima*l3* &
                    sb**3d0 + cb*cima*l4*sb**3d0 + cb*cima*l5*sb**3d0
    coupl(nGC_54) = -cb**3d0*cima*l2*sb + cb**3d0*cima*l3*sb + cb**3d0*cima*l4*&
                    sb + cb**3d0*cima*l5*sb + cb*cima*l1*sb**3d0 - cb*cima*l3* &
                    sb**3d0 - cb*cima*l4*sb**3d0 - cb*cima*l5*sb**3d0
    coupl(nGC_59) = 3d0*cb**3d0*cima*l1*sb - 3d0*cb**3d0*cima*l3*sb - 3d0*cb** &
                    3d0*cima*l4*sb - 3d0*cb**3d0*cima*l5*sb - 3d0*cb*cima*l2*sb&
                    **3d0 + 3d0*cb*cima*l3*sb**3d0 + 3d0*cb*cima*l4*sb**3d0 +  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_58) = -3d0*cb**3d0*cima*l2*sb + 3d0*cb**3d0*cima*l3*sb + 3d0*cb**&
                    3d0*cima*l4*sb + 3d0*cb**3d0*cima*l5*sb + 3d0*cb*cima*l1*sb&
                    **3d0 - 3d0*cb*cima*l3*sb**3d0 - 3d0*cb*cima*l4*sb**3d0 -  &
                    3d0*cb*cima*l5*sb**3d0
    coupl(nGC_21854) = -ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_21699) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21698) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_21697) = sqrt(2d0)*cima*(ca*yup1 + sa*yup2)/2d0
    coupl(nGC_21696) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21694) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21691) = -cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
    coupl(nGC_ME) = -cME*cima
    coupl(nGC_MD) = -cMD*cima
    coupl(nGC_247) = cb**3d0*l4*vev2/2d0 - cb**3d0*l5*vev2/2d0 - cb**2d0*l4*sb*&
                     vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 + cb*l4*sb**2d0*vev2/2d0&
                      - cb*l5*sb**2d0*vev2/2d0 - l4*sb**3d0*vev1/2d0 + l5*sb** &
                     3d0*vev1/2d0
    coupl(nGC_21183) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21182) = -3d0*cb*cima*sb**3d0
    coupl(nGC_21181) = 3d0*cb**3d0*cima*sb
    coupl(nGC_21180) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21187) = cb*cima*sb**3d0
    coupl(nGC_21186) = cb*cima*sb*(cb - sb)*(cb + sb)
  end subroutine fill_couplings_mdl2
end module fill_couplings2
