!******************************************************************************!
!                                                                              !
!    fill_couplings3.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings3.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl3()
    coupl(nGC_21185) = 3d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0&
                       *l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + &
                       6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb&
                       **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 &
                        - l5*sb**4d0)
    coupl(nGC_21184) = -3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21500) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_21189) = cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21188) = -cb**3d0*cima*sb
    coupl(nGC_21741) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_21740) = 2d0*cima*cw*ee**2d0/sw
    coupl(nGC_21743) = -cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_21742) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21745) = sqrt(2d0)*sb/2d0
    coupl(nGC_21744) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21747) = sqrt(2d0)*(cb*yd12x2 + sb*ys2)/2d0
    coupl(nGC_21746) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21749) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_MU) = -cMU*cima
    coupl(nGC_MT) = -cMT*cima
    coupl(nGC_20805) = ca*cb**2d0*cima*sa
    coupl(nGC_20804) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_300) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw** &
                     2d0) - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb* &
                     vev1/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw &
                     **2d0) - ca*cima*l2*sb**2d0*vev2 - ca*cima*ee**2d0*sb**2d0&
                     *vev2/(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev1/(2d0*sw&
                     **2d0) + cb**2d0*cima*l1*sa*vev1 + cb**2d0*cima*ee**2d0*sa&
                     *vev1/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb* &
                     vev2/(2d0*cw**2d0) + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*&
                     sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_301) = -cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*ee**2d0*vev2&
                     /(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev1/(4d0*sw**2d0) -  &
                     cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0&
                     *vev2/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0&
                     ) + ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) - ee**2d0*sb**3d0* &
                     vev1/(4d0*cw**2d0)
    coupl(nGC_306) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*l4*vev2/2d0  &
                      + cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - cb*l4*sb**2d0*vev2&
                     /2d0 + cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*vev1/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev1/2d0 - l5*sb**3d0*vev1/2d0
    coupl(nGC_20800) = -ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_304) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) - cb**3d0*ee**2d0*vev2 &
                     /(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**2d0) +  &
                     cb**2d0*ee**2d0*sb*vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0&
                     *vev2/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0&
                     ) - ee**2d0*sb**3d0*vev1/(4d0*sw**2d0) + ee**2d0*sb**3d0* &
                     vev1/(4d0*cw**2d0)
    coupl(nGC_20802) = -ca*cima*sa*sb**2d0
    coupl(nGC_20779) = -cima*(ca**3d0*vev1 - 2d0*ca**2d0*sa*vev2 - 2d0*ca*sa** &
                       2d0*vev1 + sa**3d0*vev2)
    coupl(nGC_20778) = cima*(ca*cb**2d0*l1*vev1 + ca*cb*l4*sb*vev2 + ca*cb*l5* &
                       sb*vev2 + ca*l3*sb**2d0*vev1 + cb**2d0*l3*sa*vev2 + cb* &
                       l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_20809) = -ca**2d0*cb*cima*sb
    coupl(nGC_20808) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *l2*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb - &
                       4d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**2d0*l3*sa &
                       **2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_523) = -cima*(ca*cb**2d0*l3 + ca*l1*sb**2d0 - cb*l4*sa*sb - cb*l5&
                     *sa*sb)
    coupl(nGC_527) = cima*(-ca*cb**2d0*l2*vev2 + ca*cb*l4*sb*vev1 + ca*cb*l5*sb&
                     *vev1 - ca*l3*sb**2d0*vev2 + cb**2d0*l3*sa*vev1 - cb*l4*sa&
                     *sb*vev2 - cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_525) = -cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*&
                     sb**2d0)
    coupl(nGC_21008) = cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa - &
                       cb**2d0*l5*sa + l1*sa*sb**2d0)
    coupl(nGC_21009) = cima*sa*sb**2d0*vev1
    coupl(nGC_20970) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw)
    coupl(nGC_21226) = cima*(cb*yc2 - sb*yc1)
    coupl(nGC_21227) = cb*cima
    coupl(nGC_21224) = -cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw&
                       **2d0*sw)
    coupl(nGC_21225) = -cima*ee*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)/(2d0*cw&
                       *sw)
    coupl(nGC_21223) = cima*ee*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(2d0*cw*&
                       sw**2d0)
    coupl(nGC_21228) = cima*sb
    coupl(nGC_21229) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_MW_GF) = cMW*cima
    coupl(nGC_20843) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_20842) = sqrt(2d0)*sb/2d0
    coupl(nGC_20845) = -cb*cima*sa**2d0*sb
    coupl(nGC_583) = -sqrt(2d0)*sb/2d0
    coupl(nGC_20749) = 2d0*cima*(2d0*ca**2d0*cb*l5*sb - ca*cb**2d0*l2*sa + ca* &
                       cb**2d0*l3*sa + ca*cb**2d0*l4*sa - ca*cb**2d0*l5*sa + ca&
                       *l1*sa*sb**2d0 - ca*l3*sa*sb**2d0 - ca*l4*sa*sb**2d0 +  &
                       ca*l5*sa*sb**2d0 - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21543) = cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_21518) = -cima*(2d0*ca*cb*l2*sb - 2d0*ca*cb*l3*sb - cb**2d0*l4*sa&
                        - cb**2d0*l5*sa + l4*sa*sb**2d0 + l5*sa*sb**2d0)/2d0
    coupl(nGC_21519) = -cima*(ca*cb**2d0*l4 + ca*cb**2d0*l5 - ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l1*sa*sb - 2d0*cb*l3*sa*sb)/2d0
    coupl(nGC_21514) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21515) = -cima*(ca*cb**2d0*l2*vev2 - ca*cb**2d0*l3*vev2 - 2d0*ca*&
                       cb*l4*sb*vev1 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*   &
                       vev2 + ca*l3*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 - cb**2d0&
                       *l3*sa*vev1 + 2d0*cb*l4*sa*sb*vev2 + 2d0*cb*l5*sa*sb*   &
                       vev2 - l1*sa*sb**2d0*vev1 + l3*sa*sb**2d0*vev1)
    coupl(nGC_21516) = -ca*cb*cima*sb*vev2
    coupl(nGC_21510) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
    coupl(nGC_21511) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
    coupl(nGC_48) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l1*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_49) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca**  &
                    2d0*cb**2d0*cima*l5 - ca**2d0*cima*l2*sb**2d0 + 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0* &
                    sb**2d0 - cima*l4*sa**2d0*sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_44) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l1*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_45) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*l2*sb**2d0 + 2d0*ca&
                    *cb*cima*l4*sa*sb + 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_46) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 &
                     + ca**2d0*cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/  &
                    2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb&
                    *cima*l3*sa*sb + cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*cima&
                    *l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa &
                    **2d0*sb**2d0/2d0
    coupl(nGC_47) = -ca**2d0*cb**2d0*cima*l5 + ca**2d0*cima*l5*sb**2d0 - ca*cb*&
                    cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*&
                    sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb + cb&
                    **2d0*cima*l5*sa**2d0 - cima*l5*sa**2d0*sb**2d0
    coupl(nGC_40) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_41) = -ca**2d0*cb**2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_42) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - 2d0*ca&
                    *cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - cb**2d0*cima*&
                    l3*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_43) = -ca**2d0*cb**2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 - ca**  &
                    2d0*cima*l4*sb**2d0 + ca**2d0*cima*l5*sb**2d0 - 4d0*ca*cb* &
                    cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4* &
                    sa**2d0 + cb**2d0*cima*l5*sa**2d0 - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_20860) = ca**2d0*cb*cima*sb
    coupl(nGC_5297) = -coupl(nGC_213)
    coupl(nGC_4237) = -coupl(nGC_341)
    coupl(nGC_21258) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21420) = -cb*cima
    coupl(nGC_21421) = -cima*sb
    coupl(nGC_21422) = -cima*(cb*ys2 - sb*yd12x2)
    coupl(nGC_243) = -ca*cb**2d0*cima*l2*vev2 + ca*cb*cima*l4*sb*vev1 + ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l3*sb**2d0*vev2 + cb**2d0*cima* &
                     l3*sa*vev1 - cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2&
                      + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_2345) = -coupl(nGC_347)
    coupl(nGC_21734) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_21735) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21736) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21737) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21731) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21732) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21733) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21738) = -cima*cw*ee**2d0/sw**2d0
    coupl(nGC_21739) = cima*ee**2d0/sw
    coupl(nGC_21648) = cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw*sw**2d0)
    coupl(nGC_21649) = -cima*ee*(cw**2d0 + sw**2d0)/(2d0*cw**2d0*sw)
    coupl(nGC_20744) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0&
                       *cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa +   &
                       2d0*ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*&
                       sb + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_312) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l5*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*&
                     l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2&
                      - ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0&
                     *cw**2d0) + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa* &
                     vev2 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0) - cb*cima*&
                     l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima*l4*sa*sb* &
                     vev1 - cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb*vev1 &
                     /(4d0*cw**2d0) + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0&
                     ) - cima*l5*sa*sb**2d0*vev2 + cima*ee**2d0*sa*sb**2d0*vev2&
                     /(4d0*cw**2d0)
    coupl(nGC_315) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*ee**2d0*vev1&
                     /(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**2d0) +  &
                     cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0&
                     *vev1/(4d0*sw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0&
                     ) - ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) + ee**2d0*sb**3d0* &
                     vev2/(4d0*cw**2d0)
    coupl(nGC_314) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l1*vev1 - ca*cb**2d0*cima*ee**2d0*vev1/(2d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - 2d0*ca*cb* &
                     cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca&
                     *cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*&
                     cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - cb*cima*ee**  &
                     2d0*sa*sb*vev1/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev1  &
                      - cb*cima*ee**2d0*sa*sb*vev1/(2d0*cw**2d0) - cima*ee**2d0&
                     *sa*sb**2d0*vev2/(2d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2  &
                      - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_317) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0 &
                      + cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 -  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0*vev1&
                     /2d0 + cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*vev2/2d0
    coupl(nGC_316) = -cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0 &
                      - cb**3d0*l5*vev1/2d0 - cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 -  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0*vev1&
                     /2d0 - cb*l5*sb**2d0*vev1/2d0 - ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*vev2/2d0
    coupl(nGC_21640) = 2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb&
                       *l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca* &
                       l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 &
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
    coupl(nGC_318) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*ee**2d0*vev1 &
                     /(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**2d0) -  &
                     cb**2d0*ee**2d0*sb*vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0&
                     *vev1/(4d0*sw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0&
                     ) + ee**2d0*sb**3d0*vev2/(4d0*sw**2d0) - ee**2d0*sb**3d0* &
                     vev2/(4d0*cw**2d0)
    coupl(nGC_21642) = -cima*(2d0*ca*cb*sb*vev2 - ca*sb**2d0*vev1 - cb**2d0*sa*&
                       vev2 + 2d0*cb*sa*sb*vev1)
    coupl(nGC_21643) = -cima*(2d0*ca*cb*l5*sb + cb**2d0*l3*sa + cb**2d0*l4*sa  &
                        - cb**2d0*l5*sa + l2*sa*sb**2d0)
    coupl(nGC_21644) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + ca*l4*sb**2d0 -  &
                       ca*l5*sb**2d0 + 2d0*cb*l5*sa*sb)
    coupl(nGC_21645) = -ca*cb**2d0*cima*vev1
    coupl(nGC_20748) = -ca**2d0*cima*sb**2d0
    coupl(nGC_21647) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb**2d0*l4*vev2 + ca*cb**&
                       2d0*l5*vev2 - 2d0*ca*cb*l5*sb*vev1 - ca*l2*sb**2d0*vev2 &
                        + cb**2d0*l1*sa*vev1 + 2d0*cb*l5*sa*sb*vev2 + l3*sa*sb &
                       **2d0*vev1 + l4*sa*sb**2d0*vev1 - l5*sa*sb**2d0*vev1)
    coupl(nGC_531) = cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*cb*&
                     l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*vev1 -  &
                     ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0*l5*sa*  &
                     vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*vev1 + l4*sa&
                     *sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_535) = -cima*(ca*sb**2d0*vev2 - cb**2d0*sa*vev1)
    coupl(nGC_537) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_305) = cb**3d0*ee**2d0*vev2/(4d0*sw**2d0) + cb**3d0*l4*vev2/2d0  &
                      - cb**3d0*l5*vev2/2d0 - cb**2d0*ee**2d0*sb*vev1/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev1/2d0 + cb**2d0*l5*sb*vev1/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) + cb*l4*sb**2d0*vev2&
                     /2d0 - cb*l5*sb**2d0*vev2/2d0 - ee**2d0*sb**3d0*vev1/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev1/2d0 + l5*sb**3d0*vev1/2d0
    coupl(nGC_21239) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21238) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
    coupl(nGC_21231) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21233) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21232) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21235) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21234) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21237) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
    coupl(nGC_21236) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_1931) = -coupl(nGC_359)
    coupl(nGC_123) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb*   &
                     cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*sb&
                      + ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0&
                     *cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - 2d0&
                     *ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(4d0* &
                     cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + 2d0*&
                     ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**2d0/(4d0*cw&
                     **2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*   &
                     cima*l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa&
                     **2d0*sb - cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(4d0*cw**2d0)
    coupl(nGC_MS) = -cMS*cima
    coupl(nGC_6589) = -coupl(nGC_377)
    coupl(nGC_88) = ca*cima*cw*ee**2d0*sb/(2d0*sw**2d0) - ca*cima*ee**2d0*sb/( &
                    2d0*cw) - cb*cima*cw*ee**2d0*sa/(2d0*sw**2d0) + cb*cima*ee &
                    **2d0*sa/(2d0*cw)
    coupl(nGC_21509) = cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_39) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*&
                    cima*l4*sb + ca**2d0*cb*cima*l5*sb - 2d0*ca*cb**2d0*cima*l5&
                    *sa + 2d0*ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb +  &
                    cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0*sb - cb*cima*l5*&
                    sa**2d0*sb
    coupl(nGC_38) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb&
                    *cima*l4*sb - ca**2d0*cb*cima*l5*sb + 2d0*ca*cb**2d0*cima* &
                    l5*sa - 2d0*ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb  &
                     - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_31) = cb**2d0*ee**2d0/(2d0*cw) + ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_30) = -cb**2d0*ee**2d0/(2d0*cw) - ee**2d0*sb**2d0/(2d0*cw)
    coupl(nGC_33) = -ca**2d0*cb*cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0&
                    *cima*l1*sa - ca*cb**2d0*cima*l3*sa - ca*cima*l2*sa*sb**2d0&
                     + ca*cima*l3*sa*sb**2d0 + cb*cima*l4*sa**2d0*sb + cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_32) = ca**2d0*cb*cima*l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*&
                    cima*l2*sa + ca*cb**2d0*cima*l3*sa + ca*cima*l1*sa*sb**2d0 &
                     - ca*cima*l3*sa*sb**2d0 - cb*cima*l4*sa**2d0*sb - cb*cima*&
                    l5*sa**2d0*sb
    coupl(nGC_35) = -2d0*ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*l1*sa - ca*cb &
                    **2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca*cb**2d0*cima*&
                    l5*sa - ca*cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*&
                    cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_34) = -ca**2d0*cb*cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0&
                    *cima*l4*sa + ca*cb**2d0*cima*l5*sa - ca*cima*l4*sa*sb**2d0&
                     - ca*cima*l5*sa*sb**2d0 + cb*cima*l1*sa**2d0*sb - cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_37) = ca**2d0*cb*cima*l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*&
                    cima*l4*sa - ca*cb**2d0*cima*l5*sa + ca*cima*l4*sa*sb**2d0 &
                     + ca*cima*l5*sa*sb**2d0 - cb*cima*l2*sa**2d0*sb + cb*cima*&
                    l3*sa**2d0*sb
    coupl(nGC_36) = 2d0*ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*l2*sa + ca*cb**&
                    2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca*cb**2d0*cima*l5&
                    *sa + ca*cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*  &
                    cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - 2d0*cb*cima*l5&
                    *sa**2d0*sb
    coupl(nGC_311) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0 + ca*cb*   &
                     cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima*l2*sb*vev2&
                      + ca*cb*cima*l3*sb*vev2 + ca*cima*l4*sb**2d0*vev1/2d0 +  &
                     ca*cima*l5*sb**2d0*vev1/2d0 + cb**2d0*cima*l4*sa*vev2/2d0 &
                      + cb**2d0*cima*l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb*   &
                     vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa&
                     *sb*vev1 + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*sw**2d0) -   &
                     cima*l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_310) = ca*cb**2d0*cima*ee**2d0*vev1/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l1*vev1 + ca*cb**2d0*cima*ee**2d0*vev1/(4d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - 2d0*ca*cb* &
                     cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb*vev2/(4d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca&
                     *cima*l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*&
                     cima*l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 + cb*cima*ee**  &
                     2d0*sa*sb*vev1/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev1  &
                      + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) + cima*ee**2d0&
                     *sa*sb**2d0*vev2/(4d0*sw**2d0) - cima*l2*sa*sb**2d0*vev2  &
                      + cima*ee**2d0*sa*sb**2d0*vev2/(4d0*cw**2d0)
    coupl(nGC_313) = -ca*cb**2d0*cima*ee**2d0*vev1/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l1*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw**2d0) - &
                     ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 - ca*cima*l3&
                     *sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb*cima*ee**2d0*&
                     sa*sb*vev1/(2d0*sw**2d0) - cb*cima*l4*sa*sb*vev1 - cb*cima&
                     *l5*sa*sb*vev1 - cima*ee**2d0*sa*sb**2d0*vev2/(2d0*sw**2d0&
                     ) - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_20745) = -cb**2d0*cima*sa**2d0
    coupl(nGC_21437) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev1 + sa*vev2)/(cw**2d0*sw**3d0)
    coupl(nGC_21436) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*   &
                       vev2)/(cw**2d0*sw**2d0)
    coupl(nGC_20742) = -cima*(ca**2d0*cb*l1*sb + ca**2d0*cb*l2*sb - 2d0*ca**2d0&
                       *cb*l3*sb - 2d0*ca**2d0*cb*l4*sb + 2d0*ca**2d0*cb*l5*sb &
                        - 4d0*ca*cb**2d0*l5*sa + 4d0*ca*l5*sa*sb**2d0 - cb*l1* &
                       sa**2d0*sb - cb*l2*sa**2d0*sb + 2d0*cb*l3*sa**2d0*sb +  &
                       2d0*cb*l4*sa**2d0*sb - 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21439) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_20743) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_20740) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20741) = -ca*cb*cima*sa*sb
    coupl(nGC_319) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) + cb**3d0*l4*vev1/2d0  &
                      - cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) + cb**2d0*l4*sb*vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) + cb*l4*sb**2d0*vev1&
                     /2d0 - cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) + l4*sb**3d0*vev2/2d0 - l5*sb**3d0*vev2/2d0
    coupl(nGC_21641) = -cima*sa*sb**2d0*vev2
    coupl(nGC_21646) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_20759) = -2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca&
                       *cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa -  &
                       ca*l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0  &
                        - ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_20758) = -cb**2d0*cima*sa**2d0
    coupl(nGC_251) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*l4*sb*vev2 + ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l1*sb**2d0*vev1 - cb**2d0*cima* &
                     l2*sa*vev2 + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*vev1&
                      - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_20751) = -sqrt(2d0)*cb/2d0
    coupl(nGC_20750) = -sqrt(2d0)*(cb*yb2 - sb*yd13x3)/2d0
    coupl(nGC_20753) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_20752) = -sqrt(2d0)*sb/2d0
    coupl(nGC_20755) = -ca**2d0*cima*sb**2d0
    coupl(nGC_20754) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca**2d0&
                       *cb*l4*sb - ca**2d0*cb*l5*sb + 2d0*ca*cb**2d0*l5*sa -   &
                       2d0*ca*l5*sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*&
                       sb - cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_20757) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_21659) = -4d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_328) = -ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev2 - ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0) +   &
                     cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) + cima*ee**2d0*&
                     sa*vev1 + cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_329) = ca*cima*cw**2d0*ee**2d0*vev2/(2d0*sw**2d0) + ca*cima*ee** &
                     2d0*vev2 + ca*cima*ee**2d0*sw**2d0*vev2/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa*vev1/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev1 - cima*ee**2d0*sa*sw**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_324) = -cb*cima*ee**2d0*vev1/(2d0*sw) - cima*ee**2d0*sb*vev2/(2d0&
                     *sw)
    coupl(nGC_325) = cb*cima*ee**2d0*vev1/(2d0*sw) + cima*ee**2d0*sb*vev2/(2d0*&
                     sw)
    coupl(nGC_326) = -cb*cima*ee**2d0*vev1/sw - cima*ee**2d0*sb*vev2/sw
    coupl(nGC_327) = -ca*cima*cw**2d0*ee**2d0*vev2/(4d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev2/2d0 - ca*cima*ee**2d0*sw**2d0*vev2/(4d0*cw**2d0  &
                     ) + cima*cw**2d0*ee**2d0*sa*vev1/(4d0*sw**2d0) + cima*ee**&
                     2d0*sa*vev1/2d0 + cima*ee**2d0*sa*sw**2d0*vev1/(4d0*cw**  &
                     2d0)
    coupl(nGC_320) = cb**3d0*ee**2d0*vev1/(4d0*sw**2d0) - cb**3d0*l4*vev1/2d0  &
                      + cb**3d0*l5*vev1/2d0 + cb**2d0*ee**2d0*sb*vev2/(4d0*sw**&
                     2d0) - cb**2d0*l4*sb*vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 +  &
                     cb*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - cb*l4*sb**2d0*vev1&
                     /2d0 + cb*l5*sb**2d0*vev1/2d0 + ee**2d0*sb**3d0*vev2/(4d0*&
                     sw**2d0) - l4*sb**3d0*vev2/2d0 + l5*sb**3d0*vev2/2d0
    coupl(nGC_321) = -cb*cima*ee**2d0*vev2/(2d0*sw) + cima*ee**2d0*sb*vev1/(2d0&
                     *sw)
    coupl(nGC_322) = cb*cima*ee**2d0*vev2/(2d0*sw) - cima*ee**2d0*sb*vev1/(2d0*&
                     sw)
    coupl(nGC_323) = -cb*cima*ee**2d0*vev2/sw + cima*ee**2d0*sb*vev1/sw
    coupl(nGC_539) = cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_20773) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_4517) = -coupl(nGC_215)
    coupl(nGC_188) = cb**2d0*ee**2d0/sw + ee**2d0*sb**2d0/sw
    coupl(nGC_189) = -cima*ee**2d0/sw**2d0
    coupl(nGC_20919) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20918) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_180) = -ca*cb*cima*ee**2d0/(2d0*sw) - cima*ee**2d0*sa*sb/(2d0*sw)
    coupl(nGC_20916) = -cb**2d0*cima*sb**2d0
    coupl(nGC_182) = -ca*cb*cima*ee**2d0/sw - cima*ee**2d0*sa*sb/sw
    coupl(nGC_183) = -cb**2d0*ee/(2d0*sw) - ee*sb**2d0/(2d0*sw)
    coupl(nGC_184) = cb**2d0*ee/(2d0*sw) + ee*sb**2d0/(2d0*sw)
    coupl(nGC_186) = -cb**2d0*ee**2d0/(2d0*sw) - ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_20772) = -ca*cima*sb**2d0*vev2
    coupl(nGC_533) = -ca*cb**2d0*cima*vev2
    coupl(nGC_615) = cima*gs
    coupl(nGC_21171) = 4d0*cima*ee**2d0
    coupl(nGC_21248) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21244) = -8d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
    coupl(nGC_20771) = -cima*(ca*cb**2d0*l4*vev1 + ca*cb**2d0*l5*vev1 + 2d0*ca*&
                       cb*l2*sb*vev2 - 2d0*ca*cb*l3*sb*vev2 - ca*l4*sb**2d0*   &
                       vev1 - ca*l5*sb**2d0*vev1 - cb**2d0*l4*sa*vev2 - cb**2d0&
                       *l5*sa*vev2 + 2d0*cb*l1*sa*sb*vev1 - 2d0*cb*l3*sa*sb*   &
                       vev1 + l4*sa*sb**2d0*vev2 + l5*sa*sb**2d0*vev2)
    coupl(nGC_21246) = (cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21247) = -(cb**2d0 + sb**2d0)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21240) = -2d0*cima*sb**4d0
    coupl(nGC_21241) = -2d0*cb**4d0*cima
    coupl(nGC_21242) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21243) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21088) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21089) = 3d0*cima*(-ca**4d0*l2 + ca**4d0*l3 + ca**4d0*l4 + ca**  &
                       4d0*l5 + 3d0*ca**2d0*l1*sa**2d0 + 3d0*ca**2d0*l2*sa**2d0&
                        - 6d0*ca**2d0*l3*sa**2d0 - 6d0*ca**2d0*l4*sa**2d0 - 6d0&
                       *ca**2d0*l5*sa**2d0 - l1*sa**4d0 + l3*sa**4d0 + l4*sa** &
                       4d0 + l5*sa**4d0)
    coupl(nGC_21082) = -2d0*cima*ee/sw
    coupl(nGC_21083) = -2d0*cima*cw*ee/sw
    coupl(nGC_21080) = 3d0*cima*(ca**4d0*l1 - ca**4d0*l3 - ca**4d0*l4 - ca**4d0&
                       *l5 - 3d0*ca**2d0*l1*sa**2d0 - 3d0*ca**2d0*l2*sa**2d0 + &
                       6d0*ca**2d0*l3*sa**2d0 + 6d0*ca**2d0*l4*sa**2d0 + 6d0*ca&
                       **2d0*l5*sa**2d0 + l2*sa**4d0 - l3*sa**4d0 - l4*sa**4d0 &
                        - l5*sa**4d0)
    coupl(nGC_21086) = -3d0*ca**3d0*cima*sa
    coupl(nGC_21087) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21084) = 3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_20770) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21494) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_20777) = -cb*cima*sb*(ca*vev1 - sa*vev2)
  end subroutine fill_couplings_mdl3
end module fill_couplings3
