!******************************************************************************!
!                                                                              !
!    fill_couplings4.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings4.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl4()
    coupl(nGC_20776) = cb**2d0*cima*sa*vev1
    coupl(nGC_21398) = cb*cima
    coupl(nGC_21396) = -cima*(cb*yup1 + sb*yup2)
    coupl(nGC_21397) = -cima*sb
    coupl(nGC_21686) = -cb*cima
    coupl(nGC_21868) = sqrt(2d0)*(cb*ytau1 + sb*ytau2)/2d0
    coupl(nGC_21869) = sqrt(2d0)*sb/2d0
    coupl(nGC_21866) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_20775) = cima*(-ca*cb*l4*sb - ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa&
                       *sb**2d0)
    coupl(nGC_246) = -ca*cb**2d0*cima*l2*vev2 + 2d0*ca*cb*cima*l5*sb*vev1 - ca*&
                     cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca*cima* &
                     l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*cima* &
                     l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - 2d0*cb*cima*l5*sa* &
                     sb*vev2 + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_21819) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21532) = -sqrt(2d0)*cima*(ca*yt2 - sa*yt1)/2d0
    coupl(nGC_21533) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21531) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_28) = -2d0*cb**2d0*cima*ee**2d0 - 2d0*cima*ee**2d0*sb**2d0
    coupl(nGC_29) = 2d0*cb**2d0*cima*ee**2d0 + 2d0*cima*ee**2d0*sb**2d0
    coupl(nGC_242) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 - 2d0*ca*cb*cima*l5*sb*vev1 - ca*cima* &
                     l2*sb**2d0*vev2 + cb**2d0*cima*l1*sa*vev1 + 2d0*cb*cima*l5&
                     *sa*sb*vev2 + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*sb**2d0&
                     *vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_22) = ca*cima*ee**2d0*sb/(2d0*cw) - cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_23) = -ca*cb*cima*ee**2d0/(2d0*cw) - cima*ee**2d0*sa*sb/(2d0*cw)
    coupl(nGC_20) = -ca**4d0*cima*l3 - ca**4d0*cima*l4 - ca**4d0*cima*l5 - 3d0*&
                    ca**2d0*cima*l1*sa**2d0 - 3d0*ca**2d0*cima*l2*sa**2d0 + 4d0&
                    *ca**2d0*cima*l3*sa**2d0 + 4d0*ca**2d0*cima*l4*sa**2d0 +   &
                    4d0*ca**2d0*cima*l5*sa**2d0 - cima*l3*sa**4d0 - cima*l4*sa &
                    **4d0 - cima*l5*sa**4d0
    coupl(nGC_21) = -ca*cima*ee**2d0*sb/(2d0*cw) + cb*cima*ee**2d0*sa/(2d0*cw)
    coupl(nGC_26) = cb**2d0*cima*ee + cima*ee*sb**2d0
    coupl(nGC_27) = -cb**2d0*cima*ee**2d0 - cima*ee**2d0*sb**2d0
    coupl(nGC_24) = ca*cb*cima*ee**2d0/(2d0*cw) + cima*ee**2d0*sa*sb/(2d0*cw)
    coupl(nGC_25) = -cb**2d0*cima*ee - cima*ee*sb**2d0
    coupl(nGC_989) = -coupl(nGC_368)
    coupl(nGC_240) = cb**3d0*ee**2d0*vev2/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb*  &
                     vev1/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev2/(4d0*cw**2d0 &
                     ) - ee**2d0*sb**3d0*vev1/(4d0*cw**2d0)
    coupl(nGC_21718) = cima*ee*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21719) = cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21712) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21713) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21716) = -cima*ee*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_21717) = -cima*ee*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21714) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21715) = -sqrt(2d0)*cima*(ca*ym2 - sa*ym1)/2d0
    coupl(nGC_2697) = -coupl(nGC_362)
    coupl(nGC_20729) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21230) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_20720) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20721) = -cb**2d0*cima*sa**2d0
    coupl(nGC_20722) = -2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb &
                       **2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca* &
                       l3*sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_2969) = -coupl(nGC_214)
    coupl(nGC_338) = sqrt(2d0)*cb*yc1/2d0 + sqrt(2d0)*sb*yc2/2d0
    coupl(nGC_21668) = -sqrt(2d0)*cima*(ca*ye2 - sa*ye1)/2d0
    coupl(nGC_21669) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21666) = -cb*cima
    coupl(nGC_21667) = cima*sb
    coupl(nGC_21664) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_330) = -ca*cima*cw**2d0*ee**2d0*vev1/(4d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev1/2d0 - ca*cima*ee**2d0*sw**2d0*vev1/(4d0*cw**2d0  &
                     ) - cima*cw**2d0*ee**2d0*sa*vev2/(4d0*sw**2d0) - cima*ee**&
                     2d0*sa*vev2/2d0 - cima*ee**2d0*sa*sw**2d0*vev2/(4d0*cw**  &
                     2d0)
    coupl(nGC_21662) = sqrt(2d0)*cima*(ca*ye1 + sa*ye2)/2d0
    coupl(nGC_336) = -sqrt(2d0)*ca*cima*yc1/2d0 - sqrt(2d0)*cima*sa*yc2/2d0
    coupl(nGC_335) = sqrt(2d0)*cb*yc2/2d0 - sqrt(2d0)*sb*yc1/2d0
    coupl(nGC_21661) = 4d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_4525) = -coupl(nGC_350)
    coupl(nGC_197) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_196) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_195) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_194) = cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_193) = -cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_192) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_191) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_190) = cima*ee**2d0/sw**2d0
    coupl(nGC_199) = cima*cw*ee/sw
    coupl(nGC_198) = -cima*cw*ee/sw
    coupl(nGC_20920) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_20926) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
    coupl(nGC_20927) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_20928) = 2d0*cima*ee**2d0/sw
    coupl(nGC_20929) = 4d0*cima*cw*ee**2d0/sw
    coupl(nGC_609) = ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_607) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    coupl(nGC_605) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2 &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_603) = -cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw &
                     **2d0)
    coupl(nGC_601) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(cw**2d0*sw**2d0)
    coupl(nGC_21198) = cima*sb
    coupl(nGC_14) = -cima*gs**2d0
    coupl(nGC_21259) = sqrt(2d0)*cb/2d0
    coupl(nGC_21199) = -cb*cima
    coupl(nGC_21257) = -sqrt(2d0)*(cb*yup1 + sb*yup2)/2d0
    coupl(nGC_21256) = 2d0*cima*cw*ee/sw
    coupl(nGC_21255) = 2d0*cima*ee/sw
    coupl(nGC_21254) = -2d0*cima*cw*ee/sw**2d0
    coupl(nGC_12) = -gs
    coupl(nGC_21099) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_21098) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_21095) = -cima*(cb**4d0 - 4d0*cb**2d0*sb**2d0 + sb**4d0)
    coupl(nGC_21097) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21096) = -3d0*cb**2d0*cima*sb**2d0
    coupl(nGC_513) = -cb**2d0*cima*sa*vev2
    coupl(nGC_511) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca* &
                     cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*vev2 &
                      + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0*l5*sa&
                     *vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*vev2 + l4* &
                     sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_517) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_515) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_519) = cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21895) = -cima*(ca*cb**2d0*l1 + ca*l3*sb**2d0 + cb*l4*sa*sb + cb*&
                       l5*sa*sb)
    coupl(nGC_21897) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21896) = -ca*cb**2d0*cima*vev1
    coupl(nGC_21891) = cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca*&
                       cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*   &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)
    coupl(nGC_21890) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_21893) = -cb*cima*sb*(ca*vev2 + sa*vev1)
    coupl(nGC_21892) = -cima*sa*sb**2d0*vev2
    coupl(nGC_21381) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**2d0
    coupl(nGC_21380) = cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
    coupl(nGC_21757) = cima*ee**2d0*(ca*sb - cb*sa)/sw
    coupl(nGC_21878) = cima*(3d0*ca**3d0*l1*vev1 - 2d0*ca**3d0*l3*vev1 - 2d0*ca&
                       **3d0*l4*vev1 - 2d0*ca**3d0*l5*vev1 - 6d0*ca**2d0*l2*sa*&
                       vev2 + 7d0*ca**2d0*l3*sa*vev2 + 7d0*ca**2d0*l4*sa*vev2  &
                        + 7d0*ca**2d0*l5*sa*vev2 - 6d0*ca*l1*sa**2d0*vev1 + 7d0&
                       *ca*l3*sa**2d0*vev1 + 7d0*ca*l4*sa**2d0*vev1 + 7d0*ca*l5&
                       *sa**2d0*vev1 + 3d0*l2*sa**3d0*vev2 - 2d0*l3*sa**3d0*   &
                       vev2 - 2d0*l4*sa**3d0*vev2 - 2d0*l5*sa**3d0*vev2)
    coupl(nGC_21873) = -3d0*ca*cima*sa**2d0*vev2
    coupl(nGC_21872) = 3d0*ca**2d0*cima*sa*vev1
    coupl(nGC_21871) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa** &
                       2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_21870) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21877) = -ca*cima*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + 3d0*l2*&
                       sa**2d0 - 2d0*l3*sa**2d0 - 2d0*l4*sa**2d0 - 2d0*l5*sa** &
                       2d0)
    coupl(nGC_21876) = cima*sa*(3d0*ca**2d0*l1 - 2d0*ca**2d0*l3 - 2d0*ca**2d0* &
                       l4 - 2d0*ca**2d0*l5 + l3*sa**2d0 + l4*sa**2d0 + l5*sa** &
                       2d0)
    coupl(nGC_21875) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa** &
                       2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_21874) = -cima*(ca**3d0*vev2 + 2d0*ca**2d0*sa*vev1 - 2d0*ca*sa** &
                       2d0*vev2 - sa**3d0*vev1)
    coupl(nGC_21750) = -sqrt(2d0)*cima*(ca*ys2 - sa*yd12x2)/2d0
    coupl(nGC_20766) = 2d0*cima*(-2d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa - ca*&
                       cb**2d0*l3*sa - ca*cb**2d0*l4*sa + ca*cb**2d0*l5*sa - ca&
                       *l2*sa*sb**2d0 + ca*l3*sa*sb**2d0 + ca*l4*sa*sb**2d0 -  &
                       ca*l5*sa*sb**2d0 + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21513) = cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
    coupl(nGC_17) = 3d0*ca**3d0*cima*l1*sa - 3d0*ca**3d0*cima*l3*sa - 3d0*ca** &
                    3d0*cima*l4*sa - 3d0*ca**3d0*cima*l5*sa - 3d0*ca*cima*l2*sa&
                    **3d0 + 3d0*ca*cima*l3*sa**3d0 + 3d0*ca*cima*l4*sa**3d0 +  &
                    3d0*ca*cima*l5*sa**3d0
    coupl(nGC_16) = -3d0*ca**3d0*cima*l2*sa + 3d0*ca**3d0*cima*l3*sa + 3d0*ca**&
                    3d0*cima*l4*sa + 3d0*ca**3d0*cima*l5*sa + 3d0*ca*cima*l1*sa&
                    **3d0 - 3d0*ca*cima*l3*sa**3d0 - 3d0*ca*cima*l4*sa**3d0 -  &
                    3d0*ca*cima*l5*sa**3d0
    coupl(nGC_15) = cima*gs**2d0
    coupl(nGC_13) = cima*gs
    coupl(nGC_21520) = -cb*cima*sa*sb*vev1
    coupl(nGC_10) = 2d0*cima*ee**2d0
    coupl(nGC_21529) = sqrt(2d0)*cima*(ca*yd13x3 + sa*yb2)/2d0
    coupl(nGC_19) = -3d0*ca**4d0*cima*l1 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l2*sa**4d0
    coupl(nGC_18) = -3d0*ca**4d0*cima*l2 - 6d0*ca**2d0*cima*l3*sa**2d0 - 6d0*ca&
                    **2d0*cima*l4*sa**2d0 - 6d0*ca**2d0*cima*l5*sa**2d0 - 3d0* &
                    cima*l1*sa**4d0
    coupl(nGC_997) = -coupl(nGC_356)
    coupl(nGC_21419) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev1 + sa*vev2&
                       )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_21418) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw&
                       **2d0)
    coupl(nGC_2755) = -coupl(nGC_353)
    coupl(nGC_21411) = cima*(cb*yt2 - sb*yt1)
    coupl(nGC_21413) = cima*sb
    coupl(nGC_21412) = cb*cima
    coupl(nGC_21415) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca&
                       *vev2 - sa*vev1)/(cw**2d0*sw**3d0)
    coupl(nGC_21414) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*   &
                       vev1)/(cw**2d0*sw**2d0)
    coupl(nGC_21417) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_21416) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev2 - sa*vev1)/(cw**3d0*sw**2d0)
    coupl(nGC_21085) = 3d0*ca*cima*sa**3d0
    coupl(nGC_21709) = -cb*cima
    coupl(nGC_21708) = cima*sb
    coupl(nGC_21705) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21704) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21707) = cima*(cb*ym1 + sb*ym2)
    coupl(nGC_21706) = sqrt(2d0)*cima*(ca*ym1 + sa*ym2)/2d0
    coupl(nGC_21701) = 2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_21700) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)**  &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_21703) = -2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_21702) = -2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_521) = -ca*cima*sb**2d0*vev1
    coupl(nGC_5469) = -2d0*coupl(nGC_194)
    coupl(nGC_20760) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_20761) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca**2d0*&
                       cb*l4*sb + ca**2d0*cb*l5*sb - 2d0*ca*cb**2d0*l5*sa + 2d0&
                       *ca*l5*sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb &
                        + cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_20762) = -cima*sa**2d0*sb**2d0
    coupl(nGC_374) = sqrt(2d0)*cb*yt1/2d0 + sqrt(2d0)*sb*yt2/2d0
    coupl(nGC_20739) = -cima*(ca**2d0*cb**2d0 - ca**2d0*sb**2d0 + 2d0*ca*cb*sa*&
                       sb - cb**2d0*sa**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_20738) = -ca*cb*cima*sa*sb
    coupl(nGC_20737) = -cima*(-4d0*ca**2d0*cb*l5*sb + ca*cb**2d0*l1*sa + ca*cb &
                       **2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa - 2d0*ca*cb**2d0*l4* &
                       sa + 2d0*ca*cb**2d0*l5*sa - ca*l1*sa*sb**2d0 - ca*l2*sa*&
                       sb**2d0 + 2d0*ca*l3*sa*sb**2d0 + 2d0*ca*l4*sa*sb**2d0 - &
                       2d0*ca*l5*sa*sb**2d0 + 4d0*cb*l5*sa**2d0*sb)
    coupl(nGC_373) = cb*cima*yt1 + cima*sb*yt2
    coupl(nGC_20735) = 2d0*cima*(-ca**2d0*cb*l4*sb - ca**2d0*cb*l5*sb + ca*cb**&
                       2d0*l1*sa - ca*cb**2d0*l3*sa - ca*l2*sa*sb**2d0 + ca*l3*&
                       sa*sb**2d0 + cb*l4*sa**2d0*sb + cb*l5*sa**2d0*sb)
    coupl(nGC_20733) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_20732) = -2d0*ca*cb*cima*sa*sb
    coupl(nGC_20731) = -cima*sa**2d0*sb**2d0
    coupl(nGC_20730) = 2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb** &
                       2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5*&
                       sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_21671) = sqrt(2d0)*(cb*ye1 + sb*ye2)/2d0
    coupl(nGC_21670) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21673) = sqrt(2d0)*sb/2d0
    coupl(nGC_21672) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21675) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_371) = sqrt(2d0)*cb*yt2/2d0 - sqrt(2d0)*sb*yt1/2d0
    coupl(nGC_21677) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21679) = -ca**2d0*cb*cima*sb
    coupl(nGC_21678) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *cb**2d0*l4 - ca**2d0*cb**2d0*l5 + ca**2d0*l2*sb**2d0 - &
                       ca**2d0*l3*sb**2d0 - ca**2d0*l4*sb**2d0 + ca**2d0*l5*sb &
                       **2d0 - 8d0*ca*cb*l5*sa*sb + cb**2d0*l1*sa**2d0 - cb**  &
                       2d0*l3*sa**2d0 - cb**2d0*l4*sa**2d0 + cb**2d0*l5*sa**2d0&
                        - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0 + l4*sa**2d0*&
                       sb**2d0 - l5*sa**2d0*sb**2d0)
    coupl(nGC_20767) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_331) = -ca*cima*cw**2d0*ee**2d0*vev1/(2d0*sw**2d0) - ca*cima*ee**&
                     2d0*vev1 - ca*cima*ee**2d0*sw**2d0*vev1/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sa*vev2/(2d0*sw**2d0) - cima*ee**2d0*&
                     sa*vev2 - cima*ee**2d0*sa*sw**2d0*vev2/(2d0*cw**2d0)
    coupl(nGC_20931) = -cima*(cb*yt1 + sb*yt2)
    coupl(nGC_20930) = 2d0*cima*gs**2d0
    coupl(nGC_20933) = cb*cima
    coupl(nGC_20932) = -cima*sb
    coupl(nGC_1053) = -coupl(nGC_205)/2d0
    coupl(nGC_294) = -ca*cb**2d0*cima*l5*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0&
                     *sw**2d0) + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 &
                      - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cb* &
                     cima*ee**2d0*sb*vev1/(4d0*cw**2d0) - ca*cima*ee**2d0*sb** &
                     2d0*vev2/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev2 - ca*cima&
                     *ee**2d0*sb**2d0*vev2/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0&
                     *sa*vev1/(4d0*sw**2d0) - cb**2d0*cima*l5*sa*vev1 + cb**2d0&
                     *cima*ee**2d0*sa*vev1/(4d0*cw**2d0) + cb*cima*ee**2d0*sa* &
                     sb*vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3&
                     *sa*sb*vev2 + cb*cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*   &
                     vev2 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) + cima*l5*&
                     sa*sb**2d0*vev1
    coupl(nGC_295) = -ca*cb**2d0*cima*l3*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0&
                     *sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*vev1 &
                      + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) - ca*cima*l2&
                     *sb**2d0*vev2 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw**2d0 &
                     ) + cb**2d0*cima*l1*sa*vev1 - cb*cima*ee**2d0*sa*sb*vev2/(&
                     4d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*  &
                     vev2 + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_296) = -ca*cb**2d0*cima*l3*vev2 - ca*cb**2d0*cima*l4*vev2 + ca*cb&
                     **2d0*cima*l5*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw** &
                     2d0) - 2d0*ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb* &
                     vev1/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw &
                     **2d0) - ca*cima*l2*sb**2d0*vev2 + ca*cima*ee**2d0*sb**2d0&
                     *vev2/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw&
                     **2d0) + cb**2d0*cima*l1*sa*vev1 - cb**2d0*cima*ee**2d0*sa&
                     *vev1/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev2 - cb*cima*ee**2d0*sa*sb* &
                     vev2/(4d0*cw**2d0) + cima*l3*sa*sb**2d0*vev1 + cima*l4*sa*&
                     sb**2d0*vev1 - cima*l5*sa*sb**2d0*vev1
    coupl(nGC_297) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0* &
                     cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 + ca*cb*   &
                     cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*l1*sb*vev1&
                      - ca*cb*cima*l3*sb*vev1 + ca*cima*ee**2d0*sb**2d0*vev2/( &
                     4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb&
                     **2d0*vev2/2d0 - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw**2d0&
                     ) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1/&
                     2d0 - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0) - cb*cima* &
                     l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima*ee**2d0*sa*sb&
                     **2d0*vev1/(4d0*sw**2d0) + cima*l4*sa*sb**2d0*vev1/2d0 +  &
                     cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_290) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l2*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + 2d0*ca*cb* &
                     cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca&
                     *cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*&
                     cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 + cb*cima*ee**  &
                     2d0*sa*sb*vev2/(4d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev2  &
                      + cb*cima*ee**2d0*sa*sb*vev2/(4d0*cw**2d0) - cima*ee**2d0&
                     *sa*sb**2d0*vev1/(4d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1  &
                      - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
    coupl(nGC_298) = -ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0* &
                     cima*l5*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + ca*cb*cima*&
                     l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1&
                      + ca*cb*cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0&
                     *cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev2/(4d0*sw**2d0) +  &
                     ca*cima*l5*sb**2d0*vev2 + ca*cima*ee**2d0*sb**2d0*vev2/(  &
                     4d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev1/(4d0*sw**2d0  &
                     ) - cb**2d0*cima*l5*sa*vev1 - cb**2d0*cima*ee**2d0*sa*vev1&
                     /(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev2/(2d0*sw**2d0  &
                     ) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*   &
                     cima*l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 - cb*cima*ee** &
                     2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*ee**2d0*sa*sb**2d0*   &
                     vev1/(4d0*sw**2d0) + cima*l5*sa*sb**2d0*vev1 + cima*ee**  &
                     2d0*sa*sb**2d0*vev1/(4d0*cw**2d0)
    coupl(nGC_299) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(2d0&
                     *sw**2d0) - ca*cb*cima*l4*sb*vev1 - ca*cb*cima*l5*sb*vev1 &
                      - ca*cima*ee**2d0*sb**2d0*vev2/(2d0*sw**2d0) - ca*cima*l2&
                     *sb**2d0*vev2 + cb**2d0*cima*ee**2d0*sa*vev1/(2d0*sw**2d0 &
                     ) + cb**2d0*cima*l1*sa*vev1 + cb*cima*ee**2d0*sa*sb*vev2/(&
                     2d0*sw**2d0) + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*  &
                     vev2 + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_279) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0&
                      + ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw**2d0) - ca*cb*cima* &
                     l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 - ca*cima*ee**2d0*sb** &
                     2d0*vev1/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev1/2d0 + ca*&
                     cima*l5*sb**2d0*vev1/2d0 - cb**2d0*cima*ee**2d0*sa*vev2/( &
                     4d0*sw**2d0) + cb**2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*&
                     l5*sa*vev2/2d0 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**2d0  &
                     ) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima* &
                     l4*sa*sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_21060) = -cima*ee**2d0*(ca*sb - cb*sa)/cw
    coupl(nGC_21061) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_21062) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21063) = -2d0*cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb&
                       *l3*sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca* &
                       l5*sb**2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 &
                        - cb*l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*   &
                       vev1 + l5*sa*sb**2d0*vev2)
    coupl(nGC_21064) = -ca*cima*sb**2d0*vev2
    coupl(nGC_21066) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 +  &
                       ca*l2*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_21067) = cima*(-2d0*ca*cb*l5*sb + cb**2d0*l1*sa + l3*sa*sb**2d0  &
                        + l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_21068) = cb**2d0*cima*sa*vev1
    coupl(nGC_21069) = -cima*(ca*cb**2d0*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_1949) = -coupl(nGC_335)
    coupl(nGC_1541) = -coupl(nGC_371)
    coupl(nGC_21280) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21281) = -sqrt(2d0)*(cb*ydo2 - sb*ydo1)/2d0
    coupl(nGC_150) = -ca*cb**2d0*ee**2d0*sb/(4d0*sw**2d0) - ca*cb**2d0*l4*sb/  &
                     2d0 + ca*cb**2d0*l5*sb/2d0 - ca*ee**2d0*sb**3d0/(4d0*sw** &
                     2d0) - ca*l4*sb**3d0/2d0 + ca*l5*sb**3d0/2d0 + cb**3d0*ee &
                     **2d0*sa/(4d0*sw**2d0) + cb**3d0*l4*sa/2d0 - cb**3d0*l5*sa&
                     /2d0 + cb*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + cb*l4*sa*sb**&
                     2d0/2d0 - cb*l5*sa*sb**2d0/2d0
    coupl(nGC_20795) = -ca**2d0*cb**2d0*cima
  end subroutine fill_couplings_mdl4
end module fill_couplings4
