!******************************************************************************!
!                                                                              !
!    fill_couplings5.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings5.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings5
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl5()
    coupl(nGC_154) = -ca*cb**3d0*ee**2d0/(4d0*sw**2d0) + ca*cb**3d0*ee**2d0/(  &
                     4d0*cw**2d0) - ca*cb*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca*cb&
                     *ee**2d0*sb**2d0/(4d0*cw**2d0) - cb**2d0*ee**2d0*sa*sb/(  &
                     4d0*sw**2d0) + cb**2d0*ee**2d0*sa*sb/(4d0*cw**2d0) - ee** &
                     2d0*sa*sb**3d0/(4d0*sw**2d0) + ee**2d0*sa*sb**3d0/(4d0*cw &
                     **2d0)
    coupl(nGC_20797) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_21867) = ee**2d0*(cb**2d0 + sb**2d0)/sw
    coupl(nGC_20880) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                       l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +  &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_20746) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**  &
                       2d0)
    coupl(nGC_20702) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_20703) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_20700) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_20701) = -cima*ee**2d0*(ca*cb + sa*sb)/sw
    coupl(nGC_20706) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20707) = -cima*(cb - sb)**2d0*(cb + sb)**2d0
    coupl(nGC_20704) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20705) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20708) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_20709) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_20793) = -cima*(ca**2d0*sb**2d0 + cb**2d0*sa**2d0)
    coupl(nGC_3141) = -coupl(nGC_365)
    coupl(nGC_21604) = ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_21605) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw*sw**2d0)
    coupl(nGC_21606) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_21607) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_21600) = -cima*sb
    coupl(nGC_21601) = -cima*(cb*ydo2 - sb*ydo1)
    coupl(nGC_21602) = -cb*cima
    coupl(nGC_21603) = ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_21118) = -3d0*ca*cima*(ca**2d0*l1 + l3*sa**2d0 + l4*sa**2d0 + l5*&
                       sa**2d0)
    coupl(nGC_21119) = -3d0*cima*sa*(ca**2d0*l3 + ca**2d0*l4 + ca**2d0*l5 + l2*&
                       sa**2d0)
    coupl(nGC_21110) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21111) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21112) = cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0*l5 &
                        - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + 6d0&
                       *cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb** &
                       2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 - &
                       l5*sb**4d0)
    coupl(nGC_21113) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_21114) = -3d0*ca**3d0*cima*vev1
    coupl(nGC_21115) = -3d0*cima*sa**3d0*vev2
    coupl(nGC_21116) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_21117) = -3d0*ca*cima*sa*(ca*vev2 + sa*vev1)
    coupl(nGC_283) = -cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0* &
                     vev1/(4d0*cw) - cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev2/(4d0*cw)
    coupl(nGC_282) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0*sw** &
                     2d0) + 2d0*ca*cb*cima*l5*sb*vev2 + ca*cb*cima*ee**2d0*sb* &
                     vev2/(2d0*cw**2d0) - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw &
                     **2d0) - ca*cima*l1*sb**2d0*vev1 - ca*cima*ee**2d0*sb**2d0&
                     *vev1/(2d0*cw**2d0) - cb**2d0*cima*ee**2d0*sa*vev2/(2d0*sw&
                     **2d0) - cb**2d0*cima*l2*sa*vev2 - cb**2d0*cima*ee**2d0*sa&
                     *vev2/(2d0*cw**2d0) + cb*cima*ee**2d0*sa*sb*vev1/(2d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev1 + cb*cima*ee**2d0*sa*sb* &
                     vev1/(2d0*cw**2d0) - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*&
                     sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_281) = -ca*cb**2d0*cima*l3*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(2d0&
                     *sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*vev2 &
                      - ca*cima*ee**2d0*sb**2d0*vev1/(2d0*sw**2d0) - ca*cima*l1&
                     *sb**2d0*vev1 - cb**2d0*cima*ee**2d0*sa*vev2/(2d0*sw**2d0 &
                     ) - cb**2d0*cima*l2*sa*vev2 + cb*cima*ee**2d0*sa*sb*vev1/(&
                     2d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*  &
                     vev1 - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_280) = -ca*cb**2d0*cima*l5*vev1 + ca*cb*cima*ee**2d0*sb*vev2/(4d0&
                     *sw**2d0) - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 &
                      + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb*vev2 + ca*cb* &
                     cima*ee**2d0*sb*vev2/(4d0*cw**2d0) - ca*cima*ee**2d0*sb** &
                     2d0*vev1/(4d0*sw**2d0) + ca*cima*l5*sb**2d0*vev1 - ca*cima&
                     *ee**2d0*sb**2d0*vev1/(4d0*cw**2d0) - cb**2d0*cima*ee**2d0&
                     *sa*vev2/(4d0*sw**2d0) + cb**2d0*cima*l5*sa*vev2 - cb**2d0&
                     *cima*ee**2d0*sa*vev2/(4d0*cw**2d0) + cb*cima*ee**2d0*sa* &
                     sb*vev1/(4d0*sw**2d0) - cb*cima*l1*sa*sb*vev1 + cb*cima*l3&
                     *sa*sb*vev1 + cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*   &
                     vev1 + cb*cima*ee**2d0*sa*sb*vev1/(4d0*cw**2d0) - cima*l5*&
                     sa*sb**2d0*vev2
    coupl(nGC_287) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l2*vev2 - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + &
                     ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cima*l3&
                     *sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb*cima*ee**2d0*&
                     sa*sb*vev2/(4d0*sw**2d0) - cb*cima*l4*sa*sb*vev2 - cb*cima&
                     *l5*sa*sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0&
                     ) + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_286) = cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0*  &
                     vev1/(2d0*cw) + cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev2/(2d0*cw)
    coupl(nGC_285) = -cb*cima*cw*ee**2d0*vev1/(2d0*sw**2d0) - cb*cima*ee**2d0* &
                     vev1/(2d0*cw) - cima*cw*ee**2d0*sb*vev2/(2d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev2/(2d0*cw)
    coupl(nGC_284) = cb*cima*cw*ee**2d0*vev1/(4d0*sw**2d0) + cb*cima*ee**2d0*  &
                     vev1/(4d0*cw) + cima*cw*ee**2d0*sb*vev2/(4d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev2/(4d0*cw)
    coupl(nGC_289) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l5*vev2 + ca*cb**2d0*cima*ee**2d0*vev2/(4d0*cw**2d0  &
                     ) - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*&
                     l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1&
                      + ca*cb*cima*l5*sb*vev1 - ca*cb*cima*ee**2d0*sb*vev1/(4d0&
                     *cw**2d0) + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa* &
                     vev1 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0) - cb*cima*&
                     l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima*l4*sa*sb* &
                     vev2 - cb*cima*l5*sa*sb*vev2 + cb*cima*ee**2d0*sa*sb*vev2 &
                     /(4d0*cw**2d0) - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0&
                     ) + cima*l5*sa*sb**2d0*vev1 - cima*ee**2d0*sa*sb**2d0*vev1&
                     /(4d0*cw**2d0)
    coupl(nGC_288) = ca*cb**2d0*cima*ee**2d0*vev2/(4d0*sw**2d0) - ca*cb**2d0*  &
                     cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0 - ca*cb*   &
                     cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima*l1*sb*vev1&
                      - ca*cb*cima*l3*sb*vev1 + ca*cima*l4*sb**2d0*vev2/2d0 +  &
                     ca*cima*l5*sb**2d0*vev2/2d0 - cb**2d0*cima*l4*sa*vev1/2d0 &
                      - cb**2d0*cima*l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb*   &
                     vev2/(4d0*sw**2d0) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa&
                     *sb*vev2 - cima*ee**2d0*sa*sb**2d0*vev1/(4d0*sw**2d0) +   &
                     cima*l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_21275) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21274) = -sqrt(2d0)*cima*(ca*yup2 - sa*yup1)/2d0
    coupl(nGC_21277) = (cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_21276) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21273) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21272) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21279) = sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_20747) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_21073) = cima*ee/sw
    coupl(nGC_21072) = -cima*cw*ee/sw**2d0
    coupl(nGC_21071) = -4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
    coupl(nGC_21070) = cima*(ca*cb**2d0*l1*vev1 + 2d0*ca*cb*l5*sb*vev2 + ca*l3*&
                       sb**2d0*vev1 + ca*l4*sb**2d0*vev1 - ca*l5*sb**2d0*vev1  &
                        + cb**2d0*l3*sa*vev2 + cb**2d0*l4*sa*vev2 - cb**2d0*l5*&
                       sa*vev2 + 2d0*cb*l5*sa*sb*vev1 + l2*sa*sb**2d0*vev2)
    coupl(nGC_21077) = -3d0*ca*cima*sa**3d0
    coupl(nGC_21076) = 3d0*ca**3d0*cima*sa
    coupl(nGC_21074) = cima*cw*ee/sw
    coupl(nGC_21079) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_21078) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_20892) = -cb*cima
    coupl(nGC_20893) = cima*(cb*yd12x2 + sb*ys2)
    coupl(nGC_20890) = 2d0*cima*ee**2d0
    coupl(nGC_20891) = cima*sb
    coupl(nGC_20896) = -cb*cima
    coupl(nGC_20897) = -cima*sb
    coupl(nGC_20895) = -cima*(cb*yb2 - sb*yd13x3)
    coupl(nGC_21213) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/(2d0*sw**2d0)
    coupl(nGC_21211) = -cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_21210) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_21853) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_21855) = -cb*cima
    coupl(nGC_21857) = cima*sb
    coupl(nGC_21856) = cima*(cb*ydo1 + sb*ydo2)
    coupl(nGC_20736) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20734) = -ca**2d0*cb**2d0*cima
    coupl(nGC_21176) = (cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21177) = -(cb**2d0 + sb**2d0)*(ca*sb - cb*sa)/2d0
    coupl(nGC_122) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb*   &
                     cima*l1*sb - ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**2d0*&
                     cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + ca&
                     *cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l2*sa**2d0*sb + cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_21175) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(ca*cb + sa*sb)/2d0
    coupl(nGC_21502) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_21501) = -cima*ee**2d0*(ca*cb + sa*sb)/cw
    coupl(nGC_541) = cima*sa*sb**2d0*vev1
    coupl(nGC_21674) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_227) = -cb**2d0*cima*cw**2d0*ee**2d0/(2d0*sw**2d0) - cb**2d0*cima&
                     *ee**2d0 - cb**2d0*cima*ee**2d0*sw**2d0/(2d0*cw**2d0) -   &
                     cima*cw**2d0*ee**2d0*sb**2d0/(2d0*sw**2d0) - cima*ee**2d0*&
                     sb**2d0 - cima*ee**2d0*sb**2d0*sw**2d0/(2d0*cw**2d0)
    coupl(nGC_21676) = sqrt(2d0)*cima*(ca*ydo1 + sa*ydo2)/2d0
    coupl(nGC_21770) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_128) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb*   &
                     cima*l4*sb - ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**2d0*&
                     cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - ca&
                     *cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l4*sa**2d0*sb + cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_21771) = -4d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4  &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
    coupl(nGC_129) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb*   &
                     cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**2d0*&
                     cima*l5*sa - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - ca&
                     *cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*cima*l1*sa**2d0*sb - cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_21476) = cima*ee*sw/cw
    coupl(nGC_21475) = -cima*ee*sw/cw**2d0
    coupl(nGC_21474) = cima*ee/cw
    coupl(nGC_21473) = cb*cima
    coupl(nGC_21472) = -cima*sb
    coupl(nGC_21471) = -cima*(cb*yc1 + sb*yc2)
    coupl(nGC_20678) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_20679) = -2d0*cima*ee**2d0/sw
    coupl(nGC_20676) = -cb*cima
    coupl(nGC_20677) = -cima*sb
    coupl(nGC_20675) = -cima*(cb*ym2 - sb*ym1)
    coupl(nGC_21730) = cima*ee*(ca*sb - cb*sa)/(2d0*sw**2d0)
    coupl(nGC_21125) = cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
    coupl(nGC_20781) = -3d0*ca**2d0*cima*sa*vev2
    coupl(nGC_20786) = -cima*(3d0*ca**3d0*l2*vev2 - 2d0*ca**3d0*l3*vev2 - 2d0* &
                       ca**3d0*l4*vev2 - 2d0*ca**3d0*l5*vev2 + 6d0*ca**2d0*l1* &
                       sa*vev1 - 7d0*ca**2d0*l3*sa*vev1 - 7d0*ca**2d0*l4*sa*   &
                       vev1 - 7d0*ca**2d0*l5*sa*vev1 - 6d0*ca*l2*sa**2d0*vev2  &
                        + 7d0*ca*l3*sa**2d0*vev2 + 7d0*ca*l4*sa**2d0*vev2 + 7d0&
                       *ca*l5*sa**2d0*vev2 - 3d0*l1*sa**3d0*vev1 + 2d0*l3*sa** &
                       3d0*vev1 + 2d0*l4*sa**3d0*vev1 + 2d0*l5*sa**3d0*vev1)
    coupl(nGC_20715) = 2d0*cima*(ca**2d0*cb*l4*sb + ca**2d0*cb*l5*sb - ca*cb** &
                       2d0*l2*sa + ca*cb**2d0*l3*sa + ca*l1*sa*sb**2d0 - ca*l3*&
                       sa*sb**2d0 - cb*l4*sa**2d0*sb - cb*l5*sa**2d0*sb)
    coupl(nGC_20714) = -ca**2d0*cima*sb**2d0
    coupl(nGC_20717) = 2d0*cima*(-ca**2d0*cb*l2*sb + ca**2d0*cb*l3*sb + ca*cb**&
                       2d0*l4*sa + ca*cb**2d0*l5*sa - ca*l4*sa*sb**2d0 - ca*l5*&
                       sa*sb**2d0 + cb*l1*sa**2d0*sb - cb*l3*sa**2d0*sb)
    coupl(nGC_20716) = -cima*(ca**2d0*cb**2d0 + sa**2d0*sb**2d0)
    coupl(nGC_20711) = -cb**2d0*cima*sa**2d0
    coupl(nGC_20710) = -2d0*cima*(ca**2d0*cb*l1*sb - ca**2d0*cb*l3*sb - ca*cb**&
                       2d0*l4*sa - ca*cb**2d0*l5*sa + ca*l4*sa*sb**2d0 + ca*l5*&
                       sa*sb**2d0 - cb*l2*sa**2d0*sb + cb*l3*sa**2d0*sb)
    coupl(nGC_20713) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20712) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20719) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_20718) = -ca**2d0*cima*sb**2d0
    coupl(nGC_20925) = -cima*ee**2d0*(cb**2d0 + sb**2d0)/sw**3d0
    coupl(nGC_382) = cb*cima*yup2 - cima*sb*yup1
    coupl(nGC_383) = sqrt(2d0)*cb*yup2/2d0 - sqrt(2d0)*sb*yup1/2d0
    coupl(nGC_380) = -sqrt(2d0)*cb*ytau1/2d0 - sqrt(2d0)*sb*ytau2/2d0
    coupl(nGC_381) = -sqrt(2d0)*ca*cima*yup2/2d0 + sqrt(2d0)*cima*sa*yup1/2d0
    coupl(nGC_386) = sqrt(2d0)*cb*yup1/2d0 + sqrt(2d0)*sb*yup2/2d0
    coupl(nGC_384) = -sqrt(2d0)*ca*cima*yup1/2d0 - sqrt(2d0)*cima*sa*yup2/2d0
    coupl(nGC_385) = cb*cima*yup1 + cima*sb*yup2
    coupl(nGC_21109) = -cb*cima*sb**3d0
    coupl(nGC_21108) = cb**3d0*cima*sb
    coupl(nGC_21103) = -3d0*cb**3d0*cima*sb
    coupl(nGC_21102) = 3d0*cb*cima*sb**3d0
    coupl(nGC_21101) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21100) = -6d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21107) = -cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21106) = 3d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**  &
                       4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0&
                        - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0&
                       *cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                       4d0 + l5*sb**4d0)
    coupl(nGC_21105) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21104) = 3d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_278) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0*sw** &
                     2d0) + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cb*cima*ee**2d0*sb* &
                     vev2/(4d0*cw**2d0) + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw &
                     **2d0) - ca*cima*l1*sb**2d0*vev1 + ca*cima*ee**2d0*sb**2d0&
                     *vev1/(4d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa*vev2/(4d0*sw&
                     **2d0) - cb**2d0*cima*l2*sa*vev2 + cb**2d0*cima*ee**2d0*sa&
                     *vev2/(4d0*cw**2d0) - cb*cima*ee**2d0*sa*sb*vev1/(4d0*sw**&
                     2d0) + 2d0*cb*cima*l5*sa*sb*vev1 - cb*cima*ee**2d0*sa*sb* &
                     vev1/(4d0*cw**2d0) - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*&
                     sb**2d0*vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_276) = cb*ee**2d0*vev1/(2d0*sw**2d0) + ee**2d0*sb*vev2/(2d0*sw** &
                     2d0)
    coupl(nGC_277) = -ca*cb**2d0*cima*l3*vev1 - ca*cb*cima*ee**2d0*sb*vev2/(4d0&
                     *sw**2d0) + ca*cb*cima*l4*sb*vev2 + ca*cb*cima*l5*sb*vev2 &
                      + ca*cima*ee**2d0*sb**2d0*vev1/(4d0*sw**2d0) - ca*cima*l1&
                     *sb**2d0*vev1 + cb**2d0*cima*ee**2d0*sa*vev2/(4d0*sw**2d0 &
                     ) - cb**2d0*cima*l2*sa*vev2 - cb*cima*ee**2d0*sa*sb*vev1/(&
                     4d0*sw**2d0) + cb*cima*l4*sa*sb*vev1 + cb*cima*l5*sa*sb*  &
                     vev1 - cima*l3*sa*sb**2d0*vev2
    coupl(nGC_274) = -cb*ee**2d0*vev1/(4d0*sw**2d0) - ee**2d0*sb*vev2/(4d0*sw**&
                     2d0)
    coupl(nGC_275) = cb*ee**2d0*vev1/(4d0*sw**2d0) + ee**2d0*sb*vev2/(4d0*sw** &
                     2d0)
    coupl(nGC_272) = ca*cima*ee**2d0*vev1/(2d0*sw**2d0) + cima*ee**2d0*sa*vev2 &
                     /(2d0*sw**2d0)
    coupl(nGC_273) = -cb*ee**2d0*vev1/(2d0*sw**2d0) - ee**2d0*sb*vev2/(2d0*sw**&
                     2d0)
    coupl(nGC_270) = -ca*cima*ee**2d0*vev1/(4d0*sw**2d0) - cima*ee**2d0*sa*vev2&
                     /(4d0*sw**2d0)
    coupl(nGC_271) = -ca*cima*ee**2d0*vev1/(2d0*sw**2d0) - cima*ee**2d0*sa*vev2&
                     /(2d0*sw**2d0)
    coupl(nGC_MZ_GF) = cMZ
    coupl(nGC_21046) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21047) = -3d0*cima*sa**4d0
    coupl(nGC_21044) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21045) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw + sw&
                       )**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_21042) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21043) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_21040) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_21041) = -cima*(cb - sb)**2d0*(cb + sb)**2d0/2d0
    coupl(nGC_21048) = -3d0*ca**4d0*cima
    coupl(nGC_21049) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_20834) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_20889) = -ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_20888) = ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_20835) = ca*cima*sa*sb**2d0
    coupl(nGC_20885) = cima*(-ca**2d0*cb**2d0*l2 + ca**2d0*cb**2d0*l3 + ca**2d0&
                       *l1*sb**2d0 - ca**2d0*l3*sb**2d0 - 4d0*ca*cb*l4*sa*sb - &
                       4d0*ca*cb*l5*sa*sb + cb**2d0*l2*sa**2d0 - cb**2d0*l3*sa &
                       **2d0 - l1*sa**2d0*sb**2d0 + l3*sa**2d0*sb**2d0)
    coupl(nGC_20884) = ca*cima*sa*sb**2d0
    coupl(nGC_20887) = ee**2d0*(cb**2d0 + sb**2d0)/cw
    coupl(nGC_20886) = -ee**2d0*(cb**2d0 + sb**2d0)/(2d0*cw**2d0)
    coupl(nGC_20881) = -ca*cb**2d0*cima*sa
    coupl(nGC_20883) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_20882) = cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_20837) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20831) = 2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca* &
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_595) = cima*ee**2d0*sa*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0*sw**&
                     2d0)
    coupl(nGC_20833) = cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0 &
                        - 2d0*cb*sa**2d0*sb)
    coupl(nGC_21438) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*( &
                       ca*vev1 + sa*vev2)/(cw**3d0*sw**2d0)
    coupl(nGC_126) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - 2d0*ca**2d0*cb*&
                     cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0) - ca&
                     *cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + ca*cb**2d0*cima* &
                     l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa + ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(4d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - ca*cima*&
                     l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*cima*l4*sa*sb**&
                     2d0 - ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(&
                     4d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + &
                     2d0*cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(  &
                     4d0*cw**2d0)
    coupl(nGC_127) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*cima&
                     *l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*sb -  &
                     ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw&
                     **2d0) - ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) + 2d0*ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(4d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - 2d0*ca* &
                     cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(4d0*cw** &
                     2d0) - cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*&
                     l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa**2d0&
                     *sb + cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(&
                     4d0*cw**2d0)
    coupl(nGC_124) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*cima&
                     *l4*sb - ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l1*sa - ca*cb**2d0*cima&
                     *l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - ca*   &
                     cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l4*sa**2d0*sb + cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_125) = ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) - ca**2d0*cb*cima&
                     *l2*sb + ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(4d0*sw**2d0) + ca*cb**2d0*cima*l4*sa + ca*cb**2d0*cima&
                     *l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) - ca*   &
                     cima*l4*sa*sb**2d0 - ca*cima*l5*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(4d0*sw**2d0) + cb*cima*l1*sa**2d0*sb - cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_120) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + ca**2d0*cb*   &
                     cima*l4*sb + ca**2d0*cb*cima*l5*sb + ca*cb**2d0*cima*ee** &
                     2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**2d0*&
                     cima*l3*sa - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + ca&
                     *cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 + cb*cima*ee**&
                     2d0*sa**2d0*sb/(4d0*sw**2d0) - cb*cima*l4*sa**2d0*sb - cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_121) = -ca**2d0*cb*cima*ee**2d0*sb/(4d0*sw**2d0) + 2d0*ca**2d0*cb&
                     *cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(4d0*cw**2d0) +  &
                     ca*cb**2d0*cima*ee**2d0*sa/(4d0*sw**2d0) - ca*cb**2d0*cima&
                     *l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa -  &
                     ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(4d0*cw&
                     **2d0) - ca*cima*ee**2d0*sa*sb**2d0/(4d0*sw**2d0) + ca*   &
                     cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*cima*l4*sa&
                     *sb**2d0 + ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**&
                     2d0/(4d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(4d0*sw**  &
                     2d0) - 2d0*cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(4d0*cw**2d0)
    coupl(nGC_291) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l2*vev2 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + &
                     ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb*vev1 - ca*cima*l3&
                     *sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 - cb*cima*ee**2d0*&
                     sa*sb*vev2/(2d0*sw**2d0) - cb*cima*l4*sa*sb*vev2 - cb*cima&
                     *l5*sa*sb*vev2 + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*sw**2d0&
                     ) + cima*l1*sa*sb**2d0*vev1
    coupl(nGC_21820) = -cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca*cb*l3&
                       *sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca*l5* &
                       sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2 +  &
                       cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*vev2  &
                        + l5*sa*sb**2d0*vev1)
    coupl(nGC_21821) = -ee*(cb**2d0 + sb**2d0)/(2d0*sw**2d0)
    coupl(nGC_21822) = ee*(cb**2d0 + sb**2d0)/(2d0*sw)
    coupl(nGC_293) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0&
                      - ca*cb*cima*ee**2d0*sb*vev1/(4d0*sw**2d0) + ca*cb*cima* &
                     l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 - ca*cima*ee**2d0*sb** &
                     2d0*vev2/(4d0*sw**2d0) + ca*cima*l4*sb**2d0*vev2/2d0 + ca*&
                     cima*l5*sb**2d0*vev2/2d0 + cb**2d0*cima*ee**2d0*sa*vev1/( &
                     4d0*sw**2d0) - cb**2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*&
                     l5*sa*vev1/2d0 + cb*cima*ee**2d0*sa*sb*vev2/(4d0*sw**2d0  &
                     ) - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima* &
                     l4*sa*sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_21828) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_21829) = -2d0*cima*(-ca*cb**2d0*l5*vev2 + ca*cb*l1*sb*vev1 - ca* &
                       cb*l3*sb*vev1 - ca*cb*l4*sb*vev1 + ca*cb*l5*sb*vev1 + ca&
                       *l5*sb**2d0*vev2 - cb**2d0*l5*sa*vev1 - cb*l2*sa*sb*vev2&
                        + cb*l3*sa*sb*vev2 + cb*l4*sa*sb*vev2 - cb*l5*sa*sb*   &
                       vev2 + l5*sa*sb**2d0*vev1)
    coupl(nGC_MMW_GF) = -cMW*cima
    coupl(nGC_21910) = ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw*sw**2d0)
    coupl(nGC_21911) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_21912) = -ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_21913) = -cima*(cb*ytau2 - sb*ytau1)
    coupl(nGC_21914) = -cb*cima
    coupl(nGC_21915) = -cima*sb
    coupl(nGC_I) = cima
    coupl(nGC_181) = ca*cb*cima*ee**2d0/(2d0*sw) + cima*ee**2d0*sa*sb/(2d0*sw)
    coupl(nGC_1827) = -coupl(nGC_205)
    coupl(nGC_3) = -cima*ee
    coupl(nGC_2) = -2d0*cima*ee/3d0
    coupl(nGC_1) = cima*ee/3d0
    coupl(nGC_7) = -cima*ee**2d0
    coupl(nGC_6) = 2d0*cima*ee
    coupl(nGC_5) = -2d0*cima*ee
  end subroutine fill_couplings_mdl5
end module fill_couplings5
