!******************************************************************************!
!                                                                              !
!    fill_couplings6.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings6.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings6
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl6()
    coupl(nGC_4) = cima*ee
    coupl(nGC_9) = -2d0*cima*ee**2d0
    coupl(nGC_8) = cima*ee**2d0
    coupl(nGC_21442) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_21443) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21440) = -ca*cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0/(2d0*cw**2d0* &
                       sw**2d0)
    coupl(nGC_21441) = -cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*   &
                       vev1)/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_21446) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_21447) = -6d0*ca*cima*sa*(ca - sa)*(ca + sa)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21444) = -3d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21445) = -cima*(ca**4d0 - 4d0*ca**2d0*sa**2d0 + sa**4d0)
    coupl(nGC_21448) = -sqrt(2d0)*cima*ee/(2d0*sw**2d0)
    coupl(nGC_5899) = -coupl(nGC_15)
    coupl(nGC_2143) = -2d0*coupl(nGC_189)
    coupl(nGC_21065) = cima*(ca*cb**2d0*vev2 - 2d0*ca*cb*sb*vev1 + 2d0*cb*sa*sb&
                       *vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21597) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21590) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw)
    coupl(nGC_21591) = cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_21592) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/sw
    coupl(nGC_21628) = -cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_21629) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
    coupl(nGC_21623) = -(cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21626) = -cb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21627) = -sb*(cb**2d0 + sb**2d0)*(l4 - l5)/2d0
    coupl(nGC_21624) = (cb**2d0 + sb**2d0)*(cb*vev1 + sb*vev2)/2d0
    coupl(nGC_21625) = -(cb**2d0 + sb**2d0)*(l4 - l5)*(cb*vev2 - sb*vev1)/2d0
    coupl(nGC_20940) = -cima*ee*(3d0*cw**2d0 + sw**2d0)/(6d0*cw*sw**2d0)
    coupl(nGC_178) = -ca*cb*cima*ee/(2d0*sw) - cima*ee*sa*sb/(2d0*sw)
    coupl(nGC_20942) = cima*ee*(3d0*cw**2d0 - sw**2d0)/(6d0*cw*sw)
    coupl(nGC_21138) = -cima*ee*sw/(3d0*cw**2d0)
    coupl(nGC_21139) = cima*ee*sw/(3d0*cw)
    coupl(nGC_21137) = cima*ee/(3d0*cw)
    coupl(nGC_268) = -cb*cima*cw*ee**2d0*vev2/(2d0*sw**2d0) - cb*cima*ee**2d0* &
                     vev2/(2d0*cw) + cima*cw*ee**2d0*sb*vev1/(2d0*sw**2d0) +   &
                     cima*ee**2d0*sb*vev1/(2d0*cw)
    coupl(nGC_265) = cb*ee**2d0*vev2/(2d0*sw**2d0) - ee**2d0*sb*vev1/(2d0*sw** &
                     2d0)
    coupl(nGC_264) = cb*ee**2d0*vev2/(4d0*sw**2d0) - ee**2d0*sb*vev1/(4d0*sw** &
                     2d0)
    coupl(nGC_267) = cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0*  &
                     vev2/(4d0*cw) - cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev1/(4d0*cw)
    coupl(nGC_266) = -cb*cima*cw*ee**2d0*vev2/(4d0*sw**2d0) + cb*cima*ee**2d0* &
                     vev2/(4d0*cw) + cima*cw*ee**2d0*sb*vev1/(4d0*sw**2d0) -   &
                     cima*ee**2d0*sb*vev1/(4d0*cw)
    coupl(nGC_261) = ca*cima*ee**2d0*vev2/(2d0*sw**2d0) - cima*ee**2d0*sa*vev1 &
                     /(2d0*sw**2d0)
    coupl(nGC_260) = -ca*cima*ee**2d0*vev2/(2d0*sw**2d0) + cima*ee**2d0*sa*vev1&
                     /(2d0*sw**2d0)
    coupl(nGC_263) = -cb*ee**2d0*vev2/(4d0*sw**2d0) + ee**2d0*sb*vev1/(4d0*sw**&
                     2d0)
    coupl(nGC_262) = -cb*ee**2d0*vev2/(2d0*sw**2d0) + ee**2d0*sb*vev1/(2d0*sw**&
                     2d0)
    coupl(nGC_20984) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_20985) = 2d0*cb*cima*sb**3d0
    coupl(nGC_20986) = -2d0*cb**3d0*cima*sb
    coupl(nGC_20987) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_20981) = cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_20982) = -cima*ee**2d0*(ca**2d0 + sa**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_20988) = 2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_20989) = 2d0*cima*(-cb**4d0*l2 + cb**4d0*l3 + cb**4d0*l4 + cb**  &
                       4d0*l5 + 3d0*cb**2d0*l1*sb**2d0 + 3d0*cb**2d0*l2*sb**2d0&
                        - 6d0*cb**2d0*l3*sb**2d0 - 6d0*cb**2d0*l4*sb**2d0 - 6d0&
                       *cb**2d0*l5*sb**2d0 - l1*sb**4d0 + l3*sb**4d0 + l4*sb** &
                       4d0 + l5*sb**4d0)
    coupl(nGC_4477) = -coupl(nGC_173)
    coupl(nGC_21058) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw**2d0)
    coupl(nGC_21051) = -12d0*ca*cima*sa*(-ca**2d0*l2 + ca**2d0*l3 + ca**2d0*l4 &
                        + ca**2d0*l5 + l1*sa**2d0 - l3*sa**2d0 - l4*sa**2d0 -  &
                       l5*sa**2d0)
    coupl(nGC_21050) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21053) = 2d0*cb**3d0*cima*sb
    coupl(nGC_21052) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_21054) = -2d0*cb*cima*sb**3d0
    coupl(nGC_21057) = 2d0*cima*(cb**4d0*l1 - cb**4d0*l3 - cb**4d0*l4 - cb**4d0&
                       *l5 - 3d0*cb**2d0*l1*sb**2d0 - 3d0*cb**2d0*l2*sb**2d0 + &
                       6d0*cb**2d0*l3*sb**2d0 + 6d0*cb**2d0*l4*sb**2d0 + 6d0*cb&
                       **2d0*l5*sb**2d0 + l2*sb**4d0 - l3*sb**4d0 - l4*sb**4d0 &
                        - l5*sb**4d0)
    coupl(nGC_21056) = -2d0*cb*cima*sb*(cb - sb)*(cb + sb)
    coupl(nGC_20871) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20872) = -3d0*cb**4d0*cima
    coupl(nGC_20873) = -3d0*cima*sb**4d0
    coupl(nGC_20874) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20875) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20876) = 12d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 - &
                       cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5* &
                       sb**2d0)
    coupl(nGC_20877) = 2d0*cima*ee**2d0/sw**3d0
    coupl(nGC_20878) = -2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_20879) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_135) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*cima&
                     *l1*sb - ca**2d0*cb*cima*l3*sb - ca**2d0*cb*cima*l4*sb +  &
                     ca**2d0*cb*cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw&
                     **2d0) - ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - 2d0*ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(2d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + 2d0*ca* &
                     cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(2d0*cw** &
                     2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*&
                     l2*sa**2d0*sb + cb*cima*l3*sa**2d0*sb + cb*cima*l4*sa**2d0&
                     *sb - cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(&
                     2d0*cw**2d0)
    coupl(nGC_134) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*cima&
                     *l1*sb - ca**2d0*cb*cima*l3*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l4*sa - ca*cb**2d0*cima&
                     *l5*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + ca*   &
                     cima*l4*sa*sb**2d0 + ca*cima*l5*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l2*sa**2d0*sb + cb*&
                     cima*l3*sa**2d0*sb
    coupl(nGC_137) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l5 - ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0* &
                     cima*l5*sb**2d0 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*cw**  &
                     2d0) - ca*cb*cima*ee**2d0*sa*sb/sw**2d0 - ca*cb*cima*l1*sa&
                     *sb - ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb + 2d0*&
                     ca*cb*cima*l4*sa*sb - 2d0*ca*cb*cima*l5*sa*sb - ca*cb*cima&
                     *ee**2d0*sa*sb/cw**2d0 + cb**2d0*cima*ee**2d0*sa**2d0/(4d0&
                     *sw**2d0) + cb**2d0*cima*l5*sa**2d0 + cb**2d0*cima*ee**2d0&
                     *sa**2d0/(4d0*cw**2d0) - cima*ee**2d0*sa**2d0*sb**2d0/(4d0&
                     *sw**2d0) - cima*l5*sa**2d0*sb**2d0 - cima*ee**2d0*sa**2d0&
                     *sb**2d0/(4d0*cw**2d0)
    coupl(nGC_136) = -ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb**&
                     2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0 + ca**2d0*  &
                     cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*cima*l4*sb** &
                     2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 - ca*cb*cima*ee**2d0&
                     *sa*sb/sw**2d0 - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb&
                      + 2d0*ca*cb*cima*l3*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0 &
                     /(4d0*sw**2d0) + cb**2d0*cima*l4*sa**2d0/2d0 + cb**2d0*   &
                     cima*l5*sa**2d0/2d0 - cima*ee**2d0*sa**2d0*sb**2d0/(4d0*sw&
                     **2d0) - cima*l4*sa**2d0*sb**2d0/2d0 - cima*l5*sa**2d0*sb &
                     **2d0/2d0
    coupl(nGC_131) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - ca**2d0*cb*   &
                     cima*l2*sb + ca**2d0*cb*cima*l3*sb + ca**2d0*cb*cima*l4*sb&
                      - ca**2d0*cb*cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0&
                     *cw**2d0) + ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + 2d0&
                     *ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(2d0* &
                     cw**2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - 2d0*&
                     ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**2d0/(2d0*cw&
                     **2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) + cb*   &
                     cima*l1*sa**2d0*sb - cb*cima*l3*sa**2d0*sb - cb*cima*l4*sa&
                     **2d0*sb + cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(2d0*cw**2d0)
    coupl(nGC_130) = -ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) - 2d0*ca**2d0*cb&
                     *cima*l5*sb - ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0) +  &
                     ca*cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) + ca*cb**2d0*cima&
                     *l1*sa - ca*cb**2d0*cima*l3*sa - ca*cb**2d0*cima*l4*sa +  &
                     ca*cb**2d0*cima*l5*sa + ca*cb**2d0*cima*ee**2d0*sa/(2d0*cw&
                     **2d0) - ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) - ca*   &
                     cima*l2*sa*sb**2d0 + ca*cima*l3*sa*sb**2d0 + ca*cima*l4*sa&
                     *sb**2d0 - ca*cima*l5*sa*sb**2d0 - ca*cima*ee**2d0*sa*sb**&
                     2d0/(2d0*cw**2d0) + cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**  &
                     2d0) + 2d0*cb*cima*l5*sa**2d0*sb + cb*cima*ee**2d0*sa**2d0&
                     *sb/(2d0*cw**2d0)
    coupl(nGC_133) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + 2d0*ca**2d0*cb*&
                     cima*l5*sb + ca**2d0*cb*cima*ee**2d0*sb/(2d0*cw**2d0) - ca&
                     *cb**2d0*cima*ee**2d0*sa/(2d0*sw**2d0) - ca*cb**2d0*cima* &
                     l2*sa + ca*cb**2d0*cima*l3*sa + ca*cb**2d0*cima*l4*sa - ca&
                     *cb**2d0*cima*l5*sa - ca*cb**2d0*cima*ee**2d0*sa/(2d0*cw**&
                     2d0) + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + ca*cima*&
                     l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - ca*cima*l4*sa*sb**&
                     2d0 + ca*cima*l5*sa*sb**2d0 + ca*cima*ee**2d0*sa*sb**2d0/(&
                     2d0*cw**2d0) - cb*cima*ee**2d0*sa**2d0*sb/(2d0*sw**2d0) - &
                     2d0*cb*cima*l5*sa**2d0*sb - cb*cima*ee**2d0*sa**2d0*sb/(  &
                     2d0*cw**2d0)
    coupl(nGC_132) = ca**2d0*cb*cima*ee**2d0*sb/(2d0*sw**2d0) + ca**2d0*cb*cima&
                     *l4*sb + ca**2d0*cb*cima*l5*sb - ca*cb**2d0*cima*ee**2d0* &
                     sa/(2d0*sw**2d0) - ca*cb**2d0*cima*l2*sa + ca*cb**2d0*cima&
                     *l3*sa + ca*cima*ee**2d0*sa*sb**2d0/(2d0*sw**2d0) + ca*   &
                     cima*l1*sa*sb**2d0 - ca*cima*l3*sa*sb**2d0 - cb*cima*ee** &
                     2d0*sa**2d0*sb/(2d0*sw**2d0) - cb*cima*l4*sa**2d0*sb - cb*&
                     cima*l5*sa**2d0*sb
    coupl(nGC_139) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l2 + ca**2d0*cb**2d0*cima*ee**2d0/(4d0*cw**2d0   &
                     ) - ca**2d0*cima*l3*sb**2d0 - ca**2d0*cima*l4*sb**2d0 + ca&
                     **2d0*cima*l5*sb**2d0 + ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**&
                     2d0) - 4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) - cb**2d0*cima*l3*sa**2d0 - cb**2d0*cima*l4&
                     *sa**2d0 + cb**2d0*cima*l5*sa**2d0 + cima*ee**2d0*sa**2d0*&
                     sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0 + cima*ee &
                     **2d0*sa**2d0*sb**2d0/(4d0*cw**2d0)
    coupl(nGC_138) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l2 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee**2d0&
                     *sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb&
                     *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima*ee**2d0*sa&
                     **2d0*sb**2d0/(4d0*sw**2d0) - cima*l1*sa**2d0*sb**2d0
    coupl(nGC_21837) = cima*ee/3d0
    coupl(nGC_21836) = cima*(-ca*cb**2d0*l2*vev2 + 2d0*ca*cb*l5*sb*vev1 - ca*l3&
                       *sb**2d0*vev2 - ca*l4*sb**2d0*vev2 + ca*l5*sb**2d0*vev2 &
                        + cb**2d0*l3*sa*vev1 + cb**2d0*l4*sa*vev1 - cb**2d0*l5*&
                       sa*vev1 - 2d0*cb*l5*sa*sb*vev2 + l1*sa*sb**2d0*vev1)
    coupl(nGC_21835) = -cima*(ca*cb**2d0*vev1 + sa*sb**2d0*vev2)
    coupl(nGC_21834) = -ca*cima*sb**2d0*vev1
    coupl(nGC_21833) = -cima*(ca*cb**2d0*l3 + ca*cb**2d0*l4 - ca*cb**2d0*l5 +  &
                       ca*l1*sb**2d0 - 2d0*cb*l5*sa*sb)
    coupl(nGC_21832) = -cima*(-2d0*ca*cb*l5*sb + cb**2d0*l2*sa + l3*sa*sb**2d0 &
                        + l4*sa*sb**2d0 - l5*sa*sb**2d0)
    coupl(nGC_21831) = cima*(ca*cb**2d0*vev1 + 2d0*ca*cb*sb*vev2 + 2d0*cb*sa*sb&
                       *vev1 + sa*sb**2d0*vev2)
    coupl(nGC_21830) = -cb**2d0*cima*sa*vev2
    coupl(nGC_21894) = -cima*(ca*cb*l4*sb + ca*cb*l5*sb + cb**2d0*l3*sa + l2*sa&
                       *sb**2d0)
    coupl(nGC_21839) = -sqrt(2d0)*cima*(ca*yb2 - sa*yd13x3)/2d0
    coupl(nGC_21838) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21903) = -3d0*cima*sb**4d0
    coupl(nGC_21902) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21901) = -sqrt(2d0)*cima*(ca*ytau2 - sa*ytau1)/2d0
    coupl(nGC_21900) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21907) = -12d0*cb*cima*sb*(-cb**2d0*l2 + cb**2d0*l3 + cb**2d0*l4 &
                        + cb**2d0*l5 + l1*sb**2d0 - l3*sb**2d0 - l4*sb**2d0 -  &
                       l5*sb**2d0)
    coupl(nGC_21906) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21905) = -6d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21904) = -3d0*cb**4d0*cima
    coupl(nGC_21909) = ee*(cw**2d0 + sw**2d0)*(ca*sb - cb*sa)/(2d0*cw*sw)
    coupl(nGC_21908) = -ee*(cw - sw)*(cw + sw)*(ca*cb + sa*sb)/(2d0*cw**2d0*sw)
    coupl(nGC_1211) = -coupl(nGC_198)
    coupl(nGC_21899) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20801) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_21521) = -cima*(cb - sb)*(cb + sb)*(ca*vev1 - sa*vev2)/2d0
    coupl(nGC_20827) = ca*cb**2d0*cima*sa
    coupl(nGC_21496) = sqrt(2d0)*(cb*yc2 - sb*yc1)/2d0
    coupl(nGC_777) = -cima/(2d0*cMW)
    coupl(nGC_20756) = cima*(ca**2d0*cb**2d0 + 4d0*ca*cb*sa*sb + sa**2d0*sb**  &
                       2d0)
    coupl(nGC_21455) = sqrt(2d0)*cima*(ca*yc1 + sa*yc2)/2d0
    coupl(nGC_21454) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21451) = sqrt(2d0)*cb/2d0
    coupl(nGC_21450) = sqrt(2d0)*(cb*yup2 - sb*yup1)/2d0
    coupl(nGC_21453) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21155) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_245) = -ca*cb**2d0*cima*l5*vev2 + ca*cb*cima*l1*sb*vev1 - ca*cb* &
                     cima*l3*sb*vev1 - ca*cb*cima*l4*sb*vev1 + ca*cb*cima*l5*sb&
                     *vev1 + ca*cima*l5*sb**2d0*vev2 - cb**2d0*cima*l5*sa*vev1 &
                      - cb*cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cb*cima&
                     *l4*sa*sb*vev2 - cb*cima*l5*sa*sb*vev2 + cima*l5*sa*sb**  &
                     2d0*vev1
    coupl(nGC_20803) = -cima*(2d0*ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0&
                        - 2d0*cb*sa**2d0*sb)
    coupl(nGC_244) = -ca*cb**2d0*cima*l4*vev2/2d0 - ca*cb**2d0*cima*l5*vev2/2d0&
                      + ca*cb*cima*l1*sb*vev1 - ca*cb*cima*l3*sb*vev1 + ca*cima&
                     *l4*sb**2d0*vev2/2d0 + ca*cima*l5*sb**2d0*vev2/2d0 - cb** &
                     2d0*cima*l4*sa*vev1/2d0 - cb**2d0*cima*l5*sa*vev1/2d0 - cb&
                     *cima*l2*sa*sb*vev2 + cb*cima*l3*sa*sb*vev2 + cima*l4*sa* &
                     sb**2d0*vev1/2d0 + cima*l5*sa*sb**2d0*vev1/2d0
    coupl(nGC_2081) = -coupl(nGC_374)
    coupl(nGC_21898) = cima*(-ca*cb**2d0*l3*vev2 - ca*cb*l4*sb*vev1 - ca*cb*l5*&
                       sb*vev1 - ca*l2*sb**2d0*vev2 + cb**2d0*l1*sa*vev1 + cb* &
                       l4*sa*sb*vev2 + cb*l5*sa*sb*vev2 + l3*sa*sb**2d0*vev1)
    coupl(nGC_241) = -ca*cb**2d0*cima*l3*vev2 - ca*cb*cima*l4*sb*vev1 - ca*cb* &
                     cima*l5*sb*vev1 - ca*cima*l2*sb**2d0*vev2 + cb**2d0*cima* &
                     l1*sa*vev1 + cb*cima*l4*sa*sb*vev2 + cb*cima*l5*sa*sb*vev2&
                      + cima*l3*sa*sb**2d0*vev1
    coupl(nGC_21522) = -cima*(-ca*cb**2d0*l4*vev2 - ca*cb**2d0*l5*vev2 + 2d0*ca&
                       *cb*l1*sb*vev1 - 2d0*ca*cb*l3*sb*vev1 + ca*l4*sb**2d0*  &
                       vev2 + ca*l5*sb**2d0*vev2 - cb**2d0*l4*sa*vev1 - cb**2d0&
                       *l5*sa*vev1 - 2d0*cb*l2*sa*sb*vev2 + 2d0*cb*l3*sa*sb*   &
                       vev2 + l4*sa*sb**2d0*vev1 + l5*sa*sb**2d0*vev1)/2d0
    coupl(nGC_21653) = -sqrt(2d0)*(cb*ys2 - sb*yd12x2)/2d0
    coupl(nGC_21652) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21651) = -sqrt(2d0)*cb/2d0
    coupl(nGC_56) = -2d0*cb**3d0*cima*l2*sb + 2d0*cb**3d0*cima*l3*sb + 2d0*cb**&
                    3d0*cima*l4*sb + 2d0*cb**3d0*cima*l5*sb + 2d0*cb*cima*l1*sb&
                    **3d0 - 2d0*cb*cima*l3*sb**3d0 - 2d0*cb*cima*l4*sb**3d0 -  &
                    2d0*cb*cima*l5*sb**3d0
    coupl(nGC_21650) = -cima*ee*(cw - sw)*(cw + sw)/(2d0*cw*sw)
    coupl(nGC_20690) = ca*cima*ee**2d0/(2d0*sw**2d0)
    coupl(nGC_20691) = cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
    coupl(nGC_20692) = cima*ee**2d0*(ca*vev2 - sa*vev1)/(2d0*sw**2d0)
    coupl(nGC_20693) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20694) = -cb**4d0*cima
    coupl(nGC_20695) = -cima*sb**4d0
    coupl(nGC_20696) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20697) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_20698) = 4d0*cb*cima*sb*(cb**2d0*l1 - cb**2d0*l3 - cb**2d0*l4 -  &
                       cb**2d0*l5 - l2*sb**2d0 + l3*sb**2d0 + l4*sb**2d0 + l5* &
                       sb**2d0)
    coupl(nGC_20699) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw**2d0)
    coupl(nGC_21665) = cima*(cb*ye1 + sb*ye2)
    coupl(nGC_21589) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw**2d0)
    coupl(nGC_21588) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_21639) = -cima*(ca*sb**2d0*vev1 + cb**2d0*sa*vev2)
    coupl(nGC_21840) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21663) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21631) = -cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_21630) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
    coupl(nGC_21632) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/cw
    coupl(nGC_21660) = 4d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_21121) = cima*ee**2d0*sb/(2d0*cw)
    coupl(nGC_21120) = 3d0*cima*(-ca**3d0*l3*vev2 - ca**3d0*l4*vev2 - ca**3d0* &
                       l5*vev2 + 3d0*ca**2d0*l1*sa*vev1 - 2d0*ca**2d0*l3*sa*   &
                       vev1 - 2d0*ca**2d0*l4*sa*vev1 - 2d0*ca**2d0*l5*sa*vev1  &
                        - 3d0*ca*l2*sa**2d0*vev2 + 2d0*ca*l3*sa**2d0*vev2 + 2d0&
                       *ca*l4*sa**2d0*vev2 + 2d0*ca*l5*sa**2d0*vev2 + l3*sa**  &
                       3d0*vev1 + l4*sa**3d0*vev1 + l5*sa**3d0*vev1)
    coupl(nGC_21123) = cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*cw)
    coupl(nGC_21122) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*cw**2d0)
    coupl(nGC_21528) = sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21124) = cb*cima*ee**2d0/(2d0*cw)
    coupl(nGC_258) = -cb**3d0*l4*vev1/2d0 + cb**3d0*l5*vev1/2d0 - cb**2d0*l4*sb&
                     *vev2/2d0 + cb**2d0*l5*sb*vev2/2d0 - cb*l4*sb**2d0*vev1/  &
                     2d0 + cb*l5*sb**2d0*vev1/2d0 - l4*sb**3d0*vev2/2d0 + l5*sb&
                     **3d0*vev2/2d0
    coupl(nGC_259) = -ca*cima*ee**2d0*vev2/(4d0*sw**2d0) + cima*ee**2d0*sa*vev1&
                     /(4d0*sw**2d0)
    coupl(nGC_MTA) = -cMTA*cima
    coupl(nGC_250) = -ca*cb**2d0*cima*l1*vev1 - 2d0*ca*cb*cima*l5*sb*vev2 - ca*&
                     cima*l3*sb**2d0*vev1 - ca*cima*l4*sb**2d0*vev1 + ca*cima* &
                     l5*sb**2d0*vev1 - cb**2d0*cima*l3*sa*vev2 - cb**2d0*cima* &
                     l4*sa*vev2 + cb**2d0*cima*l5*sa*vev2 - 2d0*cb*cima*l5*sa* &
                     sb*vev1 - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_20780) = -3d0*ca*cima*sa**2d0*vev1
    coupl(nGC_252) = -ca*cb**2d0*cima*l4*vev1/2d0 - ca*cb**2d0*cima*l5*vev1/2d0&
                      - ca*cb*cima*l2*sb*vev2 + ca*cb*cima*l3*sb*vev2 + ca*cima&
                     *l4*sb**2d0*vev1/2d0 + ca*cima*l5*sb**2d0*vev1/2d0 + cb** &
                     2d0*cima*l4*sa*vev2/2d0 + cb**2d0*cima*l5*sa*vev2/2d0 - cb&
                     *cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 - cima*l4*sa* &
                     sb**2d0*vev2/2d0 - cima*l5*sa*sb**2d0*vev2/2d0
    coupl(nGC_253) = -ca*cb**2d0*cima*l5*vev1 - ca*cb*cima*l2*sb*vev2 + ca*cb* &
                     cima*l3*sb*vev2 + ca*cb*cima*l4*sb*vev2 - ca*cb*cima*l5*sb&
                     *vev2 + ca*cima*l5*sb**2d0*vev1 + cb**2d0*cima*l5*sa*vev2 &
                      - cb*cima*l1*sa*sb*vev1 + cb*cima*l3*sa*sb*vev1 + cb*cima&
                     *l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1 - cima*l5*sa*sb**  &
                     2d0*vev2
    coupl(nGC_254) = -ca*cb**2d0*cima*l3*vev1 - ca*cb**2d0*cima*l4*vev1 + ca*cb&
                     **2d0*cima*l5*vev1 + 2d0*ca*cb*cima*l5*sb*vev2 - ca*cima* &
                     l1*sb**2d0*vev1 - cb**2d0*cima*l2*sa*vev2 + 2d0*cb*cima*l5&
                     *sa*sb*vev1 - cima*l3*sa*sb**2d0*vev2 - cima*l4*sa*sb**2d0&
                     *vev2 + cima*l5*sa*sb**2d0*vev2
    coupl(nGC_255) = -cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) - cb**2d0*ee**2d0*sb* &
                     vev2/(4d0*cw**2d0) - cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0 &
                     ) - ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
    coupl(nGC_256) = cb**3d0*ee**2d0*vev1/(4d0*cw**2d0) + cb**2d0*ee**2d0*sb*  &
                     vev2/(4d0*cw**2d0) + cb*ee**2d0*sb**2d0*vev1/(4d0*cw**2d0 &
                     ) + ee**2d0*sb**3d0*vev2/(4d0*cw**2d0)
    coupl(nGC_257) = cb**3d0*l4*vev1/2d0 - cb**3d0*l5*vev1/2d0 + cb**2d0*l4*sb*&
                     vev2/2d0 - cb**2d0*l5*sb*vev2/2d0 + cb*l4*sb**2d0*vev1/2d0&
                      - cb*l5*sb**2d0*vev1/2d0 + l4*sb**3d0*vev2/2d0 - l5*sb** &
                     3d0*vev2/2d0
    coupl(nGC_20997) = -cima*(-2d0*ca**2d0*cb*l4*sb - 2d0*ca**2d0*cb*l5*sb + ca&
                       *cb**2d0*l1*sa + ca*cb**2d0*l2*sa - 2d0*ca*cb**2d0*l3*sa&
                        - ca*l1*sa*sb**2d0 - ca*l2*sa*sb**2d0 + 2d0*ca*l3*sa*sb&
                       **2d0 + 2d0*cb*l4*sa**2d0*sb + 2d0*cb*l5*sa**2d0*sb)
    coupl(nGC_21075) = -3d0*ca*cima*sa*(ca - sa)*(ca + sa)
    coupl(nGC_20999) = -cima*(ca - sa)*(ca + sa)*(cb - sb)*(cb + sb)/2d0
    coupl(nGC_20998) = -ca*cb*cima*sa*sb
    coupl(nGC_21028) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21029) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)**2d0*(cw +  &
                       sw)**2d0/(cw**2d0*sw**2d0)
    coupl(nGC_21024) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_21025) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*( &
                       cw**2d0 + sw**2d0)/(cw**3d0*sw**2d0)
    coupl(nGC_21026) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)** &
                       2d0/(cw**2d0*sw**2d0)
    coupl(nGC_21027) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw)*(cw&
                       **2d0 + sw**2d0)/(cw**2d0*sw**3d0)
    coupl(nGC_593) = cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca* &
                     vev1 + sa*vev2)/(cw**3d0*sw**2d0)
    coupl(nGC_20863) = cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/(cw&
                       **2d0*sw)
    coupl(nGC_20862) = -cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw**2d0 + sw**2d0)/( &
                       cw*sw**2d0)
    coupl(nGC_20861) = -2d0*cima*(ca**2d0*cb**2d0*l5 - ca**2d0*l5*sb**2d0 + ca*&
                       cb*l1*sa*sb + ca*cb*l2*sa*sb - 2d0*ca*cb*l3*sa*sb - 2d0*&
                       ca*cb*l4*sa*sb + 2d0*ca*cb*l5*sa*sb - cb**2d0*l5*sa**2d0&
                        + l5*sa**2d0*sb**2d0)
    coupl(nGC_140) = ca**2d0*cb**2d0*cima*ee**2d0/(4d0*sw**2d0) - ca**2d0*cb** &
                     2d0*cima*l1 - ca**2d0*cima*l3*sb**2d0 + ca*cb*cima*ee**2d0&
                     *sa*sb/(2d0*sw**2d0) - 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb&
                     *cima*l5*sa*sb - cb**2d0*cima*l3*sa**2d0 + cima*ee**2d0*sa&
                     **2d0*sb**2d0/(4d0*sw**2d0) - cima*l2*sa**2d0*sb**2d0
    coupl(nGC_20865) = -gs
    coupl(nGC_20864) = 2d0*cima*ee**2d0*(cb**2d0 + sb**2d0)*(cw - sw)*(cw + sw &
                       )/(cw*sw)
    coupl(nGC_21756) = cima*ee**2d0*(ca*cb + sa*sb)/(2d0*sw)
    coupl(nGC_21330) = -cb*cima*ee**2d0/(2d0*sw)
    coupl(nGC_21331) = -cima*ee**2d0*(cb*vev1 + sb*vev2)/sw
    coupl(nGC_100) = cb**2d0*cima*ee**2d0/(2d0*sw**2d0) + cima*ee**2d0*sb**2d0 &
                     /(2d0*sw**2d0)
    coupl(nGC_101) = cb**2d0*cima*ee**2d0/sw**2d0 + cima*ee**2d0*sb**2d0/sw**2d0
    coupl(nGC_102) = -ca**2d0*cb**2d0*cima*l4/2d0 - ca**2d0*cb**2d0*cima*l5/2d0&
                      - ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw**2d0) + ca**2d0*  &
                     cima*l4*sb**2d0/2d0 + ca**2d0*cima*l5*sb**2d0/2d0 + ca*cb*&
                     cima*ee**2d0*sa*sb/(2d0*sw**2d0) - ca*cb*cima*l1*sa*sb -  &
                     ca*cb*cima*l2*sa*sb + 2d0*ca*cb*cima*l3*sa*sb - cb**2d0*  &
                     cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*l4*sa** &
                     2d0/2d0 + cb**2d0*cima*l5*sa**2d0/2d0 - cima*l4*sa**2d0*sb&
                     **2d0/2d0 - cima*l5*sa**2d0*sb**2d0/2d0
    coupl(nGC_103) = -ca**2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/( &
                     4d0*sw**2d0) + ca**2d0*cima*l5*sb**2d0 - ca**2d0*cima*ee**&
                     2d0*sb**2d0/(4d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/(2d0*&
                     sw**2d0) - ca*cb*cima*l1*sa*sb - ca*cb*cima*l2*sa*sb + 2d0&
                     *ca*cb*cima*l3*sa*sb + 2d0*ca*cb*cima*l4*sa*sb - 2d0*ca*cb&
                     *cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/(2d0*cw**2d0) - &
                     cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0) + cb**2d0*cima*&
                     l5*sa**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(4d0*cw**2d0) - &
                     cima*l5*sa**2d0*sb**2d0
    coupl(nGC_104) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0/( &
                     4d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 - ca*cb*cima*ee**  &
                     2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca&
                     *cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**&
                     2d0) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_105) = -ca**2d0*cb**2d0*cima*l3 + ca**2d0*cima*ee**2d0*sb**2d0/( &
                     4d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 - ca*cb*cima*ee**  &
                     2d0*sa*sb/(2d0*sw**2d0) + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca&
                     *cb*cima*l5*sa*sb + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**&
                     2d0) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_106) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw&
                     **2d0) - ca**2d0*cima*l1*sb**2d0 + ca**2d0*cima*ee**2d0*sb&
                     **2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**  &
                     2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                     ) - cb**2d0*cima*l2*sa**2d0 + cb**2d0*cima*ee**2d0*sa**2d0&
                     /(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0&
                     *sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_107) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 + ca**2d0*cima*ee**2d0*sb**2d0/(4d0*sw&
                     **2d0) - ca**2d0*cima*l2*sb**2d0 + ca**2d0*cima*ee**2d0*sb&
                     **2d0/(4d0*cw**2d0) - ca*cb*cima*ee**2d0*sa*sb/(2d0*sw**  &
                     2d0) + 4d0*ca*cb*cima*l5*sa*sb - ca*cb*cima*ee**2d0*sa*sb &
                     /(2d0*cw**2d0) + cb**2d0*cima*ee**2d0*sa**2d0/(4d0*sw**2d0&
                     ) - cb**2d0*cima*l1*sa**2d0 + cb**2d0*cima*ee**2d0*sa**2d0&
                     /(4d0*cw**2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0&
                     *sb**2d0 + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_108) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0/( &
                     2d0*sw**2d0) - ca**2d0*cima*l1*sb**2d0 + ca*cb*cima*ee**  &
                     2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca*cb*  &
                     cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0 &
                     ) - cb**2d0*cima*l2*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_109) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cima*ee**2d0*sb**2d0/( &
                     2d0*sw**2d0) - ca**2d0*cima*l2*sb**2d0 + ca*cb*cima*ee**  &
                     2d0*sa*sb/sw**2d0 + 2d0*ca*cb*cima*l4*sa*sb + 2d0*ca*cb*  &
                     cima*l5*sa*sb - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0 &
                     ) - cb**2d0*cima*l1*sa**2d0 - cima*l3*sa**2d0*sb**2d0
    coupl(nGC_21695) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21693) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21692) = -sqrt(2d0)*(cb*ye2 - sb*ye1)/2d0
    coupl(nGC_21690) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**2d0
    coupl(nGC_21282) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21936) = -sqrt(2d0)*cb/2d0
    coupl(nGC_21937) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21934) = 2d0*cima*cw**2d0*ee**2d0/sw**2d0
    coupl(nGC_21935) = -sqrt(2d0)*(cb*ytau2 - sb*ytau1)/2d0
  end subroutine fill_couplings_mdl6
end module fill_couplings6
