!******************************************************************************!
!                                                                              !
!    fill_couplings7.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_couplings7.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_couplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_couplings_mdl7()
    coupl(nGC_21932) = -2d0*cima*cw**2d0*ee**2d0/sw**3d0
    coupl(nGC_21933) = 2d0*cima*cw*ee**2d0/sw**2d0
    coupl(nGC_20915) = -cima*(cb**4d0 + sb**4d0)
    coupl(nGC_21938) = -ee*(cw - sw)*(cw + sw)*(ca*sb - cb*sa)/(2d0*cw**2d0*sw)
    coupl(nGC_21939) = -ee*(cw**2d0 + sw**2d0)*(ca*cb + sa*sb)/(2d0*cw*sw)
    coupl(nGC_20812) = cb*cima*sa**2d0*sb
    coupl(nGC_185) = -cb**2d0*ee**2d0/sw - ee**2d0*sb**2d0/sw
    coupl(nGC_1433) = -coupl(nGC_344)
    coupl(nGC_187) = cb**2d0*ee**2d0/(2d0*sw) + ee**2d0*sb**2d0/(2d0*sw)
    coupl(nGC_21449) = sqrt(2d0)*cima*ee/(2d0*sw)
    coupl(nGC_20813) = cima*(ca**2d0*cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*&
                       l4*sb**2d0 - ca**2d0*l5*sb**2d0 + 2d0*ca*cb*l1*sa*sb +  &
                       2d0*ca*cb*l2*sa*sb - 4d0*ca*cb*l3*sa*sb - cb**2d0*l4*sa &
                       **2d0 - cb**2d0*l5*sa**2d0 + l4*sa**2d0*sb**2d0 + l5*sa &
                       **2d0*sb**2d0)
    coupl(nGC_21802) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21800) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*sw)
    coupl(nGC_21801) = cima*ee**2d0*(ca*cb + sa*sb)/sw
    coupl(nGC_20810) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_21530) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_20811) = ca*cima*sa*(cb - sb)*(cb + sb)
    coupl(nGC_20816) = -4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_611) = -cima*ee**2d0*(cw - sw)*(cw + sw)*(cw**2d0 + sw**2d0)*(ca*&
                     vev2 - sa*vev1)/(cw**2d0*sw**3d0)
    coupl(nGC_21598) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21599) = -sqrt(2d0)*cima*(ca*ydo2 - sa*ydo1)/2d0
    coupl(nGC_591) = cima*ee**2d0*(cw**2d0 + sw**2d0)**2d0*(ca*vev2 - sa*vev1  &
                     )/(2d0*cw**2d0*sw**2d0)
    coupl(nGC_20817) = -2d0*cb**4d0*cima
    coupl(nGC_20683) = cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**2d0
    coupl(nGC_20682) = -cima*ee**2d0*(ca**2d0 + sa**2d0)/sw**3d0
    coupl(nGC_20681) = 4d0*cima*ee**2d0*(cb**2d0 + sb**2d0)
    coupl(nGC_20680) = -4d0*cima*cw*ee**2d0/sw
    coupl(nGC_20687) = cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_20686) = cima*ee**2d0*(ca*cb + sa*sb)/cw
    coupl(nGC_20685) = -cima*ee**2d0*(ca*sb - cb*sa)/(2d0*cw)
    coupl(nGC_20684) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw**2d0)
    coupl(nGC_20689) = cima*ee**2d0*sa/(2d0*sw**2d0)
    coupl(nGC_20688) = -cima*ee**2d0*(ca*vev1 + sa*vev2)/sw**3d0
    coupl(nGC_20815) = 2d0*cima*ee**2d0/sw**2d0
    coupl(nGC_292) = -ca*cb**2d0*cima*ee**2d0*vev2/(2d0*sw**2d0) - ca*cb**2d0* &
                     cima*l2*vev2 - ca*cb**2d0*cima*ee**2d0*vev2/(2d0*cw**2d0  &
                     ) + ca*cb*cima*ee**2d0*sb*vev1/(2d0*sw**2d0) + 2d0*ca*cb* &
                     cima*l5*sb*vev1 + ca*cb*cima*ee**2d0*sb*vev1/(2d0*cw**2d0 &
                     ) - ca*cima*l3*sb**2d0*vev2 - ca*cima*l4*sb**2d0*vev2 + ca&
                     *cima*l5*sb**2d0*vev2 + cb**2d0*cima*l3*sa*vev1 + cb**2d0*&
                     cima*l4*sa*vev1 - cb**2d0*cima*l5*sa*vev1 - cb*cima*ee**  &
                     2d0*sa*sb*vev2/(2d0*sw**2d0) - 2d0*cb*cima*l5*sa*sb*vev2  &
                      - cb*cima*ee**2d0*sa*sb*vev2/(2d0*cw**2d0) + cima*ee**2d0&
                     *sa*sb**2d0*vev1/(2d0*sw**2d0) + cima*l1*sa*sb**2d0*vev1  &
                      + cima*ee**2d0*sa*sb**2d0*vev1/(2d0*cw**2d0)
    coupl(nGC_20996) = 2d0*ca*cb*cima*sa*sb
    coupl(nGC_21488) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_21489) = -sqrt(2d0)*cima*(ca*yc2 - sa*yc1)/2d0
    coupl(nGC_21486) = -cb*cima
    coupl(nGC_21487) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21484) = cima*(cb*ytau1 + sb*ytau2)
    coupl(nGC_21485) = cima*sb
    coupl(nGC_21482) = -sqrt(2d0)*sb/2d0
    coupl(nGC_21483) = sqrt(2d0)*cb/2d0
    coupl(nGC_21481) = -sqrt(2d0)*(cb*yc1 + sb*yc2)/2d0
    coupl(nGC_21538) = sqrt(2d0)*(cb*yd13x3 + sb*yb2)/2d0
    coupl(nGC_21539) = sqrt(2d0)*sb/2d0
    coupl(nGC_3071) = -coupl(nGC_338)
    coupl(nGC_21154) = -4d0*cb*cima*sb*(cb - sb)*(cb + sb)*(l1 + l2 - 2d0*l3 - &
                       2d0*l4 - 2d0*l5)
    coupl(nGC_21156) = -sqrt(2d0)*ca*cima/2d0
    coupl(nGC_21157) = sqrt(2d0)*cima*(ca*ytau1 + sa*ytau2)/2d0
    coupl(nGC_21150) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21151) = -2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21152) = -2d0*cima*(cb**4d0 + sb**4d0)
    coupl(nGC_21153) = 4d0*cb**2d0*cima*sb**2d0
    coupl(nGC_249) = -ca*cb**2d0*cima*l1*vev1 - ca*cb*cima*l4*sb*vev2 - ca*cb* &
                     cima*l5*sb*vev2 - ca*cima*l3*sb**2d0*vev1 - cb**2d0*cima* &
                     l3*sa*vev2 - cb*cima*l4*sa*sb*vev1 - cb*cima*l5*sa*sb*vev1&
                      - cima*l2*sa*sb**2d0*vev2
    coupl(nGC_248) = -cb**3d0*l4*vev2/2d0 + cb**3d0*l5*vev2/2d0 + cb**2d0*l4*sb&
                     *vev1/2d0 - cb**2d0*l5*sb*vev1/2d0 - cb*l4*sb**2d0*vev2/  &
                     2d0 + cb*l5*sb**2d0*vev2/2d0 + l4*sb**3d0*vev1/2d0 - l5*sb&
                     **3d0*vev1/2d0
    coupl(nGC_21081) = 2d0*cima*cw*ee/sw**2d0
    coupl(nGC_21245) = (cb**2d0 + sb**2d0)*(l4 - l5)*(ca*sb - cb*sa)/2d0
    coupl(nGC_21039) = -cb**2d0*cima*sb**2d0
    coupl(nGC_21038) = -cb**2d0*cima*sb**2d0
    coupl(nGC_21037) = 2d0*cb**2d0*cima*sb**2d0
    coupl(nGC_21036) = 12d0*ca*cima*sa*(ca**2d0*l1 - ca**2d0*l3 - ca**2d0*l4 - &
                       ca**2d0*l5 - l2*sa**2d0 + l3*sa**2d0 + l4*sa**2d0 + l5* &
                       sa**2d0)
    coupl(nGC_21035) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21034) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21033) = -3d0*cima*sa**4d0
    coupl(nGC_21032) = -3d0*ca**4d0*cima
    coupl(nGC_21031) = -6d0*ca**2d0*cima*sa**2d0
    coupl(nGC_21030) = -2d0*cima*ee**2d0
    coupl(nGC_20856) = cima*(ca**2d0*cb**2d0*l1 - ca**2d0*cb**2d0*l3 - ca**2d0*&
                       cb**2d0*l4 + ca**2d0*cb**2d0*l5 - ca**2d0*l1*sb**2d0 +  &
                       ca**2d0*l3*sb**2d0 + ca**2d0*l4*sb**2d0 - ca**2d0*l5*sb &
                       **2d0 + 8d0*ca*cb*l5*sa*sb - cb**2d0*l2*sa**2d0 + cb**  &
                       2d0*l3*sa**2d0 + cb**2d0*l4*sa**2d0 - cb**2d0*l5*sa**2d0&
                        + l2*sa**2d0*sb**2d0 - l3*sa**2d0*sb**2d0 - l4*sa**2d0*&
                       sb**2d0 + l5*sa**2d0*sb**2d0)
    coupl(nGC_20857) = -cb*cima*sa**2d0*sb
    coupl(nGC_20855) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_21059) = -cima*ee**2d0*(ca*cb + sa*sb)/(2d0*cw)
    coupl(nGC_20858) = cima*(ca**2d0*cb*sb - 2d0*ca*cb**2d0*sa + 2d0*ca*sa*sb**&
                       2d0 - cb*sa**2d0*sb)
    coupl(nGC_20859) = -cb*cima*sb*(ca - sa)*(ca + sa)
    coupl(nGC_118) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0/(  &
                     2d0*cw)
    coupl(nGC_21323) = cima*(ca*cb*l1*sb - ca*cb*l3*sb - ca*cb*l4*sb + ca*cb*l5&
                       *sb - cb**2d0*l5*sa + l5*sa*sb**2d0)
    coupl(nGC_21322) = -cima*(ca*cb**2d0*l5 - ca*l5*sb**2d0 + cb*l2*sa*sb - cb*&
                       l3*sa*sb - cb*l4*sa*sb + cb*l5*sa*sb)
    coupl(nGC_21321) = -cima*(ca*cb**2d0*vev2 - ca*cb*sb*vev1 - ca*sb**2d0*vev2&
                        + cb**2d0*sa*vev1 + cb*sa*sb*vev2 - sa*sb**2d0*vev1)
    coupl(nGC_21320) = -cb*cima*sa*sb*vev2
    coupl(nGC_21327) = -cima*ee**2d0*sb/(2d0*sw)
    coupl(nGC_21326) = -cima*(ca*cb**2d0*l5*vev1 + ca*cb*l2*sb*vev2 - ca*cb*l3*&
                       sb*vev2 - ca*cb*l4*sb*vev2 + ca*cb*l5*sb*vev2 - ca*l5*sb&
                       **2d0*vev1 - cb**2d0*l5*sa*vev2 + cb*l1*sa*sb*vev1 - cb*&
                       l3*sa*sb*vev1 - cb*l4*sa*sb*vev1 + cb*l5*sa*sb*vev1 + l5&
                       *sa*sb**2d0*vev2)
    coupl(nGC_21325) = -cb*cima*sb*(ca*vev1 - sa*vev2)
    coupl(nGC_21324) = ca*cb*cima*sb*vev1
    coupl(nGC_21329) = -cima*ee**2d0*(cb*vev2 - sb*vev1)/(2d0*sw)
    coupl(nGC_21328) = cima*ee**2d0*(cb*vev1 + sb*vev2)/(2d0*sw**2d0)
    coupl(nGC_119) = cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0/(  &
                     2d0*cw)
    coupl(nGC_21748) = -sqrt(2d0)*cima*sa/2d0
    coupl(nGC_117) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0/(  &
                     4d0*cw)
    coupl(nGC_116) = cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0*cw&
                     ) + cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0/(  &
                     4d0*cw)
    coupl(nGC_115) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) + cb**2d0*ee**2d0/(4d0* &
                     cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) + ee**2d0*sb**2d0/(&
                     4d0*cw)
    coupl(nGC_114) = -cb**2d0*cw*ee**2d0/(4d0*sw**2d0) - cb**2d0*ee**2d0/(4d0* &
                     cw) - cw*ee**2d0*sb**2d0/(4d0*sw**2d0) - ee**2d0*sb**2d0/(&
                     4d0*cw)
    coupl(nGC_113) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) + cb**2d0*ee**2d0/(2d0* &
                     cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) + ee**2d0*sb**2d0/(&
                     2d0*cw)
    coupl(nGC_112) = -cb**2d0*cw*ee**2d0/(2d0*sw**2d0) - cb**2d0*ee**2d0/(2d0* &
                     cw) - cw*ee**2d0*sb**2d0/(2d0*sw**2d0) - ee**2d0*sb**2d0/(&
                     2d0*cw)
    coupl(nGC_111) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(2d0*sw&
                     **2d0) - ca**2d0*cima*l2*sb**2d0 - ca**2d0*cima*ee**2d0*sb&
                     **2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/sw**2d0 +  &
                     4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/cw**2d0&
                      - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0) - cb**2d0*  &
                     cima*l1*sa**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*cw**  &
                     2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0  &
                      + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_110) = -ca**2d0*cb**2d0*cima*l3 - ca**2d0*cb**2d0*cima*l4 + ca** &
                     2d0*cb**2d0*cima*l5 - ca**2d0*cima*ee**2d0*sb**2d0/(2d0*sw&
                     **2d0) - ca**2d0*cima*l1*sb**2d0 - ca**2d0*cima*ee**2d0*sb&
                     **2d0/(2d0*cw**2d0) + ca*cb*cima*ee**2d0*sa*sb/sw**2d0 +  &
                     4d0*ca*cb*cima*l5*sa*sb + ca*cb*cima*ee**2d0*sa*sb/cw**2d0&
                      - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*sw**2d0) - cb**2d0*  &
                     cima*l2*sa**2d0 - cb**2d0*cima*ee**2d0*sa**2d0/(2d0*cw**  &
                     2d0) - cima*l3*sa**2d0*sb**2d0 - cima*l4*sa**2d0*sb**2d0  &
                      + cima*l5*sa**2d0*sb**2d0
    coupl(nGC_933) = -coupl(nGC_172)
    coupl(nGC_2193) = -coupl(nGC_26)
    coupl(nGC_3465) = coupl(nGC_191)/2d0
    coupl(nGC_3467) = -coupl(nGC_191)
    coupl(nGC_2841) = -coupl(nGC_380)
    coupl(nGC_2617) = -coupl(nGC_179)
    coupl(nGC_5895) = -coupl(nGC_14) - coupl(nGC_15)
    coupl(nGC_5893) = coupl(nGC_14) + coupl(nGC_15)
    coupl(nGC_5891) = coupl(nGC_14) - coupl(nGC_15)
    coupl(nGC_1083) = -coupl(nGC_386)
    coupl(nGC_1067) = -2d0*coupl(nGC_8)
    coupl(nGC_1275) = -coupl(nGC_199)
    coupl(nGC_2499) = -coupl(nGC_178)
    coupl(nGC_2705) = -coupl(nGC_12)
    coupl(nGC_1669) = -coupl(nGC_184)
    coupl(nGC_1603) = -coupl(nGC_3)
    coupl(nGC_1113) = 2d0*coupl(nGC_15)
    coupl(nGC_1593) = -coupl(nGC_4)
    coupl(nGC_5913) = -coupl(nGC_14) + coupl(nGC_15)
    coupl(nGC_5901) = -2d0*coupl(nGC_15)
    coupl(nGC_1315) = -coupl(nGC_383)
    coupl(nGC_4487) = -coupl(nGC_10)
    coupl(nGC_4485) = coupl(nGC_10)/2d0
  end subroutine fill_couplings_mdl7
end module fill_couplings7
