!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl1()
    coupl(nGC_32432) = coupl(nGC_238)*dZGMinus/2d0
    coupl(nGC_35162) = coupl(nGC_230)*dZZA_QED2/2d0
    coupl(nGC_22719) = coupl(nGC_21495)*dZee_QED2
    coupl(nGC_22711) = coupl(nGC_21550)*dvev2_QED1 + coupl(nGC_21551)*dcw_QED2 &
                        + coupl(nGC_21552)*db_QED2 + coupl(nGC_21553)*         &
                       dvev1_QED1 + coupl(nGC_21554)*dZee_QED2
    coupl(nGC_TS_GC_236_Hh) = -coupl(nGC_236)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_236_Hl) = -coupl(nGC_236)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_345_Hl) = -coupl(nGC_345)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32415) = coupl(nGC_175)*dZGMinus/2d0
    coupl(nGC_32264) = coupl(nGC_215)*dZG0/2d0
    coupl(nGC_32269) = -coupl(nGC_32264)
    coupl(nGC_TS_GC_172_Hl) = -coupl(nGC_172)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_172_Hh) = -coupl(nGC_172)*dtHh_QED1/cMHH**2d0
    coupl(nGC_37383) = coupl(nGC_MI)*dZtL_QED2
    coupl(nGC_37384) = coupl(nGC_MI)*dZtL_QCD2
    coupl(nGC_22841) = -cima*dME_QED2
    coupl(nGC_22847) = -cima*dMC_QCD2
    coupl(nGC_TS_GC_366_Hh) = -coupl(nGC_366)*dtHh_QED1/cMHH**2d0
    coupl(nGC_51734) = coupl(nGC_MI)*dZsL_QCD2
    coupl(nGC_51733) = coupl(nGC_MI)*dZsL_QED2
    coupl(nGC_32468) = coupl(nGC_210)*dZtL_QCD2
    coupl(nGC_37392) = coupl(nGC_MI)*dZtR_QCD2
    coupl(nGC_36192) = coupl(nGC_344)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_33657) = coupl(nGC_379)*dZGMinus/2d0
    coupl(nGC_39920) = coupl(nGC_173)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_44797) = coupl(nGC_MB)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_44796) = coupl(nGC_MB)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_44795) = coupl(nGC_MI)*dZbL_QCD2
    coupl(nGC_44794) = coupl(nGC_MI)*dZbL_QED2
    coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_342_Hl) = -coupl(nGC_342)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22509) = coupl(nGC_21759)*dl3_QED4 + coupl(nGC_21760)*db_QED2 +  &
                       coupl(nGC_21761)*dl2_QED4 + coupl(nGC_21762)*dl5_QED4 + &
                       coupl(nGC_21763)*dl4_QED4 + coupl(nGC_21764)*dl1_QED4 + &
                       coupl(nGC_21765)*da_QED2
    coupl(nGC_42006) = coupl(nGC_MI)*dZnu_tauL_QED2
    coupl(nGC_39586) = coupl(nGC_MI)*dZuR_QCD2
    coupl(nGC_39585) = coupl(nGC_MI)*dZuR_QED2
    coupl(nGC_35159) = coupl(nGC_361)*dZGMinus/2d0
    coupl(nGC_36593) = coupl(nGC_207)*dZcR_QCD2
    coupl(nGC_36601) = coupl(nGC_230)*dZG0
    coupl(nGC_35489) = coupl(nGC_MI)*dZnu_eL_QED2
    coupl(nGC_TS_GC_363_Hl) = -coupl(nGC_363)*dtHl_QED1/cMHL**2d0
    coupl(nGC_32293) = coupl(nGC_54)*dZGMinus/2d0
    coupl(nGC_34197) = coupl(nGC_205)*dZZA_QED2
    coupl(nGC_TS_GC_224_Hl) = -coupl(nGC_224)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_351_Hl) = -coupl(nGC_351)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34468) = coupl(nGC_MI)*dZcL_QED2
    coupl(nGC_34469) = coupl(nGC_MI)*dZcL_QCD2
    coupl(nGC_32478) = coupl(nGC_99)*dZG0
    coupl(nGC_32471) = coupl(nGC_207)*dZtR_QCD2
    coupl(nGC_TS_GC_215_Hl) = -coupl(nGC_215)*dtHl_QED1/cMHL**2d0
    coupl(nGC_51415) = coupl(nGC_MI)*dZg_QCD2
  end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
