!******************************************************************************!
!                                                                              !
!    fill_ctcouplings11.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings11.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings11
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl11()
    coupl(nGC_32231) = coupl(nGC_186)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_32234) = coupl(nGC_100)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_32236) = coupl(nGC_362)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_22646) = coupl(nGC_21784)*db_QED2 + coupl(nGC_21785)*dym1_QED3 + &
                       coupl(nGC_21786)*dym2_QED3
    coupl(nGC_22641) = coupl(nGC_21913)*db_QED2 + coupl(nGC_21914)*dytau1_QED3 &
                        + coupl(nGC_21915)*dytau2_QED3
    coupl(nGC_TS_GC_224_Hh) = -coupl(nGC_224)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22640) = coupl(nGC_20675)*db_QED2 + coupl(nGC_20676)*dym1_QED3 + &
                       coupl(nGC_20677)*dym2_QED3
    coupl(nGC_36555) = coupl(nGC_172)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_36556) = coupl(nGC_172)*dZHhHl_QED2/2d0 + coupl(nGC_179)*        &
                       dZHMinus_QED2/2d0 + coupl(nGC_179)*dZHl_QED2/2d0 + coupl&
                       (nGC_179)*dZWMinus_QED2/2d0 + coupl(nGC_22687)
    coupl(nGC_36557) = coupl(nGC_36555) - coupl(nGC_36556)
    coupl(nGC_35190) = coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_49408) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_34485) = coupl(nGC_360)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_34486) = coupl(nGC_22649) + coupl(nGC_357)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_360)*dZHh_QED2/2d0
    coupl(nGC_34487) = coupl(nGC_34485) + coupl(nGC_34486)
    coupl(nGC_34480) = coupl(nGC_22847) + coupl(nGC_34471)
    coupl(nGC_34179) = coupl(nGC_374)*dZG0/2d0
    coupl(nGC_34174) = coupl(nGC_374)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_34175) = coupl(nGC_374)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_33345) = coupl(nGC_62)*dZGMinus/2d0
    coupl(nGC_39921) = coupl(nGC_173)*dZHhHl_QED2/2d0 + coupl(nGC_178)*        &
                       dZHMinus_QED2/2d0 + coupl(nGC_178)*dZHl_QED2/2d0 + coupl&
                       (nGC_178)*dZWMinus_QED2/2d0 + coupl(nGC_22689)
    coupl(nGC_39922) = coupl(nGC_39920) - coupl(nGC_39921)
    coupl(nGC_34003) = coupl(nGC_MI)*dZeMinusL_QED2
    coupl(nGC_34004) = coupl(nGC_ME)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_34008) = coupl(nGC_MI)*dZeMinusR_QED2
    coupl(nGC_34009) = coupl(nGC_22841) + coupl(nGC_TS_GC_351_Hl) + coupl(     &
                       nGC_TS_GC_354_Hh)
    coupl(nGC_32895) = coupl(nGC_29)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_32503) = coupl(nGC_53)*dZGMinus/2d0
    coupl(nGC_51742) = coupl(nGC_MI)*dZsR_QCD2
    coupl(nGC_51743) = coupl(nGC_22852) + coupl(nGC_TS_GC_363_Hl) + coupl(     &
                       nGC_TS_GC_366_Hh)
    coupl(nGC_51741) = coupl(nGC_MI)*dZsR_QED2
    coupl(nGC_33292) = coupl(nGC_369)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_33293) = coupl(nGC_369)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_TS_GC_369_Hl) = -coupl(nGC_369)*dtHl_QED1/cMHL**2d0
    coupl(nGC_33298) = coupl(nGC_22674) + coupl(nGC_369)*dZHl_QED2/2d0 + coupl(&
                       nGC_372)*dZHhHl_QED2/2d0
    coupl(nGC_33299) = coupl(nGC_33292) + coupl(nGC_33298)
    coupl(nGC_22118) = coupl(nGC_13)**2d0*coupl(nGC_386)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_34828) = coupl(nGC_179)*dZGMinus/2d0
    coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
    coupl(nGC_33121) = coupl(nGC_22540) + coupl(nGC_55)*dZHa_QED2/2d0 + coupl( &
                       nGC_67)*dZG0Ha_QED2/2d0 + coupl(nGC_70)*dZHaG0_QED2/2d0 &
                        + coupl(nGC_72)*dZHMinusGMinus_QED2
    coupl(nGC_33126) = coupl(nGC_73)*dZG0
    coupl(nGC_39652) = coupl(nGC_173)*dZHMinus_QED2/2d0 + coupl(nGC_173)*      &
                       dZHh_QED2/2d0 + coupl(nGC_173)*dZWMinus_QED2/2d0 + coupl&
                       (nGC_178)*dZHlHh_QED2/2d0 + coupl(nGC_22688)
    coupl(nGC_32474) = coupl(nGC_207)*dZZ_QED2/2d0 + coupl(nGC_207)*dZtR_QED2  &
                        + coupl(nGC_22724)
    coupl(nGC_22205) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_366) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_366) - coupl(nGC_3141 &
                       )**2d0*coupl(nGC_366) - coupl(nGC_334)*coupl(nGC_336)*  &
                       coupl(nGC_364) - coupl(nGC_336)*coupl(nGC_337)*coupl(   &
                       nGC_367) - coupl(nGC_363)**2d0*coupl(nGC_366) - coupl(  &
                       nGC_366)**3d0 - coupl(nGC_366)*coupl(nGC_989)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22204) = coupl(nGC_360)*(-coupl(nGC_1931)**2d0 + 8d0*coupl(      &
                       nGC_208)*coupl(nGC_211) - coupl(nGC_2697)**2d0 - coupl( &
                       nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22207) = coupl(nGC_13)**2d0*coupl(nGC_366)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_32724) = coupl(nGC_22577) + coupl(nGC_260)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_271)*dZHh_QED2/2d0
    coupl(nGC_22201) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_339) - cMC* &
                       coupl(nGC_336) - cMD*coupl(nGC_348) - cMS*coupl(nGC_366 &
                       ) - cMT*coupl(nGC_372) - cMU*coupl(nGC_384))/(16d0*pi** &
                       2d0)
    coupl(nGC_22200) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_2755)**2d0 - coupl(nGC_351)**2d0 - coupl(     &
                       nGC_354)**2d0 + 8d0*coupl(nGC_4)**2d0 - coupl(nGC_997)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_33638) = coupl(nGC_13)*dZbR_QCD2
  end subroutine fill_CTcouplings_mdl11
end module fill_ctcouplings11
