!******************************************************************************!
!                                                                              !
!    fill_ctcouplings16.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings16.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings16
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl16()
    coupl(nGC_22620) = coupl(nGC_20751)*dyd13x3_QED1_QCD2 + coupl(nGC_20752)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_22627) = coupl(nGC_21674)*dydo1_QED1_QCD2 + coupl(nGC_21675)*    &
                       dydo2_QED1_QCD2
    coupl(nGC_22626) = coupl(nGC_21838)*dyd13x3_QED3 + coupl(nGC_21839)*da_QED2&
                        + coupl(nGC_21840)*dyb2_QED3
    coupl(nGC_22625) = coupl(nGC_21838)*dyd13x3_QED1_QCD2 + coupl(nGC_21840)*  &
                       dyb2_QED1_QCD2
    coupl(nGC_TS_GC_37_Hh) = -coupl(nGC_37)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_18_Hl) = -coupl(nGC_18)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34706) = coupl(nGC_187)*dZA_QED2/2d0 + coupl(nGC_187)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_187)*dZHa_QED2/2d0 + coupl&
                       (nGC_187)*dZWMinus_QED2/2d0 + coupl(nGC_22547) + coupl( &
                       nGC_31)*dZZA_QED2/2d0
    coupl(nGC_39359) = coupl(nGC_2)*dZuL_QCD2
    coupl(nGC_32849) = coupl(nGC_13)*dZdR_QED2
    coupl(nGC_32847) = coupl(nGC_13)*dZdL_QED2
    coupl(nGC_39356) = coupl(nGC_2)*dZuR_QCD2
    coupl(nGC_32280) = coupl(nGC_13)*dZtL_QED2
    coupl(nGC_32281) = coupl(nGC_13)*dZtL_QCD2
    coupl(nGC_32282) = coupl(nGC_13)*dZg_QCD2/2d0 + coupl(nGC_22722)
    coupl(nGC_32284) = coupl(nGC_32281) + coupl(nGC_32282)
    coupl(nGC_38992) = coupl(nGC_371)*(dZtL_QCD2 + dZtR_QCD2)/2d0
    coupl(nGC_38993) = -coupl(nGC_22679) - coupl(nGC_38992)
    coupl(nGC_38991) = coupl(nGC_371)*(dZtL_QED2 + dZtR_QED2)/2d0
    coupl(nGC_38994) = coupl(nGC_22679) + coupl(nGC_38992)
    coupl(nGC_38995) = coupl(nGC_22680) + coupl(nGC_371)*dZHa_QED2/2d0 + coupl(&
                       nGC_374)*dZG0Ha_QED2/2d0
    coupl(nGC_34036) = coupl(nGC_186)*dZA_QED2/2d0 + coupl(nGC_186)*           &
                       dZHMinus_QED2/2d0 + coupl(nGC_186)*dZHa_QED2/2d0 + coupl&
                       (nGC_186)*dZWMinus_QED2/2d0 + coupl(nGC_22548) + coupl( &
                       nGC_30)*dZZA_QED2/2d0
    coupl(nGC_51736) = coupl(nGC_MS)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_51735) = coupl(nGC_MS)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_TS_GC_261_Hl) = -coupl(nGC_261)*dtHl_QED1/cMHL**2d0
    coupl(nGC_38776) = coupl(nGC_22599) + coupl(nGC_370)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_373)*dZbL_QED2/2d0 + coupl(nGC_373)*    &
                       dZtR_QED2/2d0
    coupl(nGC_32465) = coupl(nGC_22530) + coupl(nGC_36)*dZHa_QED2 + coupl(     &
                       nGC_36)*dZHh_QED2/2d0 + coupl(nGC_36)*dZHl_QED2/2d0 +   &
                       coupl(nGC_41)*dZHlHh_QED2/2d0 + coupl(nGC_47)*          &
                       dZG0Ha_QED2 + coupl(nGC_48)*dZHhHl_QED2/2d0
    coupl(nGC_37395) = coupl(nGC_22849) + coupl(nGC_37386)
    coupl(nGC_37391) = coupl(nGC_MI)*dZtR_QED2
    coupl(nGC_37393) = coupl(nGC_22848) + coupl(nGC_TS_GC_369_Hl) + coupl(     &
                       nGC_TS_GC_372_Hh)
    coupl(nGC_21965) = cima*(Nc*coupl(nGC_333)**2d0 + Nc*coupl(nGC_342)**2d0 + &
                       Nc*coupl(nGC_345)**2d0 + Nc*coupl(nGC_363)**2d0 + Nc*   &
                       coupl(nGC_369)**2d0 + Nc*coupl(nGC_381)**2d0 + coupl(   &
                       nGC_351)**2d0 + coupl(nGC_357)**2d0 + coupl(nGC_375)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_22696) = coupl(nGC_20682)*dsw_QED2 + coupl(nGC_20683)*dZee_QED2
    coupl(nGC_21966) = (-4d0*Nc*cMB**2d0*cima*coupl(nGC_342)**2d0 - 4d0*Nc*cMC &
                       **2d0*cima*coupl(nGC_333)**2d0 - 4d0*Nc*cMD**2d0*cima*  &
                       coupl(nGC_345)**2d0 - 4d0*Nc*cMS**2d0*cima*coupl(nGC_363&
                       )**2d0 - 4d0*Nc*cMT**2d0*cima*coupl(nGC_369)**2d0 - 4d0*&
                       Nc*cMU**2d0*cima*coupl(nGC_381)**2d0 - 4d0*cME**2d0*cima&
                       *coupl(nGC_351)**2d0 - 4d0*cMM**2d0*cima*coupl(nGC_357  &
                       )**2d0 - 4d0*cMTA**2d0*cima*coupl(nGC_375)**2d0 - 2d0*  &
                       cMW**2d0*coupl(nGC_77) - cMZ**2d0*coupl(nGC_224) + 2d0* &
                       cima*coupl(nGC_261)**2d0 + cima*coupl(nGC_329)**2d0)/(  &
                       16d0*pi**2d0)
    coupl(nGC_21961) = cima*(Nc*coupl(nGC_336)**2d0 + Nc*coupl(nGC_339)**2d0 + &
                       Nc*coupl(nGC_348)**2d0 + Nc*coupl(nGC_366)**2d0 + Nc*   &
                       coupl(nGC_372)**2d0 + Nc*coupl(nGC_384)**2d0 + coupl(   &
                       nGC_354)**2d0 + coupl(nGC_360)**2d0 + coupl(nGC_378)**  &
                       2d0)/(24d0*pi**2d0)
    coupl(nGC_33641) = coupl(nGC_32282) + coupl(nGC_33638)
    coupl(nGC_33640) = coupl(nGC_13)*dZbL_QCD2
    coupl(nGC_36197) = -coupl(nGC_22638) - coupl(nGC_36193)
    coupl(nGC_22693) = coupl(nGC_20925)*dsw_QED2 + coupl(nGC_20926)*dZee_QED2
    coupl(nGC_21989) = cima*coupl(nGC_13)**2d0*sq2**2d0*(cMB**2d0 + cMC**2d0 + &
                       cMD**2d0 + cMS**2d0 + cMT**2d0 + cMU**2d0)/(16d0*pi**2d0&
                       )
    coupl(nGC_21988) = -Nc*cima*coupl(nGC_2705)**2d0*sq2**2d0/(96d0*pi**2d0)
    coupl(nGC_21983) = cMD*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_21982) = cMD*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_206)*coupl(    &
                       nGC_209))/(8d0*pi**2d0)
    coupl(nGC_21981) = cima*(-coupl(nGC_2)**2d0 - coupl(nGC_207)**2d0)/(16d0*pi&
                       **2d0)
    coupl(nGC_21980) = cima*(-coupl(nGC_197)**2d0 - coupl(nGC_2)**2d0 - coupl( &
                       nGC_210)**2d0)/(16d0*pi**2d0)
    coupl(nGC_21987) = cima*sq2**2d0*(Nc*coupl(nGC_2705)**2d0 - 6d0*coupl(     &
                       nGC_13)**2d0)/(96d0*pi**2d0)
    coupl(nGC_21986) = cME*cima*(-coupl(nGC_208)*coupl(nGC_211) - coupl(nGC_4  &
                       )**2d0)/(8d0*pi**2d0)
    coupl(nGC_21985) = cima*(coupl(nGC_197)**2d0 + coupl(nGC_211)**2d0 + coupl(&
                       nGC_4)**2d0)/(16d0*pi**2d0)
    coupl(nGC_21984) = cima*(coupl(nGC_208)**2d0 + coupl(nGC_4)**2d0)/(16d0*pi &
                       **2d0)
    coupl(nGC_22515) = coupl(nGC_20716)*dl3_QED4 + coupl(nGC_20717)*db_QED2 +  &
                       coupl(nGC_20718)*dl2_QED4 + coupl(nGC_20719)*dl5_QED4 + &
                       coupl(nGC_20720)*dl4_QED4 + coupl(nGC_20721)*dl1_QED4 + &
                       coupl(nGC_20722)*da_QED2
    coupl(nGC_33706) = coupl(nGC_186)*dZHMinus_QED2/2d0 + coupl(nGC_186)*      &
                       dZHa_QED2/2d0 + coupl(nGC_22548)
    coupl(nGC_22514) = coupl(nGC_20753)*dl3_QED4 + coupl(nGC_20754)*db_QED2 +  &
                       coupl(nGC_20755)*dl2_QED4 + coupl(nGC_20756)*dl5_QED4 + &
                       coupl(nGC_20757)*dl4_QED4 + coupl(nGC_20758)*dl1_QED4 + &
                       coupl(nGC_20759)*da_QED2
  end subroutine fill_CTcouplings_mdl16
end module fill_ctcouplings16
