!******************************************************************************!
!                                                                              !
!    fill_ctcouplings18.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings18.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings18
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl18()
    coupl(nGC_32850) = coupl(nGC_13)*dZdR_QCD2
    coupl(nGC_39362) = coupl(nGC_2)*dZuL_QED2 + coupl(nGC_210)*dZZA_QED2/2d0
    coupl(nGC_39361) = coupl(nGC_2)*dZuR_QED2 + coupl(nGC_207)*dZZA_QED2/2d0
    coupl(nGC_35739) = coupl(nGC_13)*dZcR_QED2
    coupl(nGC_32297) = coupl(nGC_22543) + coupl(nGC_54)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_54)*dZHa_QED2 + coupl(nGC_64)*                &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*                &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_72)*dZG0Ha_QED2
    coupl(nGC_34191) = coupl(nGC_211)*dZZ_QED2/2d0 + coupl(nGC_211)*           &
                       dZtauMinusL_QED2 + coupl(nGC_22730)
    coupl(nGC_48518) = coupl(nGC_22570) + 3d0*coupl(nGC_234)*dZHl_QED2/2d0 +   &
                       3d0*coupl(nGC_236)*dZHhHl_QED2/2d0 + coupl(             &
                       nGC_TS_GC_16_Hh) + coupl(nGC_TS_GC_18_Hl)
    coupl(nGC_35939) = coupl(nGC_338)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_35938) = coupl(nGC_338)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_33092) = coupl(nGC_383)*(dZuL_QCD2 + dZuR_QCD2)/2d0
    coupl(nGC_22694) = coupl(nGC_20814)*dsw_QED2 + coupl(nGC_20815)*dZee_QED2
    coupl(nGC_33095) = coupl(nGC_22675) + coupl(nGC_383)*dZHa_QED2/2d0 + coupl(&
                       nGC_386)*dZG0Ha_QED2/2d0
    coupl(nGC_33252) = coupl(nGC_I)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2 &
                       )/2d0
    coupl(nGC_33255) = coupl(nGC_186)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_38767) = coupl(nGC_373)*dZGMinus/2d0
    coupl(nGC_34463) = coupl(nGC_22696) + coupl(nGC_77)*dZHl_QED2 + coupl(     &
                       nGC_77)*dZWMinus_QED2
    coupl(nGC_34861) = coupl(nGC_22505) + 2d0*coupl(nGC_58)*dZG0Ha_QED2 + 2d0* &
                       coupl(nGC_66)*dZHa_QED2
    coupl(nGC_32472) = coupl(nGC_2)*dZAZ_QED2/2d0
    coupl(nGC_51416) = -coupl(nGC_51415)
    coupl(nGC_40260) = -coupl(nGC_38567)
    coupl(nGC_37345) = 3d0*coupl(nGC_17)*dZHh_QED2/2d0 + coupl(nGC_17)*        &
                       dZHl_QED2/2d0 + coupl(nGC_19)*dZHhHl_QED2/2d0 + 3d0*    &
                       coupl(nGC_20)*dZHlHh_QED2/2d0 + coupl(nGC_22529)
    coupl(nGC_TS_GC_246_Hl) = -coupl(nGC_246)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22534) = coupl(nGC_20843)*dl3_QED4 + coupl(nGC_20844)*db_QED2 +  &
                       coupl(nGC_20845)*dl2_QED4 + coupl(nGC_20846)*dl5_QED4 + &
                       coupl(nGC_20847)*dl4_QED4 + coupl(nGC_20848)*dl1_QED4 + &
                       coupl(nGC_20849)*da_QED2
    coupl(nGC_33713) = dZGMinusHMinus_QED2*(coupl(nGC_257) + coupl(nGC_258))/2d0
    coupl(nGC_22335) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22334) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                       coupl(nGC_2)**2d0)/(16d0*pi**2d0)
    coupl(nGC_32611) = coupl(nGC_23)*dZGMinus/2d0
    coupl(nGC_22339) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_334 &
                       )*coupl(nGC_338) + Nc*coupl(nGC_1)*coupl(nGC_343)*coupl(&
                       nGC_4237) + Nc*coupl(nGC_1)*coupl(nGC_346)*coupl(       &
                       nGC_4525) + Nc*coupl(nGC_1)*coupl(nGC_364)*coupl(nGC_989&
                       ) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_370)*coupl(nGC_374) - &
                       4d0*Nc*coupl(nGC_1)*coupl(nGC_382)*coupl(nGC_386) + Nc* &
                       coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_338) - 4d0*Nc*    &
                       coupl(nGC_2)*coupl(nGC_343)*coupl(nGC_4237) - 4d0*Nc*   &
                       coupl(nGC_2)*coupl(nGC_346)*coupl(nGC_4525) - 4d0*Nc*   &
                       coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_989) + Nc*coupl(  &
                       nGC_2)*coupl(nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_2)* &
                       coupl(nGC_382)*coupl(nGC_386) + coupl(nGC_2697)*coupl(  &
                       nGC_358)*coupl(nGC_4) + coupl(nGC_2841)*coupl(nGC_376)* &
                       coupl(nGC_4) + coupl(nGC_352)*coupl(nGC_4)*coupl(nGC_997&
                       ))/(48d0*pi**2d0)
    coupl(nGC_22338) = cima*coupl(nGC_197)*(-4d0*Nc*coupl(nGC_1)*coupl(nGC_1083&
                       )*coupl(nGC_382) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_2081)* &
                       coupl(nGC_370) - 4d0*Nc*coupl(nGC_1)*coupl(nGC_3071)*   &
                       coupl(nGC_334) + Nc*coupl(nGC_1)*coupl(nGC_341)*coupl(  &
                       nGC_343) + Nc*coupl(nGC_1)*coupl(nGC_346)*coupl(nGC_350 &
                       ) + Nc*coupl(nGC_1)*coupl(nGC_364)*coupl(nGC_368) + Nc* &
                       coupl(nGC_1083)*coupl(nGC_2)*coupl(nGC_382) + Nc*coupl( &
                       nGC_2)*coupl(nGC_2081)*coupl(nGC_370) + Nc*coupl(nGC_2)*&
                       coupl(nGC_3071)*coupl(nGC_334) - 4d0*Nc*coupl(nGC_2)*   &
                       coupl(nGC_341)*coupl(nGC_343) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_346)*coupl(nGC_350) - 4d0*Nc*coupl(nGC_2)*    &
                       coupl(nGC_364)*coupl(nGC_368) + coupl(nGC_352)*coupl(   &
                       nGC_356)*coupl(nGC_4) + coupl(nGC_358)*coupl(nGC_362)*  &
                       coupl(nGC_4) + coupl(nGC_376)*coupl(nGC_380)*coupl(nGC_4&
                       ))/(48d0*pi**2d0)
    coupl(nGC_44418) = coupl(nGC_39648) - coupl(nGC_39652)
    coupl(nGC_22199) = coupl(nGC_354)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_351)**2d0 - coupl(nGC_353)**2d0 - coupl(      &
                       nGC_354)**2d0 - coupl(nGC_356)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22198) = coupl(nGC_13)**2d0*coupl(nGC_348)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22191) = coupl(nGC_13)**2d0*coupl(nGC_339)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22190) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_339) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_339) - coupl(nGC_339  &
                       )**3d0 - coupl(nGC_339)*coupl(nGC_341)**2d0 - coupl(    &
                       nGC_339)*coupl(nGC_342)**2d0 - coupl(nGC_339)*coupl(    &
                       nGC_344)**2d0 - coupl(nGC_340)*coupl(nGC_372)*coupl(    &
                       nGC_373) - coupl(nGC_343)*coupl(nGC_370)*coupl(nGC_372  &
                       ))/(32d0*pi**2d0)
    coupl(nGC_22193) = (-coupl(nGC_1949)**2d0*coupl(nGC_336) + 8d0*coupl(nGC_2 &
                       )**2d0*coupl(nGC_336) + 8d0*coupl(nGC_207)*coupl(nGC_210&
                       )*coupl(nGC_336) - coupl(nGC_3071)**2d0*coupl(nGC_336   &
                       ) - coupl(nGC_333)**2d0*coupl(nGC_336) - coupl(nGC_334)*&
                       coupl(nGC_364)*coupl(nGC_366) - coupl(nGC_336)**3d0 -   &
                       coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(32d0*pi**&
                       2d0)
    coupl(nGC_22192) = (-2d0*Nc*cMB*coupl(nGC_206)**2d0*coupl(nGC_339) + 2d0*Nc&
                       *cMB*coupl(nGC_206)*coupl(nGC_209)*coupl(nGC_339) - 2d0*&
                       Nc*cMB*coupl(nGC_209)**2d0*coupl(nGC_339) - 2d0*Nc*cMC* &
                       coupl(nGC_207)**2d0*coupl(nGC_336) + 2d0*Nc*cMC*coupl(  &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_336) - 2d0*Nc*cMC*    &
                       coupl(nGC_210)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*coupl(  &
                       nGC_206)**2d0*coupl(nGC_348) + 2d0*Nc*cMD*coupl(nGC_206 &
                       )*coupl(nGC_209)*coupl(nGC_348) - 2d0*Nc*cMD*coupl(     &
                       nGC_209)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(nGC_206 &
                       )**2d0*coupl(nGC_366) + 2d0*Nc*cMS*coupl(nGC_206)*coupl(&
                       nGC_209)*coupl(nGC_366) - 2d0*Nc*cMS*coupl(nGC_209)**2d0&
                       *coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_207)**2d0*coupl( &
                       nGC_372) + 2d0*Nc*cMT*coupl(nGC_207)*coupl(nGC_210)*    &
                       coupl(nGC_372) - 2d0*Nc*cMT*coupl(nGC_210)**2d0*coupl(  &
                       nGC_372) - 2d0*Nc*cMU*coupl(nGC_207)**2d0*coupl(nGC_384 &
                       ) + 2d0*Nc*cMU*coupl(nGC_207)*coupl(nGC_210)*coupl(     &
                       nGC_384) - 2d0*Nc*cMU*coupl(nGC_210)**2d0*coupl(nGC_384 &
                       ) - 2d0*cME*coupl(nGC_208)**2d0*coupl(nGC_354) + 2d0*cME&
                       *coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_354) - 2d0*cME*&
                       coupl(nGC_211)**2d0*coupl(nGC_354) - 2d0*cMM*coupl(     &
                       nGC_208)**2d0*coupl(nGC_360) + 2d0*cMM*coupl(nGC_208)*  &
                       coupl(nGC_211)*coupl(nGC_360) - 2d0*cMM*coupl(nGC_211)**&
                       2d0*coupl(nGC_360) - 2d0*cMTA*coupl(nGC_208)**2d0*coupl(&
                       nGC_378) + 2d0*cMTA*coupl(nGC_208)*coupl(nGC_211)*coupl(&
                       nGC_378) - 2d0*cMTA*coupl(nGC_211)**2d0*coupl(nGC_378   &
                       ) + cima*coupl(nGC_195)*coupl(nGC_272) + coupl(nGC_1275 &
                       )**2d0*coupl(nGC_272) + coupl(nGC_199)**2d0*coupl(      &
                       nGC_272))/(8d0*pi**2d0)
    coupl(nGC_22195) = coupl(nGC_13)**2d0*coupl(nGC_336)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22194) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_336) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_336) - coupl(nGC_333  &
                       )**2d0*coupl(nGC_336) - coupl(nGC_334)*coupl(nGC_364)*  &
                       coupl(nGC_366) - coupl(nGC_335)**2d0*coupl(nGC_336) -   &
                       coupl(nGC_336)**3d0 - coupl(nGC_336)*coupl(nGC_338)**2d0&
                        - coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_367))/(32d0* &
                       pi**2d0)
    coupl(nGC_22197) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_345  &
                       )**2d0*coupl(nGC_348) - coupl(nGC_346)*coupl(nGC_382)*  &
                       coupl(nGC_384) - coupl(nGC_347)**2d0*coupl(nGC_348) -   &
                       coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_350)**2d0&
                        - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(32d0* &
                       pi**2d0)
    coupl(nGC_22196) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_348) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_348) - coupl(nGC_2345 &
                       )**2d0*coupl(nGC_348) - coupl(nGC_345)**2d0*coupl(      &
                       nGC_348) - coupl(nGC_346)*coupl(nGC_382)*coupl(nGC_384  &
                       ) - coupl(nGC_348)**3d0 - coupl(nGC_348)*coupl(nGC_4525 &
                       )**2d0 - coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_385))/(&
                       32d0*pi**2d0)
    coupl(nGC_22428) = cima*(5d0*Nc*coupl(nGC_334)**4d0 + 5d0*Nc*coupl(nGC_343 &
                       )**4d0 + 5d0*Nc*coupl(nGC_346)**4d0 + 5d0*Nc*coupl(     &
                       nGC_364)**4d0 + 5d0*Nc*coupl(nGC_370)**4d0 + 5d0*Nc*    &
                       coupl(nGC_382)**4d0 + 6d0*coupl(nGC_100)**2d0 + 6d0*    &
                       coupl(nGC_221)**2d0 + 3d0*coupl(nGC_229)**2d0 + 3d0*    &
                       coupl(nGC_29)**2d0 + 5d0*coupl(nGC_352)**4d0 + 5d0*coupl&
                       (nGC_358)**4d0 + 5d0*coupl(nGC_376)**4d0)/(24d0*pi**2d0)
    coupl(nGC_22421) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1083)*coupl&
                       (nGC_386) - coupl(nGC_2081)*coupl(nGC_374) - coupl(     &
                       nGC_3071)*coupl(nGC_338) - coupl(nGC_341)*coupl(nGC_4237&
                       ) - coupl(nGC_350)*coupl(nGC_4525) - coupl(nGC_368)*    &
                       coupl(nGC_989))/(16d0*pi**2d0)
    coupl(nGC_57221) = coupl(nGC_I)*dZHl_QED2
    coupl(nGC_22422) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1083)*coupl(&
                       nGC_386) + coupl(nGC_2081)*coupl(nGC_374) + coupl(      &
                       nGC_3071)*coupl(nGC_338) + coupl(nGC_341)*coupl(nGC_4237&
                       ) + coupl(nGC_350)*coupl(nGC_4525) + coupl(nGC_368)*    &
                       coupl(nGC_989))/(16d0*pi**2d0*Nc)
    coupl(nGC_57226) = coupl(nGC_22837) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                       nGC_TS_GC_234_Hl) + coupl(nGC_TS_GC_236_Hh)
    coupl(nGC_22427) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_381)**3d0 + Nc*  &
                       coupl(nGC_2081)*coupl(nGC_369)**3d0 + Nc*coupl(nGC_3071 &
                       )*coupl(nGC_333)**3d0 + Nc*coupl(nGC_333)**3d0*coupl(   &
                       nGC_338) + Nc*coupl(nGC_341)*coupl(nGC_342)**3d0 + Nc*  &
                       coupl(nGC_342)**3d0*coupl(nGC_4237) + Nc*coupl(nGC_345  &
                       )**3d0*coupl(nGC_350) + Nc*coupl(nGC_345)**3d0*coupl(   &
                       nGC_4525) + Nc*coupl(nGC_363)**3d0*coupl(nGC_368) + Nc* &
                       coupl(nGC_363)**3d0*coupl(nGC_989) + Nc*coupl(nGC_369)**&
                       3d0*coupl(nGC_374) + Nc*coupl(nGC_381)**3d0*coupl(      &
                       nGC_386) + coupl(nGC_2697)*coupl(nGC_357)**3d0 + coupl( &
                       nGC_2841)*coupl(nGC_375)**3d0 + coupl(nGC_351)**3d0*    &
                       coupl(nGC_356) + coupl(nGC_351)**3d0*coupl(nGC_997) +   &
                       coupl(nGC_357)**3d0*coupl(nGC_362) + coupl(nGC_375)**3d0&
                       *coupl(nGC_380))/(8d0*pi**2d0)
    coupl(nGC_TS_GC_249_Hh) = -coupl(nGC_249)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22601) = coupl(nGC_20895)*db_QED2 + coupl(nGC_20896)*dyd13x3_QED3&
                        + coupl(nGC_20897)*dyb2_QED3
    coupl(nGC_22600) = coupl(nGC_21412)*dyt1_QED1_QCD2 + coupl(nGC_21413)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_22603) = coupl(nGC_21855)*dydo2_QED1_QCD2 + coupl(nGC_21857)*    &
                       dydo1_QED1_QCD2
  end subroutine fill_CTcouplings_mdl18
end module fill_ctcouplings18
