!******************************************************************************!
!                                                                              !
!    fill_ctcouplings2.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings2.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings2
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl2()
    coupl(nGC_TS_GC_215_Hh) = -coupl(nGC_215)*dtHh_QED1/cMHH**2d0
    coupl(nGC_37567) = coupl(nGC_206)*dZsR_QCD2
    coupl(nGC_22690) = coupl(nGC_20961)*dZee_QED2
    coupl(nGC_39680) = coupl(nGC_378)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_TS_GC_375_Hl) = -coupl(nGC_375)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_173_Hl) = -coupl(nGC_173)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34825) = coupl(nGC_173)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_34507) = coupl(nGC_355)*dZGMinus/2d0
    coupl(nGC_TS_GC_348_Hh) = -coupl(nGC_348)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34471) = coupl(nGC_MC)*(dZcL_QCD2 + dZcR_QCD2)/2d0
    coupl(nGC_34477) = coupl(nGC_MI)*dZcR_QCD2
    coupl(nGC_TS_GC_339_Hh) = -coupl(nGC_339)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32442) = coupl(nGC_347)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_32443) = coupl(nGC_347)*(dZdL_QCD2 + dZdR_QCD2)/2d0
    coupl(nGC_22595) = coupl(nGC_21420)*dyd12x2_QED1_QCD2 + coupl(nGC_21421)*  &
                       dys2_QED1_QCD2
    coupl(nGC_34870) = coupl(nGC_223)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_TS_GC_234_Hl) = -coupl(nGC_234)*dtHl_QED1/cMHL**2d0
    coupl(nGC_37570) = coupl(nGC_209)*dZsL_QCD2
    coupl(nGC_37147) = coupl(nGC_359)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_33885) = coupl(nGC_351)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_22674) = coupl(nGC_21791)*dyt1_QED3 + coupl(nGC_21792)*da_QED2 + &
                       coupl(nGC_21793)*dyt2_QED3
    coupl(nGC_22673) = coupl(nGC_21791)*dyt1_QED1_QCD2 + coupl(nGC_21793)*     &
                       dyt2_QED1_QCD2
    coupl(nGC_22679) = coupl(nGC_579)*dyt2_QED1_QCD2 + coupl(nGC_583)*         &
                       dyt1_QED1_QCD2
    coupl(nGC_22703) = coupl(nGC_21164)*dsw_QED2 + coupl(nGC_21165)*dcw_QED2 + &
                       coupl(nGC_21166)*dZee_QED2
    coupl(nGC_22706) = coupl(nGC_21223)*dsw_QED2 + coupl(nGC_21224)*dcw_QED2 + &
                       coupl(nGC_21225)*dZee_QED2
    coupl(nGC_32835) = coupl(nGC_31)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_36684) = coupl(nGC_368)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_36685) = coupl(nGC_368)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_32907) = coupl(nGC_357)*(dZmuMinusL_QED2 + dZmuMinusR_QED2)/2d0
    coupl(nGC_22850) = -cima*dMD_QED2
    coupl(nGC_22851) = -cima*dMD_QCD2
    coupl(nGC_22852) = -cima*dMS_QED2
    coupl(nGC_22853) = -cima*dMS_QCD2
    coupl(nGC_43046) = coupl(nGC_350)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_22856) = cima*dMZ2_QED2
    coupl(nGC_22857) = cima*dMW2_QED2
    coupl(nGC_22858) = coupl(nGC_773)*dMW2_QED2
    coupl(nGC_34470) = coupl(nGC_MC)*(dZcL_QED2 + dZcR_QED2)/2d0
    coupl(nGC_34268) = coupl(nGC_58)*dZG0/2d0
    coupl(nGC_38564) = coupl(nGC_172)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_34476) = coupl(nGC_MI)*dZcR_QED2
    coupl(nGC_32455) = dZHMinusGMinus_QED2*(coupl(nGC_52) + coupl(nGC_53))/2d0
    coupl(nGC_22845) = -cima*dMU_QCD2
    coupl(nGC_TS_GC_357_Hl) = -coupl(nGC_357)*dtHl_QED1/cMHL**2d0
    coupl(nGC_34310) = coupl(nGC_230)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
    coupl(nGC_32567) = coupl(nGC_354)*(dZeMinusL_QED2 + dZeMinusR_QED2)/2d0
    coupl(nGC_39648) = coupl(nGC_179)*dZGMinusHMinus_QED2/2d0
    coupl(nGC_32654) = dZHMinusGMinus_QED2*(coupl(nGC_62) + coupl(nGC_63))/2d0
    coupl(nGC_32630) = coupl(nGC_324)*dZGMinus/2d0
    coupl(nGC_22728) = coupl(nGC_20968)*dsw_QED2 + coupl(nGC_20969)*dcw_QED2 + &
                       coupl(nGC_20970)*dZee_QED2
  end subroutine fill_CTcouplings_mdl2
end module fill_ctcouplings2
