!******************************************************************************!
!                                                                              !
!    fill_ctcouplings22.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings22.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings22
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl22()
    coupl(nGC_22665) = coupl(nGC_21487)*dyc1_QED1_QCD2 + coupl(nGC_21488)*     &
                       dyc2_QED1_QCD2
    coupl(nGC_40259) = coupl(nGC_38564) - coupl(nGC_38569)
    coupl(nGC_22663) = coupl(nGC_21272)*dyup2_QED1_QCD2 + coupl(nGC_21273)*    &
                       dyup1_QED1_QCD2
    coupl(nGC_22669) = coupl(nGC_21695)*dyup2_QED1_QCD2 + coupl(nGC_21696)*    &
                       dyup1_QED1_QCD2
    coupl(nGC_22668) = coupl(nGC_21531)*dyt1_QED3 + coupl(nGC_21532)*da_QED2 + &
                       coupl(nGC_21533)*dyt2_QED3
    coupl(nGC_33514) = coupl(nGC_253)*dZG0/2d0
    coupl(nGC_33518) = coupl(nGC_22564) + coupl(nGC_242)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_245)*dZHhHl_QED2/2d0 + coupl(nGC_246)*        &
                       dZHaG0_QED2/2d0 + coupl(nGC_253)*dZHa_QED2/2d0 + coupl( &
                       nGC_253)*dZHl_QED2/2d0 + coupl(nGC_TS_GC_38_Hl) + coupl(&
                       nGC_TS_GC_47_Hh)
    coupl(nGC_36748) = coupl(nGC_22558) + coupl(nGC_245)*dZG0Ha_QED2 + coupl(  &
                       nGC_246)*dZHlHh_QED2/2d0 + coupl(nGC_254)*dZHa_QED2 +   &
                       coupl(nGC_254)*dZHh_QED2/2d0 + coupl(nGC_TS_GC_36_Hl) + &
                       coupl(nGC_TS_GC_48_Hh)
    coupl(nGC_22061) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_385) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_385) - coupl(   &
                       nGC_345)*coupl(nGC_349)*coupl(nGC_381) - coupl(nGC_347)*&
                       coupl(nGC_349)*coupl(nGC_383) - coupl(nGC_348)*coupl(   &
                       nGC_349)*coupl(nGC_384) - coupl(nGC_349)*coupl(nGC_350)*&
                       coupl(nGC_386))/(32d0*pi**2d0)
    coupl(nGC_22060) = coupl(nGC_13)**2d0*coupl(nGC_349)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22062) = coupl(nGC_13)**2d0*coupl(nGC_385)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22067) = coupl(nGC_197)*(-Nc*coupl(nGC_337)*coupl(nGC_338) + Nc* &
                       coupl(nGC_340)*coupl(nGC_4237) + Nc*coupl(nGC_349)*coupl&
                       (nGC_4525) + Nc*coupl(nGC_367)*coupl(nGC_989) - Nc*coupl&
                       (nGC_373)*coupl(nGC_374) - Nc*coupl(nGC_385)*coupl(     &
                       nGC_386) + coupl(nGC_2697)*coupl(nGC_361) + coupl(      &
                       nGC_2841)*coupl(nGC_379) + coupl(nGC_355)*coupl(nGC_997 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_22066) = (Nc*cMB*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_370) + &
                       Nc*cMB*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343) + Nc&
                       *cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_4237) + Nc*&
                       cMB*coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                       cMB*coupl(nGC_343)*coupl(nGC_373)*coupl(nGC_374) + Nc*  &
                       cMB*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_4237) + Nc* &
                       cMC*coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMC*coupl(nGC_3071)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMC*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) + Nc*  &
                       cMC*coupl(nGC_334)*coupl(nGC_367)*coupl(nGC_989) + Nc*  &
                       cMC*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_368) + Nc*  &
                       cMC*coupl(nGC_338)*coupl(nGC_364)*coupl(nGC_367) + Nc*  &
                       cMD*coupl(nGC_1083)*coupl(nGC_349)*coupl(nGC_382) + Nc* &
                       cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_350) + Nc*  &
                       cMD*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_4525) + Nc* &
                       cMD*coupl(nGC_346)*coupl(nGC_385)*coupl(nGC_386) + Nc*  &
                       cMD*coupl(nGC_350)*coupl(nGC_382)*coupl(nGC_385) + Nc*  &
                       cMD*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_4525) + Nc* &
                       cMS*coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_367) + Nc* &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_368) + Nc*  &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_989) + Nc*  &
                       cMS*coupl(nGC_337)*coupl(nGC_338)*coupl(nGC_364) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_989) + Nc*  &
                       cMT*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                       cMT*coupl(nGC_2081)*coupl(nGC_370)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374) + Nc*  &
                       cMT*coupl(nGC_340)*coupl(nGC_370)*coupl(nGC_4237) + Nc* &
                       cMT*coupl(nGC_341)*coupl(nGC_343)*coupl(nGC_373) + Nc*  &
                       cMT*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*  &
                       cMU*coupl(nGC_1083)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMU*coupl(nGC_1083)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_386) + Nc*  &
                       cMU*coupl(nGC_346)*coupl(nGC_350)*coupl(nGC_385) + Nc*  &
                       cMU*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_4525) + Nc* &
                       cMU*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386) + cME* &
                       coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356) + cME*coupl&
                       (nGC_352)*coupl(nGC_355)*coupl(nGC_997) + cMM*coupl(    &
                       nGC_2697)*coupl(nGC_358)*coupl(nGC_361) + cMM*coupl(    &
                       nGC_358)*coupl(nGC_361)*coupl(nGC_362) + cMTA*coupl(    &
                       nGC_2841)*coupl(nGC_376)*coupl(nGC_379) + cMTA*coupl(   &
                       nGC_376)*coupl(nGC_379)*coupl(nGC_380) + 2d0*cima*coupl(&
                       nGC_187)*coupl(nGC_321) + 2d0*cima*coupl(nGC_231)*coupl(&
                       nGC_31))/(16d0*pi**2d0)
    coupl(nGC_22069) = coupl(nGC_197)*(Nc*coupl(nGC_1433)*coupl(nGC_340) + Nc* &
                       coupl(nGC_2345)*coupl(nGC_349) + Nc*coupl(nGC_3141)*    &
                       coupl(nGC_367) - Nc*coupl(nGC_335)*coupl(nGC_337) - Nc* &
                       coupl(nGC_371)*coupl(nGC_373) - Nc*coupl(nGC_383)*coupl(&
                       nGC_385) + coupl(nGC_1931)*coupl(nGC_361) + coupl(      &
                       nGC_2755)*coupl(nGC_355) + coupl(nGC_379)*coupl(nGC_6589&
                       ))/(24d0*pi**2d0)
    coupl(nGC_39571) = coupl(nGC_MZ_GF)*dZG0Ha_QED2/2d0
    coupl(nGC_22718) = coupl(nGC_21932)*dsw_QED2 + coupl(nGC_21933)*dcw_QED2 + &
                       coupl(nGC_21934)*dZee_QED2
    coupl(nGC_39574) = coupl(nGC_TS_GC_214_Hh) + coupl(nGC_TS_GC_215_Hl)
    coupl(nGC_22713) = coupl(nGC_21698)*dsw_QED2 + coupl(nGC_21699)*dcw_QED2 + &
                       coupl(nGC_21700)*dZee_QED2
    coupl(nGC_22712) = coupl(nGC_20927)*dsw_QED2 + coupl(nGC_20928)*dcw_QED2 + &
                       coupl(nGC_20929)*dZee_QED2
    coupl(nGC_22710) = coupl(nGC_21628)*dvev2_QED1 + coupl(nGC_21629)*dcw_QED2 &
                        + coupl(nGC_21630)*db_QED2 + coupl(nGC_21631)*         &
                       dvev1_QED1 + coupl(nGC_21632)*dZee_QED2
    coupl(nGC_22717) = coupl(nGC_601)*dZee_QED2 + coupl(nGC_603)*dvev1_QED1 +  &
                       coupl(nGC_605)*da_QED2 + coupl(nGC_607)*dcw_QED2 + coupl&
                       (nGC_609)*dvev2_QED1 + coupl(nGC_611)*dsw_QED2
    coupl(nGC_22716) = coupl(nGC_587)*dZee_QED2 + coupl(nGC_589)*dvev1_QED1 +  &
                       coupl(nGC_591)*da_QED2 + coupl(nGC_593)*dcw_QED2 + coupl&
                       (nGC_595)*dvev2_QED1 + coupl(nGC_597)*dsw_QED2
    coupl(nGC_22715) = coupl(nGC_20767)*dsw_QED2 + coupl(nGC_20768)*dcw_QED2 + &
                       coupl(nGC_20769)*dZee_QED2
    coupl(nGC_22714) = coupl(nGC_21043)*dsw_QED2 + coupl(nGC_21044)*dcw_QED2 + &
                       coupl(nGC_21045)*dZee_QED2
    coupl(nGC_35692) = coupl(nGC_22518) + coupl(nGC_32)*dZHlHh_QED2 + coupl(   &
                       nGC_37)*dZGMinusHMinus_QED2 + coupl(nGC_44)*            &
                       dZHMinus_QED2 + coupl(nGC_44)*dZHh_QED2
    coupl(nGC_32335) = coupl(nGC_22528) + coupl(nGC_33)*dZHh_QED2/2d0 + coupl( &
                       nGC_33)*dZHl_QED2/2d0 + coupl(nGC_42)*dZHhHl_QED2/2d0 + &
                       coupl(nGC_45)*dZHlHh_QED2/2d0 + coupl(nGC_46)*          &
                       dZHMinusGMinus_QED2
    coupl(nGC_34675) = -coupl(nGC_34670)
    coupl(nGC_34673) = coupl(nGC_173)*dZHl_QED2/2d0 + coupl(nGC_173)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_179)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_22688)
    coupl(nGC_34672) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0
    coupl(nGC_38311) = -coupl(nGC_38306)
    coupl(nGC_38312) = -coupl(nGC_22620) - coupl(nGC_38303)
    coupl(nGC_38313) = coupl(nGC_22620) + coupl(nGC_38303)
    coupl(nGC_43051) = -coupl(nGC_43045)
    coupl(nGC_43050) = coupl(nGC_43046) + coupl(nGC_43048)
    coupl(nGC_43053) = coupl(nGC_22615) + coupl(nGC_43047)
    coupl(nGC_43052) = -coupl(nGC_22615) - coupl(nGC_43047)
    coupl(nGC_36647) = coupl(nGC_22623) + coupl(nGC_36646)
    coupl(nGC_34271) = coupl(nGC_22542) + 3d0*coupl(nGC_58)*dZHa_QED2/2d0 +    &
                       coupl(nGC_66)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_73)*      &
                       dZG0Ha_QED2/2d0
    coupl(nGC_34277) = coupl(nGC_213)*dZHl_QED2/2d0 + coupl(nGC_213)*dZZ_QED2/ &
                       2d0 + coupl(nGC_215)*dZHaG0_QED2/2d0 + coupl(nGC_215)*  &
                       dZHhHl_QED2/2d0 + coupl(nGC_22705)
    coupl(nGC_35857) = coupl(nGC_201)*dZZ_QED2/2d0 + coupl(nGC_22586) + coupl( &
                       nGC_5)*dZAZ_QED2/2d0
    coupl(nGC_32806) = coupl(nGC_205)*dZA_QED2/2d0 + coupl(nGC_205)*           &
                       dZWMinus_QED2 + coupl(nGC_205)*dZZ_QED2/2d0 + coupl(    &
                       nGC_22712)
    coupl(nGC_32805) = coupl(nGC_194)*dZZA_QED2/2d0 + coupl(nGC_8)*dZAZ_QED2/2d0
    coupl(nGC_33268) = coupl(nGC_1)*dZsL_QCD2
    coupl(nGC_33264) = coupl(nGC_22514) + coupl(nGC_35)*dZHhHl_QED2 + coupl(   &
                       nGC_38)*dZHaG0_QED2 + coupl(nGC_49)*dZHl_QED2
    coupl(nGC_33910) = coupl(nGC_32282) + coupl(nGC_33906)
    coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33626) = coupl(nGC_63)*dZGMinus/2d0
    coupl(nGC_34419) = coupl(nGC_174)*dZHlHh_QED2/2d0 + coupl(nGC_175)*        &
                       dZHMinusGMinus_QED2/2d0 + coupl(nGC_180)*dZA_QED2/2d0 + &
                       coupl(nGC_180)*dZHh_QED2/2d0 + coupl(nGC_180)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_22683) + coupl(nGC_23)*   &
                       dZZA_QED2/2d0
    coupl(nGC_33197) = -coupl(nGC_33196)
    coupl(nGC_33193) = -coupl(nGC_33192)
  end subroutine fill_CTcouplings_mdl22
end module fill_ctcouplings22
