!******************************************************************************!
!                                                                              !
!    fill_ctcouplings32.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings32.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:12             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings32
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl32()
    coupl(nGC_32283) = coupl(nGC_32279) + coupl(nGC_32282)
    coupl(nGC_22047) = coupl(nGC_197)*(Nc*coupl(nGC_1315)*coupl(nGC_385) + Nc* &
                       coupl(nGC_1541)*coupl(nGC_373) + Nc*coupl(nGC_1949)*    &
                       coupl(nGC_337) - Nc*coupl(nGC_340)*coupl(nGC_344) - Nc* &
                       coupl(nGC_347)*coupl(nGC_349) - Nc*coupl(nGC_365)*coupl(&
                       nGC_367) - coupl(nGC_353)*coupl(nGC_355) - coupl(nGC_359&
                       )*coupl(nGC_361) - coupl(nGC_377)*coupl(nGC_379))/(24d0*&
                       pi**2d0)
    coupl(nGC_22449) = (-8d0*Nc*cima*coupl(nGC_1315)*coupl(nGC_197)**2d0*coupl(&
                       nGC_383) - 8d0*Nc*cima*coupl(nGC_1433)*coupl(nGC_197)** &
                       2d0*coupl(nGC_344) - 8d0*Nc*cima*coupl(nGC_1541)*coupl( &
                       nGC_197)**2d0*coupl(nGC_371) - 8d0*Nc*cima*coupl(       &
                       nGC_1949)*coupl(nGC_197)**2d0*coupl(nGC_335) - 8d0*Nc*  &
                       cima*coupl(nGC_197)**2d0*coupl(nGC_2345)*coupl(nGC_347  &
                       ) - 8d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_3141)*    &
                       coupl(nGC_365) + 6d0*cima*coupl(nGC_100)*coupl(nGC_3465 &
                       ) - 8d0*cima*coupl(nGC_1931)*coupl(nGC_197)**2d0*coupl( &
                       nGC_359) + 3d0*cima*coupl(nGC_195)*coupl(nGC_230) - 8d0*&
                       cima*coupl(nGC_197)**2d0*coupl(nGC_2755)*coupl(nGC_353  &
                       ) - 8d0*cima*coupl(nGC_197)**2d0*coupl(nGC_377)*coupl(  &
                       nGC_6589) + 6d0*coupl(nGC_100)*coupl(nGC_1275)*coupl(   &
                       nGC_198) + 6d0*coupl(nGC_100)*coupl(nGC_1603)*coupl(    &
                       nGC_4) + 6d0*coupl(nGC_1211)*coupl(nGC_199)*coupl(      &
                       nGC_230))/(48d0*pi**2d0)
    coupl(nGC_32818) = coupl(nGC_32815) + coupl(nGC_32816)
    coupl(nGC_32851) = coupl(nGC_32282) + coupl(nGC_32850)
    coupl(nGC_22383) = cima*(5d0*Nc*coupl(nGC_1315)*coupl(nGC_345)*coupl(      &
                       nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1315)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_381) + 5d0*Nc*coupl(  &
                       nGC_1315)*coupl(nGC_381)*coupl(nGC_382)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_340)*coupl(nGC_342 &
                       )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_342 &
                       )*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1433 &
                       )*coupl(nGC_343)*coupl(nGC_369)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_343)*coupl(    &
                       nGC_369) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_342)*coupl( &
                       nGC_343)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_369)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_1949)*coupl(nGC_333)*coupl(nGC_334)*coupl(nGC_337   &
                       ) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_333)*coupl(nGC_364 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_337 &
                       )*coupl(nGC_363)*coupl(nGC_364) + 5d0*Nc*coupl(nGC_2345 &
                       )*coupl(nGC_345)*coupl(nGC_346)*coupl(nGC_349) + 5d0*Nc*&
                       coupl(nGC_2345)*coupl(nGC_345)*coupl(nGC_382)*coupl(    &
                       nGC_385) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_346)*coupl( &
                       nGC_381)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_3141)*coupl( &
                       nGC_333)*coupl(nGC_337)*coupl(nGC_364) + 5d0*Nc*coupl(  &
                       nGC_3141)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_363   &
                       ) + 5d0*Nc*coupl(nGC_3141)*coupl(nGC_363)*coupl(nGC_364 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_333)*coupl(nGC_334)*&
                       coupl(nGC_335)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_333)*  &
                       coupl(nGC_334)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_333)*coupl(nGC_335)*coupl(nGC_364)*coupl(     &
                       nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(  &
                       nGC_363)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(  &
                       nGC_337)*coupl(nGC_363)*coupl(nGC_365) + 5d0*Nc*coupl(  &
                       nGC_340)*coupl(nGC_342)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*coupl(nGC_340)*coupl(nGC_342)*coupl(nGC_370)*    &
                       coupl(nGC_371) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*  &
                       coupl(nGC_369)*coupl(nGC_371) + 5d0*Nc*coupl(nGC_340)*  &
                       coupl(nGC_344)*coupl(nGC_369)*coupl(nGC_370) + 5d0*Nc*  &
                       coupl(nGC_342)*coupl(nGC_344)*coupl(nGC_370)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_345)*coupl(nGC_346)*coupl(  &
                       nGC_347)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_345)*coupl(  &
                       nGC_347)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_345)*coupl(nGC_349)*coupl(nGC_382)*coupl(nGC_383) + &
                       5d0*Nc*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_381)*    &
                       coupl(nGC_383) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_349)*  &
                       coupl(nGC_381)*coupl(nGC_382) + 5d0*Nc*coupl(nGC_363)*  &
                       coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_369)*coupl(nGC_370)*coupl(nGC_371)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_381)*coupl(nGC_382)*coupl(  &
                       nGC_383)*coupl(nGC_385) + 6d0*coupl(nGC_174)*coupl(     &
                       nGC_187) + 5d0*coupl(nGC_1931)*coupl(nGC_357)*coupl(    &
                       nGC_358)*coupl(nGC_361) + 6d0*coupl(nGC_21)*coupl(nGC_31&
                       ) + 5d0*coupl(nGC_2755)*coupl(nGC_351)*coupl(nGC_352)*  &
                       coupl(nGC_355) + 5d0*coupl(nGC_351)*coupl(nGC_352)*coupl&
                       (nGC_353)*coupl(nGC_355) + 5d0*coupl(nGC_357)*coupl(    &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(     &
                       nGC_375)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379) + &
                       5d0*coupl(nGC_375)*coupl(nGC_376)*coupl(nGC_379)*coupl( &
                       nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_22343) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334 &
                       )*coupl(nGC_336) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_343) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_346)*coupl(nGC_348) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(nGC_366&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_370)*coupl(nGC_372) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_382)*coupl(nGC_384) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_334)*coupl(nGC_336) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_343) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_346)*coupl(nGC_348) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_364)*coupl(nGC_366) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_370)*coupl( &
                       nGC_372) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_382)*coupl(nGC_384) + 6d0*cima*coupl(nGC_175)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_352)*coupl(   &
                       nGC_354)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_22) + 6d0*coupl(      &
                       nGC_175)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_22)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_32852) = coupl(nGC_32282) + coupl(nGC_32848)
    coupl(nGC_36602) = coupl(nGC_22713) + coupl(nGC_230)*dZZ_QED2
    coupl(nGC_22323) = (-2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_342)**2d0 -   &
                       2d0*Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_345)**2d0 - 2d0*&
                       Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_363)**2d0 - 2d0*Nc* &
                       cima*coupl(nGC_2)**2d0*coupl(nGC_333)**2d0 - 2d0*Nc*cima&
                       *coupl(nGC_2)**2d0*coupl(nGC_369)**2d0 - 2d0*Nc*cima*   &
                       coupl(nGC_2)**2d0*coupl(nGC_381)**2d0 - 2d0*cima*coupl( &
                       nGC_351)**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_357&
                       )**2d0*coupl(nGC_4)**2d0 - 2d0*cima*coupl(nGC_375)**2d0*&
                       coupl(nGC_4)**2d0 + cima*coupl(nGC_77)*coupl(nGC_9) +   &
                       coupl(nGC_1603)**2d0*coupl(nGC_77) + coupl(nGC_3)**2d0* &
                       coupl(nGC_77))/(8d0*pi**2d0)
    coupl(nGC_39364) = coupl(nGC_36314) + coupl(nGC_39362)
    coupl(nGC_39363) = coupl(nGC_36314) + coupl(nGC_39361)
    coupl(nGC_36909) = coupl(nGC_22859) + coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0
    coupl(nGC_34831) = coupl(nGC_34825) - coupl(nGC_34830)
    coupl(nGC_33886) = coupl(nGC_22651) + coupl(nGC_351)*dZHl_QED2/2d0 + coupl(&
                       nGC_354)*dZHhHl_QED2/2d0
    coupl(nGC_22011) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_343) - Nc&
                       *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_334) - Nc*cMD&
                       *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346) - Nc*cMS*   &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_364) - Nc*cMT*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_370) - Nc*cMU*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_382) + 2d0*cima*  &
                       coupl(nGC_202)*coupl(nGC_231) + 2d0*cima*coupl(nGC_321)*&
                       coupl(nGC_4485) + 2d0*coupl(nGC_1603)*coupl(nGC_199)*   &
                       coupl(nGC_231) + 2d0*coupl(nGC_1603)*coupl(nGC_3)*coupl(&
                       nGC_321))/(16d0*pi**2d0)
    coupl(nGC_41679) = coupl(nGC_22653) + coupl(nGC_375)*dZHl_QED2/2d0 + coupl(&
                       nGC_378)*dZHhHl_QED2/2d0
    coupl(nGC_22068) = (Nc*cMB*coupl(nGC_1433)*coupl(nGC_340)*coupl(nGC_343) + &
                       Nc*cMB*coupl(nGC_1433)*coupl(nGC_370)*coupl(nGC_373) +  &
                       Nc*cMB*coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_370) +  &
                       Nc*cMB*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + Nc&
                       *cMB*coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_373) + Nc* &
                       cMB*coupl(nGC_344)*coupl(nGC_370)*coupl(nGC_373) + Nc*  &
                       cMC*coupl(nGC_1949)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMC*coupl(nGC_1949)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMC*coupl(nGC_3141)*coupl(nGC_334)*coupl(nGC_367) + Nc* &
                       cMC*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*  &
                       cMC*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367) + Nc*  &
                       cMC*coupl(nGC_337)*coupl(nGC_364)*coupl(nGC_365) + Nc*  &
                       cMD*coupl(nGC_1315)*coupl(nGC_349)*coupl(nGC_382) + Nc* &
                       cMD*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMD*coupl(nGC_2345)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMD*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_349) + Nc*  &
                       cMD*coupl(nGC_346)*coupl(nGC_383)*coupl(nGC_385) + Nc*  &
                       cMD*coupl(nGC_347)*coupl(nGC_382)*coupl(nGC_385) + Nc*  &
                       cMS*coupl(nGC_1949)*coupl(nGC_334)*coupl(nGC_367) + Nc* &
                       cMS*coupl(nGC_3141)*coupl(nGC_334)*coupl(nGC_337) + Nc* &
                       cMS*coupl(nGC_3141)*coupl(nGC_364)*coupl(nGC_367) + Nc* &
                       cMS*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*  &
                       cMS*coupl(nGC_335)*coupl(nGC_337)*coupl(nGC_364) + Nc*  &
                       cMS*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367) + Nc*  &
                       cMT*coupl(nGC_1433)*coupl(nGC_340)*coupl(nGC_370) + Nc* &
                       cMT*coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_343) + Nc* &
                       cMT*coupl(nGC_1541)*coupl(nGC_370)*coupl(nGC_373) + Nc* &
                       cMT*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371) + Nc*  &
                       cMT*coupl(nGC_343)*coupl(nGC_344)*coupl(nGC_373) + Nc*  &
                       cMT*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373) + Nc*  &
                       cMU*coupl(nGC_1315)*coupl(nGC_346)*coupl(nGC_349) + Nc* &
                       cMU*coupl(nGC_1315)*coupl(nGC_382)*coupl(nGC_385) + Nc* &
                       cMU*coupl(nGC_2345)*coupl(nGC_349)*coupl(nGC_382) + Nc* &
                       cMU*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_385) + Nc*  &
                       cMU*coupl(nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*  &
                       cMU*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385) + cME* &
                       coupl(nGC_2755)*coupl(nGC_352)*coupl(nGC_355) + cME*    &
                       coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355) + cMM*coupl&
                       (nGC_1931)*coupl(nGC_358)*coupl(nGC_361) + cMM*coupl(   &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + cMTA*coupl(    &
                       nGC_376)*coupl(nGC_377)*coupl(nGC_379) + cMTA*coupl(    &
                       nGC_376)*coupl(nGC_379)*coupl(nGC_6589) + 2d0*cima*coupl&
                       (nGC_186)*coupl(nGC_324) + 2d0*cima*coupl(nGC_237)*coupl&
                       (nGC_30))/(16d0*pi**2d0)
    coupl(nGC_34356) = coupl(nGC_15)*dZg_QCD2 + coupl(nGC_22589)
    coupl(nGC_57360) = -coupl(nGC_22124)
    coupl(nGC_38996) = -coupl(nGC_38991) - coupl(nGC_38995)
    coupl(nGC_38997) = coupl(nGC_38991) + coupl(nGC_38995)
    coupl(nGC_34232) = coupl(nGC_32187) + coupl(nGC_34230)
    coupl(nGC_36581) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZbL_QED2/2d0 + coupl(nGC_197)*dZtL_QED2/2d0 + coupl(   &
                       nGC_22723)
    coupl(nGC_21959) = cima*(Nc*coupl(nGC_1315)*coupl(nGC_383) + Nc*coupl(     &
                       nGC_1433)*coupl(nGC_344) + Nc*coupl(nGC_1541)*coupl(    &
                       nGC_371) + Nc*coupl(nGC_1949)*coupl(nGC_335) + Nc*coupl(&
                       nGC_2345)*coupl(nGC_347) + Nc*coupl(nGC_3141)*coupl(    &
                       nGC_365) + coupl(nGC_1931)*coupl(nGC_359) + coupl(      &
                       nGC_2755)*coupl(nGC_353) + coupl(nGC_377)*coupl(nGC_6589&
                       ))/(24d0*pi**2d0)
    coupl(nGC_48337) = coupl(nGC_22839) + coupl(nGC_MHA)*dZHa_QED2 + coupl(    &
                       nGC_TS_GC_246_Hl) + coupl(nGC_TS_GC_254_Hh)
    coupl(nGC_22446) = cima*(10d0*Nc*coupl(nGC_1315)**2d0*coupl(nGC_384)**2d0  &
                        + 40d0*Nc*coupl(nGC_1315)*coupl(nGC_383)*coupl(nGC_384 &
                       )**2d0 + 10d0*Nc*coupl(nGC_1433)**2d0*coupl(nGC_339)**  &
                       2d0 + 40d0*Nc*coupl(nGC_1433)*coupl(nGC_339)**2d0*coupl(&
                       nGC_344) + 10d0*Nc*coupl(nGC_1541)**2d0*coupl(nGC_372)**&
                       2d0 + 40d0*Nc*coupl(nGC_1541)*coupl(nGC_371)*coupl(     &
                       nGC_372)**2d0 + 10d0*Nc*coupl(nGC_1949)**2d0*coupl(     &
                       nGC_336)**2d0 + 40d0*Nc*coupl(nGC_1949)*coupl(nGC_335)* &
                       coupl(nGC_336)**2d0 + 10d0*Nc*coupl(nGC_2345)**2d0*coupl&
                       (nGC_348)**2d0 + 40d0*Nc*coupl(nGC_2345)*coupl(nGC_347)*&
                       coupl(nGC_348)**2d0 + 10d0*Nc*coupl(nGC_3141)**2d0*coupl&
                       (nGC_366)**2d0 + 40d0*Nc*coupl(nGC_3141)*coupl(nGC_365)*&
                       coupl(nGC_366)**2d0 + 10d0*Nc*coupl(nGC_335)**2d0*coupl(&
                       nGC_336)**2d0 + 10d0*Nc*coupl(nGC_339)**2d0*coupl(      &
                       nGC_344)**2d0 + 10d0*Nc*coupl(nGC_347)**2d0*coupl(      &
                       nGC_348)**2d0 + 10d0*Nc*coupl(nGC_365)**2d0*coupl(      &
                       nGC_366)**2d0 + 10d0*Nc*coupl(nGC_371)**2d0*coupl(      &
                       nGC_372)**2d0 + 10d0*Nc*coupl(nGC_383)**2d0*coupl(      &
                       nGC_384)**2d0 + 6d0*coupl(nGC_100)*coupl(nGC_77) + 10d0*&
                       coupl(nGC_1931)**2d0*coupl(nGC_360)**2d0 + 40d0*coupl(  &
                       nGC_1931)*coupl(nGC_359)*coupl(nGC_360)**2d0 + 3d0*coupl&
                       (nGC_224)*coupl(nGC_230) + 10d0*coupl(nGC_2755)**2d0*   &
                       coupl(nGC_354)**2d0 + 40d0*coupl(nGC_2755)*coupl(nGC_353&
                       )*coupl(nGC_354)**2d0 + 10d0*coupl(nGC_353)**2d0*coupl( &
                       nGC_354)**2d0 + 10d0*coupl(nGC_359)**2d0*coupl(nGC_360  &
                       )**2d0 + 10d0*coupl(nGC_377)**2d0*coupl(nGC_378)**2d0 + &
                       40d0*coupl(nGC_377)*coupl(nGC_378)**2d0*coupl(nGC_6589  &
                       ) + 10d0*coupl(nGC_378)**2d0*coupl(nGC_6589)**2d0)/(48d0&
                       *pi**2d0)
    coupl(nGC_21956) = (Nc*cMB**2d0*cima*coupl(nGC_1)*coupl(nGC_206) + Nc*cMB**&
                       2d0*cima*coupl(nGC_1)*coupl(nGC_209) + Nc*cMC**2d0*cima*&
                       coupl(nGC_2)*coupl(nGC_207) + Nc*cMC**2d0*cima*coupl(   &
                       nGC_2)*coupl(nGC_210) + Nc*cMD**2d0*cima*coupl(nGC_1)*  &
                       coupl(nGC_206) + Nc*cMD**2d0*cima*coupl(nGC_1)*coupl(   &
                       nGC_209) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_206  &
                       ) + Nc*cMS**2d0*cima*coupl(nGC_1)*coupl(nGC_209) + Nc*  &
                       cMT**2d0*cima*coupl(nGC_2)*coupl(nGC_207) + Nc*cMT**2d0*&
                       cima*coupl(nGC_2)*coupl(nGC_210) + Nc*cMU**2d0*cima*    &
                       coupl(nGC_2)*coupl(nGC_207) + Nc*cMU**2d0*cima*coupl(   &
                       nGC_2)*coupl(nGC_210) + cME**2d0*cima*coupl(nGC_208)*   &
                       coupl(nGC_4) + cME**2d0*cima*coupl(nGC_211)*coupl(nGC_4 &
                       ) + cMM**2d0*cima*coupl(nGC_208)*coupl(nGC_4) + cMM**2d0&
                       *cima*coupl(nGC_211)*coupl(nGC_4) + cMTA**2d0*cima*coupl&
                       (nGC_208)*coupl(nGC_4) + cMTA**2d0*cima*coupl(nGC_211)* &
                       coupl(nGC_4) + cMW**2d0*cima*coupl(nGC_1275)*coupl(     &
                       nGC_1603) + cMW**2d0*cima*coupl(nGC_199)*coupl(nGC_3) - &
                       cMW**2d0*coupl(nGC_205))/(8d0*pi**2d0)
    coupl(nGC_21957) = cima*(Nc*coupl(nGC_1083)*coupl(nGC_386) + Nc*coupl(     &
                       nGC_2081)*coupl(nGC_374) + Nc*coupl(nGC_3071)*coupl(    &
                       nGC_338) + Nc*coupl(nGC_341)*coupl(nGC_4237) + Nc*coupl(&
                       nGC_350)*coupl(nGC_4525) + Nc*coupl(nGC_368)*coupl(     &
                       nGC_989) + coupl(nGC_2697)*coupl(nGC_362) + coupl(      &
                       nGC_2841)*coupl(nGC_380) + coupl(nGC_356)*coupl(nGC_997 &
                       ))/(24d0*pi**2d0)
    coupl(nGC_21950) = cima*(coupl(nGC_1603)**2d0 + coupl(nGC_3)**2d0)/(48d0*pi&
                       **2d0)
    coupl(nGC_21951) = (2d0*Nc*cMB**2d0*cima*coupl(nGC_1)**2d0 + 2d0*Nc*cMC**  &
                       2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMD**2d0*cima*coupl(&
                       nGC_1)**2d0 + 2d0*Nc*cMS**2d0*cima*coupl(nGC_1)**2d0 +  &
                       2d0*Nc*cMT**2d0*cima*coupl(nGC_2)**2d0 + 2d0*Nc*cMU**2d0&
                       *cima*coupl(nGC_2)**2d0 + 2d0*cME**2d0*cima*coupl(nGC_4 &
                       )**2d0 + 2d0*cMM**2d0*cima*coupl(nGC_4)**2d0 + 2d0*cMTA &
                       **2d0*cima*coupl(nGC_4)**2d0 + cMW**2d0*cima*coupl(     &
                       nGC_1603)**2d0 + cMW**2d0*cima*coupl(nGC_3)**2d0 - cMW**&
                       2d0*coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_45752) = coupl(nGC_22625) + coupl(nGC_45751)
    coupl(nGC_45753) = coupl(nGC_22626) + coupl(nGC_339)*dZHh_QED2/2d0 + coupl(&
                       nGC_342)*dZHlHh_QED2/2d0
    coupl(nGC_21954) = cima*(-3d0*Nc*coupl(nGC_1)*coupl(nGC_206) - 3d0*Nc*coupl&
                       (nGC_1)*coupl(nGC_209) - 3d0*Nc*coupl(nGC_2)*coupl(     &
                       nGC_207) - 3d0*Nc*coupl(nGC_2)*coupl(nGC_210) - coupl(  &
                       nGC_1275)*coupl(nGC_1603) - coupl(nGC_199)*coupl(nGC_3  &
                       ) - 3d0*coupl(nGC_208)*coupl(nGC_4) - 3d0*coupl(nGC_211 &
                       )*coupl(nGC_4))/(48d0*pi**2d0)
    coupl(nGC_58261) = -coupl(nGC_22070)
    coupl(nGC_22363) = cima*(10d0*Nc*coupl(nGC_1315)*coupl(nGC_2345)*coupl(    &
                       nGC_349)*coupl(nGC_385) + 10d0*Nc*coupl(nGC_1315)*coupl(&
                       nGC_349)**2d0*coupl(nGC_383) + 10d0*Nc*coupl(nGC_1315)* &
                       coupl(nGC_383)*coupl(nGC_385)**2d0 + 10d0*Nc*coupl(     &
                       nGC_1433)*coupl(nGC_1541)*coupl(nGC_340)*coupl(nGC_373  &
                       ) + 10d0*Nc*coupl(nGC_1433)*coupl(nGC_340)**2d0*coupl(  &
                       nGC_344) + 10d0*Nc*coupl(nGC_1433)*coupl(nGC_344)*coupl(&
                       nGC_373)**2d0 + 10d0*Nc*coupl(nGC_1541)*coupl(nGC_340)**&
                       2d0*coupl(nGC_371) + 10d0*Nc*coupl(nGC_1541)*coupl(     &
                       nGC_371)*coupl(nGC_373)**2d0 + 10d0*Nc*coupl(nGC_1949)* &
                       coupl(nGC_3141)*coupl(nGC_337)*coupl(nGC_367) + 10d0*Nc*&
                       coupl(nGC_1949)*coupl(nGC_335)*coupl(nGC_337)**2d0 +    &
                       10d0*Nc*coupl(nGC_1949)*coupl(nGC_335)*coupl(nGC_367)** &
                       2d0 + 10d0*Nc*coupl(nGC_2345)*coupl(nGC_347)*coupl(     &
                       nGC_349)**2d0 + 10d0*Nc*coupl(nGC_2345)*coupl(nGC_347)* &
                       coupl(nGC_385)**2d0 + 10d0*Nc*coupl(nGC_3141)*coupl(    &
                       nGC_337)**2d0*coupl(nGC_365) + 10d0*Nc*coupl(nGC_3141)* &
                       coupl(nGC_365)*coupl(nGC_367)**2d0 + 10d0*Nc*coupl(     &
                       nGC_335)*coupl(nGC_337)*coupl(nGC_365)*coupl(nGC_367) + &
                       10d0*Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_371)*   &
                       coupl(nGC_373) + 10d0*Nc*coupl(nGC_347)*coupl(nGC_349)* &
                       coupl(nGC_383)*coupl(nGC_385) + 6d0*coupl(nGC_100)**2d0 &
                        + 10d0*coupl(nGC_1931)*coupl(nGC_359)*coupl(nGC_361)** &
                       2d0 + 3d0*coupl(nGC_229)*coupl(nGC_230) + 10d0*coupl(   &
                       nGC_2755)*coupl(nGC_353)*coupl(nGC_355)**2d0 + 10d0*    &
                       coupl(nGC_377)*coupl(nGC_379)**2d0*coupl(nGC_6589))/(   &
                       48d0*pi**2d0)
    coupl(nGC_22360) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_2345)*coupl(     &
                       nGC_349)*coupl(nGC_385) + Nc*coupl(nGC_1083)*coupl(     &
                       nGC_349)**2d0*coupl(nGC_383) + Nc*coupl(nGC_1083)*coupl(&
                       nGC_383)*coupl(nGC_385)**2d0 + Nc*coupl(nGC_1315)*coupl(&
                       nGC_349)**2d0*coupl(nGC_386) + Nc*coupl(nGC_1315)*coupl(&
                       nGC_349)*coupl(nGC_385)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_1315)*coupl(nGC_385)**2d0*coupl(nGC_386) + Nc*coupl(&
                       nGC_1433)*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_373  &
                       ) + Nc*coupl(nGC_1433)*coupl(nGC_340)**2d0*coupl(nGC_341&
                       ) + Nc*coupl(nGC_1433)*coupl(nGC_341)*coupl(nGC_373)**  &
                       2d0 + Nc*coupl(nGC_1541)*coupl(nGC_340)**2d0*coupl(     &
                       nGC_374) + Nc*coupl(nGC_1541)*coupl(nGC_340)*coupl(     &
                       nGC_373)*coupl(nGC_4237) + Nc*coupl(nGC_1541)*coupl(    &
                       nGC_373)**2d0*coupl(nGC_374) + Nc*coupl(nGC_1949)*coupl(&
                       nGC_337)**2d0*coupl(nGC_338) + Nc*coupl(nGC_1949)*coupl(&
                       nGC_337)*coupl(nGC_367)*coupl(nGC_989) + Nc*coupl(      &
                       nGC_1949)*coupl(nGC_338)*coupl(nGC_367)**2d0 + Nc*coupl(&
                       nGC_2081)*coupl(nGC_340)**2d0*coupl(nGC_371) + Nc*coupl(&
                       nGC_2081)*coupl(nGC_371)*coupl(nGC_373)**2d0 + Nc*coupl(&
                       nGC_2345)*coupl(nGC_349)**2d0*coupl(nGC_350) + Nc*coupl(&
                       nGC_2345)*coupl(nGC_350)*coupl(nGC_385)**2d0 + Nc*coupl(&
                       nGC_3071)*coupl(nGC_3141)*coupl(nGC_337)*coupl(nGC_367  &
                       ) + Nc*coupl(nGC_3071)*coupl(nGC_335)*coupl(nGC_337)**  &
                       2d0 + Nc*coupl(nGC_3071)*coupl(nGC_335)*coupl(nGC_367)**&
                       2d0 + Nc*coupl(nGC_3141)*coupl(nGC_337)**2d0*coupl(     &
                       nGC_368) + Nc*coupl(nGC_3141)*coupl(nGC_367)**2d0*coupl(&
                       nGC_368) + Nc*coupl(nGC_335)*coupl(nGC_337)*coupl(      &
                       nGC_367)*coupl(nGC_368) + Nc*coupl(nGC_337)**2d0*coupl( &
                       nGC_365)*coupl(nGC_989) + Nc*coupl(nGC_337)*coupl(      &
                       nGC_338)*coupl(nGC_365)*coupl(nGC_367) + Nc*coupl(      &
                       nGC_340)**2d0*coupl(nGC_344)*coupl(nGC_4237) + Nc*coupl(&
                       nGC_340)*coupl(nGC_341)*coupl(nGC_371)*coupl(nGC_373) + &
                       Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_373)*coupl(  &
                       nGC_374) + Nc*coupl(nGC_344)*coupl(nGC_373)**2d0*coupl( &
                       nGC_4237) + Nc*coupl(nGC_347)*coupl(nGC_349)**2d0*coupl(&
                       nGC_4525) + Nc*coupl(nGC_347)*coupl(nGC_349)*coupl(     &
                       nGC_385)*coupl(nGC_386) + Nc*coupl(nGC_347)*coupl(      &
                       nGC_385)**2d0*coupl(nGC_4525) + Nc*coupl(nGC_349)*coupl(&
                       nGC_350)*coupl(nGC_383)*coupl(nGC_385) + Nc*coupl(      &
                       nGC_365)*coupl(nGC_367)**2d0*coupl(nGC_989) + coupl(    &
                       nGC_1931)*coupl(nGC_361)**2d0*coupl(nGC_362) + coupl(   &
                       nGC_2697)*coupl(nGC_359)*coupl(nGC_361)**2d0 + coupl(   &
                       nGC_2755)*coupl(nGC_355)**2d0*coupl(nGC_356) + coupl(   &
                       nGC_2841)*coupl(nGC_377)*coupl(nGC_379)**2d0 + coupl(   &
                       nGC_353)*coupl(nGC_355)**2d0*coupl(nGC_997) + coupl(    &
                       nGC_379)**2d0*coupl(nGC_380)*coupl(nGC_6589))/(48d0*pi**&
                       2d0)
    coupl(nGC_22361) = (Nc*cima*coupl(nGC_1)*coupl(nGC_206)**3d0 + Nc*cima*    &
                       coupl(nGC_1)*coupl(nGC_209)**3d0 + Nc*cima*coupl(nGC_2)*&
                       coupl(nGC_207)**3d0 + Nc*cima*coupl(nGC_2)*coupl(nGC_210&
                       )**3d0 - 2d0*cima*coupl(nGC_1275)**3d0*coupl(nGC_1603   &
                       ) + cima*coupl(nGC_195)*coupl(nGC_205) - 2d0*cima*coupl(&
                       nGC_199)**3d0*coupl(nGC_3) + cima*coupl(nGC_208)**3d0*  &
                       coupl(nGC_4) + cima*coupl(nGC_211)**3d0*coupl(nGC_4) +  &
                       coupl(nGC_1275)**2d0*coupl(nGC_205) + coupl(nGC_1275)*  &
                       coupl(nGC_1603)*coupl(nGC_195) + coupl(nGC_195)*coupl(  &
                       nGC_199)*coupl(nGC_3) + coupl(nGC_199)**2d0*coupl(      &
                       nGC_205))/(8d0*pi**2d0)
    coupl(nGC_33878) = coupl(nGC_224)*dZHh_QED2 + coupl(nGC_224)*dZZ_QED2 +    &
                       coupl(nGC_22715)
    coupl(nGC_22284) = (coupl(nGC_1083)*coupl(nGC_207)*coupl(nGC_386) + coupl( &
                       nGC_1315)*coupl(nGC_207)*coupl(nGC_383) + 2d0*coupl(    &
                       nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(nGC_197)**2d0* &
                       coupl(nGC_209) + 4d0*coupl(nGC_2)**2d0*coupl(nGC_210) + &
                       coupl(nGC_206)*coupl(nGC_346)**2d0 + coupl(nGC_206)*    &
                       coupl(nGC_349)**2d0 + coupl(nGC_207)*coupl(nGC_381)**2d0&
                        + coupl(nGC_207)*coupl(nGC_384)**2d0 + 4d0*coupl(      &
                       nGC_210)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22328) = (Nc*cima*coupl(nGC_1)**2d0*coupl(nGC_206)**2d0 + Nc*cima&
                       *coupl(nGC_1)**2d0*coupl(nGC_209)**2d0 + Nc*cima*coupl( &
                       nGC_2)**2d0*coupl(nGC_207)**2d0 + Nc*cima*coupl(nGC_2)**&
                       2d0*coupl(nGC_210)**2d0 - 2d0*cima*coupl(nGC_1275)**2d0*&
                       coupl(nGC_1603)**2d0 + cima*coupl(nGC_195)*coupl(nGC_9  &
                       ) - 2d0*cima*coupl(nGC_199)**2d0*coupl(nGC_3)**2d0 +    &
                       cima*coupl(nGC_208)**2d0*coupl(nGC_4)**2d0 + cima*coupl(&
                       nGC_211)**2d0*coupl(nGC_4)**2d0 + coupl(nGC_1275)**2d0* &
                       coupl(nGC_9) + coupl(nGC_1603)**2d0*coupl(nGC_195) +    &
                       coupl(nGC_195)*coupl(nGC_3)**2d0 + coupl(nGC_199)**2d0* &
                       coupl(nGC_9))/(8d0*pi**2d0)
    coupl(nGC_22384) = cima*(5d0*Nc*coupl(nGC_1315)*coupl(nGC_346)*coupl(      &
                       nGC_348)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1315)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(  &
                       nGC_1315)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_339)*coupl(nGC_340 &
                       )*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_339 &
                       )*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_1433 &
                       )*coupl(nGC_343)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_1541)*coupl(nGC_339)*coupl(nGC_343)*coupl(    &
                       nGC_373) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_340)*coupl( &
                       nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_1541)*coupl( &
                       nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_1949)*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_337   &
                       ) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_336)*coupl(nGC_364 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_337 &
                       )*coupl(nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_2345 &
                       )*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349) + 5d0*Nc*&
                       coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_384)*coupl(    &
                       nGC_385) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_348)*coupl( &
                       nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_3141)*coupl( &
                       nGC_334)*coupl(nGC_337)*coupl(nGC_366) + 5d0*Nc*coupl(  &
                       nGC_3141)*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_364   &
                       ) + 5d0*Nc*coupl(nGC_3141)*coupl(nGC_364)*coupl(nGC_366 &
                       )*coupl(nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*&
                       coupl(nGC_336)*coupl(nGC_337) + 5d0*Nc*coupl(nGC_334)*  &
                       coupl(nGC_335)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_365)*coupl(     &
                       nGC_367) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*coupl(  &
                       nGC_365)*coupl(nGC_366) + 5d0*Nc*coupl(nGC_335)*coupl(  &
                       nGC_336)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_370)*    &
                       coupl(nGC_371) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_344)*  &
                       coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(nGC_340)*  &
                       coupl(nGC_343)*coupl(nGC_371)*coupl(nGC_372) + 5d0*Nc*  &
                       coupl(nGC_340)*coupl(nGC_344)*coupl(nGC_370)*coupl(     &
                       nGC_372) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(  &
                       nGC_348)*coupl(nGC_349) + 5d0*Nc*coupl(nGC_346)*coupl(  &
                       nGC_349)*coupl(nGC_383)*coupl(nGC_384) + 5d0*Nc*coupl(  &
                       nGC_347)*coupl(nGC_348)*coupl(nGC_382)*coupl(nGC_385) + &
                       5d0*Nc*coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_382)*    &
                       coupl(nGC_384) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*  &
                       coupl(nGC_382)*coupl(nGC_383) + 5d0*Nc*coupl(nGC_364)*  &
                       coupl(nGC_365)*coupl(nGC_366)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_372)*coupl(     &
                       nGC_373) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_383)*coupl(  &
                       nGC_384)*coupl(nGC_385) + 6d0*coupl(nGC_180)*coupl(     &
                       nGC_187) + 5d0*coupl(nGC_1931)*coupl(nGC_358)*coupl(    &
                       nGC_360)*coupl(nGC_361) + 6d0*coupl(nGC_23)*coupl(nGC_31&
                       ) + 5d0*coupl(nGC_2755)*coupl(nGC_352)*coupl(nGC_354)*  &
                       coupl(nGC_355) + 5d0*coupl(nGC_352)*coupl(nGC_353)*coupl&
                       (nGC_354)*coupl(nGC_355) + 5d0*coupl(nGC_358)*coupl(    &
                       nGC_359)*coupl(nGC_360)*coupl(nGC_361) + 5d0*coupl(     &
                       nGC_376)*coupl(nGC_377)*coupl(nGC_378)*coupl(nGC_379) + &
                       5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl( &
                       nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_33073) = coupl(nGC_10)*dZA_QED2 + coupl(nGC_204)*dZZA_QED2 +     &
                       coupl(nGC_22581)
    coupl(nGC_37153) = coupl(nGC_37147) + coupl(nGC_37151)
    coupl(nGC_37152) = -coupl(nGC_37147) - coupl(nGC_37151)
    coupl(nGC_34198) = coupl(nGC_22700) + coupl(nGC_8)*dZA_QED2 + coupl(nGC_8)*&
                       dZWMinus_QED2
    coupl(nGC_34199) = -coupl(nGC_34197)/2d0 + coupl(nGC_34198)
    coupl(nGC_55369) = 3d0*coupl(nGC_12)*dZg_QCD2/2d0 + coupl(nGC_22588)
    coupl(nGC_34194) = coupl(nGC_32511) + coupl(nGC_34191)
    coupl(nGC_34192) = coupl(nGC_208)*dZZ_QED2/2d0 + coupl(nGC_208)*           &
                       dZtauMinusR_QED2 + coupl(nGC_22729)
  end subroutine fill_CTcouplings_mdl32
end module fill_ctcouplings32
