!******************************************************************************!
!                                                                              !
!    fill_ctcouplings33.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings33.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings33
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl33()
    coupl(nGC_34193) = coupl(nGC_32511) + coupl(nGC_34192)
    coupl(nGC_22445) = cima*(20d0*Nc*coupl(nGC_1315)**2d0*coupl(nGC_383)**2d0  &
                        + 20d0*Nc*coupl(nGC_1433)**2d0*coupl(nGC_344)**2d0 +   &
                       20d0*Nc*coupl(nGC_1541)**2d0*coupl(nGC_371)**2d0 + 20d0*&
                       Nc*coupl(nGC_1949)**2d0*coupl(nGC_335)**2d0 + 20d0*Nc*  &
                       coupl(nGC_2345)**2d0*coupl(nGC_347)**2d0 + 20d0*Nc*coupl&
                       (nGC_3141)**2d0*coupl(nGC_365)**2d0 + 6d0*coupl(nGC_100 &
                       )**2d0 + 20d0*coupl(nGC_1931)**2d0*coupl(nGC_359)**2d0  &
                        + 3d0*coupl(nGC_230)**2d0 + 20d0*coupl(nGC_2755)**2d0* &
                       coupl(nGC_353)**2d0 + 20d0*coupl(nGC_377)**2d0*coupl(   &
                       nGC_6589)**2d0)/(16d0*pi**2d0)
    coupl(nGC_56563) = -coupl(nGC_56562)
    coupl(nGC_35424) = coupl(nGC_172)*dZHl_QED2/2d0 + coupl(nGC_172)*          &
                       dZWMinus_QED2/2d0 + coupl(nGC_178)*dZHhHl_QED2/2d0 +    &
                       coupl(nGC_22692)
    coupl(nGC_35426) = -coupl(nGC_35421)
    coupl(nGC_39684) = coupl(nGC_22650) + coupl(nGC_375)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_378)*dZHh_QED2/2d0
    coupl(nGC_33205) = -coupl(nGC_33203)/2d0 + coupl(nGC_33204)
    coupl(nGC_37180) = coupl(nGC_TS_GC_241_Hl) + coupl(nGC_TS_GC_249_Hh)
    coupl(nGC_22448) = cima*(10d0*Nc*coupl(nGC_1315)**2d0*coupl(nGC_381)**2d0  &
                        + 40d0*Nc*coupl(nGC_1315)*coupl(nGC_381)**2d0*coupl(   &
                       nGC_383) + 10d0*Nc*coupl(nGC_1433)**2d0*coupl(nGC_342)**&
                       2d0 + 40d0*Nc*coupl(nGC_1433)*coupl(nGC_342)**2d0*coupl(&
                       nGC_344) + 10d0*Nc*coupl(nGC_1541)**2d0*coupl(nGC_369)**&
                       2d0 + 40d0*Nc*coupl(nGC_1541)*coupl(nGC_369)**2d0*coupl(&
                       nGC_371) + 10d0*Nc*coupl(nGC_1949)**2d0*coupl(nGC_333)**&
                       2d0 + 40d0*Nc*coupl(nGC_1949)*coupl(nGC_333)**2d0*coupl(&
                       nGC_335) + 10d0*Nc*coupl(nGC_2345)**2d0*coupl(nGC_345)**&
                       2d0 + 40d0*Nc*coupl(nGC_2345)*coupl(nGC_345)**2d0*coupl(&
                       nGC_347) + 10d0*Nc*coupl(nGC_3141)**2d0*coupl(nGC_363)**&
                       2d0 + 40d0*Nc*coupl(nGC_3141)*coupl(nGC_363)**2d0*coupl(&
                       nGC_365) + 10d0*Nc*coupl(nGC_333)**2d0*coupl(nGC_335)** &
                       2d0 + 10d0*Nc*coupl(nGC_342)**2d0*coupl(nGC_344)**2d0 + &
                       10d0*Nc*coupl(nGC_345)**2d0*coupl(nGC_347)**2d0 + 10d0* &
                       Nc*coupl(nGC_363)**2d0*coupl(nGC_365)**2d0 + 10d0*Nc*   &
                       coupl(nGC_369)**2d0*coupl(nGC_371)**2d0 + 10d0*Nc*coupl(&
                       nGC_381)**2d0*coupl(nGC_383)**2d0 + 6d0*coupl(nGC_100)* &
                       coupl(nGC_77) + 10d0*coupl(nGC_1931)**2d0*coupl(nGC_357 &
                       )**2d0 + 40d0*coupl(nGC_1931)*coupl(nGC_357)**2d0*coupl(&
                       nGC_359) + 3d0*coupl(nGC_224)*coupl(nGC_230) + 10d0*    &
                       coupl(nGC_2755)**2d0*coupl(nGC_351)**2d0 + 40d0*coupl(  &
                       nGC_2755)*coupl(nGC_351)**2d0*coupl(nGC_353) + 10d0*    &
                       coupl(nGC_351)**2d0*coupl(nGC_353)**2d0 + 10d0*coupl(   &
                       nGC_357)**2d0*coupl(nGC_359)**2d0 + 10d0*coupl(nGC_375  &
                       )**2d0*coupl(nGC_377)**2d0 + 40d0*coupl(nGC_375)**2d0*  &
                       coupl(nGC_377)*coupl(nGC_6589) + 10d0*coupl(nGC_375)**  &
                       2d0*coupl(nGC_6589)**2d0)/(48d0*pi**2d0)
    coupl(nGC_34849) = coupl(nGC_22500) + coupl(nGC_55)*dZHMinusGMinus_QED2 +  &
                       coupl(nGC_55)*dZHaG0_QED2
    coupl(nGC_33380) = coupl(nGC_22668) + coupl(nGC_369)*dZHlHh_QED2/2d0 +     &
                       coupl(nGC_372)*dZHh_QED2/2d0
    coupl(nGC_33756) = coupl(nGC_22539) + coupl(nGC_59)*dZHa_QED2/2d0 + coupl( &
                       nGC_69)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_73)*dZHaG0_QED2/&
                       2d0
    coupl(nGC_22378) = cima*(5d0*Nc*coupl(nGC_1083)*coupl(nGC_346)*coupl(      &
                       nGC_348)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_384) + 5d0*Nc*coupl(  &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_384)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_339)*coupl(nGC_343 &
                       )*coupl(nGC_373) + 5d0*Nc*coupl(nGC_2081)*coupl(nGC_340 &
                       )*coupl(nGC_343)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_2081 &
                       )*coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373) + 5d0*Nc*&
                       coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_336)*coupl(    &
                       nGC_337) + 5d0*Nc*coupl(nGC_3071)*coupl(nGC_336)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3071)*coupl( &
                       nGC_337)*coupl(nGC_364)*coupl(nGC_366) + 5d0*Nc*coupl(  &
                       nGC_334)*coupl(nGC_336)*coupl(nGC_337)*coupl(nGC_338) + &
                       5d0*Nc*coupl(nGC_334)*coupl(nGC_336)*coupl(nGC_367)*    &
                       coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*  &
                       coupl(nGC_366)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*  &
                       coupl(nGC_337)*coupl(nGC_366)*coupl(nGC_989) + 5d0*Nc*  &
                       coupl(nGC_334)*coupl(nGC_338)*coupl(nGC_366)*coupl(     &
                       nGC_367) + 5d0*Nc*coupl(nGC_336)*coupl(nGC_337)*coupl(  &
                       nGC_364)*coupl(nGC_989) + 5d0*Nc*coupl(nGC_336)*coupl(  &
                       nGC_338)*coupl(nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(  &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343) + &
                       5d0*Nc*coupl(nGC_339)*coupl(nGC_340)*coupl(nGC_343)*    &
                       coupl(nGC_4237) + 5d0*Nc*coupl(nGC_339)*coupl(nGC_340)* &
                       coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_339)*  &
                       coupl(nGC_341)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*  &
                       coupl(nGC_339)*coupl(nGC_370)*coupl(nGC_373)*coupl(     &
                       nGC_4237) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_341)*coupl( &
                       nGC_370)*coupl(nGC_372) + 5d0*Nc*coupl(nGC_340)*coupl(  &
                       nGC_343)*coupl(nGC_372)*coupl(nGC_374) + 5d0*Nc*coupl(  &
                       nGC_343)*coupl(nGC_372)*coupl(nGC_373)*coupl(nGC_4237   &
                       ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*coupl(nGC_349)*&
                       coupl(nGC_350) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_348)*  &
                       coupl(nGC_349)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_346)* &
                       coupl(nGC_349)*coupl(nGC_384)*coupl(nGC_386) + 5d0*Nc*  &
                       coupl(nGC_346)*coupl(nGC_384)*coupl(nGC_385)*coupl(     &
                       nGC_4525) + 5d0*Nc*coupl(nGC_348)*coupl(nGC_349)*coupl( &
                       nGC_382)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_348)*coupl(  &
                       nGC_350)*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(  &
                       nGC_348)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_4525   &
                       ) + 5d0*Nc*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_382)*&
                       coupl(nGC_384) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_366)*  &
                       coupl(nGC_367)*coupl(nGC_368) + 5d0*Nc*coupl(nGC_364)*  &
                       coupl(nGC_366)*coupl(nGC_367)*coupl(nGC_989) + 5d0*Nc*  &
                       coupl(nGC_370)*coupl(nGC_372)*coupl(nGC_373)*coupl(     &
                       nGC_374) + 5d0*Nc*coupl(nGC_382)*coupl(nGC_384)*coupl(  &
                       nGC_385)*coupl(nGC_386) + 6d0*coupl(nGC_175)*coupl(     &
                       nGC_186) + 6d0*coupl(nGC_22)*coupl(nGC_30) + 5d0*coupl( &
                       nGC_2697)*coupl(nGC_358)*coupl(nGC_360)*coupl(nGC_361   &
                       ) + 5d0*coupl(nGC_2841)*coupl(nGC_376)*coupl(nGC_378)*  &
                       coupl(nGC_379) + 5d0*coupl(nGC_352)*coupl(nGC_354)*coupl&
                       (nGC_355)*coupl(nGC_356) + 5d0*coupl(nGC_352)*coupl(    &
                       nGC_354)*coupl(nGC_355)*coupl(nGC_997) + 5d0*coupl(     &
                       nGC_358)*coupl(nGC_360)*coupl(nGC_361)*coupl(nGC_362) + &
                       5d0*coupl(nGC_376)*coupl(nGC_378)*coupl(nGC_379)*coupl( &
                       nGC_380))/(48d0*pi**2d0)
    coupl(nGC_33909) = coupl(nGC_32282) + coupl(nGC_33908)
    coupl(nGC_21949) = cima*(-6d0*Nc*coupl(nGC_1)**2d0 - 6d0*Nc*coupl(nGC_2)** &
                       2d0 - coupl(nGC_1603)**2d0 - coupl(nGC_3)**2d0 - 6d0*   &
                       coupl(nGC_4)**2d0)/(48d0*pi**2d0)
    coupl(nGC_60860) = -coupl(nGC_22069)
    coupl(nGC_33629) = coupl(nGC_22520) + coupl(nGC_53)*dZG0Ha_QED2/2d0 + coupl&
                       (nGC_53)*dZHlHh_QED2/2d0 + coupl(nGC_63)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_63)*dZHa_QED2/2d0 + coupl(nGC_63)*      &
                       dZHh_QED2/2d0
    coupl(nGC_21946) = cima*(-Nc*cMB**2d0*coupl(nGC_1433)*coupl(nGC_341) - Nc* &
                       cMB**2d0*coupl(nGC_344)*coupl(nGC_4237) - Nc*cMC**2d0*  &
                       coupl(nGC_1949)*coupl(nGC_338) - Nc*cMC**2d0*coupl(     &
                       nGC_3071)*coupl(nGC_335) - Nc*cMD**2d0*coupl(nGC_2345)* &
                       coupl(nGC_350) - Nc*cMD**2d0*coupl(nGC_347)*coupl(      &
                       nGC_4525) - Nc*cMS**2d0*coupl(nGC_3141)*coupl(nGC_368   &
                       ) - Nc*cMS**2d0*coupl(nGC_365)*coupl(nGC_989) - Nc*cMT**&
                       2d0*coupl(nGC_1541)*coupl(nGC_374) - Nc*cMT**2d0*coupl( &
                       nGC_2081)*coupl(nGC_371) - Nc*cMU**2d0*coupl(nGC_1083)* &
                       coupl(nGC_383) - Nc*cMU**2d0*coupl(nGC_1315)*coupl(     &
                       nGC_386) - cME**2d0*coupl(nGC_2755)*coupl(nGC_356) - cME&
                       **2d0*coupl(nGC_353)*coupl(nGC_997) - cMM**2d0*coupl(   &
                       nGC_1931)*coupl(nGC_362) - cMM**2d0*coupl(nGC_2697)*    &
                       coupl(nGC_359) - cMTA**2d0*coupl(nGC_2841)*coupl(nGC_377&
                       ) - cMTA**2d0*coupl(nGC_380)*coupl(nGC_6589))/(8d0*pi** &
                       2d0)
    coupl(nGC_21945) = cima*(Nc*coupl(nGC_1083)*coupl(nGC_383) + Nc*coupl(     &
                       nGC_1315)*coupl(nGC_386) + Nc*coupl(nGC_1433)*coupl(    &
                       nGC_341) + Nc*coupl(nGC_1541)*coupl(nGC_374) + Nc*coupl(&
                       nGC_1949)*coupl(nGC_338) + Nc*coupl(nGC_2081)*coupl(    &
                       nGC_371) + Nc*coupl(nGC_2345)*coupl(nGC_350) + Nc*coupl(&
                       nGC_3071)*coupl(nGC_335) + Nc*coupl(nGC_3141)*coupl(    &
                       nGC_368) + Nc*coupl(nGC_344)*coupl(nGC_4237) + Nc*coupl(&
                       nGC_347)*coupl(nGC_4525) + Nc*coupl(nGC_365)*coupl(     &
                       nGC_989) + coupl(nGC_1931)*coupl(nGC_362) + coupl(      &
                       nGC_2697)*coupl(nGC_359) + coupl(nGC_2755)*coupl(nGC_356&
                       ) + coupl(nGC_2841)*coupl(nGC_377) + coupl(nGC_353)*    &
                       coupl(nGC_997) + coupl(nGC_380)*coupl(nGC_6589))/(48d0* &
                       pi**2d0)
    coupl(nGC_22372) = 5d0*cima*(Nc*coupl(nGC_1083)*coupl(nGC_346)*coupl(      &
                       nGC_349)*coupl(nGC_386) + Nc*coupl(nGC_1083)*coupl(     &
                       nGC_346)*coupl(nGC_385)*coupl(nGC_4525) + Nc*coupl(     &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386   &
                       ) + Nc*coupl(nGC_2081)*coupl(nGC_340)*coupl(nGC_343)*   &
                       coupl(nGC_374) + Nc*coupl(nGC_2081)*coupl(nGC_343)*coupl&
                       (nGC_373)*coupl(nGC_4237) + Nc*coupl(nGC_2081)*coupl(   &
                       nGC_370)*coupl(nGC_373)*coupl(nGC_374) + Nc*coupl(      &
                       nGC_3071)*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338   &
                       ) + Nc*coupl(nGC_3071)*coupl(nGC_337)*coupl(nGC_364)*   &
                       coupl(nGC_989) + Nc*coupl(nGC_3071)*coupl(nGC_338)*coupl&
                       (nGC_364)*coupl(nGC_367) + Nc*coupl(nGC_334)*coupl(     &
                       nGC_337)*coupl(nGC_368)*coupl(nGC_989) + Nc*coupl(      &
                       nGC_334)*coupl(nGC_338)*coupl(nGC_367)*coupl(nGC_368) + &
                       Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_343)*coupl(  &
                       nGC_4237) + Nc*coupl(nGC_340)*coupl(nGC_341)*coupl(     &
                       nGC_370)*coupl(nGC_374) + Nc*coupl(nGC_341)*coupl(      &
                       nGC_370)*coupl(nGC_373)*coupl(nGC_4237) + Nc*coupl(     &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_4525   &
                       ) + Nc*coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_382)*    &
                       coupl(nGC_386) + Nc*coupl(nGC_350)*coupl(nGC_382)*coupl(&
                       nGC_385)*coupl(nGC_4525) + Nc*coupl(nGC_364)*coupl(     &
                       nGC_367)*coupl(nGC_368)*coupl(nGC_989) + coupl(nGC_2697 &
                       )*coupl(nGC_358)*coupl(nGC_361)*coupl(nGC_362) + coupl( &
                       nGC_2841)*coupl(nGC_376)*coupl(nGC_379)*coupl(nGC_380   &
                       ) + coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356)*coupl( &
                       nGC_997))/(24d0*pi**2d0)
    coupl(nGC_32158) = coupl(nGC_21)*dZHhHl_QED2/2d0 + coupl(nGC_22)*          &
                       dZGMinusHMinus_QED2/2d0 + coupl(nGC_22497) + coupl(     &
                       nGC_24)*dZHMinus_QED2/2d0 + coupl(nGC_24)*dZHl_QED2/2d0
    coupl(nGC_22374) = cima*(5d0*Nc*coupl(nGC_1083)*coupl(nGC_2345)*coupl(     &
                       nGC_346)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_1083)*coupl( &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_383) + 5d0*Nc*coupl(  &
                       nGC_1083)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385   &
                       ) + 5d0*Nc*coupl(nGC_1315)*coupl(nGC_346)*coupl(nGC_349 &
                       )*coupl(nGC_386) + 5d0*Nc*coupl(nGC_1315)*coupl(nGC_346 &
                       )*coupl(nGC_385)*coupl(nGC_4525) + 5d0*Nc*coupl(nGC_1315&
                       )*coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_386) + 5d0*Nc*&
                       coupl(nGC_1433)*coupl(nGC_2081)*coupl(nGC_343)*coupl(   &
                       nGC_373) + 5d0*Nc*coupl(nGC_1433)*coupl(nGC_340)*coupl( &
                       nGC_341)*coupl(nGC_343) + 5d0*Nc*coupl(nGC_1433)*coupl( &
                       nGC_341)*coupl(nGC_370)*coupl(nGC_373) + 5d0*Nc*coupl(  &
                       nGC_1541)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_374   &
                       ) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_343)*coupl(nGC_373 &
                       )*coupl(nGC_4237) + 5d0*Nc*coupl(nGC_1541)*coupl(nGC_370&
                       )*coupl(nGC_373)*coupl(nGC_374) + 5d0*Nc*coupl(nGC_1949 &
                       )*coupl(nGC_334)*coupl(nGC_337)*coupl(nGC_338) + 5d0*Nc*&
                       coupl(nGC_1949)*coupl(nGC_337)*coupl(nGC_364)*coupl(    &
                       nGC_989) + 5d0*Nc*coupl(nGC_1949)*coupl(nGC_338)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_2081)*coupl( &
                       nGC_340)*coupl(nGC_343)*coupl(nGC_371) + 5d0*Nc*coupl(  &
                       nGC_2081)*coupl(nGC_370)*coupl(nGC_371)*coupl(nGC_373   &
                       ) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_349 &
                       )*coupl(nGC_350) + 5d0*Nc*coupl(nGC_2345)*coupl(nGC_350 &
                       )*coupl(nGC_382)*coupl(nGC_385) + 5d0*Nc*coupl(nGC_3071 &
                       )*coupl(nGC_3141)*coupl(nGC_337)*coupl(nGC_364) + 5d0*Nc&
                       *coupl(nGC_3071)*coupl(nGC_334)*coupl(nGC_335)*coupl(   &
                       nGC_337) + 5d0*Nc*coupl(nGC_3071)*coupl(nGC_335)*coupl( &
                       nGC_364)*coupl(nGC_367) + 5d0*Nc*coupl(nGC_3141)*coupl( &
                       nGC_334)*coupl(nGC_337)*coupl(nGC_368) + 5d0*Nc*coupl(  &
                       nGC_3141)*coupl(nGC_364)*coupl(nGC_367)*coupl(nGC_368   &
                       ) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_367)*&
                       coupl(nGC_368) + 5d0*Nc*coupl(nGC_334)*coupl(nGC_337)*  &
                       coupl(nGC_365)*coupl(nGC_989) + 5d0*Nc*coupl(nGC_334)*  &
                       coupl(nGC_338)*coupl(nGC_365)*coupl(nGC_367) + 5d0*Nc*  &
                       coupl(nGC_340)*coupl(nGC_341)*coupl(nGC_370)*coupl(     &
                       nGC_371) + 5d0*Nc*coupl(nGC_340)*coupl(nGC_343)*coupl(  &
                       nGC_344)*coupl(nGC_4237) + 5d0*Nc*coupl(nGC_340)*coupl( &
                       nGC_344)*coupl(nGC_370)*coupl(nGC_374) + 5d0*Nc*coupl(  &
                       nGC_344)*coupl(nGC_370)*coupl(nGC_373)*coupl(nGC_4237   &
                       ) + 5d0*Nc*coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_349)*&
                       coupl(nGC_4525) + 5d0*Nc*coupl(nGC_347)*coupl(nGC_349)* &
                       coupl(nGC_382)*coupl(nGC_386) + 5d0*Nc*coupl(nGC_347)*  &
                       coupl(nGC_382)*coupl(nGC_385)*coupl(nGC_4525) + 5d0*Nc* &
                       coupl(nGC_349)*coupl(nGC_350)*coupl(nGC_382)*coupl(     &
                       nGC_383) + 5d0*Nc*coupl(nGC_364)*coupl(nGC_365)*coupl(  &
                       nGC_367)*coupl(nGC_989) + 6d0*coupl(nGC_186)*coupl(     &
                       nGC_187) + 5d0*coupl(nGC_1931)*coupl(nGC_358)*coupl(    &
                       nGC_361)*coupl(nGC_362) + 5d0*coupl(nGC_2697)*coupl(    &
                       nGC_358)*coupl(nGC_359)*coupl(nGC_361) + 5d0*coupl(     &
                       nGC_2755)*coupl(nGC_352)*coupl(nGC_355)*coupl(nGC_356   &
                       ) + 5d0*coupl(nGC_2841)*coupl(nGC_376)*coupl(nGC_377)*  &
                       coupl(nGC_379) + 6d0*coupl(nGC_30)*coupl(nGC_31) + 5d0* &
                       coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355)*coupl(     &
                       nGC_997) + 5d0*coupl(nGC_376)*coupl(nGC_379)*coupl(     &
                       nGC_380)*coupl(nGC_6589))/(48d0*pi**2d0)
    coupl(nGC_22144) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_343) -  &
                       Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343) - Nc&
                       *cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343) + Nc* &
                       cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_334) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_334) + Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_346) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_346) + Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_364) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_364) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364) + Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_370) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_370) + Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_382) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_382) + cME* &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_352) - cME*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_352) - cME*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_352) + cMM*coupl(     &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_358) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_358) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358) + cMTA*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_376) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_376) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_376) + 2d0*cima*coupl(&
                       nGC_1053)*coupl(nGC_321) + 2d0*cima*coupl(nGC_194)*coupl&
                       (nGC_231) + 2d0*coupl(nGC_1275)*coupl(nGC_199)*coupl(   &
                       nGC_231) + 2d0*coupl(nGC_1275)*coupl(nGC_3)*coupl(      &
                       nGC_321))/(16d0*pi**2d0)
    coupl(nGC_33381) = coupl(nGC_33377) + coupl(nGC_33380)
    coupl(nGC_32911) = coupl(nGC_22652) + coupl(nGC_357)*dZHl_QED2/2d0 + coupl(&
                       nGC_360)*dZHhHl_QED2/2d0
    coupl(nGC_38778) = coupl(nGC_22600) + coupl(nGC_373)*dZbL_QCD2/2d0 + coupl(&
                       nGC_373)*dZtR_QCD2/2d0
    coupl(nGC_38779) = coupl(nGC_22602) + coupl(nGC_340)*dZbR_QCD2/2d0 + coupl(&
                       nGC_340)*dZtL_QCD2/2d0
    coupl(nGC_41276) = coupl(nGC_22568) + coupl(nGC_233)*dZHh_QED2 + coupl(    &
                       nGC_233)*dZHl_QED2/2d0 + coupl(nGC_235)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_236)*dZHlHh_QED2 + coupl(nGC_TS_GC_17_Hh   &
                       ) + coupl(nGC_TS_GC_20_Hl)
    coupl(nGC_33593) = coupl(nGC_33586) + coupl(nGC_33592)
    coupl(nGC_22330) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_366)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_372)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_384)*coupl(nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_354)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_360)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_180)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_23)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_43264) = coupl(nGC_22856) + coupl(nGC_MZ)*dZZ_QED2 + coupl(      &
                       nGC_TS_GC_329_Hl) + coupl(nGC_TS_GC_332_Hh)
    coupl(nGC_36649) = coupl(nGC_36645) + coupl(nGC_36648)
    coupl(nGC_22340) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_1315)*coupl(nGC_197&
                       )*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_1)*coupl(      &
                       nGC_1541)*coupl(nGC_197)*coupl(nGC_370) - 4d0*Nc*cima*  &
                       coupl(nGC_1)*coupl(nGC_1949)*coupl(nGC_197)*coupl(      &
                       nGC_334) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(   &
                       nGC_343)*coupl(nGC_344) + Nc*cima*coupl(nGC_1)*coupl(   &
                       nGC_197)*coupl(nGC_346)*coupl(nGC_347) + Nc*cima*coupl( &
                       nGC_1)*coupl(nGC_197)*coupl(nGC_364)*coupl(nGC_365) + Nc&
                       *cima*coupl(nGC_1315)*coupl(nGC_197)*coupl(nGC_2)*coupl(&
                       nGC_382) + Nc*cima*coupl(nGC_1541)*coupl(nGC_197)*coupl(&
                       nGC_2)*coupl(nGC_370) + Nc*cima*coupl(nGC_1949)*coupl(  &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_334) - 4d0*Nc*cima*coupl&
                       (nGC_197)*coupl(nGC_2)*coupl(nGC_343)*coupl(nGC_344) -  &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_346)* &
                       coupl(nGC_347) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_364)*coupl(nGC_365) + 6d0*cima*coupl(nGC_186&
                       )*coupl(nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_352)* &
                       coupl(nGC_353)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(&
                       nGC_358)*coupl(nGC_359)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_30) + 6d0*coupl(      &
                       nGC_186)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_3)*coupl(nGC_30))/(48d0*pi**2d0)
    coupl(nGC_38777) = coupl(nGC_22601) + coupl(nGC_340)*dZbR_QED2/2d0 + coupl(&
                       nGC_340)*dZtL_QED2/2d0 + coupl(nGC_343)*                &
                       dZHMinusGMinus_QED2/2d0
    coupl(nGC_41023) = coupl(nGC_22710) + coupl(nGC_231)*dZHMinusGMinus_QED2/  &
                       2d0 + coupl(nGC_237)*dZWMinus_QED2/2d0 + coupl(nGC_237)*&
                       dZZ_QED2/2d0 + coupl(nGC_324)*dZAZ_QED2/2d0 + coupl(    &
                       nGC_TS_GC_21_Hl) + coupl(nGC_TS_GC_23_Hh)
    coupl(nGC_32837) = coupl(nGC_187)*dZAZ_QED2/2d0 + coupl(nGC_22493) + coupl(&
                       nGC_31)*dZWMinus_QED2/2d0 + coupl(nGC_31)*dZZ_QED2/2d0
    coupl(nGC_33093) = -coupl(nGC_22676) - coupl(nGC_33092)
    coupl(nGC_33096) = -coupl(nGC_33091) - coupl(nGC_33095)
    coupl(nGC_33097) = coupl(nGC_33091) + coupl(nGC_33095)
    coupl(nGC_33094) = coupl(nGC_22676) + coupl(nGC_33092)
    coupl(nGC_36316) = coupl(nGC_36314) + coupl(nGC_36315)
    coupl(nGC_44805) = coupl(nGC_44796) + coupl(nGC_44804)
    coupl(nGC_32514) = coupl(nGC_32511) + coupl(nGC_32513)
    coupl(nGC_22285) = (coupl(nGC_1083)*coupl(nGC_210)*coupl(nGC_386) + coupl( &
                       nGC_1315)*coupl(nGC_210)*coupl(nGC_383) + 4d0*coupl(    &
                       nGC_2)**2d0*coupl(nGC_207) + 4d0*coupl(nGC_207)**3d0 +  &
                       coupl(nGC_209)*coupl(nGC_382)**2d0 + coupl(nGC_209)*    &
                       coupl(nGC_385)**2d0 + coupl(nGC_210)*coupl(nGC_381)**2d0&
                        + coupl(nGC_210)*coupl(nGC_384)**2d0)/(32d0*pi**2d0)
    coupl(nGC_32672) = coupl(nGC_204)*dZWMinus_QED2 + coupl(nGC_22697)
    coupl(nGC_38570) = -coupl(nGC_38564) + coupl(nGC_38569)
    coupl(nGC_58408) = -coupl(nGC_22123)
    coupl(nGC_36595) = coupl(nGC_210)*dZZ_QED2/2d0 + coupl(nGC_210)*dZcL_QED2  &
                        + coupl(nGC_22725)
    coupl(nGC_21972) = (Nc*cMB**2d0*cima*coupl(nGC_206)**2d0 + Nc*cMB**2d0*cima&
                       *coupl(nGC_209)**2d0 + Nc*cMC**2d0*cima*coupl(nGC_207)**&
                       2d0 + Nc*cMC**2d0*cima*coupl(nGC_210)**2d0 + Nc*cMD**2d0&
                       *cima*coupl(nGC_206)**2d0 + Nc*cMD**2d0*cima*coupl(     &
                       nGC_209)**2d0 + Nc*cMS**2d0*cima*coupl(nGC_206)**2d0 +  &
                       Nc*cMS**2d0*cima*coupl(nGC_209)**2d0 + Nc*cMT**2d0*cima*&
                       coupl(nGC_207)**2d0 + Nc*cMT**2d0*cima*coupl(nGC_210)** &
                       2d0 + Nc*cMU**2d0*cima*coupl(nGC_207)**2d0 + Nc*cMU**2d0&
                       *cima*coupl(nGC_210)**2d0 + cME**2d0*cima*coupl(nGC_208 &
                       )**2d0 + cME**2d0*cima*coupl(nGC_211)**2d0 + cMM**2d0*  &
                       cima*coupl(nGC_208)**2d0 + cMM**2d0*cima*coupl(nGC_211  &
                       )**2d0 + cMTA**2d0*cima*coupl(nGC_208)**2d0 + cMTA**2d0*&
                       cima*coupl(nGC_211)**2d0 + cMW**2d0*cima*coupl(nGC_1275 &
                       )**2d0 + cMW**2d0*cima*coupl(nGC_199)**2d0 - cMW**2d0*  &
                       coupl(nGC_195))/(8d0*pi**2d0)
    coupl(nGC_37394) = coupl(nGC_37385) + coupl(nGC_37393)
  end subroutine fill_CTcouplings_mdl33
end module fill_ctcouplings33
