!******************************************************************************!
!                                                                              !
!    fill_ctcouplings36.f90                                                    !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings36.f90                         |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings36
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl36()
    coupl(nGC_33340) = coupl(nGC_22537) + coupl(nGC_39)*dZHa_QED2/2d0 + coupl( &
                       nGC_39)*dZHh_QED2 + coupl(nGC_43)*dZG0Ha_QED2/2d0 +     &
                       coupl(nGC_47)*dZHlHh_QED2 + coupl(nGC_48)*dZHaG0_QED2/  &
                       2d0
    coupl(nGC_35264) = coupl(nGC_35258) + coupl(nGC_35262)
    coupl(nGC_32697) = coupl(nGC_32690) + coupl(nGC_32696)
    coupl(nGC_32662) = coupl(nGC_223)*dZHl_QED2 + coupl(nGC_22498)
    coupl(nGC_33348) = coupl(nGC_22521) + coupl(nGC_52)*dZG0Ha_QED2/2d0 + coupl&
                       (nGC_52)*dZHlHh_QED2/2d0 + coupl(nGC_62)*dZHMinus_QED2/ &
                       2d0 + coupl(nGC_62)*dZHa_QED2/2d0 + coupl(nGC_62)*      &
                       dZHh_QED2/2d0
    coupl(nGC_32459) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZdL_QED2/2d0 + coupl(nGC_197)*dZuL_QED2/2d0 + coupl(   &
                       nGC_22723)
    coupl(nGC_49410) = -coupl(nGC_49409)
    coupl(nGC_34655) = coupl(nGC_22699) + coupl(nGC_261)*dZHl_QED2/2d0 + coupl(&
                       nGC_261)*dZWMinus_QED2 + coupl(nGC_272)*dZHhHl_QED2/2d0 &
                        + coupl(nGC_TS_GC_77_Hl)
    coupl(nGC_59600) = -coupl(nGC_22007)
    coupl(nGC_32267) = coupl(nGC_213)*dZHlHh_QED2/2d0 + coupl(nGC_214)*        &
                       dZHaG0_QED2/2d0 + coupl(nGC_215)*dZHh_QED2/2d0 + coupl( &
                       nGC_215)*dZZ_QED2/2d0 + coupl(nGC_22704)
    coupl(nGC_34498) = coupl(nGC_213)*dZG0Ha_QED2/2d0 + coupl(nGC_214)*        &
                       dZHhHl_QED2/2d0 + coupl(nGC_215)*dZHa_QED2/2d0 + coupl( &
                       nGC_215)*dZHl_QED2/2d0 + coupl(nGC_215)*dZZ_QED2/2d0 +  &
                       coupl(nGC_22704)
    coupl(nGC_59005) = -coupl(nGC_22248)
    coupl(nGC_32268) = -coupl(nGC_32267)
    coupl(nGC_44440) = coupl(nGC_22573) + coupl(nGC_245)*dZHa_QED2/2d0 + coupl(&
                       nGC_245)*dZHh_QED2/2d0 + coupl(nGC_250)*dZG0Ha_QED2/2d0 &
                        + coupl(nGC_253)*dZHlHh_QED2/2d0 + coupl(nGC_254)*     &
                       dZHaG0_QED2/2d0 + coupl(nGC_TS_GC_39_Hh) + coupl(       &
                       nGC_TS_GC_47_Hl)
    coupl(nGC_22187) = (-2d0*Nc*cMB*coupl(nGC_197)**2d0*coupl(nGC_339) - 2d0*Nc&
                       *cMC*coupl(nGC_197)**2d0*coupl(nGC_336) - 2d0*Nc*cMD*   &
                       coupl(nGC_197)**2d0*coupl(nGC_348) - 2d0*Nc*cMS*coupl(  &
                       nGC_197)**2d0*coupl(nGC_366) - 2d0*Nc*cMT*coupl(nGC_197 &
                       )**2d0*coupl(nGC_372) - 2d0*Nc*cMU*coupl(nGC_197)**2d0* &
                       coupl(nGC_384) - 2d0*cME*coupl(nGC_197)**2d0*coupl(     &
                       nGC_354) - 2d0*cMM*coupl(nGC_197)**2d0*coupl(nGC_360) - &
                       2d0*cMTA*coupl(nGC_197)**2d0*coupl(nGC_378) + cima*coupl&
                       (nGC_195)*coupl(nGC_332) + 2d0*cima*coupl(nGC_272)*coupl&
                       (nGC_3465) + 2d0*coupl(nGC_1211)*coupl(nGC_199)*coupl(  &
                       nGC_332) + 2d0*coupl(nGC_1275)*coupl(nGC_198)*coupl(    &
                       nGC_272) + 2d0*coupl(nGC_1603)*coupl(nGC_272)*coupl(    &
                       nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22337) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340)* &
                       coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_174)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_199)*coupl(nGC_21))/(48d0*pi**2d0)
    coupl(nGC_22336) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_336 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_339)*coupl(nGC_340) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_348)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_366)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_372)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_384)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_336)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_339)* &
                       coupl(nGC_340) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_348)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_366)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_372)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_384)*coupl(nGC_385) + 6d0*cima*coupl(nGC_180)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_354)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_360)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_378)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_23) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_180)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1603)*coupl(nGC_199)*coupl(nGC_23))/(48d0*pi**2d0)
    coupl(nGC_22182) = coupl(nGC_13)**2d0*coupl(nGC_1315)*sq2**2d0*(Nc**2d0 -  &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22183) = (-coupl(nGC_1315)*coupl(nGC_381)**2d0 - coupl(nGC_1315)*&
                       coupl(nGC_383)**2d0 - coupl(nGC_1315)*coupl(nGC_384)**  &
                       2d0 - coupl(nGC_1315)*coupl(nGC_386)**2d0 + 8d0*coupl(  &
                       nGC_2)**2d0*coupl(nGC_383) + 8d0*coupl(nGC_207)*coupl(  &
                       nGC_210)*coupl(nGC_383) - coupl(nGC_2345)*coupl(nGC_346 &
                       )*coupl(nGC_382) - coupl(nGC_2345)*coupl(nGC_349)*coupl(&
                       nGC_385))/(32d0*pi**2d0)
    coupl(nGC_21969) = (Nc*cMB**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMC**2d0*cima&
                       *coupl(nGC_197)**2d0 + Nc*cMD**2d0*cima*coupl(nGC_197)**&
                       2d0 + Nc*cMS**2d0*cima*coupl(nGC_197)**2d0 + Nc*cMT**2d0&
                       *cima*coupl(nGC_197)**2d0 + Nc*cMU**2d0*cima*coupl(     &
                       nGC_197)**2d0 + cME**2d0*cima*coupl(nGC_197)**2d0 + cMM &
                       **2d0*cima*coupl(nGC_197)**2d0 + cMTA**2d0*cima*coupl(  &
                       nGC_197)**2d0 + cMW**2d0*cima*coupl(nGC_1211)*coupl(    &
                       nGC_199) + cMW**2d0*cima*coupl(nGC_1275)*coupl(nGC_198  &
                       ) + cMW**2d0*cima*coupl(nGC_1593)*coupl(nGC_3) + cMW**  &
                       2d0*cima*coupl(nGC_1603)*coupl(nGC_4) - 2d0*cMW**2d0*   &
                       coupl(nGC_3465) + cMZ**2d0*cima*coupl(nGC_1211)*coupl(  &
                       nGC_199) + cMZ**2d0*cima*coupl(nGC_1275)*coupl(nGC_198  &
                       ) - cMZ**2d0*coupl(nGC_195))/(16d0*pi**2d0)
    coupl(nGC_22181) = (-coupl(nGC_1083)**2d0*coupl(nGC_383) - coupl(nGC_1315  &
                       )**2d0*coupl(nGC_383) + 8d0*coupl(nGC_1315)*coupl(nGC_2 &
                       )**2d0 + 8d0*coupl(nGC_1315)*coupl(nGC_207)*coupl(      &
                       nGC_210) - coupl(nGC_346)*coupl(nGC_347)*coupl(nGC_382  &
                       ) - coupl(nGC_347)*coupl(nGC_349)*coupl(nGC_385) - coupl&
                       (nGC_381)**2d0*coupl(nGC_383) - coupl(nGC_383)*coupl(   &
                       nGC_384)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22004) = (-Nc*cMB*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340) - Nc&
                       *cMC*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_337) - Nc*cMD&
                       *coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_349) - Nc*cMS*   &
                       coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_367) - Nc*cMT*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_373) - Nc*cMU*    &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_385) + 2d0*cima*  &
                       coupl(nGC_202)*coupl(nGC_237) + 2d0*cima*coupl(nGC_324)*&
                       coupl(nGC_4485) + 2d0*coupl(nGC_198)*coupl(nGC_237)*    &
                       coupl(nGC_3) + 2d0*coupl(nGC_3)*coupl(nGC_324)*coupl(   &
                       nGC_4))/(16d0*pi**2d0)
    coupl(nGC_22382) = 5d0*cima*(Nc*coupl(nGC_1315)*coupl(nGC_2345)*coupl(     &
                       nGC_346)*coupl(nGC_385) + Nc*coupl(nGC_1315)*coupl(     &
                       nGC_346)*coupl(nGC_349)*coupl(nGC_383) + Nc*coupl(      &
                       nGC_1315)*coupl(nGC_382)*coupl(nGC_383)*coupl(nGC_385   &
                       ) + Nc*coupl(nGC_1433)*coupl(nGC_1541)*coupl(nGC_343)*  &
                       coupl(nGC_373) + Nc*coupl(nGC_1433)*coupl(nGC_340)*coupl&
                       (nGC_343)*coupl(nGC_344) + Nc*coupl(nGC_1433)*coupl(    &
                       nGC_344)*coupl(nGC_370)*coupl(nGC_373) + Nc*coupl(      &
                       nGC_1541)*coupl(nGC_340)*coupl(nGC_343)*coupl(nGC_371   &
                       ) + Nc*coupl(nGC_1541)*coupl(nGC_370)*coupl(nGC_371)*   &
                       coupl(nGC_373) + Nc*coupl(nGC_1949)*coupl(nGC_3141)*    &
                       coupl(nGC_337)*coupl(nGC_364) + Nc*coupl(nGC_1949)*coupl&
                       (nGC_334)*coupl(nGC_335)*coupl(nGC_337) + Nc*coupl(     &
                       nGC_1949)*coupl(nGC_335)*coupl(nGC_364)*coupl(nGC_367   &
                       ) + Nc*coupl(nGC_2345)*coupl(nGC_346)*coupl(nGC_347)*   &
                       coupl(nGC_349) + Nc*coupl(nGC_2345)*coupl(nGC_347)*coupl&
                       (nGC_382)*coupl(nGC_385) + Nc*coupl(nGC_3141)*coupl(    &
                       nGC_334)*coupl(nGC_337)*coupl(nGC_365) + Nc*coupl(      &
                       nGC_3141)*coupl(nGC_364)*coupl(nGC_365)*coupl(nGC_367   &
                       ) + Nc*coupl(nGC_334)*coupl(nGC_335)*coupl(nGC_365)*    &
                       coupl(nGC_367) + Nc*coupl(nGC_340)*coupl(nGC_344)*coupl(&
                       nGC_370)*coupl(nGC_371) + Nc*coupl(nGC_347)*coupl(      &
                       nGC_349)*coupl(nGC_382)*coupl(nGC_383) + coupl(nGC_1931 &
                       )*coupl(nGC_358)*coupl(nGC_359)*coupl(nGC_361) + coupl( &
                       nGC_2755)*coupl(nGC_352)*coupl(nGC_353)*coupl(nGC_355   &
                       ) + coupl(nGC_376)*coupl(nGC_377)*coupl(nGC_379)*coupl( &
                       nGC_6589))/(24d0*pi**2d0)
    coupl(nGC_48269) = -coupl(nGC_34672) + coupl(nGC_34673)
    coupl(nGC_35173) = coupl(nGC_197)*dZWMinus_QED2/2d0 + coupl(nGC_197)*      &
                       dZnu_tauL_QED2/2d0 + coupl(nGC_197)*dZtauMinusL_QED2/2d0&
                        + coupl(nGC_22723)
    coupl(nGC_22435) = (-4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_334)**2d0 - &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_343)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_346)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_364)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_370)**2d0 -   &
                       4d0*Nc*cima*coupl(nGC_197)**2d0*coupl(nGC_382)**2d0 +   &
                       6d0*cima*coupl(nGC_100)*coupl(nGC_3465) + 3d0*cima*coupl&
                       (nGC_195)*coupl(nGC_229) - 4d0*cima*coupl(nGC_197)**2d0*&
                       coupl(nGC_352)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*coupl&
                       (nGC_358)**2d0 - 4d0*cima*coupl(nGC_197)**2d0*coupl(    &
                       nGC_376)**2d0 + 6d0*cima*coupl(nGC_205)*coupl(nGC_221   &
                       ) + 3d0*cima*coupl(nGC_29)*coupl(nGC_9) + 6d0*coupl(    &
                       nGC_100)*coupl(nGC_1275)*coupl(nGC_198) + 6d0*coupl(    &
                       nGC_100)*coupl(nGC_1603)*coupl(nGC_4) + 6d0*coupl(      &
                       nGC_1211)*coupl(nGC_199)*coupl(nGC_229) + 6d0*coupl(    &
                       nGC_1211)*coupl(nGC_221)*coupl(nGC_3) + 6d0*coupl(      &
                       nGC_1593)*coupl(nGC_199)*coupl(nGC_221) + 6d0*coupl(    &
                       nGC_1593)*coupl(nGC_29)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_22432) = cima*coupl(nGC_13)**2d0*sq2**2d0*(coupl(nGC_1083)*coupl(&
                       nGC_383) + coupl(nGC_1315)*coupl(nGC_386) + coupl(      &
                       nGC_1433)*coupl(nGC_341) + coupl(nGC_1541)*coupl(nGC_374&
                       ) + coupl(nGC_1949)*coupl(nGC_338) + coupl(nGC_2081)*   &
                       coupl(nGC_371) + coupl(nGC_2345)*coupl(nGC_350) + coupl(&
                       nGC_3071)*coupl(nGC_335) + coupl(nGC_3141)*coupl(nGC_368&
                       ) + coupl(nGC_344)*coupl(nGC_4237) + coupl(nGC_347)*    &
                       coupl(nGC_4525) + coupl(nGC_365)*coupl(nGC_989))/(32d0* &
                       pi**2d0*Nc)
    coupl(nGC_32384) = coupl(nGC_22642) + coupl(nGC_352)*dZHMinus_QED2/2d0 +   &
                       coupl(nGC_352)*dZeMinusR_QED2/2d0 + coupl(nGC_352)*     &
                       dZnu_eL_QED2/2d0 + coupl(nGC_355)*dZGMinusHMinus_QED2/  &
                       2d0
    coupl(nGC_22431) = cima*coupl(nGC_13)**2d0*sq2**2d0*(-coupl(nGC_1083)*coupl&
                       (nGC_383) - coupl(nGC_1315)*coupl(nGC_386) - coupl(     &
                       nGC_1433)*coupl(nGC_341) - coupl(nGC_1541)*coupl(nGC_374&
                       ) - coupl(nGC_1949)*coupl(nGC_338) - coupl(nGC_2081)*   &
                       coupl(nGC_371) - coupl(nGC_2345)*coupl(nGC_350) - coupl(&
                       nGC_3071)*coupl(nGC_335) - coupl(nGC_3141)*coupl(nGC_368&
                       ) - coupl(nGC_344)*coupl(nGC_4237) - coupl(nGC_347)*    &
                       coupl(nGC_4525) - coupl(nGC_365)*coupl(nGC_989))/(32d0* &
                       pi**2d0)
    coupl(nGC_32302) = coupl(nGC_221)*dZZA_QED2 + coupl(nGC_22582) + coupl(    &
                       nGC_29)*dZA_QED2
    coupl(nGC_32808) = -2d0*coupl(nGC_32805) + coupl(nGC_32806)
    coupl(nGC_22439) = (5d0*Nc*cima*coupl(nGC_1315)*coupl(nGC_197)*coupl(      &
                       nGC_207)*coupl(nGC_382) - 4d0*Nc*cima*coupl(nGC_1315)*  &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_382) - 4d0*Nc*  &
                       cima*coupl(nGC_1315)*coupl(nGC_197)*coupl(nGC_210)*coupl&
                       (nGC_382) + 5d0*Nc*cima*coupl(nGC_1541)*coupl(nGC_197)* &
                       coupl(nGC_207)*coupl(nGC_370) - 4d0*Nc*cima*coupl(      &
                       nGC_1541)*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_370   &
                       ) - 4d0*Nc*cima*coupl(nGC_1541)*coupl(nGC_197)*coupl(   &
                       nGC_210)*coupl(nGC_370) + 5d0*Nc*cima*coupl(nGC_1949)*  &
                       coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_334) - 4d0*Nc*  &
                       cima*coupl(nGC_1949)*coupl(nGC_197)*coupl(nGC_209)*coupl&
                       (nGC_334) - 4d0*Nc*cima*coupl(nGC_1949)*coupl(nGC_197)* &
                       coupl(nGC_210)*coupl(nGC_334) + 5d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_206)*coupl(nGC_343)*coupl(nGC_344) + &
                       5d0*Nc*cima*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_346 &
                       )*coupl(nGC_347) + 5d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_206)*coupl(nGC_364)*coupl(nGC_365) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_343)*coupl(     &
                       nGC_344) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_209)*   &
                       coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*cima*coupl(      &
                       nGC_197)*coupl(nGC_209)*coupl(nGC_364)*coupl(nGC_365) - &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_343 &
                       )*coupl(nGC_344) - 4d0*Nc*cima*coupl(nGC_197)*coupl(    &
                       nGC_210)*coupl(nGC_346)*coupl(nGC_347) - 4d0*Nc*cima*   &
                       coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_364)*coupl(     &
                       nGC_365) + 6d0*cima*coupl(nGC_1053)*coupl(nGC_186) + 6d0&
                       *cima*coupl(nGC_194)*coupl(nGC_30) + 5d0*cima*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_352)*coupl(nGC_353) + &
                       5d0*cima*coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_358)*  &
                       coupl(nGC_359) + 5d0*cima*coupl(nGC_197)*coupl(nGC_208)*&
                       coupl(nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(nGC_197)*&
                       coupl(nGC_211)*coupl(nGC_352)*coupl(nGC_353) - 4d0*cima*&
                       coupl(nGC_197)*coupl(nGC_211)*coupl(nGC_358)*coupl(     &
                       nGC_359) - 4d0*cima*coupl(nGC_197)*coupl(nGC_211)*coupl(&
                       nGC_376)*coupl(nGC_377) - 4d0*cima*coupl(nGC_197)*coupl(&
                       nGC_212)*coupl(nGC_352)*coupl(nGC_353) - 4d0*cima*coupl(&
                       nGC_197)*coupl(nGC_212)*coupl(nGC_358)*coupl(nGC_359) - &
                       4d0*cima*coupl(nGC_197)*coupl(nGC_212)*coupl(nGC_376)*  &
                       coupl(nGC_377) + 6d0*coupl(nGC_186)*coupl(nGC_199)*coupl&
                       (nGC_4) + 6d0*coupl(nGC_198)*coupl(nGC_199)*coupl(nGC_30&
                       ))/(48d0*pi**2d0)
    coupl(nGC_42793) = -coupl(nGC_36933)
    coupl(nGC_34200) = coupl(nGC_34197) - 2d0*coupl(nGC_34198)
    coupl(nGC_34357) = 2d0*coupl(nGC_34356)
    coupl(nGC_35263) = -coupl(nGC_35258) - coupl(nGC_35262)
    coupl(nGC_32506) = coupl(nGC_22533) + coupl(nGC_53)*dZHMinus_QED2/2d0 +    &
                       coupl(nGC_53)*dZHa_QED2/2d0 + coupl(nGC_53)*dZHl_QED2/  &
                       2d0 + coupl(nGC_62)*dZG0Ha_QED2/2d0 + coupl(nGC_63)*    &
                       dZHhHl_QED2/2d0
    coupl(nGC_32615) = coupl(nGC_180)*dZAZ_QED2/2d0 + coupl(nGC_21)*dZHlHh_QED2&
                       /2d0 + coupl(nGC_22)*dZHMinusGMinus_QED2/2d0 + coupl(   &
                       nGC_22708) + coupl(nGC_23)*dZHh_QED2/2d0 + coupl(nGC_23 &
                       )*dZWMinus_QED2/2d0 + coupl(nGC_23)*dZZ_QED2/2d0
    coupl(nGC_57992) = -coupl(nGC_22083)
    coupl(nGC_37841) = coupl(nGC_22627) + coupl(nGC_37840)
    coupl(nGC_37842) = coupl(nGC_22628) + coupl(nGC_345)*dZHl_QED2/2d0 + coupl(&
                       nGC_348)*dZHhHl_QED2/2d0
    coupl(nGC_38310) = coupl(nGC_38302) + coupl(nGC_38308)
    coupl(nGC_22331) = (-4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_333 &
                       )*coupl(nGC_337) + Nc*cima*coupl(nGC_1)*coupl(nGC_197)* &
                       coupl(nGC_340)*coupl(nGC_342) + Nc*cima*coupl(nGC_1)*   &
                       coupl(nGC_197)*coupl(nGC_345)*coupl(nGC_349) + Nc*cima* &
                       coupl(nGC_1)*coupl(nGC_197)*coupl(nGC_363)*coupl(nGC_367&
                       ) - 4d0*Nc*cima*coupl(nGC_1)*coupl(nGC_197)*coupl(      &
                       nGC_369)*coupl(nGC_373) - 4d0*Nc*cima*coupl(nGC_1)*coupl&
                       (nGC_197)*coupl(nGC_381)*coupl(nGC_385) + Nc*cima*coupl(&
                       nGC_197)*coupl(nGC_2)*coupl(nGC_333)*coupl(nGC_337) -   &
                       4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_340)* &
                       coupl(nGC_342) - 4d0*Nc*cima*coupl(nGC_197)*coupl(nGC_2 &
                       )*coupl(nGC_345)*coupl(nGC_349) - 4d0*Nc*cima*coupl(    &
                       nGC_197)*coupl(nGC_2)*coupl(nGC_363)*coupl(nGC_367) + Nc&
                       *cima*coupl(nGC_197)*coupl(nGC_2)*coupl(nGC_369)*coupl( &
                       nGC_373) + Nc*cima*coupl(nGC_197)*coupl(nGC_2)*coupl(   &
                       nGC_381)*coupl(nGC_385) + 6d0*cima*coupl(nGC_174)*coupl(&
                       nGC_4485) + cima*coupl(nGC_197)*coupl(nGC_351)*coupl(   &
                       nGC_355)*coupl(nGC_4) + cima*coupl(nGC_197)*coupl(      &
                       nGC_357)*coupl(nGC_361)*coupl(nGC_4) + cima*coupl(      &
                       nGC_197)*coupl(nGC_375)*coupl(nGC_379)*coupl(nGC_4) +   &
                       6d0*cima*coupl(nGC_202)*coupl(nGC_21) + 6d0*coupl(      &
                       nGC_174)*coupl(nGC_3)*coupl(nGC_4) + 6d0*coupl(nGC_198)*&
                       coupl(nGC_21)*coupl(nGC_3))/(48d0*pi**2d0)
    coupl(nGC_51744) = coupl(nGC_51735) + coupl(nGC_51743)
    coupl(nGC_36280) = coupl(nGC_22502) + coupl(nGC_35)*dZHlHh_QED2 + coupl(   &
                       nGC_39)*dZHaG0_QED2 + coupl(nGC_43)*dZHh_QED2
    coupl(nGC_35943) = coupl(nGC_22659) + coupl(nGC_335)*dZHaG0_QED2/2d0
    coupl(nGC_35940) = -coupl(nGC_22660) - coupl(nGC_35939)
    coupl(nGC_35941) = coupl(nGC_22660) + coupl(nGC_35939)
    coupl(nGC_57943) = -coupl(nGC_22041)
    coupl(nGC_36692) = coupl(nGC_36684) + coupl(nGC_36690)
  end subroutine fill_CTcouplings_mdl36
end module fill_ctcouplings36
