!******************************************************************************!
!                                                                              !
!    fill_ctcouplings4.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings4.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings4
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl4()
    coupl(nGC_22724) = coupl(nGC_21310)*dsw_QED2 + coupl(nGC_21311)*dcw_QED2 + &
                       coupl(nGC_21312)*dZee_QED2
    coupl(nGC_36793) = coupl(nGC_224)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_35442) = coupl(nGC_MI)*dZWMinus_QED2
    coupl(nGC_32325) = coupl(nGC_363)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_32324) = coupl(nGC_363)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_36645) = coupl(nGC_366)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_36646) = coupl(nGC_366)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_22128) = coupl(nGC_13)**2d0*coupl(nGC_370)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22655) = coupl(nGC_21710)*db_QED2 + coupl(nGC_21711)*dym1_QED3 + &
                       coupl(nGC_21712)*dym2_QED3
    coupl(nGC_34644) = coupl(nGC_MI)*dZZA_QED2/2d0
    coupl(nGC_32929) = coupl(nGC_220)*dZGMinus
    coupl(nGC_32747) = coupl(nGC_174)*dZGMinus/2d0
    coupl(nGC_22656) = coupl(nGC_21868)*db_QED2 + coupl(nGC_21869)*dytau1_QED3 &
                        + coupl(nGC_21870)*dytau2_QED3
    coupl(nGC_38303) = coupl(nGC_341)*(dZbL_QCD2 + dZbR_QCD2)/2d0
    coupl(nGC_38302) = coupl(nGC_341)*(dZbL_QED2 + dZbR_QED2)/2d0
    coupl(nGC_22126) = coupl(nGC_13)**2d0*coupl(nGC_343)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_TS_GC_44_Hh) = -coupl(nGC_44)*dtHh_QED1/cMHH**2d0
    coupl(nGC_34643) = coupl(nGC_MI)*dZAZ_QED2/2d0
    coupl(nGC_34645) = coupl(nGC_MZ)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_233_Hh) = -coupl(nGC_233)*dtHh_QED1/cMHH**2d0
    coupl(nGC_33324) = coupl(nGC_52)*(dZG0 + dZGMinus)/2d0
    coupl(nGC_TS_GC_233_Hl) = -coupl(nGC_233)*dtHl_QED1/cMHL**2d0
    coupl(nGC_37839) = coupl(nGC_345)*(dZdL_QED2 + dZdR_QED2)/2d0
    coupl(nGC_34338) = coupl(nGC_365)*(dZsL_QCD2 + dZsR_QCD2)/2d0
    coupl(nGC_34337) = coupl(nGC_365)*(dZsL_QED2 + dZsR_QED2)/2d0
    coupl(nGC_34330) = coupl(nGC_329)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_354_Hh) = -coupl(nGC_354)*dtHh_QED1/cMHH**2d0
    coupl(nGC_43955) = 2d0*coupl(nGC_69)*dZG0
    coupl(nGC_TS_GC_329_Hl) = -coupl(nGC_329)*dtHl_QED1/cMHL**2d0
    coupl(nGC_38773) = coupl(nGC_340)*dZGMinus/2d0
    coupl(nGC_38306) = coupl(nGC_341)*dZG0/2d0
    coupl(nGC_TS_GC_19_Hh) = -coupl(nGC_19)*dtHh_QED1/cMHH**2d0
    coupl(nGC_TS_GC_336_Hh) = -coupl(nGC_336)*dtHh_QED1/cMHH**2d0
    coupl(nGC_32492) = coupl(nGC_184)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_32495) = coupl(nGC_77)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
    coupl(nGC_TS_GC_53_Hh) = -coupl(nGC_53)*dtHh_QED1/cMHH**2d0
    coupl(nGC_35459) = coupl(nGC_MI)*dZnu_muL_QED2
    coupl(nGC_33449) = coupl(nGC_186)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
    coupl(nGC_22467) = cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/(  &
                       32d0*pi**2d0)
    coupl(nGC_32141) = coupl(nGC_47)*dZG0/2d0
    coupl(nGC_22468) = -cima*coupl(nGC_13)**2d0*coupl(nGC_197)**2d0*sq2**2d0/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_32149) = 3d0*coupl(nGC_57)*dZGMinus/2d0
    coupl(nGC_22260) = coupl(nGC_13)**2d0*coupl(nGC_210)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(32d0*pi**2d0*Nc)
    coupl(nGC_22267) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(    &
                       nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(    &
                       nGC_352)**2d0 + coupl(nGC_208)*coupl(nGC_355)**2d0 + 4d0&
                       *coupl(nGC_212)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22268) = (2d0*coupl(nGC_197)**2d0*coupl(nGC_199) + 4d0*coupl(    &
                       nGC_197)**2d0*coupl(nGC_211) + coupl(nGC_208)*coupl(    &
                       nGC_358)**2d0 + coupl(nGC_208)*coupl(nGC_361)**2d0 + 4d0&
                       *coupl(nGC_212)**3d0)/(32d0*pi**2d0)
    coupl(nGC_22481) = cima*coupl(nGC_13)**3d0*sq2**3d0*(coupl(nGC_206) + coupl&
                       (nGC_207) + coupl(nGC_209) + coupl(nGC_210))/(32d0*pi** &
                       2d0*Nc**2d0)
    coupl(nGC_22480) = cima*coupl(nGC_13)**3d0*sq2**3d0*(-coupl(nGC_206) -     &
                       coupl(nGC_207) - coupl(nGC_209) - coupl(nGC_210))/(64d0*&
                       pi**2d0*Nc)
    coupl(nGC_22001) = cMU*cima*coupl(nGC_13)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                       32d0*pi**2d0*Nc)
    coupl(nGC_39154) = coupl(nGC_213)*dZZA_QED2/2d0
    coupl(nGC_32314) = coupl(nGC_63)*(dZG0 + dZGMinus)/2d0
  end subroutine fill_CTcouplings_mdl4
end module fill_ctcouplings4
