!******************************************************************************!
!                                                                              !
!    fill_ctcouplings7.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings7.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:11             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings7
  use constants_mdl
  use class_couplings
  use class_ctparameters
  implicit none
  contains
  subroutine fill_CTcouplings_mdl7()
    coupl(nGC_32680) = 2d0*coupl(nGC_68)*dZGMinus
    coupl(nGC_38567) = coupl(nGC_178)*dZGMinus/2d0
    coupl(nGC_40720) = coupl(nGC_380)*(dZtauMinusL_QED2 + dZtauMinusR_QED2)/2d0
    coupl(nGC_40724) = -coupl(nGC_40719)
    coupl(nGC_32190) = coupl(nGC_206)*dZdR_QCD2
    coupl(nGC_32191) = coupl(nGC_209)*dZZ_QED2/2d0 + coupl(nGC_209)*dZdL_QED2  &
                        + coupl(nGC_22726)
    coupl(nGC_32195) = coupl(nGC_224)*dZZA_QED2/2d0
    coupl(nGC_TS_GC_23_Hl) = -coupl(nGC_23)*dtHl_QED1/cMHL**2d0
    coupl(nGC_TS_GC_23_Hh) = -coupl(nGC_23)*dtHh_QED1/cMHH**2d0
    coupl(nGC_22238) = (8d0*coupl(nGC_2)**2d0*coupl(nGC_369) + 8d0*coupl(      &
                       nGC_207)*coupl(nGC_210)*coupl(nGC_369) - coupl(nGC_340)*&
                       coupl(nGC_342)*coupl(nGC_373) - coupl(nGC_342)*coupl(   &
                       nGC_343)*coupl(nGC_370) - coupl(nGC_369)**3d0 - coupl(  &
                       nGC_369)*coupl(nGC_371)**2d0 - coupl(nGC_369)*coupl(    &
                       nGC_372)**2d0 - coupl(nGC_369)*coupl(nGC_374)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22239) = coupl(nGC_13)**2d0*coupl(nGC_369)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_32759) = coupl(nGC_99)*(dZGMinusHMinus_QED2 + dZHMinusGMinus_QED2&
                       )/2d0
    coupl(nGC_22234) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_3141 &
                       )**2d0*coupl(nGC_363) - coupl(nGC_333)*coupl(nGC_334)*  &
                       coupl(nGC_364) - coupl(nGC_333)*coupl(nGC_337)*coupl(   &
                       nGC_367) - coupl(nGC_363)**3d0 - coupl(nGC_363)*coupl(  &
                       nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_989)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22235) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_363) + 8d0*coupl(      &
                       nGC_206)*coupl(nGC_209)*coupl(nGC_363) - coupl(nGC_333)*&
                       coupl(nGC_334)*coupl(nGC_364) - coupl(nGC_333)*coupl(   &
                       nGC_337)*coupl(nGC_367) - coupl(nGC_363)**3d0 - coupl(  &
                       nGC_363)*coupl(nGC_365)**2d0 - coupl(nGC_363)*coupl(    &
                       nGC_366)**2d0 - coupl(nGC_363)*coupl(nGC_368)**2d0)/(   &
                       32d0*pi**2d0)
    coupl(nGC_22236) = coupl(nGC_13)**2d0*coupl(nGC_363)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22230) = coupl(nGC_357)*(8d0*coupl(nGC_208)*coupl(nGC_211) -     &
                       coupl(nGC_357)**2d0 - coupl(nGC_359)**2d0 - coupl(      &
                       nGC_360)**2d0 - coupl(nGC_362)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22231) = coupl(nGC_357)*(-coupl(nGC_1931)**2d0 + 8d0*coupl(      &
                       nGC_208)*coupl(nGC_211) - coupl(nGC_2697)**2d0 - coupl( &
                       nGC_357)**2d0 - coupl(nGC_360)**2d0 + 8d0*coupl(nGC_4)**&
                       2d0)/(32d0*pi**2d0)
    coupl(nGC_22232) = coupl(nGC_13)**2d0*sq2**2d0*(-cMB*coupl(nGC_342) - cMC* &
                       coupl(nGC_333) - cMD*coupl(nGC_345) - cMS*coupl(nGC_363 &
                       ) - cMT*coupl(nGC_369) - cMU*coupl(nGC_381))/(16d0*pi** &
                       2d0)
    coupl(nGC_22233) = coupl(nGC_13)**2d0*sq2**2d0*(cMB*coupl(nGC_342) + cMC*  &
                       coupl(nGC_333) + cMD*coupl(nGC_345) + cMS*coupl(nGC_363 &
                       ) + cMT*coupl(nGC_369) + cMU*coupl(nGC_381))/(16d0*pi** &
                       2d0*Nc)
    coupl(nGC_TS_GC_46_Hl) = -coupl(nGC_46)*dtHl_QED1/cMHL**2d0
    coupl(nGC_22050) = (Nc*cMB*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_340) -  &
                       Nc*cMB*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_340) - Nc&
                       *cMB*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_340) + Nc* &
                       cMC*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_337) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_337) - Nc*  &
                       cMC*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_337) + Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_349) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_349) - Nc*  &
                       cMD*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_349) + Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_206)*coupl(nGC_367) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_367) - Nc*  &
                       cMS*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_367) + Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_373) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_373) - Nc*  &
                       cMT*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_373) + Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_207)*coupl(nGC_385) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_209)*coupl(nGC_385) - Nc*  &
                       cMU*coupl(nGC_197)*coupl(nGC_210)*coupl(nGC_385) + cME* &
                       coupl(nGC_197)*coupl(nGC_208)*coupl(nGC_355) - cME*coupl&
                       (nGC_197)*coupl(nGC_211)*coupl(nGC_355) - cME*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_355) + cMM*coupl(     &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_361) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_361) - cMM*coupl(     &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_361) + cMTA*coupl(    &
                       nGC_197)*coupl(nGC_208)*coupl(nGC_379) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_211)*coupl(nGC_379) - cMTA*coupl(    &
                       nGC_197)*coupl(nGC_212)*coupl(nGC_379) + 2d0*cima*coupl(&
                       nGC_1053)*coupl(nGC_324) + 2d0*cima*coupl(nGC_194)*coupl&
                       (nGC_237) + 2d0*coupl(nGC_198)*coupl(nGC_199)*coupl(    &
                       nGC_237) + 2d0*coupl(nGC_199)*coupl(nGC_324)*coupl(nGC_4&
                       ))/(16d0*pi**2d0)
    coupl(nGC_22052) = coupl(nGC_13)**2d0*coupl(nGC_340)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22580) = coupl(nGC_21313)*dvev2_QED1 + coupl(nGC_21314)*dsw_QED2 &
                        + coupl(nGC_21315)*db_QED2 + coupl(nGC_21316)*         &
                       dvev1_QED1 + coupl(nGC_21317)*dZee_QED2
    coupl(nGC_22053) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_373) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_373) - coupl(   &
                       nGC_339)*coupl(nGC_340)*coupl(nGC_372) - coupl(nGC_340)*&
                       coupl(nGC_341)*coupl(nGC_374) - coupl(nGC_340)*coupl(   &
                       nGC_342)*coupl(nGC_369) - coupl(nGC_340)*coupl(nGC_344)*&
                       coupl(nGC_371))/(32d0*pi**2d0)
    coupl(nGC_22586) = coupl(nGC_21254)*dsw_QED2 + coupl(nGC_21255)*dcw_QED2 + &
                       coupl(nGC_21256)*dZee_QED2
    coupl(nGC_22584) = coupl(nGC_21179)*dZee_QED2
    coupl(nGC_33277) = coupl(nGC_1)*dZsR_QED2 + coupl(nGC_206)*dZZA_QED2/2d0
    coupl(nGC_22054) = coupl(nGC_13)**2d0*coupl(nGC_373)*sq2**2d0*(Nc**2d0 -   &
                       1d0)/(16d0*pi**2d0*Nc)
    coupl(nGC_22055) = (8d0*coupl(nGC_1)*coupl(nGC_2)*coupl(nGC_337) + 8d0*    &
                       coupl(nGC_207)*coupl(nGC_209)*coupl(nGC_337) - coupl(   &
                       nGC_333)*coupl(nGC_363)*coupl(nGC_367) - coupl(nGC_335)*&
                       coupl(nGC_365)*coupl(nGC_367) - coupl(nGC_336)*coupl(   &
                       nGC_366)*coupl(nGC_367) - coupl(nGC_338)*coupl(nGC_367)*&
                       coupl(nGC_368))/(32d0*pi**2d0)
    coupl(nGC_21947) = cima*(Nc*coupl(nGC_337)**2d0 + Nc*coupl(nGC_340)**2d0 + &
                       Nc*coupl(nGC_349)**2d0 + Nc*coupl(nGC_367)**2d0 + Nc*   &
                       coupl(nGC_373)**2d0 + Nc*coupl(nGC_385)**2d0 + coupl(   &
                       nGC_355)**2d0 + coupl(nGC_361)**2d0 + coupl(nGC_379)**  &
                       2d0)/(48d0*pi**2d0)
    coupl(nGC_22568) = coupl(nGC_21871)*dl3_QED4 + coupl(nGC_21872)*dl1_QED4 + &
                       coupl(nGC_21873)*dl2_QED4 + coupl(nGC_21874)*dl5_QED4 + &
                       coupl(nGC_21875)*dl4_QED4 + coupl(nGC_21876)*dvev1_QED1 &
                        + coupl(nGC_21877)*dvev2_QED1 + coupl(nGC_21878)*      &
                       da_QED2
    coupl(nGC_22569) = coupl(nGC_21003)*dl3_QED4 + coupl(nGC_21004)*db_QED2 +  &
                       coupl(nGC_21005)*dl2_QED4 + coupl(nGC_21006)*dl5_QED4 + &
                       coupl(nGC_21007)*dvev2_QED1 + coupl(nGC_21008)*         &
                       dvev1_QED1 + coupl(nGC_21009)*dl1_QED4 + coupl(nGC_21010&
                       )*dl4_QED4 + coupl(nGC_21011)*da_QED2
    coupl(nGC_22560) = coupl(nGC_511)*db_QED2 + coupl(nGC_513)*dl2_QED4 + coupl&
                       (nGC_515)*dl3_QED4 + coupl(nGC_517)*dl5_QED4 + coupl(   &
                       nGC_519)*dl4_QED4 + coupl(nGC_521)*dl1_QED4 + coupl(    &
                       nGC_523)*dvev1_QED1 + coupl(nGC_525)*dvev2_QED1 + coupl(&
                       nGC_527)*da_QED2
    coupl(nGC_22561) = coupl(nGC_21623)*dl4_QED4 + coupl(nGC_21624)*dl5_QED4 + &
                       coupl(nGC_21625)*db_QED2 + coupl(nGC_21626)*dvev1_QED1  &
                        + coupl(nGC_21627)*dvev2_QED1
    coupl(nGC_22563) = coupl(nGC_21275)*dl4_QED4 + coupl(nGC_21276)*dl5_QED4 + &
                       coupl(nGC_21277)*db_QED2 + coupl(nGC_21278)*dvev1_QED1  &
                        + coupl(nGC_21279)*dvev2_QED1
    coupl(nGC_22564) = coupl(nGC_21812)*dl3_QED4 + coupl(nGC_21813)*db_QED2 +  &
                       coupl(nGC_21814)*dl2_QED4 + coupl(nGC_21815)*dl5_QED4 + &
                       coupl(nGC_21816)*dvev2_QED1 + coupl(nGC_21817)*         &
                       dvev1_QED1 + coupl(nGC_21818)*dl1_QED4 + coupl(nGC_21819&
                       )*dl4_QED4 + coupl(nGC_21820)*da_QED2
    coupl(nGC_22565) = coupl(nGC_21414)*dZee_QED2 + coupl(nGC_21415)*dsw_QED2  &
                        + coupl(nGC_21416)*dcw_QED2 + coupl(nGC_21417)*        &
                       dvev2_QED1 + coupl(nGC_21418)*dvev1_QED1 + coupl(       &
                       nGC_21419)*da_QED2
    coupl(nGC_22566) = coupl(nGC_21062)*dl3_QED4 + coupl(nGC_21063)*db_QED2 +  &
                       coupl(nGC_21064)*dl2_QED4 + coupl(nGC_21065)*dl5_QED4 + &
                       coupl(nGC_21066)*dvev2_QED1 + coupl(nGC_21067)*         &
                       dvev1_QED1 + coupl(nGC_21068)*dl1_QED4 + coupl(nGC_21069&
                       )*dl4_QED4 + coupl(nGC_21070)*da_QED2
    coupl(nGC_22567) = coupl(nGC_20770)*dl3_QED4 + coupl(nGC_20771)*db_QED2 +  &
                       coupl(nGC_20772)*dl2_QED4 + coupl(nGC_20773)*dl5_QED4 + &
                       coupl(nGC_20774)*dvev2_QED1 + coupl(nGC_20775)*         &
                       dvev1_QED1 + coupl(nGC_20776)*dl1_QED4 + coupl(nGC_20777&
                       )*dl4_QED4 + coupl(nGC_20778)*da_QED2
    coupl(nGC_32364) = coupl(nGC_34)*dZGMinus/2d0
    coupl(nGC_32361) = coupl(nGC_221)*dZA_QED2/2d0 + coupl(nGC_221)*dZZ_QED2/  &
                       2d0 + coupl(nGC_22703) + coupl(nGC_229)*dZZA_QED2/2d0 + &
                       coupl(nGC_29)*dZAZ_QED2/2d0
    coupl(nGC_21964) = cima*(-4d0*Nc*cMB**2d0*coupl(nGC_339)*coupl(nGC_342) -  &
                       4d0*Nc*cMC**2d0*coupl(nGC_333)*coupl(nGC_336) - 4d0*Nc* &
                       cMD**2d0*coupl(nGC_345)*coupl(nGC_348) - 4d0*Nc*cMS**2d0&
                       *coupl(nGC_363)*coupl(nGC_366) - 4d0*Nc*cMT**2d0*coupl( &
                       nGC_369)*coupl(nGC_372) - 4d0*Nc*cMU**2d0*coupl(nGC_381 &
                       )*coupl(nGC_384) - 4d0*cME**2d0*coupl(nGC_351)*coupl(   &
                       nGC_354) - 4d0*cMM**2d0*coupl(nGC_357)*coupl(nGC_360) - &
                       4d0*cMTA**2d0*coupl(nGC_375)*coupl(nGC_378) + 2d0*coupl(&
                       nGC_261)*coupl(nGC_272) + coupl(nGC_329)*coupl(nGC_332  &
                       ))/(16d0*pi**2d0)
    coupl(nGC_22160) = (8d0*coupl(nGC_208)*coupl(nGC_211)*coupl(nGC_2755) -    &
                       coupl(nGC_2755)**2d0*coupl(nGC_353) + 8d0*coupl(nGC_2755&
                       )*coupl(nGC_4)**2d0 - coupl(nGC_351)**2d0*coupl(nGC_353 &
                       ) - coupl(nGC_353)*coupl(nGC_354)**2d0 - coupl(nGC_353)*&
                       coupl(nGC_997)**2d0)/(32d0*pi**2d0)
    coupl(nGC_22691) = coupl(nGC_21015)*dsw_QED2 + coupl(nGC_21016)*dZee_QED2
    coupl(nGC_32767) = coupl(nGC_210)*dZuL_QCD2
    coupl(nGC_33586) = coupl(nGC_381)*(dZuL_QED2 + dZuR_QED2)/2d0
    coupl(nGC_22836) = -cima*dMHC2_QED2
    coupl(nGC_22837) = -cima*dMHL2_QED2
    coupl(nGC_22838) = -cima*dMHH2_QED2
    coupl(nGC_22839) = -cima*dMHA2_QED2
  end subroutine fill_CTcouplings_mdl7
end module fill_ctcouplings7
