!******************************************************************************!
!                                                                              !
!    ctparameter104.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter104.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter104
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter104()
  OS2_Hvv_da_QED3 = (4d0*cima*pi**2d0*Ten1035*cMHA**2d0*ca*cb*ee**3d0*(-ca*sb  &
                     + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*     &
                    Ten1036*cMHC**2d0*ca*cb*ee**3d0*(-ca*sb + cb*sa)/(cMW*sb*sw&
                    **3d0) + 8d0*cima*pi**2d0*Ten1037*cMHC**2d0*ca*cb*ee**3d0  &
                    *(-ca*sb + cb*sa)/(cMW*sb*sw**3d0) + 16d0*cima*pi**2d0*    &
                    Ten1038*cMW*ca*ee**3d0*(cMHH**2d0*ca*cb + cMHH**2d0*sa*sb  &
                     - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(cMHH**2d0*sw**&
                    3d0) + 4d0*cima*pi**2d0*Ten1039*cMHA**2d0*ca*cb*ee**3d0*(- &
                    ca*sb + cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*&
                    Ten1040*cMW*ca*ee**3d0*(cMHH**2d0*ca*cb*cw**2d0 + cMHH**2d0&
                    *cw**2d0*sa*sb - 2d0*cMW**2d0*ca*cb - 2d0*cMW**2d0*sa*sb)/(&
                    cMHH**2d0*cw**6d0*sw**3d0) + 32d0*cima*pi**2d0*Ten1041*cMW*&
                    ee**3d0*(cMHH**2d0*ca*sa*sb - cMHH**2d0*cb*sa**2d0 - cMHL**&
                    2d0*ca**2d0*cb - cMHL**2d0*ca*sa*sb)/(cMHH**2d0*cMHL**2d0* &
                    sw**3d0) + 16d0*cima*pi**2d0*Ten1042*cMW*ee**3d0*(cMHH**2d0&
                    *ca*sa*sb - cMHH**2d0*cb*sa**2d0 - cMHL**2d0*ca**2d0*cb -  &
                    cMHL**2d0*ca*sa*sb)/(cMHH**2d0*cMHL**2d0*cw**4d0*sw**3d0   &
                    ) + 4d0*cima*pi**2d0*Ten1046*ca*cb*ee**3d0*(ca*sb - cb*sa  &
                    )/(cMW*cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*Ten1047*ca*cb&
                    *ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0) + 8d0*cima*pi**  &
                    2d0*Ten1048*ca*cb*ee**3d0*(ca*sb - cb*sa)/(cMW*sb*sw**3d0  &
                    ) + 16d0*cima*pi**2d0*Ten1049*ca*ee**3d0*(-cMHH**2d0*ca*cb &
                     - cMHH**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW**2d0*sa* &
                    sb)/(cMHH**2d0*cMW*sw**3d0) + 4d0*cima*pi**2d0*Ten1050*ca* &
                    cb*ee**3d0*(ca*sb - cb*sa)/(cMW*cw**2d0*sb*sw**3d0) + 8d0* &
                    cima*pi**2d0*Ten1051*ca*ee**3d0*(-cMHH**2d0*ca*cb*cw**2d0  &
                     - cMHH**2d0*cw**2d0*sa*sb + 2d0*cMW**2d0*ca*cb + 2d0*cMW**&
                    2d0*sa*sb)/(cMHH**2d0*cMW*cw**4d0*sw**3d0) + 4d0*cima*pi** &
                    2d0*Ten1052*cMHA**2d0*cb*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW* &
                    cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*Ten1053*cMHC**2d0*cb&
                    *ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*sb*sw**3d0) + 8d0*cima*pi&
                    **2d0*Ten1054*cMHC**2d0*cb*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW&
                    *sb*sw**3d0) + 16d0*cima*pi**2d0*Ten1055*cMW*ee**3d0*sa*(- &
                    cMHL**2d0*ca*sb + cMHL**2d0*cb*sa + 2d0*cMW**2d0*ca*sb -   &
                    2d0*cMW**2d0*cb*sa)/(cMHL**2d0*sw**3d0) + 4d0*cima*pi**2d0*&
                    Ten1056*cMHA**2d0*cb*ee**3d0*sa*(-ca*cb - sa*sb)/(cMW*cw** &
                    2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*Ten1057*cMW*ee**3d0*sa  &
                    *(-cMHL**2d0*ca*cw**2d0*sb + cMHL**2d0*cb*cw**2d0*sa + 2d0*&
                    cMW**2d0*ca*sb - 2d0*cMW**2d0*cb*sa)/(cMHL**2d0*cw**6d0*sw &
                    **3d0) + 4d0*cima*pi**2d0*Ten1058*cb*ee**3d0*sa*(ca*cb + sa&
                    *sb)/(cMW*cw**2d0*sb*sw**3d0) + 8d0*cima*pi**2d0*Ten1059*cb&
                    *ee**3d0*sa*(ca*cb + sa*sb)/(cMW*sb*sw**3d0) + 8d0*cima*pi &
                    **2d0*Ten1060*cb*ee**3d0*sa*(ca*cb + sa*sb)/(cMW*sb*sw**3d0&
                    ) + 16d0*cima*pi**2d0*Ten1061*ee**3d0*sa*(cMHL**2d0*ca*sb  &
                     - cMHL**2d0*cb*sa - 2d0*cMW**2d0*ca*sb + 2d0*cMW**2d0*cb* &
                    sa)/(cMHL**2d0*cMW*sw**3d0) + 4d0*cima*pi**2d0*Ten1062*cb* &
                    ee**3d0*sa*(ca*cb + sa*sb)/(cMW*cw**2d0*sb*sw**3d0) + 8d0* &
                    cima*pi**2d0*Ten1063*ee**3d0*sa*(cMHL**2d0*ca*cw**2d0*sb - &
                    cMHL**2d0*cb*cw**2d0*sa - 2d0*cMW**2d0*ca*sb + 2d0*cMW**2d0&
                    *cb*sa)/(cMHL**2d0*cMW*cw**4d0*sw**3d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      OS2_Hvv_da_QED3 = cone*real(OS2_Hvv_da_QED3,kind=dp)
    end if 
end subroutine set_ctparameter104
end module ctparameter104
