!******************************************************************************!
!                                                                              !
!    ctparameter131.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter131.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter131
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter131()
  if (dZdL_QED2_scheme .eq. 2) then
    dZdL_QED2 = (Ten452*coupl(nGC_1)**2d0 + Ten512*(-2d0*coupl(nGC_209)**2d0 + &
                coupl(nGC_350)**2d0) + Ten513*coupl(nGC_347)**2d0 - Ten514*    &
                coupl(nGC_348)**2d0 - Ten515*coupl(nGC_345)**2d0 + Ten546*coupl&
                (nGC_382)**2d0 + Ten547*(-2d0*coupl(nGC_197)**2d0 - coupl(     &
                nGC_385)**2d0) + Ten548*coupl(nGC_382)**2d0 + pi**2d0*(-coupl( &
                nGC_197)**2d0/pi**2d0 - coupl(nGC_209)**2d0/pi**2d0))/(16d0*pi &
                **2d0)
    if (.not. complex_mass_scheme) then
      dZdL_QED2 = cone*real(dZdL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter131
end module ctparameter131
