!******************************************************************************!
!                                                                              !
!    ctparameter143.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter143.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter143
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter143()
  if (dZtauMinusL_QED2_scheme .eq. 0) then
    dZtauMinusL_QED2 = (2d0*Ten807*coupl(nGC_4)**2d0 - Ten808*coupl(nGC_377)** &
                       2d0 + Ten809*coupl(nGC_375)**2d0 + Ten810*coupl(nGC_378 &
                       )**2d0 + Ten811*(-2d0*coupl(nGC_211)**2d0 + coupl(      &
                       nGC_380)**2d0) + 2d0*Ten812*coupl(nGC_4)**2d0 - 2d0*    &
                       Ten813*coupl(nGC_197)**2d0 - Ten815*coupl(nGC_377)**2d0 &
                        + Ten816*coupl(nGC_375)**2d0 + Ten817*coupl(nGC_378)** &
                       2d0 + 2d0*Ten819*cMTA*rMTA*(-4d0*coupl(nGC_208)*coupl(  &
                       nGC_211) + coupl(nGC_380)**2d0) + 4d0*Ten820*coupl(nGC_4&
                       )**2d0*rMTA*(-2d0*cMTA + rMTA) + 2d0*Ten821*coupl(      &
                       nGC_377)**2d0*rMTA*(cMTA - rMTA) + 2d0*Ten822*coupl(    &
                       nGC_375)**2d0*rMTA*(cMTA + rMTA) + 2d0*Ten823*coupl(    &
                       nGC_378)**2d0*rMTA*(cMTA + rMTA) + 2d0*Ten824*rMTA**2d0 &
                       *(-coupl(nGC_208)**2d0 - coupl(nGC_211)**2d0 + coupl(   &
                       nGC_380)**2d0) + 4d0*Ten825*coupl(nGC_4)**2d0*rMTA**2d0 &
                        + Ten826*rMTA**2d0*(-2d0*coupl(nGC_197)**2d0 - coupl(  &
                       nGC_379)**2d0) - Ten827*coupl(nGC_376)**2d0*rMTA**2d0 - &
                       2d0*Ten828*coupl(nGC_377)**2d0*rMTA**2d0 + 2d0*Ten829*  &
                       coupl(nGC_375)**2d0*rMTA**2d0 + 2d0*Ten830*coupl(nGC_378&
                       )**2d0*rMTA**2d0 + pi**2d0*(-coupl(nGC_197)**2d0/pi**2d0&
                        - coupl(nGC_211)**2d0/pi**2d0 - coupl(nGC_4)**2d0/pi** &
                       2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZtauMinusL_QED2 = cone*real(dZtauMinusL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter143
end module ctparameter143
