!******************************************************************************!
!                                                                              !
!    ctparameter159.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter159.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter159
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter159()
  dZGMinusHMinus_QED2 = (4d0*Nc*Ten283*cMD*cMU*(-coupl(nGC_346)*coupl(nGC_385  &
                        ) - coupl(nGC_349)*coupl(nGC_382))/cMHC**2d0 + 4d0*Nc* &
                        Ten284*cMC*cMS*(-coupl(nGC_334)*coupl(nGC_367) - coupl(&
                        nGC_337)*coupl(nGC_364))/cMHC**2d0 + 4d0*Nc*Ten285*cMB*&
                        cMT*(-coupl(nGC_340)*coupl(nGC_370) - coupl(nGC_343)*  &
                        coupl(nGC_373))/cMHC**2d0 + 4d0*Nc*Ten288*(-coupl(     &
                        nGC_346)*coupl(nGC_349) - coupl(nGC_382)*coupl(nGC_385 &
                        )) + 16d0*Nc*Ten289*(-coupl(nGC_346)*coupl(nGC_349) -  &
                        coupl(nGC_382)*coupl(nGC_385))/cMHC**2d0 + 4d0*Nc*     &
                        Ten290*(-coupl(nGC_346)*coupl(nGC_349) - coupl(nGC_382 &
                        )*coupl(nGC_385)) + 4d0*Nc*Ten291*(-coupl(nGC_334)*    &
                        coupl(nGC_337) - coupl(nGC_364)*coupl(nGC_367)) + 16d0*&
                        Nc*Ten292*(-coupl(nGC_334)*coupl(nGC_337) - coupl(     &
                        nGC_364)*coupl(nGC_367))/cMHC**2d0 + 4d0*Nc*Ten293*(-  &
                        coupl(nGC_334)*coupl(nGC_337) - coupl(nGC_364)*coupl(  &
                        nGC_367)) + 4d0*Nc*Ten294*(-coupl(nGC_340)*coupl(      &
                        nGC_343) - coupl(nGC_370)*coupl(nGC_373)) + 16d0*Nc*   &
                        Ten295*(-coupl(nGC_340)*coupl(nGC_343) - coupl(nGC_370 &
                        )*coupl(nGC_373))/cMHC**2d0 + 4d0*Nc*Ten296*(-coupl(   &
                        nGC_340)*coupl(nGC_343) - coupl(nGC_370)*coupl(nGC_373 &
                        )) - cima*Ten0*coupl(nGC_129)/cMHC**2d0 - cima*Ten1*   &
                        coupl(nGC_55)/cMHC**2d0 - 2d0*cima*Ten13*coupl(nGC_56)/&
                        cMHC**2d0 - cima*Ten14*coupl(nGC_54)/cMHC**2d0 - cima* &
                        Ten2*coupl(nGC_134)/cMHC**2d0 + 2d0*Ten278*coupl(      &
                        nGC_279)*coupl(nGC_287)/cMHC**2d0 + 2d0*Ten279*coupl(  &
                        nGC_277)*coupl(nGC_288)/cMHC**2d0 + 2d0*Ten281*(4d0*   &
                        cMHC**2d0*coupl(nGC_173)*coupl(nGC_178) + coupl(nGC_295&
                        )*coupl(nGC_311))/cMHC**2d0 + 2d0*Ten282*(4d0*cMHC**2d0&
                        *coupl(nGC_173)*coupl(nGC_179) + coupl(nGC_293)*coupl( &
                        nGC_309))/cMHC**2d0 - 4d0*Ten297*coupl(nGC_352)*coupl( &
                        nGC_355) - 4d0*Ten298*coupl(nGC_358)*coupl(nGC_361) -  &
                        4d0*Ten299*coupl(nGC_376)*coupl(nGC_379) - 2d0*cima*   &
                        Ten3*coupl(nGC_57)/cMHC**2d0 - 16d0*Ten300*coupl(      &
                        nGC_352)*coupl(nGC_355)/cMHC**2d0 - 16d0*Ten301*coupl( &
                        nGC_358)*coupl(nGC_361)/cMHC**2d0 - 16d0*Ten302*coupl( &
                        nGC_376)*coupl(nGC_379)/cMHC**2d0 - 4d0*Ten303*coupl(  &
                        nGC_352)*coupl(nGC_355) - 4d0*Ten304*coupl(nGC_358)*   &
                        coupl(nGC_361) - 4d0*Ten305*coupl(nGC_376)*coupl(      &
                        nGC_379) + pi**2d0*(2d0*Nc*cMB**2d0*coupl(nGC_340)*    &
                        coupl(nGC_343)/(pi**2d0*cMHC**2d0) + 2d0*Nc*cMB**2d0*  &
                        coupl(nGC_370)*coupl(nGC_373)/(pi**2d0*cMHC**2d0) + 2d0&
                        *Nc*cMC**2d0*coupl(nGC_334)*coupl(nGC_337)/(pi**2d0*   &
                        cMHC**2d0) + 2d0*Nc*cMC**2d0*coupl(nGC_364)*coupl(     &
                        nGC_367)/(pi**2d0*cMHC**2d0) + 2d0*Nc*cMD**2d0*coupl(  &
                        nGC_346)*coupl(nGC_349)/(pi**2d0*cMHC**2d0) + 2d0*Nc*  &
                        cMD**2d0*coupl(nGC_382)*coupl(nGC_385)/(pi**2d0*cMHC** &
                        2d0) - 2d0*Nc*coupl(nGC_334)*coupl(nGC_337)/(3d0*pi**  &
                        2d0) - 2d0*Nc*coupl(nGC_340)*coupl(nGC_343)/(3d0*pi**  &
                        2d0) - 2d0*Nc*coupl(nGC_346)*coupl(nGC_349)/(3d0*pi**  &
                        2d0) - 2d0*Nc*coupl(nGC_364)*coupl(nGC_367)/(3d0*pi**  &
                        2d0) - 2d0*Nc*coupl(nGC_370)*coupl(nGC_373)/(3d0*pi**  &
                        2d0) - 2d0*Nc*coupl(nGC_382)*coupl(nGC_385)/(3d0*pi**  &
                        2d0) + 2d0*Nc*cMS**2d0*coupl(nGC_334)*coupl(nGC_337)/( &
                        pi**2d0*cMHC**2d0) + 2d0*Nc*cMS**2d0*coupl(nGC_364)*   &
                        coupl(nGC_367)/(pi**2d0*cMHC**2d0) + 2d0*Nc*cMT**2d0*  &
                        coupl(nGC_340)*coupl(nGC_343)/(pi**2d0*cMHC**2d0) + 2d0&
                        *Nc*cMT**2d0*coupl(nGC_370)*coupl(nGC_373)/(pi**2d0*   &
                        cMHC**2d0) + 2d0*Nc*cMU**2d0*coupl(nGC_346)*coupl(     &
                        nGC_349)/(pi**2d0*cMHC**2d0) + 2d0*Nc*cMU**2d0*coupl(  &
                        nGC_382)*coupl(nGC_385)/(pi**2d0*cMHC**2d0) + 2d0*cME**&
                        2d0*coupl(nGC_352)*coupl(nGC_355)/(pi**2d0*cMHC**2d0   &
                        ) - 2d0*coupl(nGC_352)*coupl(nGC_355)/(3d0*pi**2d0) -  &
                        2d0*coupl(nGC_358)*coupl(nGC_361)/(3d0*pi**2d0) - 2d0* &
                        coupl(nGC_376)*coupl(nGC_379)/(3d0*pi**2d0) + 2d0*cMM**&
                        2d0*coupl(nGC_358)*coupl(nGC_361)/(pi**2d0*cMHC**2d0   &
                        ) + 2d0*cMTA**2d0*coupl(nGC_376)*coupl(nGC_379)/(pi**  &
                        2d0*cMHC**2d0) - 4d0*coupl(nGC_231)*coupl(nGC_237)/(pi &
                        **2d0*cMHC**2d0) - 4d0*coupl(nGC_321)*coupl(nGC_324)/( &
                        pi**2d0*cMHC**2d0)))/(16d0*pi**2d0) - 2d0*cima*coupl(  &
                        nGC_252)*dtHl_QED1/(cMHC**2d0*cMHL**2d0) - 2d0*cima*   &
                        coupl(nGC_244)*dtHh_QED1/(cMHC**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZGMinusHMinus_QED2 = cone*real(dZGMinusHMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter159
end module ctparameter159
