!******************************************************************************!
!                                                                              !
!    ctparameter183.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter183.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter183
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter183()
  dZHaG0_QED2 = (8d0*Nc*Ten393*cMU**2d0*coupl(nGC_383)*coupl(nGC_386)/cMHA**2d0&
                 + 8d0*Nc*Ten394*cMC**2d0*coupl(nGC_335)*coupl(nGC_338)/cMHA** &
                2d0 + 8d0*Nc*Ten395*cMT**2d0*coupl(nGC_371)*coupl(nGC_374)/cMHA&
                **2d0 + 8d0*Nc*Ten396*cMD**2d0*coupl(nGC_347)*coupl(nGC_350)/  &
                cMHA**2d0 + 8d0*Nc*Ten397*cMS**2d0*coupl(nGC_365)*coupl(nGC_368&
                )/cMHA**2d0 + 8d0*Nc*Ten398*cMB**2d0*coupl(nGC_341)*coupl(     &
                nGC_344)/cMHA**2d0 - 32d0*Nc*Ten405*coupl(nGC_383)*coupl(      &
                nGC_386)/cMHA**2d0 - 32d0*Nc*Ten406*coupl(nGC_335)*coupl(      &
                nGC_338)/cMHA**2d0 - 32d0*Nc*Ten407*coupl(nGC_371)*coupl(      &
                nGC_374)/cMHA**2d0 - 32d0*Nc*Ten408*coupl(nGC_347)*coupl(      &
                nGC_350)/cMHA**2d0 - 32d0*Nc*Ten409*coupl(nGC_365)*coupl(      &
                nGC_368)/cMHA**2d0 - 32d0*Nc*Ten410*coupl(nGC_341)*coupl(      &
                nGC_344)/cMHA**2d0 + cima*Ten0*coupl(nGC_131)/cMHA**2d0 + cima*&
                Ten1*coupl(nGC_59)/cMHA**2d0 + 2d0*cima*Ten13*coupl(nGC_54)/   &
                cMHA**2d0 + cima*Ten14*coupl(nGC_58)/cMHA**2d0 + cima*Ten2*    &
                coupl(nGC_135)/cMHA**2d0 + 2d0*cima*Ten3*coupl(nGC_55)/cMHA**  &
                2d0 - 2d0*Ten388*coupl(nGC_296)*coupl(nGC_312)/cMHA**2d0 - 2d0*&
                Ten389*coupl(nGC_294)*coupl(nGC_310)/cMHA**2d0 + 8d0*Ten390*cME&
                **2d0*coupl(nGC_353)*coupl(nGC_356)/cMHA**2d0 + 8d0*Ten391*cMM &
                **2d0*coupl(nGC_359)*coupl(nGC_362)/cMHA**2d0 + 8d0*Ten392*cMTA&
                **2d0*coupl(nGC_377)*coupl(nGC_380)/cMHA**2d0 - 2d0*Ten400*    &
                coupl(nGC_280)*coupl(nGC_290)/cMHA**2d0 - 2d0*Ten401*coupl(    &
                nGC_278)*coupl(nGC_289)/cMHA**2d0 - 32d0*Ten402*coupl(nGC_353)*&
                coupl(nGC_356)/cMHA**2d0 - 32d0*Ten403*coupl(nGC_359)*coupl(   &
                nGC_362)/cMHA**2d0 - 32d0*Ten404*coupl(nGC_377)*coupl(nGC_380)/&
                cMHA**2d0 + pi**2d0*(8d0*Nc*cMB**2d0*coupl(nGC_341)*coupl(     &
                nGC_344)/(pi**2d0*cMHA**2d0) + 8d0*Nc*cMC**2d0*coupl(nGC_335)* &
                coupl(nGC_338)/(pi**2d0*cMHA**2d0) + 8d0*Nc*cMD**2d0*coupl(    &
                nGC_347)*coupl(nGC_350)/(pi**2d0*cMHA**2d0) + 8d0*Nc*cMS**2d0* &
                coupl(nGC_365)*coupl(nGC_368)/(pi**2d0*cMHA**2d0) + 8d0*Nc*cMT &
                **2d0*coupl(nGC_371)*coupl(nGC_374)/(pi**2d0*cMHA**2d0) + 8d0* &
                Nc*cMU**2d0*coupl(nGC_383)*coupl(nGC_386)/(pi**2d0*cMHA**2d0   &
                ) + 8d0*cME**2d0*coupl(nGC_353)*coupl(nGC_356)/(pi**2d0*cMHA** &
                2d0) + 8d0*cMM**2d0*coupl(nGC_359)*coupl(nGC_362)/(pi**2d0*cMHA&
                **2d0) + 8d0*cMTA**2d0*coupl(nGC_377)*coupl(nGC_380)/(pi**2d0* &
                cMHA**2d0)))/(16d0*pi**2d0) + 2d0*cima*coupl(nGC_253)*dtHl_QED1&
                /(cMHA**2d0*cMHL**2d0) + 2d0*cima*coupl(nGC_245)*dtHh_QED1/(   &
                cMHA**2d0*cMHH**2d0)
    if (.not. complex_mass_scheme) then
      dZHaG0_QED2 = cone*real(dZHaG0_QED2,kind=dp)
    end if 
end subroutine set_ctparameter183
end module ctparameter183
