!******************************************************************************!
!                                                                              !
!    ctparameter187.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter187.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter187
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter187()
  dr_QED2 = cMW**2d0*dMZ2_QED2*ee/(cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ &
            **2d0)*(-cMW**2d0 + cMZ**2d0)) + 2d0*dZeeZM_QED2*ee*(cMW**2d0 - cMZ&
            **2d0)/(gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + cMZ**&
            2d0)) + (4d0*Nc*Ten270*coupl(nGC_197)**2d0*(cMW**2d0 - cMZ**2d0)/( &
            cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Nc*Ten271*coupl(nGC_197)**  &
            2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0* &
            Nc*Ten272*coupl(nGC_197)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW&
            **2d0 + cMZ**2d0)) + cima*Ten0*coupl(nGC_77)/(2d0*cMW**2d0) + cima*&
            Ten1*(-cMW**2d0*coupl(nGC_100) + 4d0*cMW**2d0*coupl(nGC_195) + 2d0*&
            cMW**2d0*coupl(nGC_196) + cMZ**2d0*coupl(nGC_100) - 4d0*cMZ**2d0*  &
            coupl(nGC_195) - 2d0*cMZ**2d0*coupl(nGC_196))/(2d0*cMW**2d0*(-cMW**&
            2d0 + cMZ**2d0)) + Ten1016*(-16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4&
            ) - cMW**2d0*coupl(nGC_5)**2d0 - cMW**2d0*coupl(nGC_6)**2d0 + 16d0*&
            cMZ**2d0*coupl(nGC_3)*coupl(nGC_4) + cMZ**2d0*coupl(nGC_5)**2d0 +  &
            cMZ**2d0*coupl(nGC_6)**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0&
            *Ten1017*coupl(nGC_178)*coupl(nGC_179)/cMW**2d0 + 4d0*Ten1018*coupl&
            (nGC_172)*coupl(nGC_173)/cMW**2d0 + Ten1019*(-4d0*cMW**2d0*coupl(  &
            nGC_184)**2d0 - 16d0*cMW**2d0*coupl(nGC_198)*coupl(nGC_199) - cMW**&
            2d0*coupl(nGC_200)**2d0 - cMW**2d0*coupl(nGC_201)**2d0 + 4d0*cMZ** &
            2d0*coupl(nGC_184)**2d0 + 16d0*cMZ**2d0*coupl(nGC_198)*coupl(      &
            nGC_199) + cMZ**2d0*coupl(nGC_200)**2d0 + cMZ**2d0*coupl(nGC_201)**&
            2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten1020*coupl(nGC_172 &
            )*coupl(nGC_173)/cMW**2d0 + 4d0*Ten1021*coupl(nGC_178)*coupl(      &
            nGC_179)/cMW**2d0 + 4d0*Ten1022*coupl(nGC_184)**2d0/cMW**2d0 + cima&
            *Ten13*coupl(nGC_100)/cMW**2d0 + cima*Ten14*coupl(nGC_100)/(2d0*cMW&
            **2d0) + cima*Ten2*coupl(nGC_77)/(2d0*cMW**2d0) + Ten258*coupl(    &
            nGC_326)**2d0/cMW**2d0 + Ten259*(-cMW**2d0*coupl(nGC_273)*coupl(   &
            nGC_276) - cMW**2d0*coupl(nGC_286)**2d0 + cMZ**2d0*coupl(nGC_273)* &
            coupl(nGC_276) + cMZ**2d0*coupl(nGC_286)**2d0)/(cMW**2d0*(-cMW**2d0&
             + cMZ**2d0)) + Ten260*coupl(nGC_261)**2d0/cMW**2d0 + Ten261*coupl(&
            nGC_272)**2d0/cMW**2d0 + 4d0*Ten273*coupl(nGC_197)**2d0*(cMW**2d0  &
             - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + 4d0*Ten274*coupl( &
            nGC_197)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0*(-cMW**2d0 + cMZ**2d0&
            )) + 4d0*Ten275*coupl(nGC_197)**2d0*(cMW**2d0 - cMZ**2d0)/(cMW**2d0&
            *(-cMW**2d0 + cMZ**2d0)) + cima*Ten3*(-cMW**2d0*coupl(nGC_100) +   &
            2d0*cMW**2d0*coupl(nGC_190) + 2d0*cMW**2d0*coupl(nGC_191) + cMZ**  &
            2d0*coupl(nGC_100) - 2d0*cMZ**2d0*coupl(nGC_190) - 2d0*cMZ**2d0*   &
            coupl(nGC_191))/(cMW**2d0*(-cMW**2d0 + cMZ**2d0)) + pi**2d0*(-32d0*&
            Nc*cMB**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_197)** &
            2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**&
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMB**2d0*cMHH**2d0*&
            cMHL**2d0*cMZ**4d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**  &
            2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**&
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0)) - 32d0*Nc*cMC**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**2d0* &
            coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc* &
            cMC**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_197)**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +  &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*&
            cMW**2d0*cMZ**2d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*&
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)) + 32d0*Nc*cMD**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_197&
            )**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*   &
            cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0* &
            gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*Nc*cMHH**2d0*cMHL&
            **2d0*cMS**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_197)**2d0*gw*sw**2d0*   &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*&
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMHH**2d0*cMHL**2d0*cMS**2d0*cMZ**&
            4d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0   &
            )/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0* &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0&
            *Nc*cMHH**2d0*cMHL**2d0*cMT**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_197)**&
            2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**&
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc*cMHH**2d0*cMHL**2d0&
            *cMT**2d0*cMZ**4d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**  &
            2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**&
            2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0)) - 32d0*Nc*cMHH**2d0*cMHL**2d0*cMU**2d0*cMW**2d0*cMZ**2d0* &
            coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*Nc* &
            cMHH**2d0*cMHL**2d0*cMU**2d0*cMZ**4d0*coupl(nGC_197)**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +  &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cME**2d0*cMHH**2d0*cMHL**2d0*cMW&
            **2d0*cMZ**2d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ** &
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)) + 32d0*cME**2d0*cMHH**2d0*cMHL**2d0*cMZ**4d0*coupl(nGC_197)**&
            2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**&
            2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 &
             + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw &
            **2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cMHH**2d0*cMHL**2d0*  &
            cMM**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW&
            **2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0* &
            cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) + 32d0*cMHH**2d0*cMHL**2d0*cMM**2d0*cMZ**4d0*coupl(  &
            nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**&
            2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ** &
            4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cMHH**2d0*   &
            cMHL**2d0*cMTA**2d0*cMW**2d0*cMZ**2d0*coupl(nGC_197)**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) +  &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0*cMHH**2d0*cMHL**2d0*cMTA**2d0*  &
            cMZ**4d0*coupl(nGC_197)**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +  &
            1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - &
            32d0*cima*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*coupl(nGC_191)*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cMHH**2d0*cMHL**2d0*cMW &
            **4d0*cMZ**2d0*coupl(nGC_198)*coupl(nGC_199)*gw*sw**2d0*sqrt(-cMW**&
            2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ&
            **2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH&
            **2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)) + 64d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*coupl(    &
            nGC_3)*coupl(nGC_4)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-   &
            32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt &
            (-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**&
            2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 64d0*cMHH&
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw**3d0*sw**2d0*sqrt(-cMW**2d0/  &
            cMZ**2d0 + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW&
            **4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi &
            **2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW** &
            2d0/cMZ**2d0 + 1d0)) + 64d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0* &
            gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH &
            **2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 16d0*cMHH**2d0*cMHL**2d0*&
            cMW**4d0*cMZ**2d0*gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**  &
            2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL** &
            2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + &
            32d0*cima*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_191)*gw* &
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 32d0*cima*cMHH**2d0*cMHL**2d0&
            *cMW**2d0*cMZ**4d0*coupl(nGC_195)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**  &
            2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0)) - 64d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*coupl(nGC_3)*   &
            coupl(nGC_4)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi** &
            2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ** &
            4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) - 64d0*cMHH**2d0*   &
            cMHL**2d0*cMW**2d0*cMZ**4d0*gw**3d0*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0&
             + 1d0)*log(cw**2d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*  &
            cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0* &
            cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ&
            **2d0 + 1d0)) - 64d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw**3d0*&
            sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*   &
            cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 +   &
            1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**  &
            2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 16d0*cMHH**2d0*cMHL**2d0*cMW &
            **2d0*cMZ**4d0*gw**3d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)*log(cw**2d0  &
            )/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0* &
            sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0* &
            cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)) + 32d0&
            *cima*cMHH**2d0*cMHL**2d0*cMZ**6d0*coupl(nGC_195)*gw*sw**2d0*sqrt(-&
            cMW**2d0/cMZ**2d0 + 1d0)/(-32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**  &
            4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0) + 32d0*pi** &
            2d0*cMHH**2d0*cMHL**2d0*cMW**2d0*cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0&
            /cMZ**2d0 + 1d0)) - 64d0*cMHH**2d0*cMHL**2d0*cMZ**6d0*coupl(nGC_198&
            )*coupl(nGC_199)*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0)/(-32d0* &
            pi**2d0*cMHH**2d0*cMHL**2d0*cMW**4d0*cMZ**2d0*gw*sw**2d0*sqrt(-cMW &
            **2d0/cMZ**2d0 + 1d0) + 32d0*pi**2d0*cMHH**2d0*cMHL**2d0*cMW**2d0* &
            cMZ**4d0*gw*sw**2d0*sqrt(-cMW**2d0/cMZ**2d0 + 1d0))))/(16d0*pi**2d0&
            ) + dMW2_QED2*(-cMW**2d0*ee - cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**  &
            2d0)/cMZ**2d0) + cMZ**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0  &
            ))/(cMW**2d0*gw*sqrt((-cMW**2d0 + cMZ**2d0)/cMZ**2d0)*(-cMW**2d0 + &
            cMZ**2d0)) + cima*coupl(nGC_261)*dtHl_QED1/(cMHL**2d0*cMW**2d0) +  &
            cima*coupl(nGC_272)*dtHh_QED1/(cMHH**2d0*cMW**2d0)
    if (.not. complex_mass_scheme) then
      dr_QED2 = cone*real(dr_QED2,kind=dp)
    end if 
end subroutine set_ctparameter187
end module ctparameter187
