!******************************************************************************!
!                                                                              !
!    ctparameter193.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter193.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter193
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter193()
  if (db_QED2_scheme .eq. 0) then
    db_QED2 = cb*dZHh_MS_BSM_QED2*sb/(2d0*(-ca**2d0 + sa**2d0)) - cb*          &
              dZHl_MS_BSM_QED2*sb/(2d0*(-ca**2d0 + sa**2d0)) + dtHl_QED1*(-ca**&
              3d0*cb - ca**2d0*sa*sb + ca*cb*sa**2d0 + sa**3d0*sb)/(cMHL**2d0* &
              vev*(-ca**2d0 + sa**2d0)) + dtHh_QED1*(ca**3d0*sb - ca**2d0*cb*sa&
               - ca*sa**2d0*sb + cb*sa**3d0)/(cMHH**2d0*vev*(-ca**2d0 + sa**2d0&
              ))
    if (.not. complex_mass_scheme) then
      db_QED2 = cone*real(db_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter193
end module ctparameter193
