!******************************************************************************!
!                                                                              !
!    ctparameter196.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter196.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:14             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter196
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter196()
  if (db_QED2_scheme .eq. 3) then
    db_QED2 = -cima*OS2_Hvv_da_QED3*cMW*ca*cb*sw/(16d0*pi**2d0*ee*sa) -        &
              OS2_Hvv_db_QED3*cMW*sw/(16d0*pi**2d0*ee*sa) - ca**2d0*cb*        &
              dZHl_QED2/(2d0*sb) - ca*cb*dZHhHl_QED2*sa/(2d0*sb) - ca*cb*      &
              dZHlHh_QED2*sa/(2d0*sb) + cb*dZHa_QED2/(2d0*sb) - cb*dZHh_QED2*sa&
              **2d0/(2d0*sb) + dZG0Ha_QED2/2d0
    if (.not. complex_mass_scheme) then
      db_QED2 = cone*real(db_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter196
end module ctparameter196
