!******************************************************************************!
!                                                                              !
!    ctparameter27.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter27.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter27
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter27()
  if (dZsR_QED2_scheme .eq. 0) then
    dZsR_QED2 = (2d0*Ten610*coupl(nGC_1)**2d0 - Ten611*coupl(nGC_365)**2d0 +   &
                Ten612*coupl(nGC_366)**2d0 + Ten613*coupl(nGC_363)**2d0 +      &
                Ten614*(-2d0*coupl(nGC_206)**2d0 + coupl(nGC_368)**2d0) + 2d0* &
                Ten615*coupl(nGC_1)**2d0 - Ten616*coupl(nGC_367)**2d0 - Ten617*&
                coupl(nGC_364)**2d0 - Ten618*coupl(nGC_365)**2d0 + Ten619*coupl&
                (nGC_366)**2d0 + Ten620*coupl(nGC_363)**2d0 + 2d0*Ten624*cMS** &
                2d0*(-4d0*coupl(nGC_206)*coupl(nGC_209) + coupl(nGC_368)**2d0  &
                ) - 4d0*Ten625*cMS**2d0*coupl(nGC_1)**2d0 + 2d0*Ten626*cMC*cMS*&
                coupl(nGC_337)*coupl(nGC_367) + 2d0*Ten627*cMC*cMS*coupl(      &
                nGC_334)*coupl(nGC_364) + 4d0*Ten629*cMS**2d0*coupl(nGC_366)** &
                2d0 + 4d0*Ten630*cMS**2d0*coupl(nGC_363)**2d0 + 2d0*Ten631*cMS &
                **2d0*(-coupl(nGC_206)**2d0 - coupl(nGC_209)**2d0 + coupl(     &
                nGC_368)**2d0) + 4d0*Ten632*cMS**2d0*coupl(nGC_1)**2d0 + Ten633&
                *cMS**2d0*(-2d0*coupl(nGC_197)**2d0 - coupl(nGC_337)**2d0 -    &
                coupl(nGC_367)**2d0) + Ten634*cMS**2d0*(-coupl(nGC_334)**2d0 - &
                coupl(nGC_364)**2d0) - 2d0*Ten635*cMS**2d0*coupl(nGC_365)**2d0 &
                 + 2d0*Ten636*cMS**2d0*coupl(nGC_366)**2d0 + 2d0*Ten637*cMS**  &
                2d0*coupl(nGC_363)**2d0 + pi**2d0*(-coupl(nGC_1)**2d0/pi**2d0  &
                 - coupl(nGC_206)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter27
end module ctparameter27
