!******************************************************************************!
!                                                                              !
!    ctparameter28.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter28.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter28
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter28()
  if (dZsR_QED2_scheme .eq. 1) then
    dZsR_QED2 = (2d0*Ten610*coupl(nGC_1)**2d0 - 2d0*Ten614*coupl(nGC_206)**2d0 &
                 + 2d0*Ten615*coupl(nGC_1)**2d0 - 4d0*Ten625*cMS_reg**2d0*coupl&
                (nGC_1)**2d0 + 4d0*Ten632*cMS_reg**2d0*coupl(nGC_1)**2d0 + pi**&
                2d0*(-coupl(nGC_1)**2d0/pi**2d0 - coupl(nGC_206)**2d0/pi**2d0  &
                ))/(16d0*pi**2d0)
    dZsR_QED2 = cone*real(dZsR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter28
end module ctparameter28
