!******************************************************************************!
!                                                                              !
!    ctparameter50.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter50.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter50
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter50()
  if (dZbL_QED2_scheme .eq. 0) then
    dZbL_QED2 = (2d0*Ten642*coupl(nGC_1)**2d0 + Ten643*coupl(nGC_370)**2d0 +   &
                Ten644*(-2d0*coupl(nGC_209)**2d0 + coupl(nGC_341)**2d0) +      &
                Ten645*coupl(nGC_344)**2d0 - Ten646*coupl(nGC_339)**2d0 -      &
                Ten647*coupl(nGC_342)**2d0 + 2d0*Ten648*coupl(nGC_1)**2d0 +    &
                Ten649*(-2d0*coupl(nGC_197)**2d0 - coupl(nGC_373)**2d0) +      &
                Ten650*coupl(nGC_370)**2d0 + 2d0*Ten656*cMB*rMB*(-4d0*coupl(   &
                nGC_206)*coupl(nGC_209) + coupl(nGC_341)**2d0) + 2d0*Ten657*cMB&
                *coupl(nGC_344)**2d0*rMB + 2d0*Ten658*cMB*coupl(nGC_339)**2d0* &
                rMB + 2d0*Ten659*cMB*coupl(nGC_342)**2d0*rMB + 4d0*Ten660*coupl&
                (nGC_1)**2d0*rMB*(-2d0*cMB + rMB) + 2d0*Ten661*cMT*coupl(      &
                nGC_340)*coupl(nGC_373)*rMB + Ten662*rMB*(2d0*cMT*coupl(nGC_343&
                )*coupl(nGC_370) + coupl(nGC_343)**2d0*rMB + coupl(nGC_370)**  &
                2d0*rMB) + 2d0*Ten663*rMB**2d0*(-coupl(nGC_206)**2d0 - coupl(  &
                nGC_209)**2d0 + coupl(nGC_341)**2d0) + 2d0*Ten664*coupl(nGC_344&
                )**2d0*rMB**2d0 - 2d0*Ten665*coupl(nGC_339)**2d0*rMB**2d0 - 2d0&
                *Ten666*coupl(nGC_342)**2d0*rMB**2d0 + 4d0*Ten667*coupl(nGC_1  &
                )**2d0*rMB**2d0 + Ten668*rMB**2d0*(-2d0*coupl(nGC_197)**2d0 -  &
                coupl(nGC_340)**2d0 - coupl(nGC_373)**2d0) + Ten669*rMB**2d0*( &
                coupl(nGC_343)**2d0 + coupl(nGC_370)**2d0) + pi**2d0*(-coupl(  &
                nGC_1)**2d0/pi**2d0 - coupl(nGC_197)**2d0/pi**2d0 - coupl(     &
                nGC_209)**2d0/pi**2d0))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZbL_QED2 = cone*real(dZbL_QED2,kind=dp)
    end if 
  end if 
end subroutine set_ctparameter50
end module ctparameter50
