!******************************************************************************!
!                                                                              !
!    ctparameter54.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter54.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter54
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter54()
  if (dZtauMinusR_QED2_scheme .eq. 1) then
    dZtauMinusR_QED2 = (2d0*Ten831*coupl(nGC_4)**2d0 - 2d0*Ten835*coupl(nGC_208&
                       )**2d0 + 2d0*Ten836*coupl(nGC_4)**2d0 - 4d0*Ten844*     &
                       cMTA_reg**2d0*coupl(nGC_4)**2d0 + 4d0*Ten849*cMTA_reg** &
                       2d0*coupl(nGC_4)**2d0 + pi**2d0*(-coupl(nGC_208)**2d0/pi&
                       **2d0 - coupl(nGC_4)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZtauMinusR_QED2 = cone*real(dZtauMinusR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter54
end module ctparameter54
