!******************************************************************************!
!                                                                              !
!    ctparameter76.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter76.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter76
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter76()
  dZWMinus_QED2 = (Nc*Ten10*coupl(nGC_197)**2d0*(-cMD**2d0 + cMU**2d0)/(3d0*rMW&
                  **4d0) + Nc*Ten1005*coupl(nGC_197)**2d0*(-cMD**4d0 + 2d0*cMD &
                  **2d0*cMU**2d0 - cMD**2d0*rMW**2d0 - cMU**4d0 - cMU**2d0*rMW &
                  **2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten1006*coupl(     &
                  nGC_197)**2d0*(-cMC**4d0 + 2d0*cMC**2d0*cMS**2d0 - cMC**2d0* &
                  rMW**2d0 - cMS**4d0 - cMS**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*&
                  rMW**2d0) + Nc*Ten1007*coupl(nGC_197)**2d0*(-cMB**4d0 + 2d0* &
                  cMB**2d0*cMT**2d0 - cMB**2d0*rMW**2d0 - cMT**4d0 - cMT**2d0* &
                  rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Nc*Ten11*coupl(    &
                  nGC_197)**2d0*(cMC**2d0 - cMS**2d0)/(3d0*rMW**4d0) + Nc*Ten12&
                  *coupl(nGC_197)**2d0*(-cMB**2d0 + cMT**2d0)/(3d0*rMW**4d0) + &
                  Nc*Ten7*coupl(nGC_197)**2d0*(cMD**2d0 - cMU**2d0)/(3d0*rMW** &
                  4d0) + Nc*Ten8*coupl(nGC_197)**2d0*(-cMC**2d0 + cMS**2d0)/(  &
                  3d0*rMW**4d0) + Nc*Ten9*coupl(nGC_197)**2d0*(cMB**2d0 - cMT**&
                  2d0)/(3d0*rMW**4d0) + Nc*Ten993*coupl(nGC_197)**2d0*(cMD**4d0&
                   - 2d0*cMD**2d0*cMU**2d0 + cMU**4d0 + 2d0*rMW**4d0)/(3d0*rMW &
                  **4d0) + Nc*Ten994*coupl(nGC_197)**2d0*(cMC**4d0 - 2d0*cMC** &
                  2d0*cMS**2d0 + cMS**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Nc* &
                  Ten995*coupl(nGC_197)**2d0*(cMB**4d0 - 2d0*cMB**2d0*cMT**2d0 &
                   + cMT**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten0*(cMHC**2d0*&
                  coupl(nGC_178)*coupl(nGC_179) - cMHL**2d0*coupl(nGC_172)*    &
                  coupl(nGC_173) - cMHL**2d0*coupl(nGC_178)*coupl(nGC_179) +   &
                  cMW**2d0*coupl(nGC_172)*coupl(nGC_173))/(3d0*rMW**4d0) + Ten1&
                  *(4d0*cMW**2d0*coupl(nGC_184)**2d0 + 16d0*cMW**2d0*coupl(    &
                  nGC_198)*coupl(nGC_199) + cMW**2d0*coupl(nGC_200)**2d0 + cMW &
                  **2d0*coupl(nGC_201)**2d0 - 4d0*cMZ**2d0*coupl(nGC_184)**2d0 &
                   - 16d0*cMZ**2d0*coupl(nGC_198)*coupl(nGC_199) - cMZ**2d0*   &
                  coupl(nGC_200)**2d0 - cMZ**2d0*coupl(nGC_201)**2d0)/(12d0*rMW&
                  **4d0) + Ten1000*coupl(nGC_184)**2d0*(-cMHA**4d0 + 2d0*cMHA**&
                  2d0*cMHC**2d0 + 2d0*cMHA**2d0*rMW**2d0 - cMHC**4d0 + 2d0*cMHC&
                  **2d0*rMW**2d0 - rMW**4d0)/(3d0*rMW**2d0) + Ten1001*(-16d0*  &
                  cMW**4d0*coupl(nGC_3)*coupl(nGC_4) - cMW**4d0*coupl(nGC_5)** &
                  2d0 - cMW**4d0*coupl(nGC_6)**2d0 + 32d0*cMW**2d0*coupl(nGC_3 &
                  )*coupl(nGC_4)*rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_5)**2d0*rMW &
                  **2d0 + 2d0*cMW**2d0*coupl(nGC_6)**2d0*rMW**2d0 + 80d0*coupl(&
                  nGC_3)*coupl(nGC_4)*rMW**4d0 + 12d0*coupl(nGC_326)**2d0*rMW**&
                  2d0 - coupl(nGC_5)**2d0*rMW**4d0 - coupl(nGC_6)**2d0*rMW**4d0&
                  )/(12d0*rMW**2d0) + Ten1002*coupl(nGC_197)**2d0*(-cME**4d0 - &
                  cME**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) + Ten1003*  &
                  coupl(nGC_197)**2d0*(-cMM**4d0 - cMM**2d0*rMW**2d0 + 2d0*rMW &
                  **4d0)/(3d0*rMW**2d0) + Ten1004*coupl(nGC_197)**2d0*(-cMTA** &
                  4d0 - cMTA**2d0*rMW**2d0 + 2d0*rMW**4d0)/(3d0*rMW**2d0) +    &
                  Ten1008*coupl(nGC_178)*coupl(nGC_179)*(-cMHC**4d0 + 2d0*cMHC &
                  **2d0*cMHL**2d0 + 2d0*cMHC**2d0*rMW**2d0 - cMHL**4d0 + 2d0*  &
                  cMHL**2d0*rMW**2d0 - rMW**4d0)/(3d0*rMW**2d0) + Ten1009*(-   &
                  cMHH**4d0*coupl(nGC_178)*coupl(nGC_179) + 2d0*cMHH**2d0*cMW**&
                  2d0*coupl(nGC_178)*coupl(nGC_179) + 2d0*cMHH**2d0*coupl(     &
                  nGC_178)*coupl(nGC_179)*rMW**2d0 - cMW**4d0*coupl(nGC_178)*  &
                  coupl(nGC_179) + 2d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179)* &
                  rMW**2d0 - coupl(nGC_178)*coupl(nGC_179)*rMW**4d0 + 3d0*coupl&
                  (nGC_272)**2d0*rMW**2d0)/(3d0*rMW**2d0) + Ten1010*coupl(     &
                  nGC_172)*coupl(nGC_173)*(-cMHC**4d0 + 2d0*cMHC**2d0*cMHH**2d0&
                   + 2d0*cMHC**2d0*rMW**2d0 - cMHH**4d0 + 2d0*cMHH**2d0*rMW**  &
                  2d0 - rMW**4d0)/(3d0*rMW**2d0) + Ten1011*(-cMHL**4d0*coupl(  &
                  nGC_172)*coupl(nGC_173) + 2d0*cMHL**2d0*cMW**2d0*coupl(      &
                  nGC_172)*coupl(nGC_173) + 2d0*cMHL**2d0*coupl(nGC_172)*coupl(&
                  nGC_173)*rMW**2d0 - cMW**4d0*coupl(nGC_172)*coupl(nGC_173) + &
                  2d0*cMW**2d0*coupl(nGC_172)*coupl(nGC_173)*rMW**2d0 - coupl( &
                  nGC_172)*coupl(nGC_173)*rMW**4d0 + 3d0*coupl(nGC_261)**2d0*  &
                  rMW**2d0)/(3d0*rMW**2d0) + Ten13*(cMHA**2d0*coupl(nGC_184)** &
                  2d0 - cMHC**2d0*coupl(nGC_172)*coupl(nGC_173) - cMHC**2d0*   &
                  coupl(nGC_178)*coupl(nGC_179) - cMHC**2d0*coupl(nGC_184)**2d0&
                   + cMHH**2d0*coupl(nGC_172)*coupl(nGC_173) + cMHL**2d0*coupl(&
                  nGC_178)*coupl(nGC_179))/(3d0*rMW**4d0) + Ten14*coupl(nGC_184&
                  )**2d0*(-cMHA**2d0 + cMHC**2d0)/(3d0*rMW**4d0) + Ten195*(4d0*&
                  cME**2d0*coupl(nGC_197)**2d0 + 4d0*cMM**2d0*coupl(nGC_197)** &
                  2d0 + 4d0*cMTA**2d0*coupl(nGC_197)**2d0 + 16d0*cMW**2d0*coupl&
                  (nGC_3)*coupl(nGC_4) + cMW**2d0*coupl(nGC_5)**2d0 + cMW**2d0*&
                  coupl(nGC_6)**2d0)/(12d0*rMW**4d0) + Ten2*(cMHC**2d0*coupl(  &
                  nGC_172)*coupl(nGC_173) - cMHH**2d0*coupl(nGC_172)*coupl(    &
                  nGC_173) - cMHH**2d0*coupl(nGC_178)*coupl(nGC_179) + cMW**2d0&
                  *coupl(nGC_178)*coupl(nGC_179))/(3d0*rMW**4d0) + Ten3*(4d0*  &
                  cMHH**2d0*coupl(nGC_178)*coupl(nGC_179) + 4d0*cMHL**2d0*coupl&
                  (nGC_172)*coupl(nGC_173) - 4d0*cMW**2d0*coupl(nGC_172)*coupl(&
                  nGC_173) - 4d0*cMW**2d0*coupl(nGC_178)*coupl(nGC_179) - 4d0* &
                  cMW**2d0*coupl(nGC_184)**2d0 - 16d0*cMW**2d0*coupl(nGC_198)* &
                  coupl(nGC_199) - cMW**2d0*coupl(nGC_200)**2d0 - cMW**2d0*    &
                  coupl(nGC_201)**2d0 - 16d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_4 &
                  ) - cMW**2d0*coupl(nGC_5)**2d0 - cMW**2d0*coupl(nGC_6)**2d0  &
                   + 4d0*cMZ**2d0*coupl(nGC_184)**2d0 + 16d0*cMZ**2d0*coupl(   &
                  nGC_198)*coupl(nGC_199) + cMZ**2d0*coupl(nGC_200)**2d0 + cMZ &
                  **2d0*coupl(nGC_201)**2d0)/(12d0*rMW**4d0) - Ten4*cME**2d0*  &
                  coupl(nGC_197)**2d0/(3d0*rMW**4d0) - Ten5*cMM**2d0*coupl(    &
                  nGC_197)**2d0/(3d0*rMW**4d0) - Ten6*cMTA**2d0*coupl(nGC_197  &
                  )**2d0/(3d0*rMW**4d0) + Ten958*(16d0*cMW**4d0*coupl(nGC_3)*  &
                  coupl(nGC_4) + cMW**4d0*coupl(nGC_5)**2d0 + cMW**4d0*coupl(  &
                  nGC_6)**2d0 + 80d0*coupl(nGC_3)*coupl(nGC_4)*rMW**4d0 - coupl&
                  (nGC_5)**2d0*rMW**4d0 - coupl(nGC_6)**2d0*rMW**4d0)/(12d0*rMW&
                  **4d0) + Ten960*(4d0*cMW**4d0*coupl(nGC_184)**2d0 + 16d0*cMW &
                  **4d0*coupl(nGC_198)*coupl(nGC_199) + cMW**4d0*coupl(nGC_200 &
                  )**2d0 + cMW**4d0*coupl(nGC_201)**2d0 - 8d0*cMW**2d0*cMZ**2d0&
                  *coupl(nGC_184)**2d0 - 32d0*cMW**2d0*cMZ**2d0*coupl(nGC_198)*&
                  coupl(nGC_199) - 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_200)**2d0 - &
                  2d0*cMW**2d0*cMZ**2d0*coupl(nGC_201)**2d0 + 4d0*cMZ**4d0*    &
                  coupl(nGC_184)**2d0 + 16d0*cMZ**4d0*coupl(nGC_198)*coupl(    &
                  nGC_199) + cMZ**4d0*coupl(nGC_200)**2d0 + cMZ**4d0*coupl(    &
                  nGC_201)**2d0 - 4d0*coupl(nGC_184)**2d0*rMW**4d0 + 80d0*coupl&
                  (nGC_198)*coupl(nGC_199)*rMW**4d0 - coupl(nGC_200)**2d0*rMW**&
                  4d0 - coupl(nGC_201)**2d0*rMW**4d0)/(12d0*rMW**4d0) + Ten963*&
                  coupl(nGC_172)*coupl(nGC_173)*(cMHL**4d0 - 2d0*cMHL**2d0*cMW &
                  **2d0 + cMW**4d0 - rMW**4d0)/(3d0*rMW**4d0) + Ten964*coupl(  &
                  nGC_178)*coupl(nGC_179)*(cMHH**4d0 - 2d0*cMHH**2d0*cMW**2d0  &
                   + cMW**4d0 - rMW**4d0)/(3d0*rMW**4d0) + Ten990*coupl(nGC_197&
                  )**2d0*(cME**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0) + Ten991*    &
                  coupl(nGC_197)**2d0*(cMM**4d0 + 2d0*rMW**4d0)/(3d0*rMW**4d0  &
                  ) + Ten992*coupl(nGC_197)**2d0*(cMTA**4d0 + 2d0*rMW**4d0)/(  &
                  3d0*rMW**4d0) + Ten996*coupl(nGC_178)*coupl(nGC_179)*(cMHC** &
                  4d0 - 2d0*cMHC**2d0*cMHL**2d0 + cMHL**4d0 - rMW**4d0)/(3d0*  &
                  rMW**4d0) + Ten997*coupl(nGC_172)*coupl(nGC_173)*(cMHC**4d0  &
                   - 2d0*cMHC**2d0*cMHH**2d0 + cMHH**4d0 - rMW**4d0)/(3d0*rMW**&
                  4d0) + Ten998*coupl(nGC_184)**2d0*(cMHA**4d0 - 2d0*cMHA**2d0*&
                  cMHC**2d0 + cMHC**4d0 - rMW**4d0)/(3d0*rMW**4d0) + Ten999*(- &
                  4d0*cMW**4d0*coupl(nGC_184)**2d0 - 16d0*cMW**4d0*coupl(      &
                  nGC_198)*coupl(nGC_199) - cMW**4d0*coupl(nGC_200)**2d0 - cMW &
                  **4d0*coupl(nGC_201)**2d0 + 8d0*cMW**2d0*cMZ**2d0*coupl(     &
                  nGC_184)**2d0 + 32d0*cMW**2d0*cMZ**2d0*coupl(nGC_198)*coupl( &
                  nGC_199) + 2d0*cMW**2d0*cMZ**2d0*coupl(nGC_200)**2d0 + 2d0*  &
                  cMW**2d0*cMZ**2d0*coupl(nGC_201)**2d0 + 8d0*cMW**2d0*coupl(  &
                  nGC_184)**2d0*rMW**2d0 + 32d0*cMW**2d0*coupl(nGC_198)*coupl( &
                  nGC_199)*rMW**2d0 + 2d0*cMW**2d0*coupl(nGC_200)**2d0*rMW**2d0&
                   + 2d0*cMW**2d0*coupl(nGC_201)**2d0*rMW**2d0 - 4d0*cMZ**4d0* &
                  coupl(nGC_184)**2d0 - 16d0*cMZ**4d0*coupl(nGC_198)*coupl(    &
                  nGC_199) - cMZ**4d0*coupl(nGC_200)**2d0 - cMZ**4d0*coupl(    &
                  nGC_201)**2d0 + 8d0*cMZ**2d0*coupl(nGC_184)**2d0*rMW**2d0 +  &
                  32d0*cMZ**2d0*coupl(nGC_198)*coupl(nGC_199)*rMW**2d0 + 2d0*  &
                  cMZ**2d0*coupl(nGC_200)**2d0*rMW**2d0 + 2d0*cMZ**2d0*coupl(  &
                  nGC_201)**2d0*rMW**2d0 - 4d0*coupl(nGC_184)**2d0*rMW**4d0 +  &
                  80d0*coupl(nGC_198)*coupl(nGC_199)*rMW**4d0 - coupl(nGC_200  &
                  )**2d0*rMW**4d0 - coupl(nGC_201)**2d0*rMW**4d0 + 12d0*coupl( &
                  nGC_273)*coupl(nGC_276)*rMW**2d0 + 12d0*coupl(nGC_286)**2d0* &
                  rMW**2d0)/(12d0*rMW**2d0) + pi**2d0*(-2d0*Nc*coupl(nGC_197)**&
                  2d0/(3d0*pi**2d0) - 4d0*coupl(nGC_172)*coupl(nGC_173)/(9d0*pi&
                  **2d0) - 4d0*coupl(nGC_178)*coupl(nGC_179)/(9d0*pi**2d0) -   &
                  4d0*coupl(nGC_184)**2d0/(9d0*pi**2d0) - 2d0*coupl(nGC_197)** &
                  2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_198)*coupl(nGC_199)/(9d0*pi&
                  **2d0) - coupl(nGC_200)**2d0/(18d0*pi**2d0) - coupl(nGC_201  &
                  )**2d0/(18d0*pi**2d0) - 2d0*coupl(nGC_3)*coupl(nGC_4)/(9d0*pi&
                  **2d0) - coupl(nGC_5)**2d0/(18d0*pi**2d0) - coupl(nGC_6)**2d0&
                  /(18d0*pi**2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZWMinus_QED2 = cone*real(dZWMinus_QED2,kind=dp)
    end if 
end subroutine set_ctparameter76
end module ctparameter76
