!******************************************************************************!
!                                                                              !
!    ctparameter95.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter95.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter95
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter95()
  if (dZuR_QED2_scheme .eq. 0) then
    dZuR_QED2 = (2d0*Ten482*coupl(nGC_2)**2d0 - Ten483*coupl(nGC_383)**2d0 +   &
                Ten484*coupl(nGC_384)**2d0 + Ten485*coupl(nGC_381)**2d0 +      &
                Ten486*(-2d0*coupl(nGC_207)**2d0 + coupl(nGC_386)**2d0) + 2d0* &
                Ten487*coupl(nGC_2)**2d0 - Ten488*coupl(nGC_385)**2d0 - Ten489*&
                coupl(nGC_382)**2d0 - Ten490*coupl(nGC_383)**2d0 + Ten491*coupl&
                (nGC_384)**2d0 + Ten492*coupl(nGC_381)**2d0 + 2d0*Ten496*cMU** &
                2d0*(-4d0*coupl(nGC_207)*coupl(nGC_210) + coupl(nGC_386)**2d0  &
                ) - 4d0*Ten497*cMU**2d0*coupl(nGC_2)**2d0 + 2d0*Ten498*cMD*cMU*&
                coupl(nGC_349)*coupl(nGC_385) + 2d0*Ten499*cMD*cMU*coupl(      &
                nGC_346)*coupl(nGC_382) + 4d0*Ten501*cMU**2d0*coupl(nGC_384)** &
                2d0 + 4d0*Ten502*cMU**2d0*coupl(nGC_381)**2d0 + 2d0*Ten503*cMU &
                **2d0*(-coupl(nGC_207)**2d0 - coupl(nGC_210)**2d0 + coupl(     &
                nGC_386)**2d0) + 4d0*Ten504*cMU**2d0*coupl(nGC_2)**2d0 + Ten505&
                *cMU**2d0*(-2d0*coupl(nGC_197)**2d0 - coupl(nGC_349)**2d0 -    &
                coupl(nGC_385)**2d0) + Ten506*cMU**2d0*(-coupl(nGC_346)**2d0 - &
                coupl(nGC_382)**2d0) - 2d0*Ten507*cMU**2d0*coupl(nGC_383)**2d0 &
                 + 2d0*Ten508*cMU**2d0*coupl(nGC_384)**2d0 + 2d0*Ten509*cMU**  &
                2d0*coupl(nGC_381)**2d0 + pi**2d0*(-coupl(nGC_2)**2d0/pi**2d0  &
                 - coupl(nGC_207)**2d0/pi**2d0))/(16d0*pi**2d0)
    dZuR_QED2 = cone*real(dZuR_QED2,kind=dp)
  end if 
end subroutine set_ctparameter95
end module ctparameter95
