!******************************************************************************!
!                                                                              !
!    ctparameter98.f90                                                         !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter98.f90                              |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:13             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter98
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter98()
  dZHl_QED2 = (-16d0*Nc*Ten100*coupl(nGC_363)**2d0 - 4d0*Nc*Ten101*coupl(      &
              nGC_363)**2d0*rMHL**2d0 - 4d0*Nc*Ten102*coupl(nGC_342)**2d0*rMHL &
              **2d0 - 16d0*Nc*Ten103*coupl(nGC_342)**2d0 - 4d0*Nc*Ten104*coupl(&
              nGC_342)**2d0*rMHL**2d0 - 4d0*Nc*Ten42*coupl(nGC_381)**2d0 - 4d0*&
              Nc*Ten44*coupl(nGC_381)**2d0 - 4d0*Nc*Ten45*coupl(nGC_333)**2d0  &
               - 4d0*Nc*Ten47*coupl(nGC_333)**2d0 - 4d0*Nc*Ten48*coupl(nGC_369 &
              )**2d0 - 4d0*Nc*Ten50*coupl(nGC_369)**2d0 - 4d0*Nc*Ten51*coupl(  &
              nGC_345)**2d0 - 4d0*Nc*Ten53*coupl(nGC_345)**2d0 - 4d0*Nc*Ten54* &
              coupl(nGC_363)**2d0 - 4d0*Nc*Ten56*coupl(nGC_363)**2d0 - 4d0*Nc* &
              Ten57*coupl(nGC_342)**2d0 - 4d0*Nc*Ten59*coupl(nGC_342)**2d0 -   &
              4d0*Nc*Ten69*cMU**2d0*coupl(nGC_381)**2d0 - 4d0*Nc*Ten70*cMC**2d0&
              *coupl(nGC_333)**2d0 - 4d0*Nc*Ten71*cMT**2d0*coupl(nGC_369)**2d0 &
               - 4d0*Nc*Ten72*cMD**2d0*coupl(nGC_345)**2d0 - 4d0*Nc*Ten73*cMS**&
              2d0*coupl(nGC_363)**2d0 - 4d0*Nc*Ten74*cMB**2d0*coupl(nGC_342)** &
              2d0 - 4d0*Nc*Ten87*coupl(nGC_381)**2d0*rMHL**2d0 - 16d0*Nc*Ten88*&
              coupl(nGC_381)**2d0 - 4d0*Nc*Ten89*coupl(nGC_381)**2d0*rMHL**2d0 &
               - 4d0*Nc*Ten90*coupl(nGC_333)**2d0*rMHL**2d0 - 16d0*Nc*Ten91*   &
              coupl(nGC_333)**2d0 - 4d0*Nc*Ten92*coupl(nGC_333)**2d0*rMHL**2d0 &
               - 4d0*Nc*Ten93*coupl(nGC_369)**2d0*rMHL**2d0 - 16d0*Nc*Ten94*   &
              coupl(nGC_369)**2d0 - 4d0*Nc*Ten95*coupl(nGC_369)**2d0*rMHL**2d0 &
               - 4d0*Nc*Ten96*coupl(nGC_345)**2d0*rMHL**2d0 - 16d0*Nc*Ten97*   &
              coupl(nGC_345)**2d0 - 4d0*Nc*Ten98*coupl(nGC_345)**2d0*rMHL**2d0 &
               - 4d0*Nc*Ten99*coupl(nGC_363)**2d0*rMHL**2d0 + 4d0*Ten15*coupl( &
              nGC_213)**2d0 + 4d0*Ten16*coupl(nGC_215)**2d0 + 8d0*Ten18*coupl( &
              nGC_172)*coupl(nGC_173) + 8d0*Ten19*coupl(nGC_178)*coupl(nGC_179 &
              ) - 4d0*Ten33*coupl(nGC_351)**2d0 - 4d0*Ten35*coupl(nGC_351)**2d0&
               - 4d0*Ten36*coupl(nGC_357)**2d0 - 4d0*Ten38*coupl(nGC_357)**2d0 &
               - 4d0*Ten39*coupl(nGC_375)**2d0 - 4d0*Ten41*coupl(nGC_375)**2d0 &
               + Ten60*(4d0*coupl(nGC_213)**2d0*rMHL**2d0 + coupl(nGC_300)**2d0&
              /2d0 - coupl(nGC_328)**2d0 + 2d0*coupl(nGC_329)**2d0) + Ten61*(  &
              4d0*coupl(nGC_215)**2d0*rMHL**2d0 + coupl(nGC_308)**2d0) + Ten62 &
              *(8d0*coupl(nGC_172)*coupl(nGC_173)*rMHL**2d0 - 2d0*coupl(nGC_260&
              )**2d0 + 4d0*coupl(nGC_261)**2d0 + coupl(nGC_299)**2d0) + Ten63*(&
              8d0*coupl(nGC_178)*coupl(nGC_179)*rMHL**2d0 + 2d0*coupl(nGC_307  &
              )**2d0) + Ten64*coupl(nGC_292)**2d0/2d0 + Ten65*coupl(nGC_291)** &
              2d0 - 4d0*Ten66*cME**2d0*coupl(nGC_351)**2d0 - 4d0*Ten67*cMM**2d0&
              *coupl(nGC_357)**2d0 - 4d0*Ten68*cMTA**2d0*coupl(nGC_375)**2d0 + &
              Ten75*coupl(nGC_234)**2d0/2d0 + Ten76*coupl(nGC_236)**2d0 + Ten77&
              *coupl(nGC_233)**2d0/2d0 - 4d0*Ten78*coupl(nGC_351)**2d0*rMHL**  &
              2d0 - 16d0*Ten79*coupl(nGC_351)**2d0 - 4d0*Ten80*coupl(nGC_351)**&
              2d0*rMHL**2d0 - 4d0*Ten81*coupl(nGC_357)**2d0*rMHL**2d0 - 16d0*  &
              Ten82*coupl(nGC_357)**2d0 - 4d0*Ten83*coupl(nGC_357)**2d0*rMHL** &
              2d0 - 4d0*Ten84*coupl(nGC_375)**2d0*rMHL**2d0 - 16d0*Ten85*coupl(&
              nGC_375)**2d0 - 4d0*Ten86*coupl(nGC_375)**2d0*rMHL**2d0 + pi**2d0&
              *(-2d0*Nc*coupl(nGC_333)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(      &
              nGC_342)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_345)**2d0/(3d0*pi &
              **2d0) - 2d0*Nc*coupl(nGC_363)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(&
              nGC_369)**2d0/(3d0*pi**2d0) - 2d0*Nc*coupl(nGC_381)**2d0/(3d0*pi &
              **2d0) - 2d0*coupl(nGC_351)**2d0/(3d0*pi**2d0) - 2d0*coupl(      &
              nGC_357)**2d0/(3d0*pi**2d0) - 2d0*coupl(nGC_375)**2d0/(3d0*pi**  &
              2d0)))/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZHl_QED2 = cone*real(dZHl_QED2,kind=dp)
    end if 
end subroutine set_ctparameter98
end module ctparameter98
