!******************************************************************************!
!                                                                              !
!    currents_info6.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info6.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info6
  implicit none
  contains
  subroutine fill_current_6(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_WQMinus, P_Hh, P_HPlus, P_AQ, 5139, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Ha, 5306, check)
    call createCurrent(P_Z, P_A, P_HMinus, P_HPlus, 7446, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_GPlus, 4641, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghZ, 6334, check)
    call createCurrent(P_G0, P_ghWp, P_HMinus, P_ghZAnti, 10137, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_GMinus, P_ghWp, 59, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hl, 9391, check)
    call createCurrent(P_HlQ, P_muPlus, P_muMinus, 1620, check)
    call createCurrent(P_ghA, P_Ha, P_HPlus, P_ghWpAnti, 5225, check)
    call createCurrent(P_GQMinus, P_ghA, P_Hh, P_ghWmAnti, 4080, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_HMinus, 4051, check)
    call createCurrent(P_ghZ, P_G0, P_ghWpAnti, P_HPlus, 9266, check)
    call createCurrent(P_HlQ, P_Z, P_GMinus, P_WQPlus, 7119, check)
    call createCurrent(P_Ha, P_HMinus, P_A, P_WPlus, 7013, check)
    call createCurrent(P_Hl, P_HPlus, P_Hh, P_GMinus, 8382, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_Z, P_ghA, 1406, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_Hh, 327, check)
    call createCurrent(P_HhQ, P_Hl, P_HMinus, P_GQPlus, 5149, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, P_A, 5405, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, 5723, check)
    call createCurrent(P_A, P_A, P_HPlus, P_GMinus, 10269, check)
    call createCurrent(P_GQ0, P_Hl, P_GPlus, P_HQMinus, 3727, check)
    call createCurrent(P_Hh, P_HMinus, P_G0, P_HPlus, 9342, check)
    call createCurrent(P_WMinus, P_GPlus, 9488, check)
    call createCurrent(P_G0, P_g, P_Ha, P_g, 10684, check)
    call createCurrent(P_Ha, P_WPlus, P_GMinus, P_Z, 9758, check)
    call createCurrent(P_G0, P_HMinus, P_WPlus, 8994, check)
    call createCurrent(P_ghZ, P_Z, P_WMinus, P_ghWmAnti, 7604, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_HPlus, 7727, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_GPlus, 10246, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghZAnti, P_GPlus, 6126, check)
    call createCurrent(P_ZQ, P_Z, P_GMinus, P_GQPlus, 604, check)
    call createCurrent(P_HlQ, P_G0, P_GPlus, P_HQMinus, 7262, check)
    call createCurrent(P_Hl, P_ghA, P_ghWmAnti, P_HMinus, 5727, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghA, P_ghZAnti, 6529, check)
    call createCurrent(P_u, P_uAnti, P_gQ, 7990, check)
    call createCurrent(P_G0, P_A, 9861, check)
    call createCurrent(P_HPlus, P_Hh, P_ghZAnti, P_ghWm, 3857, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghZAnti, P_ghA, 9317, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_Hl, 4351, check)
    call createCurrent(P_HQPlus, P_G0, P_GQMinus, 6665, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, 10432, check)
    call createCurrent(P_HaQ, P_GPlus, P_GMinus, P_GQ0, 1057, check)
    call createCurrent(P_HlQ, P_ghWm, P_Hl, P_ghWmAnti, 8312, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_GMinus, 204, check)
    call createCurrent(P_Hl, P_A, P_WMinus, P_HPlus, 1523, check)
    call createCurrent(P_ePlus, P_nu_e, P_WQMinus, 1489, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hl, P_ghZAnti, 3173, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Z, P_WPlus, 2450, check)
    call createCurrent(P_HhQ, P_Hl, P_G0, P_HaQ, 4120, check)
    call createCurrent(P_ghWp, P_Ha, P_ghZAnti, P_HQMinus, 7971, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_A, 6351, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_HPlus, 3633, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghAAnti, P_ghA, 9560, check)
    call createCurrent(P_HPlus, P_cAnti, P_s, 4227, check)
    call createCurrent(P_HMinus, P_ghWp, P_Hl, P_ghZAnti, 3303, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_GPlus, 9429, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_Hl, 2201, check)
    call createCurrent(P_ghWp, P_Ha, P_GMinus, P_ghAAnti, 8900, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hl, 10640, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWp, P_GQMinus, 6557, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_G0, 2034, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GMinus, 2341, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghZ, P_G0, 9634, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Ha, 1460, check)
    call createCurrent(P_Hl, P_Z, P_A, 10467, check)
    call createCurrent(P_ZQ, P_A, P_WMinus, P_WQPlus, 7962, check)
    call createCurrent(P_g, P_GMinus, P_g, P_GPlus, 10575, check)
    call createCurrent(P_HhQ, P_HMinus, P_GPlus, P_HaQ, 2803, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_GMinus, P_ghZ, 6502, check)
    call createCurrent(P_HQPlus, P_G0, P_Ha, P_HQMinus, 5660, check)
    call createCurrent(P_GMinus, P_Z, P_HPlus, P_A, 10194, check)
    call createCurrent(P_GQPlus, P_Z, P_A, P_GQMinus, 2693, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HlQ, 5603, check)
    call createCurrent(P_HQMinus, P_ghWp, P_ghZAnti, 5223, check)
    call createCurrent(P_Hh, P_A, P_A, 10752, check)
    call createCurrent(P_ghAAnti, P_Hl, P_GPlus, P_ghWm, 8817, check)
    call createCurrent(P_bAnti, P_Hh, P_b, 2418, check)
    call createCurrent(P_A, P_A, P_Hh, 10554, check)
    call createCurrent(P_ghWm, P_G0, P_HPlus, P_ghZAnti, 9168, check)
    call createCurrent(P_ghAAnti, P_A, P_WPlus, P_ghWm, 3903, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hl, 9681, check)
    call createCurrent(P_HaQ, P_WMinus, P_Hh, P_WQPlus, 823, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, P_Z, 6132, check)
    call createCurrent(P_ghWp, P_Hl, P_HMinus, P_ghAAnti, 8330, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, P_HlQ, 3546, check)
    call createCurrent(P_HaQ, P_GMinus, P_HPlus, P_GQ0, 7196, check)
    call createCurrent(P_HhQ, P_Ha, P_HMinus, P_GQPlus, 5601, check)
    call createCurrent(P_Hl, P_Hh, P_WPlus, P_WMinus, 9901, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_GQ0, 7769, check)
    call createCurrent(P_HMinus, P_ghZ, P_G0, P_ghWmAnti, 9823, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, P_G0, 8524, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, 10149, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_GMinus, P_ghZ, 1242, check)
    call createCurrent(P_ghWmAnti, P_G0, P_Ha, P_ghWm, 10397, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, 4850, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_G0, 8941, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_Hl, P_ghWp, 1616, check)
    call createCurrent(P_d, P_uAnti, P_HQPlus, 2234, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_ZQ, 5236, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_A, P_WPlus, 4357, check)
    call createCurrent(P_Hl, P_Z, P_WMinus, P_HPlus, 4454, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_HQMinus, 3300, check)
    call createCurrent(P_ghWp, P_Hh, P_ghWpAnti, P_GQ0, 2561, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, 6914, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_G0, 9918, check)
    call createCurrent(P_tAnti, P_t, 9409, check)
    call createCurrent(P_Z, P_Z, P_G0, P_G0, 739, check)
    call createCurrent(P_GQMinus, P_G0, P_ghA, P_ghWmAnti, 6348, check)
    call createCurrent(P_A, P_Hl, P_Z, 9733, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_A, 10156, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghAAnti, P_WPlus, 91, check)
    call createCurrent(P_HQMinus, P_Hh, P_HQPlus, 159, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_Z, P_ghWp, 8734, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghAAnti, 4489, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWm, P_ghAAnti, 2558, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Ha, 2051, check)
    call createCurrent(P_HaQ, P_HMinus, P_GPlus, P_HaQ, 704, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_HaQ, 2636, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, 2515, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_HPlus, 10433, check)
    call createCurrent(P_HQPlus, P_Ha, P_GMinus, P_HhQ, 3710, check)
    call createCurrent(P_Z, P_Hl, P_WPlus, P_HMinus, 8604, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_HMinus, 6448, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_Z, 4835, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghAAnti, 3449, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_Z, 66, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hh, 8598, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hh, 4163, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Z, P_WPlus, 1939, check)
    call createCurrent(P_WMinus, P_Hh, P_A, P_HPlus, 7421, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWp, P_HQMinus, 3963, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, P_Hl, 10302, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, 2959, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_HPlus, 6343, check)
    call createCurrent(P_HhQ, P_Hh, P_HPlus, P_HQMinus, 1628, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_HMinus, P_Hh, 6011, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_Z, P_ghZ, 6154, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_GMinus, 10460, check)
    call createCurrent(P_GQ0, P_Hh, P_WMinus, P_WQPlus, 3650, check)
    call createCurrent(P_HlQ, P_G0, P_ghWpAnti, P_ghWp, 6919, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HPlus, P_GMinus, 9747, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, 5307, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_ZQ, 1999, check)
    call createCurrent(P_HMinus, P_ghWm, P_HPlus, P_ghWmAnti, 8191, check)
    call createCurrent(P_uAnti, P_HPlus, P_d, 6953, check)
    call createCurrent(P_d, P_dAnti, P_ZQ, 1257, check)
    call createCurrent(P_HaQ, P_GMinus, P_HPlus, P_HaQ, 3148, check)
    call createCurrent(P_HaQ, P_A, P_HPlus, P_WQMinus, 4258, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Ha, P_ZQ, 901, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hl, 2620, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_G0, 9978, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WPlus, 7180, check)
    call createCurrent(P_A, P_ghZAnti, P_WMinus, P_ghWp, 5672, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWmAnti, P_GQMinus, 1679, check)
    call createCurrent(P_Z, P_Z, P_ghWp, P_ghWpAnti, 5253, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, P_A, 5554, check)
    call createCurrent(P_HlQ, P_GMinus, P_HPlus, P_GQ0, 2679, check)
    call createCurrent(P_Z, P_A, P_HPlus, P_HMinus, 6479, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hh, P_HaQ, 6409, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hl, 9846, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hh, 7174, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_ghWp, 2391, check)
    call createCurrent(P_Ha, P_GMinus, P_Hl, P_GPlus, 9128, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_G0, 9511, check)
    call createCurrent(P_AQ, P_WPlus, P_HQMinus, 7448, check)
    call createCurrent(P_WQPlus, P_A, P_HMinus, P_HhQ, 5937, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_GPlus, 3718, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghWp, P_WMinus, 7831, check)
    call createCurrent(P_GMinus, P_ghA, P_ghZAnti, P_HPlus, 10165, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hl, 10182, check)
    call createCurrent(P_HQPlus, P_Hh, P_Ha, P_GQMinus, 464, check)
    call createCurrent(P_WPlus, P_GPlus, P_HMinus, P_WMinus, 9898, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWp, P_ghWmAnti, 2038, check)
    call createCurrent(P_ghWm, P_Ha, P_Ha, P_ghWmAnti, 6884, check)
    call createCurrent(P_HhQ, P_HPlus, P_GMinus, P_GQ0, 7673, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, 1763, check)
    call createCurrent(P_HQPlus, P_Ha, P_HMinus, P_HlQ, 8702, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, 2025, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, 10061, check)
    call createCurrent(P_GQ0, P_Ha, P_HPlus, P_HQMinus, 2935, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_GPlus, P_ghWp, 1087, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, P_A, 8935, check)
    call createCurrent(P_GQMinus, P_t, P_bAnti, 3375, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, 4579, check)
    call createCurrent(P_ghWm, P_Ha, P_HPlus, P_ghAAnti, 1515, check)
    call createCurrent(P_G0, P_ghWm, P_G0, P_ghWmAnti, 142, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_HQPlus, 6083, check)
    call createCurrent(P_A, P_u, P_uAnti, 3628, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Hh, P_AQ, 4136, check)
    call createCurrent(P_A, P_Z, P_g, P_g, 10507, check)
    call createCurrent(P_ZQ, P_Z, P_ghWp, P_ghWpAnti, 6898, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_G0, 9262, check)
    call createCurrent(P_HQPlus, P_Hl, P_HMinus, P_HaQ, 139, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_HhQ, 6112, check)
    call createCurrent(P_ghWpAnti, P_Z, P_A, P_ghWp, 6281, check)
    call createCurrent(P_GPlus, P_A, P_G0, P_WMinus, 1676, check)
    call createCurrent(P_Z, P_GPlus, P_HMinus, P_A, 9791, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZAnti, P_ghZ, 4428, check)
    call createCurrent(P_HhQ, P_Ha, P_ZQ, 8051, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, 2927, check)
    call createCurrent(P_HMinus, P_GPlus, 9580, check)
    call createCurrent(P_G0, P_ghAAnti, P_GMinus, P_ghWp, 3794, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_GQ0, 3183, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghWmAnti, P_GMinus, 9222, check)
    call createCurrent(P_ghA, P_HPlus, P_ghZAnti, P_HMinus, 4282, check)
    call createCurrent(P_dAnti, P_GMinus, P_u, 1366, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghWm, P_ghZAnti, 1199, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghZ, P_ghAAnti, 3062, check)
    call createCurrent(P_HMinus, P_Hh, P_ghWp, P_ghAAnti, 7075, check)
    call createCurrent(P_g, P_HMinus, P_g, P_GPlus, 10590, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hl, P_AQ, 3483, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, 2148, check)
    call createCurrent(P_WQMinus, P_ghAAnti, P_WPlus, P_ghA, 5905, check)
    call createCurrent(P_Ha, P_ghAAnti, P_HPlus, P_ghWm, 7693, check)
    call createCurrent(P_GQMinus, P_bAnti, P_t, 2554, check)
    call createCurrent(P_HMinus, P_Ha, P_ghWmAnti, P_ghZ, 559, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_GPlus, 9746, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_HPlus, P_ghA, 2548, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Hh, P_ghA, 1877, check)
    call createCurrent(P_GQPlus, P_ghWmAnti, P_GMinus, P_ghWm, 1530, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghZAnti, 8483, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_G0, P_HMinus, 9660, check)
    call createCurrent(P_Hh, P_ePlus, P_eMinus, 4333, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghZ, P_ghWmAnti, 99, check)
    call createCurrent(P_uAnti, P_u, P_HaQ, 7950, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_Z, 10621, check)
    call createCurrent(P_WMinus, P_Ha, P_A, P_HPlus, 838, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_Hh, 8228, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GPlus, 7554, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghAAnti, 1643, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_Z, 9500, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_GMinus, 4273, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_GMinus, 5241, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_GPlus, 7137, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Z, P_AQ, 6201, check)
    call createCurrent(P_HQMinus, P_Hh, P_ghWmAnti, P_ghA, 4545, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_G0, 5144, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_A, 3620, check)
    call createCurrent(P_HQMinus, P_ghA, P_HPlus, P_ghAAnti, 8499, check)
    call createCurrent(P_GQPlus, P_G0, P_ghA, P_ghWpAnti, 3602, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_GQPlus, 3835, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_A, 6698, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_HMinus, P_ghZ, 9795, check)
    call createCurrent(P_A, P_WMinus, P_ghA, P_ghWmAnti, 4808, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_Hl, 8660, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_HlQ, 2575, check)
    call createCurrent(P_d, P_uAnti, P_GQPlus, 3704, check)
    call createCurrent(P_ghZ, P_GMinus, P_G0, P_ghWmAnti, 6371, check)
    call createCurrent(P_GMinus, P_WPlus, P_Ha, P_A, 9127, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_G0, 10028, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_G0, P_ghWm, 8992, check)
    call createCurrent(P_c, P_Hl, P_cAnti, 633, check)
    call createCurrent(P_G0, P_Ha, P_ghWp, P_ghWpAnti, 9426, check)
    call createCurrent(P_A, P_Ha, P_A, P_G0, 10543, check)
    call createCurrent(P_Hl, P_GPlus, P_Ha, P_HMinus, 7225, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Z, P_HaQ, 899, check)
    call createCurrent(P_HMinus, P_ghA, P_HPlus, P_ghZAnti, 4236, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_Hl, 10211, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghAAnti, P_ghWm, 5777, check)
    call createCurrent(P_g, P_g, P_Z, P_g, 10494, check)
    call createCurrent(P_WQPlus, P_ghA, P_WMinus, P_ghAAnti, 5385, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZAnti, P_ghZ, 5958, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Ha, 2157, check)
    call createCurrent(P_Ha, P_tauPlus, P_tauMinus, 4713, check)
    call createCurrent(P_Hh, P_GMinus, P_ghWp, P_ghAAnti, 8612, check)
    call createCurrent(P_muPlus, P_nu_mu, P_HMinus, 6957, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghZAnti, P_ghWm, 5298, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_HMinus, P_ghWp, 6255, check)
    call createCurrent(P_GMinus, P_Hh, P_ghZ, P_ghWmAnti, 836, check)
    call createCurrent(P_g, P_g, P_HMinus, P_GPlus, 10634, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, 296, check)
    call createCurrent(P_A, P_A, P_HPlus, P_HMinus, 5199, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Ha, P_HlQ, 1482, check)
    call createCurrent(P_GQ0, P_GMinus, P_G0, P_GQPlus, 4516, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghAAnti, 445, check)
    call createCurrent(P_WQMinus, P_nu_mu, P_muPlus, 8821, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_Ha, 10323, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, P_A, 6948, check)
    call createCurrent(P_HMinus, P_GPlus, P_GMinus, P_GPlus, 5684, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_G0, 3029, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hl, 9600, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWp, P_HMinus, 6564, check)
    call createCurrent(P_AQ, P_bAnti, P_b, 3776, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_G0, 2484, check)
    call createCurrent(P_GPlus, P_g, P_GMinus, P_g, 10559, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghZAnti, 8096, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Ha, 5367, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_Ha, 8404, check)
    call createCurrent(P_ghAAnti, P_G0, P_ghWm, P_GPlus, 210, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_HPlus, 1117, check)
    call createCurrent(P_Z, P_Ha, P_G0, P_Z, 9257, check)
    call createCurrent(P_g, P_A, P_Z, P_g, 10692, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_HPlus, 10476, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWm, P_HPlus, 10475, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_HMinus, P_ghZ, 9494, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, P_Hl, 7033, check)
    call createCurrent(P_Hl, P_GPlus, P_ghA, P_ghWpAnti, 203, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_Ha, 10381, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_HaQ, 4553, check)
    call createCurrent(P_ghWm, P_Hl, P_Hl, P_ghWmAnti, 1644, check)
    call createCurrent(P_HhQ, P_Z, P_GPlus, P_WQMinus, 8385, check)
    call createCurrent(P_G0, P_Z, P_HPlus, P_WMinus, 10101, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, 4344, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_HaQ, 755, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, 8134, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_HPlus, 10369, check)
    call createCurrent(P_WPlus, P_A, P_ghA, P_ghWpAnti, 3985, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hh, P_ghA, 4126, check)
    call createCurrent(P_GQPlus, P_Ha, P_HQMinus, 7396, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_Ha, 9305, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HaQ, 6221, check)
    call createCurrent(P_WQPlus, P_Z, P_G0, P_GQMinus, 6100, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghZ, P_ghWmAnti, 6676, check)
    call createCurrent(P_HhQ, P_uAnti, P_u, 1359, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, 8426, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_HhQ, 7738, check)
    call createCurrent(P_HlQ, P_Hh, P_HMinus, P_GQPlus, 6605, check)
    call createCurrent(P_GPlus, P_ghA, P_HMinus, P_ghAAnti, 9183, check)
    call createCurrent(P_WMinus, P_ghZ, P_A, P_ghWmAnti, 6995, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Hl, 7948, check)
    call createCurrent(P_G0, P_GMinus, P_ghZAnti, P_ghWp, 1201, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_ghZ, 4354, check)
    call createCurrent(P_GQPlus, P_muMinus, P_nu_muAnti, 7358, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghAAnti, P_HMinus, 9906, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_GPlus, 9469, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWpAnti, P_ghWp, 1980, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_GPlus, P_ghA, 1497, check)
    call createCurrent(P_Ha, P_GMinus, P_Hh, P_HPlus, 7042, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hh, P_ghA, 5280, check)
    call createCurrent(P_Hl, P_Z, P_HPlus, P_WMinus, 4826, check)
    call createCurrent(P_ZQ, P_GMinus, P_Hh, P_WQPlus, 3372, check)
    call createCurrent(P_GQPlus, P_ghA, P_Hl, P_ghWpAnti, 4574, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWm, P_ghZAnti, 6546, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_Z, 6199, check)
    call createCurrent(P_sAnti, P_WMinus, P_c, 342, check)
    call createCurrent(P_uAnti, P_u, P_G0, 5182, check)
    call createCurrent(P_GPlus, P_tAnti, P_b, 7900, check)
    call createCurrent(P_s, P_HPlus, P_cAnti, 1789, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hl, 3788, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, P_Ha, 2431, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_WPlus, P_ghZ, 1254, check)
    call createCurrent(P_AQ, P_WPlus, P_Hh, P_HQMinus, 25, check)
    call createCurrent(P_HMinus, P_Ha, P_ghWp, P_ghAAnti, 5055, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghZAnti, 1251, check)
    call createCurrent(P_Hh, P_GPlus, P_A, P_WMinus, 3240, check)
    call createCurrent(P_GPlus, P_G0, P_ghZAnti, P_ghWm, 5467, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghZ, P_GPlus, 9968, check)
    call createCurrent(P_GPlus, P_Ha, P_Z, P_WMinus, 8936, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWp, P_ghWpAnti, 3711, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, 9253, check)
    call createCurrent(P_Z, P_GPlus, P_G0, P_WMinus, 6370, check)
    call createCurrent(P_ghA, P_Hh, P_GPlus, P_ghWpAnti, 1, check)
    call createCurrent(P_Hh, P_HMinus, P_ghWp, P_ghAAnti, 259, check)
    call createCurrent(P_HlQ, P_HMinus, P_Hh, P_HQPlus, 6749, check)
    call createCurrent(P_ghA, P_G0, P_HPlus, P_ghWpAnti, 10082, check)
    call createCurrent(P_tAnti, P_t, P_Hl, 2731, check)
    call createCurrent(P_GQMinus, P_A, P_GPlus, P_ZQ, 1369, check)
    call createCurrent(P_GMinus, P_HPlus, P_A, P_Z, 9354, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghA, P_ghZAnti, 524, check)
    call createCurrent(P_GQMinus, P_HPlus, P_G0, P_HlQ, 5349, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_A, 9574, check)
    call createCurrent(P_Hl, P_GMinus, P_G0, P_HPlus, 2485, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, P_Hh, 1158, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_GQ0, 7756, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWpAnti, P_ghA, 8568, check)
    call createCurrent(P_GPlus, P_Hh, P_Z, P_WMinus, 3139, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, P_A, 1495, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_GQ0, 4828, check)
    call createCurrent(P_A, P_A, 10427, check)
    call createCurrent(P_WPlus, P_Ha, P_Z, P_GMinus, 9730, check)
    call createCurrent(P_GQMinus, P_G0, P_G0, P_GQPlus, 4858, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_Hh, P_ghWm, 5904, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghZAnti, P_ghZ, 10383, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Ha, P_ghZ, 4604, check)
    call createCurrent(P_Hl, P_WPlus, P_Z, P_GMinus, 383, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_Hh, 3953, check)
    call createCurrent(P_Z, P_G0, P_Ha, P_Z, 10242, check)
    call createCurrent(P_Hh, P_A, P_Z, P_Hl, 10756, check)
    call createCurrent(P_Z, P_Ha, P_Ha, P_Z, 1404, check)
    call createCurrent(P_uAnti, P_u, P_ZQ, 7653, check)
    call createCurrent(P_WPlus, P_muMinus, P_nu_muAnti, 8243, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_HMinus, P_ghZ, 7485, check)
    call createCurrent(P_ZQ, P_Ha, P_HMinus, P_WQPlus, 8285, check)
    call createCurrent(P_A, P_ghWmAnti, P_A, P_ghWm, 268, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_HPlus, 578, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_HPlus, 1467, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghAAnti, 4483, check)
    call createCurrent(P_Hl, P_Hl, P_ghZ, P_ghZAnti, 6324, check)
    call createCurrent(P_HhQ, P_HPlus, P_GMinus, P_HhQ, 4755, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, 6026, check)
    call createCurrent(P_HhQ, P_GMinus, P_HPlus, P_HaQ, 6284, check)
    call createCurrent(P_Hl, P_HMinus, P_Ha, P_GPlus, 5447, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghA, P_ghWpAnti, 1817, check)
    call createCurrent(P_HlQ, P_t, P_tAnti, 2684, check)
    call createCurrent(P_GQ0, P_HMinus, P_GQPlus, 744, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghA, P_HPlus, 6413, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Hh, 2647, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_GQ0, 3540, check)
    call createCurrent(P_Hh, P_HMinus, P_Z, P_WPlus, 4142, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_AQ, 5718, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_G0, P_HPlus, 9369, check)
    call createCurrent(P_g, P_g, P_Z, P_Z, 10529, check)
    call createCurrent(P_GQ0, P_Hl, P_GQ0, 1188, check)
    call createCurrent(P_Ha, P_ghZ, P_HMinus, P_ghWmAnti, 4359, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWmAnti, P_ghZ, 7142, check)
    call createCurrent(P_HhQ, P_HPlus, P_Ha, P_GQMinus, 3033, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, 1900, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_GMinus, 6094, check)
    call createCurrent(P_GQ0, P_Hh, P_GMinus, P_GQPlus, 6002, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_A, 1629, check)
    call createCurrent(P_GMinus, P_g, P_g, P_HPlus, 10687, check)
    call createCurrent(P_Z, P_sAnti, P_s, 8456, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_Hh, 9814, check)
    call createCurrent(P_HPlus, P_GMinus, P_HPlus, P_HMinus, 6353, check)
    call createCurrent(P_ghA, P_Hl, P_ghWpAnti, P_GPlus, 4752, check)
    call createCurrent(P_WQMinus, P_WMinus, P_ghWmAnti, P_ghWp, 1015, check)
    call createCurrent(P_GQ0, P_HMinus, P_Hh, P_HQPlus, 2971, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_GQMinus, 1437, check)
    call createCurrent(P_AQ, P_HPlus, P_Hh, P_WQMinus, 3297, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_G0, 10638, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_HPlus, 9640, check)
    call createCurrent(P_ghWp, P_Ha, P_ghZAnti, P_HMinus, 1912, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_Ha, 3127, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_AQ, 3145, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HPlus, P_HQMinus, 353, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, 1923, check)
    call createCurrent(P_Hl, P_Hh, P_HMinus, P_GPlus, 764, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_HMinus, 6130, check)
    call createCurrent(P_ZQ, P_HPlus, P_HQMinus, 1887, check)
    call createCurrent(P_nu_muAnti, P_Z, P_nu_mu, 2716, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_ZQ, 2214, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_HMinus, P_ghZ, 4970, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hl, 2045, check)
    call createCurrent(P_GPlus, P_nu_eAnti, P_eMinus, 8406, check)
    call createCurrent(P_ZQ, P_GPlus, P_GMinus, P_AQ, 5037, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghWpAnti, P_ghWp, 932, check)
    call createCurrent(P_HhQ, P_t, P_tAnti, 5993, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_A, 1046, check)
    call createCurrent(P_Ha, P_HPlus, P_ghZ, P_ghWpAnti, 7302, check)
    call createCurrent(P_A, P_Z, P_G0, P_G0, 10206, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, 1664, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_G0, 6436, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_G0, 506, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_GPlus, 5704, check)
    call createCurrent(P_GQPlus, P_Hl, P_Hh, P_HQMinus, 4172, check)
    call createCurrent(P_GMinus, P_Z, P_G0, P_WPlus, 3023, check)
    call createCurrent(P_HhQ, P_HMinus, P_A, P_WQPlus, 8573, check)
    call createCurrent(P_HQMinus, P_HPlus, P_WMinus, P_WQPlus, 6784, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghA, P_HQMinus, 3391, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, 9670, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghWm, P_HhQ, 4720, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Ha, 3140, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_HMinus, 10272, check)
    call createCurrent(P_ghWp, P_Ha, P_GMinus, P_ghZAnti, 9084, check)
    call createCurrent(P_sAnti, P_Hl, P_s, 4293, check)
    call createCurrent(P_ghAAnti, P_Ha, P_GMinus, P_ghWp, 9285, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghZAnti, P_ghWp, 8464, check)
    call createCurrent(P_HaQ, P_Ha, P_Hl, P_HlQ, 7992, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Z, P_HhQ, 2772, check)
    call createCurrent(P_HaQ, P_WPlus, P_Hh, P_WQMinus, 5288, check)
    call createCurrent(P_Hh, P_ghWp, P_HMinus, P_ghZAnti, 8544, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, P_A, 10103, check)
    call createCurrent(P_WMinus, P_WPlus, 9136, check)
    call createCurrent(P_Hl, P_HMinus, P_Hl, P_HPlus, 7001, check)
    call createCurrent(P_HPlus, P_WMinus, P_GMinus, P_WPlus, 9150, check)
    call createCurrent(P_GMinus, P_Hh, P_ghA, P_ghWmAnti, 998, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, 8848, check)
    call createCurrent(P_HhQ, P_ghWm, P_Hh, P_ghWmAnti, 6249, check)
    call createCurrent(P_A, P_WMinus, P_Ha, P_HPlus, 4686, check)
    call createCurrent(P_Hh, P_GMinus, P_G0, P_GPlus, 10307, check)
    call createCurrent(P_WPlus, P_Hh, P_Hl, P_WMinus, 9437, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hh, P_GQPlus, 6172, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_G0, P_GMinus, 2371, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Ha, 5611, check)
    call createCurrent(P_Hh, P_Hl, P_ghWpAnti, P_ghWp, 9094, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_ZQ, 2337, check)
    call createCurrent(P_HhQ, P_Ha, P_Hh, P_GQ0, 959, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Ha, P_HMinus, 6643, check)
    call createCurrent(P_d, P_dAnti, P_Hh, 7589, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_A, 508, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WQPlus, 4593, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_Hh, 7540, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_GQPlus, 2563, check)
    call createCurrent(P_eMinus, P_G0, P_ePlus, 4872, check)
    call createCurrent(P_Ha, P_Ha, P_WPlus, P_WMinus, 1889, check)
    call createCurrent(P_HhQ, P_GMinus, P_Z, P_WQPlus, 321, check)
    call createCurrent(P_WQPlus, P_Hl, P_HQMinus, 7742, check)
    call createCurrent(P_HlQ, P_Hl, P_WPlus, P_WQMinus, 1293, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WQPlus, 5552, check)
    call createCurrent(P_WMinus, P_WPlus, P_WPlus, P_WMinus, 4772, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, 8435, check)
    call createCurrent(P_c, P_A, P_cAnti, 1292, check)
    call createCurrent(P_sAnti, P_s, P_HaQ, 4336, check)
    call createCurrent(P_GMinus, P_G0, P_ghZ, P_ghWmAnti, 6397, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, 7256, check)
    call createCurrent(P_tauPlus, P_Z, P_tauMinus, 5190, check)
    call createCurrent(P_GQMinus, P_ghWp, P_Hh, P_ghZAnti, 5760, check)
    call createCurrent(P_Ha, P_G0, P_Hl, 1149, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_G0, 4728, check)
    call createCurrent(P_A, P_GMinus, P_Hl, P_WPlus, 650, check)
    call createCurrent(P_c, P_Hh, P_cAnti, 8117, check)
    call createCurrent(P_GQPlus, P_Z, P_Z, P_GQMinus, 5422, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_HMinus, P_ghA, 2642, check)
    call createCurrent(P_A, P_WPlus, P_ghZ, P_ghWpAnti, 7850, check)
    call createCurrent(P_GQPlus, P_ghAAnti, P_GMinus, P_ghZ, 6999, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_HlQ, 5438, check)
    call createCurrent(P_A, P_Hh, P_GMinus, P_WPlus, 3532, check)
    call createCurrent(P_GQPlus, P_s, P_cAnti, 4154, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_Z, 911, check)
    call createCurrent(P_ghWm, P_HMinus, P_ghWmAnti, P_HPlus, 8686, check)
    call createCurrent(P_t, P_tAnti, P_Z, 3325, check)
    call createCurrent(P_WQPlus, P_HPlus, P_HMinus, P_WQMinus, 6056, check)
    call createCurrent(P_G0, P_GPlus, P_ghA, P_ghWpAnti, 6899, check)
    call createCurrent(P_ghZ, P_G0, P_HPlus, P_ghWpAnti, 10056, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WMinus, 3437, check)
    call createCurrent(P_ghA, P_GMinus, P_GPlus, P_ghZAnti, 7447, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_HMinus, 3129, check)
    call createCurrent(P_HMinus, P_Ha, P_Z, P_WPlus, 636, check)
    call createCurrent(P_GQPlus, P_G0, P_Ha, P_GQMinus, 5832, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_HMinus, 2702, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_G0, P_HPlus, 10089, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, P_Z, 1310, check)
    call createCurrent(P_GQ0, P_Hh, P_GQ0, 4155, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Hl, P_ZQ, 3862, check)
    call createCurrent(P_GQPlus, P_Hh, P_HMinus, P_HhQ, 2114, check)
    call createCurrent(P_Z, P_Hh, P_A, 9209, check)
    call createCurrent(P_A, P_muMinus, P_muPlus, 5681, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_HaQ, 6425, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_G0, 10283, check)
    call createCurrent(P_HMinus, P_Hh, P_ghZAnti, P_ghWp, 2888, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, 829, check)
    call createCurrent(P_AQ, P_HPlus, P_Ha, P_WQMinus, 2282, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WPlus, 806, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWp, P_GMinus, 4234, check)
    call createCurrent(P_GPlus, P_Hh, P_ghZ, P_ghWpAnti, 4085, check)
    call createCurrent(P_HhQ, P_Ha, P_WMinus, P_WQPlus, 1938, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_GQ0, 7341, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, P_A, 8930, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, 3783, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, 8915, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, P_G0, 10197, check)
    call createCurrent(P_WPlus, P_ghZ, P_WMinus, P_ghAAnti, 6405, check)
    call createCurrent(P_ghA, P_G0, P_GMinus, P_ghWmAnti, 1873, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Ha, P_HQMinus, 6076, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_G0, 9352, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghZ, 4091, check)
    call createCurrent(P_ghZ, P_Ha, P_ghZAnti, P_HaQ, 5328, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_GQ0, 1961, check)
    call createCurrent(P_Ha, P_GMinus, P_Hl, P_HPlus, 7869, check)
    call createCurrent(P_HaQ, P_GMinus, P_Hl, P_GQPlus, 7652, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hl, P_GPlus, 3964, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_GMinus, 2331, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_GQ0, 7755, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_Hl, 4366, check)
    call createCurrent(P_gQ, P_cAnti, P_c, 2159, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_Hh, 8543, check)
    call createCurrent(P_GQ0, P_Hh, P_HPlus, P_HQMinus, 2890, check)
    call createCurrent(P_HlQ, P_WPlus, P_Hl, P_WQMinus, 791, check)
    call createCurrent(P_HMinus, P_ghA, P_ghAAnti, P_HPlus, 2695, check)
    call createCurrent(P_Ha, P_ghAAnti, P_ghWp, P_HMinus, 8047, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, 5767, check)
    call createCurrent(P_s, P_sAnti, P_G0, 483, check)
    call createCurrent(P_ghZAnti, P_Ha, P_Ha, P_ghZ, 8463, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WMinus, P_WQPlus, 3683, check)
    call createCurrent(P_HMinus, P_Hl, P_Hh, P_GPlus, 1621, check)
    call createCurrent(P_HlQ, P_GMinus, P_G0, P_GQPlus, 4133, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, 6320, check)
    call createCurrent(P_Hl, P_s, P_sAnti, 1922, check)
    call createCurrent(P_ghWp, P_HMinus, P_GPlus, P_ghWpAnti, 10164, check)
    call createCurrent(P_Hh, P_A, P_Ha, 9009, check)
    call createCurrent(P_nu_muAnti, P_WPlus, P_muMinus, 7483, check)
    call createCurrent(P_ZQ, P_G0, P_GMinus, P_WQPlus, 4068, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_Z, 8300, check)
    call createCurrent(P_GPlus, P_HMinus, P_G0, P_Hh, 4898, check)
    call createCurrent(P_G0, P_ghWmAnti, P_GMinus, P_ghZ, 4254, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hh, 6596, check)
    call createCurrent(P_HaQ, P_WPlus, P_Ha, P_WQMinus, 7281, check)
    call createCurrent(P_HMinus, P_Hh, P_G0, P_GPlus, 7630, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, 1400, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, P_Ha, 4313, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_ZQ, 5594, check)
    call createCurrent(P_HhQ, P_GPlus, P_HMinus, P_GQ0, 6674, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghA, P_GPlus, 89, check)
    call createCurrent(P_WMinus, P_ghA, P_ghAAnti, P_WPlus, 734, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghZAnti, P_ghWm, 2694, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_Z, P_ghWm, 8663, check)
    call createCurrent(P_HQPlus, P_HPlus, P_GMinus, P_HQMinus, 943, check)
    call createCurrent(P_HhQ, P_Z, P_HaQ, 4364, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_HhQ, 1377, check)
    call createCurrent(P_GMinus, P_Ha, P_Ha, P_GPlus, 7354, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_HlQ, 3778, check)
    call createCurrent(P_A, P_HMinus, P_Hh, P_WPlus, 6855, check)
    call createCurrent(P_A, P_WPlus, P_WMinus, P_A, 3393, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_AQ, 6872, check)
    call createCurrent(P_GMinus, P_G0, P_ghA, P_ghWmAnti, 6098, check)
    call createCurrent(P_GMinus, P_Hh, P_G0, P_GPlus, 10199, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZ, P_ghAAnti, 1782, check)
    call createCurrent(P_WQPlus, P_ghZ, P_A, P_ghWpAnti, 7369, check)
    call createCurrent(P_d, P_dAnti, P_Ha, 4597, check)
    call createCurrent(P_Ha, P_GPlus, P_Ha, P_GMinus, 1874, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, 362, check)
    call createCurrent(P_Ha, P_A, P_GMinus, P_WPlus, 9364, check)
    call createCurrent(P_HQMinus, P_Z, P_HPlus, P_ZQ, 21, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hl, P_HPlus, 907, check)
    call createCurrent(P_Ha, P_HMinus, P_Hh, P_GPlus, 5645, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, 3666, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_HlQ, 1898, check)
    call createCurrent(P_HQPlus, P_ghWm, P_HMinus, P_ghWmAnti, 2508, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_HlQ, 8703, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Hl, 5123, check)
    call createCurrent(P_GQ0, P_WMinus, P_Z, P_GQPlus, 1190, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_HhQ, 7592, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghZAnti, 3476, check)
    call createCurrent(P_Hl, P_ghWm, P_ghZAnti, P_GPlus, 1539, check)
    call createCurrent(P_GQPlus, P_Hl, P_GQMinus, 6349, check)
    call createCurrent(P_ghWm, P_HMinus, P_GPlus, P_ghWmAnti, 10365, check)
    call createCurrent(P_HQMinus, P_GMinus, P_GPlus, P_GQPlus, 3980, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghA, P_GPlus, 9011, check)
    call createCurrent(P_HhQ, P_G0, P_WMinus, P_WQPlus, 1171, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_HPlus, P_ghZ, 9490, check)
    call createCurrent(P_AQ, P_cAnti, P_c, 8341, check)
    call createCurrent(P_HhQ, P_HPlus, P_ghWm, P_ghAAnti, 7704, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_ghWm, 4552, check)
    call createCurrent(P_Hl, P_ghWm, P_GPlus, P_ghZAnti, 1700, check)
    call createCurrent(P_GQ0, P_ghWp, P_G0, P_ghWpAnti, 1111, check)
    call createCurrent(P_HhQ, P_Hl, P_Hh, P_HlQ, 4859, check)
    call createCurrent(P_AQ, P_dAnti, P_d, 8600, check)
    call createCurrent(P_GMinus, P_ghA, P_Hh, P_ghWmAnti, 592, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hl, 10730, check)
    call createCurrent(P_WQMinus, P_Hh, P_WQPlus, 1395, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Ha, P_GPlus, 10187, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, P_Hl, 7747, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_G0, 2714, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_HPlus, 9729, check)
    call createCurrent(P_ZQ, P_Z, P_Hl, P_HlQ, 798, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghZ, P_GMinus, 3663, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_HaQ, 4768, check)
    call createCurrent(P_HlQ, P_ghWm, P_Ha, P_ghWmAnti, 5442, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_Hl, 298, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Ha, 2139, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hl, P_ghZAnti, 8786, check)
    call createCurrent(P_HQMinus, P_Z, P_Hh, P_WQPlus, 4079, check)
    call createCurrent(P_G0, P_ghZ, P_GMinus, P_ghWmAnti, 7537, check)
    call createCurrent(P_HMinus, P_ghZ, P_Hl, P_ghWmAnti, 3556, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_HMinus, 9188, check)
    call createCurrent(P_HlQ, P_Z, P_HMinus, P_WQPlus, 3263, check)
    call createCurrent(P_WMinus, P_GPlus, P_HMinus, P_WPlus, 9607, check)
    call createCurrent(P_Hl, P_GPlus, P_Z, P_WMinus, 1734, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_HPlus, P_ghA, 2704, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Ha, 3707, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_Ha, 3621, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_Ha, 8336, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Ha, P_HMinus, 5247, check)
    call createCurrent(P_HQPlus, P_A, P_WMinus, P_HlQ, 4086, check)
    call createCurrent(P_Hh, P_Z, P_Ha, 8669, check)
    call createCurrent(P_HlQ, P_HMinus, P_Hl, P_GQPlus, 212, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, 3102, check)
    call createCurrent(P_ghZAnti, P_Ha, P_GPlus, P_ghWm, 9289, check)
    call createCurrent(P_Ha, P_GPlus, P_ghWpAnti, P_ghZ, 10019, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_G0, 8078, check)
    call createCurrent(P_GMinus, P_ghA, P_HPlus, P_ghZAnti, 9102, check)
    call createCurrent(P_GQMinus, P_G0, P_Ha, P_GQPlus, 7726, check)
    call createCurrent(P_HaQ, P_ePlus, P_eMinus, 8553, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghA, 8236, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, 6641, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWmAnti, P_HQMinus, 6027, check)
    call createCurrent(P_HQMinus, P_WPlus, P_A, P_HaQ, 8459, check)
    call createCurrent(P_HlQ, P_G0, P_Hl, P_HaQ, 2917, check)
    call createCurrent(P_ghZAnti, P_Hl, P_HPlus, P_ghWm, 7655, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hh, P_GMinus, 6537, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Z, P_HaQ, 3865, check)
    call createCurrent(P_A, P_Hl, P_G0, 9256, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_Hh, 4326, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_HaQ, 8094, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_G0, P_ghA, 9927, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_HhQ, 4870, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Hh, 497, check)
    call createCurrent(P_Hl, P_ePlus, P_eMinus, 1167, check)
    call createCurrent(P_WQPlus, P_Hh, P_WMinus, P_GQ0, 8603, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_Hl, P_ghWm, 6973, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_Hl, 3836, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hl, 5867, check)
    call createCurrent(P_HPlus, P_HMinus, 9444, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Ha, 5035, check)
    call createCurrent(P_HPlus, P_ghZ, P_HMinus, P_ghZAnti, 4983, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hh, 10308, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hh, 6156, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_Hh, 2227, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Ha, P_HaQ, 950, check)
    call createCurrent(P_A, P_G0, P_GMinus, P_WPlus, 3901, check)
    call createCurrent(P_Ha, P_GMinus, P_ghZAnti, P_ghWp, 9070, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_AQ, 7043, check)
    call createCurrent(P_GPlus, P_Hl, P_Hh, P_HMinus, 8366, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_HlQ, 7037, check)
    call createCurrent(P_HhQ, P_WMinus, P_WPlus, P_HhQ, 1633, check)
    call createCurrent(P_GQPlus, P_Z, P_G0, P_WQMinus, 8183, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, 6727, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghZ, P_GPlus, 8925, check)
    call createCurrent(P_GQMinus, P_HMinus, P_HPlus, P_GQPlus, 4866, check)
    call createCurrent(P_g, P_WPlus, P_g, P_WMinus, 10705, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_G0, 9388, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Ha, P_HQMinus, 5868, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_A, 9703, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Ha, P_AQ, 3110, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_WPlus, P_WQMinus, 7186, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghA, P_GPlus, 10003, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_Hl, 2173, check)
    call createCurrent(P_A, P_GPlus, P_Hl, P_WMinus, 8827, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_HlQ, 4942, check)
    call createCurrent(P_cAnti, P_c, P_HlQ, 4185, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghAAnti, P_ghWp, 7861, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, 3647, check)
    call createCurrent(P_GQPlus, P_WPlus, P_GMinus, P_WQMinus, 8232, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_AQ, 7737, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_Ha, 10129, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Ha, P_GPlus, 9682, check)
    call createCurrent(P_HhQ, P_ghWp, P_Hh, P_ghWpAnti, 6197, check)
    call createCurrent(P_tAnti, P_g, P_t, 4288, check)
    call createCurrent(P_muPlus, P_Ha, P_muMinus, 1812, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_WPlus, P_ghZ, 5334, check)
    call createCurrent(P_Hl, P_GPlus, P_ghZ, P_ghWpAnti, 2653, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_HMinus, 9579, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WQPlus, 5423, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Hh, P_HMinus, 3244, check)
    call createCurrent(P_GQPlus, P_Z, P_Hl, P_WQMinus, 7153, check)
    call createCurrent(P_HQMinus, P_G0, P_GPlus, P_HhQ, 484, check)
    call createCurrent(P_WQMinus, P_Ha, P_WPlus, P_HaQ, 7768, check)
    call createCurrent(P_ZQ, P_HPlus, P_Ha, P_WQMinus, 284, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, P_Ha, 7781, check)
    call createCurrent(P_cAnti, P_s, P_HPlus, 486, check)
    call createCurrent(P_G0, P_HMinus, P_Hh, P_HPlus, 9985, check)
    call createCurrent(P_c, P_cAnti, P_ZQ, 7088, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghWpAnti, P_GPlus, 10144, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghWmAnti, P_ghZ, 8030, check)
    call createCurrent(P_tAnti, P_HPlus, P_b, 4938, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghWp, P_ghWpAnti, 2287, check)
    call createCurrent(P_Ha, P_GPlus, P_WMinus, P_Z, 9404, check)
    call createCurrent(P_GQ0, P_Hl, P_Hl, P_HaQ, 2920, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_ghA, 6090, check)
    call createCurrent(P_A, P_WPlus, P_A, P_WMinus, 1382, check)
    call createCurrent(P_GPlus, P_ghZ, P_G0, P_ghWpAnti, 1173, check)
    call createCurrent(P_WPlus, P_Hh, P_A, P_HMinus, 5558, check)
    call createCurrent(P_Hl, P_Hl, P_ghWpAnti, P_ghWp, 7867, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_HPlus, 6035, check)
    call createCurrent(P_HMinus, P_ghWm, P_GPlus, P_ghWmAnti, 10326, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HMinus, P_GPlus, 9450, check)
    call createCurrent(P_GQ0, P_HPlus, P_Hh, P_GQMinus, 984, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_A, 10722, check)
    call createCurrent(P_HhQ, P_GMinus, P_G0, P_HQPlus, 258, check)
    call createCurrent(P_HQPlus, P_Ha, P_HMinus, P_HhQ, 7654, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_Z, 8026, check)
    call createCurrent(P_Ha, P_Ha, P_ghWpAnti, P_ghWp, 3712, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_WMinus, P_ghZ, 2967, check)
    call createCurrent(P_t, P_bAnti, P_WQMinus, 5295, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_G0, 7898, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_ZQ, 6897, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghZ, 5502, check)
    call createCurrent(P_G0, P_ghZ, P_ghWmAnti, P_GMinus, 5352, check)
    call createCurrent(P_G0, P_WMinus, P_Ha, P_WPlus, 10245, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Ha, P_Ha, 808, check)
    call createCurrent(P_Hl, P_muPlus, P_muMinus, 3230, check)
    call createCurrent(P_HhQ, P_HPlus, P_WQMinus, 1580, check)
    call createCurrent(P_HQPlus, P_Hh, P_HMinus, P_GQ0, 5440, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Ha, P_HQPlus, 4784, check)
    call createCurrent(P_AQ, P_HMinus, P_A, P_HQPlus, 6992, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_Ha, 1123, check)
    call createCurrent(P_HQPlus, P_ghA, P_HMinus, P_ghZAnti, 8251, check)
    call createCurrent(P_A, P_WPlus, P_ghZAnti, P_ghWm, 2582, check)
  end subroutine fill_current_6
end module currents_info6
