!******************************************************************************!
!                                                                              !
!    currents_info1.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info1.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info1
  implicit none
  contains
  subroutine fill_current_1(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_ghWp, P_Hh, P_ghZAnti, P_HQMinus, 2069, check)
    call createCurrent(P_GMinus, P_G0, P_A, P_WPlus, 6587, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WMinus, P_WPlus, 6120, check)
    call createCurrent(P_GPlus, P_b, P_tAnti, 6235, check)
    call createCurrent(P_ghZ, P_Ha, P_ghWmAnti, P_HMinus, 7672, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, P_Z, 8103, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_G0, 8956, check)
    call createCurrent(P_WQPlus, P_WPlus, P_ghWpAnti, P_ghWm, 7443, check)
    call createCurrent(P_HQMinus, P_Hh, P_GPlus, P_HlQ, 8053, check)
    call createCurrent(P_Hl, P_Ha, P_A, 9649, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, P_Hl, 9402, check)
    call createCurrent(P_GQ0, P_Hh, P_G0, P_HlQ, 132, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, P_Hh, 104, check)
    call createCurrent(P_HPlus, P_A, P_G0, P_WMinus, 9358, check)
    call createCurrent(P_WQMinus, P_Hl, P_Z, P_GQPlus, 3085, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, 1029, check)
    call createCurrent(P_ghZAnti, P_G0, P_GPlus, P_ghWm, 4899, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghZ, P_Hh, 8672, check)
    call createCurrent(P_GPlus, P_ghWm, P_Ha, P_ghZAnti, 10371, check)
    call createCurrent(P_GPlus, P_A, P_HMinus, P_Z, 9645, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghA, P_HQPlus, 8195, check)
    call createCurrent(P_HMinus, P_ghWpAnti, P_HPlus, P_ghWp, 628, check)
    call createCurrent(P_b, P_bAnti, P_Ha, 8239, check)
    call createCurrent(P_GQPlus, P_WMinus, P_HhQ, 2569, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hh, P_HhQ, 2168, check)
    call createCurrent(P_G0, P_G0, P_G0, P_G0, 2088, check)
    call createCurrent(P_HQPlus, P_Hh, P_GMinus, P_HaQ, 4035, check)
    call createCurrent(P_G0, P_uAnti, P_u, 7402, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_G0, 3002, check)
    call createCurrent(P_HhQ, P_Ha, P_Ha, P_HhQ, 3526, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghWm, P_GPlus, 3226, check)
    call createCurrent(P_tAnti, P_t, P_A, 6730, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_G0, 3134, check)
    call createCurrent(P_ghA, P_GMinus, P_GPlus, P_ghAAnti, 7000, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghZ, P_GPlus, 2944, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, P_Ha, 9676, check)
    call createCurrent(P_G0, P_GPlus, P_Ha, P_GMinus, 310, check)
    call createCurrent(P_HQMinus, P_HPlus, P_GMinus, P_HQPlus, 1212, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hl, 4427, check)
    call createCurrent(P_g, P_cAnti, P_c, 7118, check)
    call createCurrent(P_Z, P_Ha, P_Z, P_G0, 9063, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghWpAnti, P_WQPlus, 343, check)
    call createCurrent(P_HMinus, P_ghZ, P_HPlus, P_ghZAnti, 2613, check)
    call createCurrent(P_WQPlus, P_HMinus, P_HaQ, 432, check)
    call createCurrent(P_Z, P_GPlus, P_GMinus, P_A, 6491, check)
    call createCurrent(P_HlQ, P_GPlus, P_HMinus, P_GQ0, 3136, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hh, 9471, check)
    call createCurrent(P_WQPlus, P_A, P_WQMinus, 1956, check)
    call createCurrent(P_HMinus, P_ghWp, P_Ha, P_ghZAnti, 1602, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hl, P_HQPlus, 6824, check)
    call createCurrent(P_WMinus, P_Ha, P_WPlus, P_Ha, 2724, check)
    call createCurrent(P_Hl, P_HMinus, P_ghZAnti, P_ghWp, 7751, check)
    call createCurrent(P_Hh, P_HMinus, P_A, P_WPlus, 318, check)
    call createCurrent(P_ghA, P_Hh, P_ghWmAnti, P_HQMinus, 1735, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_HPlus, 8769, check)
    call createCurrent(P_WPlus, P_ghZ, P_WMinus, P_ghZAnti, 625, check)
    call createCurrent(P_WQPlus, P_Hh, P_GMinus, P_AQ, 7766, check)
    call createCurrent(P_WPlus, P_Z, P_Hl, P_HMinus, 6217, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_Hh, 9979, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, 9387, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_GQPlus, 8116, check)
    call createCurrent(P_g, P_Hh, P_g, P_Hl, 10622, check)
    call createCurrent(P_WQPlus, P_Hh, P_WMinus, P_HhQ, 7750, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_A, 5360, check)
    call createCurrent(P_HQMinus, P_HPlus, P_AQ, 5835, check)
    call createCurrent(P_HaQ, P_HPlus, P_G0, P_HQMinus, 6381, check)
    call createCurrent(P_HhQ, P_ghWm, P_Ha, P_ghWmAnti, 2518, check)
    call createCurrent(P_GPlus, P_Hl, P_Z, P_WMinus, 2473, check)
    call createCurrent(P_WQPlus, P_Hl, P_HMinus, P_ZQ, 8497, check)
    call createCurrent(P_Z, P_tauPlus, P_tauMinus, 3933, check)
    call createCurrent(P_ZQ, P_Hh, P_GPlus, P_WQMinus, 7838, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWmAnti, P_ghWm, 202, check)
    call createCurrent(P_Hh, P_Hh, P_ghWpAnti, P_ghWp, 6770, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, P_Z, 7221, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, P_Hl, 5722, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, P_HhQ, 2768, check)
    call createCurrent(P_HaQ, P_Hh, P_GMinus, P_HQPlus, 5711, check)
    call createCurrent(P_Hh, P_HMinus, P_Hh, P_GPlus, 5943, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_HlQ, 1615, check)
    call createCurrent(P_G0, P_Hh, P_GMinus, P_GPlus, 9614, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_HMinus, P_ghZ, 135, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghAAnti, P_ghZ, 10213, check)
    call createCurrent(P_Hh, P_HPlus, P_ghZAnti, P_ghWm, 1352, check)
    call createCurrent(P_Ha, P_ghZ, P_Ha, P_ghZAnti, 1899, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghA, P_HMinus, 5243, check)
    call createCurrent(P_HaQ, P_HMinus, P_G0, P_HQPlus, 5736, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_GMinus, P_ghZ, 7296, check)
    call createCurrent(P_A, P_Hl, P_A, P_Hl, 10609, check)
    call createCurrent(P_Hh, P_G0, P_Hl, P_Ha, 905, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, P_A, 1837, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Ha, 9244, check)
    call createCurrent(P_HQMinus, P_ghWp, P_Ha, P_ghZAnti, 8826, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_Hl, 5808, check)
    call createCurrent(P_HQMinus, P_ghWp, P_HPlus, P_ghWpAnti, 5576, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, 3974, check)
    call createCurrent(P_Hl, P_ghZ, P_HPlus, P_ghWpAnti, 7761, check)
    call createCurrent(P_Hh, P_HPlus, P_Hl, P_HMinus, 8666, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, P_G0, 4295, check)
    call createCurrent(P_HQPlus, P_ghZ, P_Hl, P_ghWpAnti, 1370, check)
    call createCurrent(P_HMinus, P_ghA, P_GPlus, P_ghAAnti, 10437, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HQPlus, 7840, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWp, P_GMinus, 6285, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, P_AQ, 7080, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_Hl, 849, check)
    call createCurrent(P_Z, P_ePlus, P_eMinus, 5899, check)
    call createCurrent(P_HQPlus, P_HMinus, P_AQ, 4531, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_A, P_WQMinus, 3917, check)
    call createCurrent(P_G0, P_Hl, P_Ha, P_Hh, 7017, check)
    call createCurrent(P_G0, P_HMinus, P_Hl, P_GPlus, 64, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_Hl, 6293, check)
    call createCurrent(P_GQMinus, P_G0, P_Z, P_WQPlus, 5487, check)
    call createCurrent(P_ZQ, P_WMinus, P_ghZAnti, P_ghWp, 4609, check)
    call createCurrent(P_A, P_ghWmAnti, P_WMinus, P_ghA, 4806, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hl, P_GPlus, 1106, check)
    call createCurrent(P_HhQ, P_ghWp, P_HMinus, P_ghZAnti, 8557, check)
    call createCurrent(P_ghWm, P_Ha, P_ghZAnti, P_HQPlus, 2184, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_GQPlus, 8357, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HlQ, 3929, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_A, P_WQPlus, 4519, check)
    call createCurrent(P_Hl, P_GPlus, P_A, P_WMinus, 4704, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_WMinus, P_WQPlus, 7965, check)
    call createCurrent(P_Hl, P_ghZ, P_GMinus, P_ghWmAnti, 4945, check)
    call createCurrent(P_GPlus, P_HPlus, P_GMinus, P_HMinus, 6917, check)
    call createCurrent(P_Hh, P_Hh, P_GMinus, P_GPlus, 5177, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghZ, P_Hh, 9355, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWp, P_ghAAnti, 7258, check)
    call createCurrent(P_Ha, P_Hh, P_G0, P_Hl, 188, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hh, P_HQPlus, 256, check)
    call createCurrent(P_A, P_Z, P_A, P_Z, 10675, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_ghWp, 3389, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, P_A, 3632, check)
    call createCurrent(P_HQPlus, P_Hh, P_GMinus, P_HlQ, 1576, check)
    call createCurrent(P_Z, P_ghZAnti, P_WMinus, P_ghWp, 6438, check)
    call createCurrent(P_WQMinus, P_WPlus, P_HaQ, 4864, check)
    call createCurrent(P_A, P_Hl, P_WMinus, P_HPlus, 2637, check)
    call createCurrent(P_Hh, P_Hh, P_HMinus, P_GPlus, 6389, check)
    call createCurrent(P_HhQ, P_GMinus, P_HQPlus, 3163, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_Z, 0, check)
    call createCurrent(P_ZQ, P_WPlus, P_Ha, P_HQMinus, 1891, check)
    call createCurrent(P_ghA, P_Ha, P_ghWmAnti, P_GMinus, 10327, check)
    call createCurrent(P_AQ, P_A, P_ghWp, P_ghWpAnti, 6869, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, 7525, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWm, P_ghWmAnti, 8393, check)
    call createCurrent(P_ZQ, P_ghWm, P_Z, P_ghWmAnti, 621, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_Ha, 398, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Hh, 5383, check)
    call createCurrent(P_g, P_WPlus, P_WMinus, P_g, 10676, check)
    call createCurrent(P_g, P_A, P_g, P_Z, 10524, check)
    call createCurrent(P_u, P_uAnti, P_Hh, 5936, check)
    call createCurrent(P_Hl, P_G0, P_Ha, P_Hh, 1263, check)
    call createCurrent(P_Hh, P_ghWp, P_ghWpAnti, 4018, check)
    call createCurrent(P_GQMinus, P_HPlus, P_G0, P_HhQ, 1063, check)
    call createCurrent(P_WMinus, P_GMinus, P_HPlus, P_WPlus, 10332, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_Ha, 10166, check)
    call createCurrent(P_HhQ, P_u, P_uAnti, 6211, check)
    call createCurrent(P_GQMinus, P_Z, P_Z, P_GQPlus, 7915, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghWpAnti, P_ghA, 3425, check)
    call createCurrent(P_GQPlus, P_Hh, P_GMinus, P_HhQ, 8425, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_G0, 3000, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, P_g, 3296, check)
    call createCurrent(P_GPlus, P_ghA, P_G0, P_ghWpAnti, 2352, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_GPlus, 8981, check)
    call createCurrent(P_Ha, P_WPlus, P_HMinus, 3863, check)
    call createCurrent(P_WMinus, P_HPlus, P_Ha, P_Z, 4592, check)
    call createCurrent(P_GMinus, P_ghZ, P_HPlus, P_ghZAnti, 9931, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Hh, 6263, check)
    call createCurrent(P_WPlus, P_ghA, P_Z, P_ghWpAnti, 2152, check)
    call createCurrent(P_ghZ, P_Ha, P_ghWmAnti, P_GMinus, 8861, check)
    call createCurrent(P_Ha, P_G0, P_ghWp, P_ghWpAnti, 10163, check)
    call createCurrent(P_GPlus, P_nu_muAnti, P_muMinus, 6311, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_Ha, 10439, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_G0, 9330, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_HMinus, P_ghZ, 10207, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_GMinus, 6669, check)
    call createCurrent(P_G0, P_Ha, P_WMinus, P_WPlus, 9260, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WPlus, 8615, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Hh, P_ghZ, 851, check)
    call createCurrent(P_GQMinus, P_GPlus, P_WMinus, P_WQPlus, 498, check)
    call createCurrent(P_AQ, P_ghZAnti, P_WMinus, P_ghWp, 7049, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_Ha, 6075, check)
    call createCurrent(P_WMinus, P_ghWp, P_A, P_ghAAnti, 3078, check)
    call createCurrent(P_nu_e, P_HMinus, P_ePlus, 2568, check)
    call createCurrent(P_HQMinus, P_HPlus, P_GPlus, P_HQMinus, 3686, check)
    call createCurrent(P_ZQ, P_Z, P_HlQ, 245, check)
    call createCurrent(P_ghWp, P_GPlus, P_ghWpAnti, P_GQMinus, 2992, check)
    call createCurrent(P_HhQ, P_HMinus, P_WQPlus, 5876, check)
    call createCurrent(P_HQMinus, P_c, P_sAnti, 2204, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghWpAnti, P_Ha, 1984, check)
    call createCurrent(P_HQPlus, P_Hh, P_ghWpAnti, P_ghA, 529, check)
    call createCurrent(P_WQMinus, P_WPlus, P_WPlus, P_WQMinus, 2525, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Ha, P_HhQ, 4674, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghAAnti, P_HPlus, 7922, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_Ha, 8187, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghWpAnti, P_GPlus, 3960, check)
    call createCurrent(P_Z, P_WMinus, P_Ha, P_GPlus, 9525, check)
    call createCurrent(P_HMinus, P_dAnti, P_u, 2991, check)
    call createCurrent(P_Hl, P_Z, P_Hh, P_Z, 9694, check)
    call createCurrent(P_G0, P_GPlus, P_ghWm, P_ghZAnti, 4691, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_Hl, 1574, check)
    call createCurrent(P_c, P_sAnti, P_WMinus, 4996, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghAAnti, P_ghZ, 534, check)
    call createCurrent(P_A, P_G0, P_A, P_Ha, 10648, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WQPlus, 8297, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, 358, check)
    call createCurrent(P_GQ0, P_GPlus, P_G0, P_HQMinus, 8591, check)
    call createCurrent(P_HPlus, P_ghWm, P_GMinus, P_ghWmAnti, 9459, check)
    call createCurrent(P_HhQ, P_G0, P_ghWm, P_ghWmAnti, 5836, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghWpAnti, P_ghA, 6146, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_GQ0, 3470, check)
    call createCurrent(P_HPlus, P_GMinus, P_GMinus, P_GPlus, 1237, check)
    call createCurrent(P_GPlus, P_Hh, P_G0, P_GMinus, 9924, check)
    call createCurrent(P_G0, P_GMinus, P_ghA, P_ghWmAnti, 7934, check)
    call createCurrent(P_HlQ, P_Hl, P_GMinus, P_GQPlus, 3733, check)
    call createCurrent(P_ghZ, P_Ha, P_ghWpAnti, P_HQPlus, 40, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, P_A, 2121, check)
    call createCurrent(P_HPlus, P_GPlus, P_HMinus, P_GMinus, 7893, check)
    call createCurrent(P_WQPlus, P_G0, P_GQMinus, 3264, check)
    call createCurrent(P_WPlus, P_Z, P_ghZAnti, P_ghWm, 832, check)
    call createCurrent(P_ZQ, P_WMinus, P_A, P_WQPlus, 2915, check)
    call createCurrent(P_cAnti, P_c, P_gQ, 5628, check)
    call createCurrent(P_bAnti, P_t, P_GQMinus, 649, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_A, P_WQPlus, 801, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_Ha, 9708, check)
    call createCurrent(P_HhQ, P_ghWp, P_GMinus, P_ghZAnti, 8429, check)
    call createCurrent(P_HPlus, P_HMinus, P_GPlus, P_HMinus, 5875, check)
    call createCurrent(P_Hh, P_Ha, P_Hl, P_Ha, 6771, check)
    call createCurrent(P_Ha, P_G0, P_Hl, P_G0, 10530, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hh, 10599, check)
    call createCurrent(P_HlQ, P_Hl, P_Hh, P_HhQ, 3279, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_HPlus, P_ghZ, 10408, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghZAnti, P_ghZ, 9521, check)
    call createCurrent(P_HlQ, P_HMinus, P_ghWmAnti, P_ghZ, 354, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, P_Hh, 9381, check)
    call createCurrent(P_HhQ, P_HPlus, P_Hl, P_GQMinus, 4570, check)
    call createCurrent(P_GQ0, P_Hl, P_G0, P_HlQ, 8830, check)
    call createCurrent(P_HaQ, P_Hh, P_GMinus, P_GQPlus, 4067, check)
    call createCurrent(P_HMinus, P_G0, P_ghWmAnti, P_ghZ, 9060, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_G0, 4125, check)
    call createCurrent(P_Z, P_G0, P_Ha, P_A, 10574, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HPlus, P_HMinus, 6875, check)
    call createCurrent(P_Z, P_A, P_Hl, 10292, check)
    call createCurrent(P_AQ, P_GPlus, P_A, P_GQMinus, 75, check)
    call createCurrent(P_Hh, P_Ha, P_GMinus, P_HPlus, 317, check)
    call createCurrent(P_u, P_uAnti, P_HhQ, 8386, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WMinus, P_WPlus, 2875, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Z, P_HlQ, 4128, check)
    call createCurrent(P_WQPlus, P_Hl, P_GMinus, P_AQ, 7047, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_Ha, 10375, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_Hh, 7074, check)
    call createCurrent(P_HhQ, P_Hh, P_ghWmAnti, P_ghWm, 4303, check)
    call createCurrent(P_u, P_uAnti, P_Ha, 148, check)
    call createCurrent(P_Z, P_HMinus, P_A, P_GPlus, 9611, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_G0, P_HMinus, 9349, check)
    call createCurrent(P_ghA, P_Hl, P_GPlus, P_ghWpAnti, 3441, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hl, P_Z, 7335, check)
    call createCurrent(P_ghWp, P_G0, P_HMinus, P_ghAAnti, 10483, check)
    call createCurrent(P_HlQ, P_Ha, P_HPlus, P_GQMinus, 8724, check)
    call createCurrent(P_Z, P_G0, P_WPlus, P_GMinus, 7846, check)
    call createCurrent(P_HhQ, P_HMinus, P_GPlus, P_HlQ, 1709, check)
    call createCurrent(P_GPlus, P_Hl, P_Hl, P_GMinus, 6905, check)
    call createCurrent(P_HhQ, P_G0, P_Hh, P_GQ0, 3238, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_Hl, 6913, check)
    call createCurrent(P_tAnti, P_t, P_Z, 6134, check)
    call createCurrent(P_A, P_HMinus, P_A, P_HPlus, 3885, check)
    call createCurrent(P_GMinus, P_A, P_Hl, P_WPlus, 6258, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GPlus, P_HMinus, 9252, check)
    call createCurrent(P_Hl, P_Ha, P_Ha, 564, check)
    call createCurrent(P_WPlus, P_A, P_ghZ, P_ghWpAnti, 1809, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_Hl, 232, check)
    call createCurrent(P_WQMinus, P_ghAAnti, P_ghWp, 4112, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, P_gQ, 5746, check)
    call createCurrent(P_ghWpAnti, P_A, P_WPlus, P_ghZ, 8623, check)
    call createCurrent(P_WQPlus, P_Hh, P_Z, P_GQMinus, 3643, check)
    call createCurrent(P_HPlus, P_Hl, P_Ha, P_HMinus, 10351, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_HMinus, 825, check)
    call createCurrent(P_Z, P_Ha, P_Z, P_Ha, 3860, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_A, P_ghZ, 4409, check)
    call createCurrent(P_HPlus, P_Hh, P_WMinus, 2181, check)
    call createCurrent(P_GQPlus, P_G0, P_Z, P_WQMinus, 1459, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, P_Z, 6798, check)
    call createCurrent(P_ghZ, P_GPlus, P_HMinus, P_ghAAnti, 9737, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Hl, P_ZQ, 4881, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghA, P_ghAAnti, 6296, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Hl, P_GQPlus, 5397, check)
    call createCurrent(P_Hh, P_Ha, P_GPlus, P_HMinus, 1432, check)
    call createCurrent(P_c, P_cAnti, P_G0, 2595, check)
    call createCurrent(P_HlQ, P_HPlus, P_Z, P_WQMinus, 8124, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_G0, P_ghWp, 10002, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghZ, P_GPlus, 7185, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghZAnti, P_GMinus, 6300, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghZ, P_ghWpAnti, 6592, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_HMinus, 8955, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_GMinus, P_ghZ, 8883, check)
    call createCurrent(P_HaQ, P_ghWp, P_HMinus, P_ghAAnti, 7293, check)
    call createCurrent(P_Ha, P_Ha, P_HPlus, P_GMinus, 4532, check)
    call createCurrent(P_GMinus, P_ghWm, P_HPlus, P_ghWmAnti, 9324, check)
    call createCurrent(P_HaQ, P_ghAAnti, P_HPlus, P_ghWm, 7426, check)
    call createCurrent(P_Hl, P_ghWm, P_ghAAnti, P_HPlus, 6198, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, 4342, check)
    call createCurrent(P_dAnti, P_d, P_Ha, 8484, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_Hh, 5999, check)
    call createCurrent(P_ghAAnti, P_ghA, P_HMinus, P_HPlus, 2602, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_G0, P_GQPlus, 4827, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghA, P_ghZAnti, 10011, check)
    call createCurrent(P_A, P_ghWp, P_Z, P_ghWpAnti, 8611, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Hl, 2452, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_Hl, 7441, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_Ha, 7329, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hh, P_ghAAnti, 6528, check)
    call createCurrent(P_Z, P_ghWpAnti, P_WPlus, P_ghZ, 6423, check)
    call createCurrent(P_Z, P_Hl, P_Z, 7279, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GQ0, 3736, check)
    call createCurrent(P_Hl, P_A, P_A, P_Hh, 10503, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, P_A, 4746, check)
    call createCurrent(P_GMinus, P_A, P_A, P_GPlus, 7859, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_WMinus, P_ghWp, 5583, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hl, 767, check)
    call createCurrent(P_muPlus, P_muMinus, P_A, 6424, check)
    call createCurrent(P_GQPlus, P_GMinus, P_GPlus, P_HQMinus, 6974, check)
    call createCurrent(P_HaQ, P_Hh, P_WMinus, P_WQPlus, 6383, check)
    call createCurrent(P_HMinus, P_ghWp, P_Hh, P_ghZAnti, 5345, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_ZQ, 7627, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_Hl, 2662, check)
    call createCurrent(P_Hh, P_GMinus, P_HPlus, P_Ha, 2327, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghWp, P_ghAAnti, 7250, check)
    call createCurrent(P_dAnti, P_u, P_HQMinus, 2131, check)
    call createCurrent(P_Hh, P_tAnti, P_t, 5279, check)
    call createCurrent(P_A, P_Hh, P_A, P_Hh, 10586, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_G0, P_ghZ, 7832, check)
    call createCurrent(P_HaQ, P_muPlus, P_muMinus, 6590, check)
    call createCurrent(P_GQPlus, P_G0, P_G0, P_HQMinus, 1072, check)
    call createCurrent(P_d, P_dAnti, 9536, check)
    call createCurrent(P_u, P_dAnti, P_GMinus, 125, check)
    call createCurrent(P_Z, P_WMinus, P_ghWp, P_ghAAnti, 6604, check)
    call createCurrent(P_HaQ, P_GPlus, P_Hl, P_HQMinus, 5027, check)
    call createCurrent(P_t, P_Hh, P_tAnti, 2443, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghA, P_HMinus, 9180, check)
    call createCurrent(P_nu_e, P_ePlus, P_WMinus, 8167, check)
    call createCurrent(P_GPlus, P_Z, P_Ha, P_WMinus, 10071, check)
    call createCurrent(P_WQMinus, P_A, P_A, P_WQPlus, 937, check)
    call createCurrent(P_sAnti, P_s, P_Hl, 4694, check)
    call createCurrent(P_ghA, P_HMinus, P_ghZAnti, P_HQPlus, 6858, check)
    call createCurrent(P_GQPlus, P_HMinus, P_GMinus, P_GQPlus, 5944, check)
    call createCurrent(P_GPlus, P_HMinus, P_GMinus, P_GPlus, 5021, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Ha, 3582, check)
    call createCurrent(P_AQ, P_GPlus, P_WQMinus, 12, check)
    call createCurrent(P_HlQ, P_ghAAnti, P_GPlus, P_ghWm, 2031, check)
    call createCurrent(P_WMinus, P_ghWm, P_ghWmAnti, P_WPlus, 4801, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_Ha, 10337, check)
    call createCurrent(P_HaQ, P_G0, P_Ha, P_GQ0, 5756, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_HMinus, P_ghA, 6845, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Ha, P_HPlus, 7978, check)
    call createCurrent(P_HlQ, P_WPlus, P_G0, P_WQMinus, 4312, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hl, P_HaQ, 8027, check)
    call createCurrent(P_HQMinus, P_Hl, P_Hl, P_GQPlus, 3560, check)
    call createCurrent(P_bAnti, P_G0, P_b, 7152, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_A, P_ghWp, 6582, check)
    call createCurrent(P_GPlus, P_Hl, P_Hh, P_GMinus, 3589, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghZ, 3257, check)
    call createCurrent(P_HhQ, P_ghZ, P_HMinus, P_ghWmAnti, 301, check)
    call createCurrent(P_GMinus, P_Z, P_HPlus, 9138, check)
    call createCurrent(P_GQPlus, P_HMinus, P_GMinus, P_HQPlus, 1061, check)
    call createCurrent(P_Hl, P_Ha, P_GMinus, P_GPlus, 8853, check)
    call createCurrent(P_dAnti, P_u, P_GQMinus, 5082, check)
    call createCurrent(P_A, P_HPlus, P_HMinus, P_Z, 8392, check)
    call createCurrent(P_GQPlus, P_nu_tauAnti, P_tauMinus, 6894, check)
    call createCurrent(P_HhQ, P_Hh, P_GPlus, P_GQMinus, 5648, check)
    call createCurrent(P_HlQ, P_cAnti, P_c, 5938, check)
    call createCurrent(P_HQMinus, P_dAnti, P_u, 71, check)
    call createCurrent(P_HMinus, P_WPlus, P_HPlus, P_WMinus, 7315, check)
    call createCurrent(P_GPlus, P_ghA, P_GMinus, P_ghAAnti, 4719, check)
    call createCurrent(P_GPlus, P_Ha, P_Hl, P_GMinus, 9025, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, P_G0, 9034, check)
    call createCurrent(P_ZQ, P_WPlus, P_Hh, P_HQMinus, 7284, check)
    call createCurrent(P_WQPlus, P_Z, P_Z, P_WQMinus, 2350, check)
    call createCurrent(P_G0, P_tauPlus, P_tauMinus, 7445, check)
    call createCurrent(P_G0, P_g, P_G0, P_g, 10607, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_Hh, 2115, check)
    call createCurrent(P_HPlus, P_GMinus, P_GPlus, P_GMinus, 153, check)
    call createCurrent(P_tAnti, P_Ha, P_t, 1719, check)
    call createCurrent(P_WQPlus, P_HMinus, P_A, P_HhQ, 4737, check)
    call createCurrent(P_HQPlus, P_G0, P_Ha, P_GQMinus, 1624, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, P_A, 3934, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghWmAnti, P_ghWm, 10277, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Z, P_AQ, 5643, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_HhQ, 2354, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_G0, 9049, check)
    call createCurrent(P_Hl, P_A, P_G0, 10406, check)
    call createCurrent(P_GQMinus, P_G0, P_GPlus, P_GQ0, 5735, check)
    call createCurrent(P_ghA, P_Hh, P_ghWpAnti, P_GPlus, 5923, check)
    call createCurrent(P_HhQ, P_GPlus, P_Hl, P_HQMinus, 2687, check)
    call createCurrent(P_Ha, P_GPlus, P_GMinus, P_Ha, 1417, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_GQ0, 3507, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_WPlus, P_ghWm, 1291, check)
    call createCurrent(P_HaQ, P_ghZ, P_HMinus, P_ghWmAnti, 7709, check)
    call createCurrent(P_HQPlus, P_Hl, P_WQMinus, 1705, check)
    call createCurrent(P_Ha, P_ghA, P_HMinus, P_ghWmAnti, 6297, check)
    call createCurrent(P_Z, P_ghWp, P_A, P_ghWpAnti, 1476, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_Ha, 9195, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_A, 8114, check)
    call createCurrent(P_A, P_A, P_GMinus, P_GPlus, 1666, check)
    call createCurrent(P_muPlus, P_muMinus, P_Hl, 7664, check)
    call createCurrent(P_GQ0, P_HPlus, P_HQMinus, 2775, check)
    call createCurrent(P_HPlus, P_G0, P_Hl, P_HMinus, 9376, check)
    call createCurrent(P_Hl, P_G0, P_GMinus, P_HPlus, 878, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_GPlus, 3093, check)
    call createCurrent(P_GPlus, P_A, P_A, P_GMinus, 4639, check)
    call createCurrent(P_G0, P_ghWm, P_ghZAnti, P_HPlus, 9275, check)
    call createCurrent(P_ghWm, P_G0, P_G0, P_ghWmAnti, 6790, check)
    call createCurrent(P_G0, P_GPlus, P_Hh, P_HMinus, 5406, check)
    call createCurrent(P_Hl, P_WPlus, P_Z, P_HMinus, 2903, check)
    call createCurrent(P_Ha, P_WPlus, P_Ha, P_WMinus, 6396, check)
    call createCurrent(P_GPlus, P_HMinus, P_G0, P_Hl, 7914, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghA, P_GMinus, 9771, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_Hh, 3035, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hl, 10611, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, 8775, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Hl, P_GMinus, 7975, check)
    call createCurrent(P_ghWm, P_A, P_Z, P_ghWmAnti, 5774, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_Hl, 3212, check)
    call createCurrent(P_HPlus, P_WMinus, P_WPlus, P_GMinus, 9012, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Ha, P_HlQ, 8760, check)
    call createCurrent(P_HlQ, P_WMinus, P_GPlus, P_ZQ, 2373, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_Ha, P_ghWm, 4543, check)
    call createCurrent(P_ZQ, P_Hl, P_WMinus, P_GQPlus, 2123, check)
    call createCurrent(P_GQMinus, P_GPlus, P_GPlus, P_GQMinus, 6166, check)
    call createCurrent(P_HQPlus, P_HMinus, P_GQ0, 2863, check)
    call createCurrent(P_Z, P_Hh, P_Z, 3726, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghWpAnti, P_HPlus, 9692, check)
    call createCurrent(P_Z, P_Z, P_Z, P_A, 10703, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GPlus, P_GMinus, 6036, check)
    call createCurrent(P_GQPlus, P_HMinus, P_HMinus, P_GQPlus, 1529, check)
    call createCurrent(P_WMinus, P_ghWp, P_A, P_ghZAnti, 5984, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_GPlus, 7628, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghZAnti, P_ghWp, 2437, check)
    call createCurrent(P_GPlus, P_ghWp, P_ghWpAnti, P_HMinus, 10048, check)
    call createCurrent(P_ZQ, P_Z, P_ghWpAnti, P_ghWp, 965, check)
    call createCurrent(P_GQ0, P_Hl, P_GMinus, P_GQPlus, 5965, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hh, P_A, 5459, check)
    call createCurrent(P_HaQ, P_c, P_cAnti, 4370, check)
    call createCurrent(P_ghWm, P_HPlus, P_HMinus, P_ghWmAnti, 5166, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, P_HlQ, 5245, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_GQ0, 7852, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, 2238, check)
    call createCurrent(P_G0, P_Hl, P_G0, P_Hl, 6630, check)
    call createCurrent(P_A, P_s, P_sAnti, 1778, check)
    call createCurrent(P_bAnti, P_b, P_ZQ, 5941, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghA, P_Hh, 7297, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_Z, 4936, check)
    call createCurrent(P_GQMinus, P_GPlus, P_HlQ, 4629, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, P_G0, 9406, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_GPlus, P_GQMinus, 2451, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_Hh, 7093, check)
    call createCurrent(P_g, P_t, P_tAnti, 1133, check)
    call createCurrent(P_HPlus, P_Ha, P_WMinus, P_A, 6511, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Z, P_AQ, 7128, check)
    call createCurrent(P_ghWm, P_Ha, P_ghZAnti, P_HPlus, 3605, check)
    call createCurrent(P_Ha, P_ghWm, P_G0, P_ghWmAnti, 9365, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_Ha, P_ghWp, 4993, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_HlQ, 6645, check)
    call createCurrent(P_Hh, P_ghA, P_ghWmAnti, P_GMinus, 7988, check)
    call createCurrent(P_A, P_Z, P_Z, P_A, 10681, check)
    call createCurrent(P_GMinus, P_Hl, P_WPlus, 7486, check)
    call createCurrent(P_GMinus, P_Hh, P_Hh, P_GPlus, 7779, check)
    call createCurrent(P_WQPlus, P_GMinus, P_A, P_GQ0, 2666, check)
    call createCurrent(P_HaQ, P_Hl, P_GQ0, 4781, check)
    call createCurrent(P_HPlus, P_ghA, P_GMinus, P_ghZAnti, 9641, check)
    call createCurrent(P_WMinus, P_Z, P_ghAAnti, P_ghWp, 4851, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, 2912, check)
    call createCurrent(P_GQPlus, P_G0, P_ghZAnti, P_ghWm, 8653, check)
    call createCurrent(P_Ha, P_Ha, P_HMinus, P_GPlus, 3600, check)
    call createCurrent(P_HhQ, P_Hl, P_Hl, P_HhQ, 1309, check)
    call createCurrent(P_s, P_Ha, P_sAnti, 2924, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghWp, P_GMinus, 511, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_A, 5744, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_Hh, 2855, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_HhQ, 3936, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, P_Hh, 4114, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_ghA, 154, check)
    call createCurrent(P_GQMinus, P_Hl, P_HPlus, P_HaQ, 1353, check)
    call createCurrent(P_GQ0, P_ghWm, P_Hh, P_ghWmAnti, 4208, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghA, P_ghZAnti, 4382, check)
    call createCurrent(P_HMinus, P_muPlus, P_nu_mu, 8799, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghWm, P_ghWmAnti, 5548, check)
    call createCurrent(P_ePlus, P_eMinus, P_G0, 5202, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, 7333, check)
    call createCurrent(P_G0, P_G0, P_Z, P_A, 10363, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, P_Z, 4141, check)
    call createCurrent(P_HhQ, P_GMinus, P_ghWp, P_ghAAnti, 1197, check)
    call createCurrent(P_Hh, P_GPlus, P_Ha, P_HMinus, 7480, check)
    call createCurrent(P_A, P_Z, P_WPlus, P_WMinus, 1159, check)
    call createCurrent(P_GMinus, P_nu_tau, P_tauPlus, 8439, check)
    call createCurrent(P_Ha, P_Ha, P_Z, P_Z, 3890, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_ghZ, 6722, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, 7215, check)
    call createCurrent(P_HaQ, P_ghAAnti, P_HMinus, P_ghWp, 516, check)
    call createCurrent(P_HaQ, P_s, P_sAnti, 3387, check)
    call createCurrent(P_A, P_GMinus, P_Hh, P_WPlus, 7968, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Z, P_HhQ, 5797, check)
    call createCurrent(P_HQPlus, P_Hh, P_ghWpAnti, P_ghZ, 7593, check)
    call createCurrent(P_Hh, P_ghAAnti, P_ghWp, P_GMinus, 8704, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, P_Z, 7247, check)
    call createCurrent(P_Hl, P_HMinus, P_Hh, P_HPlus, 1510, check)
    call createCurrent(P_A, P_Ha, P_Hh, 10390, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWm, P_GPlus, 3304, check)
    call createCurrent(P_G0, P_G0, P_Ha, 10667, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghA, P_ghZAnti, 6657, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, P_A, 3514, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hl, P_ZQ, 7409, check)
    call createCurrent(P_ghWp, P_HMinus, P_Hh, P_ghZAnti, 3443, check)
    call createCurrent(P_Hl, P_GPlus, P_Hh, P_GMinus, 4310, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_HMinus, 10282, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_GQ0, 1694, check)
    call createCurrent(P_HhQ, P_G0, P_G0, P_HlQ, 7634, check)
    call createCurrent(P_ghWp, P_Hl, P_Hl, P_ghWpAnti, 4647, check)
    call createCurrent(P_HPlus, P_HMinus, P_HPlus, P_HMinus, 8639, check)
    call createCurrent(P_HhQ, P_G0, P_Ha, P_HhQ, 6818, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_Hh, 5044, check)
    call createCurrent(P_sAnti, P_s, P_G0, 7351, check)
    call createCurrent(P_Z, P_Z, P_HPlus, P_HMinus, 4157, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghA, P_GQMinus, 6983, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_Hh, 1554, check)
    call createCurrent(P_Z, P_ghZAnti, P_ghWp, P_WMinus, 5724, check)
    call createCurrent(P_WQPlus, P_G0, P_G0, P_WQMinus, 3354, check)
    call createCurrent(P_b, P_Hl, P_bAnti, 4011, check)
    call createCurrent(P_GPlus, P_Ha, P_G0, P_GMinus, 7666, check)
    call createCurrent(P_G0, P_HPlus, P_WMinus, 10244, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_Hl, 7104, check)
    call createCurrent(P_Ha, P_ghWp, P_ghWpAnti, P_Ha, 3792, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_HMinus, 8893, check)
    call createCurrent(P_WQMinus, P_t, P_bAnti, 7473, check)
    call createCurrent(P_ghA, P_GMinus, P_Hh, P_ghWmAnti, 7288, check)
    call createCurrent(P_ghZ, P_Ha, P_ghWpAnti, P_GPlus, 10096, check)
    call createCurrent(P_HhQ, P_GPlus, P_WQMinus, 1037, check)
    call createCurrent(P_GQPlus, P_GMinus, P_GMinus, P_GQPlus, 7187, check)
    call createCurrent(P_Hl, P_GMinus, P_ghAAnti, P_ghWp, 3402, check)
    call createCurrent(P_Hl, P_Ha, P_GPlus, P_GMinus, 9348, check)
    call createCurrent(P_Ha, P_GPlus, P_Hh, P_GMinus, 10215, check)
    call createCurrent(P_Ha, P_HPlus, P_Ha, P_GMinus, 3174, check)
    call createCurrent(P_G0, P_ghWpAnti, P_GPlus, P_ghA, 5804, check)
    call createCurrent(P_WPlus, P_A, P_Hh, P_GMinus, 766, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HPlus, P_HQMinus, 1839, check)
    call createCurrent(P_HPlus, P_Ha, P_Hh, P_HMinus, 8920, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GMinus, P_GQPlus, 5394, check)
    call createCurrent(P_HhQ, P_Z, P_WMinus, P_GQPlus, 146, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hh, P_GMinus, 699, check)
    call createCurrent(P_G0, P_ghZ, P_HPlus, P_ghWpAnti, 9425, check)
    call createCurrent(P_A, P_HMinus, P_Z, P_HPlus, 5426, check)
    call createCurrent(P_HlQ, P_HMinus, P_GPlus, P_GQ0, 2598, check)
    call createCurrent(P_ZQ, P_WPlus, P_A, P_WQMinus, 6849, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghWm, P_ghWmAnti, 9491, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hh, P_HlQ, 4537, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_Hl, 9005, check)
    call createCurrent(P_HlQ, P_Hl, P_Hl, P_HlQ, 6951, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_G0, P_HPlus, 10034, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, P_Ha, 8369, check)
    call createCurrent(P_A, P_Hl, P_Hh, P_A, 10700, check)
    call createCurrent(P_GMinus, P_Hh, P_ghZAnti, P_ghWp, 6022, check)
    call createCurrent(P_AQ, P_Ha, P_HPlus, P_WQMinus, 6979, check)
    call createCurrent(P_GQMinus, P_c, P_sAnti, 1458, check)
    call createCurrent(P_WQMinus, P_Hl, P_HQPlus, 7635, check)
    call createCurrent(P_dAnti, P_u, P_WQMinus, 6627, check)
    call createCurrent(P_WQPlus, P_A, P_GMinus, P_HlQ, 3941, check)
    call createCurrent(P_HPlus, P_Ha, P_G0, P_HMinus, 929, check)
    call createCurrent(P_ZQ, P_Hl, P_GMinus, P_WQPlus, 7649, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, P_Z, 2942, check)
    call createCurrent(P_GQ0, P_s, P_sAnti, 5510, check)
    call createCurrent(P_WQPlus, P_GMinus, P_GQ0, 4643, check)
    call createCurrent(P_GQMinus, P_Ha, P_HPlus, P_HlQ, 18, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_HlQ, 5738, check)
    call createCurrent(P_ghAAnti, P_G0, P_GPlus, P_ghWm, 7188, check)
    call createCurrent(P_Z, P_A, 9329, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_GMinus, P_ghA, 1365, check)
    call createCurrent(P_Ha, P_GMinus, P_G0, P_GPlus, 1838, check)
    call createCurrent(P_GQ0, P_G0, P_Ha, P_GQ0, 5972, check)
    call createCurrent(P_Z, P_ghWp, P_ghAAnti, P_WMinus, 8365, check)
    call createCurrent(P_GQMinus, P_Hh, P_ghZAnti, P_ghWp, 6046, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, P_GQ0, 3791, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_HPlus, P_ghA, 257, check)
    call createCurrent(P_ghZ, P_WPlus, P_WMinus, P_ghAAnti, 100, check)
    call createCurrent(P_WMinus, P_Z, P_Ha, P_HPlus, 7248, check)
    call createCurrent(P_HaQ, P_Z, P_Z, P_HaQ, 2453, check)
    call createCurrent(P_GMinus, P_ghZ, P_GPlus, P_ghAAnti, 4730, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Ha, P_HhQ, 6170, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, 8881, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_HlQ, 2425, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HMinus, P_HQPlus, 1665, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWpAnti, P_ghA, 4517, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghWmAnti, P_ghZ, 7459, check)
    call createCurrent(P_ghA, P_WPlus, P_WMinus, P_ghAAnti, 3599, check)
    call createCurrent(P_Z, P_WMinus, P_ghZAnti, P_ghWp, 6650, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_GPlus, P_ghA, 9167, check)
    call createCurrent(P_Hh, P_Ha, P_G0, P_Hh, 4736, check)
    call createCurrent(P_ZQ, P_nu_e, P_nu_eAnti, 3626, check)
    call createCurrent(P_HhQ, P_Ha, P_HaQ, 2673, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hl, P_HMinus, 6124, check)
    call createCurrent(P_HhQ, P_G0, P_GQ0, 7818, check)
    call createCurrent(P_WQMinus, P_Z, P_ghWmAnti, P_ghZ, 394, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghWpAnti, P_G0, 9847, check)
    call createCurrent(P_WPlus, P_Hl, P_Z, P_HMinus, 4523, check)
    call createCurrent(P_Ha, P_WPlus, P_WMinus, P_Ha, 1299, check)
    call createCurrent(P_G0, P_GMinus, P_WPlus, P_Z, 1080, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Hl, 7587, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, 5457, check)
    call createCurrent(P_g, P_g, 10090, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, P_HaQ, 3384, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_GPlus, 1154, check)
    call createCurrent(P_G0, P_G0, P_Hh, 5121, check)
    call createCurrent(P_HPlus, P_ghWp, P_HMinus, P_ghWpAnti, 2750, check)
    call createCurrent(P_Hl, P_GPlus, P_Hl, P_GMinus, 2272, check)
    call createCurrent(P_Hh, P_HPlus, P_ghWpAnti, P_ghA, 7419, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_GMinus, P_ghZ, 8641, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_Ha, 9872, check)
    call createCurrent(P_GQMinus, P_GPlus, P_HPlus, P_GQMinus, 2032, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Ha, P_HQMinus, 3957, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_G0, P_Ha, 9685, check)
    call createCurrent(P_HlQ, P_HPlus, P_Ha, P_GQMinus, 6805, check)
    call createCurrent(P_Z, P_Ha, P_A, P_Ha, 9557, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hl, P_HQPlus, 3421, check)
    call createCurrent(P_HaQ, P_Hh, P_ghWmAnti, P_ghWm, 3536, check)
    call createCurrent(P_HhQ, P_Hl, P_GPlus, P_HQMinus, 1798, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HhQ, 10, check)
    call createCurrent(P_G0, P_Ha, P_G0, P_Hl, 10632, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hl, P_ghZ, 700, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, P_HhQ, 7949, check)
    call createCurrent(P_u, P_uAnti, P_g, 2898, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, 6463, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, 107, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_AQ, 8073, check)
    call createCurrent(P_HQPlus, P_GMinus, P_HhQ, 2546, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, P_gQ, 1331, check)
    call createCurrent(P_uAnti, P_u, P_AQ, 7081, check)
    call createCurrent(P_ZQ, P_t, P_tAnti, 5806, check)
    call createCurrent(P_GQ0, P_Ha, P_Hl, P_HlQ, 6723, check)
    call createCurrent(P_HQPlus, P_Z, P_WMinus, P_HhQ, 6421, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, 3789, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, 6956, check)
    call createCurrent(P_GQ0, P_WMinus, P_GPlus, P_ZQ, 67, check)
    call createCurrent(P_Hh, P_ghA, P_GMinus, P_ghWmAnti, 7586, check)
    call createCurrent(P_WPlus, P_A, P_Hl, P_GMinus, 7892, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, P_g, 6843, check)
    call createCurrent(P_bAnti, P_HMinus, P_t, 1182, check)
    call createCurrent(P_HaQ, P_GPlus, P_Hh, P_GQMinus, 2500, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghWp, P_Ha, 1051, check)
    call createCurrent(P_HlQ, P_Z, P_Hl, P_ZQ, 7147, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghA, P_ghAAnti, 883, check)
    call createCurrent(P_HhQ, P_Ha, P_G0, P_HhQ, 4846, check)
    call createCurrent(P_HQPlus, P_GMinus, P_HMinus, P_HQPlus, 6612, check)
    call createCurrent(P_ghWm, P_Ha, P_ghZAnti, P_GPlus, 9135, check)
    call createCurrent(P_WMinus, P_A, P_ghZAnti, P_ghWp, 1135, check)
    call createCurrent(P_ZQ, P_uAnti, P_u, 4204, check)
    call createCurrent(P_ghZ, P_G0, P_G0, P_ghZAnti, 4181, check)
    call createCurrent(P_WMinus, P_Hl, P_WPlus, P_Hh, 9576, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_A, P_ghWm, 5194, check)
    call createCurrent(P_GMinus, P_ghA, P_ghAAnti, P_HPlus, 10411, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hl, P_ghZ, 5205, check)
    call createCurrent(P_GPlus, P_G0, P_Hl, P_GMinus, 10266, check)
    call createCurrent(P_GQPlus, P_Hl, P_G0, P_HQMinus, 5896, check)
    call createCurrent(P_HQMinus, P_Hh, P_G0, P_GQPlus, 4838, check)
    call createCurrent(P_A, P_HMinus, P_WPlus, P_Ha, 6556, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GQPlus, 7069, check)
    call createCurrent(P_HPlus, P_Ha, P_ghWpAnti, P_ghA, 7190, check)
    call createCurrent(P_HaQ, P_ghZAnti, P_HMinus, P_ghWp, 8741, check)
    call createCurrent(P_ePlus, P_eMinus, P_Hl, 8127, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghA, P_ghWmAnti, 8580, check)
    call createCurrent(P_Hl, P_GMinus, P_ghWp, P_ghAAnti, 145, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_G0, P_GPlus, 6940, check)
    call createCurrent(P_HhQ, P_GMinus, P_ghWp, P_ghZAnti, 6624, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghAAnti, P_Hl, 6638, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, 5619, check)
    call createCurrent(P_HQMinus, P_ghAAnti, P_HPlus, P_ghA, 6357, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_GQ0, 3241, check)
    call createCurrent(P_Ha, P_GMinus, P_A, P_WPlus, 10438, check)
    call createCurrent(P_HlQ, P_HMinus, P_ghAAnti, P_ghWp, 4202, check)
    call createCurrent(P_GQMinus, P_HPlus, P_HPlus, P_GQMinus, 4403, check)
    call createCurrent(P_ghAAnti, P_ghA, P_HMinus, P_HQPlus, 785, check)
    call createCurrent(P_HMinus, P_HPlus, P_WPlus, P_WMinus, 3671, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GPlus, P_HMinus, 9632, check)
    call createCurrent(P_ZQ, P_Z, P_Hh, P_HhQ, 7347, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWpAnti, P_ghZ, 824, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, P_A, 3961, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_G0, 8810, check)
    call createCurrent(P_Hh, P_WMinus, P_A, P_GPlus, 548, check)
    call createCurrent(P_GQ0, P_Hl, P_GMinus, P_HQPlus, 5257, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, 2270, check)
    call createCurrent(P_HaQ, P_WPlus, P_HMinus, P_ZQ, 3525, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_Hh, 7321, check)
    call createCurrent(P_GMinus, P_ghWm, P_ghWmAnti, P_HPlus, 9738, check)
    call createCurrent(P_Hl, P_Hh, P_WMinus, P_WPlus, 9027, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_GQPlus, 4723, check)
    call createCurrent(P_g, P_HMinus, P_g, P_HPlus, 10536, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWm, P_ghWmAnti, 2439, check)
    call createCurrent(P_HaQ, P_Z, P_WPlus, P_HQMinus, 4602, check)
    call createCurrent(P_Z, P_ghZ, P_WPlus, P_ghWpAnti, 2323, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_HhQ, 3357, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghA, P_WPlus, 1501, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Hl, P_AQ, 5668, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, 1463, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_Hl, 4504, check)
    call createCurrent(P_HhQ, P_Ha, P_Hh, P_HaQ, 8695, check)
    call createCurrent(P_Ha, P_ghZ, P_ghWpAnti, P_GPlus, 10318, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_G0, 1170, check)
    call createCurrent(P_GMinus, P_Ha, P_G0, P_HPlus, 6494, check)
    call createCurrent(P_A, P_Hh, P_Z, 10093, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, 10265, check)
    call createCurrent(P_tauMinus, P_Hh, P_tauPlus, 5651, check)
    call createCurrent(P_Hh, P_WPlus, P_Z, P_GMinus, 1671, check)
    call createCurrent(P_Z, P_Z, P_HPlus, P_GMinus, 9420, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_A, 4839, check)
    call createCurrent(P_HhQ, P_GMinus, P_A, P_WQPlus, 2167, check)
    call createCurrent(P_ZQ, P_HPlus, P_A, P_HQMinus, 4012, check)
    call createCurrent(P_WMinus, P_HPlus, P_G0, P_Z, 9832, check)
    call createCurrent(P_ghA, P_HMinus, P_ghZAnti, P_HPlus, 1527, check)
    call createCurrent(P_WQPlus, P_tAnti, P_b, 4143, check)
    call createCurrent(P_AQ, P_ghWmAnti, P_A, P_ghWm, 6163, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, 2762, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_A, 8138, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_GPlus, P_ghA, 9839, check)
    call createCurrent(P_b, P_bAnti, P_gQ, 2108, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_HlQ, 1508, check)
    call createCurrent(P_HMinus, P_ePlus, P_nu_e, 192, check)
    call createCurrent(P_u, P_dAnti, P_HMinus, 6918, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_Hh, 6314, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghA, P_GMinus, 7349, check)
    call createCurrent(P_WPlus, P_g, P_g, P_WMinus, 10710, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, P_Z, 10473, check)
    call createCurrent(P_HlQ, P_WMinus, P_A, P_HQPlus, 3825, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_GMinus, 2745, check)
    call createCurrent(P_GMinus, P_ghA, P_Ha, P_ghWmAnti, 9903, check)
    call createCurrent(P_Ha, P_Ha, P_Ha, P_Ha, 436, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_G0, 9327, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWmAnti, P_HMinus, 3734, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_Hl, 3625, check)
    call createCurrent(P_ghWp, P_HMinus, P_HPlus, P_ghWpAnti, 6776, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, P_Hl, 6551, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_G0, P_ghWm, 7270, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_WPlus, P_ghA, 4005, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Z, P_HaQ, 2651, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hh, 10717, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_G0, 3588, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_HMinus, P_ghWp, 9825, check)
    call createCurrent(P_GMinus, P_Hl, P_Ha, P_GPlus, 9061, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_Ha, 1678, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_WMinus, P_WPlus, 6846, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Hh, 8309, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_HMinus, 10180, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghZ, P_GPlus, 6118, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Ha, P_GPlus, 8851, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, 3041, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_HMinus, 5042, check)
    call createCurrent(P_ZQ, P_WMinus, P_WPlus, P_AQ, 5192, check)
    call createCurrent(P_WPlus, P_d, P_uAnti, 7168, check)
    call createCurrent(P_HQPlus, P_ghZAnti, P_ghWm, 726, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghA, 6153, check)
    call createCurrent(P_GMinus, P_bAnti, P_t, 5733, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, P_A, 10186, check)
    call createCurrent(P_G0, P_HMinus, P_ghWp, P_ghZAnti, 9826, check)
    call createCurrent(P_ghA, P_GPlus, P_HMinus, P_ghAAnti, 9975, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_G0, 9654, check)
    call createCurrent(P_Ha, P_GMinus, P_Ha, P_HPlus, 815, check)
    call createCurrent(P_Hh, P_GPlus, P_WMinus, P_Z, 7091, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_HlQ, 3639, check)
    call createCurrent(P_GQPlus, P_HPlus, P_GMinus, P_HQMinus, 6885, check)
    call createCurrent(P_G0, P_g, P_g, P_G0, 10694, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZ, P_ghZAnti, 8728, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Ha, 9699, check)
    call createCurrent(P_Hl, P_Ha, P_G0, 906, check)
    call createCurrent(P_GQPlus, P_GPlus, P_GMinus, P_HQMinus, 3496, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_HPlus, P_ghA, 6639, check)
    call createCurrent(P_HQPlus, P_GMinus, P_G0, P_HhQ, 8260, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_G0, 1784, check)
    call createCurrent(P_HQPlus, P_Hh, P_HQMinus, 3034, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_HhQ, 4759, check)
    call createCurrent(P_eMinus, P_ePlus, P_Hl, 2881, check)
    call createCurrent(P_ghWp, P_Ha, P_ghWpAnti, P_G0, 8929, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWmAnti, P_GMinus, 1250, check)
    call createCurrent(P_HMinus, P_ghWm, P_ghWmAnti, P_GPlus, 9031, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_G0, 8659, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_A, 4492, check)
    call createCurrent(P_ghAAnti, P_Z, P_WPlus, P_ghWm, 3248, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_Hl, 9808, check)
    call createCurrent(P_GQ0, P_GMinus, P_Hl, P_GQPlus, 4767, check)
    call createCurrent(P_Hl, P_ghWp, P_ghZAnti, P_GMinus, 8471, check)
    call createCurrent(P_G0, P_ghA, P_ghWmAnti, P_HMinus, 9296, check)
    call createCurrent(P_HlQ, P_HPlus, P_HMinus, P_HlQ, 8199, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_G0, 3224, check)
    call createCurrent(P_G0, P_Hh, P_Ha, P_Hh, 2670, check)
    call createCurrent(P_HPlus, P_g, P_HMinus, P_g, 10598, check)
    call createCurrent(P_HMinus, P_A, P_G0, P_WPlus, 10043, check)
    call createCurrent(P_Hh, P_A, P_HPlus, P_WMinus, 1634, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_ghZ, 5016, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hl, P_Hh, 9589, check)
    call createCurrent(P_GMinus, P_ghZ, P_HPlus, P_ghAAnti, 9513, check)
    call createCurrent(P_ZQ, P_WMinus, P_GPlus, P_HlQ, 458, check)
    call createCurrent(P_HQPlus, P_GMinus, P_HPlus, P_HQMinus, 902, check)
    call createCurrent(P_G0, P_Ha, P_Z, P_A, 10668, check)
    call createCurrent(P_A, P_Ha, P_Ha, P_Z, 9753, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_G0, 2705, check)
    call createCurrent(P_b, P_bAnti, P_AQ, 5947, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, 9399, check)
    call createCurrent(P_HPlus, P_Hh, P_Hl, P_GMinus, 8390, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, P_Hl, 2017, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, 3469, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hh, 6726, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_GQ0, 5315, check)
    call createCurrent(P_tauPlus, P_A, P_tauMinus, 6693, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_GMinus, 5404, check)
    call createCurrent(P_GQ0, P_Hh, P_ghWpAnti, P_ghWp, 7595, check)
    call createCurrent(P_HQMinus, P_HPlus, P_G0, P_HhQ, 5543, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_ghZ, P_GMinus, 9410, check)
    call createCurrent(P_gQ, P_uAnti, P_u, 3052, check)
    call createCurrent(P_GQPlus, P_Hh, P_HMinus, P_GQ0, 3882, check)
    call createCurrent(P_Hh, P_GMinus, P_A, P_WPlus, 3215, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, 1130, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hl, P_A, 4507, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Hh, 2781, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, P_Hl, 5463, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, 7926, check)
    call createCurrent(P_Z, P_HMinus, P_G0, P_WPlus, 9916, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_Ha, P_ghA, 4244, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Z, P_AQ, 6451, check)
    call createCurrent(P_GQ0, P_Ha, P_G0, P_GQ0, 7729, check)
    call createCurrent(P_GQMinus, P_GPlus, P_HMinus, P_HQPlus, 6769, check)
    call createCurrent(P_A, P_HPlus, P_GMinus, P_A, 9834, check)
    call createCurrent(P_GPlus, P_ghWp, P_ghWpAnti, P_GMinus, 3881, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_HlQ, 2295, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, 4408, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Ha, 8973, check)
    call createCurrent(P_HhQ, P_Z, P_Z, P_HhQ, 8174, check)
    call createCurrent(P_GQ0, P_GMinus, P_HPlus, P_HhQ, 8310, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, P_Hl, 1883, check)
    call createCurrent(P_Ha, P_A, P_GPlus, P_WMinus, 9304, check)
    call createCurrent(P_Hh, P_ghZAnti, P_GMinus, P_ghWp, 5131, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_G0, P_ghWp, 9464, check)
    call createCurrent(P_HMinus, P_A, P_GPlus, P_Z, 9697, check)
    call createCurrent(P_Hl, P_bAnti, P_b, 482, check)
    call createCurrent(P_WQMinus, P_ghWp, P_ghAAnti, 5065, check)
    call createCurrent(P_HhQ, P_G0, P_HMinus, P_HQPlus, 300, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, 2594, check)
    call createCurrent(P_Hl, P_g, P_Hh, P_g, 10719, check)
    call createCurrent(P_GQMinus, P_GPlus, P_HhQ, 5785, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, P_A, 6813, check)
    call createCurrent(P_HPlus, P_Z, P_A, P_HMinus, 1880, check)
    call createCurrent(P_ghWp, P_HMinus, P_Hl, P_ghZAnti, 7110, check)
    call createCurrent(P_WMinus, P_Ha, P_Z, P_GPlus, 9281, check)
    call createCurrent(P_GQ0, P_Hh, P_HaQ, 4978, check)
    call createCurrent(P_Hl, P_ghZ, P_ghZAnti, P_Hh, 9813, check)
    call createCurrent(P_HPlus, P_ghA, P_ghWpAnti, P_Ha, 2839, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_Hh, P_ghWp, 5789, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, 4882, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, P_Z, 2973, check)
    call createCurrent(P_WQMinus, P_G0, P_WPlus, P_GQ0, 8796, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWp, P_ghAAnti, 3066, check)
    call createCurrent(P_GMinus, P_Ha, P_Hh, P_GPlus, 10380, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WPlus, P_AQ, 1195, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_Hh, 5004, check)
    call createCurrent(P_HQPlus, P_Ha, P_GQMinus, 5934, check)
    call createCurrent(P_ghZ, P_GPlus, P_HMinus, P_ghZAnti, 9756, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, 8654, check)
    call createCurrent(P_HPlus, P_ghWm, P_HMinus, P_ghWmAnti, 5476, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_Hl, 4042, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, P_HaQ, 7201, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, P_A, 3410, check)
    call createCurrent(P_GQPlus, P_Hl, P_GMinus, P_HhQ, 7680, check)
    call createCurrent(P_WMinus, P_HMinus, P_WPlus, P_HPlus, 8280, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Hh, P_ghZ, 853, check)
    call createCurrent(P_A, P_WPlus, P_ghWm, P_ghZAnti, 6626, check)
    call createCurrent(P_HQMinus, P_HPlus, P_HlQ, 7547, check)
    call createCurrent(P_Ha, P_G0, P_Hl, P_Hl, 1442, check)
    call createCurrent(P_Ha, P_WMinus, P_G0, P_WPlus, 9433, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_Hl, 7291, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWmAnti, P_ghWm, 3185, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_G0, 3076, check)
    call createCurrent(P_sAnti, P_s, P_GQ0, 1988, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_HhQ, 8121, check)
    call createCurrent(P_A, P_WPlus, P_Hh, P_HMinus, 2236, check)
    call createCurrent(P_g, P_g, P_Hl, P_Hh, 10490, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_ZQ, 3785, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Z, P_HhQ, 7307, check)
    call createCurrent(P_Z, P_Hl, P_G0, 348, check)
    call createCurrent(P_HQMinus, P_Ha, P_GQPlus, 8690, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_Hh, 8972, check)
    call createCurrent(P_AQ, P_Hl, P_WPlus, P_GQMinus, 8274, check)
    call createCurrent(P_HaQ, P_G0, P_HPlus, P_GQMinus, 1019, check)
    call createCurrent(P_d, P_dAnti, P_gQ, 6804, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, 4954, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghZAnti, P_ghWm, 4563, check)
    call createCurrent(P_HlQ, P_Hh, P_G0, P_HaQ, 6193, check)
    call createCurrent(P_AQ, P_Hh, P_GMinus, P_WQPlus, 7936, check)
    call createCurrent(P_GMinus, P_GPlus, 9113, check)
    call createCurrent(P_ghWm, P_HPlus, P_G0, P_ghZAnti, 9204, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Ha, P_GQ0, 514, check)
    call createCurrent(P_ghWm, P_Hh, P_HPlus, P_ghAAnti, 5897, check)
    call createCurrent(P_HaQ, P_Hl, P_Hl, P_HaQ, 4004, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, P_G0, 5676, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghZAnti, P_ghA, 3871, check)
    call createCurrent(P_GPlus, P_HMinus, P_WPlus, P_WMinus, 9205, check)
    call createCurrent(P_g, P_G0, P_G0, P_g, 10558, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_ZQ, 5537, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghZ, P_GQMinus, 1148, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, P_Hl, 3070, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_HPlus, P_ghA, 9374, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hl, P_Hl, 5669, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, P_G0, 9552, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_A, 9373, check)
    call createCurrent(P_ZQ, P_Ha, P_WPlus, P_HQMinus, 7790, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_Z, 5011, check)
    call createCurrent(P_HQPlus, P_A, P_HMinus, P_ZQ, 6174, check)
    call createCurrent(P_HhQ, P_tauMinus, P_tauPlus, 8667, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghAAnti, P_ghWp, 6308, check)
    call createCurrent(P_g, P_Hh, P_g, 10711, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghZ, P_GPlus, 10073, check)
    call createCurrent(P_HhQ, P_G0, P_Ha, P_HlQ, 8359, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hh, P_HlQ, 1312, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_HaQ, 7155, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hl, P_HaQ, 3202, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GPlus, P_HMinus, 10116, check)
    call createCurrent(P_ghZAnti, P_ghA, P_WMinus, P_WPlus, 1808, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hh, P_HQMinus, 2869, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_Z, P_ghWp, 7357, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghAAnti, 1958, check)
    call createCurrent(P_HQPlus, P_ghA, P_Hh, P_ghWpAnti, 7181, check)
    call createCurrent(P_Ha, P_A, P_Hh, 10271, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZ, P_ghZAnti, 5187, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_A, 2688, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, 6007, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghAAnti, P_GPlus, 3907, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_Z, 1885, check)
    call createCurrent(P_ZQ, P_Z, P_Ha, P_HaQ, 7140, check)
    call createCurrent(P_Ha, P_Ha, P_ghZ, P_ghZAnti, 7044, check)
    call createCurrent(P_HQPlus, P_Ha, P_ghWpAnti, P_ghA, 3044, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_Hl, 3637, check)
    call createCurrent(P_HMinus, P_Z, P_GPlus, P_A, 9111, check)
    call createCurrent(P_ZQ, P_HPlus, P_Hl, P_WQMinus, 5158, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, P_A, 6925, check)
    call createCurrent(P_A, P_Hh, P_Z, P_Hh, 10087, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghWmAnti, P_ghWm, 2368, check)
    call createCurrent(P_GPlus, P_G0, P_ghWpAnti, P_ghZ, 2710, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GMinus, P_HPlus, 9680, check)
    call createCurrent(P_HQMinus, P_Ha, P_WQPlus, 7684, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_GPlus, 7410, check)
    call createCurrent(P_ghZ, P_Ha, P_Ha, P_ghZAnti, 2312, check)
    call createCurrent(P_WPlus, P_Hl, P_Z, P_GMinus, 3577, check)
    call createCurrent(P_AQ, P_tAnti, P_t, 463, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghA, P_ghAAnti, 9586, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Ha, 10741, check)
    call createCurrent(P_AQ, P_Z, P_WMinus, P_WQPlus, 2345, check)
    call createCurrent(P_sAnti, P_c, P_GMinus, 2789, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Hl, P_ghA, 1897, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, 3125, check)
    call createCurrent(P_HQPlus, P_ghA, P_Hl, P_ghWpAnti, 760, check)
    call createCurrent(P_GMinus, P_GPlus, P_HMinus, P_GPlus, 224, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, P_Ha, 7422, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghZ, P_GMinus, 3219, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Ha, P_HQMinus, 1997, check)
    call createCurrent(P_Hh, P_G0, P_GMinus, P_GPlus, 9539, check)
    call createCurrent(P_G0, P_Hl, P_Hl, P_G0, 4297, check)
    call createCurrent(P_HhQ, P_ghWm, P_G0, P_ghWmAnti, 3519, check)
    call createCurrent(P_Z, P_Hl, P_Ha, 2718, check)
    call createCurrent(P_AQ, P_GMinus, P_GPlus, P_ZQ, 2342, check)
    call createCurrent(P_GQPlus, P_Ha, P_HMinus, P_HaQ, 7197, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_ghWm, 4066, check)
    call createCurrent(P_Hl, P_Z, P_Ha, 3777, check)
    call createCurrent(P_GMinus, P_Ha, P_ghWmAnti, P_ghZ, 10178, check)
    call createCurrent(P_HaQ, P_Hh, P_ghWp, P_ghWpAnti, 4791, check)
    call createCurrent(P_g, P_HPlus, P_GMinus, P_g, 10583, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghWm, P_ghZAnti, 3364, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, P_Hl, 4853, check)
    call createCurrent(P_HhQ, P_GMinus, P_ghZAnti, P_ghWp, 561, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_Hl, P_ghWp, 7549, check)
    call createCurrent(P_b, P_Z, P_bAnti, 1224, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, P_Hh, 9030, check)
    call createCurrent(P_cAnti, P_WPlus, P_s, 2629, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_HPlus, P_ghA, 7463, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HPlus, P_HMinus, 5737, check)
    call createCurrent(P_HaQ, P_WMinus, P_WPlus, P_HaQ, 408, check)
    call createCurrent(P_Hl, P_GMinus, P_A, P_WPlus, 1110, check)
    call createCurrent(P_HaQ, P_GPlus, P_HMinus, P_HaQ, 3629, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_G0, 3679, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, P_G0, 8539, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_HPlus, 9079, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, 5014, check)
    call createCurrent(P_HaQ, P_eMinus, P_ePlus, 2176, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_Hl, 8286, check)
    call createCurrent(P_HhQ, P_Hl, P_Hl, P_HlQ, 5514, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_Hl, 9223, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, P_A, 409, check)
    call createCurrent(P_WQPlus, P_Z, P_GMinus, P_HhQ, 8746, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_GQ0, 1571, check)
    call createCurrent(P_ZQ, P_HMinus, P_WPlus, P_HaQ, 546, check)
    call createCurrent(P_HPlus, P_ghZ, P_GMinus, P_ghAAnti, 8890, check)
    call createCurrent(P_Hh, P_ghAAnti, P_HPlus, P_ghWm, 2076, check)
    call createCurrent(P_GPlus, P_eMinus, P_nu_eAnti, 7660, check)
    call createCurrent(P_HlQ, P_HPlus, P_WQMinus, 3008, check)
    call createCurrent(P_Hh, P_G0, P_GMinus, P_HPlus, 6778, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, 4522, check)
    call createCurrent(P_GQMinus, P_G0, P_G0, P_HQPlus, 644, check)
    call createCurrent(P_HaQ, P_G0, P_G0, P_GQ0, 2410, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, 8581, check)
    call createCurrent(P_HlQ, P_Hh, P_GPlus, P_HQMinus, 3564, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WQMinus, 8721, check)
    call createCurrent(P_ZQ, P_Hl, P_Z, P_HlQ, 2055, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hl, P_GQMinus, 2948, check)
    call createCurrent(P_WQMinus, P_Hh, P_HQPlus, 1164, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_GPlus, P_ghA, 282, check)
    call createCurrent(P_WPlus, P_Z, P_Hl, P_GMinus, 3624, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_HaQ, 7309, check)
    call createCurrent(P_nu_tau, P_Z, P_nu_tauAnti, 2749, check)
    call createCurrent(P_Hh, P_ghZAnti, P_Hl, P_ghZ, 10325, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_Ha, P_ghWp, 648, check)
    call createCurrent(P_WPlus, P_Z, P_WMinus, P_A, 2553, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_GMinus, P_HPlus, 9797, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_Ha, P_ghZ, 5907, check)
    call createCurrent(P_HhQ, P_G0, P_WPlus, P_WQMinus, 7843, check)
    call createCurrent(P_Hl, P_Hh, P_HPlus, P_GMinus, 4594, check)
    call createCurrent(P_A, P_nu_e, P_nu_eAnti, 9543, check)
    call createCurrent(P_AQ, P_ghWmAnti, P_ghWm, 81, check)
    call createCurrent(P_GQ0, P_Hh, P_Ha, P_HlQ, 2939, check)
    call createCurrent(P_bAnti, P_t, P_WMinus, 1954, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, 9362, check)
    call createCurrent(P_HQPlus, P_Hh, P_Hl, P_GQMinus, 8125, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HPlus, P_GMinus, 10083, check)
    call createCurrent(P_HlQ, P_Ha, P_G0, P_HhQ, 5765, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_Ha, 9393, check)
    call createCurrent(P_HlQ, P_Hh, P_Ha, P_GQ0, 1198, check)
    call createCurrent(P_ghWmAnti, P_A, P_A, P_ghWm, 8148, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, P_Z, 674, check)
    call createCurrent(P_WQPlus, P_Hh, P_HMinus, P_AQ, 3966, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_Hh, P_ghWp, 3833, check)
    call createCurrent(P_G0, P_HMinus, P_G0, P_GPlus, 920, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_HhQ, 3022, check)
    call createCurrent(P_HQPlus, P_Ha, P_WMinus, P_AQ, 2698, check)
    call createCurrent(P_HaQ, P_Ha, P_HPlus, P_GQMinus, 267, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, 966, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghWm, P_ghAAnti, 8029, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_HMinus, P_HQPlus, 6040, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWpAnti, P_ghWp, 6866, check)
    call createCurrent(P_HQMinus, P_Hh, P_GQPlus, 1592, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GPlus, P_GQMinus, 6852, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Ha, P_HaQ, 7, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_GPlus, 8146, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, P_A, 1033, check)
    call createCurrent(P_G0, P_Z, P_A, P_G0, 9653, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_G0, P_ghZ, 9312, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Ha, P_HhQ, 4554, check)
    call createCurrent(P_ghZ, P_A, P_WMinus, P_ghWmAnti, 3598, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_Z, P_ghZ, 122, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_A, 10184, check)
    call createCurrent(P_HQPlus, P_Hh, P_WQMinus, 7383, check)
    call createCurrent(P_A, P_WMinus, P_Hh, P_HPlus, 3466, check)
    call createCurrent(P_WQPlus, P_Hl, P_WMinus, P_HlQ, 753, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_HPlus, P_GMinus, 10465, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, 3855, check)
    call createCurrent(P_WPlus, P_A, P_ghWpAnti, P_ghA, 3991, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_Hh, P_ghWm, 3456, check)
    call createCurrent(P_ghWpAnti, P_G0, P_HPlus, P_ghA, 10100, check)
    call createCurrent(P_GMinus, P_G0, P_Ha, P_HPlus, 7645, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Ha, 8870, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_A, P_WMinus, 688, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_HhQ, 2400, check)
    call createCurrent(P_Z, P_Z, P_Ha, P_Ha, 1444, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_A, P_WMinus, 6416, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hl, P_GQ0, 5271, check)
    call createCurrent(P_GQMinus, P_HPlus, P_G0, P_HaQ, 2829, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_Z, 1070, check)
    call createCurrent(P_WQPlus, P_ghWm, P_ghZAnti, 1785, check)
    call createCurrent(P_ghWp, P_ghWmAnti, P_WMinus, P_WMinus, 6366, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_GQPlus, 3880, check)
    call createCurrent(P_Ha, P_A, P_Ha, P_Z, 9981, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_HlQ, 5613, check)
    call createCurrent(P_Z, P_A, P_WMinus, P_WPlus, 5251, check)
    call createCurrent(P_ghZAnti, P_A, P_WMinus, P_ghWp, 5379, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, P_Hh, 9601, check)
    call createCurrent(P_Hh, P_Hh, P_ghZ, P_ghZAnti, 5085, check)
    call createCurrent(P_Z, P_Hl, P_Hh, P_Z, 10128, check)
    call createCurrent(P_HQPlus, P_HMinus, P_A, P_ZQ, 1185, check)
    call createCurrent(P_g, P_Ha, P_Ha, P_g, 10674, check)
    call createCurrent(P_ghWp, P_WMinus, P_Z, P_ghZAnti, 8255, check)
    call createCurrent(P_GPlus, P_nu_tauAnti, P_tauMinus, 3878, check)
    call createCurrent(P_ghZ, P_Hl, P_Hh, P_ghZAnti, 9800, check)
    call createCurrent(P_WMinus, P_Hh, P_GPlus, 5948, check)
    call createCurrent(P_Hl, P_HMinus, P_G0, P_GPlus, 1162, check)
    call createCurrent(P_Ha, P_HPlus, P_ghWm, P_ghAAnti, 1755, check)
    call createCurrent(P_GQPlus, P_Z, P_GMinus, P_ZQ, 6253, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Ha, 9987, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghAAnti, P_Hl, 7462, check)
    call createCurrent(P_ghWm, P_Hh, P_Hh, P_ghWmAnti, 2965, check)
    call createCurrent(P_HlQ, P_GMinus, P_Hh, P_HQPlus, 1184, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_Hl, P_ghZ, 286, check)
    call createCurrent(P_AQ, P_WPlus, P_Z, P_WQMinus, 6690, check)
    call createCurrent(P_muPlus, P_muMinus, P_HlQ, 3237, check)
    call createCurrent(P_HlQ, P_HMinus, P_Hh, P_GQPlus, 6472, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghWp, P_ghZAnti, 2857, check)
    call createCurrent(P_HMinus, P_GPlus, P_GPlus, P_HMinus, 5690, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_GMinus, P_ghA, 6768, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, 1890, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HPlus, P_GQMinus, 2523, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghAAnti, P_Hl, 4099, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghZ, P_HMinus, 10053, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_GMinus, 1563, check)
    call createCurrent(P_GMinus, P_c, P_sAnti, 156, check)
    call createCurrent(P_GQMinus, P_Z, P_G0, P_WQPlus, 7041, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_Hl, 404, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, 8631, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hh, P_HMinus, 5091, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HQPlus, 3927, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Z, P_HhQ, 5556, check)
    call createCurrent(P_GQMinus, P_nu_mu, P_muPlus, 1455, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_GMinus, 8709, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hl, P_GQ0, 6967, check)
    call createCurrent(P_WQMinus, P_Hl, P_WPlus, P_HaQ, 1210, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_HMinus, P_ghZ, 2957, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Ha, 155, check)
    call createCurrent(P_GQMinus, P_A, P_Z, P_GQPlus, 4036, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_Ha, 9858, check)
    call createCurrent(P_GQPlus, P_WMinus, P_G0, P_ZQ, 8294, check)
    call createCurrent(P_HlQ, P_Hl, P_WMinus, P_WQPlus, 8461, check)
    call createCurrent(P_Hh, P_dAnti, P_d, 4580, check)
    call createCurrent(P_ePlus, P_nu_e, P_HMinus, 7954, check)
    call createCurrent(P_Hh, P_HPlus, P_HMinus, P_Hl, 7500, check)
    call createCurrent(P_uAnti, P_u, P_GQ0, 4032, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_GQ0, 3951, check)
    call createCurrent(P_HMinus, P_HPlus, 8843, check)
    call createCurrent(P_ghZ, P_Hh, P_Hh, P_ghZAnti, 1252, check)
    call createCurrent(P_HaQ, P_HPlus, P_GQMinus, 7611, check)
    call createCurrent(P_AQ, P_HMinus, P_Hl, P_WQPlus, 5978, check)
    call createCurrent(P_s, P_sAnti, P_Hl, 5087, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_A, 6407, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_GMinus, P_ghA, 9384, check)
    call createCurrent(P_GMinus, P_Ha, P_Hl, P_HPlus, 1542, check)
    call createCurrent(P_HQPlus, P_WMinus, P_HlQ, 5213, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghZAnti, 5357, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Ha, 254, check)
    call createCurrent(P_nu_tau, P_GMinus, P_tauPlus, 1205, check)
    call createCurrent(P_ghZAnti, P_A, P_ghWp, P_WMinus, 662, check)
    call createCurrent(P_Hh, P_GPlus, P_G0, P_GMinus, 10212, check)
    call createCurrent(P_HPlus, P_Ha, P_Ha, P_HMinus, 1028, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, 7735, check)
    call createCurrent(P_HPlus, P_Ha, P_ghZ, P_ghWpAnti, 1421, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghZ, P_GQPlus, 1062, check)
    call createCurrent(P_HMinus, P_ghA, P_ghZAnti, P_HPlus, 1078, check)
    call createCurrent(P_HhQ, P_WMinus, P_Hh, P_WQPlus, 530, check)
    call createCurrent(P_HQMinus, P_Hl, P_WPlus, P_ZQ, 6240, check)
    call createCurrent(P_HlQ, P_WMinus, P_HQPlus, 1453, check)
    call createCurrent(P_ghWm, P_WPlus, P_Z, P_ghAAnti, 811, check)
    call createCurrent(P_HhQ, P_GMinus, P_HPlus, P_HhQ, 549, check)
    call createCurrent(P_GQ0, P_Ha, P_Hl, P_HhQ, 2449, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_G0, 9577, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, P_Z, 9852, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_HMinus, P_ghZ, 541, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, 805, check)
    call createCurrent(P_eMinus, P_ePlus, P_HhQ, 4750, check)
    call createCurrent(P_HPlus, P_A, P_Z, P_HMinus, 4989, check)
    call createCurrent(P_AQ, P_ghWm, P_Z, P_ghWmAnti, 2748, check)
    call createCurrent(P_ePlus, P_Hl, P_eMinus, 448, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hh, P_Hh, 1175, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_HhQ, 5372, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_Hh, 2478, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, P_Hh, 9982, check)
    call createCurrent(P_HMinus, P_ghA, P_ghWmAnti, P_G0, 10020, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, 7743, check)
    call createCurrent(P_HhQ, P_G0, P_GPlus, P_HQMinus, 2819, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_G0, 2648, check)
    call createCurrent(P_WQPlus, P_A, P_HMinus, P_HaQ, 4025, check)
    call createCurrent(P_HMinus, P_Ha, P_Ha, P_HPlus, 4186, check)
    call createCurrent(P_ghWm, P_G0, P_GPlus, P_ghZAnti, 6515, check)
    call createCurrent(P_GPlus, P_ghZ, P_HMinus, P_ghZAnti, 9665, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghAAnti, P_ghWm, 2042, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, 406, check)
    call createCurrent(P_GQ0, P_Hl, P_Hh, P_HaQ, 6711, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, P_G0, 9134, check)
    call createCurrent(P_HQMinus, P_Z, P_WQPlus, 179, check)
    call createCurrent(P_A, P_ghAAnti, P_WPlus, P_ghWm, 61, check)
    call createCurrent(P_Hl, P_GMinus, P_Z, P_WPlus, 7827, check)
    call createCurrent(P_HhQ, P_G0, P_GPlus, P_GQMinus, 6831, check)
    call createCurrent(P_tauMinus, P_Ha, P_tauPlus, 8229, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_Hh, 9518, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, P_Hh, 6078, check)
    call createCurrent(P_HaQ, P_G0, P_GMinus, P_HQPlus, 3071, check)
    call createCurrent(P_HQMinus, P_muPlus, P_nu_mu, 2226, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_A, P_ghZ, 5479, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_ghZ, 3708, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_GMinus, P_ghWp, 9080, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, P_Hh, 2264, check)
    call createCurrent(P_ghZ, P_G0, P_Ha, P_ghZAnti, 10118, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, 10286, check)
    call createCurrent(P_nu_mu, P_Z, P_nu_muAnti, 5663, check)
    call createCurrent(P_ghA, P_Hl, P_GMinus, P_ghWmAnti, 6418, check)
    call createCurrent(P_GQPlus, P_Ha, P_Ha, P_HQMinus, 337, check)
    call createCurrent(P_GMinus, P_GPlus, P_GPlus, P_GMinus, 5299, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_GQ0, 7670, check)
    call createCurrent(P_HhQ, P_HPlus, P_G0, P_GQMinus, 7253, check)
    call createCurrent(P_Ha, P_GPlus, P_Ha, P_HMinus, 6454, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_Ha, 233, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, 7223, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghWmAnti, P_ghWm, 6633, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_Hl, 9047, check)
    call createCurrent(P_HaQ, P_GMinus, P_HPlus, P_HhQ, 4176, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_Hl, 3703, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghZAnti, P_WPlus, 583, check)
    call createCurrent(P_HhQ, P_HPlus, P_ghAAnti, P_ghWm, 5656, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_Hh, 5773, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_A, 206, check)
    call createCurrent(P_A, P_g, P_g, P_A, 10688, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_A, P_ghA, 1544, check)
    call createCurrent(P_HQPlus, P_A, P_HMinus, P_AQ, 5452, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghA, P_ghZAnti, 9194, check)
    call createCurrent(P_Z, P_ghA, P_ghWmAnti, P_WMinus, 6008, check)
    call createCurrent(P_ghZ, P_A, P_WPlus, P_ghWpAnti, 3474, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, P_A, 9240, check)
    call createCurrent(P_AQ, P_G0, P_GMinus, P_WQPlus, 5985, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghA, 6766, check)
    call createCurrent(P_g, P_Z, P_g, P_A, 10643, check)
    call createCurrent(P_ghA, P_HMinus, P_G0, P_ghWmAnti, 10000, check)
    call createCurrent(P_Hh, P_HPlus, P_Z, P_WMinus, 6792, check)
    call createCurrent(P_GQ0, P_HMinus, P_G0, P_GQPlus, 3120, check)
    call createCurrent(P_HQMinus, P_bAnti, P_t, 8284, check)
    call createCurrent(P_HMinus, P_HMinus, P_GPlus, P_HPlus, 3649, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, 3222, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, 2555, check)
    call createCurrent(P_HaQ, P_WMinus, P_HPlus, P_ZQ, 1738, check)
    call createCurrent(P_muPlus, P_muMinus, P_HaQ, 8098, check)
    call createCurrent(P_bAnti, P_GMinus, P_t, 7663, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_HlQ, 359, check)
    call createCurrent(P_ghA, P_A, P_ghWmAnti, P_WQMinus, 6647, check)
    call createCurrent(P_WQMinus, P_G0, P_WPlus, P_HlQ, 1420, check)
    call createCurrent(P_HQPlus, P_Ha, P_HMinus, P_HaQ, 1461, check)
    call createCurrent(P_HaQ, P_Hl, P_ZQ, 3267, check)
    call createCurrent(P_ghWm, P_Hh, P_GPlus, P_ghAAnti, 6114, check)
    call createCurrent(P_ZQ, P_WMinus, P_HPlus, P_HhQ, 3965, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hh, 5444, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_Z, 5116, check)
    call createCurrent(P_eMinus, P_Ha, P_ePlus, 6005, check)
    call createCurrent(P_ZQ, P_WMinus, P_Z, P_WQPlus, 5758, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Hh, 4340, check)
    call createCurrent(P_GPlus, P_ghZ, P_GMinus, P_ghAAnti, 2261, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_G0, 9662, check)
    call createCurrent(P_A, P_A, P_G0, P_G0, 10546, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, 8815, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_HPlus, P_ghZ, 4651, check)
    call createCurrent(P_Hl, P_HPlus, P_ghWpAnti, P_ghZ, 4095, check)
    call createCurrent(P_G0, P_s, P_sAnti, 3982, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_Hh, 3191, check)
    call createCurrent(P_GPlus, P_HMinus, P_g, P_g, 10765, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Ha, P_HMinus, 3274, check)
    call createCurrent(P_Ha, P_GMinus, P_ghAAnti, P_ghWp, 9331, check)
    call createCurrent(P_G0, P_A, P_Ha, P_A, 10580, check)
    call createCurrent(P_HPlus, P_Ha, P_Hl, P_HMinus, 10183, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_GPlus, P_ghZ, 376, check)
    call createCurrent(P_ZQ, P_ghWmAnti, P_ghWm, 6844, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hl, P_HPlus, 8563, check)
    call createCurrent(P_HaQ, P_HPlus, P_G0, P_GQMinus, 273, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Ha, P_HaQ, 8532, check)
    call createCurrent(P_Ha, P_Hl, P_Ha, 7491, check)
    call createCurrent(P_WQMinus, P_Hh, P_GPlus, P_ZQ, 55, check)
    call createCurrent(P_HPlus, P_Hh, P_ghWpAnti, P_ghZ, 1756, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_G0, 2961, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_GPlus, P_ghA, 9465, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_Hh, 3018, check)
    call createCurrent(P_G0, P_Hl, P_HPlus, P_HMinus, 8873, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_Ha, 1776, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_A, 6382, check)
    call createCurrent(P_GMinus, P_Ha, P_G0, P_GPlus, 2180, check)
    call createCurrent(P_HhQ, P_WPlus, P_WMinus, P_HhQ, 7319, check)
    call createCurrent(P_b, P_bAnti, P_Hh, 2795, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Ha, P_HQPlus, 3771, check)
    call createCurrent(P_HMinus, P_Hl, P_Hl, P_HPlus, 8518, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, 2972, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HaQ, 5864, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Ha, 8773, check)
    call createCurrent(P_Ha, P_ghA, P_ghWpAnti, P_GPlus, 9280, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_HlQ, 6841, check)
    call createCurrent(P_Hl, P_ghZ, P_HMinus, P_ghWmAnti, 8791, check)
    call createCurrent(P_t, P_bAnti, P_GMinus, 1151, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_HMinus, 8647, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, P_Ha, 3762, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, 2678, check)
    call createCurrent(P_GQ0, P_WPlus, P_GMinus, P_ZQ, 6173, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_Hh, 10085, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_Z, 7039, check)
    call createCurrent(P_GQ0, P_Z, P_G0, P_ZQ, 76, check)
    call createCurrent(P_HaQ, P_HMinus, P_GPlus, P_HlQ, 6057, check)
    call createCurrent(P_c, P_cAnti, P_AQ, 3336, check)
    call createCurrent(P_WQPlus, P_A, P_HMinus, P_HlQ, 1566, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, P_Z, 5573, check)
    call createCurrent(P_HMinus, P_GPlus, P_HPlus, P_GMinus, 8379, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_Ha, 8910, check)
    call createCurrent(P_HhQ, P_Ha, P_HPlus, P_GQMinus, 1115, check)
    call createCurrent(P_WQPlus, P_Z, P_WQMinus, 7259, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hh, P_GQPlus, 3465, check)
    call createCurrent(P_HaQ, P_Hh, P_Hl, P_HaQ, 6965, check)
    call createCurrent(P_ghWm, P_Hl, P_HPlus, P_ghZAnti, 2035, check)
    call createCurrent(P_GMinus, P_ghWp, P_HPlus, P_ghWpAnti, 9530, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_Hh, 1728, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, 608, check)
    call createCurrent(P_WQPlus, P_Ha, P_Ha, P_WQMinus, 6433, check)
    call createCurrent(P_WPlus, P_Ha, P_WMinus, P_G0, 10403, check)
    call createCurrent(P_WQMinus, P_ghZ, P_A, P_ghWmAnti, 663, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, 4671, check)
    call createCurrent(P_ghZ, P_Hh, P_HPlus, P_ghWpAnti, 4980, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, P_Hh, 9625, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWm, P_WQPlus, 5364, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_Hl, 4218, check)
    call createCurrent(P_GMinus, P_GPlus, P_g, P_g, 10594, check)
    call createCurrent(P_HhQ, P_GPlus, P_Z, P_WQMinus, 3057, check)
    call createCurrent(P_ghWm, P_WPlus, P_A, P_ghZAnti, 3383, check)
    call createCurrent(P_g, P_GPlus, P_g, P_GMinus, 10534, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_ghWp, 2780, check)
    call createCurrent(P_Hh, P_GMinus, P_Z, P_WPlus, 5448, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, P_A, 5547, check)
    call createCurrent(P_s, P_sAnti, P_A, 172, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWm, P_ghZAnti, 2379, check)
    call createCurrent(P_A, P_Hl, P_HPlus, P_WMinus, 1995, check)
    call createCurrent(P_GQ0, P_HMinus, P_HQPlus, 7959, check)
    call createCurrent(P_HhQ, P_Hh, P_GMinus, P_GQPlus, 7436, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_Ha, 1128, check)
    call createCurrent(P_Hl, P_Hl, P_Ha, P_Ha, 356, check)
    call createCurrent(P_WQMinus, P_A, P_WPlus, P_ZQ, 3631, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_A, 5820, check)
    call createCurrent(P_A, P_HPlus, P_GMinus, 9215, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Ha, P_GMinus, 10285, check)
    call createCurrent(P_GPlus, P_ghWp, P_HMinus, P_ghWpAnti, 9303, check)
    call createCurrent(P_Z, P_bAnti, P_b, 4617, check)
    call createCurrent(P_WQPlus, P_Hh, P_HMinus, P_ZQ, 79, check)
    call createCurrent(P_A, P_Hh, P_HPlus, P_WMinus, 2174, check)
    call createCurrent(P_Ha, P_A, P_HMinus, P_WPlus, 2165, check)
    call createCurrent(P_AQ, P_HPlus, P_Hl, P_WQMinus, 1129, check)
    call createCurrent(P_HQMinus, P_HPlus, P_GPlus, P_GQMinus, 8566, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GMinus, 3198, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWpAnti, P_WPlus, 3484, check)
    call createCurrent(P_A, P_WMinus, P_A, P_WPlus, 521, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Ha, P_Ha, 4137, check)
    call createCurrent(P_WQMinus, P_Ha, P_HPlus, P_ZQ, 4228, check)
    call createCurrent(P_sAnti, P_Hh, P_s, 5757, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Hh, P_GPlus, 7087, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_HPlus, 6125, check)
    call createCurrent(P_HlQ, P_A, P_WMinus, P_GQPlus, 3014, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghAAnti, P_GPlus, 10296, check)
    call createCurrent(P_ZQ, P_Z, P_ghWmAnti, P_ghWm, 5344, check)
    call createCurrent(P_A, P_uAnti, P_u, 3403, check)
    call createCurrent(P_HMinus, P_ghWp, P_Hl, P_ghAAnti, 6260, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWm, P_GQPlus, 8684, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghWmAnti, P_ghWm, 10068, check)
    call createCurrent(P_WQMinus, P_ghZ, P_WPlus, P_ghZAnti, 8492, check)
    call createCurrent(P_ZQ, P_Hh, P_ZQ, 3107, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Z, P_WMinus, 6482, check)
    call createCurrent(P_uAnti, P_u, 10456, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_HaQ, 6501, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, P_A, 1960, check)
    call createCurrent(P_G0, P_G0, P_Z, P_Z, 6259, check)
    call createCurrent(P_HhQ, P_WPlus, P_WQMinus, 6660, check)
    call createCurrent(P_A, P_ghWp, P_ghZAnti, P_WMinus, 7618, check)
    call createCurrent(P_Hl, P_Hl, P_GPlus, P_GMinus, 11, check)
    call createCurrent(P_ghWm, P_Ha, P_ghAAnti, P_HPlus, 6380, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghA, 2245, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_Hh, 6526, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_Z, P_ghA, 5045, check)
    call createCurrent(P_ghZ, P_A, P_ghWpAnti, P_WQPlus, 6038, check)
    call createCurrent(P_WQMinus, P_Ha, P_HQPlus, 7555, check)
    call createCurrent(P_b, P_Hh, P_bAnti, 8292, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_Z, 8192, check)
    call createCurrent(P_WMinus, P_Hh, P_HPlus, 8395, check)
    call createCurrent(P_ghWp, P_Hl, P_ghAAnti, P_GMinus, 3665, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, 5813, check)
    call createCurrent(P_s, P_sAnti, P_Z, 1739, check)
    call createCurrent(P_HPlus, P_G0, P_WMinus, P_A, 8937, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghZ, P_GPlus, 2755, check)
    call createCurrent(P_HhQ, P_ghWp, P_HMinus, P_ghAAnti, 7112, check)
    call createCurrent(P_HMinus, P_ghA, P_ghWmAnti, P_Ha, 4803, check)
    call createCurrent(P_Z, P_ghWm, P_ghWmAnti, 2447, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghA, P_GMinus, 9146, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWm, P_WPlus, 13, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_G0, P_ghZ, 7997, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_GMinus, P_ghA, 10140, check)
    call createCurrent(P_Z, P_Hh, P_WMinus, P_GPlus, 6325, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, P_A, 3181, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_Z, 9674, check)
    call createCurrent(P_ZQ, P_GMinus, P_A, P_GQPlus, 4045, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_HhQ, 7741, check)
    call createCurrent(P_HMinus, P_bAnti, P_t, 4041, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_Ha, 9405, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_GQ0, 6073, check)
    call createCurrent(P_GPlus, P_ghWm, P_Hl, P_ghAAnti, 8818, check)
    call createCurrent(P_HMinus, P_g, P_GPlus, P_g, 10500, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_G0, P_GQPlus, 921, check)
    call createCurrent(P_HaQ, P_HPlus, P_Z, P_WQMinus, 6283, check)
    call createCurrent(P_HlQ, P_HPlus, P_WMinus, P_ZQ, 5335, check)
    call createCurrent(P_ghAAnti, P_G0, P_ghWp, P_GMinus, 1791, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_Ha, 9743, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghA, 7559, check)
    call createCurrent(P_ZQ, P_HPlus, P_HMinus, P_AQ, 7944, check)
    call createCurrent(P_G0, P_Ha, P_HMinus, P_HPlus, 4984, check)
    call createCurrent(P_cAnti, P_Hl, P_c, 5130, check)
    call createCurrent(P_HhQ, P_GPlus, P_Hh, P_GQMinus, 971, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, 5361, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_Z, 3713, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_Z, 10707, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_HMinus, P_ghA, 9642, check)
    call createCurrent(P_HhQ, P_HPlus, P_ghZ, P_ghWpAnti, 8462, check)
    call createCurrent(P_GQPlus, P_ghA, P_GMinus, P_ghAAnti, 6685, check)
    call createCurrent(P_GQPlus, P_Z, P_WMinus, P_HhQ, 897, check)
    call createCurrent(P_G0, P_HMinus, P_Z, P_WPlus, 9721, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_G0, 8877, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghZ, P_HMinus, 10485, check)
    call createCurrent(P_HhQ, P_WPlus, P_A, P_GQMinus, 1011, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WQMinus, 6561, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghA, P_HPlus, 5932, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghZ, P_ghZAnti, 1322, check)
    call createCurrent(P_ZQ, P_WPlus, P_G0, P_GQMinus, 542, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghAAnti, P_ghZ, 9085, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Ha, P_HaQ, 6495, check)
    call createCurrent(P_u, P_Hh, P_uAnti, 5221, check)
    call createCurrent(P_HhQ, P_HMinus, P_WPlus, P_ZQ, 8627, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, 6236, check)
    call createCurrent(P_GQ0, P_ghWm, P_GPlus, P_ghAAnti, 1872, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Hl, 6586, check)
    call createCurrent(P_uAnti, P_G0, P_u, 8713, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghA, P_GPlus, 9542, check)
    call createCurrent(P_GQ0, P_GMinus, P_Ha, P_HQPlus, 8090, check)
    call createCurrent(P_WQMinus, P_WPlus, P_WMinus, P_WQPlus, 5151, check)
    call createCurrent(P_GQPlus, P_Hh, P_WMinus, P_ZQ, 7133, check)
    call createCurrent(P_dAnti, P_d, P_Z, 8319, check)
    call createCurrent(P_ghA, P_Z, P_ghWpAnti, P_WQPlus, 8091, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, 3500, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hl, 7012, check)
    call createCurrent(P_HlQ, P_A, P_HMinus, P_WQPlus, 3094, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Ha, P_HlQ, 1797, check)
    call createCurrent(P_ghWmAnti, P_G0, P_HMinus, P_ghZ, 8944, check)
    call createCurrent(P_HhQ, P_Z, P_GQ0, 3608, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, P_A, 8619, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_HhQ, 1970, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_HlQ, 3732, check)
    call createCurrent(P_Z, P_G0, P_GPlus, P_WMinus, 384, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, P_Ha, 8918, check)
    call createCurrent(P_WPlus, P_WMinus, P_GPlus, P_HMinus, 9693, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hl, P_Z, 4371, check)
    call createCurrent(P_AQ, P_GMinus, P_GQPlus, 1570, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hh, P_HQMinus, 6420, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_A, P_WPlus, 5041, check)
    call createCurrent(P_WPlus, P_G0, P_Z, P_GMinus, 3201, check)
    call createCurrent(P_g, P_Ha, P_G0, P_g, 10631, check)
    call createCurrent(P_ghA, P_HPlus, P_ghWpAnti, 3846, check)
    call createCurrent(P_GQPlus, P_WMinus, P_A, P_HhQ, 4046, check)
    call createCurrent(P_ZQ, P_ghWm, P_A, P_ghWmAnti, 5145, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_HMinus, 501, check)
    call createCurrent(P_Hh, P_Ha, P_Z, 1588, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, 8445, check)
    call createCurrent(P_Ha, P_Z, P_WPlus, P_HMinus, 5053, check)
    call createCurrent(P_Z, P_ghWp, P_WMinus, P_ghZAnti, 3149, check)
    call createCurrent(P_eMinus, P_A, P_ePlus, 8012, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_G0, 8368, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_G0, 7995, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GMinus, 3451, check)
    call createCurrent(P_GMinus, P_ghWp, P_G0, P_ghZAnti, 5920, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Hl, 1518, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_GMinus, P_ghA, 8907, check)
    call createCurrent(P_HlQ, P_Hh, P_Hh, P_HlQ, 5555, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, P_Z, 4022, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_GQ0, 389, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GPlus, P_GQMinus, 333, check)
    call createCurrent(P_HhQ, P_ePlus, P_eMinus, 5437, check)
    call createCurrent(P_g, P_g, P_GMinus, P_GPlus, 10560, check)
    call createCurrent(P_bAnti, P_Ha, P_b, 3942, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Ha, 9661, check)
    call createCurrent(P_AQ, P_ghAAnti, P_WPlus, P_ghWm, 3805, check)
    call createCurrent(P_HQPlus, P_HMinus, P_G0, P_HlQ, 690, check)
    call createCurrent(P_WQPlus, P_Hh, P_Hh, P_WQMinus, 6929, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWmAnti, P_GMinus, 1535, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghWpAnti, P_ghZ, 8699, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_HaQ, 4090, check)
    call createCurrent(P_muMinus, P_muPlus, P_Ha, 6419, check)
    call createCurrent(P_ZQ, P_WPlus, P_HMinus, P_HaQ, 7724, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hl, P_Z, 5430, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_G0, 9097, check)
    call createCurrent(P_GQPlus, P_Z, P_WMinus, P_GQ0, 850, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, 360, check)
    call createCurrent(P_ZQ, P_HMinus, P_Ha, P_WQPlus, 5762, check)
    call createCurrent(P_G0, P_Z, P_GPlus, P_WMinus, 1394, check)
    call createCurrent(P_AQ, P_Z, P_HPlus, P_HQMinus, 5880, check)
    call createCurrent(P_ZQ, P_WPlus, P_HMinus, P_HhQ, 92, check)
    call createCurrent(P_G0, P_G0, P_WPlus, P_WMinus, 1707, check)
    call createCurrent(P_ghWmAnti, P_HPlus, P_GMinus, P_ghWm, 8885, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_G0, 1962, check)
    call createCurrent(P_HQPlus, P_ghWm, P_Hh, P_ghZAnti, 4749, check)
    call createCurrent(P_ghA, P_Hh, P_ghWmAnti, P_GMinus, 6761, check)
    call createCurrent(P_g, P_g, P_ghG, P_ghGAnti, 6930, check)
    call createCurrent(P_t, P_Ha, P_tAnti, 1361, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghA, P_GPlus, 3793, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghWm, P_ghWmAnti, 4619, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghZ, P_ghAAnti, 10259, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_HPlus, P_HMinus, 433, check)
    call createCurrent(P_HhQ, P_Hh, P_HMinus, P_GQPlus, 2253, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WQMinus, 3622, check)
    call createCurrent(P_HhQ, P_HMinus, P_Hl, P_GQPlus, 3757, check)
    call createCurrent(P_Z, P_Hh, P_GPlus, P_WMinus, 6355, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, 580, check)
    call createCurrent(P_ZQ, P_d, P_dAnti, 3987, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWmAnti, P_ghA, 3586, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_GPlus, 5390, check)
    call createCurrent(P_dAnti, P_Hh, P_d, 5647, check)
    call createCurrent(P_GQMinus, P_A, P_A, P_GQPlus, 6003, check)
    call createCurrent(P_nu_e, P_ePlus, P_HMinus, 5564, check)
    call createCurrent(P_WMinus, P_WPlus, P_g, P_g, 10499, check)
    call createCurrent(P_HPlus, P_ghWm, P_Ha, P_ghZAnti, 7014, check)
    call createCurrent(P_GQPlus, P_HPlus, P_HMinus, P_HQMinus, 8262, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, P_Hh, 9691, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hl, 10759, check)
    call createCurrent(P_ghZAnti, P_G0, P_HPlus, P_ghWm, 9245, check)
    call createCurrent(P_GQ0, P_WPlus, P_A, P_GQMinus, 7022, check)
    call createCurrent(P_Hh, P_HPlus, P_Hh, P_HMinus, 4900, check)
    call createCurrent(P_A, P_sAnti, P_s, 8014, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Hl, 9190, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_Ha, 4002, check)
    call createCurrent(P_Ha, P_GMinus, P_G0, P_HPlus, 2229, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_G0, 9186, check)
    call createCurrent(P_Hl, P_ghWp, P_Hl, P_ghWpAnti, 8323, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Ha, P_HPlus, 2013, check)
    call createCurrent(P_AQ, P_b, P_bAnti, 6598, check)
    call createCurrent(P_WPlus, P_HMinus, P_HPlus, P_WMinus, 1391, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hh, P_GMinus, 579, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghA, P_HPlus, 8921, check)
    call createCurrent(P_GPlus, P_ghA, P_Hh, P_ghWpAnti, 7105, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HQMinus, 3439, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, P_A, 3415, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_GPlus, 10450, check)
    call createCurrent(P_Ha, P_Ha, P_ghWm, P_ghWmAnti, 4886, check)
    call createCurrent(P_HaQ, P_GPlus, P_G0, P_GQMinus, 4931, check)
    call createCurrent(P_ghA, P_Hl, P_HMinus, P_ghWmAnti, 365, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_GQMinus, 6214, check)
    call createCurrent(P_AQ, P_GMinus, P_Z, P_GQPlus, 5866, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Z, P_WMinus, 5461, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HPlus, P_GMinus, 9380, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghZAnti, P_G0, 9774, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_Hl, 9726, check)
    call createCurrent(P_WQMinus, P_ghWpAnti, P_WPlus, P_ghWp, 2279, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_Ha, 9534, check)
    call createCurrent(P_GQMinus, P_Hl, P_Hl, P_HQPlus, 6303, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, 3828, check)
    call createCurrent(P_cAnti, P_s, P_GPlus, 3488, check)
    call createCurrent(P_G0, P_A, P_GMinus, P_WPlus, 6552, check)
    call createCurrent(P_Z, P_A, P_g, P_g, 10498, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghAAnti, P_ghZ, 2815, check)
    call createCurrent(P_GQPlus, P_WMinus, P_HlQ, 6171, check)
    call createCurrent(P_Z, P_GMinus, P_A, P_GPlus, 2533, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_G0, 2222, check)
    call createCurrent(P_Ha, P_Hh, P_Hl, P_G0, 6488, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_Z, 1034, check)
    call createCurrent(P_Ha, P_HPlus, P_Hl, P_GMinus, 8343, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hl, 4440, check)
    call createCurrent(P_GPlus, P_ghWm, P_HMinus, P_ghWmAnti, 8891, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, 7010, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_Hl, P_ghWm, 1069, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, P_Z, 7331, check)
    call createCurrent(P_WQMinus, P_WPlus, P_GQ0, 1896, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_Hl, P_ghWm, 1226, check)
    call createCurrent(P_ZQ, P_G0, P_WMinus, P_GQPlus, 5584, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghZ, P_WQPlus, 5621, check)
    call createCurrent(P_HlQ, P_G0, P_G0, P_HhQ, 425, check)
    call createCurrent(P_HPlus, P_ghA, P_G0, P_ghWpAnti, 9874, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghZAnti, P_WQMinus, 4307, check)
    call createCurrent(P_ghWm, P_Hl, P_ghZAnti, P_GQPlus, 8211, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, P_Z, 8296, check)
    call createCurrent(P_GQ0, P_WPlus, P_WMinus, P_GQ0, 5413, check)
    call createCurrent(P_HlQ, P_Z, P_ZQ, 1222, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Hh, P_ghA, 2644, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Ha, 4156, check)
    call createCurrent(P_ZQ, P_tauMinus, P_tauPlus, 7063, check)
    call createCurrent(P_GQ0, P_G0, P_HMinus, P_HQPlus, 6687, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghZ, P_GMinus, 4029, check)
    call createCurrent(P_G0, P_Hh, P_HMinus, P_GPlus, 6045, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_WMinus, P_ghA, 3042, check)
    call createCurrent(P_ghA, P_HPlus, P_ghAAnti, P_HMinus, 2251, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, 5163, check)
    call createCurrent(P_A, P_Z, P_Hh, P_Hh, 10415, check)
    call createCurrent(P_HhQ, P_Z, P_Hh, P_ZQ, 1830, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GPlus, P_GMinus, 2303, check)
    call createCurrent(P_A, P_Hh, P_GPlus, P_WMinus, 1360, check)
    call createCurrent(P_Hl, P_HPlus, P_ghWm, P_ghAAnti, 5801, check)
    call createCurrent(P_WMinus, P_GPlus, P_GMinus, P_WPlus, 7560, check)
    call createCurrent(P_GQ0, P_WMinus, P_Hl, P_WQPlus, 3208, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WMinus, P_WPlus, 5550, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghZ, P_GQMinus, 1753, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_G0, 7217, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_Hl, P_ghWp, 6437, check)
    call createCurrent(P_HMinus, P_A, P_Z, P_HPlus, 773, check)
    call createCurrent(P_ghWp, P_GMinus, P_Hh, P_ghAAnti, 5073, check)
    call createCurrent(P_Hh, P_GMinus, P_Hh, P_GPlus, 4148, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_Ha, 9278, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_HlQ, 3169, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Hl, P_HMinus, 3547, check)
    call createCurrent(P_A, P_GPlus, P_Z, P_GMinus, 4055, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hl, P_Z, 2872, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Ha, 1882, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, 330, check)
    call createCurrent(P_ghWpAnti, P_G0, P_GPlus, P_ghZ, 2332, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, P_Z, 1415, check)
    call createCurrent(P_HPlus, P_HMinus, P_g, P_g, 10588, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Z, P_HlQ, 1228, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_G0, 778, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_A, 4217, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_G0, P_ghWp, 3440, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_Z, 6117, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_A, P_ghZ, 6387, check)
    call createCurrent(P_u, P_uAnti, P_HaQ, 4167, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_HhQ, 8258, check)
    call createCurrent(P_AQ, P_Z, P_ghWpAnti, P_ghWp, 4084, check)
    call createCurrent(P_HlQ, P_ghWm, P_HPlus, P_ghAAnti, 5069, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_GQ0, 2125, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_HlQ, 3587, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, 3738, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hh, 6014, check)
    call createCurrent(P_Hh, P_Ha, P_HPlus, P_GMinus, 8325, check)
    call createCurrent(P_Hl, P_Ha, P_HPlus, P_GMinus, 8700, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWpAnti, P_ghZ, 3366, check)
    call createCurrent(P_A, P_ghWpAnti, P_WPlus, P_ghA, 4873, check)
    call createCurrent(P_b, P_bAnti, P_HaQ, 3213, check)
    call createCurrent(P_HlQ, P_ghWp, P_HMinus, P_ghAAnti, 1942, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, 4171, check)
    call createCurrent(P_WMinus, P_Z, P_Hh, P_GPlus, 7511, check)
    call createCurrent(P_HPlus, P_A, P_HMinus, P_Z, 8009, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_G0, P_ghWm, 495, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghA, P_HPlus, 8041, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_GPlus, 8621, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, 243, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_A, P_ghA, 1910, check)
    call createCurrent(P_A, P_g, P_Z, P_g, 10662, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, 4840, check)
    call createCurrent(P_g, P_uAnti, P_u, 4657, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_GPlus, P_ghWm, 2242, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghAAnti, P_Ha, 9773, check)
    call createCurrent(P_ZQ, P_ghWp, P_WMinus, P_ghAAnti, 3458, check)
    call createCurrent(P_HlQ, P_HMinus, P_GPlus, P_HaQ, 3640, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, 5719, check)
    call createCurrent(P_GQ0, P_Hl, P_HPlus, P_HQMinus, 3182, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_HMinus, 5879, check)
    call createCurrent(P_HQPlus, P_Z, P_WMinus, P_HlQ, 7960, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghWmAnti, P_ghZ, 4949, check)
    call createCurrent(P_Ha, P_ghZAnti, P_HPlus, P_ghWm, 4926, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghZ, P_GQMinus, 2838, check)
    call createCurrent(P_Hh, P_G0, P_HMinus, P_HPlus, 9238, check)
    call createCurrent(P_tauMinus, P_Hl, P_tauPlus, 1687, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, P_A, 8072, check)
    call createCurrent(P_HQMinus, P_WPlus, P_A, P_HlQ, 2231, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, P_Hl, 7987, check)
    call createCurrent(P_Hh, P_Z, P_Z, P_Hh, 2134, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hl, P_HhQ, 5819, check)
    call createCurrent(P_ghA, P_HMinus, P_ghZAnti, P_GPlus, 10155, check)
    call createCurrent(P_Hl, P_ghZAnti, P_Hl, P_ghZ, 5862, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hl, 82, check)
    call createCurrent(P_muPlus, P_Z, P_muMinus, 3648, check)
    call createCurrent(P_ghAAnti, P_Ha, P_HMinus, P_ghWp, 7606, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_Ha, 9037, check)
    call createCurrent(P_A, P_A, P_Hl, 10723, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, 3844, check)
    call createCurrent(P_HPlus, P_g, P_g, P_GMinus, 10761, check)
    call createCurrent(P_ghZAnti, P_Hl, P_GMinus, P_ghWp, 8835, check)
    call createCurrent(P_Ha, P_Z, P_A, P_G0, 10762, check)
    call createCurrent(P_ZQ, P_WMinus, P_HPlus, P_HlQ, 8606, check)
    call createCurrent(P_GQPlus, P_HMinus, P_HMinus, P_HQPlus, 8133, check)
    call createCurrent(P_Z, P_Hh, P_HMinus, P_WPlus, 8414, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_GPlus, P_ghWm, 5870, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_HhQ, 1844, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hh, 6664, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, P_Z, 4508, check)
    call createCurrent(P_HQPlus, P_Z, P_Z, P_HQMinus, 7803, check)
    call createCurrent(P_GMinus, P_Z, P_Z, P_GPlus, 7585, check)
    call createCurrent(P_Hh, P_Hh, P_g, P_g, 10615, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_Ha, 10042, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_HhQ, 3676, check)
    call createCurrent(P_ZQ, P_HPlus, P_Hh, P_WQMinus, 4317, check)
    call createCurrent(P_Z, P_A, P_Z, P_A, 10724, check)
    call createCurrent(P_WPlus, P_Z, P_ghWpAnti, P_ghA, 6384, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_Z, 8880, check)
    call createCurrent(P_Z, P_cAnti, P_c, 5433, check)
    call createCurrent(P_A, P_Ha, P_Z, P_G0, 10523, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Ha, 10492, check)
    call createCurrent(P_HPlus, P_HPlus, P_GMinus, P_HMinus, 7599, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_Hh, 2964, check)
    call createCurrent(P_ZQ, P_GPlus, P_Z, P_GQMinus, 803, check)
    call createCurrent(P_GQMinus, P_Hh, P_Hl, P_HQPlus, 6530, check)
    call createCurrent(P_HMinus, P_GPlus, P_HMinus, P_HPlus, 4092, check)
    call createCurrent(P_WMinus, P_HPlus, 9947, check)
    call createCurrent(P_A, P_A, P_Hl, P_Hh, 10511, check)
    call createCurrent(P_WQMinus, P_GPlus, P_HhQ, 8259, check)
    call createCurrent(P_HhQ, P_Hh, P_ghZ, P_ghZAnti, 3111, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_HQPlus, 4075, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Hh, P_ZQ, 3916, check)
    call createCurrent(P_GPlus, P_Ha, P_WMinus, P_Z, 8858, check)
    call createCurrent(P_HaQ, P_WMinus, P_Z, P_HQPlus, 8317, check)
    call createCurrent(P_HQPlus, P_Z, P_WQMinus, 4410, check)
    call createCurrent(P_WQPlus, P_ghZ, P_ghWpAnti, 7909, check)
    call createCurrent(P_HQMinus, P_Hl, P_HPlus, P_GQ0, 639, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_Hl, 6257, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_Z, 7906, check)
    call createCurrent(P_GQPlus, P_HMinus, P_GPlus, P_GQMinus, 5997, check)
    call createCurrent(P_HMinus, P_G0, P_G0, P_HPlus, 311, check)
    call createCurrent(P_Ha, P_GMinus, P_ghWmAnti, P_ghZ, 9382, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, 6691, check)
    call createCurrent(P_GQ0, P_GMinus, P_WQPlus, 8756, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_HlQ, 6016, check)
    call createCurrent(P_ZQ, P_muMinus, P_muPlus, 2753, check)
    call createCurrent(P_GPlus, P_GMinus, P_HPlus, P_GMinus, 4, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_G0, 7301, check)
    call createCurrent(P_HlQ, P_ghAAnti, P_GMinus, P_ghWp, 5147, check)
    call createCurrent(P_ghZ, P_HMinus, P_Hh, P_ghWmAnti, 6309, check)
    call createCurrent(P_HaQ, P_GMinus, P_Hh, P_HQPlus, 2511, check)
    call createCurrent(P_GQMinus, P_Hl, P_HPlus, P_GQ0, 6023, check)
    call createCurrent(P_Z, P_Z, P_Hh, P_Hl, 9093, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_Hh, P_ghWp, 9356, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghWm, P_ghZAnti, 2372, check)
    call createCurrent(P_A, P_WPlus, P_Ha, P_GMinus, 10214, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hh, 8632, check)
    call createCurrent(P_WQMinus, P_HPlus, P_A, P_HaQ, 1092, check)
    call createCurrent(P_WQPlus, P_ghA, P_Z, P_ghWpAnti, 6760, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Hh, 7570, check)
    call createCurrent(P_t, P_bAnti, P_HMinus, 3027, check)
    call createCurrent(P_Ha, P_A, P_WPlus, P_GMinus, 9915, check)
    call createCurrent(P_Hl, P_Hh, P_G0, P_Ha, 4442, check)
    call createCurrent(P_g, P_GMinus, P_g, P_HPlus, 10630, check)
    call createCurrent(P_Hl, P_WMinus, P_Hh, P_WPlus, 8849, check)
    call createCurrent(P_HMinus, P_Hh, P_ghWmAnti, P_ghA, 4626, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_HMinus, P_ghWp, 9212, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Z, P_HlQ, 5172, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hh, P_ZQ, 8489, check)
    call createCurrent(P_HlQ, P_Z, P_GQ0, 1636, check)
    call createCurrent(P_ZQ, P_G0, P_GPlus, P_WQMinus, 4033, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghWm, P_ghWmAnti, 1367, check)
    call createCurrent(P_HhQ, P_Z, P_WPlus, P_HQMinus, 1189, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hl, P_HlQ, 6989, check)
    call createCurrent(P_tAnti, P_G0, P_t, 335, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, 8911, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_Hh, 7739, check)
    call createCurrent(P_ghAAnti, P_Ha, P_ghWm, P_HPlus, 4794, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_G0, 3530, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, P_A, 2913, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_G0, 8884, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, 5612, check)
    call createCurrent(P_tAnti, P_Z, P_t, 5630, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GMinus, P_GPlus, 1506, check)
    call createCurrent(P_Hh, P_G0, P_HPlus, P_GMinus, 5791, check)
    call createCurrent(P_Hh, P_muMinus, P_muPlus, 8634, check)
    call createCurrent(P_GPlus, P_Ha, P_Hl, P_HMinus, 6740, check)
    call createCurrent(P_GQ0, P_Z, P_WPlus, P_GQMinus, 1951, check)
    call createCurrent(P_WMinus, P_Hh, P_Z, P_GPlus, 3877, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_Hl, 7565, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_HPlus, 9819, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GMinus, P_HPlus, 9067, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_GQ0, 4301, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_G0, 6367, check)
    call createCurrent(P_AQ, P_WMinus, P_ghWp, P_ghAAnti, 6915, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_GPlus, 2150, check)
    call createCurrent(P_HPlus, P_G0, P_ghZ, P_ghWpAnti, 9419, check)
    call createCurrent(P_Z, P_Hl, P_GMinus, P_WPlus, 6881, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghAAnti, P_ghA, 5481, check)
    call createCurrent(P_ghZ, P_GPlus, P_GMinus, P_ghAAnti, 2107, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_Z, 2897, check)
    call createCurrent(P_Ha, P_ghAAnti, P_GMinus, P_ghWp, 8951, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, P_Hl, 10441, check)
    call createCurrent(P_HQPlus, P_GMinus, P_GMinus, P_GQPlus, 1387, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_Z, 2146, check)
    call createCurrent(P_Hl, P_WPlus, P_Hh, P_WMinus, 9780, check)
    call createCurrent(P_HQMinus, P_Hl, P_WQPlus, 1409, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_WMinus, P_ghA, 2969, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghZ, P_WPlus, 6874, check)
    call createCurrent(P_HaQ, P_GPlus, P_Hh, P_HQMinus, 7219, check)
    call createCurrent(P_Ha, P_Ha, P_Hh, P_Hl, 2224, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_G0, 1577, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWp, P_HMinus, 8201, check)
    call createCurrent(P_WPlus, P_ghZ, P_Z, P_ghWpAnti, 6692, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_G0, P_HPlus, 9064, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, P_A, 5058, check)
    call createCurrent(P_HQPlus, P_ghWm, P_Ha, P_ghZAnti, 8301, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, 5197, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GPlus, P_GQMinus, 3255, check)
    call createCurrent(P_AQ, P_HMinus, P_HPlus, P_ZQ, 7543, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghWm, P_G0, 10021, check)
    call createCurrent(P_HlQ, P_WMinus, P_HPlus, P_ZQ, 2840, check)
    call createCurrent(P_Hh, P_Ha, P_A, 10080, check)
    call createCurrent(P_c, P_cAnti, P_GQ0, 6672, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_Z, 9291, check)
    call createCurrent(P_dAnti, P_A, P_d, 6358, check)
    call createCurrent(P_AQ, P_ghWmAnti, P_Z, P_ghWm, 7474, check)
    call createCurrent(P_GQ0, P_WPlus, P_Hh, P_WQMinus, 6531, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, P_Z, 6043, check)
    call createCurrent(P_HlQ, P_eMinus, P_ePlus, 1562, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghZAnti, 1059, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_HMinus, 9626, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_Ha, 10047, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghZ, P_HlQ, 7695, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_HMinus, 9430, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hh, P_HlQ, 7698, check)
    call createCurrent(P_Hh, P_Ha, P_HMinus, P_HPlus, 9083, check)
    call createCurrent(P_GQMinus, P_Z, P_A, P_GQPlus, 5050, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghZ, P_WPlus, 7888, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_HMinus, P_ghZ, 5154, check)
    call createCurrent(P_s, P_cAnti, P_HQPlus, 5048, check)
    call createCurrent(P_GQPlus, P_WPlus, P_WMinus, P_GQMinus, 571, check)
    call createCurrent(P_GQMinus, P_G0, P_ghWmAnti, P_ghZ, 5826, check)
    call createCurrent(P_GQPlus, P_ghWm, P_Hl, P_ghZAnti, 6188, check)
    call createCurrent(P_G0, P_ghWmAnti, P_HMinus, P_ghA, 8963, check)
    call createCurrent(P_tAnti, P_b, P_WQPlus, 3680, check)
    call createCurrent(P_Z, P_Z, P_GMinus, P_HPlus, 10471, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, P_Hl, 7938, check)
    call createCurrent(P_ZQ, P_HMinus, P_HQPlus, 8339, check)
    call createCurrent(P_ghWm, P_HPlus, P_Hl, P_ghAAnti, 3956, check)
    call createCurrent(P_ghWpAnti, P_Z, P_WPlus, P_ghA, 6960, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hl, 1286, check)
    call createCurrent(P_GQ0, P_HMinus, P_HPlus, P_GQ0, 7163, check)
    call createCurrent(P_A, P_Hl, P_WPlus, P_HMinus, 731, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hl, P_HhQ, 3899, check)
    call createCurrent(P_HQPlus, P_GMinus, P_GPlus, P_GQMinus, 3491, check)
    call createCurrent(P_Ha, P_ghWp, P_Ha, P_ghWpAnti, 2468, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, 7045, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hh, 4482, check)
    call createCurrent(P_Ha, P_ghA, P_HPlus, P_ghWpAnti, 3322, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_Z, 7530, check)
    call createCurrent(P_HaQ, P_ghZ, P_HPlus, P_ghWpAnti, 2057, check)
    call createCurrent(P_Hl, P_A, P_GMinus, P_WPlus, 5906, check)
    call createCurrent(P_HQMinus, P_GPlus, P_GQ0, 6341, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_G0, 3580, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghA, P_HPlus, 8986, check)
    call createCurrent(P_GPlus, P_HMinus, 8899, check)
    call createCurrent(P_ZQ, P_A, P_WPlus, P_WQMinus, 3457, check)
    call createCurrent(P_sAnti, P_c, P_WMinus, 2729, check)
    call createCurrent(P_HPlus, P_ghZ, P_Ha, P_ghWpAnti, 3141, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_HMinus, P_Hh, 6903, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghZAnti, 6516, check)
    call createCurrent(P_WMinus, P_Ha, P_G0, P_WPlus, 10445, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_GMinus, 10457, check)
    call createCurrent(P_ghWm, P_Ha, P_ghWmAnti, P_HlQ, 2709, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_GPlus, 3832, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, 6865, check)
    call createCurrent(P_Z, P_GMinus, P_G0, P_WPlus, 1323, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_A, P_WMinus, 3234, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, 5409, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, 2322, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, P_G0, 4509, check)
    call createCurrent(P_GQ0, P_Hh, P_ghWm, P_ghWmAnti, 565, check)
    call createCurrent(P_HlQ, P_G0, P_HPlus, P_HQMinus, 7871, check)
    call createCurrent(P_HQMinus, P_Hl, P_Hl, P_HQPlus, 8701, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghWm, P_ghZAnti, 187, check)
    call createCurrent(P_Ha, P_Hl, P_Ha, P_Hh, 930, check)
    call createCurrent(P_Hh, P_Hh, P_ghWm, P_ghWmAnti, 1597, check)
    call createCurrent(P_HQPlus, P_ghWm, P_Hl, P_ghZAnti, 7313, check)
    call createCurrent(P_Hl, P_ghWm, P_ghZAnti, P_HPlus, 3997, check)
    call createCurrent(P_G0, P_ghZAnti, P_G0, P_ghZ, 4761, check)
    call createCurrent(P_gQ, P_dAnti, P_d, 2376, check)
    call createCurrent(P_GQMinus, P_WPlus, P_HhQ, 2756, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hl, P_HQPlus, 4782, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_Hl, 1834, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, 848, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghAAnti, 6054, check)
    call createCurrent(P_Ha, P_GPlus, P_ghWm, P_ghZAnti, 9137, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWm, P_WQPlus, 3178, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, 5893, check)
    call createCurrent(P_ghWp, P_Hh, P_ghWpAnti, P_Hh, 6242, check)
    call createCurrent(P_A, P_HPlus, P_A, P_HMinus, 36, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, P_G0, 9671, check)
    call createCurrent(P_Hl, P_HPlus, P_ghWm, P_ghZAnti, 45, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, 1203, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_Ha, 5008, check)
    call createCurrent(P_WQMinus, P_Z, P_Hh, P_HQPlus, 5860, check)
    call createCurrent(P_ghWmAnti, P_WPlus, P_ghWm, P_WMinus, 590, check)
    call createCurrent(P_GQ0, P_ghWp, P_GMinus, P_ghZAnti, 5824, check)
    call createCurrent(P_Hl, P_ghZ, P_Hh, P_ghZAnti, 10151, check)
    call createCurrent(P_ghWp, P_A, P_WMinus, P_ghAAnti, 8324, check)
    call createCurrent(P_HhQ, P_Ha, P_Ha, P_HlQ, 4995, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, P_Z, 6572, check)
    call createCurrent(P_GMinus, P_ghWm, P_ghWmAnti, P_GPlus, 53, check)
    call createCurrent(P_Hl, P_Hh, P_Z, P_A, 10493, check)
    call createCurrent(P_HQMinus, P_GPlus, P_GPlus, P_HQMinus, 7400, check)
    call createCurrent(P_HPlus, P_HMinus, P_HPlus, P_GMinus, 2010, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, 8200, check)
    call createCurrent(P_GQMinus, P_Hh, P_Hh, P_GQPlus, 5078, check)
    call createCurrent(P_HQMinus, P_Ha, P_HPlus, P_HaQ, 1946, check)
    call createCurrent(P_ZQ, P_Hh, P_HPlus, P_WQMinus, 6616, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, P_Ha, 3492, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hl, P_GQMinus, 314, check)
    call createCurrent(P_uAnti, P_u, P_HlQ, 2968, check)
    call createCurrent(P_HaQ, P_Z, P_HPlus, P_WQMinus, 574, check)
    call createCurrent(P_HaQ, P_Hl, P_ghWp, P_ghWpAnti, 1807, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_G0, P_ghWp, 8975, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, P_A, 7984, check)
    call createCurrent(P_HQMinus, P_HMinus, P_HPlus, P_GQPlus, 7772, check)
    call createCurrent(P_u, P_GMinus, P_dAnti, 2889, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, 5772, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Hh, 7901, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_G0, 685, check)
    call createCurrent(P_A, P_ghWpAnti, P_Z, P_ghWp, 6251, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghZ, P_WQPlus, 4578, check)
    call createCurrent(P_Hh, P_ghAAnti, P_ghWp, P_HMinus, 1477, check)
    call createCurrent(P_Z, P_WPlus, P_ghWm, P_ghAAnti, 8318, check)
    call createCurrent(P_dAnti, P_d, P_gQ, 6337, check)
    call createCurrent(P_Hh, P_HPlus, P_G0, P_GMinus, 993, check)
    call createCurrent(P_bAnti, P_b, P_A, 7678, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghA, P_ghZAnti, 5495, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWm, P_ghWmAnti, 108, check)
    call createCurrent(P_HPlus, P_Hh, P_Ha, P_HMinus, 9308, check)
    call createCurrent(P_ghWm, P_G0, P_ghZAnti, P_HPlus, 9088, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HhQ, 747, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, 4646, check)
    call createCurrent(P_ghZ, P_Hh, P_GMinus, P_ghWmAnti, 417, check)
    call createCurrent(P_GQMinus, P_Hh, P_ghWp, P_ghZAnti, 2212, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_GMinus, P_ghA, 10081, check)
    call createCurrent(P_HaQ, P_Hh, P_Hh, P_GQ0, 4231, check)
    call createCurrent(P_Hh, P_Hl, P_HPlus, P_GMinus, 6471, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, P_ZQ, 6150, check)
    call createCurrent(P_Hl, P_Hl, P_Z, P_A, 10313, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, P_Ha, 7064, check)
    call createCurrent(P_Hh, P_A, P_WMinus, P_HPlus, 1354, check)
    call createCurrent(P_ghWp, P_WPlus, P_WMinus, P_ghWpAnti, 5047, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_Hh, P_ghZ, 6878, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Ha, P_Ha, 1850, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WQMinus, 2825, check)
    call createCurrent(P_ghA, P_GPlus, P_HMinus, P_ghZAnti, 10204, check)
    call createCurrent(P_GMinus, P_HPlus, P_GMinus, P_HPlus, 1264, check)
    call createCurrent(P_HaQ, P_A, P_WMinus, P_HQPlus, 1575, check)
    call createCurrent(P_b, P_GPlus, P_tAnti, 3378, check)
    call createCurrent(P_A, P_A, P_Ha, P_Ha, 10569, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WQMinus, 4743, check)
    call createCurrent(P_HhQ, P_WMinus, P_WQPlus, 1994, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Hh, 1981, check)
    call createCurrent(P_HQMinus, P_G0, P_HPlus, P_HlQ, 7744, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_A, P_WQMinus, 5778, check)
    call createCurrent(P_GQ0, P_GPlus, P_G0, P_GQMinus, 3714, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_Ha, P_ghWp, 9899, check)
    call createCurrent(P_Ha, P_HPlus, P_WMinus, 5792, check)
    call createCurrent(P_sAnti, P_s, 10394, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghA, P_A, 3818, check)
    call createCurrent(P_Ha, P_WMinus, P_A, P_GPlus, 10025, check)
    call createCurrent(P_WMinus, P_nu_tau, P_tauPlus, 500, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, 9620, check)
    call createCurrent(P_WMinus, P_A, P_Z, P_WPlus, 8181, check)
    call createCurrent(P_WQMinus, P_Z, P_Hh, P_GQPlus, 3662, check)
    call createCurrent(P_b, P_WPlus, P_tAnti, 1504, check)
    call createCurrent(P_HMinus, P_ghA, P_ghWmAnti, P_Hl, 556, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_Ha, 9636, check)
    call createCurrent(P_Hl, P_Ha, P_Hh, P_G0, 4624, check)
    call createCurrent(P_t, P_bAnti, P_GQMinus, 7563, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hh, 3837, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HQPlus, 7375, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hl, P_HQMinus, 8443, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, 9905, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, P_Hl, 8066, check)
    call createCurrent(P_Ha, P_G0, P_HMinus, P_GPlus, 8737, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghA, P_ghWmAnti, 5521, check)
    call createCurrent(P_GQMinus, P_nu_tau, P_tauPlus, 47, check)
    call createCurrent(P_Hh, P_GMinus, P_Ha, P_GPlus, 9235, check)
    call createCurrent(P_ghZ, P_Z, P_WPlus, P_ghWpAnti, 15, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Ha, P_HQMinus, 2250, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Ha, 10192, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghZ, P_HPlus, 8457, check)
    call createCurrent(P_u, P_dAnti, P_WQMinus, 3904, check)
    call createCurrent(P_A, P_HPlus, P_Ha, P_WMinus, 7937, check)
    call createCurrent(P_ghA, P_Ha, P_ghWmAnti, P_HMinus, 4414, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_HhQ, 666, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_HaQ, 3619, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghWpAnti, P_ghZ, 3015, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWm, P_GPlus, 8101, check)
    call createCurrent(P_WMinus, P_A, P_ghZ, P_ghWmAnti, 5623, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghZ, P_Z, 7759, check)
    call createCurrent(P_Hh, P_Z, P_Z, 4302, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_GMinus, 5281, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghA, P_GPlus, 2240, check)
    call createCurrent(P_ghWm, P_WMinus, P_WPlus, P_ghWmAnti, 8712, check)
    call createCurrent(P_Hl, P_uAnti, P_u, 226, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, P_G0, 10076, check)
    call createCurrent(P_HQPlus, P_GMinus, P_G0, P_HlQ, 4287, check)
    call createCurrent(P_ePlus, P_A, P_eMinus, 6712, check)
    call createCurrent(P_Hh, P_ghWm, P_ghAAnti, P_GPlus, 2182, check)
    call createCurrent(P_HhQ, P_ghWp, P_Ha, P_ghWpAnti, 319, check)
    call createCurrent(P_ghA, P_HMinus, P_Hl, P_ghWmAnti, 5259, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, 1372, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WMinus, P_WPlus, 1418, check)
    call createCurrent(P_HhQ, P_Hh, P_GPlus, P_HQMinus, 3397, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWm, P_ghZAnti, 3729, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_HPlus, 10205, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, 9201, check)
    call createCurrent(P_ZQ, P_WMinus, P_HQPlus, 7974, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_A, P_ghA, 2982, check)
    call createCurrent(P_HMinus, P_ghWpAnti, P_ghWp, P_HPlus, 197, check)
    call createCurrent(P_ghZ, P_Hh, P_HMinus, P_ghWmAnti, 3036, check)
    call createCurrent(P_WQMinus, P_Hl, P_HPlus, P_ZQ, 6705, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_HlQ, 6827, check)
    call createCurrent(P_G0, P_GMinus, P_ghWp, P_ghZAnti, 5975, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_HPlus, 2310, check)
    call createCurrent(P_HaQ, P_HPlus, P_A, P_WQMinus, 1318, check)
    call createCurrent(P_GQ0, P_GMinus, P_Hh, P_GQPlus, 3999, check)
    call createCurrent(P_HhQ, P_cAnti, P_c, 3271, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GMinus, P_HPlus, 9229, check)
    call createCurrent(P_c, P_G0, P_cAnti, 3105, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_AQ, 7639, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_G0, 8333, check)
    call createCurrent(P_WQMinus, P_ePlus, P_nu_e, 5039, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_HMinus, 3824, check)
    call createCurrent(P_GMinus, P_Ha, P_A, P_WPlus, 9179, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghAAnti, P_ghZ, 10173, check)
    call createCurrent(P_ghWmAnti, P_Z, P_A, P_ghWm, 7271, check)
    call createCurrent(P_ghA, P_HPlus, P_G0, P_ghWpAnti, 9077, check)
    call createCurrent(P_ghWm, P_Hh, P_HPlus, P_ghZAnti, 1001, check)
  end subroutine fill_current_1
end module currents_info1
