!******************************************************************************!
!                                                                              !
!    currents_info2.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info2.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info2
  implicit none
  contains
  subroutine fill_current_2(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, P_Hh, 9130, check)
    call createCurrent(P_Ha, P_ghWm, P_HPlus, P_ghZAnti, 807, check)
    call createCurrent(P_WQMinus, P_Hh, P_Z, P_HQPlus, 999, check)
    call createCurrent(P_HhQ, P_s, P_sAnti, 216, check)
    call createCurrent(P_muMinus, P_muPlus, P_G0, 1871, check)
    call createCurrent(P_Ha, P_HPlus, P_Ha, P_HMinus, 4453, check)
    call createCurrent(P_HQPlus, P_Z, P_A, P_HQMinus, 5829, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Hl, P_HMinus, 5327, check)
    call createCurrent(P_Hh, P_eMinus, P_ePlus, 4441, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_Hh, 9415, check)
    call createCurrent(P_ghWm, P_HPlus, P_Hh, P_ghZAnti, 5244, check)
    call createCurrent(P_WQPlus, P_ghZAnti, P_WMinus, P_ghZ, 3017, check)
    call createCurrent(P_ghWm, P_GMinus, P_ghWmAnti, P_HPlus, 10135, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_Ha, 8993, check)
    call createCurrent(P_HlQ, P_WPlus, P_WMinus, P_HlQ, 2849, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Hl, 8836, check)
    call createCurrent(P_GQPlus, P_Hl, P_Z, P_WQMinus, 810, check)
    call createCurrent(P_WMinus, P_A, P_G0, P_HPlus, 10463, check)
    call createCurrent(P_GQMinus, P_GPlus, P_GPlus, P_HQMinus, 14, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_Ha, P_ghWm, 5389, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, P_gQ, 680, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_HhQ, 2006, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GMinus, P_GQPlus, 5580, check)
    call createCurrent(P_G0, P_ghZ, P_HMinus, P_ghWmAnti, 10413, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_Z, P_ghWp, 7853, check)
    call createCurrent(P_ghWp, P_Hh, P_HMinus, P_ghZAnti, 576, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_Z, 1670, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, 1869, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Hl, P_AQ, 444, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWm, P_ghAAnti, 5411, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_HPlus, P_ghWp, 10177, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_Hl, 8749, check)
    call createCurrent(P_c, P_sAnti, P_GMinus, 4830, check)
    call createCurrent(P_AQ, P_A, P_HMinus, P_HQPlus, 4740, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WMinus, 562, check)
    call createCurrent(P_gQ, P_d, P_dAnti, 7126, check)
    call createCurrent(P_HlQ, P_Ha, P_Ha, P_HlQ, 106, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWp, P_ghZAnti, 5964, check)
    call createCurrent(P_G0, P_Hh, P_GPlus, P_HMinus, 2519, check)
    call createCurrent(P_d, P_dAnti, P_Hl, 5270, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_HlQ, 8208, check)
    call createCurrent(P_GQ0, P_HPlus, P_Ha, P_HQMinus, 7376, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, 8487, check)
    call createCurrent(P_Hl, P_Hh, P_ghZ, P_ghZAnti, 9325, check)
    call createCurrent(P_G0, P_GMinus, P_Hl, P_GPlus, 10001, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, P_Ha, 1572, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_HPlus, P_ghWm, 2562, check)
    call createCurrent(P_HQPlus, P_WMinus, P_A, P_HaQ, 4561, check)
    call createCurrent(P_Z, P_ghAAnti, P_ghWm, P_WPlus, 4052, check)
    call createCurrent(P_u, P_uAnti, P_G0, 4656, check)
    call createCurrent(P_HlQ, P_GPlus, P_GMinus, P_HlQ, 4081, check)
    call createCurrent(P_HlQ, P_muMinus, P_muPlus, 2458, check)
    call createCurrent(P_Hh, P_GMinus, P_Hl, P_GPlus, 4933, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_Hl, P_ghWm, 8602, check)
    call createCurrent(P_WQPlus, P_Hh, P_WMinus, P_HaQ, 4425, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Hh, 2722, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, P_Z, 615, check)
    call createCurrent(P_G0, P_GPlus, P_ghZAnti, P_ghWm, 3822, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_Hl, 3039, check)
    call createCurrent(P_GMinus, P_Hl, P_ghZ, P_ghWmAnti, 7631, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_G0, 9664, check)
    call createCurrent(P_ghA, P_A, P_ghWpAnti, P_WQPlus, 4862, check)
    call createCurrent(P_ghWpAnti, P_G0, P_HPlus, P_ghZ, 8953, check)
    call createCurrent(P_HMinus, P_G0, P_Hh, P_GPlus, 8503, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_G0, P_ghWm, 9719, check)
    call createCurrent(P_G0, P_ghAAnti, P_ghWm, P_GPlus, 2528, check)
    call createCurrent(P_WPlus, P_tauMinus, P_nu_tauAnti, 7353, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_Hh, 3176, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hh, 10642, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_HPlus, 10069, check)
    call createCurrent(P_Hh, P_ghA, P_ghWmAnti, P_HMinus, 1774, check)
    call createCurrent(P_GQ0, P_G0, P_ghWp, P_ghWpAnti, 7993, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_HhQ, 4224, check)
    call createCurrent(P_Hl, P_Hl, P_Ha, P_G0, 5776, check)
    call createCurrent(P_WPlus, P_ghA, P_ghAAnti, P_WMinus, 2311, check)
    call createCurrent(P_G0, P_Z, P_Hl, 8752, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghAAnti, P_ghZ, 8266, check)
    call createCurrent(P_HQMinus, P_ghZ, P_HPlus, P_ghAAnti, 5575, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_HPlus, 10113, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_A, 1031, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_ZQ, 8202, check)
    call createCurrent(P_Hl, P_ghWm, P_ghAAnti, P_GPlus, 6521, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghZ, P_G0, 10290, check)
    call createCurrent(P_HQPlus, P_Hl, P_Hl, P_HQMinus, 8375, check)
    call createCurrent(P_HPlus, P_ghWmAnti, P_HMinus, P_ghWm, 3658, check)
    call createCurrent(P_HaQ, P_Hl, P_GMinus, P_HQPlus, 1090, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWpAnti, P_ghZ, 1414, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_Ha, 10462, check)
    call createCurrent(P_HhQ, P_HPlus, P_GQMinus, 5814, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, P_Ha, 4741, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WQMinus, 1381, check)
    call createCurrent(P_HlQ, P_Hl, P_Hl, P_HhQ, 6485, check)
    call createCurrent(P_HlQ, P_Hl, P_HhQ, 7707, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_GQ0, 3591, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghWmAnti, 5491, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWm, P_ghAAnti, 716, check)
    call createCurrent(P_GQPlus, P_Hh, P_Hh, P_GQMinus, 2043, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, P_Hh, 4278, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_Hh, 8989, check)
    call createCurrent(P_d, P_HPlus, P_uAnti, 5242, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghWp, P_Hl, 4098, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghA, P_GPlus, 7205, check)
    call createCurrent(P_HlQ, P_Z, P_GPlus, P_WQMinus, 4539, check)
    call createCurrent(P_u, P_A, P_uAnti, 8123, check)
    call createCurrent(P_GMinus, P_Hh, P_Z, P_WPlus, 65, check)
    call createCurrent(P_gQ, P_bAnti, P_b, 4330, check)
    call createCurrent(P_Hl, P_Ha, P_HPlus, P_HMinus, 9599, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_A, P_WMinus, 3845, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_Hh, P_ghWp, 9871, check)
    call createCurrent(P_HMinus, P_Hl, P_ghWp, P_ghAAnti, 1338, check)
    call createCurrent(P_GQ0, P_G0, P_ghWpAnti, P_ghWp, 2219, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, 2009, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, 8574, check)
    call createCurrent(P_WQPlus, P_A, P_WMinus, P_AQ, 5396, check)
    call createCurrent(P_HaQ, P_G0, P_GPlus, P_HQMinus, 2669, check)
    call createCurrent(P_GMinus, P_Ha, P_Hh, P_HPlus, 7857, check)
    call createCurrent(P_G0, P_A, P_WPlus, P_GMinus, 5974, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, 6243, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_GPlus, P_ghA, 4485, check)
    call createCurrent(P_Hl, P_GMinus, P_ghWmAnti, P_ghZ, 2640, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_G0, 1236, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_G0, 7688, check)
    call createCurrent(P_g, P_A, P_g, P_g, 10510, check)
    call createCurrent(P_Ha, P_muMinus, P_muPlus, 5156, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_GMinus, P_ghZ, 9268, check)
    call createCurrent(P_WMinus, P_Ha, P_WPlus, P_G0, 9644, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_Ha, 1918, check)
    call createCurrent(P_HPlus, P_Ha, P_WMinus, P_Z, 312, check)
    call createCurrent(P_HQMinus, P_Ha, P_WPlus, P_AQ, 3454, check)
    call createCurrent(P_HlQ, P_Hl, P_GPlus, P_GQMinus, 8550, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghAAnti, P_HMinus, 6191, check)
    call createCurrent(P_GQMinus, P_G0, P_GPlus, P_HaQ, 7067, check)
    call createCurrent(P_GQPlus, P_G0, P_ghWpAnti, P_ghA, 7006, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, 9315, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, 8391, check)
    call createCurrent(P_HQPlus, P_ghA, P_HMinus, P_ghAAnti, 7156, check)
    call createCurrent(P_WPlus, P_HMinus, P_GPlus, P_WMinus, 9105, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HPlus, P_GMinus, 10153, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_Z, P_ghA, 2879, check)
    call createCurrent(P_GQ0, P_HMinus, P_Ha, P_HQPlus, 5694, check)
    call createCurrent(P_GQ0, P_Hh, P_GPlus, P_GQMinus, 6207, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_HlQ, 8019, check)
    call createCurrent(P_HaQ, P_Hl, P_GMinus, P_GQPlus, 2110, check)
    call createCurrent(P_GQ0, P_sAnti, P_s, 1545, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, P_G0, 6522, check)
    call createCurrent(P_GQ0, P_Hh, P_Hl, P_GQ0, 8344, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_GPlus, P_ghWm, 2461, check)
    call createCurrent(P_c, P_sAnti, P_GQMinus, 1160, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_GQ0, 5626, check)
    call createCurrent(P_HhQ, P_Hl, P_Ha, P_HaQ, 6402, check)
    call createCurrent(P_HlQ, P_Ha, P_ZQ, 6352, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_G0, P_GPlus, 2370, check)
    call createCurrent(P_GQMinus, P_u, P_dAnti, 1258, check)
    call createCurrent(P_Hh, P_Hl, P_Ha, P_G0, 7345, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_HMinus, P_ghA, 3674, check)
    call createCurrent(P_HlQ, P_Ha, P_HMinus, P_GQPlus, 4451, check)
    call createCurrent(P_Hh, P_G0, P_A, 8969, check)
    call createCurrent(P_HlQ, P_GPlus, P_WQMinus, 2550, check)
    call createCurrent(P_ghAAnti, P_G0, P_HPlus, P_ghWm, 9397, check)
    call createCurrent(P_g, P_g, P_G0, P_G0, 10531, check)
    call createCurrent(P_HlQ, P_ghWp, P_ghWpAnti, 119, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_HlQ, 550, check)
    call createCurrent(P_Hh, P_WPlus, P_Z, P_HMinus, 8074, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghZAnti, P_WMinus, 5314, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Ha, P_AQ, 6594, check)
    call createCurrent(P_ghA, P_GMinus, P_Hl, P_ghWmAnti, 2135, check)
    call createCurrent(P_WPlus, P_ghWm, P_WMinus, P_ghWmAnti, 3335, check)
    call createCurrent(P_HPlus, P_ghA, P_HMinus, P_ghAAnti, 6567, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_G0, 1894, check)
    call createCurrent(P_muPlus, P_WMinus, P_nu_mu, 1363, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Hl, 9449, check)
    call createCurrent(P_HaQ, P_G0, P_Ha, P_HaQ, 2186, check)
    call createCurrent(P_Z, P_GPlus, P_Hh, P_WMinus, 8605, check)
    call createCurrent(P_ZQ, P_ghZAnti, P_WPlus, P_ghWm, 3143, check)
    call createCurrent(P_Hl, P_Hl, P_ghWm, P_ghWmAnti, 6767, check)
    call createCurrent(P_WQPlus, P_Hl, P_WMinus, P_GQ0, 5900, check)
    call createCurrent(P_A, P_WPlus, P_Ha, P_HMinus, 8303, check)
    call createCurrent(P_ghWp, P_HMinus, P_G0, P_ghZAnti, 10229, check)
    call createCurrent(P_s, P_sAnti, P_Ha, 8440, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_Ha, P_ghA, 4708, check)
    call createCurrent(P_HlQ, P_HPlus, P_Hl, P_GQMinus, 5188, check)
    call createCurrent(P_GQMinus, P_A, P_GPlus, P_AQ, 6087, check)
    call createCurrent(P_ghZAnti, P_Hl, P_GPlus, P_ghWm, 1298, check)
    call createCurrent(P_AQ, P_A, P_WPlus, P_WQMinus, 7891, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_A, 822, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hl, P_HlQ, 5768, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hh, 4394, check)
    call createCurrent(P_GMinus, P_G0, P_ghWp, P_ghAAnti, 783, check)
    call createCurrent(P_uAnti, P_Hh, P_u, 2974, check)
    call createCurrent(P_muMinus, P_Ha, P_muPlus, 1818, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_Z, 2459, check)
    call createCurrent(P_d, P_dAnti, P_g, 4875, check)
    call createCurrent(P_Ha, P_g, P_g, P_G0, 10553, check)
    call createCurrent(P_ghZ, P_Z, P_ghWpAnti, P_WQPlus, 7760, check)
    call createCurrent(P_ghA, P_HPlus, P_GMinus, P_ghZAnti, 9962, check)
    call createCurrent(P_ZQ, P_nu_tau, P_nu_tauAnti, 6984, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghA, P_ghAAnti, 5565, check)
    call createCurrent(P_Ha, P_ghWp, P_HMinus, P_ghZAnti, 5811, check)
    call createCurrent(P_GMinus, P_GPlus, P_WMinus, P_WPlus, 6267, check)
    call createCurrent(P_AQ, P_WMinus, P_HQPlus, 5545, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_Hl, 3752, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_Hl, 2194, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HaQ, 1686, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_G0, 2600, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, P_Z, 4296, check)
    call createCurrent(P_GQMinus, P_Ha, P_Ha, P_HQPlus, 6603, check)
    call createCurrent(P_t, P_tAnti, P_GQ0, 6864, check)
    call createCurrent(P_WQMinus, P_HPlus, P_AQ, 5137, check)
    call createCurrent(P_HlQ, P_GMinus, P_GPlus, P_HhQ, 3233, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWmAnti, P_WMinus, 2505, check)
    call createCurrent(P_HlQ, P_Z, P_WPlus, P_GQMinus, 7848, check)
    call createCurrent(P_HaQ, P_Hl, P_GPlus, P_HQMinus, 854, check)
    call createCurrent(P_GQPlus, P_HMinus, P_HPlus, P_HQMinus, 1736, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZ, P_ghAAnti, 7646, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_Hl, 3461, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Hh, P_HlQ, 545, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_HaQ, 4050, check)
    call createCurrent(P_GQPlus, P_HMinus, P_GPlus, P_HQMinus, 5609, check)
    call createCurrent(P_GQ0, P_Hl, P_Hh, P_GQ0, 2036, check)
    call createCurrent(P_WPlus, P_Ha, P_G0, P_WMinus, 9029, check)
    call createCurrent(P_A, P_ghZ, P_WMinus, P_ghWmAnti, 4981, check)
    call createCurrent(P_HaQ, P_Ha, P_Z, P_ZQ, 3270, check)
    call createCurrent(P_Hl, P_G0, P_Hh, P_Ha, 6032, check)
    call createCurrent(P_GQ0, P_Ha, P_GPlus, P_HQMinus, 3697, check)
    call createCurrent(P_GQMinus, P_Hl, P_GPlus, P_HaQ, 6151, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_Ha, 8224, check)
    call createCurrent(P_HMinus, P_Hh, P_Hh, P_HPlus, 4896, check)
    call createCurrent(P_Hh, P_G0, P_Ha, P_Hl, 3797, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_HPlus, 9174, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWpAnti, P_GPlus, 5351, check)
    call createCurrent(P_GPlus, P_GMinus, P_WMinus, P_WPlus, 5913, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, P_G0, 1124, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_Hl, 2905, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWmAnti, P_WQMinus, 4703, check)
    call createCurrent(P_GMinus, P_Hl, P_Hh, P_GPlus, 5634, check)
    call createCurrent(P_GMinus, P_Ha, P_WPlus, P_A, 9821, check)
    call createCurrent(P_ghA, P_Z, P_WMinus, P_ghWmAnti, 3879, check)
    call createCurrent(P_A, P_WMinus, P_ghZAnti, P_ghWp, 4404, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZ, P_ghZAnti, 6609, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghZAnti, P_ghWp, 5730, check)
    call createCurrent(P_HlQ, P_WMinus, P_WPlus, P_HlQ, 6632, check)
    call createCurrent(P_dAnti, P_Z, P_d, 2502, check)
    call createCurrent(P_HlQ, P_GMinus, P_WPlus, P_ZQ, 152, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_G0, 2093, check)
    call createCurrent(P_HlQ, P_GMinus, P_HPlus, P_HaQ, 7109, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WPlus, P_WMinus, 3517, check)
    call createCurrent(P_AQ, P_uAnti, P_u, 813, check)
    call createCurrent(P_ghA, P_A, P_ghWmAnti, P_WMinus, 881, check)
    call createCurrent(P_GQ0, P_G0, P_Hl, P_HlQ, 7895, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_G0, 3515, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_G0, P_ghA, 6568, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hl, P_GQPlus, 5496, check)
    call createCurrent(P_Hh, P_ghWm, P_GPlus, P_ghZAnti, 6262, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Hl, P_ghZ, 3053, check)
    call createCurrent(P_HQMinus, P_Hl, P_GQPlus, 2380, check)
    call createCurrent(P_GQMinus, P_ghWp, P_Hl, P_ghZAnti, 7030, check)
    call createCurrent(P_G0, P_Hh, P_Z, 2988, check)
    call createCurrent(P_ghWp, P_Ha, P_ghWpAnti, P_Ha, 7945, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_A, 4792, check)
    call createCurrent(P_GQPlus, P_ghZ, P_Hh, P_ghWpAnti, 8825, check)
    call createCurrent(P_GPlus, P_Hl, P_Ha, P_HMinus, 4174, check)
    call createCurrent(P_GQ0, P_ghZ, P_GPlus, P_ghWpAnti, 6811, check)
    call createCurrent(P_Z, P_WMinus, P_ghAAnti, P_ghWp, 3030, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_ZQ, 6066, check)
    call createCurrent(P_ghZ, P_G0, P_GPlus, P_ghWpAnti, 1483, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hh, P_HQMinus, 3688, check)
    call createCurrent(P_AQ, P_ghZAnti, P_WPlus, P_ghWm, 3447, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Ha, P_GMinus, 9702, check)
    call createCurrent(P_HQMinus, P_Hl, P_Z, P_WQPlus, 5493, check)
    call createCurrent(P_HQPlus, P_ghZAnti, P_Hl, P_ghWm, 3548, check)
    call createCurrent(P_HaQ, P_Hh, P_ghWm, P_ghWmAnti, 1074, check)
    call createCurrent(P_WMinus, P_ghZ, P_WPlus, P_ghZAnti, 3749, check)
    call createCurrent(P_WQMinus, P_ghA, P_ghWmAnti, 5443, check)
    call createCurrent(P_HQMinus, P_G0, P_GQPlus, 2697, check)
    call createCurrent(P_Hh, P_A, P_Z, P_Hh, 9631, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_Hh, 5753, check)
    call createCurrent(P_A, P_Ha, P_WMinus, P_GPlus, 10036, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HMinus, P_GQPlus, 2696, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_GPlus, 7621, check)
    call createCurrent(P_GQPlus, P_Z, P_GQMinus, 5365, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghWmAnti, P_GMinus, 9090, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_Ha, 3086, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWm, P_WPlus, 332, check)
    call createCurrent(P_HPlus, P_Hh, P_Hl, P_HMinus, 6131, check)
    call createCurrent(P_WQMinus, P_WPlus, P_GMinus, P_GQPlus, 2711, check)
    call createCurrent(P_GQ0, P_GPlus, P_Ha, P_GQMinus, 3630, check)
    call createCurrent(P_AQ, P_Hl, P_GPlus, P_WQMinus, 1234, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HlQ, 1875, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZAnti, P_ghA, 2166, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, 1645, check)
    call createCurrent(P_ZQ, P_GPlus, P_GMinus, P_ZQ, 6254, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_Ha, 9679, check)
    call createCurrent(P_HhQ, P_GPlus, P_Ha, P_HQMinus, 585, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghZAnti, P_HPlus, 1787, check)
    call createCurrent(P_HlQ, P_Hl, P_HPlus, P_GQMinus, 5658, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, P_Hh, 6629, check)
    call createCurrent(P_ghWp, P_G0, P_ghAAnti, P_GMinus, 1768, check)
    call createCurrent(P_GQ0, P_eMinus, P_ePlus, 8798, check)
    call createCurrent(P_GPlus, P_G0, P_Ha, P_GMinus, 3516, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghZAnti, P_Hh, 8823, check)
    call createCurrent(P_A, P_eMinus, P_ePlus, 1328, check)
    call createCurrent(P_Ha, P_G0, P_Hh, P_Hh, 645, check)
    call createCurrent(P_AQ, P_GPlus, P_G0, P_WQMinus, 1831, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, 439, check)
    call createCurrent(P_WPlus, P_A, P_Hh, P_HMinus, 3302, check)
    call createCurrent(P_HhQ, P_Hl, P_Ha, P_GQ0, 4129, check)
    call createCurrent(P_Hh, P_Hl, P_ghZAnti, P_ghZ, 10117, check)
    call createCurrent(P_Hl, P_G0, P_HPlus, P_GMinus, 8279, check)
    call createCurrent(P_GMinus, P_Ha, P_ghWp, P_ghAAnti, 10209, check)
    call createCurrent(P_WQPlus, P_muMinus, P_nu_muAnti, 5226, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_Z, 3549, check)
    call createCurrent(P_G0, P_ghWmAnti, P_HMinus, P_ghZ, 9863, check)
    call createCurrent(P_Ha, P_muPlus, P_muMinus, 1699, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, 3320, check)
    call createCurrent(P_HPlus, P_ghA, P_Hl, P_ghWpAnti, 7603, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_GMinus, P_ghZ, 9050, check)
    call createCurrent(P_WQPlus, P_Hh, P_HQMinus, 7730, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_HMinus, 7851, check)
    call createCurrent(P_HPlus, P_WMinus, P_Ha, 2200, check)
    call createCurrent(P_G0, P_WMinus, P_A, P_GPlus, 1917, check)
    call createCurrent(P_Hh, P_ghZAnti, P_GPlus, P_ghWm, 5497, check)
    call createCurrent(P_GPlus, P_HMinus, P_GPlus, P_GMinus, 491, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Ha, 10486, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_Ha, 8803, check)
    call createCurrent(P_WQPlus, P_Z, P_Hl, P_HQMinus, 4627, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, 2221, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hl, P_ghA, 7967, check)
    call createCurrent(P_GQPlus, P_ghA, P_G0, P_ghWpAnti, 127, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_G0, 7951, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_G0, 3460, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWmAnti, P_ghWm, 7418, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Ha, 9921, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, P_Hl, 8869, check)
    call createCurrent(P_HPlus, P_A, P_Ha, P_WMinus, 1066, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Z, P_ZQ, 5595, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghA, P_GQPlus, 4802, check)
    call createCurrent(P_Hl, P_Hl, P_GPlus, P_HMinus, 6165, check)
    call createCurrent(P_Z, P_Z, P_HMinus, P_GPlus, 9932, check)
    call createCurrent(P_G0, P_HPlus, P_G0, P_GMinus, 1336, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghWmAnti, P_WMinus, 117, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_Ha, 194, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_WMinus, P_ghZ, 2656, check)
    call createCurrent(P_HhQ, P_WMinus, P_A, P_HQPlus, 6265, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hh, P_HQPlus, 2975, check)
    call createCurrent(P_HhQ, P_Hl, P_G0, P_GQ0, 1219, check)
    call createCurrent(P_Hh, P_HMinus, P_G0, P_GPlus, 2608, check)
    call createCurrent(P_GQPlus, P_A, P_Z, P_GQMinus, 3851, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, P_Hh, 8706, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_G0, 8449, check)
    call createCurrent(P_Hh, P_GPlus, P_Hh, P_HMinus, 6889, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_HPlus, P_ghWm, 2919, check)
    call createCurrent(P_AQ, P_WMinus, P_Hh, P_HQPlus, 8184, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_Hh, P_ghZ, 5939, check)
    call createCurrent(P_ghWp, P_Hl, P_ghAAnti, P_HMinus, 7173, check)
    call createCurrent(P_HaQ, P_bAnti, P_b, 6336, check)
    call createCurrent(P_HPlus, P_A, P_A, P_HMinus, 5227, check)
    call createCurrent(P_Hl, P_GPlus, P_ghAAnti, P_ghWm, 6141, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_Z, 1490, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Hl, 8519, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_G0, 3211, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_Hl, P_ghA, 1347, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_Hh, P_ghWm, 2029, check)
    call createCurrent(P_WPlus, P_WMinus, P_Ha, P_G0, 9351, check)
    call createCurrent(P_Ha, P_Z, P_Hl, 2799, check)
    call createCurrent(P_AQ, P_A, P_ghWmAnti, P_ghWm, 8179, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WMinus, P_WQPlus, 4747, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWm, P_WPlus, 7399, check)
    call createCurrent(P_ZQ, P_Ha, P_Ha, P_ZQ, 1068, check)
    call createCurrent(P_WQPlus, P_ghWmAnti, P_WMinus, P_ghWm, 8169, check)
    call createCurrent(P_Hh, P_Z, P_HMinus, P_WPlus, 2472, check)
    call createCurrent(P_GQ0, P_ghZAnti, P_GPlus, P_ghWm, 5102, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_Ha, 10054, check)
    call createCurrent(P_G0, P_ghA, P_GMinus, P_ghWmAnti, 2894, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_Hh, 9328, check)
    call createCurrent(P_G0, P_Hl, P_Z, 6465, check)
    call createCurrent(P_GQ0, P_GMinus, P_Ha, P_GQPlus, 7902, check)
    call createCurrent(P_cAnti, P_c, P_Hh, 6833, check)
    call createCurrent(P_HPlus, P_ghZ, P_GMinus, P_ghZAnti, 9623, check)
    call createCurrent(P_G0, P_GMinus, P_G0, P_GPlus, 3192, check)
    call createCurrent(P_HMinus, P_WMinus, P_WPlus, P_GPlus, 10106, check)
    call createCurrent(P_HlQ, P_GPlus, P_Hh, P_HQMinus, 6803, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hl, P_HQPlus, 5961, check)
    call createCurrent(P_GPlus, P_WMinus, P_GMinus, P_WPlus, 7811, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Hl, P_GPlus, 2603, check)
    call createCurrent(P_HQMinus, P_Ha, P_Hl, P_GQPlus, 5332, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_Hl, 240, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_A, 1760, check)
    call createCurrent(P_GQ0, P_G0, P_HPlus, P_HQMinus, 8834, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, P_Z, 9346, check)
    call createCurrent(P_HlQ, P_Hl, P_G0, P_HaQ, 2005, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghA, P_WPlus, 7534, check)
    call createCurrent(P_GPlus, P_Z, P_G0, P_WMinus, 3606, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_GQ0, 695, check)
    call createCurrent(P_HQMinus, P_GMinus, P_HPlus, P_HQPlus, 1393, check)
    call createCurrent(P_ghWm, P_G0, P_ghAAnti, P_GPlus, 8070, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HQMinus, 3130, check)
    call createCurrent(P_HhQ, P_Hl, P_HhQ, 1725, check)
    call createCurrent(P_AQ, P_Z, P_ghWmAnti, P_ghWm, 3573, check)
    call createCurrent(P_HPlus, P_Hl, P_G0, P_GMinus, 4637, check)
    call createCurrent(P_HhQ, P_GMinus, P_HPlus, P_HlQ, 2074, check)
    call createCurrent(P_Ha, P_GPlus, P_Hl, P_GMinus, 9286, check)
    call createCurrent(P_Hl, P_ghZAnti, P_HMinus, P_ghWp, 7694, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, 918, check)
    call createCurrent(P_HlQ, P_WPlus, P_GQMinus, 6015, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghAAnti, P_WQMinus, 679, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, 4034, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_HMinus, 9422, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, P_Hl, 7489, check)
    call createCurrent(P_HlQ, P_HMinus, P_G0, P_HQPlus, 872, check)
    call createCurrent(P_HQPlus, P_HPlus, P_GMinus, P_GQMinus, 7928, check)
    call createCurrent(P_Hl, P_G0, P_GMinus, P_GPlus, 9503, check)
    call createCurrent(P_HQMinus, P_GPlus, P_G0, P_HaQ, 1166, check)
    call createCurrent(P_Hh, P_s, P_sAnti, 3398, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_Hh, 7377, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghWm, P_ghWmAnti, 9454, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghZ, P_HPlus, 9976, check)
    call createCurrent(P_G0, P_A, P_Z, P_G0, 10320, check)
    call createCurrent(P_GQ0, P_GMinus, P_Z, P_WQPlus, 2096, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, 7059, check)
    call createCurrent(P_Z, P_ghWm, P_Z, P_ghWmAnti, 7883, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_GMinus, P_ghZ, 3528, check)
    call createCurrent(P_Ha, P_Z, P_G0, P_A, 10540, check)
    call createCurrent(P_G0, P_WPlus, P_HMinus, P_Z, 10220, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWp, P_ghWpAnti, 3569, check)
    call createCurrent(P_HhQ, P_Hl, P_Hh, P_HhQ, 6301, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, P_Hl, 6840, check)
    call createCurrent(P_GMinus, P_Hl, P_ghAAnti, P_ghWp, 1439, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_G0, 8635, check)
    call createCurrent(P_HaQ, P_Z, P_Ha, P_ZQ, 292, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_Hh, P_ghA, 6104, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_Hh, P_ghWm, 1348, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghZ, P_ghWpAnti, 4625, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_GQ0, 7982, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, 4659, check)
    call createCurrent(P_GQPlus, P_GMinus, P_A, P_ZQ, 1688, check)
    call createCurrent(P_HMinus, P_ghZ, P_HPlus, P_ghAAnti, 5516, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, 9020, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_Ha, 3079, check)
    call createCurrent(P_ePlus, P_eMinus, P_HhQ, 2381, check)
    call createCurrent(P_HlQ, P_HPlus, P_G0, P_GQMinus, 5640, check)
    call createCurrent(P_G0, P_Hh, P_HMinus, P_HPlus, 10453, check)
    call createCurrent(P_HaQ, P_tauPlus, P_tauMinus, 3902, check)
    call createCurrent(P_HhQ, P_HPlus, P_Hl, P_HQMinus, 3494, check)
    call createCurrent(P_HMinus, P_HPlus, P_GPlus, P_HMinus, 3529, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, 8118, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HaQ, 8809, check)
    call createCurrent(P_HPlus, P_Hh, P_WMinus, P_Z, 5462, check)
    call createCurrent(P_Ha, P_GPlus, P_G0, P_HMinus, 3280, check)
    call createCurrent(P_HhQ, P_Hh, P_ghWp, P_ghWpAnti, 1622, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Z, P_AQ, 8548, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZAnti, P_ghA, 6467, check)
    call createCurrent(P_Ha, P_GMinus, P_Ha, P_GPlus, 3306, check)
    call createCurrent(P_dAnti, P_u, P_WMinus, 852, check)
    call createCurrent(P_HaQ, P_ghWmAnti, P_Hh, P_ghWm, 4260, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HMinus, P_GPlus, 9177, check)
    call createCurrent(P_g, P_g, P_GPlus, P_GMinus, 10506, check)
    call createCurrent(P_u, P_uAnti, P_Hl, 3673, check)
    call createCurrent(P_HaQ, P_Ha, P_HhQ, 4927, check)
    call createCurrent(P_muMinus, P_A, P_muPlus, 5529, check)
    call createCurrent(P_HMinus, P_ghA, P_ghAAnti, P_GPlus, 8942, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Z, P_WQPlus, 7823, check)
    call createCurrent(P_HQPlus, P_G0, P_GMinus, P_HaQ, 8261, check)
    call createCurrent(P_bAnti, P_b, P_GQ0, 7526, check)
    call createCurrent(P_HhQ, P_Z, P_ZQ, 7085, check)
    call createCurrent(P_HQPlus, P_WMinus, P_ZQ, 3450, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GPlus, 8177, check)
    call createCurrent(P_Ha, P_WPlus, P_WMinus, P_G0, 9961, check)
    call createCurrent(P_Ha, P_Hh, P_GPlus, P_GMinus, 9048, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWpAnti, P_HPlus, 6754, check)
    call createCurrent(P_HhQ, P_HPlus, P_Ha, P_HQMinus, 7806, check)
    call createCurrent(P_GQPlus, P_Hl, P_HMinus, P_HlQ, 5641, check)
    call createCurrent(P_G0, P_G0, P_ghWpAnti, P_ghWp, 5468, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_ghWp, P_GPlus, 189, check)
    call createCurrent(P_ghA, P_GPlus, P_ghZAnti, P_HMinus, 9657, check)
    call createCurrent(P_HhQ, P_WMinus, P_HPlus, P_ZQ, 1876, check)
    call createCurrent(P_HhQ, P_A, P_WPlus, P_GQMinus, 5317, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_G0, P_ghZ, 1514, check)
    call createCurrent(P_HaQ, P_Hh, P_HPlus, P_GQMinus, 4876, check)
    call createCurrent(P_AQ, P_Ha, P_HMinus, P_WQPlus, 519, check)
    call createCurrent(P_WQMinus, P_G0, P_GPlus, P_ZQ, 4280, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Hl, P_ghA, 1108, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_GPlus, P_HMinus, 8905, check)
    call createCurrent(P_Hh, P_Hl, P_WMinus, P_WPlus, 10356, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_G0, 10305, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_HMinus, P_ghZ, 121, check)
    call createCurrent(P_tAnti, P_b, P_GPlus, 2164, check)
    call createCurrent(P_muPlus, P_Hl, P_muMinus, 6445, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_G0, 6312, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_GPlus, P_ghA, 8977, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, 4274, check)
    call createCurrent(P_HPlus, P_Hl, P_WMinus, 728, check)
    call createCurrent(P_HQPlus, P_Hl, P_GQMinus, 3487, check)
    call createCurrent(P_G0, P_Ha, P_HPlus, P_GMinus, 5644, check)
    call createCurrent(P_Hh, P_ghWp, P_GMinus, P_ghAAnti, 2732, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hl, 4346, check)
    call createCurrent(P_ghA, P_Ha, P_GPlus, P_ghWpAnti, 9162, check)
    call createCurrent(P_WQMinus, P_Hh, P_Z, P_GQPlus, 7580, check)
    call createCurrent(P_HQMinus, P_HPlus, P_HMinus, P_GQPlus, 1132, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, P_Ha, 7668, check)
    call createCurrent(P_HhQ, P_WPlus, P_HMinus, P_ZQ, 5371, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_GQ0, 5171, check)
    call createCurrent(P_HPlus, P_b, P_tAnti, 8730, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Hh, 8185, check)
    call createCurrent(P_Ha, P_GPlus, P_ghAAnti, P_ghWm, 9879, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghZAnti, P_ghWp, 5454, check)
    call createCurrent(P_GQMinus, P_ghA, P_GPlus, P_ghAAnti, 8748, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_G0, 7254, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, 102, check)
    call createCurrent(P_WQPlus, P_d, P_uAnti, 6808, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, P_Hh, 8855, check)
    call createCurrent(P_HMinus, P_HPlus, P_WMinus, P_WPlus, 5915, check)
    call createCurrent(P_ghA, P_HMinus, P_ghAAnti, P_HPlus, 2360, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_HMinus, P_ghA, 4431, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_HhQ, 3006, check)
    call createCurrent(P_HQMinus, P_ghZAnti, P_HPlus, P_ghZ, 289, check)
    call createCurrent(P_HaQ, P_Hl, P_Ha, P_HlQ, 8340, check)
    call createCurrent(P_GQMinus, P_Hl, P_Hh, P_GQPlus, 6273, check)
    call createCurrent(P_GQPlus, P_ghZ, P_Hl, P_ghWpAnti, 6209, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HhQ, 5186, check)
    call createCurrent(P_HQPlus, P_Hl, P_GMinus, P_HlQ, 8144, check)
    call createCurrent(P_HMinus, P_Hh, P_ghA, P_ghWmAnti, 1944, check)
    call createCurrent(P_G0, P_ghWpAnti, P_HPlus, P_ghA, 9757, check)
    call createCurrent(P_HQPlus, P_Hh, P_GMinus, P_GQ0, 8715, check)
    call createCurrent(P_HQMinus, P_HPlus, P_GMinus, P_GQPlus, 513, check)
    call createCurrent(P_HlQ, P_Ha, P_GPlus, P_HQMinus, 1013, check)
    call createCurrent(P_tAnti, P_t, P_gQ, 3113, check)
    call createCurrent(P_Hh, P_ghAAnti, P_GMinus, P_ghWp, 4322, check)
    call createCurrent(P_GQMinus, P_Hh, P_WPlus, P_ZQ, 1221, check)
    call createCurrent(P_HQMinus, P_G0, P_GPlus, P_HlQ, 4891, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_GPlus, P_ghA, 1217, check)
    call createCurrent(P_HQPlus, P_GPlus, P_GMinus, P_HQMinus, 3667, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_WPlus, P_WQMinus, 6644, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_HlQ, 5821, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_A, 5818, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghZ, P_ghWpAnti, 5530, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghA, P_WPlus, 1118, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_GMinus, 1249, check)
    call createCurrent(P_G0, P_ghZ, P_ghZAnti, P_G0, 3730, check)
    call createCurrent(P_Ha, P_A, P_A, P_G0, 10535, check)
    call createCurrent(P_ghWm, P_WMinus, P_ghWmAnti, P_WQPlus, 7387, check)
    call createCurrent(P_HPlus, P_ghWmAnti, P_ghWm, P_HMinus, 3539, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghAAnti, P_HPlus, 1966, check)
    call createCurrent(P_A, P_WPlus, P_Hl, P_HMinus, 1392, check)
    call createCurrent(P_HMinus, P_WPlus, P_WMinus, P_GPlus, 10270, check)
    call createCurrent(P_tauPlus, P_Ha, P_tauMinus, 1345, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWmAnti, P_ghWm, 5912, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Hl, 1378, check)
    call createCurrent(P_muPlus, P_muMinus, P_Z, 419, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_Hh, P_ghWm, 1403, check)
    call createCurrent(P_HPlus, P_Z, P_A, P_GMinus, 9563, check)
    call createCurrent(P_HQMinus, P_HPlus, P_HPlus, P_GQMinus, 4127, check)
    call createCurrent(P_Hh, P_GMinus, P_ghZAnti, P_ghWp, 7952, check)
    call createCurrent(P_HQMinus, P_GPlus, P_G0, P_GQ0, 2267, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Hh, 9886, check)
    call createCurrent(P_A, P_ghWmAnti, P_WMinus, P_ghZ, 7127, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, P_GQ0, 2979, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_Z, 2989, check)
    call createCurrent(P_Hh, P_ghWp, P_ghWpAnti, P_Hl, 9013, check)
    call createCurrent(P_A, P_GMinus, P_Z, P_GPlus, 884, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghZ, P_ghWpAnti, 543, check)
    call createCurrent(P_d, P_Z, P_dAnti, 8642, check)
    call createCurrent(P_GQPlus, P_Hl, P_HMinus, P_HhQ, 2476, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWp, P_GMinus, 3235, check)
    call createCurrent(P_Ha, P_G0, P_GPlus, P_HMinus, 1419, check)
    call createCurrent(P_Z, P_Z, P_WMinus, P_WPlus, 746, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_ghWp, P_WPlus, 2945, check)
    call createCurrent(P_t, P_A, P_tAnti, 6710, check)
    call createCurrent(P_WMinus, P_Ha, P_HPlus, 8410, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GPlus, P_GQMinus, 7066, check)
    call createCurrent(P_HPlus, P_A, P_Z, P_GMinus, 10481, check)
    call createCurrent(P_GQ0, P_HPlus, P_GMinus, P_HlQ, 8267, check)
    call createCurrent(P_HPlus, P_A, P_Hh, P_WMinus, 613, check)
    call createCurrent(P_Z, P_A, P_Hh, 9417, check)
    call createCurrent(P_cAnti, P_c, P_Z, 3719, check)
    call createCurrent(P_GMinus, P_sAnti, P_c, 2081, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghZAnti, P_HMinus, 7021, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_Hh, P_ghWm, 3162, check)
    call createCurrent(P_GMinus, P_Ha, P_WPlus, 9434, check)
    call createCurrent(P_Hh, P_Ha, P_Ha, 7056, check)
    call createCurrent(P_WQPlus, P_Z, P_GMinus, P_GQ0, 8564, check)
    call createCurrent(P_G0, P_Ha, P_g, P_g, 10538, check)
    call createCurrent(P_GQMinus, P_Hh, P_Z, P_WQPlus, 3968, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_G0, P_ghWm, 1471, check)
    call createCurrent(P_WPlus, P_Z, P_ghAAnti, P_ghWm, 7439, check)
    call createCurrent(P_GQ0, P_Hh, P_G0, P_HhQ, 4294, check)
    call createCurrent(P_HaQ, P_HMinus, P_GPlus, P_GQ0, 4695, check)
    call createCurrent(P_cAnti, P_c, P_AQ, 1304, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghWpAnti, P_G0, 9546, check)
    call createCurrent(P_G0, P_ghWpAnti, P_G0, P_ghWp, 5094, check)
    call createCurrent(P_GQMinus, P_Hl, P_HQPlus, 817, check)
    call createCurrent(P_HPlus, P_HMinus, P_A, P_A, 2387, check)
    call createCurrent(P_HMinus, P_Hl, P_A, P_WPlus, 7996, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, P_G0, 7111, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GQMinus, 3570, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_Ha, 9637, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_A, P_WPlus, 6453, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_HhQ, 2816, check)
    call createCurrent(P_ghWm, P_HPlus, P_Hh, P_ghAAnti, 2386, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_ZQ, 4069, check)
    call createCurrent(P_HlQ, P_HPlus, P_GMinus, P_HhQ, 3108, check)
    call createCurrent(P_HQPlus, P_Hl, P_HMinus, P_HlQ, 2545, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_Hh, P_ghWm, 2650, check)
    call createCurrent(P_dAnti, P_G0, P_d, 2994, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, P_Z, 5890, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_HMinus, 1851, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_HMinus, P_ghZ, 247, check)
    call createCurrent(P_GMinus, P_Hl, P_ghWmAnti, P_ghA, 410, check)
    call createCurrent(P_A, P_A, P_g, P_g, 10661, check)
    call createCurrent(P_Z, P_G0, P_A, P_G0, 9688, check)
    call createCurrent(P_eMinus, P_Z, P_ePlus, 5540, check)
    call createCurrent(P_GQ0, P_WMinus, P_G0, P_WQPlus, 8599, check)
    call createCurrent(P_GQMinus, P_G0, P_WPlus, P_AQ, 4284, check)
    call createCurrent(P_WPlus, P_cAnti, P_s, 7607, check)
    call createCurrent(P_G0, P_Hl, P_Ha, 1879, check)
    call createCurrent(P_G0, P_HPlus, P_WMinus, P_A, 9484, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_A, 2106, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_HhQ, 7290, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, P_A, 10333, check)
    call createCurrent(P_GQ0, P_HMinus, P_G0, P_HQPlus, 5561, check)
    call createCurrent(P_Z, P_GPlus, P_HMinus, P_Z, 9900, check)
    call createCurrent(P_AQ, P_WMinus, P_WPlus, P_AQ, 809, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_GQ0, 5886, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_ghWp, P_HPlus, 9562, check)
    call createCurrent(P_muPlus, P_muMinus, P_Ha, 2506, check)
    call createCurrent(P_HQMinus, P_G0, P_G0, P_HQPlus, 249, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, P_HhQ, 396, check)
    call createCurrent(P_A, P_Z, P_Ha, P_Ha, 10013, check)
    call createCurrent(P_HhQ, P_c, P_cAnti, 2995, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_GPlus, 5169, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_G0, P_HPlus, 10158, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Hl, 2191, check)
    call createCurrent(P_HhQ, P_ghWp, P_GMinus, P_ghAAnti, 5387, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_Z, 6902, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hh, 5956, check)
    call createCurrent(P_HMinus, P_Ha, P_ghZAnti, P_ghWp, 6447, check)
    call createCurrent(P_G0, P_ghWpAnti, P_GPlus, P_ghZ, 2237, check)
    call createCurrent(P_Hh, P_HPlus, P_ghWm, P_ghZAnti, 6111, check)
    call createCurrent(P_HQPlus, P_Hh, P_Hh, P_HQMinus, 2294, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hl, P_GQPlus, 7356, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Ha, 3809, check)
    call createCurrent(P_GPlus, P_Ha, P_ghA, P_ghWpAnti, 10064, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_Ha, 9428, check)
    call createCurrent(P_g, P_Hh, P_Hh, P_g, 10754, check)
    call createCurrent(P_WQPlus, P_HMinus, P_A, P_HlQ, 2892, check)
    call createCurrent(P_HlQ, P_GMinus, P_G0, P_HQPlus, 3455, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, P_Z, 4146, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_Ha, 9401, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_GMinus, 7164, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Hl, 2527, check)
    call createCurrent(P_WPlus, P_A, P_Hl, P_HMinus, 7690, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_Hh, 1828, check)
    call createCurrent(P_GMinus, P_HPlus, P_G0, P_Hh, 6127, check)
    call createCurrent(P_muMinus, P_muPlus, P_HlQ, 6601, check)
    call createCurrent(P_ghWpAnti, P_A, P_A, P_ghWp, 7556, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hl, P_HhQ, 6666, check)
    call createCurrent(P_HlQ, P_HMinus, P_HQPlus, 7691, check)
    call createCurrent(P_WQPlus, P_Ha, P_WMinus, P_HlQ, 3401, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_A, P_WMinus, 1041, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_Ha, 10359, check)
    call createCurrent(P_WMinus, P_WPlus, P_GMinus, P_GPlus, 4352, check)
    call createCurrent(P_Hh, P_GMinus, P_HPlus, 3254, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, 2619, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghZ, P_ghWpAnti, 478, check)
    call createCurrent(P_Hh, P_A, P_G0, 10319, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_GMinus, 871, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_Hh, P_ghWp, 2137, check)
    call createCurrent(P_GPlus, P_Hh, P_Hh, P_HMinus, 3199, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghWp, P_HMinus, 422, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghA, P_WQMinus, 1379, check)
    call createCurrent(P_HPlus, P_ghWp, P_GMinus, P_ghWpAnti, 8876, check)
    call createCurrent(P_G0, P_HMinus, P_Ha, P_GPlus, 6789, check)
    call createCurrent(P_HhQ, P_G0, P_GMinus, P_HQPlus, 3206, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, 7598, check)
    call createCurrent(P_GQPlus, P_HMinus, P_GQ0, 3188, check)
    call createCurrent(P_GQ0, P_GPlus, P_Hl, P_GQMinus, 944, check)
    call createCurrent(P_ghWp, P_GMinus, P_G0, P_ghZAnti, 6017, check)
    call createCurrent(P_Hl, P_HMinus, P_Z, P_WPlus, 131, check)
    call createCurrent(P_GQPlus, P_ghA, P_GMinus, P_ghZAnti, 7276, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_G0, 6330, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, P_Hh, 7868, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hh, P_GQMinus, 244, check)
    call createCurrent(P_WPlus, P_Hh, P_HMinus, P_Z, 2129, check)
    call createCurrent(P_Ha, P_ghWm, P_HPlus, P_ghAAnti, 4430, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_Hl, 8554, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_GPlus, P_ghA, 2289, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghWmAnti, P_ghA, 3745, check)
    call createCurrent(P_Hl, P_Hl, P_ghZAnti, P_ghZ, 3557, check)
    call createCurrent(P_WMinus, P_HPlus, P_WPlus, P_HMinus, 8681, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, P_Ha, 890, check)
    call createCurrent(P_WMinus, P_G0, P_G0, P_WPlus, 198, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_Hl, P_ghZ, 8268, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghZAnti, P_GQPlus, 1095, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_AQ, 5671, check)
    call createCurrent(P_GQMinus, P_A, P_WPlus, P_HhQ, 7719, check)
    call createCurrent(P_GQPlus, P_Z, P_WMinus, P_HlQ, 526, check)
    call createCurrent(P_Z, P_ghAAnti, P_ghWp, P_WMinus, 2798, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_GQ0, 5162, check)
    call createCurrent(P_ZQ, P_WMinus, P_G0, P_GQPlus, 120, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_A, P_WMinus, 5898, check)
    call createCurrent(P_Hl, P_HPlus, P_Ha, P_GMinus, 8777, check)
    call createCurrent(P_WQPlus, P_GMinus, P_A, P_HlQ, 4071, check)
    call createCurrent(P_HPlus, P_ghA, P_ghAAnti, P_GMinus, 10399, check)
    call createCurrent(P_GMinus, P_Hh, P_Hl, P_HPlus, 4375, check)
    call createCurrent(P_WMinus, P_A, P_WPlus, P_Z, 101, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hl, 1356, check)
    call createCurrent(P_A, P_Ha, P_WPlus, P_HMinus, 3551, check)
    call createCurrent(P_ghZ, P_WPlus, P_WMinus, P_ghZAnti, 17, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghWpAnti, P_ghZ, 6856, check)
    call createCurrent(P_GQ0, P_HPlus, P_HMinus, P_HaQ, 2864, check)
    call createCurrent(P_Ha, P_Hl, P_Hh, P_G0, 7280, check)
    call createCurrent(P_GMinus, P_GMinus, P_HPlus, P_HPlus, 3914, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Hh, 6751, check)
    call createCurrent(P_HMinus, P_A, P_A, P_GPlus, 9475, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Ha, P_GMinus, 9973, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Hh, 4654, check)
    call createCurrent(P_ghA, P_WPlus, P_ghAAnti, P_WMinus, 7497, check)
    call createCurrent(P_WPlus, P_A, P_ghZAnti, P_ghWm, 1893, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GPlus, 8018, check)
    call createCurrent(P_ZQ, P_WMinus, P_ghWp, P_ghZAnti, 7040, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_HhQ, 4932, check)
    call createCurrent(P_eMinus, P_ePlus, P_HlQ, 3392, check)
    call createCurrent(P_WMinus, P_G0, P_Ha, P_WPlus, 10191, check)
    call createCurrent(P_HPlus, P_A, P_A, P_GMinus, 9801, check)
    call createCurrent(P_muPlus, P_muMinus, P_Hh, 5340, check)
    call createCurrent(P_ghZAnti, P_Z, P_ghWp, P_WMinus, 3659, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghZAnti, P_ghZ, 4501, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghZ, P_Hl, 5588, check)
    call createCurrent(P_HPlus, P_GMinus, P_Z, P_A, 9643, check)
    call createCurrent(P_g, P_g, P_Ha, P_G0, 10697, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_G0, P_GQPlus, 2375, check)
    call createCurrent(P_HlQ, P_HMinus, P_WPlus, P_ZQ, 7408, check)
    call createCurrent(P_ghA, P_WMinus, P_WPlus, P_ghAAnti, 1002, check)
    call createCurrent(P_HlQ, P_HMinus, P_GPlus, P_HlQ, 1161, check)
    call createCurrent(P_ghA, P_G0, P_HMinus, P_ghWmAnti, 9319, check)
    call createCurrent(P_Hl, P_A, P_WPlus, P_HMinus, 6888, check)
    call createCurrent(P_ghWp, P_GMinus, P_Hl, P_ghZAnti, 5781, check)
    call createCurrent(P_ghWp, P_G0, P_ghZAnti, P_GMinus, 4907, check)
    call createCurrent(P_GPlus, P_ghA, P_ghZAnti, P_HMinus, 9520, check)
    call createCurrent(P_GPlus, P_Z, P_Hh, P_WMinus, 255, check)
    call createCurrent(P_ghZAnti, P_G0, P_Ha, P_ghZ, 10092, check)
    call createCurrent(P_HaQ, P_HPlus, P_Ha, P_HQMinus, 6368, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, P_A, 3989, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HPlus, P_HMinus, 8582, check)
    call createCurrent(P_HlQ, P_Hh, P_HMinus, P_HQPlus, 659, check)
    call createCurrent(P_Ha, P_HPlus, P_ghWpAnti, P_ghZ, 4021, check)
    call createCurrent(P_G0, P_G0, P_HPlus, P_GMinus, 2243, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_Ha, 757, check)
    call createCurrent(P_cAnti, P_Z, P_c, 7800, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_Ha, 9473, check)
    call createCurrent(P_A, P_Ha, P_WMinus, P_HPlus, 1447, check)
    call createCurrent(P_eMinus, P_WPlus, P_nu_eAnti, 4925, check)
    call createCurrent(P_G0, P_Hl, P_Hh, P_Ha, 2124, check)
    call createCurrent(P_A, P_HMinus, P_WPlus, P_Hl, 3502, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_G0, P_ghA, 6246, check)
    call createCurrent(P_HlQ, P_s, P_sAnti, 6668, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_HPlus, P_ghWm, 9124, check)
    call createCurrent(P_ghWm, P_GPlus, P_G0, P_ghAAnti, 2625, check)
    call createCurrent(P_WQPlus, P_WMinus, P_AQ, 4089, check)
    call createCurrent(P_Hh, P_ghWp, P_ghZAnti, P_GMinus, 4964, check)
    call createCurrent(P_HMinus, P_A, P_Ha, P_WPlus, 3025, check)
    call createCurrent(P_HhQ, P_Hl, P_HPlus, P_GQMinus, 8782, check)
    call createCurrent(P_ePlus, P_eMinus, P_ZQ, 5655, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghA, 4374, check)
    call createCurrent(P_Hl, P_Hh, P_A, P_A, 10659, check)
    call createCurrent(P_ghZ, P_WMinus, P_WPlus, P_ghZAnti, 8696, check)
    call createCurrent(P_ghZ, P_HPlus, P_Hl, P_ghWpAnti, 5484, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_Hh, 2120, check)
    call createCurrent(P_Hl, P_Ha, P_GPlus, P_HMinus, 270, check)
    call createCurrent(P_GQ0, P_Hl, P_Hl, P_GQ0, 6927, check)
    call createCurrent(P_GQ0, P_G0, P_GPlus, P_HQMinus, 3988, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_HMinus, 1113, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_Z, 4434, check)
    call createCurrent(P_A, P_Ha, P_HPlus, P_WMinus, 772, check)
    call createCurrent(P_GQ0, P_ghZAnti, P_GMinus, P_ghWp, 7689, check)
    call createCurrent(P_ZQ, P_A, P_GMinus, P_GQPlus, 1043, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_HlQ, 7495, check)
    call createCurrent(P_ghWp, P_A, P_WMinus, P_ghZAnti, 8421, check)
    call createCurrent(P_A, P_muPlus, P_muMinus, 5574, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_G0, 9928, check)
    call createCurrent(P_HhQ, P_GPlus, P_GMinus, P_HlQ, 8522, check)
    call createCurrent(P_WQMinus, P_Hh, P_HPlus, P_ZQ, 440, check)
    call createCurrent(P_Hh, P_HMinus, P_ghZAnti, P_ghWp, 1214, check)
    call createCurrent(P_ZQ, P_Ha, P_HlQ, 4857, check)
    call createCurrent(P_Ha, P_Hl, P_HPlus, P_HMinus, 9713, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, P_A, 5646, check)
    call createCurrent(P_HlQ, P_Hh, P_HhQ, 4238, check)
    call createCurrent(P_Z, P_WPlus, P_ghWpAnti, P_ghZ, 5105, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, 5277, check)
    call createCurrent(P_ghWm, P_G0, P_ghAAnti, P_HPlus, 10344, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_ghWm, 5100, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_G0, 1079, check)
    call createCurrent(P_GPlus, P_Hh, P_A, P_WMinus, 1183, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghZ, P_HQPlus, 6486, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, 10098, check)
    call createCurrent(P_Hh, P_Hl, P_Hl, 2886, check)
    call createCurrent(P_HlQ, P_Hl, P_Hh, P_HlQ, 7659, check)
    call createCurrent(P_WMinus, P_g, P_WPlus, P_g, 10720, check)
    call createCurrent(P_ghZAnti, P_Hh, P_Hl, P_ghZ, 9794, check)
    call createCurrent(P_Hl, P_G0, P_Z, 3804, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Hh, 1955, check)
    call createCurrent(P_WQMinus, P_G0, P_GQPlus, 7407, check)
    call createCurrent(P_G0, P_G0, P_ghWm, P_ghWmAnti, 2446, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WPlus, 2767, check)
    call createCurrent(P_GQPlus, P_Hl, P_HMinus, P_GQ0, 5263, check)
    call createCurrent(P_Hl, P_HMinus, P_ghWmAnti, P_ghZ, 1729, check)
    call createCurrent(P_WMinus, P_A, P_Ha, P_GPlus, 9828, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_G0, 4494, check)
    call createCurrent(P_GQ0, P_Ha, P_Hh, P_HhQ, 7359, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_HQPlus, 2448, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Ha, 2210, check)
    call createCurrent(P_WQPlus, P_Ha, P_WMinus, P_HaQ, 917, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghWm, P_HaQ, 2830, check)
    call createCurrent(P_AQ, P_Hl, P_HMinus, P_WQPlus, 2023, check)
    call createCurrent(P_Z, P_WMinus, P_G0, P_GPlus, 3223, check)
    call createCurrent(P_AQ, P_Hl, P_WPlus, P_HQMinus, 3850, check)
    call createCurrent(P_AQ, P_WMinus, P_GQPlus, 8794, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghA, P_HPlus, 9954, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hh, P_HMinus, 3091, check)
    call createCurrent(P_HhQ, P_Ha, P_WPlus, P_WQMinus, 6229, check)
    call createCurrent(P_Hl, P_GMinus, P_ghWmAnti, P_ghA, 7788, check)
    call createCurrent(P_G0, P_A, P_Ha, P_Z, 10578, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, 208, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_Ha, 4264, check)
    call createCurrent(P_WQPlus, P_WMinus, P_GQ0, 7237, check)
    call createCurrent(P_Hl, P_A, P_WPlus, P_GMinus, 4281, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, 4833, check)
    call createCurrent(P_Hh, P_Hl, P_GPlus, P_GMinus, 7393, check)
    call createCurrent(P_HQMinus, P_nu_mu, P_muPlus, 5698, check)
    call createCurrent(P_Z, P_HMinus, P_HPlus, P_A, 7575, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghWpAnti, P_HaQ, 7460, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghWpAnti, P_ghWp, 10004, check)
    call createCurrent(P_AQ, P_ghAAnti, P_WMinus, P_ghWp, 1632, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghWpAnti, P_Ha, 2728, check)
    call createCurrent(P_c, P_cAnti, P_A, 4219, check)
    call createCurrent(P_ZQ, P_G0, P_G0, P_ZQ, 6737, check)
    call createCurrent(P_HaQ, P_WPlus, P_Z, P_HQMinus, 6615, check)
    call createCurrent(P_Hh, P_A, P_HMinus, P_WPlus, 1443, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_Hl, 4058, check)
    call createCurrent(P_Ha, P_sAnti, P_s, 4177, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HMinus, P_GPlus, 10414, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_Z, 8176, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_HhQ, 780, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_HMinus, 3731, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_HPlus, 8947, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghWp, P_GMinus, 5465, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hl, 2934, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_Ha, 504, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, 7816, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_Ha, 9912, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_HPlus, 3284, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghWm, P_HPlus, 9114, check)
    call createCurrent(P_GQPlus, P_HMinus, P_HlQ, 2132, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Ha, P_HaQ, 220, check)
    call createCurrent(P_ghZ, P_GPlus, P_Hl, P_ghWpAnti, 6272, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hl, P_ghAAnti, 4243, check)
    call createCurrent(P_Ha, P_WMinus, P_Ha, P_WPlus, 3724, check)
    call createCurrent(P_Hl, P_Hl, 10479, check)
    call createCurrent(P_GPlus, P_HMinus, P_G0, 3856, check)
    call createCurrent(P_GPlus, P_tauMinus, P_nu_tauAnti, 3003, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_Ha, 9894, check)
    call createCurrent(P_GQMinus, P_Ha, P_GPlus, P_GQ0, 2196, check)
    call createCurrent(P_G0, P_Hl, P_Hl, P_Hl, 10601, check)
    call createCurrent(P_HlQ, P_Hl, P_GPlus, P_HQMinus, 2301, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, 6606, check)
    call createCurrent(P_nu_mu, P_muPlus, P_HQMinus, 3829, check)
    call createCurrent(P_ZQ, P_muPlus, P_muMinus, 7390, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Ha, P_ghZ, 6152, check)
    call createCurrent(P_WQMinus, P_A, P_GPlus, P_HhQ, 4727, check)
    call createCurrent(P_ePlus, P_eMinus, P_Ha, 6688, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hl, P_HaQ, 4615, check)
    call createCurrent(P_Hh, P_Hh, P_GMinus, P_HPlus, 518, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Ha, 9963, check)
    call createCurrent(P_Z, P_Hh, P_A, P_Hl, 10725, check)
    call createCurrent(P_HaQ, P_dAnti, P_d, 653, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, 2486, check)
    call createCurrent(P_A, P_Hl, P_Z, P_Hl, 10228, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_HMinus, P_ghWp, 4235, check)
    call createCurrent(P_Ha, P_Ha, P_G0, P_Ha, 515, check)
    call createCurrent(P_Ha, P_G0, P_WPlus, P_WMinus, 9182, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hl, P_GPlus, 2265, check)
    call createCurrent(P_HMinus, P_WPlus, P_GPlus, P_WMinus, 9259, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Ha, P_ghA, 9339, check)
    call createCurrent(P_GMinus, P_Hh, P_ghAAnti, P_ghWp, 6292, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Ha, 9139, check)
    call createCurrent(P_A, P_nu_muAnti, P_nu_mu, 9585, check)
    call createCurrent(P_HQPlus, P_WMinus, P_HhQ, 4390, check)
    call createCurrent(P_Z, P_WPlus, P_ghZAnti, P_ghWm, 1730, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, P_A, 4766, check)
    call createCurrent(P_Hl, P_G0, P_HPlus, P_HMinus, 10150, check)
    call createCurrent(P_HMinus, P_GPlus, P_HPlus, P_HMinus, 5720, check)
    call createCurrent(P_G0, P_GPlus, P_HMinus, P_Hh, 5056, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghZ, P_GPlus, 4040, check)
    call createCurrent(P_GPlus, P_ghA, P_HMinus, P_ghZAnti, 9389, check)
    call createCurrent(P_ghA, P_GMinus, P_Ha, P_ghWmAnti, 8919, check)
    call createCurrent(P_WQMinus, P_Z, P_Hl, P_GQPlus, 708, check)
    call createCurrent(P_WQPlus, P_Z, P_HMinus, P_HaQ, 7311, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghWpAnti, P_HPlus, 4877, check)
    call createCurrent(P_G0, P_G0, P_HMinus, P_GPlus, 6053, check)
    call createCurrent(P_GPlus, P_Ha, P_Hh, P_GMinus, 9835, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, 3537, check)
    call createCurrent(P_ghWm, P_GMinus, P_HPlus, P_ghWmAnti, 10154, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, P_Ha, 6954, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GMinus, P_HPlus, 9739, check)
    call createCurrent(P_GPlus, P_HMinus, P_GPlus, P_HMinus, 2999, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Hh, 5267, check)
    call createCurrent(P_ghA, P_A, P_WPlus, P_ghWpAnti, 8800, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_Hl, 10026, check)
    call createCurrent(P_ghWm, P_GPlus, P_GMinus, P_ghWmAnti, 6746, check)
    call createCurrent(P_WQMinus, P_Hl, P_GQPlus, 1573, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_AQ, 2826, check)
    call createCurrent(P_ghWm, P_GPlus, P_G0, P_ghZAnti, 3104, check)
    call createCurrent(P_ghWp, P_Ha, P_ghAAnti, P_GMinus, 9994, check)
    call createCurrent(P_ZQ, P_WPlus, P_GMinus, P_HlQ, 3690, check)
    call createCurrent(P_ZQ, P_Hl, P_HaQ, 105, check)
    call createCurrent(P_HQPlus, P_Hl, P_Ha, P_GQMinus, 5079, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, P_A, 4429, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hh, P_GQ0, 8092, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, P_Ha, 5968, check)
    call createCurrent(P_ghA, P_HPlus, P_ghZAnti, P_HQMinus, 415, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghAAnti, P_WMinus, 7344, check)
    call createCurrent(P_ghWm, P_G0, P_HPlus, P_ghAAnti, 10455, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HPlus, P_HQMinus, 347, check)
    call createCurrent(P_HPlus, P_G0, P_Hh, P_GMinus, 5492, check)
    call createCurrent(P_HQMinus, P_ghZ, P_Ha, P_ghWmAnti, 8593, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, P_Hh, 479, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWm, P_HPlus, 1122, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Hh, 8147, check)
    call createCurrent(P_HhQ, P_Z, P_WPlus, P_GQMinus, 8638, check)
    call createCurrent(P_HaQ, P_Ha, P_GMinus, P_HQPlus, 3565, check)
    call createCurrent(P_Hh, P_HMinus, P_ghZ, P_ghWmAnti, 7268, check)
    call createCurrent(P_Ha, P_Hl, P_Hl, P_Ha, 873, check)
    call createCurrent(P_d, P_uAnti, P_HPlus, 7493, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_Hl, 2336, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hh, P_HPlus, 5359, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_ZQ, 5262, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hh, P_AQ, 5732, check)
    call createCurrent(P_A, P_Z, P_ghWm, P_ghWmAnti, 6306, check)
    call createCurrent(P_GPlus, P_HMinus, P_GMinus, P_HPlus, 8448, check)
    call createCurrent(P_HlQ, P_Hl, P_HMinus, P_HQPlus, 8110, check)
    call createCurrent(P_HlQ, P_ghWp, P_Hl, P_ghWpAnti, 4901, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_GPlus, P_ghA, 4251, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, 4355, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_GPlus, 4149, check)
    call createCurrent(P_ZQ, P_WMinus, P_ghWp, P_ghAAnti, 7372, check)
    call createCurrent(P_HlQ, P_G0, P_GQ0, 939, check)
    call createCurrent(P_Hl, P_ghWm, P_ghWmAnti, P_Hh, 9363, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_Z, P_ghZ, 2477, check)
    call createCurrent(P_Ha, P_GMinus, P_ghWp, P_ghZAnti, 10469, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghWm, P_WPlus, 2399, check)
    call createCurrent(P_G0, P_Ha, P_Hl, P_Hh, 6837, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GQMinus, 8470, check)
    call createCurrent(P_GPlus, P_Hh, P_HMinus, P_Hh, 6062, check)
    call createCurrent(P_ePlus, P_eMinus, P_Hh, 1596, check)
    call createCurrent(P_WQMinus, P_GPlus, P_G0, P_AQ, 3609, check)
    call createCurrent(P_ghWp, P_Ha, P_ghWpAnti, P_HaQ, 8246, check)
    call createCurrent(P_WQPlus, P_GMinus, P_G0, P_AQ, 68, check)
    call createCurrent(P_Hl, P_ghWp, P_ghAAnti, P_HMinus, 8370, check)
    call createCurrent(P_WMinus, P_HMinus, P_HPlus, P_WPlus, 2412, check)
    call createCurrent(P_A, P_WMinus, P_Hl, P_GPlus, 3678, check)
    call createCurrent(P_Ha, P_HMinus, P_ghWp, P_ghZAnti, 3153, check)
    call createCurrent(P_ghWm, P_Z, P_ghZAnti, P_WPlus, 5608, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, P_HlQ, 4291, check)
    call createCurrent(P_uAnti, P_Z, P_u, 5585, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GMinus, P_GQPlus, 5742, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghZAnti, P_ghA, 544, check)
    call createCurrent(P_ghWp, P_HPlus, P_GMinus, P_ghWpAnti, 9152, check)
    call createCurrent(P_ghZ, P_G0, P_GMinus, P_ghWmAnti, 2314, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_A, P_WMinus, 4353, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_GPlus, P_GMinus, 5693, check)
    call createCurrent(P_G0, P_Ha, P_ghWmAnti, P_ghWm, 10050, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_A, 6795, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_Ha, P_ghWm, 8081, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, 3945, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_GPlus, P_ghZ, 3926, check)
    call createCurrent(P_WPlus, P_Hh, P_HMinus, P_A, 1711, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_GQ0, 6555, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Hh, P_AQ, 5967, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, P_G0, 7053, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_HMinus, P_ghWp, 7203, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hl, 537, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghWm, P_A, 2024, check)
    call createCurrent(P_ghZ, P_GPlus, P_Ha, P_ghWpAnti, 9558, check)
    call createCurrent(P_HPlus, P_ghZ, P_G0, P_ghWpAnti, 10454, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghWm, P_Ha, 1150, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_Hl, 1500, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HMinus, P_HPlus, 2809, check)
    call createCurrent(P_GQ0, P_Ha, P_Ha, P_HaQ, 7776, check)
    call createCurrent(P_GQPlus, P_G0, P_Ha, P_HQMinus, 1156, check)
    call createCurrent(P_Ha, P_HMinus, P_Hh, P_HPlus, 9997, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Hl, 3352, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GPlus, P_HQMinus, 3827, check)
    call createCurrent(P_HMinus, P_Hh, P_Hh, P_GPlus, 1144, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, P_Hh, 6800, check)
    call createCurrent(P_GQPlus, P_WMinus, P_A, P_GQ0, 7130, check)
    call createCurrent(P_HPlus, P_ghWm, P_Hl, P_ghAAnti, 7805, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_Hl, 2307, check)
    call createCurrent(P_G0, P_HPlus, P_Z, P_WMinus, 10474, check)
    call createCurrent(P_GQ0, P_GPlus, P_HMinus, P_HaQ, 4087, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_GMinus, P_ghA, 3781, check)
    call createCurrent(P_G0, P_Ha, P_GPlus, P_HMinus, 7721, check)
    call createCurrent(P_HlQ, P_Ha, P_GPlus, P_GQMinus, 1390, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hh, P_GQPlus, 533, check)
    call createCurrent(P_G0, P_ghZ, P_ghWmAnti, P_HMinus, 9851, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, 4503, check)
    call createCurrent(P_Hh, P_Hh, P_G0, P_G0, 683, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_HQMinus, 5323, check)
    call createCurrent(P_HlQ, P_G0, P_GPlus, P_GQMinus, 8402, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_GMinus, 4631, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghWp, P_Hh, 9904, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_GQ0, 7879, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_Hh, 3869, check)
    call createCurrent(P_AQ, P_Z, P_GMinus, P_GQPlus, 1663, check)
    call createCurrent(P_HPlus, P_G0, P_Hl, P_GMinus, 1930, check)
    call createCurrent(P_g, P_G0, P_g, P_Ha, 10518, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_WPlus, P_ghZ, 8511, check)
    call createCurrent(P_GMinus, P_ghA, P_HPlus, P_ghAAnti, 9942, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Ha, 5927, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_Ha, P_ghWp, 9282, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_Hh, 8755, check)
    call createCurrent(P_HlQ, P_GMinus, P_ghWp, P_ghZAnti, 5235, check)
    call createCurrent(P_HlQ, P_ghWm, P_HPlus, P_ghZAnti, 2328, check)
    call createCurrent(P_GQMinus, P_Hh, P_HQPlus, 6450, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_GPlus, 7675, check)
    call createCurrent(P_GQMinus, P_Hh, P_ghWmAnti, P_ghZ, 5922, check)
    call createCurrent(P_nu_tauAnti, P_A, P_nu_tau, 9789, check)
    call createCurrent(P_eMinus, P_Hl, P_ePlus, 4564, check)
    call createCurrent(P_Z, P_nu_tauAnti, P_nu_tau, 3767, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_GMinus, P_ghWp, 1972, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghZ, P_GMinus, 6545, check)
    call createCurrent(P_G0, P_HPlus, P_ghZAnti, P_ghWm, 8954, check)
    call createCurrent(P_ZQ, P_Z, P_HhQ, 923, check)
    call createCurrent(P_HhQ, P_Hh, P_Hl, P_HlQ, 4010, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_HhQ, 618, check)
    call createCurrent(P_HaQ, P_WPlus, P_HQMinus, 1389, check)
    call createCurrent(P_Ha, P_G0, P_ghWmAnti, P_ghWm, 8852, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_HPlus, 10012, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hl, P_GQ0, 1612, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hh, P_GQ0, 7496, check)
    call createCurrent(P_eMinus, P_GPlus, P_nu_eAnti, 7135, check)
    call createCurrent(P_GQPlus, P_d, P_uAnti, 879, check)
    call createCurrent(P_HQMinus, P_Z, P_WPlus, P_HlQ, 1721, check)
    call createCurrent(P_HaQ, P_Hl, P_HPlus, P_HQMinus, 6020, check)
    call createCurrent(P_GMinus, P_Ha, P_ghWmAnti, P_ghA, 9732, check)
    call createCurrent(P_HhQ, P_G0, P_ZQ, 4270, check)
    call createCurrent(P_GQ0, P_GPlus, P_WQMinus, 640, check)
    call createCurrent(P_GMinus, P_ghA, P_GPlus, P_ghZAnti, 4937, check)
    call createCurrent(P_HPlus, P_ghZ, P_Hl, P_ghWpAnti, 3131, check)
    call createCurrent(P_tAnti, P_b, P_GQPlus, 7065, check)
    call createCurrent(P_uAnti, P_d, P_HPlus, 3371, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_HPlus, P_ghZ, 2365, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghA, P_ghAAnti, 2516, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_Hl, 7619, check)
    call createCurrent(P_HMinus, P_GMinus, P_HPlus, P_GPlus, 3370, check)
    call createCurrent(P_HlQ, P_G0, P_GMinus, P_GQPlus, 4590, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, P_HlQ, 5935, check)
    call createCurrent(P_HhQ, P_GMinus, P_GPlus, P_HhQ, 988, check)
    call createCurrent(P_dAnti, P_d, P_Hh, 3231, check)
    call createCurrent(P_Z, P_HPlus, P_Z, P_GMinus, 9505, check)
    call createCurrent(P_WQMinus, P_Hl, P_GPlus, P_AQ, 1425, check)
    call createCurrent(P_GQMinus, P_ghA, P_ghWmAnti, 3561, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_G0, 2674, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, P_Z, 473, check)
    call createCurrent(P_AQ, P_Z, P_GPlus, P_GQMinus, 7161, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, 5431, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, 1438, check)
    call createCurrent(P_G0, P_GMinus, P_Z, P_WPlus, 1434, check)
    call createCurrent(P_uAnti, P_u, P_Hh, 2033, check)
    call createCurrent(P_HQMinus, P_WPlus, P_HlQ, 1396, check)
    call createCurrent(P_HPlus, P_HPlus, P_GMinus, P_GMinus, 1399, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, P_A, 5617, check)
    call createCurrent(P_GQMinus, P_G0, P_ghWp, P_ghZAnti, 7435, check)
    call createCurrent(P_G0, P_GMinus, P_Ha, P_GPlus, 8005, check)
    call createCurrent(P_WQPlus, P_b, P_tAnti, 6072, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_HhQ, 4576, check)
    call createCurrent(P_Hh, P_G0, P_Hh, P_G0, 3317, check)
    call createCurrent(P_G0, P_ghZAnti, P_HPlus, P_ghWm, 9173, check)
    call createCurrent(P_ZQ, P_Z, P_ghWm, P_ghWmAnti, 4601, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghA, P_ghZAnti, 8833, check)
    call createCurrent(P_HQPlus, P_ghAAnti, P_HMinus, P_ghZ, 2206, check)
    call createCurrent(P_dAnti, P_d, P_HaQ, 3428, check)
    call createCurrent(P_HhQ, P_G0, P_HPlus, P_HQMinus, 8061, check)
    call createCurrent(P_HQMinus, P_ghZ, P_ghWmAnti, 1023, check)
    call createCurrent(P_Hl, P_Hh, P_Z, P_Z, 9781, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghA, P_HMinus, 3345, check)
    call createCurrent(P_Ha, P_WPlus, P_GMinus, 9343, check)
    call createCurrent(P_ghWp, P_Ha, P_ghAAnti, P_HMinus, 3913, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_G0, 6455, check)
    call createCurrent(P_ghA, P_WPlus, P_ghAAnti, P_WQMinus, 5258, check)
    call createCurrent(P_GQMinus, P_ghA, P_GPlus, P_ghZAnti, 5659, check)
    call createCurrent(P_HPlus, P_GMinus, P_A, 9710, check)
    call createCurrent(P_AQ, P_c, P_cAnti, 2457, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HhQ, 3115, check)
    call createCurrent(P_tAnti, P_t, P_ZQ, 4893, check)
    call createCurrent(P_HhQ, P_tAnti, P_t, 4118, check)
    call createCurrent(P_AQ, P_Z, P_HMinus, P_HQPlus, 8418, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghAAnti, P_GMinus, 9237, check)
    call createCurrent(P_A, P_GPlus, P_A, P_HMinus, 10459, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_A, P_ghWp, 8778, check)
    call createCurrent(P_t, P_tAnti, P_HlQ, 5717, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghA, P_GPlus, 2040, check)
    call createCurrent(P_muMinus, P_muPlus, P_HaQ, 1533, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_GPlus, 2854, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Z, P_GQ0, 759, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hh, P_Z, 3121, check)
    call createCurrent(P_dAnti, P_d, P_A, 2244, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_HMinus, 9151, check)
    call createCurrent(P_HhQ, P_HMinus, P_G0, P_GQPlus, 8293, check)
    call createCurrent(P_Hl, P_HPlus, P_ghWpAnti, P_ghA, 2848, check)
    call createCurrent(P_HhQ, P_HMinus, P_Hh, P_HQPlus, 2401, check)
    call createCurrent(P_Ha, P_ghZ, P_ghWmAnti, P_GMinus, 9895, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_HQMinus, 3552, check)
    call createCurrent(P_tauMinus, P_tauPlus, 9338, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_G0, P_ghWm, 9723, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_HlQ, 7507, check)
    call createCurrent(P_GQPlus, P_GMinus, P_GQ0, 2962, check)
    call createCurrent(P_GMinus, P_Ha, P_ghA, P_ghWmAnti, 10412, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_HlQ, 3099, check)
    call createCurrent(P_Hh, P_Hl, P_g, P_g, 10666, check)
    call createCurrent(P_ghA, P_WMinus, P_A, P_ghWmAnti, 6213, check)
    call createCurrent(P_G0, P_HPlus, P_Ha, P_HMinus, 2895, check)
    call createCurrent(P_g, P_b, P_bAnti, 1795, check)
    call createCurrent(P_GPlus, P_Hl, P_ghZ, P_ghWpAnti, 2324, check)
    call createCurrent(P_Z, P_Hh, P_Hh, P_A, 9655, check)
    call createCurrent(P_ghZAnti, P_Hh, P_Hh, P_ghZ, 6310, check)
    call createCurrent(P_Hh, P_HPlus, P_G0, P_HMinus, 9838, check)
    call createCurrent(P_GQ0, P_GMinus, P_HPlus, P_GQ0, 5366, check)
    call createCurrent(P_AQ, P_tauPlus, P_tauMinus, 5250, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hl, 6628, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, P_Hl, 1274, check)
    call createCurrent(P_HlQ, P_WMinus, P_Z, P_GQPlus, 2247, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_GQMinus, 1943, check)
    call createCurrent(P_ghA, P_ghAAnti, P_HMinus, P_GPlus, 9337, check)
    call createCurrent(P_HhQ, P_G0, P_ghWp, P_ghWpAnti, 7235, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_G0, 6907, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_Hl, 9143, check)
    call createCurrent(P_HhQ, P_Z, P_HMinus, P_WQPlus, 6896, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghWm, P_ghWmAnti, 9501, check)
    call createCurrent(P_g, P_Hh, P_g, P_Hh, 10635, check)
    call createCurrent(P_ghWp, P_Hh, P_Hl, P_ghWpAnti, 9970, check)
    call createCurrent(P_b, P_HPlus, P_tAnti, 8282, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_G0, 2936, check)
    call createCurrent(P_HPlus, P_GMinus, P_HMinus, P_GPlus, 3275, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_GMinus, P_GPlus, 913, check)
    call createCurrent(P_HlQ, P_Ha, P_Hl, P_HaQ, 8218, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_Z, 7550, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_G0, 1555, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_WPlus, 6299, check)
    call createCurrent(P_GQPlus, P_GMinus, P_WPlus, P_WQMinus, 1290, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HPlus, P_GMinus, 10018, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghWp, P_GMinus, 8154, check)
    call createCurrent(P_Ha, P_ghZ, P_GPlus, P_ghWpAnti, 9107, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Hl, 9010, check)
    call createCurrent(P_HaQ, P_Ha, P_HMinus, P_HQPlus, 1552, check)
    call createCurrent(P_HPlus, P_ghA, P_Ha, P_ghWpAnti, 8430, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HPlus, P_G0, 9946, check)
    call createCurrent(P_ghZ, P_Hh, P_Hl, P_ghZAnti, 9526, check)
    call createCurrent(P_ghA, P_ghAAnti, P_WMinus, P_WPlus, 912, check)
    call createCurrent(P_HQPlus, P_Hl, P_HMinus, P_GQ0, 6614, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_HhQ, 6968, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, P_Z, 7701, check)
    call createCurrent(P_ghWm, P_A, P_ghZAnti, P_WPlus, 2462, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_HPlus, 642, check)
    call createCurrent(P_Ha, P_WMinus, P_GPlus, 9051, check)
    call createCurrent(P_WQMinus, P_WMinus, P_ghWp, P_ghWmAnti, 2460, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, 2293, check)
    call createCurrent(P_Hh, P_GPlus, P_ghZAnti, P_ghWm, 5931, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghAAnti, 7677, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghWm, P_ghZAnti, 355, check)
    call createCurrent(P_A, P_Hl, P_A, P_Hh, 10747, check)
    call createCurrent(P_u, P_G0, P_uAnti, 4586, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hh, P_HQMinus, 8140, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_GPlus, P_ghZ, 9745, check)
    call createCurrent(P_HhQ, P_WMinus, P_HQPlus, 682, check)
    call createCurrent(P_GQ0, P_GPlus, P_Hl, P_HQMinus, 558, check)
    call createCurrent(P_AQ, P_u, P_uAnti, 2424, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_Hl, 3477, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hl, P_Hh, 8040, check)
    call createCurrent(P_Hh, P_WMinus, P_HPlus, P_A, 6794, check)
    call createCurrent(P_G0, P_sAnti, P_s, 859, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_G0, 9885, check)
    call createCurrent(P_Z, P_g, P_g, P_g, 10729, check)
    call createCurrent(P_GPlus, P_Hl, P_G0, P_HMinus, 964, check)
    call createCurrent(P_Hl, P_A, P_HPlus, P_WMinus, 3889, check)
    call createCurrent(P_Z, P_Hl, P_WPlus, P_GMinus, 6103, check)
    call createCurrent(P_HlQ, P_WMinus, P_GQPlus, 4047, check)
    call createCurrent(P_ZQ, P_HMinus, P_A, P_HQPlus, 6067, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, 5081, check)
    call createCurrent(P_uAnti, P_u, P_Ha, 7129, check)
    call createCurrent(P_G0, P_Hl, P_Ha, P_Hl, 6713, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_HMinus, P_ghZ, 6085, check)
    call createCurrent(P_WMinus, P_t, P_bAnti, 6851, check)
    call createCurrent(P_HlQ, P_WMinus, P_A, P_GQPlus, 1720, check)
    call createCurrent(P_Z, P_WPlus, P_ghWm, P_ghZAnti, 7752, check)
    call createCurrent(P_G0, P_WPlus, P_Ha, P_WMinus, 9242, check)
    call createCurrent(P_GPlus, P_GMinus, P_g, P_g, 10502, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, P_Ha, 10138, check)
    call createCurrent(P_GPlus, P_Hl, P_Hl, P_HMinus, 176, check)
    call createCurrent(P_G0, P_GPlus, P_Hl, P_HMinus, 26, check)
    call createCurrent(P_GMinus, P_Ha, P_Ha, P_HPlus, 6893, check)
    call createCurrent(P_A, P_ghWp, P_WMinus, P_ghAAnti, 3073, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, 7243, check)
    call createCurrent(P_HhQ, P_G0, P_HMinus, P_GQPlus, 6576, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_AQ, 7932, check)
    call createCurrent(P_GMinus, P_GPlus, P_Z, 3331, check)
    call createCurrent(P_HlQ, P_GMinus, P_HPlus, P_HlQ, 4490, check)
    call createCurrent(P_ZQ, P_ghWp, P_ghWpAnti, 8486, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Ha, P_AQ, 2665, check)
    call createCurrent(P_ghZAnti, P_Ha, P_HPlus, P_ghWm, 4060, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_Z, 3861, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghZ, P_Hl, 5331, check)
    call createCurrent(P_WPlus, P_WMinus, P_G0, P_G0, 6541, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, 7338, check)
    call createCurrent(P_Ha, P_Hh, P_G0, P_Hh, 3077, check)
    call createCurrent(P_GMinus, P_HPlus, P_WMinus, P_WPlus, 9769, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_Hl, 4697, check)
    call createCurrent(P_ghWm, P_HMinus, P_ghWmAnti, P_HQPlus, 3769, check)
    call createCurrent(P_Ha, P_Hl, P_G0, P_G0, 10693, check)
    call createCurrent(P_Hh, P_Hh, P_A, P_A, 10625, check)
    call createCurrent(P_Hh, P_HPlus, P_HMinus, P_Ha, 9164, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_Hh, 3339, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, P_Hl, 2407, check)
    call createCurrent(P_g, P_g, P_g, P_Z, 10576, check)
    call createCurrent(P_nu_tau, P_A, P_nu_tauAnti, 9537, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hh, 7817, check)
    call createCurrent(P_bAnti, P_WMinus, P_t, 2362, check)
    call createCurrent(P_s, P_sAnti, P_HaQ, 3287, check)
    call createCurrent(P_WQMinus, P_GPlus, P_AQ, 1232, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghZ, P_GPlus, 9200, check)
    call createCurrent(P_muPlus, P_GMinus, P_nu_mu, 3716, check)
    call createCurrent(P_HhQ, P_Ha, P_Hl, P_HaQ, 2363, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_HaQ, 253, check)
    call createCurrent(P_Z, P_A, P_Ha, P_Ha, 10148, check)
    call createCurrent(P_HQMinus, P_Z, P_Z, P_HQPlus, 3725, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, 8680, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_G0, 9217, check)
    call createCurrent(P_A, P_HMinus, P_Hl, P_WPlus, 299, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_A, P_WPlus, 1102, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_Hh, P_ghWm, 9837, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_G0, 1513, check)
    call createCurrent(P_ghA, P_WMinus, P_ghZAnti, P_WQPlus, 5296, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HMinus, P_HPlus, 877, check)
    call createCurrent(P_ghA, P_HPlus, P_ghAAnti, P_GMinus, 8976, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HMinus, P_GQPlus, 7614, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_Ha, P_ghWp, 7367, check)
    call createCurrent(P_HaQ, P_Hh, P_HaQ, 3088, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghA, P_GPlus, 8583, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghWm, P_HPlus, 5308, check)
    call createCurrent(P_c, P_Z, P_cAnti, 1606, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Ha, P_HMinus, 8725, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, 297, check)
    call createCurrent(P_Ha, P_G0, P_Ha, P_Ha, 2062, check)
    call createCurrent(P_HaQ, P_G0, P_Hl, P_HhQ, 5914, check)
    call createCurrent(P_HPlus, P_Hl, P_WMinus, P_A, 1639, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_Z, P_ghWm, 1842, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_GQMinus, 3925, check)
    call createCurrent(P_Ha, P_G0, P_A, P_Z, 10547, check)
    call createCurrent(P_ghAAnti, P_Hh, P_ghWp, P_GMinus, 7576, check)
    call createCurrent(P_G0, P_WPlus, P_HMinus, 9413, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghWp, P_G0, 4108, check)
    call createCurrent(P_Ha, P_GPlus, P_Hl, P_HMinus, 1485, check)
    call createCurrent(P_WPlus, P_A, P_G0, P_GMinus, 7274, check)
    call createCurrent(P_Z, P_Z, 9508, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_Hh, 4438, check)
    call createCurrent(P_HQMinus, P_ghZ, P_Hl, P_ghWmAnti, 7310, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_HPlus, P_ghA, 7220, check)
    call createCurrent(P_HaQ, P_HMinus, P_Ha, P_GQPlus, 4623, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghA, P_ghAAnti, 7425, check)
    call createCurrent(P_Hh, P_Ha, P_HPlus, P_HMinus, 9438, check)
    call createCurrent(P_HPlus, P_HMinus, P_WMinus, P_WPlus, 6921, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_A, 5321, check)
    call createCurrent(P_GMinus, P_Hh, P_G0, P_HPlus, 5854, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Hl, 2465, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_Hl, P_ghWm, 10216, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hl, 5728, check)
    call createCurrent(P_HlQ, P_Ha, P_ghWpAnti, P_ghWp, 4575, check)
    call createCurrent(P_WQMinus, P_GPlus, P_G0, P_ZQ, 4566, check)
    call createCurrent(P_HlQ, P_WPlus, P_Ha, P_WQMinus, 1428, check)
    call createCurrent(P_HhQ, P_GPlus, P_HMinus, P_HaQ, 2002, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_Ha, 6971, check)
    call createCurrent(P_Hl, P_ghA, P_HPlus, P_ghWpAnti, 6404, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_G0, 9120, check)
    call createCurrent(P_Z, P_A, P_Hl, P_Hh, 10732, check)
    call createCurrent(P_HlQ, P_G0, P_ghWm, P_ghWmAnti, 1448, check)
    call createCurrent(P_HMinus, P_Ha, P_ghWp, P_ghZAnti, 4542, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_AQ, 8046, check)
    call createCurrent(P_Hh, P_GMinus, P_HPlus, P_G0, 1537, check)
    call createCurrent(P_Hl, P_ghZAnti, P_GMinus, P_ghWp, 8488, check)
    call createCurrent(P_HQPlus, P_Hl, P_WMinus, P_ZQ, 23, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_HhQ, 6412, check)
    call createCurrent(P_A, P_WMinus, P_Ha, P_GPlus, 10423, check)
    call createCurrent(P_HhQ, P_WMinus, P_Z, P_HQPlus, 706, check)
    call createCurrent(P_GQ0, P_ghWp, P_GMinus, P_ghAAnti, 1847, check)
    call createCurrent(P_G0, P_GPlus, P_Hl, P_GMinus, 9468, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_ghZ, 1202, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghWm, P_GPlus, 9053, check)
    call createCurrent(P_A, P_WPlus, P_Hh, P_GMinus, 6748, check)
    call createCurrent(P_WPlus, P_Z, P_ghZ, P_ghWpAnti, 2306, check)
    call createCurrent(P_Hh, P_Hl, P_ghWmAnti, P_ghWm, 9028, check)
    call createCurrent(P_d, P_GPlus, P_uAnti, 1752, check)
    call createCurrent(P_nu_tauAnti, P_GPlus, P_tauMinus, 4515, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghWpAnti, P_HPlus, 4997, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_HaQ, 3147, check)
    call createCurrent(P_G0, P_HPlus, P_ghA, P_ghWpAnti, 10452, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_HhQ, 260, check)
    call createCurrent(P_WQPlus, P_GMinus, P_GPlus, P_WQMinus, 7340, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_AQ, 5208, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Ha, 5852, check)
    call createCurrent(P_HPlus, P_Hh, P_ghA, P_ghWpAnti, 6635, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_Ha, 9310, check)
    call createCurrent(P_HhQ, P_GPlus, P_GMinus, P_HhQ, 7269, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Hh, P_HPlus, 6743, check)
    call createCurrent(P_HhQ, P_Ha, P_GPlus, P_HQMinus, 8688, check)
    call createCurrent(P_HMinus, P_G0, P_G0, P_GPlus, 4179, check)
    call createCurrent(P_Hh, P_Hh, P_ghWp, P_ghWpAnti, 6183, check)
    call createCurrent(P_HhQ, P_Hl, P_HlQ, 7336, check)
    call createCurrent(P_Ha, P_WMinus, P_WPlus, P_Ha, 2946, check)
    call createCurrent(P_GQMinus, P_G0, P_GPlus, P_HlQ, 4447, check)
    call createCurrent(P_Ha, P_ghAAnti, P_ghWm, P_GPlus, 8940, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_GPlus, 7939, check)
    call createCurrent(P_GQMinus, P_GPlus, P_G0, P_HhQ, 5088, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_WMinus, P_ghZ, 1314, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WMinus, P_WPlus, 6435, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_Hl, 7222, check)
    call createCurrent(P_t, P_tAnti, P_A, 693, check)
    call createCurrent(P_bAnti, P_b, P_HaQ, 4401, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_HhQ, 6356, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghAAnti, P_ghA, 149, check)
    call createCurrent(P_G0, P_G0, P_G0, P_Ha, 4538, check)
    call createCurrent(P_WPlus, P_Hl, P_A, P_HMinus, 4774, check)
    call createCurrent(P_HhQ, P_HPlus, P_ghWpAnti, P_ghZ, 3553, check)
    call createCurrent(P_Ha, P_A, P_G0, P_Z, 10526, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Hl, P_ZQ, 1413, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_G0, 9479, check)
    call createCurrent(P_Z, P_G0, P_G0, P_A, 9453, check)
    call createCurrent(P_HMinus, P_HPlus, P_Ha, P_Hl, 9933, check)
    call createCurrent(P_WQMinus, P_Z, P_Z, P_WQPlus, 468, check)
    call createCurrent(P_A, P_ghWp, P_WMinus, P_ghZAnti, 184, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghZAnti, P_Z, 3611, check)
    call createCurrent(P_HlQ, P_HPlus, P_Hl, P_HQMinus, 1227, check)
    call createCurrent(P_GQ0, P_WPlus, P_GQMinus, 3698, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWp, P_ghZAnti, 4242, check)
    call createCurrent(P_G0, P_ghWm, P_ghZAnti, P_GPlus, 2416, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_HPlus, 9936, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_Z, P_ghZ, 969, check)
    call createCurrent(P_WPlus, P_A, P_A, P_WMinus, 8561, check)
    call createCurrent(P_HQMinus, P_A, P_A, P_HQPlus, 3764, check)
    call createCurrent(P_HlQ, P_WMinus, P_G0, P_WQPlus, 5987, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghZAnti, P_ghA, 8901, check)
    call createCurrent(P_HlQ, P_GPlus, P_ghZAnti, P_ghWm, 5283, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_G0, 5160, check)
    call createCurrent(P_Z, P_Hl, P_WMinus, P_GPlus, 4717, check)
    call createCurrent(P_tauMinus, P_HPlus, P_nu_tauAnti, 8222, check)
    call createCurrent(P_Z, P_HPlus, P_Hl, P_WMinus, 6550, check)
    call createCurrent(P_HQMinus, P_A, P_HPlus, P_AQ, 6591, check)
    call createCurrent(P_GPlus, P_G0, P_A, P_WMinus, 3055, check)
    call createCurrent(P_HlQ, P_G0, P_ghWmAnti, P_ghWm, 995, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_Hh, 7136, check)
    call createCurrent(P_HQMinus, P_G0, P_HPlus, P_HaQ, 1536, check)
    call createCurrent(P_WMinus, P_nu_mu, P_muPlus, 1836, check)
    call createCurrent(P_AQ, P_GMinus, P_Hl, P_WQPlus, 7828, check)
    call createCurrent(P_WMinus, P_Z, P_HPlus, P_Hh, 1137, check)
    call createCurrent(P_AQ, P_WPlus, P_ghZAnti, P_ghWm, 1569, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_GMinus, 2844, check)
    call createCurrent(P_GQPlus, P_A, P_WMinus, P_GQ0, 5708, check)
    call createCurrent(P_G0, P_u, P_uAnti, 1355, check)
    call createCurrent(P_HQMinus, P_HPlus, P_G0, P_HlQ, 2573, check)
    call createCurrent(P_GQ0, P_GMinus, P_Hl, P_HQPlus, 4031, check)
    call createCurrent(P_g, P_g, P_Hh, P_Hl, 10714, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_Z, 4113, check)
    call createCurrent(P_HQPlus, P_A, P_Z, P_HQMinus, 6834, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghWpAnti, P_Hl, 3312, check)
    call createCurrent(P_HPlus, P_muMinus, P_nu_muAnti, 992, check)
    call createCurrent(P_u, P_dAnti, P_WMinus, 8415, check)
    call createCurrent(P_tAnti, P_GPlus, P_b, 2456, check)
    call createCurrent(P_Hl, P_g, P_g, 10652, check)
    call createCurrent(P_HQPlus, P_Ha, P_ghZ, P_ghWpAnti, 4689, check)
    call createCurrent(P_WMinus, P_Z, P_ghZAnti, P_ghWp, 4343, check)
    call createCurrent(P_GPlus, P_ghWmAnti, P_GMinus, P_ghWm, 2018, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Z, P_WPlus, 7170, check)
    call createCurrent(P_HhQ, P_tauPlus, P_tauMinus, 1125, check)
    call createCurrent(P_ghWp, P_ghWmAnti, P_WMinus, P_WQMinus, 8360, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Ha, P_GQ0, 6499, check)
    call createCurrent(P_Hl, P_A, P_A, 10736, check)
    call createCurrent(P_Hh, P_u, P_uAnti, 3037, check)
    call createCurrent(P_Z, P_Z, P_g, P_g, 10567, check)
    call createCurrent(P_WQPlus, P_A, P_ghZ, P_ghWpAnti, 8578, check)
    call createCurrent(P_GPlus, P_Hh, P_ghZAnti, P_ghWm, 3293, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, P_Hl, 5416, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghAAnti, P_ghA, 5370, check)
    call createCurrent(P_HQMinus, P_Ha, P_Z, P_WQPlus, 8555, check)
    call createCurrent(P_G0, P_WMinus, P_Z, P_GPlus, 540, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_GPlus, 5741, check)
    call createCurrent(P_GQMinus, P_Hh, P_Ha, P_HQPlus, 6859, check)
    call createCurrent(P_Hl, P_Hh, P_ghZAnti, P_ghZ, 9192, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Ha, P_HMinus, 6226, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_Hl, P_ghWm, 4324, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_ghWm, P_G0, 9270, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, 5132, check)
    call createCurrent(P_WPlus, P_HMinus, P_WMinus, P_HPlus, 2228, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghZAnti, P_ghWm, 3616, check)
    call createCurrent(P_sAnti, P_c, P_HMinus, 924, check)
    call createCurrent(P_GMinus, P_HPlus, P_g, P_g, 10757, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, P_HlQ, 6414, check)
    call createCurrent(P_HMinus, P_ghZ, P_Hh, P_ghWmAnti, 5800, check)
    call createCurrent(P_GPlus, P_Hh, P_ghA, P_ghWpAnti, 5780, check)
    call createCurrent(P_Z, P_ghA, P_WPlus, P_ghWpAnti, 1152, check)
    call createCurrent(P_GQ0, P_ghAAnti, P_GPlus, P_ghWm, 8766, check)
    call createCurrent(P_tauPlus, P_Hl, P_tauMinus, 6175, check)
    call createCurrent(P_HPlus, P_ghWm, P_G0, P_ghAAnti, 10046, check)
    call createCurrent(P_GQMinus, P_Ha, P_HQPlus, 4814, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghWmAnti, P_WMinus, 6806, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_Z, 8080, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hh, P_A, 800, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_HMinus, 9761, check)
    call createCurrent(P_ghZ, P_Hl, P_Hl, P_ghZAnti, 447, check)
    call createCurrent(P_cAnti, P_A, P_c, 7533, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, P_Z, 1740, check)
    call createCurrent(P_Hl, P_A, P_A, P_Hl, 10585, check)
    call createCurrent(P_AQ, P_ghWp, P_Z, P_ghWpAnti, 1932, check)
    call createCurrent(P_AQ, P_WPlus, P_G0, P_GQMinus, 6128, check)
    call createCurrent(P_GQPlus, P_Hh, P_GMinus, P_GQ0, 2535, check)
    call createCurrent(P_HMinus, P_ghWp, P_G0, P_ghZAnti, 8984, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_HhQ, 8069, check)
    call createCurrent(P_ghA, P_ghZAnti, P_HPlus, P_HMinus, 5703, check)
    call createCurrent(P_A, P_WPlus, P_ghWpAnti, P_ghZ, 1397, check)
    call createCurrent(P_G0, P_ghZ, P_G0, P_ghZAnti, 2820, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_HaQ, 7714, check)
    call createCurrent(P_muMinus, P_muPlus, 9527, check)
    call createCurrent(P_G0, P_Hl, P_GMinus, P_GPlus, 8878, check)
    call createCurrent(P_ghA, P_GMinus, P_G0, P_ghWmAnti, 6012, check)
    call createCurrent(P_HPlus, P_s, P_cAnti, 8288, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_ZQ, 5135, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_WMinus, P_ghWp, 5884, check)
    call createCurrent(P_bAnti, P_b, P_G0, 8732, check)
    call createCurrent(P_A, P_HPlus, P_G0, P_WMinus, 10330, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hh, P_HaQ, 4557, check)
    call createCurrent(P_AQ, P_WMinus, P_WQPlus, 4908, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, P_GQ0, 1411, check)
    call createCurrent(P_GMinus, P_GPlus, P_GMinus, P_HPlus, 4365, check)
    call createCurrent(P_Hl, P_ghWp, P_ghAAnti, P_GMinus, 2149, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Hl, 5128, check)
    call createCurrent(P_WPlus, P_nu_muAnti, P_muMinus, 5606, check)
    call createCurrent(P_ghWm, P_Ha, P_HPlus, P_ghZAnti, 265, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_Z, 4541, check)
    call createCurrent(P_WMinus, P_c, P_sAnti, 4897, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Ha, P_GPlus, 9265, check)
    call createCurrent(P_GMinus, P_Hl, P_A, P_WPlus, 792, check)
    call createCurrent(P_HaQ, P_Hh, P_HMinus, P_GQPlus, 6562, check)
    call createCurrent(P_HaQ, P_HMinus, P_HQPlus, 8057, check)
    call createCurrent(P_GQMinus, P_Hl, P_G0, P_HQPlus, 7623, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_Ha, 3258, check)
    call createCurrent(P_Hh, P_ghZAnti, P_HMinus, P_ghWp, 4318, check)
    call createCurrent(P_Hl, P_ghAAnti, P_HPlus, P_ghWm, 8736, check)
    call createCurrent(P_Hl, P_WPlus, P_Hl, P_WMinus, 5329, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_HPlus, 9779, check)
    call createCurrent(P_s, P_sAnti, P_Hh, 2874, check)
    call createCurrent(P_GMinus, P_Z, P_HPlus, P_Z, 9523, check)
    call createCurrent(P_HPlus, P_Ha, P_Z, P_WMinus, 8656, check)
    call createCurrent(P_HPlus, P_Z, P_Hl, P_WMinus, 1003, check)
    call createCurrent(P_HMinus, P_Hh, P_ghWp, P_ghZAnti, 1187, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghWpAnti, P_ghZ, 5471, check)
    call createCurrent(P_ghWpAnti, P_HMinus, P_GPlus, P_ghWp, 9147, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_A, 7362, check)
    call createCurrent(P_Hl, P_Hh, P_ghWpAnti, P_ghWp, 8922, check)
    call createCurrent(P_GQ0, P_WPlus, P_Hl, P_WQMinus, 1551, check)
    call createCurrent(P_A, P_Hh, P_Hh, P_A, 10557, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_HPlus, 3623, check)
    call createCurrent(P_Hh, P_ghZ, P_ghWmAnti, P_HMinus, 1204, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hh, P_HaQ, 2735, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, 3286, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_HPlus, P_ghA, 8727, check)
    call createCurrent(P_ZQ, P_Hh, P_WPlus, P_HQMinus, 5933, check)
    call createCurrent(P_HMinus, P_GMinus, P_HPlus, P_HPlus, 5827, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Ha, 5028, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, P_Hh, 5769, check)
    call createCurrent(P_WPlus, P_A, P_WMinus, P_A, 1816, check)
    call createCurrent(P_A, P_Z, P_Z, P_Z, 10593, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_Hl, P_ghWm, 2860, check)
    call createCurrent(P_uAnti, P_d, P_GQPlus, 1973, check)
    call createCurrent(P_Z, P_Hl, P_HMinus, P_WPlus, 6850, check)
    call createCurrent(P_A, P_ghZAnti, P_WPlus, P_ghWm, 6291, check)
    call createCurrent(P_HhQ, P_Hh, P_WMinus, P_WQPlus, 7206, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_HaQ, 3986, check)
    call createCurrent(P_Hh, P_HPlus, P_HMinus, P_G0, 10386, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_Hl, 9535, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghA, P_ghAAnti, 9545, check)
    call createCurrent(P_HQPlus, P_Hl, P_Hh, P_GQMinus, 3216, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_HhQ, 5593, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Ha, P_HQPlus, 4369, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hh, P_HhQ, 6186, check)
    call createCurrent(P_G0, P_GMinus, P_Ha, P_HPlus, 7564, check)
    call createCurrent(P_HMinus, P_G0, P_Ha, P_HPlus, 401, check)
    call createCurrent(P_u, P_uAnti, P_AQ, 4679, check)
    call createCurrent(P_Ha, P_ghWm, P_ghZAnti, P_GPlus, 9225, check)
    call createCurrent(P_HMinus, P_Ha, P_G0, P_GPlus, 8095, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_G0, P_GQPlus, 7467, check)
    call createCurrent(P_Z, P_WMinus, P_ghA, P_ghWmAnti, 3067, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghA, P_HMinus, 4797, check)
    call createCurrent(P_Hh, P_G0, P_G0, P_Hl, 2621, check)
    call createCurrent(P_Hl, P_HMinus, P_ghZ, P_ghWmAnti, 7808, check)
    call createCurrent(P_nu_eAnti, P_nu_e, 10193, check)
    call createCurrent(P_GQ0, P_Ha, P_GPlus, P_GQMinus, 2445, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_A, 3473, check)
    call createCurrent(P_ghZ, P_WMinus, P_WPlus, P_ghAAnti, 3084, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_GMinus, P_ghZ, 3670, check)
    call createCurrent(P_Hh, P_G0, P_GPlus, P_HMinus, 5401, check)
    call createCurrent(P_G0, P_ghAAnti, P_HPlus, P_ghWm, 9531, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_GMinus, 10217, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, P_HlQ, 3747, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghAAnti, P_ghWp, 2512, check)
    call createCurrent(P_Ha, P_Z, P_HMinus, P_WPlus, 5982, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, 8444, check)
    call createCurrent(P_ghA, P_Hh, P_ghWmAnti, P_HMinus, 599, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_GPlus, 7083, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, P_A, 9332, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, 10035, check)
    call createCurrent(P_Hh, P_ghZ, P_ghWmAnti, P_GMinus, 710, check)
    call createCurrent(P_HhQ, P_Hl, P_GMinus, P_GQPlus, 4132, check)
    call createCurrent(P_HlQ, P_dAnti, P_d, 8037, check)
    call createCurrent(P_GMinus, P_Z, P_Hl, P_WPlus, 7885, check)
    call createCurrent(P_ZQ, P_Hh, P_HMinus, P_WQPlus, 671, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_Hl, 140, check)
    call createCurrent(P_GQMinus, P_ghZ, P_ghWmAnti, 4449, check)
    call createCurrent(P_HMinus, P_GPlus, P_GPlus, P_GMinus, 1775, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_GMinus, 3594, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GQPlus, 2089, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_HQPlus, 1560, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_HMinus, P_ghA, 5498, check)
    call createCurrent(P_HhQ, P_WMinus, P_GQPlus, 7897, check)
    call createCurrent(P_GQPlus, P_Ha, P_HMinus, P_HlQ, 1024, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_G0, 5040, check)
    call createCurrent(P_GQ0, P_G0, P_HlQ, 3245, check)
    call createCurrent(P_HQPlus, P_Hh, P_HMinus, P_HhQ, 8493, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghA, P_HQMinus, 1978, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hl, P_GQMinus, 2433, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Hl, P_ghA, 4633, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghWpAnti, P_ghWp, 5248, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Z, P_WPlus, 84, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hh, P_HaQ, 5061, check)
    call createCurrent(P_GQ0, P_GPlus, P_HMinus, P_HhQ, 6006, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hh, P_ghAAnti, 6575, check)
    call createCurrent(P_ghWm, P_HMinus, P_HPlus, P_ghWmAnti, 6215, check)
    call createCurrent(P_Ha, P_ghWm, P_ghAAnti, P_GPlus, 9716, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Ha, P_HQPlus, 4739, check)
    call createCurrent(P_G0, P_Ha, P_ghZ, P_ghZAnti, 9082, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hl, P_GQPlus, 1303, check)
    call createCurrent(P_WPlus, P_GMinus, P_HPlus, P_WMinus, 9783, check)
    call createCurrent(P_b, P_tAnti, P_HPlus, 4001, check)
    call createCurrent(P_c, P_sAnti, P_HMinus, 2952, check)
    call createCurrent(P_GQPlus, P_G0, P_WMinus, P_ZQ, 4405, check)
    call createCurrent(P_WMinus, P_A, P_A, P_WPlus, 7249, check)
    call createCurrent(P_G0, P_Hl, P_G0, P_Hh, 6583, check)
    call createCurrent(P_HhQ, P_HPlus, P_A, P_WQMinus, 7228, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghAAnti, P_ghZ, 7283, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_HQPlus, 5683, check)
    call createCurrent(P_HlQ, P_HMinus, P_Z, P_WQPlus, 1965, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_GMinus, 2853, check)
    call createCurrent(P_GQMinus, P_Hh, P_HPlus, P_HlQ, 3112, check)
    call createCurrent(P_A, P_Hl, P_A, 10657, check)
    call createCurrent(P_ghWp, P_Hl, P_Hh, P_ghWpAnti, 10070, check)
    call createCurrent(P_ZQ, P_WPlus, P_HQMinus, 6063, check)
    call createCurrent(P_HhQ, P_GPlus, P_Hl, P_GQMinus, 7765, check)
    call createCurrent(P_Hh, P_Z, P_G0, 3813, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_HlQ, 8028, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, P_Hl, 3043, check)
    call createCurrent(P_tauPlus, P_tauMinus, 9882, check)
    call createCurrent(P_Z, P_ghZ, P_WMinus, P_ghWmAnti, 236, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghWpAnti, P_ghZ, 1859, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_AQ, 2427, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_G0, 563, check)
    call createCurrent(P_HhQ, P_Hh, P_ghWpAnti, P_ghWp, 6862, check)
    call createCurrent(P_Ha, P_ghZAnti, P_Ha, P_ghZ, 5887, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_Hl, 10185, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_HMinus, 10310, check)
    call createCurrent(P_ghWp, P_G0, P_G0, P_ghWpAnti, 3472, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghWm, P_ZQ, 209, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghWpAnti, P_ghZ, 8670, check)
    call createCurrent(P_Ha, P_WPlus, P_G0, P_WMinus, 9314, check)
    call createCurrent(P_ghWm, P_Ha, P_G0, P_ghWmAnti, 10251, check)
    call createCurrent(P_HPlus, P_A, P_Hl, P_WMinus, 8446, check)
    call createCurrent(P_Z, P_HMinus, P_GPlus, P_A, 9983, check)
    call createCurrent(P_GQPlus, P_GPlus, P_HMinus, P_GQMinus, 1491, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghZ, P_ghZAnti, 9621, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, P_Hl, 9977, check)
    call createCurrent(P_dAnti, P_d, P_GQ0, 6474, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hh, P_GQ0, 7517, check)
    call createCurrent(P_t, P_tAnti, P_HaQ, 3811, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, P_Hh, 4700, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, 2862, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WPlus, P_Z, 3891, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HPlus, P_HMinus, 5420, check)
    call createCurrent(P_ghA, P_ghZAnti, P_HMinus, P_HPlus, 2262, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, P_A, 5586, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_HPlus, P_ghZ, 3523, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Z, P_AQ, 1702, check)
    call createCurrent(P_WPlus, P_uAnti, P_d, 1915, check)
    call createCurrent(P_GQMinus, P_HPlus, P_HPlus, P_HQMinus, 5689, check)
    call createCurrent(P_HQPlus, P_Ha, P_HMinus, P_GQ0, 8108, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_HlQ, 1454, check)
    call createCurrent(P_HQMinus, P_Hh, P_Z, P_WQPlus, 77, check)
    call createCurrent(P_G0, P_G0, P_HPlus, P_HMinus, 7054, check)
    call createCurrent(P_WQPlus, P_Hl, P_Z, P_HQMinus, 7528, check)
    call createCurrent(P_GPlus, P_ghZ, P_Ha, P_ghWpAnti, 10121, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_Hh, 1517, check)
    call createCurrent(P_ghWmAnti, P_GPlus, P_ghWm, P_GMinus, 4837, check)
    call createCurrent(P_ghWm, P_Hh, P_ghAAnti, P_HPlus, 182, check)
    call createCurrent(P_WQPlus, P_GMinus, P_Z, P_GQ0, 7899, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, 7432, check)
    call createCurrent(P_G0, P_HMinus, P_A, P_WPlus, 9538, check)
    call createCurrent(P_uAnti, P_A, P_u, 5566, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_HMinus, 6340, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghWm, P_ghAAnti, 2147, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GPlus, P_GMinus, 974, check)
    call createCurrent(P_Ha, P_ghZ, P_ghZAnti, P_Ha, 4461, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, P_A, 1909, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_HQMinus, 4232, check)
    call createCurrent(P_HPlus, P_G0, P_WMinus, 9386, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghWm, P_HQPlus, 7583, check)
    call createCurrent(P_HMinus, P_GPlus, P_g, P_g, 10744, check)
    call createCurrent(P_HMinus, P_A, P_GPlus, P_A, 9440, check)
    call createCurrent(P_WQMinus, P_ghWmAnti, P_ghA, 8710, check)
    call createCurrent(P_Ha, P_GMinus, P_ghWp, P_ghAAnti, 9864, check)
    call createCurrent(P_A, P_nu_eAnti, P_nu_e, 9859, check)
    call createCurrent(P_HQPlus, P_GMinus, P_G0, P_HaQ, 1835, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghWp, P_HMinus, 10328, check)
    call createCurrent(P_GQPlus, P_ghZ, P_GMinus, P_ghAAnti, 3766, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hl, P_GMinus, 3545, check)
    call createCurrent(P_HMinus, P_Z, P_Z, P_HPlus, 7706, check)
    call createCurrent(P_HMinus, P_Hh, P_A, P_WPlus, 2597, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, 416, check)
    call createCurrent(P_nu_eAnti, P_Z, P_nu_e, 7845, check)
    call createCurrent(P_HaQ, P_Ha, P_G0, P_GQ0, 843, check)
    call createCurrent(P_AQ, P_Hl, P_HPlus, P_WQMinus, 8178, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghWmAnti, P_ghWm, 9234, check)
    call createCurrent(P_ghA, P_HMinus, P_Hh, P_ghWmAnti, 6505, check)
    call createCurrent(P_Ha, P_Hl, P_GMinus, P_GPlus, 10364, check)
    call createCurrent(P_HaQ, P_ghWpAnti, P_HPlus, P_ghZ, 1340, check)
    call createCurrent(P_WPlus, P_Ha, P_WMinus, P_Ha, 6733, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, 2413, check)
    call createCurrent(P_GQMinus, P_GPlus, P_HaQ, 6577, check)
    call createCurrent(P_WQPlus, P_A, P_GMinus, P_GQ0, 2536, check)
    call createCurrent(P_Ha, P_c, P_cAnti, 2105, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_Ha, 8860, check)
    call createCurrent(P_Hl, P_Hh, P_GPlus, P_GMinus, 6339, check)
    call createCurrent(P_ZQ, P_HMinus, P_HPlus, P_AQ, 5354, check)
    call createCurrent(P_WQPlus, P_Hh, P_GQMinus, 7700, check)
    call createCurrent(P_HlQ, P_A, P_WPlus, P_GQMinus, 4147, check)
    call createCurrent(P_GQMinus, P_GPlus, P_HPlus, P_HQMinus, 2631, check)
    call createCurrent(P_GQPlus, P_GMinus, P_AQ, 2162, check)
    call createCurrent(P_WQMinus, P_GMinus, P_WPlus, P_GQPlus, 4502, check)
    call createCurrent(P_Hh, P_ghWp, P_Hl, P_ghWpAnti, 9939, check)
    call createCurrent(P_ZQ, P_WMinus, P_WPlus, P_ZQ, 7024, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_HPlus, P_ghA, 8926, check)
    call createCurrent(P_G0, P_b, P_bAnti, 1611, check)
    call createCurrent(P_Hh, P_GPlus, P_Ha, P_GMinus, 9267, check)
    call createCurrent(P_HPlus, P_Ha, P_Hl, P_GMinus, 2887, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_HPlus, 3510, check)
    call createCurrent(P_Z, P_ghWm, P_A, P_ghWmAnti, 6565, check)
    call createCurrent(P_HaQ, P_HMinus, P_Hh, P_GQPlus, 6654, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_GQ0, 5652, check)
    call createCurrent(P_ghA, P_ghAAnti, P_WPlus, P_WMinus, 4054, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghWm, P_Hl, 10162, check)
    call createCurrent(P_AQ, P_GMinus, P_G0, P_WQPlus, 7955, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, P_Z, 1635, check)
    call createCurrent(P_tAnti, P_b, P_HPlus, 8145, check)
    call createCurrent(P_GMinus, P_WPlus, P_Ha, 9230, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghWmAnti, P_HMinus, 10314, check)
    call createCurrent(P_WQPlus, P_HMinus, P_HlQ, 2335, check)
    call createCurrent(P_ghZ, P_Ha, P_ghWpAnti, P_HPlus, 4608, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HMinus, P_HPlus, 7427, check)
    call createCurrent(P_uAnti, P_Ha, P_u, 6791, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, 4756, check)
    call createCurrent(P_WQPlus, P_WMinus, P_WPlus, P_WQMinus, 2377, check)
    call createCurrent(P_ghWm, P_G0, P_Ha, P_ghWmAnti, 9675, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, P_Hl, 8895, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Hl, P_AQ, 5946, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_G0, 7904, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Ha, P_GMinus, 9935, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Ha, P_HPlus, 331, check)
    call createCurrent(P_GQPlus, P_G0, P_ghZ, P_ghWpAnti, 4111, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghZAnti, P_ghA, 10123, check)
    call createCurrent(P_Hh, P_Ha, P_G0, P_Hl, 4895, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghAAnti, P_WQPlus, 7194, check)
    call createCurrent(P_GPlus, P_Ha, P_Ha, P_HMinus, 1986, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_Ha, P_ghWm, 9038, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_ghZ, P_Z, 363, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_Ha, 10300, check)
    call createCurrent(P_ghZ, P_Z, P_ghWmAnti, P_WQMinus, 8265, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_Hl, P_ghWp, 1534, check)
    call createCurrent(P_tAnti, P_WPlus, P_b, 3695, check)
    call createCurrent(P_Ha, P_HPlus, P_ghZAnti, P_ghWm, 4892, check)
    call createCurrent(P_HhQ, P_HPlus, P_Hh, P_GQMinus, 2503, check)
    call createCurrent(P_GQ0, P_Z, P_WMinus, P_GQPlus, 3973, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_G0, 9495, check)
    call createCurrent(P_uAnti, P_WPlus, P_d, 5833, check)
    call createCurrent(P_GMinus, P_Ha, P_WPlus, P_Z, 9989, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HPlus, P_HQMinus, 8765, check)
    call createCurrent(P_muMinus, P_muPlus, P_ZQ, 7998, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_Hh, 7167, check)
    call createCurrent(P_s, P_sAnti, P_gQ, 8650, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghWm, P_Ha, 10434, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hh, 10508, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, 7198, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, P_HlQ, 7629, check)
    call createCurrent(P_ghZ, P_Hl, P_HPlus, P_ghWpAnti, 689, check)
    call createCurrent(P_HhQ, P_G0, P_ghWpAnti, P_ghWp, 1692, check)
    call createCurrent(P_GMinus, P_HPlus, P_Z, P_A, 10172, check)
    call createCurrent(P_GPlus, P_ghA, P_Ha, P_ghWpAnti, 10078, check)
    call createCurrent(P_Ha, P_ePlus, P_eMinus, 5254, check)
    call createCurrent(P_HMinus, P_sAnti, P_c, 281, check)
    call createCurrent(P_GQPlus, P_HMinus, P_G0, P_HaQ, 2493, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWpAnti, P_HPlus, 4271, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, 2998, check)
    call createCurrent(P_WQMinus, P_Z, P_G0, P_GQPlus, 5434, check)
    call createCurrent(P_AQ, P_G0, P_GPlus, P_WQMinus, 164, check)
    call createCurrent(P_ghZ, P_Ha, P_GMinus, P_ghWmAnti, 10404, check)
    call createCurrent(P_GMinus, P_g, P_HPlus, P_g, 10677, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghWpAnti, 3207, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_Ha, 9375, check)
    call createCurrent(P_HaQ, P_HPlus, P_HQMinus, 325, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hh, P_GMinus, 6237, check)
    call createCurrent(P_HMinus, P_Z, P_Hh, P_WPlus, 2475, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_Ha, 5834, check)
    call createCurrent(P_GPlus, P_d, P_uAnti, 3200, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghWp, P_HMinus, 9651, check)
    call createCurrent(P_HaQ, P_GPlus, P_Ha, P_HQMinus, 4690, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghWpAnti, P_ghWp, 1178, check)
    call createCurrent(P_HaQ, P_Hl, P_G0, P_HlQ, 7488, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_ZQ, 4764, check)
    call createCurrent(P_ghZAnti, P_Hh, P_HPlus, P_ghWm, 1405, check)
    call createCurrent(P_Ha, P_A, P_Z, P_Ha, 9142, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_HlQ, 2304, check)
    call createCurrent(P_Ha, P_A, P_G0, P_A, 10527, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Hh, P_AQ, 1416, check)
    call createCurrent(P_AQ, P_GPlus, P_Z, P_GQMinus, 5605, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_GQ0, 4109, check)
    call createCurrent(P_ghWmAnti, P_HPlus, P_HMinus, P_ghWm, 8128, check)
    call createCurrent(P_Hh, P_HPlus, P_A, P_WMinus, 7541, check)
    call createCurrent(P_GQ0, P_muMinus, P_muPlus, 2092, check)
    call createCurrent(P_WMinus, P_ghA, P_ghZAnti, P_WPlus, 8504, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, 4692, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, 5505, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, P_GQ0, 349, check)
    call createCurrent(P_Hl, P_G0, P_GPlus, P_GMinus, 9690, check)
    call createCurrent(P_ghZAnti, P_ghA, P_WPlus, P_WQMinus, 2052, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WMinus, P_WPlus, 1520, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Hh, P_ghA, 5784, check)
    call createCurrent(P_GQ0, P_HMinus, P_GPlus, P_HhQ, 536, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, 4635, check)
    call createCurrent(P_WQPlus, P_Hl, P_Z, P_GQMinus, 3442, check)
    call createCurrent(P_Z, P_d, P_dAnti, 5863, check)
    call createCurrent(P_GMinus, P_Hl, P_ghA, P_ghWmAnti, 7799, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WQMinus, 812, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Hl, 8646, check)
    call createCurrent(P_HPlus, P_d, P_uAnti, 5006, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Hh, 9058, check)
    call createCurrent(P_G0, P_Ha, P_Z, P_Z, 9398, check)
    call createCurrent(P_A, P_WMinus, P_ghZ, P_ghWmAnti, 8420, check)
    call createCurrent(P_AQ, P_ghWpAnti, P_Z, P_ghWp, 6344, check)
    call createCurrent(P_WQPlus, P_WMinus, P_A, P_AQ, 1021, check)
    call createCurrent(P_HaQ, P_GMinus, P_GQPlus, 8542, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_G0, 294, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, P_Z, 3872, check)
    call createCurrent(P_GQ0, P_Hh, P_GPlus, P_HQMinus, 5805, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghA, P_WQPlus, 3596, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghWpAnti, P_WPlus, 1593, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, P_A, 481, check)
    call createCurrent(P_Hh, P_Z, P_A, 9341, check)
    call createCurrent(P_GMinus, P_WPlus, P_Hh, 5809, check)
    call createCurrent(P_HQPlus, P_Ha, P_Hh, P_GQMinus, 8628, check)
    call createCurrent(P_Hl, P_WPlus, P_A, P_GMinus, 8633, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hh, P_G0, 6985, check)
    call createCurrent(P_cAnti, P_s, P_WPlus, 3158, check)
    call createCurrent(P_WQMinus, P_WPlus, P_A, P_ZQ, 509, check)
    call createCurrent(P_GQ0, P_Z, P_Z, P_GQ0, 7391, check)
    call createCurrent(P_ghZAnti, P_G0, P_GMinus, P_ghWp, 6553, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_G0, P_ghA, 8840, check)
    call createCurrent(P_ghWp, P_GPlus, P_ghWpAnti, P_GMinus, 8528, check)
    call createCurrent(P_Hl, P_dAnti, P_d, 7572, check)
    call createCurrent(P_HMinus, P_WMinus, P_WPlus, P_HPlus, 5523, check)
    call createCurrent(P_ghWmAnti, P_G0, P_G0, P_ghWm, 367, check)
    call createCurrent(P_GQPlus, P_Ha, P_GMinus, P_HhQ, 2657, check)
    call createCurrent(P_AQ, P_WMinus, P_ghWp, P_ghZAnti, 6653, check)
    call createCurrent(P_WQPlus, P_Z, P_Hh, P_HQMinus, 5782, check)
    call createCurrent(P_A, P_nu_tau, P_nu_tauAnti, 9554, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_Hh, 6533, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Ha, 9529, check)
    call createCurrent(P_g, P_sAnti, P_s, 8024, check)
    call createCurrent(P_HhQ, P_ghWm, P_ghWmAnti, 1256, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WQPlus, 1695, check)
    call createCurrent(P_ePlus, P_nu_e, P_WMinus, 3459, check)
    call createCurrent(P_GMinus, P_WPlus, 10350, check)
    call createCurrent(P_Ha, P_G0, P_GMinus, P_HPlus, 8531, check)
    call createCurrent(P_GQMinus, P_Hl, P_Hh, P_HQPlus, 8558, check)
    call createCurrent(P_ZQ, P_ghAAnti, P_WPlus, P_ghWm, 3246, check)
    call createCurrent(P_A, P_t, P_tAnti, 7702, check)
    call createCurrent(P_HMinus, P_Ha, P_WPlus, P_Z, 5840, check)
    call createCurrent(P_b, P_G0, P_bAnti, 1052, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_G0, P_ghWm, 1865, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghZ, P_HPlus, 9395, check)
    call createCurrent(P_A, P_HMinus, P_Z, P_GPlus, 8839, check)
    call createCurrent(P_Hh, P_Z, P_GMinus, P_WPlus, 5410, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, 272, check)
    call createCurrent(P_Hl, P_Z, P_A, P_Hh, 10763, check)
    call createCurrent(P_GQMinus, P_Ha, P_GPlus, P_HaQ, 6868, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hl, 8381, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_HPlus, 10157, check)
    call createCurrent(P_G0, P_WPlus, P_HMinus, P_A, 10468, check)
    call createCurrent(P_GMinus, P_ghZ, P_Hl, P_ghWmAnti, 1550, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_HlQ, 1811, check)
    call createCurrent(P_Ha, P_t, P_tAnti, 8250, check)
    call createCurrent(P_AQ, P_ghWm, P_WPlus, P_ghAAnti, 7098, check)
    call createCurrent(P_HMinus, P_ghA, P_G0, P_ghWmAnti, 9108, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, P_Z, 1546, check)
    call createCurrent(P_Hh, P_GPlus, P_ghZ, P_ghWpAnti, 2113, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_Hl, P_ghWp, 2672, check)
    call createCurrent(P_ghA, P_ghAAnti, P_HPlus, P_HMinus, 7674, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_HaQ, 4064, check)
    call createCurrent(P_tAnti, P_t, P_g, 1240, check)
    call createCurrent(P_ghWm, P_Hl, P_HPlus, P_ghAAnti, 4888, check)
    call createCurrent(P_Hh, P_ghZAnti, P_HPlus, P_ghWm, 6679, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hl, 7355, check)
    call createCurrent(P_G0, P_Ha, P_HMinus, P_GPlus, 2592, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, 6637, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, P_G0, 5363, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghAAnti, P_G0, 6682, check)
    call createCurrent(P_HPlus, P_GMinus, P_WPlus, P_WMinus, 9820, check)
    call createCurrent(P_nu_e, P_ePlus, P_WQMinus, 5615, check)
    call createCurrent(P_HPlus, P_ghA, P_GMinus, P_ghAAnti, 9115, check)
    call createCurrent(P_HQMinus, P_WPlus, P_ZQ, 5150, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghA, P_HQMinus, 8165, check)
    call createCurrent(P_AQ, P_HPlus, P_HMinus, P_AQ, 6996, check)
    call createCurrent(P_GMinus, P_WPlus, P_GPlus, P_WMinus, 3019, check)
    call createCurrent(P_eMinus, P_ePlus, P_G0, 7266, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_G0, 7718, check)
    call createCurrent(P_s, P_sAnti, P_HlQ, 5191, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_ghA, 4467, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, 3617, check)
    call createCurrent(P_HQMinus, P_Hh, P_WPlus, P_ZQ, 2216, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghA, P_GPlus, 309, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Ha, P_GPlus, 9734, check)
    call createCurrent(P_Hl, P_HMinus, P_ghWp, P_ghAAnti, 893, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_GPlus, P_HMinus, 10294, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hl, P_GQPlus, 7692, check)
    call createCurrent(P_HaQ, P_Hh, P_Hh, P_HaQ, 4923, check)
    call createCurrent(P_ZQ, P_dAnti, P_d, 2361, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghWp, P_ghWpAnti, 10426, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZ, P_ghAAnti, 797, check)
    call createCurrent(P_Hh, P_GPlus, P_ghAAnti, P_ghWm, 8166, check)
    call createCurrent(P_AQ, P_GPlus, P_GQMinus, 1867, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, P_A, 1761, check)
    call createCurrent(P_Ha, P_Ha, P_GPlus, P_GMinus, 675, check)
    call createCurrent(P_HPlus, P_HPlus, P_HMinus, P_GMinus, 2411, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, 6400, check)
    call createCurrent(P_HhQ, P_bAnti, P_b, 2071, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghWm, P_ghZAnti, 5000, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_G0, P_ghA, 9447, check)
    call createCurrent(P_g, P_Hl, P_Hh, P_g, 10542, check)
    call createCurrent(P_GPlus, P_ghWp, P_GMinus, P_ghWpAnti, 8441, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, P_Hh, 5949, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_G0, 8135, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hl, P_HlQ, 7529, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_WMinus, P_ghA, 5533, check)
    call createCurrent(P_GPlus, P_A, P_Z, P_HMinus, 9772, check)
    call createCurrent(P_GMinus, P_GPlus, P_Ha, 9272, check)
    call createCurrent(P_WPlus, P_ghZ, P_A, P_ghWpAnti, 7299, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, 6923, check)
    call createCurrent(P_HlQ, P_Ha, P_HPlus, P_HQMinus, 7642, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_HQPlus, 3175, check)
    call createCurrent(P_ghWpAnti, P_WMinus, P_ghWp, P_WPlus, 4188, check)
    call createCurrent(P_t, P_tAnti, P_ZQ, 8481, check)
    call createCurrent(P_Z, P_WMinus, P_ghWp, P_ghZAnti, 2419, check)
    call createCurrent(P_HlQ, P_c, P_cAnti, 1600, check)
    call createCurrent(P_tauPlus, P_Hh, P_tauMinus, 8687, check)
    call createCurrent(P_sAnti, P_s, P_HhQ, 3897, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghAAnti, P_ghZ, 4468, check)
    call createCurrent(P_WQMinus, P_c, P_sAnti, 3377, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_GPlus, P_GMinus, 5173, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_GPlus, 4645, check)
    call createCurrent(P_A, P_WPlus, P_Z, P_WMinus, 8651, check)
    call createCurrent(P_G0, P_GMinus, P_Hl, P_HPlus, 6476, check)
    call createCurrent(P_ghGAnti, P_g, P_g, P_ghG, 8465, check)
    call createCurrent(P_G0, P_Hl, P_Ha, P_G0, 10727, check)
    call createCurrent(P_HaQ, P_Hl, P_ghWm, P_ghWmAnti, 979, check)
    call createCurrent(P_A, P_g, P_g, P_Z, 10595, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghA, P_HMinus, 4844, check)
    call createCurrent(P_WPlus, P_GMinus, P_Hl, P_Z, 8221, check)
    call createCurrent(P_Hl, P_G0, P_G0, 4057, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_A, 8637, check)
    call createCurrent(P_Hl, P_tauMinus, P_tauPlus, 1945, check)
    call createCurrent(P_A, P_WMinus, P_ghAAnti, P_ghWp, 4958, check)
    call createCurrent(P_Hh, P_b, P_bAnti, 2759, check)
    call createCurrent(P_G0, P_ghAAnti, P_HMinus, P_ghWp, 9089, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, 8545, check)
    call createCurrent(P_HaQ, P_Ha, P_Ha, P_GQ0, 6289, check)
    call createCurrent(P_HMinus, P_ghWp, P_Hh, P_ghAAnti, 4245, check)
    call createCurrent(P_HMinus, P_ghA, P_Hl, P_ghWmAnti, 8824, check)
    call createCurrent(P_GPlus, P_HPlus, P_HMinus, P_GMinus, 6452, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, 1983, check)
    call createCurrent(P_ZQ, P_Hl, P_ZQ, 2395, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Ha, 9727, check)
    call createCurrent(P_G0, P_ghZ, P_ghWpAnti, P_GPlus, 8273, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hh, 6847, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_G0, P_ghZ, 8104, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_GPlus, P_ghZ, 1083, check)
    call createCurrent(P_GQMinus, P_Hl, P_HPlus, P_HlQ, 7557, check)
    call createCurrent(P_Ha, P_eMinus, P_ePlus, 914, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Hh, P_AQ, 3689, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Hl, 2867, check)
    call createCurrent(P_G0, P_tauMinus, P_tauPlus, 2532, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghWpAnti, P_Hh, 2571, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_HMinus, P_ghA, 110, check)
    call createCurrent(P_HaQ, P_WMinus, P_A, P_HQPlus, 3995, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, P_Ha, 9581, check)
    call createCurrent(P_HhQ, P_GMinus, P_GQPlus, 532, check)
    call createCurrent(P_GPlus, P_Hh, P_ghWpAnti, P_ghZ, 4789, check)
    call createCurrent(P_Hl, P_ghWp, P_HMinus, P_ghAAnti, 2203, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_HaQ, 7610, check)
    call createCurrent(P_muMinus, P_muPlus, P_Hl, 2818, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, 9436, check)
    call createCurrent(P_HlQ, P_G0, P_Ha, P_HlQ, 2357, check)
    call createCurrent(P_WMinus, P_Hl, P_GPlus, 1975, check)
    call createCurrent(P_GQ0, P_G0, P_GMinus, P_GQPlus, 4785, check)
    call createCurrent(P_Z, P_g, P_A, P_g, 10716, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_GMinus, 9742, check)
    call createCurrent(P_HQPlus, P_nu_muAnti, P_muMinus, 2777, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghZ, P_GQPlus, 5155, check)
    call createCurrent(P_ghWm, P_Z, P_Z, P_ghWmAnti, 3214, check)
    call createCurrent(P_A, P_HMinus, P_GPlus, P_Z, 10382, check)
    call createCurrent(P_GQ0, P_GMinus, P_Hh, P_HQPlus, 6231, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Hl, 2409, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Ha, P_GMinus, 8842, check)
    call createCurrent(P_Z, P_A, P_GPlus, P_HMinus, 10077, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_Ha, 4105, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hl, 2172, check)
    call createCurrent(P_HQMinus, P_Hl, P_HPlus, P_HlQ, 7958, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, P_A, 8750, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghWp, P_GMinus, 9544, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HPlus, P_HMinus, 6093, check)
    call createCurrent(P_Hh, P_ghA, P_GPlus, P_ghWpAnti, 8735, check)
    call createCurrent(P_HQPlus, P_ghZ, P_ghWpAnti, 7234, check)
    call createCurrent(P_HhQ, P_GPlus, P_G0, P_HQMinus, 7287, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hl, 9039, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_HMinus, P_ghA, 3691, check)
    call createCurrent(P_Hh, P_WPlus, P_GMinus, P_Z, 385, check)
    call createCurrent(P_HMinus, P_Hh, P_WPlus, P_A, 4424, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_G0, 10472, check)
    call createCurrent(P_HlQ, P_A, P_HPlus, P_WQMinus, 3204, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, 5272, check)
    call createCurrent(P_ghWp, P_Ha, P_G0, P_ghWpAnti, 9934, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghZAnti, P_HQPlus, 7004, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_HPlus, 8576, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_Hl, 4062, check)
    call createCurrent(P_HaQ, P_WMinus, P_HQPlus, 239, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghA, P_WMinus, 4053, check)
    call createCurrent(P_HQPlus, P_G0, P_GMinus, P_HhQ, 3430, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_HhQ, 795, check)
    call createCurrent(P_GQ0, P_HPlus, P_HMinus, P_GQ0, 1582, check)
    call createCurrent(P_A, P_A, P_GMinus, P_HPlus, 10195, check)
    call createCurrent(P_GQ0, P_tauPlus, P_tauMinus, 3054, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, 7123, check)
    call createCurrent(P_HhQ, P_ghZAnti, P_GPlus, P_ghWm, 1610, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_Hl, 4470, check)
    call createCurrent(P_ghWm, P_Hl, P_GPlus, P_ghZAnti, 3435, check)
    call createCurrent(P_GPlus, P_A, P_HMinus, P_A, 8871, check)
    call createCurrent(P_AQ, P_Hh, P_WMinus, P_GQPlus, 7171, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWp, P_HMinus, 3910, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, P_HaQ, 3581, check)
    call createCurrent(P_HPlus, P_Ha, P_Ha, P_GMinus, 2488, check)
    call createCurrent(P_tAnti, P_A, P_t, 4190, check)
    call createCurrent(P_HQMinus, P_Hh, P_WQPlus, 638, check)
    call createCurrent(P_GQPlus, P_Hl, P_Hl, P_GQMinus, 1759, check)
    call createCurrent(P_HlQ, P_ghAAnti, P_HMinus, P_ghWp, 2432, check)
    call createCurrent(P_ZQ, P_tauPlus, P_tauMinus, 2280, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_HhQ, 8194, check)
    call createCurrent(P_u, P_Z, P_uAnti, 1371, check)
    call createCurrent(P_Ha, P_G0, P_ghWpAnti, P_ghWp, 9868, check)
    call createCurrent(P_HQMinus, P_Ha, P_Ha, P_GQPlus, 3265, check)
    call createCurrent(P_WMinus, P_G0, P_HPlus, P_A, 9276, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_A, P_ghA, 4168, check)
    call createCurrent(P_HQPlus, P_G0, P_Hh, P_GQMinus, 762, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_G0, 6374, check)
    call createCurrent(P_ghA, P_HPlus, P_HMinus, P_ghAAnti, 5877, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_GQ0, 1605, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_WMinus, P_ghWm, 5629, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Hl, P_AQ, 288, check)
    call createCurrent(P_ghA, P_GMinus, P_ghZAnti, P_GPlus, 1905, check)
    call createCurrent(P_G0, P_WPlus, P_GMinus, P_A, 3563, check)
    call createCurrent(P_GQPlus, P_A, P_A, P_GQMinus, 4530, check)
    call createCurrent(P_HQPlus, P_GMinus, P_GPlus, P_HQMinus, 2422, check)
    call createCurrent(P_HMinus, P_Hh, P_Ha, P_HPlus, 10422, check)
    call createCurrent(P_g, P_Ha, P_g, P_G0, 10679, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghZ, P_GPlus, 10023, check)
    call createCurrent(P_WPlus, P_Z, P_ghA, P_ghWpAnti, 7476, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_WQPlus, 5320, check)
    call createCurrent(P_Hh, P_ghA, P_ghWpAnti, P_GPlus, 8434, check)
    call createCurrent(P_HPlus, P_Hl, P_G0, P_HMinus, 9722, check)
    call createCurrent(P_G0, P_Hl, P_GMinus, P_HPlus, 6958, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWp, P_ghWpAnti, 6469, check)
    call createCurrent(P_HQMinus, P_Ha, P_WPlus, P_ZQ, 2388, check)
  end subroutine fill_current_2
end module currents_info2
