!******************************************************************************!
!                                                                              !
!    currents_info3.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info3.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info3
  implicit none
  contains
  subroutine fill_current_3(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_HMinus, P_ghWp, P_Ha, P_ghAAnti, 7413, check)
    call createCurrent(P_HQPlus, P_Hh, P_ghZ, P_ghWpAnti, 8575, check)
    call createCurrent(P_GPlus, P_G0, P_HMinus, P_Hh, 178, check)
    call createCurrent(P_HlQ, P_uAnti, P_u, 4668, check)
    call createCurrent(P_ghZ, P_HPlus, P_HMinus, P_ghAAnti, 4544, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, P_A, 4677, check)
    call createCurrent(P_HQMinus, P_GPlus, P_G0, P_HhQ, 8010, check)
    call createCurrent(P_Ha, P_Ha, P_G0, P_G0, 8206, check)
    call createCurrent(P_GQ0, P_t, P_tAnti, 5888, check)
    call createCurrent(P_Z, P_g, P_Z, P_g, 10655, check)
    call createCurrent(P_Ha, P_ghWp, P_ghZAnti, P_HMinus, 1758, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_WPlus, 4821, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WMinus, P_WQPlus, 1213, check)
    call createCurrent(P_nu_tau, P_nu_tauAnti, P_ZQ, 7687, check)
    call createCurrent(P_s, P_g, P_sAnti, 5071, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_Ha, P_ghWm, 2591, check)
    call createCurrent(P_Hh, P_ghWm, P_ghWmAnti, P_Hl, 9045, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hh, P_Ha, 5117, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_ZQ, 144, check)
    call createCurrent(P_A, P_g, P_g, P_g, 10641, check)
    call createCurrent(P_ZQ, P_WMinus, P_Ha, P_HQPlus, 6399, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWpAnti, P_HQPlus, 4929, check)
    call createCurrent(P_s, P_cAnti, P_GQPlus, 6636, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_G0, 9748, check)
    call createCurrent(P_HaQ, P_Hh, P_G0, P_HlQ, 4975, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_G0, 5695, check)
    call createCurrent(P_HQMinus, P_ePlus, P_nu_e, 7758, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_Z, 5721, check)
    call createCurrent(P_Hl, P_G0, P_Ha, P_G0, 10748, check)
    call createCurrent(P_HaQ, P_GMinus, P_Hl, P_HQPlus, 6887, check)
    call createCurrent(P_Hh, P_WPlus, P_WMinus, 4006, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_G0, 6680, check)
    call createCurrent(P_HPlus, P_Hl, P_Z, P_WMinus, 3291, check)
    call createCurrent(P_GQPlus, P_Hh, P_GMinus, P_HlQ, 1097, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Hh, P_ghA, 7531, check)
    call createCurrent(P_A, P_Hl, P_Ha, 9590, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_HaQ, 4778, check)
    call createCurrent(P_GMinus, P_Ha, P_ghAAnti, P_ghWp, 10112, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_Hl, 10645, check)
    call createCurrent(P_Z, P_A, P_ghWpAnti, P_ghWp, 4384, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WMinus, P_Z, 2028, check)
    call createCurrent(P_WMinus, P_Z, P_ghWmAnti, P_ghZ, 1689, check)
    call createCurrent(P_ghA, P_ghZAnti, P_HMinus, P_HQPlus, 6222, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, 5415, check)
    call createCurrent(P_ghA, P_Hh, P_HPlus, P_ghWpAnti, 4533, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hl, P_Ha, 7100, check)
    call createCurrent(P_Z, P_Z, P_G0, P_Ha, 10045, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HMinus, P_HPlus, 3326, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Ha, P_GPlus, 9860, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HlQ, 6081, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghWp, P_GMinus, 8998, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WQPlus, 7829, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghAAnti, P_ghZ, 637, check)
    call createCurrent(P_ghZAnti, P_Hl, P_HMinus, P_ghWp, 2283, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_GQMinus, 3277, check)
    call createCurrent(P_GPlus, P_A, P_GMinus, P_A, 136, check)
    call createCurrent(P_HlQ, P_GMinus, P_GPlus, P_HlQ, 7569, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghWm, P_Hl, 5525, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_GPlus, P_ghA, 10005, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghZ, P_Hh, 9629, check)
    call createCurrent(P_ghWp, P_Z, P_WMinus, P_ghZAnti, 5080, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_HMinus, P_G0, 8983, check)
    call createCurrent(P_GQMinus, P_Hh, P_HPlus, P_HhQ, 1653, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_HhQ, 841, check)
    call createCurrent(P_Z, P_Z, P_Z, P_Z, 10619, check)
    call createCurrent(P_ZQ, P_Hl, P_HPlus, P_WQMinus, 2138, check)
    call createCurrent(P_AQ, P_Z, P_WPlus, P_WQMinus, 4197, check)
    call createCurrent(P_HlQ, P_Ha, P_GQ0, 2929, check)
    call createCurrent(P_GQPlus, P_GPlus, P_HMinus, P_HQMinus, 1107, check)
    call createCurrent(P_ghZ, P_Ha, P_HPlus, P_ghWpAnti, 5872, check)
    call createCurrent(P_t, P_g, P_tAnti, 5500, check)
    call createCurrent(P_AQ, P_WPlus, P_Hl, P_GQMinus, 3976, check)
    call createCurrent(P_Hl, P_Z, P_HMinus, P_WPlus, 1427, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWm, P_HPlus, 5962, check)
    call createCurrent(P_ghG, P_ghGAnti, P_g, 1710, check)
    call createCurrent(P_GMinus, P_G0, P_ghWmAnti, P_ghZ, 990, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, 9239, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Hh, P_ZQ, 7754, check)
    call createCurrent(P_ghA, P_WPlus, P_ghWpAnti, 7034, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghZ, P_HPlus, 9572, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, P_Hl, 963, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_HhQ, 727, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, P_Ha, 2667, check)
    call createCurrent(P_ghWp, P_Ha, P_Ha, P_ghWpAnti, 95, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_Hh, P_ghWm, 5293, check)
    call createCurrent(P_Z, P_nu_muAnti, P_nu_mu, 2083, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_G0, 7073, check)
    call createCurrent(P_HlQ, P_Hh, P_HPlus, P_HQMinus, 5309, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hh, P_GQ0, 2436, check)
    call createCurrent(P_HhQ, P_HMinus, P_Hl, P_HQPlus, 4444, check)
    call createCurrent(P_GQ0, P_GMinus, P_WPlus, P_ZQ, 6642, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Z, P_ZQ, 947, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_GPlus, 3161, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_Ha, 2970, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_HMinus, 9069, check)
    call createCurrent(P_HPlus, P_HMinus, P_GMinus, P_GPlus, 6600, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghAAnti, P_GQMinus, 5316, check)
    call createCurrent(P_HQMinus, P_Hh, P_HPlus, P_HlQ, 3186, check)
    call createCurrent(P_ghWp, P_Z, P_ghAAnti, P_WMinus, 3422, check)
    call createCurrent(P_Hh, P_A, P_Hl, P_A, 10670, check)
    call createCurrent(P_Hl, P_u, P_uAnti, 7782, check)
    call createCurrent(P_WPlus, P_WMinus, P_g, P_g, 10505, check)
    call createCurrent(P_t, P_tAnti, P_G0, 8056, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_Hl, 2721, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, 2810, check)
    call createCurrent(P_ghWp, P_HMinus, P_G0, P_ghAAnti, 10258, check)
    call createCurrent(P_HMinus, P_GMinus, P_GPlus, P_GPlus, 7552, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_G0, 4488, check)
    call createCurrent(P_WQPlus, P_Z, P_Ha, P_HQMinus, 7804, check)
    call createCurrent(P_HMinus, P_Hl, P_Hl, P_GPlus, 5313, check)
    call createCurrent(P_HPlus, P_Hh, P_G0, P_HMinus, 10196, check)
    call createCurrent(P_HaQ, P_HMinus, P_WQPlus, 5282, check)
    call createCurrent(P_WMinus, P_A, P_ghA, P_ghWmAnti, 5799, check)
    call createCurrent(P_HMinus, P_WMinus, P_HPlus, P_WPlus, 8136, check)
    call createCurrent(P_g, P_u, P_uAnti, 3098, check)
    call createCurrent(P_d, P_WPlus, P_uAnti, 4632, check)
    call createCurrent(P_AQ, P_GPlus, P_GMinus, P_ZQ, 6030, check)
    call createCurrent(P_A, P_Z, P_GMinus, P_HPlus, 9998, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_Z, 8938, check)
    call createCurrent(P_ghZ, P_Hl, P_ghZAnti, P_Hl, 7925, check)
    call createCurrent(P_nu_muAnti, P_GPlus, P_muMinus, 1042, check)
    call createCurrent(P_WQPlus, P_Hl, P_GMinus, P_ZQ, 4598, check)
    call createCurrent(P_ghZ, P_WPlus, P_Z, P_ghWpAnti, 2109, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HMinus, P_HQPlus, 8283, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghWp, P_HMinus, 4495, check)
    call createCurrent(P_ghA, P_GPlus, P_ghZAnti, P_GMinus, 7411, check)
    call createCurrent(P_ghZ, P_GMinus, P_Hh, P_ghWmAnti, 8596, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, P_Z, 6185, check)
    call createCurrent(P_HhQ, P_HMinus, P_GPlus, P_HhQ, 6095, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_G0, 2763, check)
    call createCurrent(P_A, P_GMinus, P_A, P_GPlus, 2733, check)
    call createCurrent(P_Z, P_GMinus, P_Ha, P_WPlus, 9714, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, P_Hh, 5224, check)
    call createCurrent(P_HQMinus, P_G0, P_Ha, P_HQPlus, 3801, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_Ha, 9141, check)
    call createCurrent(P_eMinus, P_ePlus, P_Z, 103, check)
    call createCurrent(P_HQPlus, P_Ha, P_GMinus, P_GQ0, 6480, check)
    call createCurrent(P_G0, P_Z, P_Ha, P_A, 10528, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, P_A, 1452, check)
    call createCurrent(P_t, P_tAnti, P_Hh, 4469, check)
    call createCurrent(P_AQ, P_WMinus, P_ghAAnti, P_ghWp, 2414, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghZAnti, P_ghA, 9231, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_A, P_WQMinus, 5181, check)
    call createCurrent(P_HPlus, P_WPlus, P_GMinus, P_WMinus, 9394, check)
    call createCurrent(P_ZQ, P_WPlus, P_Hl, P_GQMinus, 4378, check)
    call createCurrent(P_Hh, P_HPlus, P_WMinus, P_Z, 1181, check)
    call createCurrent(P_g, P_g, P_Z, P_A, 10633, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_G0, 3419, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HPlus, P_HMinus, 758, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hh, 7305, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_Hh, P_ghWm, 2285, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, 8490, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghZAnti, P_ghWp, 3260, check)
    call createCurrent(P_WQMinus, P_A, P_ghWmAnti, P_ghA, 3884, check)
    call createCurrent(P_GMinus, P_G0, P_G0, P_GPlus, 2467, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_HMinus, 7429, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_G0, 10273, check)
    call createCurrent(P_ghWp, P_HPlus, P_HMinus, P_ghWpAnti, 2499, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_HhQ, 4169, check)
    call createCurrent(P_Hh, P_Hl, P_HMinus, P_GPlus, 3128, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, P_Z, 10315, check)
    call createCurrent(P_Hh, P_Hl, P_GPlus, P_HMinus, 4775, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_GMinus, P_ghA, 9984, check)
    call createCurrent(P_WQPlus, P_GPlus, P_GMinus, P_WQMinus, 816, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghA, P_GQPlus, 7106, check)
    call createCurrent(P_HPlus, P_Ha, P_ghWm, P_ghAAnti, 4024, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghA, P_HMinus, 7438, check)
    call createCurrent(P_ZQ, P_A, P_HMinus, P_HQPlus, 6361, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghZ, P_ghAAnti, 2351, check)
    call createCurrent(P_WPlus, P_ghWp, P_WMinus, P_ghWpAnti, 7471, check)
    call createCurrent(P_Z, P_ghWp, P_ghWpAnti, 8536, check)
    call createCurrent(P_GQ0, P_Hl, P_HMinus, P_HQPlus, 7412, check)
    call createCurrent(P_d, P_dAnti, P_Z, 6, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HhQ, 5535, check)
    call createCurrent(P_G0, P_G0, P_HMinus, P_HPlus, 7416, check)
    call createCurrent(P_ZQ, P_Hh, P_Hh, P_ZQ, 8781, check)
    call createCurrent(P_WPlus, P_A, P_ghWm, P_ghZAnti, 1487, check)
    call createCurrent(P_Ha, P_HMinus, P_ghZAnti, P_ghWp, 7092, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, P_Z, 2784, check)
    call createCurrent(P_G0, P_HPlus, P_ghAAnti, P_ghWm, 9718, check)
    call createCurrent(P_Hh, P_d, P_dAnti, 6369, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghWp, P_HMinus, 8097, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_HMinus, 8008, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_Hh, 8043, check)
    call createCurrent(P_AQ, P_A, P_ghWpAnti, P_ghWp, 5108, check)
    call createCurrent(P_ghZ, P_HMinus, P_Hl, P_ghWmAnti, 2805, check)
    call createCurrent(P_A, P_Z, P_A, P_A, 10514, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, P_Z, 4941, check)
    call createCurrent(P_ZQ, P_G0, P_HhQ, 1646, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_Hh, 624, check)
    call createCurrent(P_GQ0, P_HMinus, P_Hl, P_HQPlus, 705, check)
    call createCurrent(P_HaQ, P_HMinus, P_Hl, P_GQPlus, 782, check)
    call createCurrent(P_HlQ, P_WPlus, P_HMinus, P_ZQ, 1652, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghWp, 8412, check)
    call createCurrent(P_ghA, P_HPlus, P_GMinus, P_ghAAnti, 9214, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hh, P_HQPlus, 5637, check)
    call createCurrent(P_GPlus, P_G0, P_ghAAnti, P_ghWm, 3323, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_Z, 9609, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_GMinus, P_ghA, 4865, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hl, 8082, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghAAnti, P_HQMinus, 6697, check)
    call createCurrent(P_ghWm, P_Hl, P_GPlus, P_ghAAnti, 6354, check)
    call createCurrent(P_Hl, P_g, P_Hl, P_g, 10532, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_GQ0, 2026, check)
    call createCurrent(P_ghWp, P_Ha, P_HMinus, P_ghAAnti, 3521, check)
    call createCurrent(P_HQMinus, P_ghZ, P_HPlus, P_ghZAnti, 8652, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_GMinus, 7324, check)
    call createCurrent(P_Z, P_t, P_tAnti, 38, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GQMinus, 4463, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, 8002, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_AQ, 6622, check)
    call createCurrent(P_GMinus, P_G0, P_Hl, P_HPlus, 6329, check)
    call createCurrent(P_Ha, P_WPlus, P_Z, P_HMinus, 6457, check)
    call createCurrent(P_HPlus, P_g, P_GMinus, P_g, 10769, check)
    call createCurrent(P_Hl, P_Hl, P_ghWmAnti, P_ghWm, 7918, check)
    call createCurrent(P_HhQ, P_WPlus, P_Z, P_GQMinus, 5766, check)
    call createCurrent(P_GPlus, P_GMinus, P_HMinus, P_HPlus, 1276, check)
    call createCurrent(P_GQMinus, P_tauPlus, P_nu_tau, 761, check)
    call createCurrent(P_Ha, P_Hl, P_A, 9502, check)
    call createCurrent(P_HlQ, P_Hl, P_ghZAnti, P_ghZ, 4605, check)
    call createCurrent(P_HlQ, P_G0, P_WMinus, P_WQPlus, 3798, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_G0, 4915, check)
    call createCurrent(P_ZQ, P_Hh, P_HaQ, 5710, check)
    call createCurrent(P_HPlus, P_WPlus, P_HMinus, P_WMinus, 4636, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, 8644, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_Ha, 5428, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghZAnti, P_GPlus, 4653, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, P_Hh, 5355, check)
    call createCurrent(P_HMinus, P_Hl, P_ghWp, P_ghZAnti, 5970, check)
    call createCurrent(P_HaQ, P_ghWp, P_Hh, P_ghWpAnti, 8597, check)
    call createCurrent(P_A, P_A, P_A, P_A, 10735, check)
    call createCurrent(P_Hh, P_WMinus, P_Hl, P_WPlus, 9287, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_Hl, 8335, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_HMinus, 5707, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, 6593, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWp, P_HMinus, 9815, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_Ha, 7813, check)
    call createCurrent(P_t, P_tAnti, P_Ha, 1186, check)
    call createCurrent(P_HPlus, P_WMinus, P_G0, P_A, 9610, check)
    call createCurrent(P_gQ, P_b, P_bAnti, 7499, check)
    call createCurrent(P_GQPlus, P_G0, P_Hh, P_HQMinus, 3253, check)
    call createCurrent(P_ghA, P_Ha, P_GMinus, P_ghWmAnti, 9517, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, 6432, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, 2053, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghA, P_GPlus, 2463, check)
    call createCurrent(P_GQMinus, P_GPlus, P_GMinus, P_HQPlus, 2060, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_G0, 9622, check)
    call createCurrent(P_u, P_dAnti, P_HQMinus, 8476, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_Z, 3362, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_Ha, P_ghZ, 1140, check)
    call createCurrent(P_A, P_A, P_A, P_Z, 10522, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_GMinus, P_ghA, 7518, check)
    call createCurrent(P_Hl, P_HMinus, P_Hh, P_GPlus, 3061, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghWp, P_ghZAnti, 8560, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWpAnti, P_ghWp, 7661, check)
    call createCurrent(P_cAnti, P_c, P_G0, 6490, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghA, P_GPlus, 10355, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_HlQ, 1233, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_Hl, 7482, check)
    call createCurrent(P_Hh, P_g, P_Hl, P_g, 10742, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, P_Z, 7681, check)
    call createCurrent(P_WPlus, P_WPlus, P_ghWm, P_ghWpAnti, 1196, check)
    call createCurrent(P_GMinus, P_GMinus, P_HPlus, P_GPlus, 7999, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_HaQ, 8793, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_A, P_WMinus, 8731, check)
    call createCurrent(P_WQMinus, P_Ha, P_Ha, P_WQPlus, 7316, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_Hh, P_ghWm, 8329, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, P_Z, 10301, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghA, P_GMinus, 1084, check)
    call createCurrent(P_cAnti, P_c, P_Ha, 3444, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghZ, P_ghAAnti, 4855, check)
    call createCurrent(P_GQ0, P_Z, P_GPlus, P_WQMinus, 8792, check)
    call createCurrent(P_HPlus, P_ghZ, P_HMinus, P_ghAAnti, 2133, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, P_Ha, 8400, check)
    call createCurrent(P_Ha, P_Hh, P_G0, 8071, check)
    call createCurrent(P_HlQ, P_tAnti, P_t, 6294, check)
    call createCurrent(P_HQPlus, P_Hl, P_G0, P_GQMinus, 8315, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, P_Z, 9565, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghA, P_WPlus, 3249, check)
    call createCurrent(P_Hl, P_HMinus, P_ghWp, P_ghZAnti, 3755, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghA, P_ghWpAnti, 435, check)
    call createCurrent(P_HlQ, P_sAnti, P_s, 2646, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWp, P_GMinus, 5264, check)
    call createCurrent(P_WMinus, P_A, P_Ha, P_HPlus, 5955, check)
    call createCurrent(P_nu_mu, P_GMinus, P_muPlus, 4796, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_WPlus, 2843, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, 6796, check)
    call createCurrent(P_Hh, P_bAnti, P_b, 6781, check)
    call createCurrent(P_ghA, P_Hh, P_HMinus, P_ghWmAnti, 7720, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghAAnti, 5771, check)
    call createCurrent(P_HhQ, P_Hl, P_GMinus, P_HQPlus, 7178, check)
    call createCurrent(P_HhQ, P_GPlus, P_WMinus, P_ZQ, 477, check)
    call createCurrent(P_HPlus, P_GMinus, P_WMinus, P_WPlus, 10022, check)
    call createCurrent(P_GQPlus, P_Hh, P_HQMinus, 1991, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hl, 4423, check)
    call createCurrent(P_Ha, P_HMinus, P_WPlus, 3058, check)
    call createCurrent(P_A, P_A, P_Z, P_A, 10739, check)
    call createCurrent(P_GQMinus, P_Ha, P_G0, P_GQPlus, 1260, check)
    call createCurrent(P_g, P_WMinus, P_WPlus, P_g, 10709, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, P_Z, 834, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, P_ZQ, 1815, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, 1216, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GMinus, P_GPlus, 361, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_WQPlus, 7209, check)
    call createCurrent(P_Hl, P_Hl, P_Hl, P_Hl, 3355, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, P_Hh, 7797, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hl, 4661, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghZ, P_HPlus, 5207, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_Hl, 6825, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghZAnti, P_ghWm, 8535, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghZ, P_A, 607, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Hl, 1509, check)
    call createCurrent(P_WQMinus, P_Ha, P_Z, P_HQPlus, 7736, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, 3722, check)
    call createCurrent(P_AQ, P_GMinus, P_Hh, P_WQPlus, 1207, check)
    call createCurrent(P_nu_tauAnti, P_WPlus, P_tauMinus, 6715, check)
    call createCurrent(P_Z, P_ghA, P_ghWpAnti, P_WPlus, 7192, check)
    call createCurrent(P_eMinus, P_ePlus, P_HaQ, 5294, check)
    call createCurrent(P_HQMinus, P_ghWmAnti, P_Hl, P_ghA, 8223, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_Ha, 10366, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghZ, 2960, check)
    call createCurrent(P_HlQ, P_HMinus, P_Hl, P_HQPlus, 2209, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, P_G0, 467, check)
    call createCurrent(P_s, P_cAnti, P_GPlus, 2833, check)
    call createCurrent(P_cAnti, P_c, P_A, 1104, check)
    call createCurrent(P_WMinus, P_Hl, P_A, P_GPlus, 4854, check)
    call createCurrent(P_HaQ, P_Ha, P_ghWmAnti, P_ghWm, 8358, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_G0, 10033, check)
    call createCurrent(P_G0, P_Ha, P_ghWpAnti, P_ghWp, 9659, check)
    call createCurrent(P_HQPlus, P_Hl, P_GMinus, P_HhQ, 786, check)
    call createCurrent(P_GMinus, P_HPlus, P_WPlus, P_WMinus, 9619, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GQPlus, 5743, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_Hl, 129, check)
    call createCurrent(P_Hl, P_Hl, P_A, P_A, 10568, check)
    call createCurrent(P_WMinus, P_ghA, P_ghWmAnti, 1861, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, P_Z, 1745, check)
    call createCurrent(P_Ha, P_WPlus, P_A, P_GMinus, 8896, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_HaQ, 5337, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, P_A, 3970, check)
    call createCurrent(P_Ha, P_ghWp, P_GMinus, P_ghZAnti, 9246, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_Z, 8347, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_G0, 9283, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_ghWp, 3990, check)
    call createCurrent(P_ghWp, P_HMinus, P_Hl, P_ghAAnti, 4107, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Ha, 10008, check)
    call createCurrent(P_ZQ, P_HMinus, P_Z, P_HQPlus, 5126, check)
    call createCurrent(P_WMinus, P_Ha, P_Ha, P_WPlus, 6821, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Ha, 3346, check)
    call createCurrent(P_WQPlus, P_Z, P_ghWpAnti, P_ghZ, 4221, check)
    call createCurrent(P_Hh, P_HMinus, P_Hl, P_GPlus, 8451, check)
    call createCurrent(P_t, P_tAnti, 9125, check)
    call createCurrent(P_G0, P_Ha, P_GMinus, P_GPlus, 8215, check)
    call createCurrent(P_ghWpAnti, P_HMinus, P_HPlus, P_ghWp, 867, check)
    call createCurrent(P_eMinus, P_ePlus, P_AQ, 3351, check)
    call createCurrent(P_WQPlus, P_HMinus, P_HPlus, P_WQMinus, 741, check)
    call createCurrent(P_HMinus, P_ghWpAnti, P_ghWp, P_GPlus, 10145, check)
    call createCurrent(P_Ha, P_ghZAnti, P_GMinus, P_ghWp, 9361, check)
    call createCurrent(P_sAnti, P_s, P_ZQ, 7275, check)
    call createCurrent(P_Z, P_G0, P_Hh, 3075, check)
    call createCurrent(P_WQMinus, P_ghWp, P_WMinus, P_ghWmAnti, 5, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, 7770, check)
    call createCurrent(P_GQPlus, P_HMinus, P_HhQ, 1480, check)
    call createCurrent(P_Ha, P_ghWm, P_GPlus, P_ghAAnti, 9850, check)
    call createCurrent(P_GMinus, P_Ha, P_ghZ, P_ghWmAnti, 10451, check)
    call createCurrent(P_WMinus, P_A, P_ghWmAnti, P_ghA, 1265, check)
    call createCurrent(P_WQMinus, P_Hh, P_GQPlus, 2963, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GPlus, P_HMinus, 9032, check)
    call createCurrent(P_WQMinus, P_ghWp, P_ghZAnti, 2852, check)
    call createCurrent(P_ZQ, P_WPlus, P_WQMinus, 449, check)
    call createCurrent(P_HhQ, P_muPlus, P_muMinus, 8808, check)
    call createCurrent(P_muPlus, P_muMinus, P_ZQ, 2126, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghAAnti, P_ghWm, 6563, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hh, 5519, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Ha, P_HhQ, 7139, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_Hl, 4567, check)
    call createCurrent(P_uAnti, P_u, P_A, 6613, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_Hh, 8767, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_HQMinus, 4976, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghWm, 27, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghZAnti, P_Hl, 8527, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Ha, P_GMinus, 9359, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hl, P_AQ, 3045, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghWmAnti, P_WMinus, 3972, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, 490, check)
    call createCurrent(P_GQMinus, P_Hh, P_ghZ, P_ghWmAnti, 1754, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghZ, 336, check)
    call createCurrent(P_G0, P_Ha, P_Hh, P_Hl, 6963, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghA, P_ghWmAnti, 4909, check)
    call createCurrent(P_HlQ, P_GPlus, P_GQMinus, 3021, check)
    call createCurrent(P_G0, P_Z, P_Z, P_G0, 29, check)
    call createCurrent(P_ghWp, P_Ha, P_HMinus, P_ghZAnti, 657, check)
    call createCurrent(P_tauPlus, P_HMinus, P_nu_tau, 5568, check)
    call createCurrent(P_ghZ, P_HMinus, P_Ha, P_ghWmAnti, 6876, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_GPlus, 6775, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_G0, 1846, check)
    call createCurrent(P_Z, P_WMinus, P_HPlus, P_Hh, 4411, check)
    call createCurrent(P_Hl, P_GPlus, P_ghZAnti, P_ghWm, 8362, check)
    call createCurrent(P_WMinus, P_tauPlus, P_nu_tau, 1683, check)
    call createCurrent(P_GQMinus, P_G0, P_Hh, P_HQPlus, 2278, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_GQ0, 3984, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_HQMinus, 1163, check)
    call createCurrent(P_GQ0, P_Z, P_HhQ, 387, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_GMinus, 111, check)
    call createCurrent(P_Ha, P_ghWp, P_HMinus, P_ghAAnti, 173, check)
    call createCurrent(P_HMinus, P_A, P_A, P_HPlus, 1561, check)
    call createCurrent(P_GPlus, P_HPlus, P_HMinus, P_HMinus, 3870, check)
    call createCurrent(P_GQ0, P_tAnti, P_t, 2752, check)
    call createCurrent(P_ghA, P_Z, P_ghWmAnti, P_WQMinus, 7679, check)
    call createCurrent(P_ghAAnti, P_A, P_ghWp, P_WMinus, 4250, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_Z, 7873, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HPlus, P_HQMinus, 4402, check)
    call createCurrent(P_WQMinus, P_ghZ, P_Z, P_ghWmAnti, 8205, check)
    call createCurrent(P_GQ0, P_G0, P_ghZ, P_ghZAnti, 2119, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghAAnti, P_ghZ, 3462, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghZ, P_ghWpAnti, 4159, check)
    call createCurrent(P_G0, P_Ha, P_G0, 10690, check)
    call createCurrent(P_sAnti, P_Z, P_s, 8711, check)
    call createCurrent(P_g, P_g, P_WMinus, P_WPlus, 10487, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, 718, check)
    call createCurrent(P_GQPlus, P_ghWm, P_Hh, P_ghZAnti, 6952, check)
    call createCurrent(P_G0, P_Ha, P_Hh, 2339, check)
    call createCurrent(P_Z, P_muMinus, P_muPlus, 8816, check)
    call createCurrent(P_Ha, P_Hh, P_HMinus, P_GPlus, 5793, check)
    call createCurrent(P_GQMinus, P_GMinus, P_HPlus, P_HQPlus, 6417, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GQPlus, 4600, check)
    call createCurrent(P_HQMinus, P_ghA, P_Hl, P_ghWmAnti, 3735, check)
    call createCurrent(P_b, P_tAnti, P_GPlus, 6206, check)
    call createCurrent(P_HlQ, P_HPlus, P_ghZ, P_ghWpAnti, 8552, check)
    call createCurrent(P_HMinus, P_HMinus, P_GPlus, P_GPlus, 6720, check)
    call createCurrent(P_GMinus, P_WPlus, P_G0, P_A, 8237, check)
    call createCurrent(P_GQMinus, P_HPlus, P_G0, P_GQ0, 6838, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_HPlus, 9290, check)
    call createCurrent(P_A, P_Hl, P_Z, P_Hh, 10581, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_G0, P_ghWp, 6574, check)
    call createCurrent(P_Hl, P_ghA, P_ghWmAnti, P_GMinus, 3187, check)
    call createCurrent(P_HaQ, P_GMinus, P_G0, P_GQPlus, 285, check)
    call createCurrent(P_Ha, P_WMinus, P_Z, P_HPlus, 3069, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_HhQ, 4104, check)
    call createCurrent(P_HlQ, P_ghWp, P_Ha, P_ghWpAnti, 4780, check)
    call createCurrent(P_A, P_A, P_Z, P_Z, 10548, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, 1712, check)
    call createCurrent(P_WQPlus, P_A, P_Z, P_WQMinus, 7650, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_WQPlus, 113, check)
    call createCurrent(P_ghZ, P_G0, P_ghZAnti, P_G0, 1732, check)
    call createCurrent(P_A, P_ghZAnti, P_ghWp, P_WMinus, 6817, check)
    call createCurrent(P_GPlus, P_HMinus, P_Ha, P_Hl, 3567, check)
    call createCurrent(P_HPlus, P_ghA, P_ghZAnti, P_GMinus, 9054, check)
    call createCurrent(P_WMinus, P_ghA, P_A, P_ghWmAnti, 5268, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Ha, P_ghA, 9247, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hl, 948, check)
    call createCurrent(P_HMinus, P_HPlus, P_HPlus, P_HMinus, 3886, check)
    call createCurrent(P_GQMinus, P_Z, P_GPlus, P_AQ, 4392, check)
    call createCurrent(P_GQMinus, P_G0, P_WQPlus, 2440, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_GQ0, 5507, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghWm, P_HPlus, 1541, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghA, P_WMinus, 793, check)
    call createCurrent(P_GQ0, P_ghWp, P_Hh, P_ghWpAnti, 8485, check)
    call createCurrent(P_WMinus, P_Z, P_G0, P_HPlus, 8946, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghWp, P_ghZAnti, 5402, check)
    call createCurrent(P_HlQ, P_GMinus, P_Hl, P_HQPlus, 1512, check)
    call createCurrent(P_GMinus, P_A, P_A, P_HPlus, 9937, check)
    call createCurrent(P_u, P_uAnti, P_HlQ, 6943, check)
    call createCurrent(P_ghZ, P_GMinus, P_GPlus, P_ghAAnti, 5569, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_ghWp, P_HPlus, 10343, check)
    call createCurrent(P_GQMinus, P_Hh, P_GQPlus, 8256, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_Hl, P_ghWp, 2145, check)
    call createCurrent(P_WQMinus, P_sAnti, P_c, 4152, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWm, P_HQPlus, 5759, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghZ, P_WQMinus, 372, check)
    call createCurrent(P_HQMinus, P_Hh, P_HPlus, P_GQ0, 4613, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWm, P_WPlus, 1056, check)
    call createCurrent(P_GQMinus, P_ghWp, P_ghZAnti, 5642, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghZAnti, P_HQMinus, 4500, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hl, P_GQMinus, 3915, check)
    call createCurrent(P_HhQ, P_GPlus, P_HMinus, P_HlQ, 8216, check)
    call createCurrent(P_Z, P_A, P_GMinus, P_HPlus, 10402, check)
    call createCurrent(P_WPlus, P_Hh, P_Z, P_GMinus, 3550, check)
    call createCurrent(P_HaQ, P_HPlus, P_Hh, P_GQMinus, 7325, check)
    call createCurrent(P_GQ0, P_Z, P_GMinus, P_WQPlus, 2770, check)
    call createCurrent(P_GQ0, P_A, P_WPlus, P_GQMinus, 8427, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_GPlus, 2504, check)
    call createCurrent(P_ghZ, P_Ha, P_GPlus, P_ghWpAnti, 9036, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, P_Ha, 5324, check)
    call createCurrent(P_WMinus, P_bAnti, P_t, 5485, check)
    call createCurrent(P_ghAAnti, P_A, P_WMinus, P_ghWp, 7849, check)
    call createCurrent(P_Hh, P_WPlus, P_A, P_HMinus, 5032, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_GPlus, P_ghA, 5407, check)
    call createCurrent(P_HlQ, P_WPlus, P_WQMinus, 1878, check)
    call createCurrent(P_G0, P_Z, P_A, P_Ha, 10750, check)
    call createCurrent(P_G0, P_ghA, P_ghWpAnti, P_HPlus, 8971, check)
    call createCurrent(P_AQ, P_WMinus, P_Z, P_WQPlus, 3592, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GMinus, P_GPlus, 2183, check)
    call createCurrent(P_ZQ, P_HMinus, P_WPlus, P_HhQ, 3928, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GQ0, 1547, check)
    call createCurrent(P_Z, P_HMinus, P_Hh, P_WPlus, 8269, check)
    call createCurrent(P_GQ0, P_ghAAnti, P_GMinus, P_ghWp, 6313, check)
    call createCurrent(P_AQ, P_HMinus, P_Hh, P_WQPlus, 8832, check)
    call createCurrent(P_Ha, P_Hl, P_Hh, P_Ha, 2984, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Ha, P_ZQ, 1200, check)
    call createCurrent(P_HhQ, P_Hh, P_HhQ, 8693, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Z, P_WMinus, 8316, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, 1099, check)
    call createCurrent(P_HMinus, P_ghA, P_ghZAnti, P_GPlus, 8912, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_HMinus, 10384, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghWmAnti, 4591, check)
    call createCurrent(P_Hh, P_HPlus, P_HMinus, 2918, check)
    call createCurrent(P_A, P_Z, P_Ha, P_G0, 10550, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghWm, P_GPlus, 9744, check)
    call createCurrent(P_Ha, P_GPlus, P_A, P_WMinus, 9487, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_G0, 7397, check)
    call createCurrent(P_Hl, P_ghA, P_ghWpAnti, P_GPlus, 2435, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_GQPlus, 1744, check)
    call createCurrent(P_ghA, P_Hl, P_ghWmAnti, P_GQMinus, 6649, check)
    call createCurrent(P_nu_eAnti, P_GPlus, P_eMinus, 2633, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghWmAnti, P_ghZ, 7183, check)
    call createCurrent(P_G0, P_Hh, P_GMinus, P_HPlus, 5790, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_Z, 2758, check)
    call createCurrent(P_Z, P_WMinus, P_WPlus, P_A, 1243, check)
    call createCurrent(P_GPlus, P_ghWm, P_Hl, P_ghZAnti, 7278, check)
    call createCurrent(P_HaQ, P_ghWmAnti, P_Ha, P_ghWm, 5059, check)
    call createCurrent(P_GPlus, P_G0, P_Hh, P_GMinus, 9400, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HPlus, P_HQMinus, 1177, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_Ha, 6525, check)
    call createCurrent(P_GQMinus, P_Hh, P_GPlus, P_HlQ, 5009, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hl, P_ZQ, 2444, check)
    call createCurrent(P_Hl, P_Hl, P_HPlus, P_GMinus, 3645, check)
    call createCurrent(P_t, P_tAnti, P_g, 8289, check)
    call createCurrent(P_ghA, P_A, P_ghWpAnti, P_WPlus, 8389, check)
    call createCurrent(P_g, P_bAnti, P_b, 505, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_Hh, P_ghWm, 1038, check)
    call createCurrent(P_WQMinus, P_WPlus, P_AQ, 1065, check)
    call createCurrent(P_ghZ, P_GPlus, P_G0, P_ghWpAnti, 1010, check)
    call createCurrent(P_GQPlus, P_Hl, P_HQMinus, 665, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, 2726, check)
    call createCurrent(P_HQPlus, P_HMinus, P_GMinus, P_HQPlus, 7151, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WMinus, P_Z, 8149, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWmAnti, P_GMinus, 1025, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, 8677, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Ha, P_HaQ, 6049, check)
    call createCurrent(P_GQ0, P_A, P_WMinus, P_GQPlus, 4930, check)
    call createCurrent(P_GPlus, P_ghA, P_ghZAnti, P_GMinus, 2837, check)
    call createCurrent(P_WQPlus, P_HMinus, P_Z, P_HlQ, 7068, check)
    call createCurrent(P_Ha, P_G0, P_Ha, P_G0, 962, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_GMinus, P_ghZ, 9499, check)
    call createCurrent(P_c, P_sAnti, P_WQMinus, 7521, check)
    call createCurrent(P_WMinus, P_sAnti, P_c, 7374, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_G0, 5051, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghZ, P_Hh, 5910, check)
    call createCurrent(P_ghA, P_WPlus, P_WMinus, P_ghZAnti, 4379, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Hh, P_ghWp, 341, check)
    call createCurrent(P_Ha, P_HMinus, P_ghA, P_ghWmAnti, 3874, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, 9648, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GMinus, 3979, check)
    call createCurrent(P_GQ0, P_Hh, P_WPlus, P_WQMinus, 7929, check)
    call createCurrent(P_HQMinus, P_WPlus, P_HaQ, 1430, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HMinus, P_GPlus, 9770, check)
    call createCurrent(P_ghWp, P_Hh, P_ghAAnti, P_HMinus, 5031, check)
    call createCurrent(P_HQPlus, P_ghZ, P_Ha, P_ghWpAnti, 87, check)
    call createCurrent(P_G0, P_muPlus, P_muMinus, 3753, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_Z, 2474, check)
    call createCurrent(P_GPlus, P_ghWm, P_G0, P_ghZAnti, 1654, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Hl, P_AQ, 2086, check)
    call createCurrent(P_Ha, P_Z, P_A, P_Ha, 8999, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_G0, 9412, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, 6116, check)
    call createCurrent(P_HlQ, P_G0, P_GMinus, P_HQPlus, 6287, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_WMinus, 2588, check)
    call createCurrent(P_ZQ, P_u, P_uAnti, 4458, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Hl, P_ghZ, 4669, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Hl, P_ghA, 457, check)
    call createCurrent(P_HlQ, P_GPlus, P_HMinus, P_HaQ, 8162, check)
    call createCurrent(P_nu_tau, P_WMinus, P_tauPlus, 7862, check)
    call createCurrent(P_HhQ, P_G0, P_Hl, P_GQ0, 1153, check)
    call createCurrent(P_Ha, P_Hh, P_HPlus, P_GMinus, 5996, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, P_G0, 6064, check)
    call createCurrent(P_HhQ, P_Hl, P_HPlus, P_HQMinus, 8231, check)
    call createCurrent(P_ghWpAnti, P_GMinus, P_GPlus, P_ghWp, 3396, check)
    call createCurrent(P_HaQ, P_Ha, P_ghWm, P_ghWmAnti, 5560, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghWp, P_ghWpAnti, 1273, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghAAnti, P_GMinus, 3007, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_Hh, P_ghWp, 855, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_G0, P_GMinus, 6548, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_WPlus, P_WMinus, 7479, check)
    call createCurrent(P_ghWmAnti, P_A, P_Z, P_ghWm, 5276, check)
    call createCurrent(P_ghWm, P_Ha, P_GPlus, P_ghZAnti, 10114, check)
    call createCurrent(P_G0, P_GMinus, P_A, P_WPlus, 6082, check)
    call createCurrent(P_A, P_WPlus, P_HMinus, P_Hh, 2256, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_Hh, 820, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, 2068, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_G0, 7032, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_WPlus, P_WMinus, 5436, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, P_Hl, 9001, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_HPlus, P_ghZ, 1684, check)
    call createCurrent(P_HhQ, P_Hh, P_GMinus, P_HQPlus, 6677, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghA, P_Ha, 9618, check)
    call createCurrent(P_ghWp, P_HPlus, P_ghWpAnti, P_GMinus, 9185, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_HhQ, 1368, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Ha, 9350, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_A, 3405, check)
    call createCurrent(P_WPlus, P_G0, P_A, P_HMinus, 9822, check)
    call createCurrent(P_HaQ, P_GPlus, P_HMinus, P_HlQ, 6018, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, P_A, 1346, check)
    call createCurrent(P_ZQ, P_GMinus, P_WPlus, P_HlQ, 5831, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghZ, P_WPlus, 487, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghZ, P_WPlus, 3795, check)
    call createCurrent(P_A, P_GPlus, P_HMinus, P_Z, 10159, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GMinus, 5336, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, P_G0, 1947, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_HMinus, P_Ha, 8831, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_GPlus, 4373, check)
    call createCurrent(P_GPlus, P_A, P_Ha, P_WMinus, 10086, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_G0, 1473, check)
    call createCurrent(P_Ha, P_Hl, P_HPlus, P_GMinus, 5986, check)
    call createCurrent(P_GQPlus, P_HMinus, P_G0, P_HhQ, 8367, check)
    call createCurrent(P_ghWm, P_WPlus, P_WMinus, P_ghWmAnti, 5252, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, P_G0, 1548, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_Hl, P_ghWp, 1934, check)
    call createCurrent(P_GQPlus, P_Hl, P_WMinus, P_AQ, 5395, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_HPlus, 2008, check)
    call createCurrent(P_Z, P_ghWpAnti, P_ghA, P_WPlus, 4968, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_HMinus, 217, check)
    call createCurrent(P_A, P_WPlus, P_ghAAnti, P_ghWm, 3684, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_HQMinus, 3409, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_A, 5859, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_G0, P_HPlus, 9379, check)
    call createCurrent(P_tAnti, P_t, P_HhQ, 7352, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HhQ, 8761, check)
    call createCurrent(P_HQPlus, P_HMinus, P_G0, P_GQ0, 8085, check)
    call createCurrent(P_Ha, P_bAnti, P_b, 5170, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWpAnti, P_ghWp, 5099, check)
    call createCurrent(P_WQMinus, P_Z, P_ghZ, P_ghWmAnti, 2438, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_HhQ, 3921, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghZ, P_WMinus, 2740, check)
    call createCurrent(P_b, P_Ha, P_bAnti, 2000, check)
    call createCurrent(P_A, P_Hh, P_WPlus, P_HMinus, 701, check)
    call createCurrent(P_GPlus, P_A, P_Hh, P_WMinus, 8225, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hl, 7303, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Ha, P_HQMinus, 5393, check)
    call createCurrent(P_ZQ, P_GPlus, P_G0, P_WQMinus, 1870, check)
    call createCurrent(P_G0, P_Hh, P_Hh, P_Ha, 8352, check)
    call createCurrent(P_GQ0, P_ghWpAnti, P_Hl, P_ghWp, 6830, check)
    call createCurrent(P_dAnti, P_d, P_G0, 3117, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_A, 4558, check)
    call createCurrent(P_G0, P_cAnti, P_c, 4939, check)
    call createCurrent(P_G0, P_ghWp, P_ghZAnti, P_GMinus, 3333, check)
    call createCurrent(P_G0, P_ghA, P_ghWpAnti, P_GPlus, 7584, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZAnti, P_ghZ, 5499, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghA, P_ghAAnti, 8025, check)
    call createCurrent(P_ZQ, P_HPlus, P_Z, P_HQMinus, 8045, check)
    call createCurrent(P_GQ0, P_ghWm, P_Hl, P_ghWmAnti, 2097, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghA, P_GPlus, 9118, check)
    call createCurrent(P_WPlus, P_WPlus, P_ghWpAnti, P_ghWm, 6080, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Z, P_WPlus, 4535, check)
    call createCurrent(P_HhQ, P_Hh, P_Hh, P_HhQ, 502, check)
    call createCurrent(P_HPlus, P_Hl, P_ghWpAnti, P_ghA, 2754, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, 2824, check)
    call createCurrent(P_WMinus, P_HPlus, P_G0, P_A, 9728, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_Hl, 3373, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WPlus, P_WQMinus, 5928, check)
    call createCurrent(P_HQPlus, P_A, P_HQMinus, 5909, check)
    call createCurrent(P_WQPlus, P_Z, P_HMinus, P_HhQ, 3242, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_Hh, 6759, check)
    call createCurrent(P_Hl, P_ghZAnti, P_Hh, P_ghZ, 9129, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_ZQ, 8089, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_HlQ, 4511, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_ghWm, P_Z, 8763, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghA, P_HMinus, 5376, check)
    call createCurrent(P_HQMinus, P_A, P_WPlus, P_HlQ, 6886, check)
    call createCurrent(P_Hl, P_Ha, P_G0, P_Hh, 1032, check)
    call createCurrent(P_Z, P_HPlus, P_GMinus, P_A, 9119, check)
    call createCurrent(P_Ha, P_WMinus, P_GPlus, P_Z, 9830, check)
    call createCurrent(P_G0, P_G0, P_A, P_A, 10767, check)
    call createCurrent(P_HPlus, P_Hl, P_ghZAnti, P_ghWm, 6900, check)
    call createCurrent(P_uAnti, P_d, P_WPlus, 684, check)
    call createCurrent(P_GMinus, P_WPlus, P_WMinus, P_GPlus, 7508, check)
    call createCurrent(P_Hl, P_G0, P_Ha, P_Hl, 7062, check)
    call createCurrent(P_AQ, P_sAnti, P_s, 4951, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_HlQ, 4014, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_Hh, 7833, check)
    call createCurrent(P_GQ0, P_A, P_GPlus, P_WQMinus, 6517, check)
    call createCurrent(P_G0, P_WMinus, P_WPlus, P_Ha, 10181, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_Hl, 6247, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_GPlus, 4716, check)
    call createCurrent(P_Ha, P_Z, P_Hh, 4153, check)
    call createCurrent(P_G0, P_g, P_g, P_Ha, 10646, check)
    call createCurrent(P_HhQ, P_HPlus, P_WMinus, P_ZQ, 8645, check)
    call createCurrent(P_ghA, P_WMinus, P_ghWmAnti, P_Z, 7389, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GMinus, P_HPlus, 10288, check)
    call createCurrent(P_HQPlus, P_Hh, P_Hh, P_GQMinus, 1492, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghZ, P_HMinus, 10253, check)
    call createCurrent(P_A, P_Z, P_HPlus, P_HMinus, 62, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hl, 3012, check)
    call createCurrent(P_GQ0, P_GMinus, P_G0, P_HQPlus, 169, check)
    call createCurrent(P_A, P_G0, P_Ha, P_A, 10525, check)
    call createCurrent(P_Hl, P_Hl, P_G0, P_G0, 3938, check)
    call createCurrent(P_GQPlus, P_GMinus, P_G0, P_HlQ, 2904, check)
    call createCurrent(P_Ha, P_HPlus, P_ghAAnti, P_ghWm, 7076, check)
    call createCurrent(P_cAnti, P_c, P_Hl, 381, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_GMinus, 641, check)
    call createCurrent(P_GQPlus, P_Hh, P_Z, P_WQMinus, 3251, check)
    call createCurrent(P_gQ, P_c, P_cAnti, 1843, check)
    call createCurrent(P_ZQ, P_HMinus, P_Hh, P_WQPlus, 8534, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_Hh, P_ghWm, 9294, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_HhQ, 3947, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ZQ, 315, check)
    call createCurrent(P_GQPlus, P_Hl, P_WMinus, P_ZQ, 1494, check)
    call createCurrent(P_HlQ, P_Z, P_WMinus, P_GQPlus, 6290, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hh, 10654, check)
    call createCurrent(P_Z, P_ghWmAnti, P_WMinus, P_ghZ, 5326, check)
    call createCurrent(P_WQMinus, P_HPlus, P_Ha, P_AQ, 3445, check)
    call createCurrent(P_eMinus, P_HPlus, P_nu_eAnti, 6136, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_HQPlus, 3812, check)
    call createCurrent(P_HaQ, P_HPlus, P_GMinus, P_GQ0, 1374, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_G0, P_GQMinus, 4130, check)
    call createCurrent(P_Hl, P_GMinus, P_ghZ, P_ghWmAnti, 4019, check)
    call createCurrent(P_ghWm, P_A, P_ghWmAnti, P_Z, 3533, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_AQ, 3218, check)
    call createCurrent(P_t, P_G0, P_tAnti, 709, check)
    call createCurrent(P_g, P_Hl, P_g, 10715, check)
    call createCurrent(P_d, P_Ha, P_dAnti, 2742, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghWmAnti, P_ghWm, 3955, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HlQ, 5551, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_GPlus, 6068, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_GMinus, 560, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_G0, 9300, check)
    call createCurrent(P_Hh, P_HMinus, P_GPlus, P_Hh, 6535, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, P_Z, 10249, check)
    call createCurrent(P_ghA, P_GPlus, P_GMinus, P_ghZAnti, 771, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_ghA, P_GMinus, 10074, check)
    call createCurrent(P_HPlus, P_g, P_g, P_HMinus, 10517, check)
    call createCurrent(P_AQ, P_WPlus, P_Ha, P_HQMinus, 7002, check)
    call createCurrent(P_AQ, P_ghWpAnti, P_ghWp, 7385, check)
    call createCurrent(P_Hl, P_Hh, P_Ha, P_G0, 1779, check)
    call createCurrent(P_GQMinus, P_WPlus, P_WMinus, P_GQPlus, 7154, check)
    call createCurrent(P_HQMinus, P_Hh, P_Hl, P_HQPlus, 2828, check)
    call createCurrent(P_G0, P_GMinus, P_GPlus, 9778, check)
    call createCurrent(P_G0, P_ghWm, P_ghAAnti, P_GPlus, 1669, check)
    call createCurrent(P_HPlus, P_G0, P_G0, P_HMinus, 6848, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Hh, P_ghA, 4407, check)
    call createCurrent(P_Ha, P_Z, P_Z, P_G0, 10015, check)
    call createCurrent(P_GQMinus, P_ghA, P_G0, P_ghWmAnti, 1747, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_HPlus, P_ghA, 8982, check)
    call createCurrent(P_ZQ, P_GPlus, P_A, P_GQMinus, 2641, check)
    call createCurrent(P_A, P_Hh, P_Ha, 10097, check)
    call createCurrent(P_WPlus, P_ghA, P_A, P_ghWpAnti, 7905, check)
    call createCurrent(P_GPlus, P_WMinus, P_Z, 3432, check)
    call createCurrent(P_HQMinus, P_ghWpAnti, P_HPlus, P_ghWp, 868, check)
    call createCurrent(P_WPlus, P_HMinus, P_Z, P_Ha, 4788, check)
    call createCurrent(P_WMinus, P_ghWp, P_Z, P_ghAAnti, 7771, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_Ha, 1191, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghZ, P_Ha, 10122, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, P_ZQ, 3381, check)
    call createCurrent(P_Hh, P_Hh, P_G0, P_Ha, 7651, check)
    call createCurrent(P_t, P_GMinus, P_bAnti, 8226, check)
    call createCurrent(P_HaQ, P_ghWpAnti, P_Ha, P_ghWp, 5604, check)
    call createCurrent(P_ghWp, P_Hh, P_HMinus, P_ghAAnti, 2987, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghA, P_WPlus, 397, check)
    call createCurrent(P_GQ0, P_HPlus, P_Hl, P_HQMinus, 7273, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZ, P_ghZAnti, 4618, check)
    call createCurrent(P_ghZ, P_Ha, P_ghZAnti, P_G0, 10263, check)
    call createCurrent(P_HlQ, P_HMinus, P_WQPlus, 2876, check)
    call createCurrent(P_G0, P_WPlus, P_WMinus, P_Ha, 9132, check)
    call createCurrent(P_G0, P_WPlus, P_A, P_GMinus, 6667, check)
    call createCurrent(P_Ha, P_ghAAnti, P_HMinus, P_ghWp, 7057, check)
    call createCurrent(P_GQMinus, P_Z, P_GQPlus, 6304, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_AQ, 3685, check)
    call createCurrent(P_tAnti, P_t, P_GQ0, 5287, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hl, P_ghZ, 5754, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, 1320, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_Hh, 5869, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_Hh, P_ghZ, 586, check)
    call createCurrent(P_WPlus, P_G0, P_HMinus, P_A, 9516, check)
    call createCurrent(P_A, P_tauMinus, P_tauPlus, 5848, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hh, 5960, check)
    call createCurrent(P_WPlus, P_Hl, P_GMinus, P_A, 4145, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, P_Hh, 166, check)
    call createCurrent(P_WQMinus, P_Hl, P_HPlus, P_AQ, 8614, check)
    call createCurrent(P_G0, P_HPlus, P_HMinus, P_Hh, 8924, check)
    call createCurrent(P_HhQ, P_WPlus, P_A, P_HQMinus, 8758, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_Ha, 647, check)
    call createCurrent(P_HQMinus, P_Hl, P_WPlus, P_AQ, 8152, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, P_Hl, 10268, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_HaQ, 960, check)
    call createCurrent(P_Ha, P_G0, P_A, P_A, 10653, check)
    call createCurrent(P_gQ, P_g, P_ghGAnti, P_ghG, 5338, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, 9081, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Hl, 892, check)
    call createCurrent(P_Hl, P_ghZAnti, P_GPlus, P_ghWm, 7251, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Ha, P_ghWp, 10058, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_HMinus, 2978, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Hh, 4512, check)
    call createCurrent(P_Hl, P_HPlus, P_ghZAnti, P_ghWm, 4175, check)
    call createCurrent(P_Hh, P_Hh, P_Ha, P_G0, 183, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_ZQ, 2615, check)
    call createCurrent(P_ghWmAnti, P_G0, P_GMinus, P_ghA, 5740, check)
    call createCurrent(P_WPlus, P_Z, P_Z, P_WMinus, 4644, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_Z, 3566, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_HhQ, 485, check)
    call createCurrent(P_WPlus, P_Z, P_G0, P_HMinus, 9567, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZAnti, P_ghWp, 5284, check)
    call createCurrent(P_GQPlus, P_Hh, P_ghWpAnti, P_ghA, 3209, check)
    call createCurrent(P_HPlus, P_GPlus, P_GMinus, P_GMinus, 3866, check)
    call createCurrent(P_G0, P_muMinus, P_muPlus, 6961, check)
    call createCurrent(P_A, P_A, P_HMinus, P_HPlus, 4240, check)
    call createCurrent(P_GPlus, P_Hh, P_Hh, P_GMinus, 8353, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, P_Hh, 3892, check)
    call createCurrent(P_Z, P_ghWm, P_ghAAnti, P_WPlus, 4836, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_GQMinus, 2396, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, P_Z, 5979, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_G0, 4316, check)
    call createCurrent(P_HQMinus, P_ghWp, P_Hl, P_ghZAnti, 1660, check)
    call createCurrent(P_WMinus, P_WPlus, P_HMinus, P_HPlus, 1814, check)
    call createCurrent(P_Hh, P_ghAAnti, P_ghWm, P_GPlus, 7641, check)
    call createCurrent(P_ghZ, P_WPlus, P_A, P_ghWpAnti, 7494, check)
    call createCurrent(P_HMinus, P_Ha, P_ghAAnti, P_ghWp, 8376, check)
    call createCurrent(P_WPlus, P_Z, P_HMinus, P_Ha, 7292, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghZ, P_A, 3875, check)
    call createCurrent(P_HMinus, P_HPlus, P_HMinus, P_GPlus, 2560, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, P_Hl, 5518, check)
    call createCurrent(P_GQ0, P_HPlus, P_GMinus, P_HaQ, 3452, check)
    call createCurrent(P_GQ0, P_Ha, P_HMinus, P_HQPlus, 589, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hh, 9056, check)
    call createCurrent(P_AQ, P_muMinus, P_muPlus, 6910, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GPlus, P_HMinus, 10367, check)
    call createCurrent(P_GQ0, P_cAnti, P_c, 5895, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_G0, P_ghWp, 9432, check)
    call createCurrent(P_AQ, P_GPlus, P_Hh, P_WQMinus, 5219, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_HlQ, 8472, check)
    call createCurrent(P_Z, P_GPlus, P_Z, P_HMinus, 9598, check)
    call createCurrent(P_HhQ, P_Hh, P_G0, P_HaQ, 4783, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hh, P_GQPlus, 3512, check)
    call createCurrent(P_Z, P_A, P_Hh, P_Hh, 10124, check)
    call createCurrent(P_HMinus, P_A, P_Hl, P_WPlus, 2931, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghA, P_WPlus, 6799, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hl, P_GQMinus, 5842, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_Hh, 3959, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Ha, 896, check)
    call createCurrent(P_uAnti, P_u, P_gQ, 6520, check)
    call createCurrent(P_ghZAnti, P_A, P_ghWm, P_WPlus, 528, check)
    call createCurrent(P_G0, P_HMinus, P_ghAAnti, P_ghWp, 10443, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, P_Z, 5290, check)
    call createCurrent(P_HlQ, P_HPlus, P_GMinus, P_HaQ, 3101, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, 5998, check)
    call createCurrent(P_GQPlus, P_ghZ, P_G0, P_ghWpAnti, 1410, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghZ, P_ghZAnti, 6892, check)
    call createCurrent(P_muPlus, P_muMinus, P_AQ, 7973, check)
    call createCurrent(P_AQ, P_WMinus, P_Ha, P_HQPlus, 1914, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Z, P_ZQ, 4341, check)
    call createCurrent(P_Hh, P_Z, P_Hl, P_A, 10489, check)
    call createCurrent(P_HQMinus, P_WPlus, P_HhQ, 4439, check)
    call createCurrent(P_Hl, P_Hl, P_ghWp, P_ghWpAnti, 8408, check)
    call createCurrent(P_bAnti, P_t, P_HMinus, 5086, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_HMinus, 9980, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_G0, P_HPlus, 8904, check)
    call createCurrent(P_GQMinus, P_GPlus, P_A, P_AQ, 2151, check)
    call createCurrent(P_HlQ, P_GMinus, P_Ha, P_HQPlus, 5482, check)
    call createCurrent(P_WMinus, P_Hl, P_Hl, P_WPlus, 373, check)
    call createCurrent(P_ePlus, P_WMinus, P_nu_e, 2981, check)
    call createCurrent(P_t, P_tAnti, P_AQ, 908, check)
    call createCurrent(P_g, P_HPlus, P_g, P_HMinus, 10519, check)
    call createCurrent(P_Z, P_Hh, P_GMinus, P_WPlus, 451, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWm, P_HPlus, 3893, check)
    call createCurrent(P_ghZAnti, P_Hh, P_GPlus, P_ghWm, 4810, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghA, P_HQPlus, 664, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghAAnti, P_G0, 9803, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghZAnti, P_HMinus, 7079, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_A, 7591, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_Hh, 1429, check)
    call createCurrent(P_GPlus, P_GMinus, P_GMinus, P_GPlus, 4721, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_Ha, 9811, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghAAnti, P_ghA, 9091, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hl, P_HQPlus, 1109, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hh, P_GPlus, 8722, check)
    call createCurrent(P_HQMinus, P_nu_e, P_ePlus, 5775, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghWmAnti, P_HMinus, 4607, check)
    call createCurrent(P_GPlus, P_WMinus, P_WPlus, P_HMinus, 9667, check)
    call createCurrent(P_Hl, P_ghZ, P_ghZAnti, 7822, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hh, 10592, check)
    call createCurrent(P_Hh, P_ghWp, P_HMinus, P_ghAAnti, 2624, check)
    call createCurrent(P_muPlus, P_G0, P_muMinus, 16, check)
    call createCurrent(P_GQ0, P_WPlus, P_G0, P_WQMinus, 7122, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HMinus, P_HPlus, 5953, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_HaQ, 7708, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Ha, P_ghZ, 9751, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ZQ, 34, check)
    call createCurrent(P_g, P_g, P_Ha, P_Ha, 10616, check)
    call createCurrent(P_GPlus, P_GMinus, 9686, check)
    call createCurrent(P_ghWm, P_Z, P_ghAAnti, P_WPlus, 724, check)
    call createCurrent(P_c, P_g, P_cAnti, 1822, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghA, P_ghAAnti, 3819, check)
    call createCurrent(P_Ha, P_WPlus, P_HMinus, P_Z, 1423, check)
    call createCurrent(P_HhQ, P_A, P_GPlus, P_WQMinus, 3969, check)
    call createCurrent(P_Ha, P_G0, P_G0, 10740, check)
    call createCurrent(P_HhQ, P_G0, P_Hh, P_HaQ, 7306, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghAAnti, 3155, check)
    call createCurrent(P_GQPlus, P_HPlus, P_GMinus, P_GQMinus, 5783, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_Ha, P_ghZ, 9439, check)
    call createCurrent(P_muMinus, P_muPlus, P_AQ, 4161, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_GQ0, 2865, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_Hh, 2788, check)
    call createCurrent(P_GMinus, P_Hh, P_ghWp, P_ghAAnti, 2685, check)
    call createCurrent(P_GPlus, P_Hl, P_HMinus, P_Ha, 2846, check)
    call createCurrent(P_G0, P_ghWm, P_HPlus, P_ghAAnti, 9243, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_A, 33, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HMinus, P_GPlus, 9292, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, 7289, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghZAnti, P_ghZ, 2102, check)
    call createCurrent(P_Hl, P_HMinus, P_ghWmAnti, P_ghA, 5302, check)
    call createCurrent(P_GPlus, P_G0, P_WMinus, P_A, 1766, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_Hh, P_ghWm, 6777, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_Z, P_ghWm, 334, check)
    call createCurrent(P_HaQ, P_HMinus, P_GQPlus, 7763, check)
    call createCurrent(P_cAnti, P_c, P_ZQ, 4959, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghWmAnti, P_GMinus, 7986, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_G0, 10275, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, 8214, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghAAnti, 5761, check)
    call createCurrent(P_ghA, P_HMinus, P_ghAAnti, P_GPlus, 9248, check)
    call createCurrent(P_Hh, P_HPlus, P_GMinus, P_Hl, 7257, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghWpAnti, 5981, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_WPlus, P_ghWm, 954, check)
    call createCurrent(P_GQMinus, P_WMinus, P_WPlus, P_GQPlus, 8447, check)
    call createCurrent(P_HQPlus, P_tAnti, P_b, 7757, check)
    call createCurrent(P_ghWmAnti, P_ghWp, P_WMinus, P_WMinus, 3978, check)
    call createCurrent(P_ghWm, P_Hl, P_Hh, P_ghWmAnti, 10477, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_Hh, 7084, check)
    call createCurrent(P_AQ, P_ghWp, P_ghWpAnti, 4529, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Hl, P_HPlus, 4547, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_A, 4166, check)
    call createCurrent(P_GMinus, P_HPlus, P_HPlus, P_GMinus, 1168, check)
    call createCurrent(P_GMinus, P_Hl, P_GPlus, P_Ha, 9678, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_Hl, 1993, check)
    call createCurrent(P_G0, P_G0, P_Hh, P_Hl, 1315, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghZ, P_HPlus, 7277, check)
    call createCurrent(P_HQPlus, P_Hh, P_HMinus, P_HlQ, 6928, check)
    call createCurrent(P_s, P_sAnti, P_ZQ, 6734, check)
    call createCurrent(P_ghWm, P_HPlus, P_GMinus, P_ghWmAnti, 8967, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Ha, P_HlQ, 2739, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_GMinus, P_ghZ, 7953, check)
    call createCurrent(P_HMinus, P_Ha, P_Hl, P_HPlus, 10391, check)
    call createCurrent(P_GPlus, P_Hh, P_Ha, P_HMinus, 7875, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_AQ, 306, check)
    call createCurrent(P_GQMinus, P_Hl, P_Ha, P_HQPlus, 2230, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_Z, 338, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, 5969, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_GMinus, P_GPlus, 2090, check)
    call createCurrent(P_AQ, P_ghWp, P_WMinus, P_ghAAnti, 6909, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, P_Hl, 8510, check)
    call createCurrent(P_WMinus, P_Z, P_Z, P_WPlus, 2761, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_GPlus, P_ghWm, 2296, check)
    call createCurrent(P_HaQ, P_Hh, P_ZQ, 8526, check)
    call createCurrent(P_Ha, P_ghZ, P_HPlus, P_ghWpAnti, 1211, check)
    call createCurrent(P_ghWp, P_G0, P_ghAAnti, P_HMinus, 10461, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghZAnti, P_GPlus, 10360, check)
    call createCurrent(P_GMinus, P_Z, P_Ha, P_WPlus, 9741, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_HaQ, 3329, check)
    call createCurrent(P_HPlus, P_Z, P_G0, P_WMinus, 9949, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWp, P_HMinus, 733, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_HPlus, 2117, check)
    call createCurrent(P_HQPlus, P_HMinus, P_WPlus, P_WQMinus, 4710, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_GPlus, 4279, check)
    call createCurrent(P_muPlus, P_nu_mu, P_GQMinus, 2498, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWm, P_GPlus, 8378, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, 7241, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_HMinus, 6024, check)
    call createCurrent(P_Ha, P_ghWm, P_ghWmAnti, P_Ha, 7778, check)
    call createCurrent(P_G0, P_ghWp, P_ghAAnti, P_GMinus, 4121, check)
    call createCurrent(P_Hh, P_GMinus, P_WPlus, P_Z, 4457, check)
    call createCurrent(P_cAnti, P_s, P_GQPlus, 8496, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hh, P_GMinus, 6506, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GMinus, P_GQPlus, 2004, check)
    call createCurrent(P_b, P_bAnti, P_Z, 3911, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_GQ0, 8523, check)
    call createCurrent(P_Hl, P_Hl, P_GMinus, P_HPlus, 694, check)
    call createCurrent(P_Hl, P_Ha, P_Ha, P_Hh, 3593, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hh, 1004, check)
    call createCurrent(P_cAnti, P_HPlus, P_s, 4665, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghA, P_HMinus, 9226, check)
    call createCurrent(P_Hl, P_WPlus, P_A, P_HMinus, 1058, check)
    call createCurrent(P_HPlus, P_Hl, P_ghWpAnti, P_ghZ, 4007, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, 6607, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_GMinus, P_Hl, 6527, check)
    call createCurrent(P_G0, P_ghWp, P_GMinus, P_ghAAnti, 2736, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, 7328, check)
    call createCurrent(P_HPlus, P_WMinus, P_Ha, P_A, 8331, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghAAnti, P_GPlus, 6500, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Ha, P_ghZ, 9078, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_HPlus, P_HQMinus, 1929, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_G0, P_GQMinus, 8537, check)
    call createCurrent(P_GQ0, P_Hl, P_ZQ, 4536, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZAnti, P_ghA, 8802, check)
    call createCurrent(P_HaQ, P_Hh, P_ghWpAnti, P_ghWp, 74, check)
    call createCurrent(P_WMinus, P_Hl, P_WPlus, 3610, check)
    call createCurrent(P_GQ0, P_GMinus, P_GPlus, P_HaQ, 7458, check)
    call createCurrent(P_ghZAnti, P_Hl, P_ghWm, P_GPlus, 6013, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, 5378, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hh, P_ghZ, 4332, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghZAnti, P_A, 7640, check)
    call createCurrent(P_GQMinus, P_muPlus, P_nu_mu, 6392, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_A, 6168, check)
    call createCurrent(P_AQ, P_Ha, P_WMinus, P_HQPlus, 6823, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Ha, P_HMinus, 3414, check)
    call createCurrent(P_HQPlus, P_GPlus, P_GMinus, P_GQMinus, 4770, check)
    call createCurrent(P_Hl, P_eMinus, P_ePlus, 5571, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghWp, P_WMinus, 5179, check)
    call createCurrent(P_HlQ, P_Hh, P_Hl, P_HhQ, 3096, check)
    call createCurrent(P_HlQ, P_GPlus, P_Ha, P_GQMinus, 949, check)
    call createCurrent(P_Hh, P_tauMinus, P_tauPlus, 2552, check)
    call createCurrent(P_GQPlus, P_GMinus, P_HPlus, P_GQMinus, 4446, check)
    call createCurrent(P_Z, P_Ha, P_Hl, 7470, check)
    call createCurrent(P_Z, P_GPlus, P_WMinus, 2827, check)
    call createCurrent(P_WPlus, P_GMinus, P_G0, P_A, 3763, check)
    call createCurrent(P_AQ, P_HPlus, P_WQMinus, 8164, check)
    call createCurrent(P_Z, P_Z, P_WPlus, P_WMinus, 2664, check)
    call createCurrent(P_HlQ, P_HMinus, P_G0, P_GQPlus, 3694, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghZ, P_WPlus, 4416, check)
    call createCurrent(P_g, P_g, P_HPlus, P_GMinus, 10721, check)
    call createCurrent(P_ghAAnti, P_Hl, P_HPlus, P_ghWm, 3399, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hh, 7880, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_HaQ, 6608, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, 2983, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghA, P_Ha, 8088, check)
    call createCurrent(P_HaQ, P_HPlus, P_WQMinus, 5146, check)
    call createCurrent(P_WMinus, P_g, P_g, P_WPlus, 10552, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hh, P_ghZ, 238, check)
    call createCurrent(P_tAnti, P_t, P_HlQ, 6430, check)
    call createCurrent(P_Z, P_WMinus, P_ghWmAnti, P_ghZ, 2530, check)
    call createCurrent(P_GQPlus, P_WMinus, P_G0, P_AQ, 4182, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, 8422, check)
    call createCurrent(P_Z, P_HPlus, P_HMinus, P_Z, 2900, check)
    call createCurrent(P_G0, P_A, P_HPlus, P_WMinus, 10104, check)
    call createCurrent(P_HQMinus, P_WPlus, P_Hh, P_ZQ, 8356, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Hl, 4620, check)
    call createCurrent(P_ghWp, P_A, P_ghZAnti, P_WMinus, 1064, check)
    call createCurrent(P_GQ0, P_G0, P_GMinus, P_HQPlus, 6994, check)
    call createCurrent(P_GPlus, P_ghWmAnti, P_ghWm, P_HMinus, 9951, check)
    call createCurrent(P_Hl, P_A, P_Hl, P_Z, 9755, check)
    call createCurrent(P_WMinus, P_HPlus, P_A, P_Hl, 2616, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_G0, 5300, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, 6200, check)
    call createCurrent(P_Hh, P_HMinus, P_ghWmAnti, P_ghZ, 3344, check)
    call createCurrent(P_A, P_Hh, P_HMinus, P_WPlus, 2630, check)
    call createCurrent(P_HaQ, P_Hl, P_ghWpAnti, P_ghWp, 7505, check)
    call createCurrent(P_Z, P_HMinus, P_Z, P_HPlus, 6305, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hl, 7773, check)
    call createCurrent(P_ZQ, P_Ha, P_WMinus, P_HQPlus, 7261, check)
    call createCurrent(P_tAnti, P_t, P_HaQ, 4477, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, P_Ha, 4117, check)
    call createCurrent(P_nu_e, P_ePlus, P_GQMinus, 1141, check)
    call createCurrent(P_G0, P_GPlus, P_ghWpAnti, P_ghA, 7682, check)
    call createCurrent(P_Z, P_A, P_A, P_Z, 10650, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghAAnti, P_ghZ, 1926, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_HaQ, 8812, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_G0, 8153, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Hl, 5846, check)
    call createCurrent(P_GQ0, P_GPlus, P_ghAAnti, P_ghWm, 6764, check)
    call createCurrent(P_Ha, P_A, P_HPlus, P_WMinus, 3701, check)
    call createCurrent(P_Ha, P_Hl, P_HMinus, P_HPlus, 9493, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_Z, 9121, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HMinus, P_HQPlus, 525, check)
    call createCurrent(P_ghA, P_HPlus, P_ghAAnti, P_HQMinus, 6977, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_GMinus, 8042, check)
    call createCurrent(P_GMinus, P_G0, P_ghZAnti, P_ghWp, 4655, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_GQ0, 7431, check)
    call createCurrent(P_G0, P_WMinus, P_GPlus, 4521, check)
    call createCurrent(P_Hl, P_Ha, P_Hl, P_Ha, 4680, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_GQMinus, 6788, check)
    call createCurrent(P_HlQ, P_HMinus, P_ghWp, P_ghAAnti, 751, check)
    call createCurrent(P_HMinus, P_WPlus, P_G0, 9211, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_HlQ, 2016, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_G0, P_GMinus, 4829, check)
    call createCurrent(P_WMinus, P_WPlus, P_Z, P_A, 5692, check)
    call createCurrent(P_G0, P_Z, 9854, check)
    call createCurrent(P_ghZ, P_HPlus, P_Ha, P_ghWpAnti, 8182, check)
    call createCurrent(P_A, P_G0, P_GPlus, P_WMinus, 6829, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hh, P_HlQ, 2405, check)
    call createCurrent(P_A, P_GMinus, P_HPlus, P_A, 9041, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghA, P_WQMinus, 7157, check)
    call createCurrent(P_HMinus, P_GPlus, P_G0, 4420, check)
    call createCurrent(P_GQ0, P_GMinus, P_HPlus, P_HaQ, 697, check)
    call createCurrent(P_Z, P_Ha, P_A, P_G0, 10751, check)
    call createCurrent(P_GQ0, P_G0, P_HhQ, 1952, check)
    call createCurrent(P_WMinus, P_A, P_ghWp, P_ghAAnti, 4211, check)
    call createCurrent(P_nu_tauAnti, P_tauMinus, P_WQPlus, 8348, check)
    call createCurrent(P_HMinus, P_ghZ, P_GPlus, P_ghZAnti, 9754, check)
    call createCurrent(P_GQMinus, P_WPlus, P_G0, P_ZQ, 3509, check)
    call createCurrent(P_ghAAnti, P_Hh, P_ghWm, P_GPlus, 7466, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Ha, P_HhQ, 3453, check)
    call createCurrent(P_ghWp, P_WPlus, P_ghWpAnti, P_WMinus, 1176, check)
    call createCurrent(P_WPlus, P_HMinus, P_Ha, P_Z, 1049, check)
    call createCurrent(P_HhQ, P_HPlus, P_Hh, P_HQMinus, 2522, check)
    call createCurrent(P_HQPlus, P_Hh, P_GMinus, P_HhQ, 3051, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Z, P_WMinus, 5368, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HPlus, P_GMinus, 9715, check)
    call createCurrent(P_GPlus, P_GMinus, P_G0, P_Hl, 9321, check)
    call createCurrent(P_GQMinus, P_Hl, P_WQPlus, 3898, check)
    call createCurrent(P_HMinus, P_g, P_g, P_GPlus, 10628, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_A, 5600, check)
    call createCurrent(P_ZQ, P_WPlus, P_ghWm, P_ghAAnti, 489, check)
    call createCurrent(P_A, P_ghWp, P_A, P_ghWpAnti, 4874, check)
    call createCurrent(P_ZQ, P_nu_eAnti, P_nu_e, 7061, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_G0, P_HMinus, 8846, check)
    call createCurrent(P_WMinus, P_A, P_Hl, P_HPlus, 2316, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Z, P_A, 1230, check)
    call createCurrent(P_Hl, P_ghA, P_HMinus, P_ghWmAnti, 3097, check)
    call createCurrent(P_HPlus, P_ghWm, P_Hl, P_ghZAnti, 6704, check)
    call createCurrent(P_GQMinus, P_ghAAnti, P_GPlus, P_ghA, 345, check)
    call createCurrent(P_GMinus, P_Hh, P_Ha, P_GPlus, 9635, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, 4272, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghA, P_HMinus, 9224, check)
    call createCurrent(P_HMinus, P_Ha, P_G0, P_HPlus, 4731, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Ha, P_HaQ, 4116, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_A, P_ghWp, 7579, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghZ, P_Ha, 2297, check)
    call createCurrent(P_nu_e, P_ePlus, P_HQMinus, 3013, check)
    call createCurrent(P_AQ, P_Z, P_ghWm, P_ghWmAnti, 5770, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_Hl, P_ghWm, 9807, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, 9250, check)
    call createCurrent(P_b, P_bAnti, P_GQ0, 6261, check)
    call createCurrent(P_Z, P_ghWm, P_WPlus, P_ghAAnti, 7612, check)
    call createCurrent(P_Hl, P_tauPlus, P_tauMinus, 4065, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Ha, 9570, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, 7976, check)
    call createCurrent(P_d, P_dAnti, P_HaQ, 8570, check)
    call createCurrent(P_GQPlus, P_GMinus, P_A, P_AQ, 8156, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_G0, P_ghWp, 9650, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, P_Ha, 10287, check)
    call createCurrent(P_GQPlus, P_Hh, P_G0, P_HQMinus, 1223, check)
    call createCurrent(P_Ha, P_HMinus, P_Z, P_WPlus, 168, check)
    call createCurrent(P_HQPlus, P_tauMinus, P_nu_tauAnti, 7705, check)
    call createCurrent(P_HPlus, P_HMinus, P_WPlus, P_WMinus, 1940, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghZAnti, P_ghA, 874, check)
    call createCurrent(P_GMinus, P_Hl, P_HPlus, P_Ha, 626, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_G0, P_ghA, 2832, check)
    call createCurrent(P_HaQ, P_WPlus, P_Hl, P_WQMinus, 1647, check)
    call createCurrent(P_WPlus, P_WMinus, P_HPlus, P_HMinus, 2941, check)
    call createCurrent(P_WQMinus, P_WPlus, P_G0, P_HhQ, 3313, check)
    call createCurrent(P_HaQ, P_GPlus, P_HMinus, P_HhQ, 7553, check)
    call createCurrent(P_nu_e, P_ePlus, P_GMinus, 3651, check)
    call createCurrent(P_HhQ, P_HMinus, P_HPlus, P_HlQ, 2185, check)
    call createCurrent(P_Ha, P_GPlus, P_ghWm, P_ghAAnti, 9663, check)
    call createCurrent(P_A, P_GMinus, P_Ha, P_WPlus, 9003, check)
    call createCurrent(P_WQPlus, P_ghWm, P_WMinus, P_ghWmAnti, 6496, check)
    call createCurrent(P_sAnti, P_Ha, P_s, 6302, check)
    call createCurrent(P_Hl, P_HMinus, P_WPlus, 6019, check)
    call createCurrent(P_Ha, P_HMinus, P_ghWmAnti, P_ghA, 5019, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Hh, P_ghZ, 1035, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hl, 10572, check)
    call createCurrent(P_g, P_Z, P_A, P_g, 10539, check)
    call createCurrent(P_ghWp, P_Hh, P_ghZAnti, P_GMinus, 3930, check)
    call createCurrent(P_Z, P_muPlus, P_muMinus, 8698, check)
    call createCurrent(P_GMinus, P_ghWp, P_Ha, P_ghZAnti, 10353, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_GMinus, 5926, check)
    call createCurrent(P_Hh, P_HPlus, P_ghWm, P_ghAAnti, 5822, check)
    call createCurrent(P_b, P_g, P_bAnti, 8035, check)
    call createCurrent(P_HPlus, P_Hl, P_Hh, P_GMinus, 6359, check)
    call createCurrent(P_ghA, P_GPlus, P_Hh, P_ghWpAnti, 7143, check)
    call createCurrent(P_WQMinus, P_Z, P_WPlus, P_AQ, 774, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, P_Hh, 414, check)
    call createCurrent(P_ghG, P_g, P_ghGAnti, P_gQ, 1180, check)
    call createCurrent(P_ePlus, P_G0, P_eMinus, 3682, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, P_Hl, 9782, check)
    call createCurrent(P_Ha, P_ghAAnti, P_GPlus, P_ghWm, 9293, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, P_Hh, 6160, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, 5153, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hh, P_GQ0, 6315, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hl, P_HlQ, 4135, check)
    call createCurrent(P_ZQ, P_WMinus, P_Hh, P_HQPlus, 8099, check)
    call createCurrent(P_g, P_Hh, P_Hl, P_g, 10496, check)
    call createCurrent(P_G0, P_GMinus, P_HPlus, 3527, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_Hh, 2953, check)
    call createCurrent(P_G0, P_HPlus, P_ghWpAnti, P_ghA, 9100, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_Ha, P_ghWm, 9074, check)
    call createCurrent(P_HMinus, P_G0, P_GPlus, P_Hl, 437, check)
    call createCurrent(P_HQMinus, P_WPlus, P_AQ, 567, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_Hl, 8934, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_Hl, 1617, check)
    call createCurrent(P_Hl, P_g, P_g, P_Hl, 10491, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_Ha, P_ghZ, 3028, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_G0, 10352, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_WQMinus, 7035, check)
    call createCurrent(P_WPlus, P_WMinus, P_HMinus, P_HPlus, 1559, check)
    call createCurrent(P_WQPlus, P_uAnti, P_d, 1142, check)
    call createCurrent(P_A, P_Hh, P_Hl, P_Z, 10555, check)
    call createCurrent(P_WPlus, P_Z, P_ghWm, P_ghAAnti, 3900, check)
    call createCurrent(P_HQPlus, P_ghA, P_Ha, P_ghWpAnti, 8263, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hh, P_HhQ, 351, check)
    call createCurrent(P_G0, P_Hl, P_HMinus, P_GPlus, 5325, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_G0, P_GQ0, 4683, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghWpAnti, P_ghWp, 221, check)
    call createCurrent(P_HaQ, P_Hl, P_Hl, P_GQ0, 80, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, P_Z, 9340, check)
    call createCurrent(P_ZQ, P_ghAAnti, P_WMinus, P_ghWp, 1886, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_WPlus, P_WQMinus, 4198, check)
    call createCurrent(P_AQ, P_WPlus, P_GQMinus, 606, check)
    call createCurrent(P_WMinus, P_ghWpAnti, P_WPlus, P_ghWp, 6721, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, 9842, check)
    call createCurrent(P_GMinus, P_g, P_GPlus, P_g, 10768, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZ, P_ghAAnti, 5513, check)
    call createCurrent(P_HaQ, P_b, P_bAnti, 1667, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWm, P_ghZAnti, 5449, check)
    call createCurrent(P_ghZ, P_HPlus, P_HMinus, P_ghZAnti, 1672, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_GQMinus, 7440, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_G0, P_ghWm, 5347, check)
    call createCurrent(P_WPlus, P_ghWmAnti, P_ghWm, P_WMinus, 2606, check)
    call createCurrent(P_WQPlus, P_tauMinus, P_nu_tauAnti, 1094, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_Hl, 195, check)
    call createCurrent(P_HlQ, P_ghZ, P_Hl, P_ghZAnti, 4809, check)
    call createCurrent(P_GMinus, P_t, P_bAnti, 3001, check)
    call createCurrent(P_HhQ, P_b, P_bAnti, 3949, check)
    call createCurrent(P_ghAAnti, P_Hl, P_HMinus, P_ghWp, 6307, check)
    call createCurrent(P_GQPlus, P_Hh, P_Ha, P_HQMinus, 3032, check)
    call createCurrent(P_HhQ, P_GPlus, P_G0, P_GQMinus, 2544, check)
    call createCurrent(P_HQMinus, P_ghA, P_HPlus, P_ghZAnti, 5445, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Ha, P_HhQ, 7132, check)
    call createCurrent(P_A, P_ghZ, P_WPlus, P_ghWpAnti, 2263, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghWp, P_Hh, 5204, check)
    call createCurrent(P_HlQ, P_HPlus, P_Ha, P_HQMinus, 5686, check)
    call createCurrent(P_HlQ, P_ghWm, P_G0, P_ghWmAnti, 6144, check)
    call createCurrent(P_WQPlus, P_Ha, P_WMinus, P_HhQ, 4867, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, P_GQ0, 8141, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_A, 8305, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, P_A, 4464, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_G0, P_G0, 7957, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_A, 5161, check)
    call createCurrent(P_HlQ, P_ghZ, P_HMinus, P_ghWmAnti, 4825, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghWp, P_HhQ, 7577, check)
    call createCurrent(P_G0, P_GPlus, P_ghWm, P_ghAAnti, 7712, check)
    call createCurrent(P_Z, P_Z, P_A, P_A, 10596, check)
    call createCurrent(P_HQMinus, P_GMinus, P_HPlus, P_GQPlus, 5815, check)
    call createCurrent(P_WMinus, P_GPlus, P_G0, 1935, check)
    call createCurrent(P_HQMinus, P_A, P_WPlus, P_HaQ, 4276, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghZ, P_ghZAnti, 5531, check)
    call createCurrent(P_HQPlus, P_Hh, P_WMinus, P_ZQ, 4599, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Hh, 8745, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghA, P_ghAAnti, 9919, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWmAnti, P_ghWm, 8383, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, 3137, check)
    call createCurrent(P_WMinus, P_G0, P_GPlus, P_Z, 8172, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, P_Z, 8234, check)
    call createCurrent(P_GMinus, P_Hh, P_A, P_WPlus, 3232, check)
    call createCurrent(P_AQ, P_WPlus, P_Hl, P_HQMinus, 6573, check)
    call createCurrent(P_A, P_HMinus, P_HPlus, P_A, 2059, check)
    call createCurrent(P_GPlus, P_HMinus, P_A, 8974, check)
    call createCurrent(P_Hh, P_ghA, P_HPlus, P_ghWpAnti, 7452, check)
    call createCurrent(P_GQPlus, P_WMinus, P_AQ, 2127, check)
    call createCurrent(P_ghA, P_ghAAnti, P_GMinus, P_GQPlus, 4009, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, 3568, check)
    call createCurrent(P_G0, P_G0, P_g, P_g, 10537, check)
    call createCurrent(P_Hh, P_A, P_GPlus, P_WMinus, 54, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_G0, P_ghWp, 2255, check)
    call createCurrent(P_Hh, P_muPlus, P_muMinus, 8517, check)
    call createCurrent(P_ghAAnti, P_Ha, P_ghWp, P_HMinus, 1112, check)
    call createCurrent(P_HPlus, P_GMinus, P_A, P_Z, 9015, check)
    call createCurrent(P_HlQ, P_GPlus, P_WMinus, P_ZQ, 271, check)
    call createCurrent(P_Hh, P_WMinus, P_A, P_HPlus, 2655, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, P_HlQ, 2266, check)
    call createCurrent(P_ghWp, P_WMinus, P_WPlus, P_ghWpAnti, 3305, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_G0, 1451, check)
    call createCurrent(P_Hh, P_t, P_tAnti, 620, check)
    call createCurrent(P_cAnti, P_G0, P_c, 7312, check)
    call createCurrent(P_ZQ, P_A, P_GPlus, P_GQMinus, 3728, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghWp, P_Hh, 8682, check)
    call createCurrent(P_ePlus, P_nu_e, P_GQMinus, 3601, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_Z, P_ghWp, 2589, check)
    call createCurrent(P_GQMinus, P_G0, P_HPlus, P_GQ0, 7182, check)
    call createCurrent(P_HMinus, P_Hh, P_ghAAnti, P_ghWp, 4992, check)
    call createCurrent(P_Hl, P_HMinus, P_HPlus, P_G0, 10400, check)
    call createCurrent(P_HQPlus, P_ghZ, P_Hh, P_ghWpAnti, 5106, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, P_Z, 1858, check)
    call createCurrent(P_HaQ, P_Hh, P_GQ0, 6105, check)
    call createCurrent(P_u, P_uAnti, P_A, 3744, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_A, P_ghWp, 3867, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hl, P_ghAAnti, 1824, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hh, P_HaQ, 6398, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GQMinus, 4505, check)
    call createCurrent(P_ghWm, P_GPlus, P_Ha, P_ghAAnti, 9460, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, 6655, check)
    call createCurrent(P_GMinus, P_A, P_G0, P_WPlus, 4834, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWp, P_WQMinus, 7177, check)
    call createCurrent(P_WQMinus, P_Z, P_HPlus, P_HhQ, 7522, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_Ha, 9909, check)
    call createCurrent(P_GMinus, P_ghWm, P_GPlus, P_ghWmAnti, 7785, check)
    call createCurrent(P_ghA, P_WMinus, P_Z, P_ghWmAnti, 3369, check)
    call createCurrent(P_AQ, P_WPlus, P_ghWm, P_ghZAnti, 4471, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_HlQ, 6694, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghA, P_WQMinus, 1595, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, 6282, check)
    call createCurrent(P_Ha, P_ghA, P_GMinus, P_ghWmAnti, 9689, check)
    call createCurrent(P_WPlus, P_ghWm, P_A, P_ghZAnti, 7202, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_HaQ, 2871, check)
    call createCurrent(P_HQPlus, P_ghWpAnti, P_Ha, P_ghA, 8373, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_HPlus, 4140, check)
    call createCurrent(P_GQMinus, P_Hl, P_ghZ, P_ghWmAnti, 3876, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghAAnti, P_ghZ, 737, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, P_ZQ, 837, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_A, P_WQMinus, 1412, check)
    call createCurrent(P_Hl, P_ghZ, P_ghWmAnti, P_HMinus, 6443, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, P_Hl, 7417, check)
    call createCurrent(P_HPlus, P_ghWm, P_Ha, P_ghAAnti, 6916, check)
    call createCurrent(P_HPlus, P_Hh, P_ghAAnti, P_ghWm, 7210, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWpAnti, P_GQPlus, 2783, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghZ, P_GMinus, 4595, check)
    call createCurrent(P_HQPlus, P_Ha, P_G0, P_HQMinus, 2792, check)
    call createCurrent(P_HQMinus, P_Hh, P_Hh, P_HQPlus, 3983, check)
    call createCurrent(P_GPlus, P_ghWm, P_GMinus, P_ghWmAnti, 1722, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_Ha, 8622, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghWp, P_G0, 10342, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_HMinus, 7117, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_Hh, 1215, check)
    call createCurrent(P_WPlus, P_GPlus, P_GMinus, P_WMinus, 6456, check)
    call createCurrent(P_b, P_bAnti, P_g, 190, check)
    call createCurrent(P_GQ0, P_ghWmAnti, P_Hl, P_ghWm, 3475, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWpAnti, P_HQPlus, 1841, check)
    call createCurrent(P_WMinus, P_Z, P_Hl, P_HPlus, 7821, check)
    call createCurrent(P_Z, P_GPlus, P_HMinus, 9144, check)
    call createCurrent(P_ghA, P_Hl, P_ghWpAnti, P_GQPlus, 1174, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, 591, check)
    call createCurrent(P_HQPlus, P_Hl, P_Z, P_WQMinus, 6670, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghZ, P_HPlus, 9506, check)
    call createCurrent(P_Hl, P_WMinus, P_A, P_GPlus, 4758, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_Hh, 597, check)
    call createCurrent(P_WQMinus, P_HMinus, P_WPlus, P_HQPlus, 2367, check)
    call createCurrent(P_HQPlus, P_Z, P_WMinus, P_HaQ, 1741, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_A, P_WPlus, 6617, check)
    call createCurrent(P_Z, P_Z, P_GPlus, P_HMinus, 9884, check)
    call createCurrent(P_AQ, P_WPlus, P_WMinus, P_AQ, 4367, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, P_Ha, 9323, check)
    call createCurrent(P_ghZ, P_G0, P_ghWpAnti, P_GPlus, 5748, check)
    call createCurrent(P_HPlus, P_G0, P_Ha, P_GMinus, 2225, check)
    call createCurrent(P_ghAAnti, P_ghA, P_WPlus, P_WMinus, 3746, check)
    call createCurrent(P_G0, P_ghWpAnti, P_Ha, P_ghWp, 10171, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_GPlus, P_Hh, 3261, check)
    call createCurrent(P_HlQ, P_Ha, P_GMinus, P_HQPlus, 3124, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Ha, P_HaQ, 6785, check)
    call createCurrent(P_GMinus, P_ghWp, P_G0, P_ghAAnti, 7669, check)
    call createCurrent(P_ghWp, P_G0, P_HMinus, P_ghZAnti, 8859, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hh, P_Hh, 2811, check)
    call createCurrent(P_GQ0, P_WMinus, P_WPlus, P_GQ0, 5112, check)
    call createCurrent(P_HlQ, P_tauMinus, P_tauPlus, 405, check)
    call createCurrent(P_Z, P_G0, P_G0, P_Z, 8374, check)
    call createCurrent(P_GPlus, P_Z, P_Hl, P_WMinus, 8740, check)
    call createCurrent(P_Hl, P_G0, P_G0, P_Hh, 1585, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghZ, P_HPlus, 6009, check)
    call createCurrent(P_d, P_g, P_dAnti, 6164, check)
    call createCurrent(P_muPlus, P_muMinus, P_HhQ, 1941, check)
    call createCurrent(P_sAnti, P_g, P_s, 4670, check)
    call createCurrent(P_Ha, P_HMinus, P_HPlus, P_Ha, 4380, check)
    call createCurrent(P_A, P_ePlus, P_eMinus, 5517, check)
    call createCurrent(P_A, P_G0, P_Z, P_G0, 9926, check)
    call createCurrent(P_HMinus, P_G0, P_Ha, P_GPlus, 3585, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_HMinus, P_ghA, 5421, check)
    call createCurrent(P_A, P_GMinus, P_A, P_HPlus, 9889, check)
    call createCurrent(P_G0, P_GMinus, P_ghAAnti, P_ghWp, 6280, check)
    call createCurrent(P_ghWm, P_ghWpAnti, P_WPlus, P_WQPlus, 1218, check)
    call createCurrent(P_AQ, P_HMinus, P_HQPlus, 2273, check)
    call createCurrent(P_GQMinus, P_Ha, P_GPlus, P_HhQ, 8122, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_HMinus, P_ghA, 10331, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghA, P_G0, 10027, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_HlQ, 6860, check)
    call createCurrent(P_GPlus, P_HMinus, P_HMinus, P_HPlus, 6945, check)
    call createCurrent(P_ZQ, P_s, P_sAnti, 6536, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_HhQ, 2213, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghZ, P_GQMinus, 275, check)
    call createCurrent(P_G0, P_Hl, P_HMinus, P_HPlus, 9071, check)
    call createCurrent(P_ghWmAnti, P_WPlus, P_WMinus, P_ghWm, 1456, check)
    call createCurrent(P_WMinus, P_dAnti, P_u, 4314, check)
    call createCurrent(P_ghWm, P_Ha, P_ghWmAnti, P_G0, 10401, check)
    call createCurrent(P_ghZ, P_Ha, P_HMinus, P_ghWmAnti, 6086, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghA, 291, check)
    call createCurrent(P_GPlus, P_ghA, P_ghAAnti, P_HMinus, 9193, check)
    call createCurrent(P_Z, P_WPlus, P_A, P_WMinus, 6110, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_ghWm, 7523, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GQPlus, 6097, check)
    call createCurrent(P_GQPlus, P_ghA, P_ghWpAnti, 2850, check)
    call createCurrent(P_Z, P_Hh, P_WPlus, P_GMinus, 2426, check)
    call createCurrent(P_HlQ, P_Ha, P_G0, P_HlQ, 1564, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_A, 2703, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, 5705, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_A, 9026, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_Hl, 8272, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghZ, P_GMinus, 10436, check)
    call createCurrent(P_G0, P_G0, P_GMinus, P_HPlus, 3774, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_WMinus, P_Z, 7551, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_ghZ, P_G0, 8886, check)
    call createCurrent(P_Hl, P_ghWm, P_GPlus, P_ghAAnti, 4540, check)
    call createCurrent(P_HPlus, P_Hl, P_Hl, P_GMinus, 1192, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghWm, P_GPlus, 5214, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghA, P_G0, 10108, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_HMinus, P_ghZ, 2937, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GMinus, P_HPlus, 9840, check)
    call createCurrent(P_HQMinus, P_Ha, P_ghWmAnti, P_ghA, 4265, check)
    call createCurrent(P_s, P_cAnti, P_HPlus, 7465, check)
    call createCurrent(P_WQMinus, P_A, P_ghA, P_ghWmAnti, 2192, check)
    call createCurrent(P_Hl, P_HMinus, P_Ha, P_HPlus, 9913, check)
    call createCurrent(P_dAnti, P_d, P_Hl, 1047, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghWmAnti, P_ghWm, 5064, check)
    call createCurrent(P_HaQ, P_G0, P_GPlus, P_GQMinus, 3049, check)
    call createCurrent(P_GPlus, P_Hh, P_Hl, P_GMinus, 6184, check)
    call createCurrent(P_HMinus, P_Ha, P_HPlus, P_Hh, 10299, check)
    call createCurrent(P_HQMinus, P_ghA, P_ghWmAnti, 1208, check)
    call createCurrent(P_uAnti, P_u, P_Hl, 4158, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghAAnti, P_GMinus, 1220, check)
    call createCurrent(P_HlQ, P_Z, P_HaQ, 1717, check)
    call createCurrent(P_A, P_tauPlus, P_tauMinus, 2966, check)
    call createCurrent(P_Ha, P_Z, P_Z, P_Ha, 8049, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, P_Hl, 3664, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghWm, P_HPlus, 429, check)
    call createCurrent(P_A, P_Hh, P_A, 10708, check)
    call createCurrent(P_Z, P_WPlus, P_WMinus, P_Z, 1408, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HMinus, P_HQPlus, 3170, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_G0, 7406, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_HlQ, 472, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, 324, check)
    call createCurrent(P_GPlus, P_Hl, P_A, P_WMinus, 1581, check)
    call createCurrent(P_HaQ, P_ghZAnti, P_Ha, P_ghZ, 7009, check)
    call createCurrent(P_GMinus, P_G0, P_GPlus, P_Hh, 9456, check)
    call createCurrent(P_GQMinus, P_G0, P_Hl, P_HQPlus, 4122, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghA, P_WQPlus, 6686, check)
    call createCurrent(P_A, P_Ha, P_Ha, P_A, 10563, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_AQ, 3159, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghWpAnti, P_HPlus, 9046, check)
    call createCurrent(P_WQPlus, P_A, P_WMinus, P_ZQ, 3123, check)
    call createCurrent(P_WQMinus, P_Hl, P_Hl, P_WQPlus, 3259, check)
    call createCurrent(P_GQ0, P_Ha, P_GMinus, P_GQPlus, 6814, check)
    call createCurrent(P_GPlus, P_Hh, P_ghAAnti, P_ghWm, 1231, check)
    call createCurrent(P_Hh, P_cAnti, P_c, 4349, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_HhQ, 4074, check)
    call createCurrent(P_Ha, P_G0, P_ghZAnti, P_ghZ, 10024, check)
    call createCurrent(P_t, P_Hl, P_tAnti, 2744, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_A, P_WQPlus, 8466, check)
    call createCurrent(P_HMinus, P_ghZ, P_Ha, P_ghWmAnti, 635, check)
    call createCurrent(P_G0, P_HPlus, P_GMinus, P_G0, 7246, check)
    call createCurrent(P_WMinus, P_GMinus, P_GPlus, P_WPlus, 3481, check)
    call createCurrent(P_Z, P_ghWp, P_WMinus, P_ghAAnti, 274, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_ghZ, 2190, check)
    call createCurrent(P_HlQ, P_G0, P_ZQ, 8193, check)
    call createCurrent(P_HhQ, P_Hl, P_GPlus, P_GQMinus, 2187, check)
    call createCurrent(P_GPlus, P_Hh, P_WMinus, P_Z, 2195, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hl, P_GQPlus, 6696, check)
    call createCurrent(P_GQMinus, P_Hh, P_HPlus, P_HaQ, 5633, check)
    call createCurrent(P_HMinus, P_Z, P_HPlus, 1018, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_HMinus, 9788, check)
    call createCurrent(P_Hh, P_Hl, P_Hl, P_Hl, 1982, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghZAnti, P_ghZ, 10254, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, P_A, 9596, check)
    call createCurrent(P_HlQ, P_HPlus, P_Hh, P_HQMinus, 2773, check)
    call createCurrent(P_HlQ, P_Hl, P_HPlus, P_HQMinus, 1714, check)
    call createCurrent(P_HPlus, P_Hh, P_GMinus, P_G0, 1385, check)
    call createCurrent(P_HhQ, P_GPlus, P_Ha, P_GQMinus, 5622, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GMinus, P_GQPlus, 3126, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hh, 1949, check)
    call createCurrent(P_Z, P_WMinus, P_GPlus, P_Hh, 3168, check)
    call createCurrent(P_A, P_G0, P_Hh, 9992, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghA, P_ghAAnti, 8120, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_WPlus, P_A, 400, check)
    call createCurrent(P_WQPlus, P_ghWm, P_WPlus, P_ghWpAnti, 1971, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hl, P_GPlus, 1927, check)
    call createCurrent(P_ZQ, P_ghZAnti, P_WMinus, P_ghWp, 4289, check)
    call createCurrent(P_GMinus, P_ghZ, P_Hh, P_ghWmAnti, 5119, check)
    call createCurrent(P_Hh, P_ghA, P_ghWpAnti, P_HPlus, 2873, check)
    call createCurrent(P_WQMinus, P_Z, P_ghWmAnti, P_ghA, 6571, check)
    call createCurrent(P_ghA, P_GMinus, P_ghWmAnti, P_Ha, 9103, check)
    call createCurrent(P_Z, P_ghZ, P_ghWpAnti, P_WPlus, 1206, check)
    call createCurrent(P_Z, P_uAnti, P_u, 4363, check)
    call createCurrent(P_GPlus, P_GMinus, P_A, P_Z, 4100, check)
    call createCurrent(P_ghWm, P_A, P_ghAAnti, P_WPlus, 7542, check)
    call createCurrent(P_Ha, P_GMinus, P_GPlus, P_Ha, 1044, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghWm, P_HaQ, 8431, check)
    call createCurrent(P_muMinus, P_GPlus, P_nu_muAnti, 3814, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_Hh, P_ghWp, 3597, check)
    call createCurrent(P_Ha, P_ghZ, P_ghZAnti, P_G0, 9017, check)
    call createCurrent(P_ZQ, P_GMinus, P_GPlus, P_ZQ, 6975, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, P_Ha, 8872, check)
    call createCurrent(P_dAnti, P_g, P_d, 3353, check)
    call createCurrent(P_Ha, P_dAnti, P_d, 5020, check)
    call createCurrent(P_Hl, P_ghAAnti, P_HMinus, P_ghWp, 3227, check)
    call createCurrent(P_HPlus, P_nu_tauAnti, P_tauMinus, 2542, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_A, P_ghWm, 6176, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_GQ0, 5685, check)
    call createCurrent(P_Hl, P_WMinus, P_GPlus, P_A, 8102, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_HlQ, 5388, check)
    call createCurrent(P_ghAAnti, P_ghA, P_GPlus, P_GQMinus, 3654, check)
    call createCurrent(P_ghA, P_G0, P_ghWpAnti, P_HPlus, 10370, check)
    call createCurrent(P_Hl, P_HPlus, P_Z, P_WMinus, 6230, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, P_A, 886, check)
    call createCurrent(P_G0, P_A, P_Hh, 9175, check)
    call createCurrent(P_WPlus, P_Hl, P_Hl, P_WMinus, 6391, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_HhQ, 7796, check)
    call createCurrent(P_Ha, P_HPlus, P_GMinus, P_G0, 7896, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_GPlus, 7146, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_ZQ, 5066, check)
    call createCurrent(P_nu_mu, P_HMinus, P_muPlus, 5856, check)
    call createCurrent(P_Z, P_HPlus, P_Ha, P_WMinus, 6621, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_HhQ, 133, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_GMinus, P_ghA, 10139, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GMinus, P_HQPlus, 5275, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghZAnti, P_AQ, 7820, check)
    call createCurrent(P_HMinus, P_Ha, P_Hh, P_HPlus, 9595, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, 7070, check)
    call createCurrent(P_HPlus, P_Hh, P_A, P_WMinus, 6890, check)
    call createCurrent(P_HhQ, P_Hh, P_HlQ, 989, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghWm, P_A, 7622, check)
    call createCurrent(P_WPlus, P_HPlus, P_HMinus, P_WMinus, 1948, check)
    call createCurrent(P_Ha, P_Hl, P_HMinus, P_GPlus, 2926, check)
    call createCurrent(P_HlQ, P_Ha, P_GMinus, P_GQPlus, 980, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, P_Hh, 1302, check)
    call createCurrent(P_GQMinus, P_Ha, P_HPlus, P_HhQ, 7381, check)
    call createCurrent(P_GMinus, P_Hh, P_ghWmAnti, P_ghA, 379, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Z, P_HhQ, 8589, check)
    call createCurrent(P_GPlus, P_ghZ, P_ghZAnti, P_GMinus, 4044, check)
    call createCurrent(P_GQ0, P_d, P_dAnti, 835, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_HMinus, 1697, check)
    call createCurrent(P_HMinus, P_WMinus, P_GPlus, P_WPlus, 10409, check)
    call createCurrent(P_Hl, P_Z, P_G0, 6157, check)
    call createCurrent(P_Hl, P_GPlus, P_WMinus, P_Z, 611, check)
    call createCurrent(P_HPlus, P_HPlus, P_HMinus, P_HMinus, 230, check)
    call createCurrent(P_Hh, P_GMinus, P_HPlus, P_Hh, 769, check)
    call createCurrent(P_WQMinus, P_WPlus, P_A, P_AQ, 5209, check)
    call createCurrent(P_GQPlus, P_WMinus, P_WPlus, P_GQMinus, 4771, check)
    call createCurrent(P_Hh, P_GMinus, P_Hh, P_HPlus, 8302, check)
    call createCurrent(P_ghA, P_HPlus, P_Hl, P_ghWpAnti, 4362, check)
    call createCurrent(P_HMinus, P_Z, P_GPlus, 10361, check)
    call createCurrent(P_WPlus, P_A, P_ghWm, P_ghAAnti, 7286, check)
    call createCurrent(P_sAnti, P_A, P_s, 7963, check)
    call createCurrent(P_ghA, P_HMinus, P_HPlus, P_ghZAnti, 987, check)
    call createCurrent(P_HMinus, P_GPlus, P_A, P_A, 9957, check)
    call createCurrent(P_WMinus, P_GPlus, P_WPlus, P_GMinus, 1007, check)
    call createCurrent(P_A, P_ghWmAnti, P_Z, P_ghWm, 7696, check)
    call createCurrent(P_WQMinus, P_Z, P_WQPlus, 2012, check)
    call createCurrent(P_ghZ, P_Ha, P_ghZAnti, P_Ha, 3047, check)
    call createCurrent(P_GPlus, P_Ha, P_ghAAnti, P_ghWm, 10261, check)
    call createCurrent(P_HhQ, P_GMinus, P_Ha, P_HQPlus, 8747, check)
    call createCurrent(P_HaQ, P_ghWpAnti, P_ghWp, 6318, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, P_Hh, 538, check)
    call createCurrent(P_AQ, P_G0, P_WMinus, P_GQPlus, 4418, check)
    call createCurrent(P_G0, P_A, P_A, P_G0, 10600, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Ha, P_HlQ, 3434, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, P_Ha, 9455, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_HhQ, 4406, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_GQMinus, 4621, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_G0, P_ghWm, 2587, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghWp, 8592, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Ha, P_GPlus, 8894, check)
    call createCurrent(P_Ha, P_Hh, P_Hl, P_Ha, 6524, check)
    call createCurrent(P_GMinus, P_ghWpAnti, P_ghWp, P_GPlus, 818, check)
    call createCurrent(P_Z, P_nu_mu, P_nu_muAnti, 8477, check)
    call createCurrent(P_HMinus, P_ghA, P_Hh, P_ghWmAnti, 7830, check)
    call createCurrent(P_uAnti, P_u, P_g, 4569, check)
    call createCurrent(P_WMinus, P_Hh, P_HPlus, P_A, 1578, check)
    call createCurrent(P_HQMinus, P_G0, P_HPlus, P_HhQ, 2584, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghWm, P_G0, 2091, check)
    call createCurrent(P_A, P_Ha, P_G0, P_Z, 10766, check)
    call createCurrent(P_g, P_ghG, P_g, P_ghGAnti, 3103, check)
    call createCurrent(P_Hh, P_Hh, P_GPlus, P_HMinus, 1472, check)
    call createCurrent(P_ZQ, P_GMinus, P_GPlus, P_AQ, 109, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, 2986, check)
    call createCurrent(P_HhQ, P_GMinus, P_G0, P_GQPlus, 8059, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HMinus, P_HQPlus, 147, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghA, P_Hl, 8783, check)
    call createCurrent(P_HaQ, P_WMinus, P_WQPlus, 392, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HPlus, P_HQMinus, 4350, check)
    call createCurrent(P_gQ, P_g, P_gQ, 4969, check)
    call createCurrent(P_A, P_A, P_GPlus, P_HMinus, 9818, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghZAnti, P_GPlus, 9695, check)
    call createCurrent(P_A, P_WPlus, P_ghWm, P_ghAAnti, 3660, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_Hl, P_ghWp, 3883, check)
    call createCurrent(P_Ha, P_GMinus, P_Z, P_WPlus, 9766, check)
    call createCurrent(P_HlQ, P_G0, P_HMinus, P_HQPlus, 2933, check)
    call createCurrent(P_G0, P_Hh, P_G0, 3998, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_GMinus, P_ghA, 6378, check)
    call createCurrent(P_AQ, P_A, P_WMinus, P_WQPlus, 2677, check)
    call createCurrent(P_WPlus, P_ghWm, P_A, P_ghAAnti, 4187, check)
    call createCurrent(P_WPlus, P_GMinus, P_WMinus, P_GPlus, 3334, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_Z, 10610, check)
    call createCurrent(P_HhQ, P_ghWm, P_GPlus, P_ghAAnti, 7124, check)
    call createCurrent(P_Ha, P_GPlus, P_GMinus, P_Hh, 9326, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_ghZ, P_HMinus, 5670, check)
    call createCurrent(P_ZQ, P_HMinus, P_WQPlus, 831, check)
    call createCurrent(P_GPlus, P_HMinus, P_G0, P_G0, 3080, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_GPlus, P_Hh, 5129, check)
    call createCurrent(P_Hl, P_Ha, P_GMinus, P_HPlus, 7031, check)
    call createCurrent(P_Ha, P_HPlus, P_Hh, P_HMinus, 9896, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hl, P_HaQ, 600, check)
    call createCurrent(P_Hh, P_Hh, P_ghZAnti, P_ghZ, 1805, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_HPlus, P_ghZ, 6181, check)
    call createCurrent(P_Ha, P_ghWm, P_GPlus, P_ghZAnti, 9320, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HlQ, 7424, check)
    call createCurrent(P_Z, P_Hl, P_Z, P_Hh, 9515, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghA, P_WMinus, 7320, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_G0, 6534, check)
    call createCurrent(P_WMinus, P_A, P_HPlus, P_Ha, 2481, check)
    call createCurrent(P_G0, P_ghA, P_ghWmAnti, P_GMinus, 8328, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_Hh, 1050, check)
    call createCurrent(P_HaQ, P_Ha, P_Hh, P_HlQ, 1853, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hh, 8068, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_A, P_AQ, 3408, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, 2276, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghZ, 452, check)
    call createCurrent(P_HPlus, P_ghZ, P_Hh, P_ghWpAnti, 8551, check)
    call createCurrent(P_Hh, P_Hh, P_WPlus, P_WMinus, 8516, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_GMinus, 3765, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, P_Hl, 2349, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_Hl, 6540, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_Ha, P_ghZ, 8829, check)
    call createCurrent(P_HlQ, P_HMinus, P_ghZ, P_ghWmAnti, 4450, check)
    call createCurrent(P_HlQ, P_Z, P_HPlus, P_WQMinus, 6793, check)
    call createCurrent(P_G0, P_Z, P_Hh, 4286, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghZ, P_HMinus, 6028, check)
    call createCurrent(P_GQMinus, P_Hl, P_GPlus, P_HhQ, 407, check)
    call createCurrent(P_WMinus, P_Z, P_ghA, P_ghWmAnti, 5215, check)
    call createCurrent(P_WQPlus, P_WMinus, P_WMinus, P_WQPlus, 3348, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_G0, P_HMinus, 9220, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Ha, P_HhQ, 1583, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_HlQ, 7199, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghWpAnti, P_Hh, 1750, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_A, 10673, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghWm, P_ghWmAnti, 1819, check)
    call createCurrent(P_ghWp, P_Z, P_ghZAnti, P_WMinus, 8150, check)
    call createCurrent(P_Hl, P_Z, P_GMinus, P_WPlus, 4805, check)
    call createCurrent(P_ghWp, P_Hh, P_GMinus, P_ghZAnti, 5654, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Hl, P_HaQ, 460, check)
    call createCurrent(P_HaQ, P_Hl, P_GPlus, P_GQMinus, 4811, check)
    call createCurrent(P_WMinus, P_G0, P_A, P_GPlus, 7728, check)
    call createCurrent(P_A, P_ghA, P_WPlus, P_ghWpAnti, 6196, check)
    call createCurrent(P_HQMinus, P_HPlus, P_G0, P_HaQ, 5089, check)
    call createCurrent(P_sAnti, P_s, P_Z, 6233, check)
    call createCurrent(P_GQMinus, P_G0, P_ghZ, P_ghWmAnti, 6194, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_Z, 7504, check)
    call createCurrent(P_HQPlus, P_Ha, P_Ha, P_HQMinus, 4201, check)
    call createCurrent(P_Hh, P_A, P_WPlus, P_HMinus, 522, check)
    call createCurrent(P_HQMinus, P_Z, P_WPlus, P_HhQ, 1557, check)
    call createCurrent(P_ZQ, P_A, P_ghWpAnti, P_ghWp, 1757, check)
    call createCurrent(P_HPlus, P_Z, P_Z, P_GMinus, 9509, check)
    call createCurrent(P_HlQ, P_GMinus, P_Z, P_WQPlus, 833, check)
    call createCurrent(P_uAnti, P_GPlus, P_d, 8337, check)
    call createCurrent(P_HlQ, P_Hh, P_GMinus, P_HQPlus, 5587, check)
    call createCurrent(P_ZQ, P_Hl, P_WPlus, P_HQMinus, 5532, check)
    call createCurrent(P_HPlus, P_ghA, P_ghAAnti, P_HMinus, 5375, check)
    call createCurrent(P_GMinus, P_Hl, P_Z, P_WPlus, 1848, check)
    call createCurrent(P_Ha, P_Ha, P_GPlus, P_HMinus, 6832, check)
    call createCurrent(P_Hh, P_Hl, P_A, P_A, 10614, check)
    call createCurrent(P_d, P_dAnti, P_HhQ, 1086, check)
    call createCurrent(P_WQMinus, P_HPlus, P_A, P_HlQ, 3574, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_Ha, 3229, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_ZQ, 6787, check)
    call createCurrent(P_HaQ, P_HMinus, P_GPlus, P_HhQ, 4787, check)
    call createCurrent(P_HhQ, P_Hh, P_WPlus, P_WQMinus, 1337, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_HQPlus, 4491, check)
    call createCurrent(P_GQ0, P_Ha, P_HhQ, 7191, check)
    call createCurrent(P_HhQ, P_ghZ, P_Hh, P_ghZAnti, 7613, check)
    call createCurrent(P_G0, P_GPlus, P_Ha, P_HMinus, 7749, check)
    call createCurrent(P_WQMinus, P_Z, P_Ha, P_HQPlus, 7839, check)
    call createCurrent(P_Hl, P_Z, P_Z, P_Hh, 9902, check)
    call createCurrent(P_Hh, P_ghWp, P_ghWpAnti, P_Hh, 2067, check)
    call createCurrent(P_A, P_Ha, P_GPlus, P_WMinus, 9804, check)
    call createCurrent(P_Z, P_nu_e, P_nu_eAnti, 2464, check)
    call createCurrent(P_ghWmAnti, P_Z, P_WMinus, P_ghA, 5229, check)
    call createCurrent(P_ghWp, P_Ha, P_ghWpAnti, P_HlQ, 1650, check)
    call createCurrent(P_HlQ, P_Hh, P_GPlus, P_GQMinus, 3810, check)
    call createCurrent(P_WMinus, P_A, P_Hh, P_HPlus, 523, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghWp, P_WMinus, 1674, check)
    call createCurrent(P_Ha, P_Z, P_G0, P_Z, 8948, check)
    call createCurrent(P_GQ0, P_GMinus, P_HPlus, P_HlQ, 6854, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, 9907, check)
    call createCurrent(P_ZQ, P_Ha, P_HhQ, 6714, check)
    call createCurrent(P_Ha, P_HPlus, P_G0, P_GMinus, 2015, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, P_Hh, 1155, check)
    call createCurrent(P_ghWm, P_G0, P_GPlus, P_ghAAnti, 730, check)
    call createCurrent(P_HaQ, P_WMinus, P_Ha, P_WQPlus, 8361, check)
    call createCurrent(P_Hl, P_HMinus, P_A, P_WPlus, 3615, check)
    call createCurrent(P_muMinus, P_nu_muAnti, P_HQPlus, 5591, check)
    call createCurrent(P_WQPlus, P_HPlus, P_WMinus, P_HQMinus, 3799, check)
    call createCurrent(P_ghZ, P_HPlus, P_GMinus, P_ghAAnti, 9458, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghZ, P_ghWmAnti, 7632, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_G0, P_GPlus, 1642, check)
    call createCurrent(P_ghWmAnti, P_GPlus, P_HMinus, P_ghWm, 9548, check)
    call createCurrent(P_HlQ, P_ghWp, P_GMinus, P_ghZAnti, 957, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ghA, P_ghZAnti, 7942, check)
    call createCurrent(P_A, P_Z, P_Hl, P_Hl, 10358, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_HlQ, 3847, check)
    call createCurrent(P_Z, P_GMinus, P_Hh, P_WPlus, 5589, check)
    call createCurrent(P_Hh, P_ghWm, P_Hh, P_ghWmAnti, 7644, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_G0, 86, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghWm, P_A, 1904, check)
    call createCurrent(P_Hh, P_Ha, P_Ha, P_Hl, 6055, check)
    call createCurrent(P_cAnti, P_s, P_WQPlus, 6988, check)
    call createCurrent(P_ghWm, P_GMinus, P_ghWmAnti, P_GQPlus, 1321, check)
    call createCurrent(P_WPlus, P_G0, P_WMinus, P_Ha, 9845, check)
    call createCurrent(P_ghG, P_ghGAnti, P_gQ, 8624, check)
    call createCurrent(P_HMinus, P_WPlus, 9768, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HQMinus, 5871, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_HlQ, 632, check)
    call createCurrent(P_ghWpAnti, P_HMinus, P_ghWp, P_HPlus, 2246, check)
    call createCurrent(P_WQMinus, P_A, P_WQPlus, 3, check)
    call createCurrent(P_GQMinus, P_WPlus, P_ZQ, 6268, check)
    call createCurrent(P_GQMinus, P_G0, P_ghWmAnti, P_ghA, 777, check)
    call createCurrent(P_GPlus, P_G0, P_GMinus, P_Hl, 8867, check)
    call createCurrent(P_HlQ, P_G0, P_Hh, P_HaQ, 804, check)
    call createCurrent(P_GQ0, P_Hh, P_Hl, P_HaQ, 8311, check)
    call createCurrent(P_g, P_GPlus, P_g, P_HMinus, 10512, check)
    call createCurrent(P_HlQ, P_GMinus, P_A, P_WQPlus, 915, check)
    call createCurrent(P_G0, P_Hl, P_GPlus, P_GMinus, 10316, check)
    call createCurrent(P_G0, P_G0, P_ghWp, P_ghWpAnti, 171, check)
    call createCurrent(P_WPlus, P_WMinus, 9019, check)
    call createCurrent(P_GQPlus, P_Ha, P_HMinus, P_GQ0, 8338, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_HhQ, 42, check)
    call createCurrent(P_G0, P_GPlus, P_GMinus, P_Hh, 9176, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_HaQ, 1026, check)
    call createCurrent(P_HhQ, P_Hh, P_G0, P_GQ0, 6949, check)
    call createCurrent(P_muPlus, P_Hh, P_muMinus, 4994, check)
    call createCurrent(P_c, P_cAnti, P_HaQ, 7502, check)
    call createCurrent(P_GMinus, P_Hl, P_Ha, P_HPlus, 4709, check)
    call createCurrent(P_WPlus, P_GMinus, P_A, P_Ha, 8985, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_ZQ, 2094, check)
    call createCurrent(P_WPlus, P_Z, P_A, P_WMinus, 7454, check)
    call createCurrent(P_Hl, P_GMinus, P_Ha, P_HPlus, 3314, check)
    call createCurrent(P_Ha, P_ghWm, P_Ha, P_ghWmAnti, 4955, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_G0, 9853, check)
    call createCurrent(P_WQPlus, P_Hl, P_HMinus, P_AQ, 8387, check)
    call createCurrent(P_HhQ, P_Ha, P_ghWp, P_ghWpAnti, 4496, check)
    call createCurrent(P_d, P_G0, P_dAnti, 1241, check)
    call createCurrent(P_HMinus, P_GPlus, P_WMinus, P_WPlus, 10440, check)
    call createCurrent(P_s, P_WPlus, P_cAnti, 6113, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hl, P_HlQ, 6497, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HPlus, P_HQMinus, 1903, check)
    call createCurrent(P_HPlus, P_Hh, P_Hh, P_HMinus, 6439, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Hl, 3056, check)
    call createCurrent(P_WPlus, P_G0, P_G0, P_WMinus, 8036, check)
    call createCurrent(P_Hh, P_g, P_g, P_Hh, 10570, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghZ, P_ghAAnti, 9002, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, P_Z, 4083, check)
    call createCurrent(P_Hh, P_GMinus, P_ghA, P_ghWmAnti, 231, check)
    call createCurrent(P_ghZ, P_HMinus, P_HPlus, P_ghAAnti, 6990, check)
    call createCurrent(P_G0, P_ghWpAnti, P_ghA, P_GPlus, 4738, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_Hh, P_HMinus, 2048, check)
    call createCurrent(P_GQ0, P_ePlus, P_eMinus, 3413, check)
    call createCurrent(P_Ha, P_A, P_A, P_Ha, 10726, check)
    call createCurrent(P_HQPlus, P_Hl, P_ghA, P_ghWpAnti, 2011, check)
    call createCurrent(P_GQPlus, P_Ha, P_GMinus, P_HaQ, 24, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_HaQ, 1987, check)
    call createCurrent(P_Ha, P_Ha, 9870, check)
    call createCurrent(P_Ha, P_G0, 9396, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, P_Hh, 1479, check)
    call createCurrent(P_WMinus, P_Hl, P_Z, P_HPlus, 5005, check)
    call createCurrent(P_sAnti, P_s, P_gQ, 4262, check)
    call createCurrent(P_Ha, P_GMinus, P_Hh, P_GPlus, 8874, check)
    call createCurrent(P_HMinus, P_Hh, P_HPlus, P_Hh, 5414, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, P_Hh, 2434, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_Hl, 3150, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_ghA, 7090, check)
    call createCurrent(P_WPlus, P_G0, P_Ha, P_WMinus, 9908, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghA, P_HPlus, 9995, check)
    call createCurrent(P_HQMinus, P_WMinus, P_HPlus, P_WQPlus, 725, check)
    call createCurrent(P_Hh, P_Z, P_GPlus, P_WMinus, 1465, check)
    call createCurrent(P_Hh, P_GMinus, P_G0, P_HPlus, 124, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_HlQ, 2543, check)
    call createCurrent(P_WMinus, P_HPlus, P_G0, 9472, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Z, P_HaQ, 5203, check)
    call createCurrent(P_AQ, P_WMinus, P_Hl, P_GQPlus, 5682, check)
    call createCurrent(P_WQPlus, P_Hh, P_Z, P_HQMinus, 2802, check)
    call createCurrent(P_HQMinus, P_HPlus, P_G0, P_GQ0, 3975, check)
    call createCurrent(P_A, P_Z, P_WMinus, P_WPlus, 2217, check)
    call createCurrent(P_Hl, P_Ha, P_Hh, P_Ha, 2586, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hh, P_HlQ, 6483, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HlQ, 4253, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Ha, P_HhQ, 6295, check)
    call createCurrent(P_G0, P_ghWmAnti, P_ghZ, P_GMinus, 1864, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, 5873, check)
    call createCurrent(P_HMinus, P_HPlus, P_A, P_A, 6342, check)
    call createCurrent(P_Hl, P_G0, P_GPlus, P_HMinus, 4911, check)
    call createCurrent(P_GQPlus, P_Hh, P_Hl, P_GQMinus, 4077, check)
    call createCurrent(P_A, P_WMinus, P_Z, P_WPlus, 6532, check)
    call createCurrent(P_HQMinus, P_GMinus, P_GPlus, P_HQPlus, 8762, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GQPlus, 6218, check)
    call createCurrent(P_G0, P_Z, P_G0, P_Z, 8054, check)
    call createCurrent(P_Ha, P_Ha, P_g, P_g, 10521, check)
    call createCurrent(P_ghWp, P_Hh, P_ghAAnti, P_GMinus, 1989, check)
    call createCurrent(P_HQMinus, P_HMinus, P_GPlus, P_HQPlus, 4213, check)
    call createCurrent(P_Hh, P_Hl, P_Hh, P_Hl, 5614, check)
    call createCurrent(P_HhQ, P_d, P_dAnti, 2557, check)
    call createCurrent(P_nu_mu, P_nu_muAnti, 9827, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_Hh, 2632, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, 6422, check)
    call createCurrent(P_GMinus, P_WMinus, P_WPlus, P_HPlus, 10312, check)
    call createCurrent(P_g, P_Z, P_g, P_g, 10608, check)
    call createCurrent(P_HMinus, P_ghWm, P_ghWmAnti, P_HPlus, 4742, check)
    call createCurrent(P_u, P_uAnti, P_Z, 2258, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_G0, 10099, check)
    call createCurrent(P_G0, P_ghWmAnti, P_Ha, P_ghWm, 9608, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, 729, check)
    call createCurrent(P_GQPlus, P_HPlus, P_HMinus, P_GQMinus, 5919, check)
    call createCurrent(P_nu_eAnti, P_nu_e, P_Z, 6316, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghZAnti, P_GMinus, 9117, check)
    call createCurrent(P_GQPlus, P_cAnti, P_s, 8220, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_G0, P_ghZ, 9313, check)
    call createCurrent(P_Hh, P_c, P_cAnti, 8501, check)
    call createCurrent(P_G0, P_G0, 9408, check)
    call createCurrent(P_GPlus, P_G0, P_ghZ, P_ghWpAnti, 4800, check)
    call createCurrent(P_A, P_b, P_bAnti, 1906, check)
    call createCurrent(P_WMinus, P_ghWp, P_Z, P_ghZAnti, 1953, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, 428, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Z, P_ZQ, 5930, check)
    call createCurrent(P_ghA, P_ghZAnti, P_WPlus, P_WQMinus, 2796, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_G0, 4383, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghA, P_GMinus, 1538, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_G0, 1255, check)
    call createCurrent(P_cAnti, P_c, 10484, check)
    call createCurrent(P_HaQ, P_GMinus, P_HQPlus, 1289, check)
    call createCurrent(P_ghWpAnti, P_Z, P_Z, P_ghWp, 1279, check)
    call createCurrent(P_WQPlus, P_ghZ, P_WMinus, P_ghZAnti, 789, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hh, P_GQPlus, 6797, check)
    call createCurrent(P_ZQ, P_Hh, P_WMinus, P_GQPlus, 2329, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_G0, 2241, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hh, P_HPlus, 5140, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_GQ0, 5883, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghAAnti, P_G0, 10111, check)
    call createCurrent(P_WQMinus, P_ghA, P_Z, P_ghWmAnti, 2259, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghWp, P_HQMinus, 8636, check)
    call createCurrent(P_u, P_uAnti, P_ZQ, 547, check)
    call createCurrent(P_g, P_GPlus, P_GMinus, P_g, 10680, check)
    call createCurrent(P_WQPlus, P_s, P_cAnti, 2513, check)
    call createCurrent(P_A, P_HMinus, P_Ha, P_WPlus, 52, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_Hh, P_ghWp, 1098, check)
    call createCurrent(P_HPlus, P_A, P_GMinus, P_Z, 9624, check)
    call createCurrent(P_Ha, P_Hh, P_HMinus, P_HPlus, 10049, check)
    call createCurrent(P_GMinus, P_ghA, P_ghWmAnti, P_G0, 1916, check)
    call createCurrent(P_HPlus, P_WMinus, P_Z, P_Hh, 3269, check)
    call createCurrent(P_A, P_Z, P_ghWpAnti, P_ghWp, 1326, check)
    call createCurrent(P_WQMinus, P_ghA, P_WPlus, P_ghZAnti, 8655, check)
    call createCurrent(P_HPlus, P_WMinus, P_Hl, P_A, 8083, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_HPlus, 6427, check)
    call createCurrent(P_WPlus, P_A, P_Ha, P_HMinus, 2514, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghWpAnti, P_G0, 7836, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, P_Ha, 6364, check)
    call createCurrent(P_AQ, P_Z, P_ghWp, P_ghWpAnti, 6744, check)
    call createCurrent(P_Hl, P_ghWm, P_Hh, P_ghWmAnti, 8887, check)
    call createCurrent(P_HlQ, P_bAnti, P_b, 5908, check)
    call createCurrent(P_G0, P_HMinus, P_Hl, P_HPlus, 10373, check)
    call createCurrent(P_ghWm, P_Hl, P_ghZAnti, P_HQPlus, 4961, check)
    call createCurrent(P_HQMinus, P_Hl, P_GPlus, P_HaQ, 8084, check)
    call createCurrent(P_A, P_G0, P_G0, P_Z, 9476, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWp, P_ghWpAnti, 8409, check)
    call createCurrent(P_WQPlus, P_Ha, P_HMinus, P_AQ, 7825, check)
    call createCurrent(P_HMinus, P_ghWpAnti, P_GPlus, P_ghWp, 9941, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hh, P_Hh, 3376, check)
    call createCurrent(P_ghZAnti, P_Ha, P_G0, P_ghZ, 9588, check)
    call createCurrent(P_G0, P_Ha, P_Hl, P_G0, 10678, check)
    call createCurrent(P_WQPlus, P_G0, P_GMinus, P_AQ, 2741, check)
    call createCurrent(P_HlQ, P_Ha, P_WMinus, P_WQPlus, 5921, check)
    call createCurrent(P_ghWp, P_A, P_ghWpAnti, P_Z, 6578, check)
    call createCurrent(P_g, P_g, P_g, 8491, check)
    call createCurrent(P_GMinus, P_G0, P_Hl, P_GPlus, 9073, check)
    call createCurrent(P_A, P_HMinus, P_WPlus, P_Hh, 6459, check)
    call createCurrent(P_HMinus, P_Hh, P_WPlus, 7626, check)
    call createCurrent(P_Hh, P_WMinus, P_HPlus, P_Z, 7548, check)
    call createCurrent(P_g, P_g, P_GMinus, P_HPlus, 10612, check)
    call createCurrent(P_GQMinus, P_HPlus, P_HMinus, P_HQPlus, 8424, check)
    call createCurrent(P_HMinus, P_nu_e, P_ePlus, 8067, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_Z, 10395, check)
    call createCurrent(P_muMinus, P_muPlus, P_HhQ, 6972, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_HlQ, 357, check)
    call createCurrent(P_HQPlus, P_Hl, P_HQMinus, 5400, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_GMinus, P_ghA, 951, check)
    call createCurrent(P_HMinus, P_u, P_dAnti, 157, check)
    call createCurrent(P_G0, P_Hh, P_Hl, P_Ha, 1716, check)
    call createCurrent(P_ZQ, P_WPlus, P_HMinus, P_HlQ, 1516, check)
    call createCurrent(P_WQPlus, P_GMinus, P_ZQ, 3160, check)
    call createCurrent(P_HaQ, P_A, P_WPlus, P_HQMinus, 5033, check)
    call createCurrent(P_ghAAnti, P_Hl, P_ghWp, P_HMinus, 1713, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_GPlus, 3790, check)
    call createCurrent(P_ZQ, P_ghWmAnti, P_Z, P_ghWm, 4356, check)
    call createCurrent(P_d, P_dAnti, P_G0, 8188, check)
    call createCurrent(P_WMinus, P_Z, P_ghZ, P_ghWmAnti, 7633, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_Z, P_ghZ, 5118, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hh, P_HhQ, 4388, check)
    call createCurrent(P_Hl, P_HMinus, P_G0, P_HPlus, 9052, check)
    call createCurrent(P_HaQ, P_HPlus, P_GMinus, P_HhQ, 8764, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hh, P_GQ0, 413, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, 3779, check)
    call createCurrent(P_Z, P_HMinus, P_Hl, P_WPlus, 7588, check)
    call createCurrent(P_HPlus, P_Hh, P_WMinus, P_A, 2570, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Hh, P_HPlus, 5855, check)
    call createCurrent(P_GPlus, P_GMinus, P_WPlus, P_WMinus, 6050, check)
    call createCurrent(P_HPlus, P_HMinus, P_G0, 10339, check)
    call createCurrent(P_HQPlus, P_GMinus, P_HaQ, 8321, check)
    call createCurrent(P_HlQ, P_tauPlus, P_tauMinus, 6403, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_HhQ, 2466, check)
    call createCurrent(P_Hl, P_HPlus, P_ghZ, P_ghWpAnti, 927, check)
    call createCurrent(P_GPlus, P_Hl, P_ghA, P_ghWpAnti, 352, check)
    call createCurrent(P_Z, P_eMinus, P_ePlus, 44, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Ha, 4612, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_WPlus, P_WMinus, 2075, check)
    call createCurrent(P_ghWm, P_Z, P_WPlus, P_ghZAnti, 7346, check)
    call createCurrent(P_WQMinus, P_A, P_ghWmAnti, P_ghZ, 7616, check)
    call createCurrent(P_HMinus, P_Z, P_GPlus, P_Z, 9271, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Z, P_WQMinus, 366, check)
    call createCurrent(P_Hh, P_Ha, P_HMinus, P_GPlus, 4711, check)
    call createCurrent(P_G0, P_GPlus, P_WMinus, P_Z, 2085, check)
    call createCurrent(P_GQMinus, P_Ha, P_GPlus, P_HlQ, 707, check)
    call createCurrent(P_WMinus, P_Hh, P_Hh, P_WPlus, 2660, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghZ, P_GQPlus, 2489, check)
    call createCurrent(P_ghZ, P_WMinus, P_ghAAnti, P_WPlus, 4972, check)
    call createCurrent(P_HhQ, P_WPlus, P_G0, P_WQMinus, 6717, check)
    call createCurrent(P_Z, P_A, P_Z, P_Z, 10637, check)
    call createCurrent(P_Hh, P_GPlus, P_G0, P_HMinus, 1911, check)
    call createCurrent(P_GQ0, P_WMinus, P_Hh, P_WQPlus, 2178, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_G0, 5222, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hh, P_HPlus, 4693, check)
    call createCurrent(P_GMinus, P_ghA, P_G0, P_ghWmAnti, 7662, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, P_Hl, 4016, check)
    call createCurrent(P_sAnti, P_GMinus, P_c, 6048, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_HMinus, P_ghZ, 10418, check)
    call createCurrent(P_HQPlus, P_Ha, P_ghWpAnti, P_ghZ, 4436, check)
    call createCurrent(P_GMinus, P_WPlus, P_A, 8742, check)
    call createCurrent(P_ghGAnti, P_g, P_ghG, P_g, 3205, check)
    call createCurrent(P_nu_tau, P_tauPlus, P_HQMinus, 5178, check)
    call createCurrent(P_Hh, P_HMinus, P_HPlus, 7232, check)
    call createCurrent(P_ghWm, P_Z, P_A, P_ghWmAnti, 880, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GQPlus, 3083, check)
    call createCurrent(P_AQ, P_A, P_GMinus, P_GQPlus, 3554, check)
    call createCurrent(P_GPlus, P_cAnti, P_s, 2207, check)
    call createCurrent(P_A, P_Hl, P_Hl, P_A, 10755, check)
    call createCurrent(P_Ha, P_Z, P_WMinus, P_GPlus, 8875, check)
    call createCurrent(P_GPlus, P_A, P_WMinus, P_Ha, 9528, check)
    call createCurrent(P_HPlus, P_G0, P_Ha, P_HMinus, 8454, check)
    call createCurrent(P_t, P_tAnti, P_gQ, 368, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWm, P_ghWmAnti, 1780, check)
    call createCurrent(P_HQMinus, P_Hh, P_WPlus, P_AQ, 3958, check)
    call createCurrent(P_Hh, P_ghZ, P_ghWpAnti, P_GPlus, 5260, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, 9116, check)
    call createCurrent(P_WQMinus, P_A, P_ghZ, P_ghWmAnti, 2355, check)
    call createCurrent(P_Hh, P_Hl, P_ghWp, P_ghWpAnti, 9489, check)
    call createCurrent(P_GPlus, P_Ha, P_ghWpAnti, P_ghZ, 9910, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hl, P_GQ0, 8814, check)
    call createCurrent(P_HlQ, P_WPlus, P_A, P_GQMinus, 3839, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, P_A, 10278, check)
    call createCurrent(P_ghA, P_ghZAnti, P_GPlus, P_GQMinus, 4048, check)
    call createCurrent(P_HQPlus, P_G0, P_HMinus, P_HhQ, 8776, check)
    call createCurrent(P_nu_muAnti, P_nu_mu, P_ZQ, 4912, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_G0, P_ghZ, 6659, check)
    call createCurrent(P_WPlus, P_ghA, P_ghWpAnti, 6239, check)
    call createCurrent(P_HMinus, P_HPlus, P_GMinus, P_GPlus, 8626, check)
    call createCurrent(P_GQMinus, P_G0, P_Ha, P_HQPlus, 4849, check)
    call createCurrent(P_Z, P_WPlus, P_ghAAnti, P_ghWm, 3803, check)
    call createCurrent(P_GQMinus, P_Hh, P_G0, P_HQPlus, 8469, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_Hh, 7648, check)
    call createCurrent(P_WQMinus, P_Z, P_HQPlus, 6625, check)
    call createCurrent(P_HQMinus, P_Ha, P_HPlus, P_GQ0, 2997, check)
    call createCurrent(P_HQPlus, P_WMinus, P_HaQ, 7732, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_ghWm, P_WPlus, 5200, check)
    call createCurrent(P_HaQ, P_HMinus, P_A, P_WQPlus, 6993, check)
    call createCurrent(P_GPlus, P_ghWm, P_Ha, P_ghAAnti, 9829, check)
    call createCurrent(P_ghWm, P_Ha, P_ghWmAnti, P_HaQ, 5238, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_WPlus, P_ghZ, 3467, check)
    call createCurrent(P_Hh, P_ghWm, P_GPlus, P_ghAAnti, 3495, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_G0, 9677, check)
    call createCurrent(P_GQ0, P_Hl, P_HaQ, 1985, check)
    call createCurrent(P_HQMinus, P_HPlus, P_A, P_ZQ, 4973, check)
    call createCurrent(P_GMinus, P_GMinus, P_GPlus, P_HPlus, 6142, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Ha, P_ZQ, 3655, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_GQ0, 3363, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghZAnti, P_ghZ, 7245, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, P_G0, 10232, check)
    call createCurrent(P_Hh, P_g, P_g, 10663, check)
    call createCurrent(P_HPlus, P_GMinus, P_Hl, 6758, check)
    call createCurrent(P_Hl, P_GPlus, P_Ha, P_GMinus, 9187, check)
    call createCurrent(P_GQMinus, P_Hh, P_Hl, P_GQPlus, 191, check)
    call createCurrent(P_Z, P_Ha, P_GMinus, P_WPlus, 9236, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_G0, P_HMinus, 9153, check)
    call createCurrent(P_ghA, P_ghAAnti, P_HPlus, P_GMinus, 10230, check)
    call createCurrent(P_HaQ, P_Hl, P_HMinus, P_GQPlus, 1169, check)
    call createCurrent(P_WQMinus, P_GMinus, P_GPlus, P_WQPlus, 480, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, 875, check)
    call createCurrent(P_HMinus, P_Hl, P_ghZ, P_ghWmAnti, 1103, check)
    call createCurrent(P_ghWp, P_Hl, P_ghZAnti, P_HMinus, 4760, check)
    call createCurrent(P_Z, P_WMinus, P_Hh, P_HPlus, 2916, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghWp, P_ZQ, 1073, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_Hl, 2955, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HMinus, P_HPlus, 1823, check)
    call createCurrent(P_HhQ, P_dAnti, P_d, 7368, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_Ha, 10238, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_Ha, 9787, check)
    call createCurrent(P_HQMinus, P_HPlus, P_HaQ, 691, check)
    call createCurrent(P_WQMinus, P_Ha, P_WPlus, P_HhQ, 2764, check)
    call createCurrent(P_Ha, P_Hh, P_HPlus, P_HMinus, 10420, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, P_Hh, 8720, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_HhQ, 4534, check)
    call createCurrent(P_WPlus, P_G0, P_GMinus, 235, check)
    call createCurrent(P_GQPlus, P_Hh, P_WQMinus, 3337, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_HaQ, 7134, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, 539, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Hh, P_GMinus, 5798, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, 5450, check)
    call createCurrent(P_Hh, P_A, P_GMinus, P_WPlus, 5127, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hl, P_HMinus, 3558, check)
    call createCurrent(P_HPlus, P_G0, P_ghWm, P_ghAAnti, 10276, check)
    call createCurrent(P_A, P_ghWm, P_Z, P_ghWmAnti, 4093, check)
    call createCurrent(P_HMinus, P_Z, P_WPlus, P_G0, 10079, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_G0, P_ghA, 7561, check)
  end subroutine fill_current_3
end module currents_info3
