!******************************************************************************!
!                                                                              !
!    currents_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   currents_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2020-07-30 12:10             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module currents_info4
  implicit none
  contains
  subroutine fill_current_4(check)
    use class_particles
    use current_keys, only: createCurrent
    logical, intent(in) :: check
    call createCurrent(P_HaQ, P_HMinus, P_G0, P_GQPlus, 2382, check)
    call createCurrent(P_HPlus, P_Ha, P_A, P_WMinus, 8468, check)
    call createCurrent(P_A, P_nu_mu, P_nu_muAnti, 10442, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghAAnti, P_HPlus, 10240, check)
    call createCurrent(P_ghWm, P_HPlus, P_G0, P_ghAAnti, 9731, check)
    call createCurrent(P_WMinus, P_GPlus, P_A, P_Hh, 5810, check)
    call createCurrent(P_HhQ, P_Ha, P_GMinus, P_GQPlus, 8346, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZAnti, P_ghA, 1928, check)
    call createCurrent(P_G0, P_G0, P_ghWmAnti, P_ghWm, 8065, check)
    call createCurrent(P_HaQ, P_GPlus, P_HQMinus, 8213, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, P_G0, 9799, check)
    call createCurrent(P_Hl, P_HPlus, P_G0, P_GMinus, 941, check)
    call createCurrent(P_Z, P_A, P_Hl, P_Hl, 9258, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghAAnti, P_HQPlus, 5074, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_GMinus, P_ghZ, 4943, check)
    call createCurrent(P_GPlus, P_Z, P_Z, P_GMinus, 2551, check)
    call createCurrent(P_HPlus, P_GMinus, P_g, P_g, 10656, check)
    call createCurrent(P_Ha, P_Ha, P_GMinus, P_GPlus, 2479, check)
    call createCurrent(P_WQPlus, P_WMinus, P_HaQ, 8064, check)
    call createCurrent(P_HhQ, P_Hh, P_HMinus, P_HQPlus, 69, check)
    call createCurrent(P_Hl, P_HPlus, P_GMinus, P_G0, 4944, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghA, P_HPlus, 8210, check)
    call createCurrent(P_ZQ, P_sAnti, P_s, 2482, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_GPlus, P_ghZ, 8254, check)
    call createCurrent(P_muMinus, P_Hh, P_muPlus, 4660, check)
    call createCurrent(P_GPlus, P_Hl, P_G0, P_GMinus, 10161, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, P_Hh, 3823, check)
    call createCurrent(P_GMinus, P_dAnti, P_u, 3787, check)
    call createCurrent(P_b, P_bAnti, P_HlQ, 5115, check)
    call createCurrent(P_HQMinus, P_Hh, P_GPlus, P_HaQ, 1053, check)
    call createCurrent(P_HhQ, P_WMinus, P_G0, P_WQPlus, 5992, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghWp, P_HMinus, 10190, check)
    call createCurrent(P_HhQ, P_ghWmAnti, P_GMinus, P_ghZ, 5712, check)
    call createCurrent(P_HPlus, P_G0, P_HMinus, P_Hh, 9988, check)
    call createCurrent(P_Ha, P_ghAAnti, P_ghWp, P_GMinus, 9467, check)
    call createCurrent(P_G0, P_eMinus, P_ePlus, 4819, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghZ, P_Hl, 3518, check)
    call createCurrent(P_Z, P_GMinus, P_Z, P_HPlus, 10014, check)
    call createCurrent(P_Ha, P_Hl, P_GPlus, P_HMinus, 5590, check)
    call createCurrent(P_GQ0, P_GMinus, P_A, P_WQPlus, 4339, check)
    call createCurrent(P_WPlus, P_G0, P_HMinus, 9587, check)
    call createCurrent(P_HhQ, P_GPlus, P_Hh, P_HQMinus, 596, check)
    call createCurrent(P_A, P_WMinus, P_G0, P_HPlus, 9966, check)
    call createCurrent(P_WPlus, P_Hh, P_Hh, P_WMinus, 6328, check)
    call createCurrent(P_HQPlus, P_WMinus, P_Hl, P_ZQ, 7819, check)
    call createCurrent(P_WPlus, P_HMinus, P_Hl, P_A, 6169, check)
    call createCurrent(P_ghZAnti, P_Z, P_ghWm, P_WPlus, 3343, check)
    call createCurrent(P_G0, P_A, P_G0, P_A, 10685, check)
    call createCurrent(P_Hl, P_ghZ, P_GPlus, P_ghWpAnti, 2073, check)
    call createCurrent(P_HhQ, P_Ha, P_Hl, P_GQ0, 3151, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghWmAnti, P_ghWm, 8949, check)
    call createCurrent(P_ZQ, P_A, P_ghWm, P_ghWmAnti, 3493, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_ghA, P_HMinus, 3996, check)
    call createCurrent(P_Ha, P_GMinus, P_HPlus, P_Hh, 7624, check)
    call createCurrent(P_HMinus, P_GPlus, P_WPlus, P_WMinus, 9284, check)
    call createCurrent(P_GQMinus, P_ghZ, P_GPlus, P_ghZAnti, 5435, check)
    call createCurrent(P_GQMinus, P_ghZ, P_Hl, P_ghWmAnti, 4263, check)
    call createCurrent(P_A, P_WPlus, P_GMinus, P_Hl, 1589, check)
    call createCurrent(P_Z, P_A, P_A, P_A, 10660, check)
    call createCurrent(P_G0, P_Z, P_HMinus, P_WPlus, 10267, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, P_Hl, 2719, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_HPlus, P_ghWm, 1649, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hl, P_ghA, 5749, check)
    call createCurrent(P_HPlus, P_ghA, P_ghWpAnti, P_Hh, 3060, check)
    call createCurrent(P_ZQ, P_WPlus, P_Z, P_WQMinus, 8678, check)
    call createCurrent(P_WQMinus, P_Hl, P_Z, P_HQPlus, 2417, check)
    call createCurrent(P_dAnti, P_d, P_ZQ, 88, check)
    call createCurrent(P_ghWpAnti, P_Z, P_ghZ, P_WPlus, 2938, check)
    call createCurrent(P_Hh, P_ghWm, P_ghZAnti, P_GPlus, 3571, check)
    call createCurrent(P_Hh, P_HMinus, P_Ha, P_GPlus, 5026, check)
    call createCurrent(P_WQPlus, P_A, P_ghWpAnti, P_ghZ, 3225, check)
    call createCurrent(P_HMinus, P_g, P_g, P_HPlus, 10699, check)
    call createCurrent(P_ghA, P_ghAAnti, P_WMinus, P_WQPlus, 134, check)
    call createCurrent(P_Z, P_A, P_G0, P_G0, 9016, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_HPlus, P_G0, 9555, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_HaQ, 3843, check)
    call createCurrent(P_Hh, P_Hl, P_G0, P_Ha, 3436, check)
    call createCurrent(P_GQMinus, P_ghWp, P_GPlus, P_ghWpAnti, 8538, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_ghZ, P_Ha, 9914, check)
    call createCurrent(P_HPlus, P_Z, P_GMinus, P_A, 9170, check)
    call createCurrent(P_WQMinus, P_Hl, P_GPlus, P_ZQ, 8168, check)
    call createCurrent(P_Hl, P_ghWm, P_ghWmAnti, P_Hl, 531, check)
    call createCurrent(P_WPlus, P_Ha, P_A, P_HMinus, 5453, check)
    call createCurrent(P_HlQ, P_HPlus, P_ghWm, P_ghAAnti, 5830, check)
    call createCurrent(P_G0, P_Ha, P_Hl, P_Hl, 4917, check)
    call createCurrent(P_tauMinus, P_WPlus, P_nu_tauAnti, 8438, check)
    call createCurrent(P_nu_mu, P_muPlus, P_GQMinus, 7236, check)
    call createCurrent(P_AQ, P_ePlus, P_eMinus, 2649, check)
    call createCurrent(P_g, P_g, P_Hl, 10520, check)
    call createCurrent(P_nu_e, P_nu_eAnti, P_Z, 3782, check)
    call createCurrent(P_HlQ, P_Hh, P_G0, P_GQ0, 7214, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_Hl, P_GMinus, 2404, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghWm, P_G0, 4327, check)
    call createCurrent(P_HPlus, P_Ha, P_ghWpAnti, P_ghZ, 3842, check)
    call createCurrent(P_Z, P_Hh, P_Ha, 8494, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, 3773, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HPlus, P_HMinus, 4319, check)
    call createCurrent(P_HaQ, P_HPlus, P_WMinus, P_ZQ, 5847, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_GPlus, P_Ha, 9890, check)
    call createCurrent(P_ghA, P_ghAAnti, P_HMinus, P_HPlus, 2564, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_G0, P_GPlus, 1715, check)
    call createCurrent(P_Z, P_nu_tau, P_nu_tauAnti, 7200, check)
    call createCurrent(P_Hl, P_GMinus, P_G0, P_GPlus, 9891, check)
    call createCurrent(P_Hh, P_HMinus, P_ghA, P_ghWmAnti, 3310, check)
    call createCurrent(P_muMinus, P_muPlus, P_A, 4616, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_Hl, 4465, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hl, P_HlQ, 1813, check)
    call createCurrent(P_Z, P_WMinus, P_Hl, P_GPlus, 6388, check)
    call createCurrent(P_WQPlus, P_nu_tauAnti, P_tauMinus, 5097, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZAnti, P_ghA, 1704, check)
    call createCurrent(P_HaQ, P_HPlus, P_HMinus, P_GQ0, 6518, check)
    call createCurrent(P_Ha, P_ghWpAnti, P_ghA, P_HPlus, 5751, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghAAnti, P_HPlus, 9887, check)
    call createCurrent(P_GMinus, P_GPlus, P_HPlus, P_GMinus, 2054, check)
    call createCurrent(P_ghWm, P_Hl, P_ghWmAnti, P_HaQ, 5636, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Ha, P_G0, 9418, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_HaQ, 7916, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, 8058, check)
    call createCurrent(P_HMinus, P_G0, P_ghZAnti, P_ghWp, 10125, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, 1749, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_GPlus, 453, check)
    call createCurrent(P_b, P_bAnti, P_G0, 2902, check)
    call createCurrent(P_GQMinus, P_nu_e, P_ePlus, 8780, check)
    call createCurrent(P_HQMinus, P_Ha, P_G0, P_HQPlus, 2205, check)
    call createCurrent(P_GQ0, P_GPlus, P_Hh, P_GQMinus, 1540, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, 7723, check)
    call createCurrent(P_HhQ, P_sAnti, P_s, 8397, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_ghWp, 8022, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Hl, P_HlQ, 6772, check)
    call createCurrent(P_Ha, P_Hh, P_A, 9775, check)
    call createCurrent(P_HhQ, P_GMinus, P_ghWmAnti, P_ghZ, 4170, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_G0, 3133, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hh, P_Hl, 3635, check)
    call createCurrent(P_HaQ, P_HPlus, P_Hl, P_HQMinus, 3221, check)
    call createCurrent(P_GQ0, P_c, P_cAnti, 4763, check)
    call createCurrent(P_ghWm, P_Hh, P_ghZAnti, P_HQPlus, 6932, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_G0, 9112, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghWp, P_Hl, 1526, check)
    call createCurrent(P_WQMinus, P_dAnti, P_u, 978, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_G0, 8350, check)
    call createCurrent(P_WPlus, P_WMinus, P_Ha, P_Ha, 8505, check)
    call createCurrent(P_ZQ, P_eMinus, P_ePlus, 5929, check)
    call createCurrent(P_ghWm, P_Ha, P_GPlus, P_ghAAnti, 10416, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_HQPlus, 4684, check)
    call createCurrent(P_G0, P_HPlus, P_Hh, P_GMinus, 6077, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_HMinus, 9687, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, P_A, 977, check)
    call createCurrent(P_Ha, P_HMinus, P_Hl, P_GPlus, 2019, check)
    call createCurrent(P_Ha, P_Hh, P_Hh, P_G0, 3962, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HMinus, P_Hl, 2813, check)
    call createCurrent(P_WPlus, P_b, P_tAnti, 1803, check)
    call createCurrent(P_HaQ, P_ghWp, P_Hl, P_ghWpAnti, 634, check)
    call createCurrent(P_Hh, P_Hl, P_HMinus, P_HPlus, 928, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, 3821, check)
    call createCurrent(P_GQMinus, P_sAnti, P_c, 2288, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Ha, 9171, check)
    call createCurrent(P_G0, P_WMinus, P_HPlus, P_Z, 10466, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghA, P_ghAAnti, 9923, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghZ, P_GPlus, 10091, check)
    call createCurrent(P_Z, P_A, P_G0, P_Ha, 10733, check)
    call createCurrent(P_GPlus, P_Ha, P_GMinus, P_Ha, 8668, check)
    call createCurrent(P_WQPlus, P_Z, P_ghA, P_ghWpAnti, 4215, check)
    call createCurrent(P_GMinus, P_WMinus, P_HPlus, P_WPlus, 10398, check)
    call createCurrent(P_nu_muAnti, P_A, P_nu_mu, 9165, check)
    call createCurrent(P_HaQ, P_HPlus, P_HMinus, P_HaQ, 7657, check)
    call createCurrent(P_HlQ, P_GPlus, P_Ha, P_HQMinus, 573, check)
    call createCurrent(P_WMinus, P_WPlus, P_G0, P_Ha, 9911, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghA, P_HPlus, 9764, check)
    call createCurrent(P_ZQ, P_WPlus, P_WMinus, P_ZQ, 2442, check)
    call createCurrent(P_HaQ, P_GMinus, P_HPlus, P_HlQ, 5677, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Ha, P_HaQ, 4556, check)
    call createCurrent(P_GPlus, P_WMinus, P_Hl, 2003, check)
    call createCurrent(P_HPlus, P_WMinus, P_HMinus, P_WPlus, 6089, check)
    call createCurrent(P_GQ0, P_ghWp, P_Hl, P_ghWpAnti, 496, check)
    call createCurrent(P_Z, P_g, P_g, P_Z, 10737, check)
    call createCurrent(P_Z, P_ghZ, P_ghWmAnti, P_WMinus, 4610, check)
    call createCurrent(P_HQMinus, P_Hl, P_G0, P_GQPlus, 8819, check)
    call createCurrent(P_GPlus, P_g, P_HMinus, P_g, 10544, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, P_G0, 8107, check)
    call createCurrent(P_Ha, P_GPlus, P_ghA, P_ghWpAnti, 9561, check)
    call createCurrent(P_HMinus, P_GPlus, P_HMinus, P_GPlus, 138, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, P_ZQ, 4816, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hh, P_A, 493, check)
    call createCurrent(P_GQ0, P_G0, P_HMinus, P_GQPlus, 158, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, 6216, check)
    call createCurrent(P_Hh, P_Hh, P_Hl, P_Hh, 7979, check)
    call createCurrent(P_ghWp, P_A, P_A, P_ghWpAnti, 229, check)
    call createCurrent(P_WQPlus, P_ghZ, P_Z, P_ghWpAnti, 7224, check)
    call createCurrent(P_HhQ, P_GPlus, P_GQMinus, 8567, check)
    call createCurrent(P_HlQ, P_A, P_WMinus, P_HQPlus, 5165, check)
    call createCurrent(P_cAnti, P_c, P_HaQ, 2235, check)
    call createCurrent(P_GPlus, P_ghZ, P_GMinus, P_ghZAnti, 5122, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWm, P_ghWmAnti, 8209, check)
    call createCurrent(P_G0, P_Ha, P_WPlus, P_WMinus, 9122, check)
    call createCurrent(P_HMinus, P_A, P_WPlus, P_Hh, 1794, check)
    call createCurrent(P_Hl, P_GMinus, P_WPlus, 6129, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_Hl, 3743, check)
    call createCurrent(P_ghZAnti, P_ghA, P_GPlus, P_HMinus, 9461, check)
    call createCurrent(P_ghZ, P_GPlus, P_ghZAnti, P_HMinus, 9298, check)
    call createCurrent(P_GMinus, P_HMinus, P_HPlus, P_GPlus, 200, check)
    call createCurrent(P_nu_muAnti, P_HPlus, P_muMinus, 4426, check)
    call createCurrent(P_ghZ, P_WMinus, P_A, P_ghWmAnti, 6385, check)
    call createCurrent(P_WMinus, P_Hh, P_WPlus, 1976, check)
    call createCurrent(P_WPlus, P_WMinus, P_A, P_Z, 5095, check)
    call createCurrent(P_WQPlus, P_ghAAnti, P_WMinus, P_ghA, 6317, check)
    call createCurrent(P_Z, P_Z, P_ghWpAnti, P_ghWp, 3742, check)
    call createCurrent(P_WMinus, P_HPlus, P_GMinus, P_WPlus, 10378, check)
    call createCurrent(P_gQ, P_t, P_tAnti, 4812, check)
    call createCurrent(P_HaQ, P_HMinus, P_Ha, P_HQPlus, 2517, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, P_A, 8403, check)
    call createCurrent(P_GQ0, P_ghZ, P_G0, P_ghZAnti, 3090, check)
    call createCurrent(P_HMinus, P_nu_mu, P_muPlus, 3503, check)
    call createCurrent(P_A, P_GMinus, P_G0, P_WPlus, 5661, check)
    call createCurrent(P_ghA, P_HPlus, P_ghWpAnti, P_Hh, 6640, check)
    call createCurrent(P_Hh, P_Hh, P_WMinus, P_WPlus, 5901, check)
    call createCurrent(P_ghWm, P_Hl, P_ghZAnti, P_HPlus, 1821, check)
    call createCurrent(P_G0, P_GMinus, P_Hh, P_HPlus, 6802, check)
    call createCurrent(P_HlQ, P_Ha, P_ghWm, P_ghWmAnti, 1067, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HPlus, P_HQMinus, 1386, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, P_Ha, 8277, check)
    call createCurrent(P_HaQ, P_u, P_uAnti, 6566, check)
    call createCurrent(P_G0, P_GMinus, P_ghZ, P_ghWmAnti, 48, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_GQ0, 7941, check)
    call createCurrent(P_eMinus, P_ePlus, P_GQ0, 2338, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, P_Hl, 6976, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Z, P_WMinus, 8345, check)
    call createCurrent(P_WQMinus, P_muPlus, P_nu_mu, 1071, check)
    call createCurrent(P_A, P_GPlus, P_WMinus, P_Hl, 3504, check)
    call createCurrent(P_nu_tauAnti, P_nu_tau, 9446, check)
    call createCurrent(P_Z, P_dAnti, P_d, 7428, check)
    call createCurrent(P_GQPlus, P_WMinus, P_Hh, P_AQ, 8320, check)
    call createCurrent(P_Ha, P_ghWp, P_GMinus, P_ghAAnti, 9971, check)
    call createCurrent(P_WQPlus, P_Hh, P_GMinus, P_ZQ, 2949, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, P_AQ, 8719, check)
    call createCurrent(P_nu_eAnti, P_WPlus, P_eMinus, 4841, check)
    call createCurrent(P_WQMinus, P_Hh, P_GPlus, P_AQ, 6774, check)
    call createCurrent(P_WPlus, P_ghWp, P_ghWpAnti, P_WMinus, 8396, check)
    call createCurrent(P_dAnti, P_u, P_HMinus, 895, check)
    call createCurrent(P_Z, P_WMinus, P_Z, P_WPlus, 2128, check)
    call createCurrent(P_g, P_Ha, P_g, P_Ha, 10753, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_HaQ, 4751, check)
    call createCurrent(P_WPlus, P_WMinus, P_Hl, 399, check)
    call createCurrent(P_Hl, P_WPlus, P_GMinus, 5180, check)
    call createCurrent(P_ZQ, P_bAnti, P_b, 3172, check)
    call createCurrent(P_WQMinus, P_Hh, P_WPlus, P_GQ0, 702, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, P_Hl, 5697, check)
    call createCurrent(P_ghWp, P_Hl, P_GMinus, P_ghAAnti, 2776, check)
    call createCurrent(P_WQMinus, P_Z, P_A, P_WQPlus, 865, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_HaQ, 6042, check)
    call createCurrent(P_G0, P_GMinus, P_ghWmAnti, P_ghA, 1845, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_HlQ, 4386, check)
    call createCurrent(P_HlQ, P_GPlus, P_G0, P_HQMinus, 5297, check)
    call createCurrent(P_HaQ, P_Hh, P_Hl, P_GQ0, 2943, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_Hh, P_ghA, 1422, check)
    call createCurrent(P_G0, P_HPlus, P_Hl, P_GMinus, 1655, check)
    call createCurrent(P_HlQ, P_HPlus, P_ghWm, P_ghZAnti, 986, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_G0, 6461, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghWmAnti, P_GMinus, 7099, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghWm, P_HlQ, 2402, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, 1147, check)
    call createCurrent(P_s, P_sAnti, P_GQ0, 6332, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_G0, P_ghA, 10354, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_Z, 263, check)
    call createCurrent(P_Hh, P_WMinus, P_HPlus, 7481, check)
    call createCurrent(P_WQMinus, P_Hl, P_WPlus, P_HlQ, 2712, check)
    call createCurrent(P_GMinus, P_Ha, P_ghWp, P_ghZAnti, 9964, check)
    call createCurrent(P_HQMinus, P_Hh, P_ghWmAnti, P_ghZ, 37, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_Ha, P_ghWm, 2321, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, P_Z, 9311, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hh, P_HQPlus, 1462, check)
    call createCurrent(P_WPlus, P_WMinus, P_WMinus, P_WPlus, 4078, check)
    call createCurrent(P_Ha, P_Ha, P_ghWmAnti, P_ghWm, 8757, check)
    call createCurrent(P_WMinus, P_Ha, P_GPlus, P_A, 9403, check)
    call createCurrent(P_HMinus, P_G0, P_Hh, P_HPlus, 10218, check)
    call createCurrent(P_ghAAnti, P_Hh, P_HPlus, P_ghWm, 6765, check)
    call createCurrent(P_GMinus, P_WPlus, P_HPlus, P_WMinus, 9573, check)
    call createCurrent(P_AQ, P_Hh, P_WPlus, P_GQMinus, 512, check)
    call createCurrent(P_GQ0, P_Hh, P_GMinus, P_HQPlus, 6039, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_ghZ, 743, check)
    call createCurrent(P_HPlus, P_Hh, P_ghWm, P_ghZAnti, 719, check)
    call createCurrent(P_Hl, P_ghWm, P_ghWmAnti, 2556, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_WMinus, P_AQ, 4372, check)
    call createCurrent(P_ghA, P_GMinus, P_ghAAnti, P_GQPlus, 5522, check)
    call createCurrent(P_HhQ, P_Hh, P_Z, P_ZQ, 63, check)
    call createCurrent(P_Z, P_WPlus, P_GMinus, P_Hh, 446, check)
    call createCurrent(P_A, P_GMinus, P_GPlus, P_Z, 2717, check)
    call createCurrent(P_HMinus, P_c, P_sAnti, 4863, check)
    call createCurrent(P_Z, P_ghWpAnti, P_Z, P_ghWp, 370, check)
    call createCurrent(P_c, P_cAnti, P_Hl, 4744, check)
    call createCurrent(P_GPlus, P_Z, P_WMinus, P_Ha, 9172, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, P_Ha, 4285, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hl, P_HaQ, 1060, check)
    call createCurrent(P_WPlus, P_Hh, P_GMinus, P_Z, 1139, check)
    call createCurrent(P_HlQ, P_ghWmAnti, P_Ha, P_ghWm, 8160, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GMinus, P_G0, 1426, check)
    call createCurrent(P_WQMinus, P_GPlus, P_A, P_GQ0, 1339, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghWpAnti, P_Z, 672, check)
    call createCurrent(P_HPlus, P_GMinus, P_HMinus, P_HPlus, 35, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_Hh, 616, check)
    call createCurrent(P_ghZ, P_HPlus, P_G0, P_ghWpAnti, 9812, check)
    call createCurrent(P_Hh, P_Z, P_A, P_Hh, 10223, check)
    call createCurrent(P_G0, P_GMinus, P_ghWp, P_ghAAnti, 3072, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, 6959, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghWp, 1445, check)
    call createCurrent(P_A, P_Z, P_HMinus, P_HPlus, 976, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WQPlus, 5674, check)
    call createCurrent(P_ZQ, P_ghWm, P_ghWmAnti, 5618, check)
    call createCurrent(P_GQ0, P_ghZ, P_GMinus, P_ghWmAnti, 5256, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_Ha, P_ghWp, 3490, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_A, 2778, check)
    call createCurrent(P_d, P_uAnti, P_WPlus, 936, check)
    call createCurrent(P_ghWp, P_GMinus, P_HPlus, P_ghWpAnti, 10126, check)
    call createCurrent(P_tauPlus, P_WMinus, P_nu_tau, 7326, check)
    call createCurrent(P_b, P_tAnti, P_WPlus, 1603, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_AQ, 8658, check)
    call createCurrent(P_Ha, P_GPlus, P_G0, P_GMinus, 5451, check)
    call createCurrent(P_G0, P_ghZAnti, P_Ha, P_ghZ, 9785, check)
    call createCurrent(P_u, P_HMinus, P_dAnti, 629, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_WMinus, 3365, check)
    call createCurrent(P_HhQ, P_HPlus, P_GMinus, P_HaQ, 2907, check)
    call createCurrent(P_ZQ, P_A, P_ghWp, P_ghWpAnti, 8326, check)
    call createCurrent(P_GPlus, P_Hl, P_WMinus, P_Z, 6033, check)
    call createCurrent(P_WMinus, P_Z, P_Hh, P_HPlus, 8157, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_GMinus, P_ghZ, 5460, check)
    call createCurrent(P_HMinus, P_WPlus, P_Hh, P_Z, 2313, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_WMinus, 788, check)
    call createCurrent(P_GPlus, P_A, P_Hl, P_WMinus, 4292, check)
    call createCurrent(P_ghWp, P_A, P_ghAAnti, P_WMinus, 6333, check)
    call createCurrent(P_A, P_HPlus, P_Z, P_HMinus, 7077, check)
    call createCurrent(P_A, P_G0, P_A, P_G0, 10691, check)
    call createCurrent(P_HQPlus, P_cAnti, P_s, 3046, check)
    call createCurrent(P_ghZ, P_GPlus, P_Hh, P_ghWpAnti, 4685, check)
    call createCurrent(P_nu_eAnti, P_eMinus, P_GQPlus, 3031, check)
    call createCurrent(P_Z, P_HMinus, P_GPlus, P_Z, 9707, check)
    call createCurrent(P_HQMinus, P_Z, P_Hl, P_WQPlus, 378, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_G0, P_ghWp, 7298, check)
    call createCurrent(P_HaQ, P_Ha, P_GMinus, P_GQPlus, 8770, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, P_G0, 10127, check)
    call createCurrent(P_HQMinus, P_Hh, P_ghWp, P_ghZAnti, 3095, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_Hl, P_GPlus, 2095, check)
    call createCurrent(P_HQMinus, P_ghAAnti, P_HPlus, P_ghZ, 7841, check)
    call createCurrent(P_Z, P_A, P_Ha, P_G0, 10665, check)
    call createCurrent(P_ZQ, P_Hl, P_HMinus, P_WQPlus, 6950, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghZAnti, P_Hh, 1840, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghWm, 2309, check)
    call createCurrent(P_Hl, P_GPlus, P_ghWpAnti, P_ghA, 622, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghZAnti, P_ghZ, 8380, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghWp, P_Hh, 8252, check)
    call createCurrent(P_A, P_A, P_ghWmAnti, P_ghWm, 5292, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Ha, P_ghZ, 9423, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Hl, 7490, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghWp, 1677, check)
    call createCurrent(P_A, P_ghAAnti, P_ghWp, P_WMinus, 1262, check)
    call createCurrent(P_HhQ, P_HMinus, P_GPlus, P_GQ0, 6047, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hh, P_HMinus, 3646, check)
    call createCurrent(P_A, P_WPlus, P_G0, P_HMinus, 9044, check)
    call createCurrent(P_GQ0, P_WMinus, P_A, P_GQPlus, 7943, check)
    call createCurrent(P_gQ, P_ghG, P_g, P_ghGAnti, 6189, check)
    call createCurrent(P_HhQ, P_HPlus, P_ghZAnti, P_ghWm, 3508, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_Z, 2817, check)
    call createCurrent(P_HPlus, P_G0, P_A, P_WMinus, 9131, check)
    call createCurrent(P_Hl, P_Z, P_Hl, P_Z, 1781, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_Z, P_WPlus, 6449, check)
    call createCurrent(P_ZQ, P_A, P_ghWmAnti, P_ghWm, 2269, check)
    call createCurrent(P_GQ0, P_tauMinus, P_tauPlus, 5373, check)
    call createCurrent(P_Ha, P_HPlus, P_Z, P_WMinus, 2628, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_HQMinus, 4335, check)
    call createCurrent(P_Z, P_HPlus, P_GMinus, 9593, check)
    call createCurrent(P_WPlus, P_eMinus, P_nu_eAnti, 8308, check)
    call createCurrent(P_GQMinus, P_Hl, P_GQPlus, 5511, check)
    call createCurrent(P_Hl, P_HPlus, P_A, P_WMinus, 4248, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_ghWp, 8048, check)
    call createCurrent(P_GPlus, P_HMinus, P_WMinus, P_WPlus, 9628, check)
    call createCurrent(P_WMinus, P_ghAAnti, P_WPlus, P_ghA, 3180, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_HlQ, 4134, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hh, P_ghA, 8787, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_GMinus, P_G0, 7910, check)
    call createCurrent(P_HQMinus, P_HPlus, P_GQ0, 8753, check)
    call createCurrent(P_ghWmAnti, P_HPlus, P_ghWm, P_HMinus, 6298, check)
    call createCurrent(P_WMinus, P_WPlus, P_Ha, P_G0, 9920, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hh, P_AQ, 3653, check)
    call createCurrent(P_Hh, P_GPlus, P_GMinus, P_Hl, 1599, check)
    call createCurrent(P_GPlus, P_G0, P_ghWpAnti, P_ghA, 6347, check)
    call createCurrent(P_ZQ, P_HMinus, P_WPlus, P_HlQ, 6981, check)
    call createCurrent(P_HMinus, P_HPlus, P_Z, 1773, check)
    call createCurrent(P_GQPlus, P_nu_muAnti, P_muMinus, 3993, check)
    call createCurrent(P_dAnti, P_WMinus, P_u, 8235, check)
    call createCurrent(P_HMinus, P_G0, P_WPlus, 9672, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_WQMinus, 5509, check)
    call createCurrent(P_Hl, P_ghZ, P_Hl, P_ghZAnti, 2842, check)
    call createCurrent(P_HhQ, P_GMinus, P_Hl, P_GQPlus, 4320, check)
    call createCurrent(P_HPlus, P_Hh, P_G0, P_GMinus, 6205, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_HlQ, 4884, check)
    call createCurrent(P_ghZ, P_HPlus, P_ghAAnti, P_HMinus, 3307, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, 3775, check)
    call createCurrent(P_AQ, P_ghWm, P_ghWmAnti, 1138, check)
    call createCurrent(P_G0, P_G0, P_Hl, P_Hh, 3268, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, 3584, check)
    call createCurrent(P_HQPlus, P_HMinus, P_GMinus, P_GQPlus, 3761, check)
    call createCurrent(P_HhQ, P_HPlus, P_GMinus, P_HlQ, 2617, check)
    call createCurrent(P_GQ0, P_HMinus, P_Hh, P_GQPlus, 2158, check)
    call createCurrent(P_Hh, P_Hl, P_HPlus, P_HMinus, 326, check)
    call createCurrent(P_Hh, P_ghZ, P_HMinus, P_ghWmAnti, 196, check)
    call createCurrent(P_eMinus, P_ePlus, 8933, check)
    call createCurrent(P_GMinus, P_Z, P_WPlus, 1618, check)
    call createCurrent(P_Ha, P_HMinus, P_GPlus, P_Hh, 3040, check)
    call createCurrent(P_Z, P_HMinus, P_Ha, P_WPlus, 4628, check)
    call createCurrent(P_Hh, P_HPlus, P_ghAAnti, P_ghWm, 1673, check)
    call createCurrent(P_Hl, P_HPlus, P_HMinus, P_Ha, 9993, check)
    call createCurrent(P_HQPlus, P_HMinus, P_HPlus, P_GQMinus, 6935, check)
    call createCurrent(P_Z, P_ghWmAnti, P_WMinus, P_ghA, 997, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_HMinus, P_ghWp, 1964, check)
    call createCurrent(P_G0, P_GMinus, P_Hh, P_GPlus, 9040, check)
    call createCurrent(P_A, P_WMinus, P_WPlus, P_Z, 5167, check)
    call createCurrent(P_HMinus, P_g, P_HPlus, P_g, 10745, check)
    call createCurrent(P_HMinus, P_G0, P_Hl, P_GPlus, 5817, check)
    call createCurrent(P_A, P_ghWp, P_ghAAnti, P_WMinus, 382, check)
    call createCurrent(P_Ha, P_GPlus, P_ghZAnti, P_ghWm, 9750, check)
    call createCurrent(P_G0, P_HMinus, P_Hh, P_GPlus, 3700, check)
    call createCurrent(P_A, P_WMinus, P_Hh, P_GPlus, 8342, check)
    call createCurrent(P_ghWmAnti, P_WMinus, P_ghWp, P_WMinus, 456, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HPlus, P_HMinus, 4212, check)
    call createCurrent(P_GQMinus, P_GMinus, P_HPlus, P_GQPlus, 4180, check)
    call createCurrent(P_ghA, P_GMinus, P_ghZAnti, P_HPlus, 8906, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghWm, P_ghZAnti, 1746, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_HMinus, 7923, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghWm, P_HQPlus, 584, check)
    call createCurrent(P_b, P_tAnti, P_GQPlus, 1297, check)
    call createCurrent(P_Ha, P_Ha, P_ghZAnti, P_ghZ, 5175, check)
    call createCurrent(P_ghZ, P_G0, P_ghWpAnti, P_GQPlus, 8514, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_A, 1658, check)
    call createCurrent(P_ZQ, P_Hl, P_Hl, P_ZQ, 5607, check)
    call createCurrent(P_HlQ, P_GPlus, P_Hl, P_GQMinus, 6393, check)
    call createCurrent(P_HPlus, P_Ha, P_ghAAnti, P_ghWm, 2804, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghWp, P_GQMinus, 5925, check)
    call createCurrent(P_Ha, P_Z, 9273, check)
    call createCurrent(P_HQPlus, P_HMinus, P_G0, P_HaQ, 7007, check)
    call createCurrent(P_Hh, P_ghWp, P_ghAAnti, P_GMinus, 6161, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_Hh, P_ghWp, 7881, check)
    call createCurrent(P_HaQ, P_Ha, P_ghWpAnti, P_ghWp, 427, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_GPlus, P_ghZ, 9524, check)
    call createCurrent(P_ZQ, P_Z, P_HMinus, P_HQPlus, 4413, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Ha, P_Ha, 4398, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_HhQ, 6444, check)
    call createCurrent(P_HMinus, P_WPlus, P_WMinus, P_HPlus, 7907, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Ha, P_GPlus, 9207, check)
    call createCurrent(P_g, P_c, P_cAnti, 7451, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_GQ0, 8238, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWpAnti, P_ghWp, 7658, check)
    call createCurrent(P_ghWp, P_WMinus, P_ghAAnti, P_ZQ, 520, check)
    call createCurrent(P_GMinus, P_ghZ, P_Ha, P_ghWmAnti, 8845, check)
    call createCurrent(P_GQPlus, P_Z, P_GMinus, P_AQ, 692, check)
    call createCurrent(P_nu_mu, P_muPlus, P_HMinus, 4138, check)
    call createCurrent(P_Z, P_ghWp, P_Z, P_ghWpAnti, 2524, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghWp, P_GMinus, 4588, check)
    call createCurrent(P_Hh, P_G0, P_GPlus, P_GMinus, 9263, check)
    call createCurrent(P_GPlus, P_Ha, P_G0, P_HMinus, 58, check)
    call createCurrent(P_HhQ, P_GMinus, P_HPlus, P_GQ0, 594, check)
    call createCurrent(P_ghZ, P_Z, P_ghWpAnti, P_WPlus, 7060, check)
    call createCurrent(P_HQPlus, P_GMinus, P_GQ0, 328, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, P_A, 581, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_GMinus, 8264, check)
    call createCurrent(P_A, P_nu_tauAnti, P_nu_tau, 9510, check)
    call createCurrent(P_HlQ, P_G0, P_WPlus, P_WQMinus, 6477, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, P_Z, 10016, check)
    call createCurrent(P_WMinus, P_Z, P_GPlus, P_Ha, 9306, check)
    call createCurrent(P_WMinus, P_ghA, P_WPlus, P_ghAAnti, 3038, check)
    call createCurrent(P_HPlus, P_Z, P_HMinus, 1440, check)
    call createCurrent(P_ZQ, P_ghWpAnti, P_A, P_ghWp, 2883, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_Ha, P_ghA, 860, check)
    call createCurrent(P_WMinus, P_A, P_GPlus, 582, check)
    call createCurrent(P_A, P_G0, P_Z, P_Ha, 10749, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Ha, 9591, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghA, P_GQPlus, 2794, check)
    call createCurrent(P_A, P_Ha, P_GMinus, P_WPlus, 9866, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_Z, 2834, check)
    call createCurrent(P_GQMinus, P_WPlus, P_A, P_GQ0, 2175, check)
    call createCurrent(P_Hh, P_WMinus, P_GPlus, P_Z, 2882, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghWmAnti, P_HlQ, 2429, check)
    call createCurrent(P_WQMinus, P_Hh, P_Hh, P_WQPlus, 3800, check)
    call createCurrent(P_Z, P_s, P_sAnti, 2835, check)
    call createCurrent(P_ghWm, P_Hh, P_Hl, P_ghWmAnti, 9568, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hl, P_HMinus, 261, check)
    call createCurrent(P_Hl, P_Hh, P_GPlus, P_HMinus, 7230, check)
    call createCurrent(P_HQMinus, P_HPlus, P_Ha, P_HlQ, 8034, check)
    call createCurrent(P_G0, P_A, P_HMinus, P_WPlus, 10234, check)
    call createCurrent(P_GPlus, P_Hl, P_ghAAnti, P_ghWm, 2612, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_HPlus, P_ghA, 6750, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_HhQ, 1266, check)
    call createCurrent(P_G0, P_HPlus, P_Hl, P_HMinus, 9647, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, 2232, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, P_Hl, 1933, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghAAnti, P_ghA, 9556, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghWpAnti, P_Hh, 6266, check)
    call createCurrent(P_HaQ, P_Hl, P_WMinus, P_WQPlus, 7697, check)
    call createCurrent(P_HhQ, P_ghZ, P_ghZAnti, 5446, check)
    call createCurrent(P_WMinus, P_Hl, P_HPlus, P_Z, 6365, check)
    call createCurrent(P_ghZAnti, P_Z, P_WMinus, P_ghWp, 1892, check)
    call createCurrent(P_GMinus, P_HPlus, P_A, 10280, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, P_HhQ, 4321, check)
    call createCurrent(P_GMinus, P_A, P_HPlus, P_A, 9604, check)
    call createCurrent(P_HQPlus, P_Hl, P_HMinus, P_HhQ, 3873, check)
    call createCurrent(P_GQ0, P_GPlus, P_A, P_WQMinus, 3404, check)
    call createCurrent(P_HMinus, P_GPlus, P_Hh, P_Hh, 1300, check)
    call createCurrent(P_Ha, P_Hh, P_GMinus, P_HPlus, 4986, check)
    call createCurrent(P_t, P_tAnti, P_Hl, 6773, check)
    call createCurrent(P_AQ, P_GPlus, P_GMinus, P_AQ, 2347, check)
    call createCurrent(P_HhQ, P_WPlus, P_GQMinus, 2622, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_HPlus, P_ghA, 2299, check)
    call createCurrent(P_WPlus, P_A, P_ghWpAnti, P_ghZ, 5706, check)
    call createCurrent(P_GQ0, P_Ha, P_G0, P_HaQ, 4979, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghA, P_ghZAnti, 2675, check)
    call createCurrent(P_ghZ, P_HMinus, P_GPlus, P_ghZAnti, 9431, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_G0, 6227, check)
    call createCurrent(P_Ha, P_GPlus, P_GMinus, P_G0, 6470, check)
    call createCurrent(P_AQ, P_HPlus, P_HQMinus, 2596, check)
    call createCurrent(P_tAnti, P_b, P_HQPlus, 4305, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, P_Hh, 3692, check)
    call createCurrent(P_GQ0, P_GMinus, P_GPlus, P_GQ0, 8616, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_HMinus, P_ghZ, 7791, check)
    call createCurrent(P_Hl, P_ghWm, P_HPlus, P_ghAAnti, 7469, check)
    call createCurrent(P_GQPlus, P_ghAAnti, P_GMinus, P_ghA, 1931, check)
    call createCurrent(P_Hl, P_Ha, P_HMinus, P_GPlus, 5546, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Hl, P_GQ0, 996, check)
    call createCurrent(P_G0, P_GPlus, P_ghAAnti, P_ghWm, 961, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_Ha, 9792, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghWm, P_ZQ, 3954, check)
    call createCurrent(P_ghAAnti, P_Z, P_ghWm, P_WPlus, 2954, check)
    call createCurrent(P_HQMinus, P_Hl, P_HPlus, P_HhQ, 863, check)
    call createCurrent(P_ghA, P_HMinus, P_HPlus, P_ghAAnti, 5945, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghA, P_GMinus, 10179, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_GMinus, 3535, check)
    call createCurrent(P_HQMinus, P_G0, P_Hl, P_GQPlus, 8130, check)
    call createCurrent(P_HlQ, P_HPlus, P_GQMinus, 2534, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, 1888, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_HlQ, 3499, check)
    call createCurrent(P_Ha, P_Hl, P_G0, P_Hh, 5002, check)
    call createCurrent(P_ghZAnti, P_G0, P_ghZ, P_GQ0, 3367, check)
    call createCurrent(P_GQ0, P_WMinus, P_WQPlus, 4952, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_Hl, 4433, check)
    call createCurrent(P_HQPlus, P_Z, P_HMinus, P_AQ, 535, check)
    call createCurrent(P_u, P_WMinus, P_dAnti, 2993, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghZ, P_HhQ, 2118, check)
    call createCurrent(P_GQPlus, P_ghWm, P_G0, P_ghZAnti, 5795, check)
    call createCurrent(P_HlQ, P_GPlus, P_HMinus, P_HhQ, 1524, check)
    call createCurrent(P_GQMinus, P_GPlus, P_GQ0, 3522, check)
    call createCurrent(P_HlQ, P_GMinus, P_GQPlus, 4745, check)
    call createCurrent(P_HQPlus, P_G0, P_GMinus, P_HlQ, 2044, check)
    call createCurrent(P_HPlus, P_Hl, P_GMinus, P_Hh, 32, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, P_G0, 4640, check)
    call createCurrent(P_sAnti, P_HMinus, P_c, 205, check)
    call createCurrent(P_tauMinus, P_Z, P_tauPlus, 712, check)
    call createCurrent(P_ePlus, P_Hh, P_eMinus, 6203, check)
    call createCurrent(P_HaQ, P_ghWp, P_HMinus, P_ghZAnti, 4269, check)
    call createCurrent(P_A, P_ghA, P_ghWpAnti, P_WPlus, 1556, check)
    call createCurrent(P_HPlus, P_HMinus, P_Z, P_Z, 8569, check)
    call createCurrent(P_HhQ, P_HMinus, P_Ha, P_HQPlus, 19, check)
    call createCurrent(P_HPlus, P_Hl, P_ghZ, P_ghWpAnti, 8371, check)
    call createCurrent(P_A, P_bAnti, P_b, 4614, check)
    call createCurrent(P_WQMinus, P_ghA, P_A, P_ghWmAnti, 5559, check)
    call createCurrent(P_ghZAnti, P_Z, P_WPlus, P_ghWm, 4879, check)
    call createCurrent(P_Hl, P_ghWm, P_Hl, P_ghWmAnti, 6725, check)
    call createCurrent(P_ghA, P_GPlus, P_ghAAnti, P_GMinus, 2369, check)
    call createCurrent(P_WMinus, P_WPlus, P_GPlus, P_GMinus, 4361, check)
    call createCurrent(P_ZQ, P_HPlus, P_WMinus, P_HaQ, 1172, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Ha, P_GMinus, 9367, check)
    call createCurrent(P_ghZAnti, P_ghWm, P_G0, P_GQPlus, 3281, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghA, P_HPlus, 6462, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WMinus, 8805, check)
    call createCurrent(P_Ha, P_GPlus, P_Z, P_WMinus, 8868, check)
    call createCurrent(P_HQPlus, P_HMinus, P_A, P_AQ, 5903, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_HQMinus, 5726, check)
    call createCurrent(P_WQPlus, P_HMinus, P_HhQ, 7725, check)
    call createCurrent(P_Z, P_HMinus, P_GPlus, 8882, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghA, P_WQMinus, 4734, check)
    call createCurrent(P_bAnti, P_b, 10227, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_HhQ, 5844, check)
    call createCurrent(P_GQMinus, P_Z, P_GPlus, P_ZQ, 8520, check)
    call createCurrent(P_Z, P_A, P_WPlus, P_WMinus, 1742, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_WMinus, P_ghWp, 2539, check)
    call createCurrent(P_b, P_bAnti, 9616, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_G0, 3236, check)
    call createCurrent(P_HPlus, P_Hl, P_A, P_WMinus, 6109, check)
    call createCurrent(P_WQPlus, P_Hh, P_WQMinus, 3010, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_G0, P_GQ0, 5432, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_HaQ, 681, check)
    call createCurrent(P_GMinus, P_Hl, P_Hl, P_GPlus, 4573, check)
    call createCurrent(P_WQMinus, P_WPlus, P_HlQ, 643, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghA, P_HQMinus, 4452, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, P_Hl, 20, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hl, P_GQ0, 3217, check)
    call createCurrent(P_WQMinus, P_HPlus, P_HMinus, P_WQPlus, 1193, check)
    call createCurrent(P_HlQ, P_HMinus, P_GQPlus, 507, check)
    call createCurrent(P_HlQ, P_HPlus, P_HQMinus, 4368, check)
    call createCurrent(P_HhQ, P_GPlus, P_A, P_WQMinus, 8291, check)
    call createCurrent(P_Ha, P_Ha, P_GMinus, P_HPlus, 3541, check)
    call createCurrent(P_GMinus, P_G0, P_ghWp, P_ghZAnti, 6554, check)
    call createCurrent(P_Hl, P_G0, P_HMinus, P_GPlus, 8460, check)
    call createCurrent(P_ZQ, P_G0, P_Z, P_GQ0, 7229, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_HPlus, 6560, check)
    call createCurrent(P_HQMinus, P_GPlus, P_G0, P_HlQ, 3644, check)
    call createCurrent(P_G0, P_ghA, P_HPlus, P_ghWpAnti, 9197, check)
    call createCurrent(P_muPlus, P_HMinus, P_nu_mu, 4412, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hl, P_Hl, 2538, check)
    call createCurrent(P_GQPlus, P_HMinus, P_G0, P_GQ0, 7211, check)
    call createCurrent(P_tauPlus, P_nu_tau, P_WMinus, 1245, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_HaQ, 6121, check)
    call createCurrent(P_tAnti, P_t, P_G0, 4131, check)
    call createCurrent(P_HhQ, P_G0, P_GMinus, P_GQPlus, 3888, check)
    call createCurrent(P_AQ, P_A, P_ghWm, P_ghWmAnti, 5541, check)
    call createCurrent(P_WPlus, P_Hl, P_A, P_GMinus, 4962, check)
    call createCurrent(P_Hh, P_G0, P_G0, P_Hh, 5524, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Hh, P_HhQ, 4894, check)
    call createCurrent(P_HaQ, P_HMinus, P_HPlus, P_GQ0, 4880, check)
    call createCurrent(P_GQMinus, P_WPlus, P_G0, P_AQ, 6883, check)
    call createCurrent(P_GQ0, P_Hl, P_G0, P_HhQ, 5734, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_Ha, 8060, check)
    call createCurrent(P_A, P_ghWm, P_ghAAnti, P_WPlus, 6180, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_GQ0, 215, check)
    call createCurrent(P_GQ0, P_G0, P_Hh, P_HlQ, 8207, check)
    call createCurrent(P_GQ0, P_Hh, P_ZQ, 3796, check)
    call createCurrent(P_G0, P_Ha, P_GMinus, P_HPlus, 7783, check)
    call createCurrent(P_Hh, P_G0, P_Hl, P_G0, 2549, check)
    call createCurrent(P_A, P_Z, P_GPlus, P_GMinus, 8726, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWp, P_HMinus, 1089, check)
    call createCurrent(P_GQ0, P_WMinus, P_GQPlus, 5878, check)
    call createCurrent(P_HQMinus, P_Hl, P_Hh, P_HQPlus, 4777, check)
    call createCurrent(P_GQPlus, P_A, P_GMinus, P_ZQ, 5796, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_Hh, P_HQPlus, 8180, check)
    call createCurrent(P_G0, P_GPlus, P_G0, P_HMinus, 5598, check)
    call createCurrent(P_Ha, P_ghWp, P_ghWpAnti, P_G0, 10110, check)
    call createCurrent(P_G0, P_HPlus, P_ghZ, P_ghWpAnti, 9140, check)
    call createCurrent(P_ghWp, P_Hh, P_Hh, P_ghWpAnti, 2576, check)
    call createCurrent(P_HMinus, P_HPlus, P_G0, 9959, check)
    call createCurrent(P_Z, P_G0, P_Z, P_Ha, 10387, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_HPlus, 2868, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, P_Ha, 31, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hl, P_G0, 6441, check)
    call createCurrent(P_GMinus, P_Ha, P_GPlus, P_Hh, 9717, check)
    call createCurrent(P_HhQ, P_Hh, P_Hl, P_HhQ, 5455, check)
    call createCurrent(P_ghZ, P_HPlus, P_Hh, P_ghWpAnti, 605, check)
    call createCurrent(P_ghWp, P_Z, P_Z, P_ghWpAnti, 6702, check)
    call createCurrent(P_HPlus, P_GMinus, P_A, P_A, 9784, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_HPlus, P_HlQ, 3780, check)
    call createCurrent(P_HMinus, P_Hh, P_GPlus, P_Ha, 2393, check)
    call createCurrent(P_HPlus, P_WPlus, P_WMinus, P_GMinus, 10219, check)
    call createCurrent(P_HPlus, P_G0, P_GMinus, P_Hl, 2787, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_HPlus, 2170, check)
    call createCurrent(P_ghWmAnti, P_A, P_WMinus, P_ghZ, 4119, check)
    call createCurrent(P_WPlus, P_WMinus, P_GMinus, P_HPlus, 9948, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_Ha, P_ghWp, 10334, check)
    call createCurrent(P_HlQ, P_GPlus, P_G0, P_GQMinus, 6406, check)
    call createCurrent(P_Hh, P_Hh, P_HPlus, P_HMinus, 6937, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghZ, P_ghZAnti, 10095, check)
    call createCurrent(P_HaQ, P_HPlus, P_Hl, P_GQMinus, 714, check)
    call createCurrent(P_Ha, P_s, P_sAnti, 8665, check)
    call createCurrent(P_ghWpAnti, P_Ha, P_ghWp, P_HaQ, 3114, check)
    call createCurrent(P_Z, P_A, P_ghWm, P_ghWmAnti, 2249, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_A, 5882, check)
    call createCurrent(P_A, P_ghWpAnti, P_ghWp, P_Z, 6718, check)
    call createCurrent(P_WMinus, P_Hh, P_Hl, P_WPlus, 9161, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_HMinus, P_Ha, 4226, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_G0, 9950, check)
    call createCurrent(P_AQ, P_t, P_tAnti, 5515, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghZAnti, P_G0, 10198, check)
    call createCurrent(P_G0, P_HMinus, P_ghWmAnti, P_ghA, 10260, check)
    call createCurrent(P_GQ0, P_G0, P_WMinus, P_WQPlus, 6004, check)
    call createCurrent(P_Hh, P_Ha, P_Hh, P_G0, 1584, check)
    call createCurrent(P_tauMinus, P_nu_tauAnti, P_GPlus, 8087, check)
    call createCurrent(P_G0, P_HMinus, P_ghA, P_ghWmAnti, 9613, check)
    call createCurrent(P_Ha, P_Hl, P_Z, 374, check)
    call createCurrent(P_HQMinus, P_Hh, P_HPlus, P_HaQ, 677, check)
    call createCurrent(P_GQMinus, P_GPlus, P_AQ, 5503, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_ghWm, P_Ha, 6807, check)
    call createCurrent(P_WMinus, P_HPlus, P_Z, 1806, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, 7740, check)
    call createCurrent(P_bAnti, P_b, P_Z, 715, check)
    call createCurrent(P_G0, P_Ha, P_A, P_A, 10738, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_GQPlus, 1706, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_HlQ, 3687, check)
    call createCurrent(P_A, P_c, P_cAnti, 2049, check)
    call createCurrent(P_ghZ, P_WMinus, P_Z, P_ghWmAnti, 1040, check)
    call createCurrent(P_HPlus, P_Hl, P_ghWm, P_ghZAnti, 8247, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_GPlus, P_ghWm, 10067, check)
    call createCurrent(P_GQPlus, P_GPlus, P_GMinus, P_GQMinus, 1796, check)
    call createCurrent(P_A, P_GPlus, P_GMinus, P_A, 4160, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, 1549, check)
    call createCurrent(P_GMinus, P_G0, P_HPlus, 4249, check)
    call createCurrent(P_HlQ, P_Ha, P_Hh, P_GQ0, 7238, check)
    call createCurrent(P_muPlus, P_muMinus, P_GQ0, 4328, check)
    call createCurrent(P_nu_eAnti, P_HPlus, P_eMinus, 8109, check)
    call createCurrent(P_GMinus, P_Z, P_GPlus, P_Z, 1121, check)
    call createCurrent(P_HaQ, P_A, P_HMinus, P_WQPlus, 2990, check)
    call createCurrent(P_Ha, P_Z, P_Ha, P_Z, 6155, check)
    call createCurrent(P_c, P_cAnti, P_HlQ, 5528, check)
    call createCurrent(P_Hl, P_Ha, P_Z, 5183, check)
    call createCurrent(P_GPlus, P_ghZ, P_Hh, P_ghWpAnti, 4878, check)
    call createCurrent(P_GQPlus, P_tAnti, P_b, 1613, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_G0, 9582, check)
    call createCurrent(P_Hh, P_WMinus, P_WPlus, P_Hl, 9470, check)
    call createCurrent(P_ghWp, P_Ha, P_ghZAnti, P_GMinus, 10057, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_Hl, P_GMinus, 5620, check)
    call createCurrent(P_Hl, P_Ha, P_HMinus, P_HPlus, 9952, check)
    call createCurrent(P_HQMinus, P_ghZAnti, P_Ha, P_ghWp, 8428, check)
    call createCurrent(P_G0, P_Ha, P_HPlus, P_HMinus, 1521, check)
    call createCurrent(P_WQMinus, P_WPlus, P_Hl, P_HlQ, 1209, check)
    call createCurrent(P_Z, P_GMinus, P_WPlus, 6274, check)
    call createCurrent(P_Z, P_Ha, P_WPlus, P_GMinus, 9441, check)
    call createCurrent(P_WMinus, P_GPlus, P_Ha, 9378, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, P_Ha, 9463, check)
    call createCurrent(P_nu_e, P_GMinus, P_ePlus, 5029, check)
    call createCurrent(P_WQPlus, P_A, P_ghA, P_ghWpAnti, 7020, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_GPlus, P_Hh, 4070, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, 5843, check)
    call createCurrent(P_A, P_Hl, P_HMinus, P_WPlus, 1801, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hh, P_HQMinus, 6998, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_Hl, 8813, check)
    call createCurrent(P_GQ0, P_Hl, P_WPlus, P_WQMinus, 1446, check)
    call createCurrent(P_WMinus, P_WPlus, P_HPlus, P_GMinus, 8898, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, P_Ha, 8854, check)
    call createCurrent(P_GQ0, P_Hl, P_Ha, P_HlQ, 2298, check)
    call createCurrent(P_HQPlus, P_WMinus, P_A, P_HhQ, 3575, check)
    call createCurrent(P_Hh, P_Ha, P_G0, 4207, check)
    call createCurrent(P_GQMinus, P_GPlus, P_Ha, P_HhQ, 2801, check)
    call createCurrent(P_A, P_ghZ, P_ghWpAnti, P_WPlus, 5501, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghZ, P_ghAAnti, 2791, check)
    call createCurrent(P_WQMinus, P_Z, P_GPlus, P_GQ0, 4820, check)
    call createCurrent(P_dAnti, P_d, 9798, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, 8278, check)
    call createCurrent(P_GQ0, P_WPlus, P_WQMinus, 5265, check)
    call createCurrent(P_GQ0, P_Ha, P_Hh, P_HlQ, 1675, check)
    call createCurrent(P_HaQ, P_HMinus, P_Hl, P_HQPlus, 6618, check)
    call createCurrent(P_HaQ, P_Ha, P_HlQ, 8674, check)
    call createCurrent(P_HPlus, P_HMinus, P_Hh, P_G0, 9227, check)
    call createCurrent(P_GPlus, P_GPlus, P_GMinus, P_HMinus, 466, check)
    call createCurrent(P_Z, P_G0, P_Hl, 866, check)
    call createCurrent(P_GMinus, P_Ha, P_HPlus, P_Hl, 1614, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_HMinus, P_G0, 9869, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HQPlus, 2020, check)
    call createCurrent(P_WQPlus, P_Ha, P_HQMinus, 7103, check)
    call createCurrent(P_cAnti, P_g, P_c, 4910, check)
    call createCurrent(P_HaQ, P_Ha, P_GPlus, P_GQMinus, 7889, check)
    call createCurrent(P_HPlus, P_Hl, P_Ha, P_GMinus, 3171, check)
    call createCurrent(P_GQ0, P_HMinus, P_GPlus, P_GQ0, 2779, check)
    call createCurrent(P_GPlus, P_GPlus, P_HMinus, P_HMinus, 6559, check)
    call createCurrent(P_GMinus, P_Z, P_A, P_GPlus, 3020, check)
    call createCurrent(P_AQ, P_GPlus, P_Hl, P_WQMinus, 5849, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Hl, P_GQ0, 6689, check)
    call createCurrent(P_Ha, P_A, P_WMinus, P_HPlus, 6589, check)
    call createCurrent(P_AQ, P_HPlus, P_HMinus, P_ZQ, 776, check)
    call createCurrent(P_WQMinus, P_WPlus, P_HMinus, P_HQPlus, 5030, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_GMinus, P_ghWp, 517, check)
    call createCurrent(P_HMinus, P_Hl, P_ghWmAnti, P_ghA, 4889, check)
    call createCurrent(P_HlQ, P_WMinus, P_Hl, P_WQPlus, 8217, check)
    call createCurrent(P_HhQ, P_WPlus, P_Ha, P_WQMinus, 6782, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Ha, P_HlQ, 6123, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_Hl, P_ghZ, 7484, check)
    call createCurrent(P_GQ0, P_ghWp, P_ghWpAnti, 1055, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WPlus, P_WQMinus, 6220, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_Hl, 3486, check)
    call createCurrent(P_ghWm, P_Hh, P_ghAAnti, P_GPlus, 6149, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghWm, P_HhQ, 4097, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, P_Ha, 3350, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghWp, P_HlQ, 4387, check)
    call createCurrent(P_HaQ, P_ghZAnti, P_HPlus, P_ghWm, 7753, check)
    call createCurrent(P_Z, P_Z, P_Ha, P_G0, 9735, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghWpAnti, P_WPlus, 6863, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghWm, P_G0, 10289, check)
    call createCurrent(P_ZQ, P_WMinus, P_ghAAnti, P_ghWp, 1146, check)
    call createCurrent(P_WPlus, P_ghAAnti, P_Z, P_ghWm, 5841, check)
    call createCurrent(P_G0, P_WPlus, P_Z, P_GMinus, 655, check)
    call createCurrent(P_GPlus, P_A, P_HMinus, 10345, check)
    call createCurrent(P_Hl, P_A, P_Z, P_Hl, 8879, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, 6507, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HaQ, 3693, check)
    call createCurrent(P_GQ0, P_Hl, P_GPlus, P_GQMinus, 1005, check)
    call createCurrent(P_Hl, P_d, P_dAnti, 5995, check)
    call createCurrent(P_ghZAnti, P_Hh, P_HMinus, P_ghWp, 4445, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Hl, 6547, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_HhQ, 7314, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_A, 6102, check)
    call createCurrent(P_Z, P_HPlus, P_WMinus, P_Ha, 5038, check)
    call createCurrent(P_HlQ, P_G0, P_Hl, P_GQ0, 1860, check)
    call createCurrent(P_GMinus, P_Hh, P_Hl, P_GPlus, 7787, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghWm, P_Hh, 4209, check)
    call createCurrent(P_G0, P_Ha, P_Hl, 4487, check)
    call createCurrent(P_Ha, P_Hh, P_Z, 1248, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_Z, 982, check)
    call createCurrent(P_A, P_A, P_GPlus, P_GMinus, 5266, check)
    call createCurrent(P_HaQ, P_GPlus, P_GMinus, P_HaQ, 2154, check)
    call createCurrent(P_HMinus, P_Z, P_Z, P_GPlus, 9883, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_Ha, 4306, check)
    call createCurrent(P_HaQ, P_Hl, P_HMinus, P_HQPlus, 1884, check)
    call createCurrent(P_Hl, P_ghZAnti, P_ghWm, P_HPlus, 1977, check)
    call createCurrent(P_d, P_Hl, P_dAnti, 5916, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_ghWp, P_Hh, 7780, check)
    call createCurrent(P_A, P_HPlus, P_GMinus, P_Z, 8978, check)
    call createCurrent(P_HQMinus, P_Hh, P_Ha, P_GQPlus, 916, check)
    call createCurrent(P_Ha, P_Hh, P_GPlus, P_HMinus, 6801, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, 6099, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Ha, P_G0, 8952, check)
    call createCurrent(P_HQPlus, P_GMinus, P_HMinus, P_GQPlus, 1852, check)
    call createCurrent(P_HhQ, P_ghWm, P_HPlus, P_ghAAnti, 5342, check)
    call createCurrent(P_HhQ, P_G0, P_G0, P_HhQ, 3298, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, P_Z, 4762, check)
    call createCurrent(P_Ha, P_G0, P_ghWm, P_ghWmAnti, 10329, check)
    call createCurrent(P_Z, P_G0, P_WMinus, P_HPlus, 10044, check)
    call createCurrent(P_G0, P_G0, P_Ha, P_Hl, 10649, check)
    call createCurrent(P_HlQ, P_HMinus, P_HPlus, P_HhQ, 2623, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghZAnti, P_ghWp, 2947, check)
    call createCurrent(P_WMinus, P_nu_e, P_ePlus, 8529, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, 7444, check)
    call createCurrent(P_HlQ, P_G0, P_ghWp, P_ghWpAnti, 30, check)
    call createCurrent(P_GQMinus, P_GMinus, P_GPlus, P_HQPlus, 3786, check)
    call createCurrent(P_AQ, P_GMinus, P_A, P_GQPlus, 8307, check)
    call createCurrent(P_G0, P_ghWm, P_Ha, P_ghWmAnti, 10006, check)
    call createCurrent(P_ghAAnti, P_G0, P_GMinus, P_ghWp, 2940, check)
    call createCurrent(P_nu_tauAnti, P_Z, P_nu_tau, 2153, check)
    call createCurrent(P_WQPlus, P_GMinus, P_HhQ, 2932, check)
    call createCurrent(P_Z, P_HMinus, P_WPlus, P_Hl, 4205, check)
    call createCurrent(P_Ha, P_WPlus, P_GMinus, P_A, 8996, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, 6933, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hh, P_ZQ, 6716, check)
    call createCurrent(P_g, P_Hl, P_g, P_Hl, 10513, check)
    call createCurrent(P_GMinus, P_G0, P_Z, P_WPlus, 8003, check)
    call createCurrent(P_HQMinus, P_Hh, P_GPlus, P_GQ0, 3144, check)
    call createCurrent(P_Z, P_Hh, P_Z, P_Hh, 174, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_Hh, P_ghWm, 864, check)
    call createCurrent(P_HlQ, P_HPlus, P_G0, P_HQMinus, 5274, check)
    call createCurrent(P_GQ0, P_Hh, P_Hh, P_HaQ, 499, check)
    call createCurrent(P_u, P_uAnti, 9274, check)
    call createCurrent(P_HhQ, P_A, P_GMinus, P_WQPlus, 5508, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hl, P_HQMinus, 4200, check)
    call createCurrent(P_u, P_uAnti, P_GQ0, 5802, check)
    call createCurrent(P_Hl, P_HPlus, P_WMinus, 6675, check)
    call createCurrent(P_ghAAnti, P_Hh, P_ghWp, P_HMinus, 4953, check)
    call createCurrent(P_ghWm, P_GPlus, P_ghAAnti, P_HlQ, 2708, check)
    call createCurrent(P_ghWm, P_ghWpAnti, P_WPlus, P_WPlus, 7807, check)
    call createCurrent(P_WPlus, P_GPlus, P_WMinus, P_GMinus, 6810, check)
    call createCurrent(P_HQPlus, P_A, P_WMinus, P_HhQ, 8609, check)
    call createCurrent(P_Hh, P_Z, P_WMinus, P_HPlus, 1085, check)
    call createCurrent(P_AQ, P_Hh, P_GPlus, P_WQMinus, 6434, check)
    call createCurrent(P_Ha, P_ghWm, P_ghWmAnti, P_G0, 10388, check)
    call createCurrent(P_WQPlus, P_A, P_GMinus, P_HhQ, 7072, check)
    call createCurrent(P_ghA, P_GPlus, P_Hl, P_ghWpAnti, 570, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_WPlus, 3971, check)
    call createCurrent(P_ePlus, P_Ha, P_eMinus, 5950, check)
    call createCurrent(P_A, P_A, P_Hh, P_Hh, 10718, check)
    call createCurrent(P_A, P_WPlus, P_ghWpAnti, P_ghA, 2923, check)
    call createCurrent(P_GPlus, P_Ha, P_WMinus, 9218, check)
    call createCurrent(P_ZQ, P_GMinus, P_G0, P_WQPlus, 781, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_HPlus, P_ghZ, 10349, check)
    call createCurrent(P_Hh, P_ghAAnti, P_GPlus, P_ghWm, 7858, check)
    call createCurrent(P_HQMinus, P_ghZAnti, P_Hl, P_ghWp, 4549, check)
    call createCurrent(P_HaQ, P_HPlus, P_Hh, P_HQMinus, 1134, check)
    call createCurrent(P_G0, P_Hl, P_Hl, P_Ha, 6700, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghZ, P_HMinus, 5341, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_ZQ, 7860, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_HhQ, 3132, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Hl, P_HhQ, 5350, check)
    call createCurrent(P_A, P_g, P_A, P_g, 10579, check)
    call createCurrent(P_GQMinus, P_Ha, P_HPlus, P_HaQ, 6620, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghZ, P_HMinus, 10160, check)
    call createCurrent(P_HMinus, P_Ha, P_A, P_WPlus, 7524, check)
    call createCurrent(P_GQPlus, P_Ha, P_Ha, P_GQMinus, 5211, check)
    call createCurrent(P_HPlus, P_WMinus, P_A, P_Hh, 4714, check)
    call createCurrent(P_G0, P_ghZ, P_ghZAnti, P_Ha, 9965, check)
    call createCurrent(P_A, P_G0, P_WPlus, P_GMinus, 6938, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_Hh, 4417, check)
    call createCurrent(P_WMinus, P_Ha, P_A, P_GPlus, 9816, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Hh, P_ghA, 4652, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Hl, 10293, check)
    call createCurrent(P_Ha, P_GPlus, P_HMinus, P_G0, 2727, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWm, P_GPlus, 8838, check)
    call createCurrent(P_GQ0, P_G0, P_Ha, P_HaQ, 7101, check)
    call createCurrent(P_GPlus, P_ghA, P_GMinus, P_ghZAnti, 8100, check)
    call createCurrent(P_ZQ, P_Z, P_G0, P_GQ0, 2906, check)
    call createCurrent(P_GQ0, P_Hh, P_HMinus, P_GQPlus, 3299, check)
    call createCurrent(P_WQMinus, P_Z, P_GPlus, P_HhQ, 3721, check)
    call createCurrent(P_HQMinus, P_t, P_bAnti, 1937, check)
    call createCurrent(P_A, P_Z, P_ghWmAnti, P_ghWm, 3220, check)
    call createCurrent(P_GQPlus, P_GMinus, P_Hl, P_HaQ, 1333, check)
    call createCurrent(P_ghWp, P_A, P_Z, P_ghWpAnti, 7920, check)
    call createCurrent(P_WPlus, P_ghWm, P_ghAAnti, 4807, check)
    call createCurrent(P_g, P_g, P_g, P_A, 10764, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghA, P_ghZAnti, 279, check)
    call createCurrent(P_A, P_Z, P_ghWp, P_ghWpAnti, 6140, check)
    call createCurrent(P_Hl, P_A, P_Z, 9055, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_Hl, P_ghWm, 7506, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hh, P_ZQ, 8579, check)
    call createCurrent(P_GMinus, P_u, P_dAnti, 5911, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_Ha, 5731, check)
    call createCurrent(P_HaQ, P_ghWmAnti, P_Hl, P_ghWm, 4822, check)
    call createCurrent(P_GMinus, P_Hh, P_GPlus, P_Ha, 10208, check)
    call createCurrent(P_WPlus, P_ghA, P_WMinus, P_ghAAnti, 2580, check)
    call createCurrent(P_Z, P_Ha, P_HPlus, P_WMinus, 4206, check)
    call createCurrent(P_Ha, P_A, P_WMinus, P_GPlus, 9953, check)
    call createCurrent(P_ZQ, P_Z, P_WMinus, P_WQPlus, 5486, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, P_Ha, 9006, check)
    call createCurrent(P_WMinus, P_G0, P_WPlus, P_G0, 7343, check)
    call createCurrent(P_A, P_Z, P_Hl, 9960, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghWp, P_HMinus, 6390, check)
    call createCurrent(P_HPlus, P_HMinus, P_Ha, P_Hh, 10132, check)
    call createCurrent(P_sAnti, P_G0, P_s, 756, check)
    call createCurrent(P_ghGAnti, P_ghG, P_g, 2614, check)
    call createCurrent(P_Hh, P_G0, P_Z, 3059, check)
    call createCurrent(P_GMinus, P_HPlus, P_Ha, P_Ha, 1631, check)
    call createCurrent(P_ghWpAnti, P_HMinus, P_ghWp, P_GPlus, 8862, check)
    call createCurrent(P_GQ0, P_HPlus, P_G0, P_GQMinus, 1474, check)
    call createCurrent(P_G0, P_G0, P_WMinus, P_WPlus, 732, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_Z, 7415, check)
    call createCurrent(P_A, P_ghWmAnti, P_ghZ, P_WMinus, 935, check)
    call createCurrent(P_ghWp, P_HMinus, P_Ha, P_ghAAnti, 5339, check)
    call createCurrent(P_AQ, P_ghWp, P_A, P_ghWpAnti, 5567, check)
    call createCurrent(P_G0, P_GPlus, P_Hh, P_GMinus, 9597, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_HPlus, P_Hl, 1343, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghZ, P_ghAAnti, 7837, check)
    call createCurrent(P_ghAAnti, P_WMinus, P_ghZ, P_WQPlus, 4666, check)
    call createCurrent(P_AQ, P_WMinus, P_Hl, P_HQPlus, 3952, check)
    call createCurrent(P_Hl, P_WMinus, P_WPlus, P_Hh, 9184, check)
    call createCurrent(P_WPlus, P_ghWpAnti, P_WPlus, P_ghWm, 2501, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_ghWm, 3311, check)
    call createCurrent(P_HMinus, P_Z, P_A, P_GPlus, 8995, check)
    call createCurrent(P_Hl, P_ghWp, P_GMinus, P_ghZAnti, 5164, check)
    call createCurrent(P_AQ, P_HPlus, P_A, P_HQMinus, 276, check)
    call createCurrent(P_tAnti, P_b, P_WPlus, 8788, check)
    call createCurrent(P_G0, P_Hh, P_G0, P_Hl, 264, check)
    call createCurrent(P_WMinus, P_HPlus, P_Hh, 7096, check)
    call createCurrent(P_HMinus, P_Hl, P_HPlus, 4919, check)
    call createCurrent(P_Hl, P_ghAAnti, P_ghWm, P_GPlus, 6321, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghAAnti, P_ghA, 7165, check)
    call createCurrent(P_GMinus, P_ghA, P_GPlus, P_ghAAnti, 3636, check)
    call createCurrent(P_Z, P_G0, P_HMinus, P_WPlus, 9076, check)
    call createCurrent(P_bAnti, P_b, P_Hh, 3740, check)
    call createCurrent(P_Hh, P_GPlus, P_HMinus, P_G0, 6106, check)
    call createCurrent(P_GQPlus, P_Hl, P_WQMinus, 2510, check)
    call createCurrent(P_GPlus, P_Ha, P_ghWm, P_ghZAnti, 9023, check)
    call createCurrent(P_GPlus, P_WMinus, P_Ha, P_A, 9776, check)
    call createCurrent(P_Ha, P_G0, P_G0, P_Hl, 10698, check)
    call createCurrent(P_cAnti, P_s, P_HQPlus, 5678, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_GMinus, P_HhQ, 972, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_G0, P_GMinus, 251, check)
    call createCurrent(P_WQMinus, P_G0, P_G0, P_WQPlus, 4649, check)
    call createCurrent(P_t, P_WMinus, P_bAnti, 7172, check)
    call createCurrent(P_Hl, P_GPlus, P_GMinus, P_Hh, 4030, check)
    call createCurrent(P_Hl, P_c, P_cAnti, 5193, check)
    call createCurrent(P_GPlus, P_WMinus, P_A, P_Hl, 4391, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_ghA, P_GPlus, 9612, check)
    call createCurrent(P_HlQ, P_Z, P_WPlus, P_HQMinus, 7746, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, P_Hl, 8004, check)
    call createCurrent(P_bAnti, P_b, P_HhQ, 5212, check)
    call createCurrent(P_WPlus, P_A, P_Ha, P_GMinus, 10480, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Ha, P_HlQ, 2111, check)
    call createCurrent(P_HaQ, P_WPlus, P_WMinus, P_HaQ, 8271, check)
    call createCurrent(P_HQPlus, P_ghZ, P_HMinus, P_ghZAnti, 3016, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghZ, P_HPlus, 137, check)
    call createCurrent(P_Hh, P_ghZ, P_ghZAnti, P_Hh, 302, check)
    call createCurrent(P_A, P_HPlus, P_Hl, P_WMinus, 1651, check)
    call createCurrent(P_HPlus, P_ghWp, P_ghWpAnti, P_GMinus, 10141, check)
    call createCurrent(P_A, P_WMinus, P_Hl, P_HPlus, 1849, check)
    call createCurrent(P_Hl, P_GPlus, P_Hh, P_HMinus, 1855, check)
    call createCurrent(P_sAnti, P_s, P_g, 2455, check)
    call createCurrent(P_GMinus, P_ghA, P_ghAAnti, P_GPlus, 6010, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghA, P_ghAAnti, 1351, check)
    call createCurrent(P_HMinus, P_GPlus, P_Ha, P_G0, 6147, check)
    call createCurrent(P_HQMinus, P_Hl, P_ghWp, P_ghZAnti, 7003, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_G0, P_Ha, 10425, check)
    call createCurrent(P_G0, P_t, P_tAnti, 3294, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghAAnti, P_ghA, 5563, check)
    call createCurrent(P_WQPlus, P_nu_eAnti, P_eMinus, 5624, check)
    call createCurrent(P_HlQ, P_ghWm, P_ghWmAnti, 8327, check)
    call createCurrent(P_tAnti, P_Hl, P_t, 8332, check)
    call createCurrent(P_ghA, P_HPlus, P_ghWpAnti, P_G0, 10256, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Ha, P_HlQ, 7026, check)
    call createCurrent(P_bAnti, P_g, P_b, 4514, check)
    call createCurrent(P_ghA, P_WPlus, P_ghZAnti, P_WMinus, 894, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Z, P_HlQ, 4559, check)
    call createCurrent(P_ghZ, P_A, P_ghWpAnti, P_WPlus, 1731, check)
    call createCurrent(P_HMinus, P_Ha, P_GPlus, P_Hh, 1913, check)
    call createCurrent(P_Hh, P_GPlus, P_Hl, P_GMinus, 2851, check)
    call createCurrent(P_HQPlus, P_HMinus, P_ghZ, P_ghZAnti, 163, check)
    call createCurrent(P_WMinus, P_G0, P_Z, P_GPlus, 6408, check)
    call createCurrent(P_Ha, P_HMinus, P_ghWp, P_ghAAnti, 277, check)
    call createCurrent(P_HhQ, P_A, P_WPlus, P_HQMinus, 4192, check)
    call createCurrent(P_HPlus, P_ghA, P_ghWpAnti, P_G0, 9372, check)
    call createCurrent(P_tAnti, P_t, P_AQ, 2122, check)
    call createCurrent(P_HQMinus, P_Hl, P_HQPlus, 7078, check)
    call createCurrent(P_GQPlus, P_Hl, P_ghWpAnti, P_ghZ, 940, check)
    call createCurrent(P_GMinus, P_A, P_GPlus, P_A, 116, check)
    call createCurrent(P_HPlus, P_ghWmAnti, P_GMinus, P_ghWm, 9630, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghWp, P_HQMinus, 7318, check)
    call createCurrent(P_GPlus, P_ghA, P_ghWpAnti, P_Hl, 1017, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_A, P_AQ, 7762, check)
    call createCurrent(P_Z, P_Hl, P_A, P_Hh, 10561, check)
    call createCurrent(P_HQPlus, P_HMinus, P_Ha, P_HaQ, 3064, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Z, P_WPlus, 4214, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_ghA, 2870, check)
    call createCurrent(P_GPlus, P_Z, P_A, P_GMinus, 5424, check)
    call createCurrent(P_G0, P_ghWp, P_ghWpAnti, P_G0, 8298, check)
    call createCurrent(P_GQMinus, P_Hl, P_Z, P_WQPlus, 1119, check)
    call createCurrent(P_Ha, P_HPlus, P_HMinus, 10051, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_GPlus, 6319, check)
    call createCurrent(P_muMinus, P_G0, P_muPlus, 201, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghWm, P_ghAAnti, 6987, check)
    call createCurrent(P_GQ0, P_GMinus, P_ghZ, P_ghWmAnti, 3184, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Ha, P_ghA, 9347, check)
    call createCurrent(P_HMinus, P_Hl, P_WPlus, 2480, check)
    call createCurrent(P_G0, P_Ha, P_A, P_Z, 10651, check)
    call createCurrent(P_HQMinus, P_u, P_dAnti, 8689, check)
    call createCurrent(P_Ha, P_HPlus, P_Hh, P_GMinus, 395, check)
    call createCurrent(P_ghZ, P_Hl, P_ghWmAnti, P_HMinus, 3909, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_G0, 7046, check)
    call createCurrent(P_HlQ, P_G0, P_G0, P_HlQ, 6816, check)
    call createCurrent(P_Hh, P_Hh, P_Z, P_A, 9583, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, P_Z, 2858, check)
    call createCurrent(P_Z, P_HPlus, P_GMinus, P_Z, 10362, check)
    call createCurrent(P_ghWm, P_A, P_WPlus, P_ghZAnti, 4038, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghZ, P_Ha, 1402, check)
    call createCurrent(P_HMinus, P_G0, P_ghWmAnti, P_ghA, 9166, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, 1308, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Ha, P_HPlus, 3604, check)
    call createCurrent(P_HQMinus, P_GPlus, P_Hl, P_HlQ, 2366, check)
    call createCurrent(P_Ha, P_uAnti, P_u, 6137, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghZAnti, P_ghA, 2007, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Ha, P_HhQ, 5902, check)
    call createCurrent(P_Hh, P_Hh, P_ghWmAnti, P_ghWm, 5764, check)
    call createCurrent(P_HlQ, P_Hl, P_Ha, P_GQ0, 4493, check)
    call createCurrent(P_HMinus, P_Hl, P_GPlus, P_Hh, 7373, check)
    call createCurrent(P_Ha, P_Hl, P_G0, 8079, check)
    call createCurrent(P_Hh, P_Hl, P_Ha, P_Ha, 141, check)
    call createCurrent(P_HaQ, P_GMinus, P_GPlus, P_HaQ, 8498, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Ha, P_GMinus, 9407, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_Hl, P_HQPlus, 7876, check)
    call createCurrent(P_A, P_ghA, P_ghWmAnti, P_WMinus, 3256, check)
    call createCurrent(P_g, P_g, P_WPlus, P_WMinus, 10669, check)
    call createCurrent(P_HQPlus, P_Hh, P_GQMinus, 1157, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hh, P_HhQ, 7433, check)
    call createCurrent(P_ZQ, P_cAnti, P_c, 7515, check)
    call createCurrent(P_ghWpAnti, P_Hh, P_ghZ, P_GPlus, 322, check)
    call createCurrent(P_HhQ, P_Z, P_WMinus, P_HQPlus, 5838, check)
    call createCurrent(P_WMinus, P_HPlus, P_Ha, 2198, check)
    call createCurrent(P_G0, P_ghZ, P_GPlus, P_ghWpAnti, 262, check)
    call createCurrent(P_HaQ, P_Z, P_HhQ, 2087, check)
    call createCurrent(P_Ha, P_GMinus, P_ghA, P_ghWmAnti, 9018, check)
    call createCurrent(P_bAnti, P_b, P_Ha, 673, check)
    call createCurrent(P_HMinus, P_GPlus, P_Z, P_A, 10284, check)
    call createCurrent(P_Ha, P_ghWp, P_ghAAnti, P_HMinus, 3820, check)
    call createCurrent(P_Hh, P_WMinus, P_Hh, P_WPlus, 3276, check)
    call createCurrent(P_ghWm, P_HPlus, P_ghAAnti, P_HhQ, 1868, check)
    call createCurrent(P_A, P_WMinus, P_GPlus, 60, check)
    call createCurrent(P_HPlus, P_HMinus, P_HMinus, P_GPlus, 5577, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, 3672, check)
    call createCurrent(P_ZQ, P_ghWp, P_A, P_ghWpAnti, 461, check)
    call createCurrent(P_tauMinus, P_G0, P_tauPlus, 4252, check)
    call createCurrent(P_HPlus, P_GMinus, P_Ha, P_G0, 2823, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_Hh, 5581, check)
    call createCurrent(P_WPlus, P_A, P_HMinus, P_G0, 9482, check)
    call createCurrent(P_ZQ, P_ghWm, P_WPlus, P_ghZAnti, 1376, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_G0, 8306, check)
    call createCurrent(P_GQ0, P_b, P_bAnti, 2950, check)
    call createCurrent(P_G0, P_ghAAnti, P_ghWp, P_GMinus, 1313, check)
    call createCurrent(P_G0, P_HPlus, P_ghWpAnti, P_ghZ, 8959, check)
    call createCurrent(P_G0, P_HMinus, P_GPlus, P_Hh, 5269, check)
    call createCurrent(P_Ha, P_ghZAnti, P_ghWp, P_GMinus, 9480, check)
    call createCurrent(P_Hl, P_Hh, P_Hl, P_Hh, 5024, check)
    call createCurrent(P_HQMinus, P_Ha, P_G0, P_GQPlus, 28, check)
    call createCurrent(P_ghAAnti, P_Z, P_ghWp, P_WMinus, 5812, check)
    call createCurrent(P_ghWpAnti, P_ghWm, P_WPlus, P_WPlus, 3385, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_Hl, 5653, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, 1733, check)
    call createCurrent(P_WPlus, P_Hh, P_WMinus, P_Hh, 2080, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Hh, P_Hh, 2690, check)
    call createCurrent(P_GQ0, P_G0, P_GPlus, P_GQMinus, 8132, check)
    call createCurrent(P_g, P_g, P_GPlus, P_HMinus, 10728, check)
    call createCurrent(P_ghA, P_HPlus, P_ghZAnti, P_GMinus, 9191, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_Ha, 9666, check)
    call createCurrent(P_GMinus, P_GPlus, P_HPlus, P_HMinus, 6861, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WPlus, P_WMinus, 246, check)
    call createCurrent(P_GMinus, P_HPlus, P_ghA, P_ghZAnti, 10109, check)
    call createCurrent(P_HaQ, P_Ha, P_Ha, P_HaQ, 1608, check)
    call createCurrent(P_HhQ, P_GPlus, P_HQMinus, 4239, check)
    call createCurrent(P_Hh, P_GPlus, P_Hh, P_GMinus, 4393, check)
    call createCurrent(P_WQMinus, P_A, P_HPlus, P_HhQ, 1619, check)
    call createCurrent(P_HMinus, P_Hl, P_G0, P_GPlus, 2566, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_HhQ, 5750, check)
    call createCurrent(P_GPlus, P_ghWm, P_Hh, P_ghZAnti, 5084, check)
    call createCurrent(P_Z, P_A, P_HPlus, P_GMinus, 10311, check)
    call createCurrent(P_GQMinus, P_Hh, P_WQPlus, 4667, check)
    call createCurrent(P_GQMinus, P_G0, P_WPlus, P_ZQ, 4699, check)
    call createCurrent(P_GQPlus, P_WMinus, P_GQ0, 4376, check)
    call createCurrent(P_HlQ, P_HPlus, P_HMinus, P_HhQ, 3612, check)
    call createCurrent(P_HlQ, P_ghWp, P_GMinus, P_ghAAnti, 3817, check)
    call createCurrent(P_ghWmAnti, P_Hh, P_ghZ, P_HMinus, 1827, check)
    call createCurrent(P_HQMinus, P_ghA, P_Hh, P_ghWmAnti, 4630, check)
    call createCurrent(P_HQPlus, P_d, P_uAnti, 5381, check)
    call createCurrent(P_GQPlus, P_Hh, P_HMinus, P_HaQ, 6037, check)
    call createCurrent(P_ghWp, P_GMinus, P_Ha, P_ghAAnti, 9033, check)
    call createCurrent(P_Z, P_nu_eAnti, P_nu_e, 7713, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_HMinus, P_Hh, 3583, check)
    call createCurrent(P_WMinus, P_WPlus, P_Hh, P_Hh, 720, check)
    call createCurrent(P_HlQ, P_ghZAnti, P_ghZ, 7342, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_HlQ, 1685, check)
    call createCurrent(P_HMinus, P_Ha, P_ghA, P_ghWmAnti, 1998, check)
    call createCurrent(P_WMinus, P_u, P_dAnti, 2254, check)
    call createCurrent(P_ghA, P_ghWmAnti, P_WQMinus, 5384, check)
    call createCurrent(P_Ha, P_GPlus, P_Hh, P_HMinus, 8692, check)
    call createCurrent(P_ghWp, P_HMinus, P_Ha, P_ghZAnti, 2471, check)
    call createCurrent(P_GMinus, P_HPlus, P_HMinus, P_GPlus, 4974, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_Hl, 8771, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WQPlus, 5483, check)
    call createCurrent(P_Hl, P_A, P_GPlus, P_WMinus, 6822, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghAAnti, P_Hh, 6731, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_A, P_ZQ, 7456, check)
    call createCurrent(P_AQ, P_HMinus, P_Z, P_HQPlus, 7546, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghA, P_GMinus, 9856, check)
    call createCurrent(P_HQMinus, P_G0, P_Ha, P_GQPlus, 5983, check)
    call createCurrent(P_HaQ, P_Hh, P_HPlus, P_HQMinus, 5823, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_G0, P_GMinus, 4073, check)
    call createCurrent(P_WQMinus, P_ghA, P_WPlus, P_ghAAnti, 7894, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghZ, P_Hh, 1239, check)
    call createCurrent(P_A, P_ghZ, P_ghWmAnti, P_WMinus, 5713, check)
    call createCurrent(P_WQPlus, P_G0, P_Z, P_GQMinus, 7242, check)
    call createCurrent(P_tauPlus, P_tauMinus, P_HaQ, 4824, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_WPlus, P_A, 7430, check)
    call createCurrent(P_Hl, P_GMinus, P_HPlus, P_Hh, 3118, check)
    call createCurrent(P_HQMinus, P_Z, P_WPlus, P_HaQ, 7935, check)
    call createCurrent(P_HaQ, P_tAnti, P_t, 2730, check)
    call createCurrent(P_WMinus, P_WMinus, P_ghWmAnti, P_ghWp, 7384, check)
    call createCurrent(P_Ha, P_g, P_g, P_Ha, 10495, check)
    call createCurrent(P_ghZAnti, P_WPlus, P_ghZ, P_WQMinus, 7985, check)
    call createCurrent(P_HPlus, P_Z, P_WMinus, 56, check)
    call createCurrent(P_HhQ, P_HMinus, P_ghWp, P_ghZAnti, 8822, check)
    call createCurrent(P_ghWp, P_Z, P_ghWpAnti, P_ZQ, 7786, check)
    call createCurrent(P_AQ, P_WPlus, P_ghAAnti, P_ghWm, 5333, check)
    call createCurrent(P_WMinus, P_ghWp, P_ghAAnti, 6853, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_ghA, P_GPlus, 713, check)
    call createCurrent(P_AQ, P_tauMinus, P_tauPlus, 8708, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghWmAnti, P_ghZ, 4460, check)
    call createCurrent(P_WQPlus, P_ghWpAnti, P_Z, P_ghZ, 7244, check)
    call createCurrent(P_HPlus, P_Hh, P_Ha, P_GMinus, 2529, check)
    call createCurrent(P_HQMinus, P_Ha, P_HPlus, P_HlQ, 4400, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghA, P_GMinus, 8585, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_G0, P_ghZ, 9638, check)
    call createCurrent(P_b, P_tAnti, P_HQPlus, 3905, check)
    call createCurrent(P_ghA, P_WMinus, P_ghAAnti, P_WQPlus, 7378, check)
    call createCurrent(P_ghA, P_HMinus, P_Ha, P_ghWmAnti, 6025, check)
    call createCurrent(P_Hl, P_G0, P_A, 9251, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, 4102, check)
    call createCurrent(P_Z, P_tAnti, P_t, 2537, check)
    call createCurrent(P_ghZ, P_HMinus, P_ghAAnti, P_GPlus, 10119, check)
    call createCurrent(P_GMinus, P_ghZAnti, P_GPlus, P_ghA, 8275, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghZAnti, P_ghWm, 5478, check)
    call createCurrent(P_HPlus, P_Z, P_Z, P_HMinus, 8349, check)
    call createCurrent(P_ghAAnti, P_HMinus, P_ghWp, P_Hh, 3748, check)
    call createCurrent(P_HQPlus, P_WMinus, P_AQ, 4916, check)
    call createCurrent(P_HQMinus, P_ghWp, P_Hh, P_ghZAnti, 6061, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghA, P_HMinus, 9796, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghA, P_WMinus, 4650, check)
    call createCurrent(P_Ha, P_Ha, P_HMinus, P_HPlus, 8502, check)
    call createCurrent(P_Hh, P_ghWm, P_ghWmAnti, P_Hh, 7969, check)
    call createCurrent(P_ZQ, P_Hl, P_WMinus, P_HQPlus, 160, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_Ha, P_ghWm, 10482, check)
    call createCurrent(P_HMinus, P_Z, P_Hl, P_WPlus, 5305, check)
    call createCurrent(P_ghWpAnti, P_G0, P_G0, P_ghWp, 5185, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_Ha, P_ghWm, 8931, check)
    call createCurrent(P_Ha, P_HPlus, P_A, P_WMinus, 4818, check)
    call createCurrent(P_ghAAnti, P_Hl, P_ghWp, P_GMinus, 7332, check)
    call createCurrent(P_ZQ, P_G0, P_HlQ, 985, check)
    call createCurrent(P_WMinus, P_ghWmAnti, P_WMinus, P_ghWp, 8241, check)
    call createCurrent(P_HQPlus, P_Hl, P_Hl, P_GQMinus, 8355, check)
    call createCurrent(P_WQMinus, P_GPlus, P_GMinus, P_WQPlus, 1696, check)
    call createCurrent(P_ghZ, P_GMinus, P_ghWmAnti, P_HlQ, 423, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Z, P_WMinus, 1225, check)
    call createCurrent(P_g, P_G0, P_g, P_G0, 10695, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Ha, P_HQPlus, 2163, check)
    call createCurrent(P_A, P_ghWm, P_WPlus, P_ghZAnti, 1963, check)
    call createCurrent(P_GQMinus, P_Ha, P_Ha, P_GQPlus, 7360, check)
    call createCurrent(P_GQ0, P_HMinus, P_Hl, P_GQPlus, 7647, check)
    call createCurrent(P_GQMinus, P_HPlus, P_Hl, P_HhQ, 5310, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_GQ0, 4462, check)
    call createCurrent(P_GQPlus, P_Hh, P_Hh, P_HQMinus, 8785, check)
    call createCurrent(P_WPlus, P_HMinus, P_A, 5596, check)
    call createCurrent(P_Ha, P_Ha, P_Hl, P_Hl, 6936, check)
    call createCurrent(P_GQPlus, P_G0, P_GMinus, P_GQ0, 667, check)
    call createCurrent(P_Ha, P_G0, P_Z, P_A, 10509, check)
    call createCurrent(P_GQPlus, P_WMinus, P_A, P_HlQ, 8697, check)
    call createCurrent(P_HPlus, P_ghWmAnti, P_ghWm, P_GMinus, 9156, check)
    call createCurrent(P_G0, P_HPlus, P_WMinus, P_Z, 10007, check)
    call createCurrent(P_ZQ, P_nu_muAnti, P_nu_mu, 3806, check)
    call createCurrent(P_GMinus, P_Ha, P_Hl, P_GPlus, 9897, check)
    call createCurrent(P_c, P_cAnti, P_g, 6288, check)
    call createCurrent(P_HPlus, P_A, P_WMinus, P_Hl, 8683, check)
    call createCurrent(P_g, P_g, P_A, P_A, 10629, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_GQMinus, 5010, check)
    call createCurrent(P_WQPlus, P_Ha, P_Z, P_HQMinus, 1475, check)
    call createCurrent(P_ghWp, P_Hh, P_ghZAnti, P_HMinus, 93, check)
    call createCurrent(P_ghA, P_Hh, P_GMinus, P_ghWmAnti, 2925, check)
    call createCurrent(P_nu_tau, P_HMinus, P_tauPlus, 5206, check)
    call createCurrent(P_ghZ, P_Ha, P_ghWmAnti, P_HQMinus, 7322, check)
    call createCurrent(P_GMinus, P_GPlus, P_ghWpAnti, P_ghWp, 8610, check)
    call createCurrent(P_A, P_HPlus, P_Z, P_GMinus, 9196, check)
    call createCurrent(P_HlQ, P_G0, P_HMinus, P_GQPlus, 5075, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, 5549, check)
    call createCurrent(P_GMinus, P_Z, P_Hh, P_WPlus, 8295, check)
    call createCurrent(P_A, P_WMinus, P_ghWp, P_ghAAnti, 3723, check)
    call createCurrent(P_Hh, P_WMinus, P_Z, P_HPlus, 7216, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_GMinus, P_ghZ, 10298, check)
    call createCurrent(P_WMinus, P_WPlus, P_A, 2996, check)
    call createCurrent(P_Z, P_G0, P_GMinus, P_WPlus, 2284, check)
    call createCurrent(P_HMinus, P_Hl, P_ghAAnti, P_ghWp, 4765, check)
    call createCurrent(P_GMinus, P_ghAAnti, P_ghWp, P_Hh, 1091, check)
    call createCurrent(P_HlQ, P_HPlus, P_Hh, P_GQMinus, 7392, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_GMinus, P_ghA, 346, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_Hl, P_GMinus, 1469, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghZ, P_WMinus, 1701, check)
    call createCurrent(P_HMinus, P_HPlus, P_ghZ, P_ghZAnti, 5582, check)
    call createCurrent(P_Hl, P_Z, P_WPlus, P_HMinus, 1979, check)
    call createCurrent(P_ZQ, P_nu_mu, P_nu_muAnti, 8175, check)
    call createCurrent(P_Ha, P_GPlus, P_ghZ, P_ghWpAnti, 10396, check)
    call createCurrent(P_Hh, P_sAnti, P_s, 1341, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_WQPlus, 4642, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_HhQ, 1857, check)
    call createCurrent(P_HQMinus, P_Ha, P_GPlus, P_HlQ, 1145, check)
    call createCurrent(P_GQMinus, P_G0, P_HQPlus, 2574, check)
    call createCurrent(P_GQMinus, P_dAnti, P_u, 5230, check)
    call createCurrent(P_AQ, P_Hh, P_WMinus, P_HQPlus, 619, check)
    call createCurrent(P_Hl, P_HPlus, P_G0, P_HMinus, 9806, check)
    call createCurrent(P_GQMinus, P_ghAAnti, P_GPlus, P_ghZ, 6372, check)
    call createCurrent(P_GPlus, P_ghWm, P_ghZAnti, 8513, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_Hl, P_ghWm, 7795, check)
    call createCurrent(P_G0, P_HMinus, P_HPlus, P_G0, 3750, check)
    call createCurrent(P_G0, P_Ha, P_ghWm, P_ghWmAnti, 9377, check)
    call createCurrent(P_GQ0, P_HMinus, P_Ha, P_GQPlus, 4982, check)
    call createCurrent(P_Hh, P_GMinus, P_GPlus, P_G0, 8847, check)
    call createCurrent(P_GQMinus, P_HPlus, P_HhQ, 8594, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghAAnti, P_ghZ, 3709, check)
    call createCurrent(P_G0, P_ghZ, P_ghWpAnti, P_HPlus, 9333, check)
    call createCurrent(P_Z, P_Hl, P_WMinus, P_HPlus, 6187, check)
    call createCurrent(P_ghWp, P_GPlus, P_GMinus, P_ghWpAnti, 7478, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghZ, P_HQMinus, 1436, check)
    call createCurrent(P_Hh, P_HMinus, P_Hh, P_HPlus, 4385, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_Hh, P_GPlus, 7812, check)
    call createCurrent(P_muPlus, P_nu_mu, P_WQMinus, 3092, check)
    call createCurrent(P_GMinus, P_GPlus, P_HMinus, P_HPlus, 2281, check)
    call createCurrent(P_GQ0, P_G0, P_Hl, P_HhQ, 8509, check)
    call createCurrent(P_G0, P_ghWp, P_G0, P_ghWpAnti, 6610, check)
    call createCurrent(P_WQPlus, P_eMinus, P_nu_eAnti, 8119, check)
    call createCurrent(P_Hh, P_Hh, P_GPlus, P_GMinus, 8063, check)
    call createCurrent(P_WMinus, P_muPlus, P_nu_mu, 3668, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_ghZ, P_HMinus, 6070, check)
    call createCurrent(P_GQMinus, P_G0, P_GPlus, P_HhQ, 2958, check)
    call createCurrent(P_Hl, P_Hl, P_Hh, 6223, check)
    call createCurrent(P_WPlus, P_ghZAnti, P_WMinus, P_ghZ, 8143, check)
    call createCurrent(P_ghAAnti, P_Hh, P_GPlus, P_ghWm, 7395, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghZ, P_HQPlus, 6031, check)
    call createCurrent(P_ghWm, P_GPlus, P_Hh, P_ghZAnti, 8590, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WPlus, 4298, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_GMinus, P_ghWp, 3932, check)
    call createCurrent(P_HQMinus, P_ghZAnti, P_Hh, P_ghWp, 6747, check)
    call createCurrent(P_ghAAnti, P_ghA, P_HPlus, P_HMinus, 6224, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_HhQ, 1000, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghA, P_GQMinus, 4028, check)
    call createCurrent(P_A, P_Z, P_HMinus, P_GPlus, 9549, check)
    call createCurrent(P_G0, P_G0, P_GPlus, P_GMinus, 3706, check)
    call createCurrent(P_WPlus, P_Ha, P_Z, P_HMinus, 7285, check)
    call createCurrent(P_ZQ, P_HMinus, P_Hl, P_WQPlus, 4582, check)
    call createCurrent(P_Hl, P_ghWmAnti, P_Hl, P_ghWm, 1680, check)
    call createCurrent(P_GMinus, P_muPlus, P_nu_mu, 3024, check)
    call createCurrent(P_GQ0, P_Hl, P_Ha, P_HhQ, 4611, check)
    call createCurrent(P_Z, P_WPlus, P_Hh, P_GMinus, 6982, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_GMinus, P_Hh, 5610, check)
    call createCurrent(P_HaQ, P_GPlus, P_Ha, P_GQMinus, 1045, check)
    call createCurrent(P_ePlus, P_HMinus, P_nu_e, 6350, check)
    call createCurrent(P_ZQ, P_Hl, P_WPlus, P_GQMinus, 870, check)
    call createCurrent(P_HlQ, P_Hh, P_GMinus, P_GQPlus, 6331, check)
    call createCurrent(P_Z, P_WPlus, P_ghA, P_ghWpAnti, 3840, check)
    call createCurrent(P_GQPlus, P_GMinus, P_GMinus, P_HQPlus, 180, check)
    call createCurrent(P_eMinus, P_nu_eAnti, P_GQPlus, 8540, check)
    call createCurrent(P_HlQ, P_Hl, P_GMinus, P_HQPlus, 942, check)
    call createCurrent(P_d, P_dAnti, P_GQ0, 2751, check)
    call createCurrent(P_GMinus, P_HPlus, P_GPlus, P_HMinus, 6631, check)
    call createCurrent(P_ghWmAnti, P_Z, P_Z, P_ghWm, 826, check)
    call createCurrent(P_ghWm, P_HMinus, P_ghWmAnti, P_GPlus, 10248, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Hl, P_ZQ, 3321, check)
    call createCurrent(P_HQMinus, P_GPlus, P_GMinus, P_HQPlus, 7011, check)
    call createCurrent(P_HaQ, P_muMinus, P_muPlus, 7717, check)
    call createCurrent(P_Hl, P_A, P_Ha, 9035, check)
    call createCurrent(P_g, P_ghGAnti, P_ghG, P_g, 3400, check)
    call createCurrent(P_GMinus, P_Hh, P_Hh, P_HPlus, 2334, check)
    call createCurrent(P_HhQ, P_HPlus, P_Z, P_WQMinus, 3607, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_WPlus, P_WMinus, 7382, check)
    call createCurrent(P_WQPlus, P_WMinus, P_GPlus, P_GQMinus, 2415, check)
    call createCurrent(P_AQ, P_Hh, P_HMinus, P_WQPlus, 3342, check)
    call createCurrent(P_g, P_GPlus, P_HMinus, P_g, 10712, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_HPlus, P_ghZ, 2072, check)
    call createCurrent(P_s, P_sAnti, P_g, 6623, check)
    call createCurrent(P_HlQ, P_ghZ, P_GMinus, P_ghWmAnti, 7272, check)
    call createCurrent(P_Ha, P_ghZAnti, P_GPlus, P_ghWm, 10407, check)
    call createCurrent(P_Ha, P_Hh, P_Ha, P_Hl, 888, check)
    call createCurrent(P_WMinus, P_ghZ, P_ghZAnti, P_WPlus, 8707, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GQMinus, 1194, check)
    call createCurrent(P_ghZAnti, P_ghA, P_HMinus, P_HPlus, 7158, check)
    call createCurrent(P_HPlus, P_GMinus, P_G0, P_Ha, 7457, check)
    call createCurrent(P_g, P_HPlus, P_g, P_GMinus, 10620, check)
    call createCurrent(P_HaQ, P_ghWmAnti, P_HMinus, P_ghZ, 181, check)
    call createCurrent(P_GQMinus, P_HMinus, P_GPlus, P_HQPlus, 5918, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghAAnti, P_ghZ, 1638, check)
    call createCurrent(P_G0, P_GPlus, P_A, P_WMinus, 474, check)
    call createCurrent(P_Z, P_G0, 9566, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Z, P_WQPlus, 6269, check)
    call createCurrent(P_HaQ, P_HMinus, P_Hh, P_HQPlus, 4437, check)
    call createCurrent(P_ghWmAnti, P_Z, P_ghZ, P_WQMinus, 2155, check)
    call createCurrent(P_tauMinus, P_A, P_tauPlus, 2050, check)
    call createCurrent(P_ghA, P_G0, P_ghWpAnti, P_GPlus, 8017, check)
    call createCurrent(P_HQMinus, P_HMinus, P_GPlus, P_GQPlus, 4266, check)
    call createCurrent(P_WQPlus, P_Hl, P_Hl, P_WQMinus, 6115, check)
    call createCurrent(P_Z, P_WPlus, P_G0, P_HMinus, 10084, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_G0, P_ghZ, 9720, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Hl, 1919, check)
    call createCurrent(P_uAnti, P_g, P_u, 4681, check)
    call createCurrent(P_G0, P_ghWp, P_GMinus, P_ghZAnti, 8482, check)
    call createCurrent(P_HhQ, P_GMinus, P_WQPlus, 1470, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Hl, P_HPlus, 799, check)
    call createCurrent(P_WQPlus, P_ghA, P_ghWpAnti, 7710, check)
    call createCurrent(P_ghA, P_ghAAnti, P_HPlus, P_HQMinus, 1306, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HMinus, P_HQPlus, 6891, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_Ha, 8939, check)
    call createCurrent(P_ghWpAnti, P_WMinus, P_WPlus, P_ghWp, 2101, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hh, P_GPlus, 7263, check)
    call createCurrent(P_G0, P_HMinus, P_G0, P_HPlus, 1284, check)
    call createCurrent(P_Z, P_HPlus, P_A, P_HMinus, 1921, check)
    call createCurrent(P_HaQ, P_HMinus, P_WPlus, P_ZQ, 7512, check)
    call createCurrent(P_WQPlus, P_WMinus, P_G0, P_HlQ, 5885, check)
    call createCurrent(P_gQ, P_u, P_uAnti, 8657, check)
    call createCurrent(P_uAnti, P_Hl, P_u, 1703, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_HMinus, P_GPlus, 9216, check)
    call createCurrent(P_GPlus, P_Z, P_GMinus, P_Z, 5273, check)
    call createCurrent(P_ghWpAnti, P_Hl, P_ghWp, P_HaQ, 8691, check)
    call createCurrent(P_GPlus, P_WMinus, P_G0, P_A, 4698, check)
    call createCurrent(P_HQMinus, P_sAnti, P_c, 4560, check)
    call createCurrent(P_GPlus, P_G0, P_G0, P_HMinus, 5427, check)
    call createCurrent(P_HQMinus, P_GPlus, P_GMinus, P_GQPlus, 6250, check)
    call createCurrent(P_HlQ, P_ghZ, P_ghZAnti, 7878, check)
    call createCurrent(P_ghWpAnti, P_A, P_ghWp, P_AQ, 5003, check)
    call createCurrent(P_HaQ, P_ghWm, P_Hl, P_ghWmAnti, 3815, check)
    call createCurrent(P_GMinus, P_ghWp, P_Ha, P_ghAAnti, 9749, check)
    call createCurrent(P_WQMinus, P_ghZ, P_WPlus, P_ghAAnti, 2807, check)
    call createCurrent(P_Ha, P_HMinus, P_ghZ, P_ghWmAnti, 687, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_HhQ, 2061, check)
    call createCurrent(P_Hl, P_WPlus, P_HMinus, P_A, 6924, check)
    call createCurrent(P_GQ0, P_Z, P_HlQ, 1030, check)
    call createCurrent(P_GPlus, P_Hh, P_Hl, P_HMinus, 2469, check)
    call createCurrent(P_GPlus, P_G0, P_Ha, P_HMinus, 6091, check)
    call createCurrent(P_ghA, P_Ha, P_HMinus, P_ghWmAnti, 1496, check)
    call createCurrent(P_ZQ, P_GMinus, P_WQPlus, 6001, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_Hl, P_ghWm, 7903, check)
    call createCurrent(P_Z, P_WPlus, P_HMinus, P_G0, 8902, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_HMinus, P_GPlus, 9955, check)
    call createCurrent(P_GQ0, P_GPlus, P_GQMinus, 3618, check)
    call createCurrent(P_WPlus, P_HMinus, P_G0, P_Z, 10168, check)
    call createCurrent(P_Hl, P_WMinus, P_Z, P_GPlus, 1244, check)
    call createCurrent(P_HlQ, P_HMinus, P_HPlus, P_HlQ, 7114, check)
    call createCurrent(P_WMinus, P_Z, P_ghWp, P_ghZAnti, 5092, check)
    call createCurrent(P_Z, P_Ha, P_Hh, 6244, check)
    call createCurrent(P_ghA, P_GPlus, P_Ha, P_ghWpAnti, 9178, check)
    call createCurrent(P_Hl, P_G0, P_Hl, P_Hl, 10603, check)
    call createCurrent(P_ghWp, P_ghZAnti, P_HMinus, P_Hl, 2814, check)
    call createCurrent(P_HPlus, P_Hh, P_Hh, P_GMinus, 3854, check)
    call createCurrent(P_Hl, P_GMinus, P_GPlus, P_G0, 9232, check)
    call createCurrent(P_Ha, P_ghA, P_ghWpAnti, P_HPlus, 7095, check)
    call createCurrent(P_nu_muAnti, P_muMinus, P_GPlus, 2344, check)
    call createCurrent(P_GQMinus, P_ghZAnti, P_GPlus, P_ghA, 2197, check)
    call createCurrent(P_ghZ, P_Z, P_ghWmAnti, P_WMinus, 112, check)
    call createCurrent(P_c, P_cAnti, P_Ha, 3614, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_Hh, P_GMinus, 2800, check)
    call createCurrent(P_bAnti, P_b, P_gQ, 7578, check)
    call createCurrent(P_A, P_Hh, P_WMinus, P_HPlus, 5318, check)
    call createCurrent(P_HQPlus, P_Z, P_HQMinus, 6379, check)
    call createCurrent(P_Ha, P_Ha, P_Hh, 765, check)
    call createCurrent(P_Hh, P_GPlus, P_ghWpAnti, P_ghZ, 8281, check)
    call createCurrent(P_WPlus, P_GMinus, P_Ha, P_Z, 9892, check)
    call createCurrent(P_ghA, P_Ha, P_ghWpAnti, P_GPlus, 10295, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_HQMinus, 2066, check)
    call createCurrent(P_WQPlus, P_HMinus, P_AQ, 7207, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_ghA, P_WMinus, 7175, check)
    call createCurrent(P_g, P_ghGAnti, P_g, P_ghG, 6595, check)
    call createCurrent(P_Ha, P_G0, P_g, P_g, 10623, check)
    call createCurrent(P_ghAAnti, P_ghWp, P_GMinus, P_GQ0, 441, check)
    call createCurrent(P_G0, P_ghZAnti, P_ghWm, P_HPlus, 9414, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_GQ0, 847, check)
    call createCurrent(P_G0, P_ghWm, P_HPlus, P_ghZAnti, 9765, check)
    call createCurrent(P_gQ, P_ghG, P_ghGAnti, 8784, check)
    call createCurrent(P_Hh, P_ghWm, P_Hl, P_ghWmAnti, 9181, check)
    call createCurrent(P_HlQ, P_ePlus, P_eMinus, 8270, check)
    call createCurrent(P_Hl, P_HMinus, P_GPlus, P_Hl, 830, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_HPlus, P_GMinus, 10392, check)
    call createCurrent(P_A, P_dAnti, P_d, 904, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghAAnti, P_ghA, 5512, check)
    call createCurrent(P_WQMinus, P_A, P_HPlus, P_HlQ, 5942, check)
    call createCurrent(P_gQ, P_ghGAnti, P_ghG, 186, check)
    call createCurrent(P_Hh, P_Hh, P_Hh, P_Hh, 1350, check)
    call createCurrent(P_ghWmAnti, P_HMinus, P_GPlus, P_ghWm, 9288, check)
    call createCurrent(P_HQMinus, P_GPlus, P_GPlus, P_GQMinus, 8131, check)
    call createCurrent(P_HPlus, P_ghA, P_ghWpAnti, 4920, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_A, P_WQPlus, 7455, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hl, 8547, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_HhQ, 2021, check)
    call createCurrent(P_GQPlus, P_Hl, P_GMinus, P_GQ0, 1771, check)
    call createCurrent(P_GPlus, P_GMinus, P_Hh, P_Hh, 8151, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, 1259, check)
    call createCurrent(P_GMinus, P_Hh, P_HPlus, P_Ha, 6079, check)
    call createCurrent(P_Hh, P_Ha, P_Hh, P_Ha, 4776, check)
    call createCurrent(P_Hh, P_Hl, P_GMinus, P_GPlus, 8506, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghZ, P_G0, 6570, check)
    call createCurrent(P_GQMinus, P_HPlus, P_HlQ, 430, check)
    call createCurrent(P_HaQ, P_uAnti, P_u, 5348, check)
    call createCurrent(P_Z, P_Z, P_Hl, 2891, check)
    call createCurrent(P_WQMinus, P_G0, P_WPlus, P_HhQ, 2, check)
    call createCurrent(P_Hl, P_HMinus, P_Hl, P_GPlus, 5837, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, P_Hl, 8388, check)
    call createCurrent(P_G0, P_Ha, P_G0, P_Ha, 6158, check)
    call createCurrent(P_HPlus, P_Ha, P_Hh, P_GMinus, 2103, check)
    call createCurrent(P_HaQ, P_HMinus, P_ghAAnti, P_ghWp, 1810, check)
    call createCurrent(P_WPlus, P_Z, P_Ha, P_GMinus, 9254, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghA, P_GQPlus, 3506, check)
    call createCurrent(P_dAnti, P_Hl, P_d, 4472, check)
    call createCurrent(P_ZQ, P_GPlus, P_WQMinus, 4847, check)
    call createCurrent(P_ghAAnti, P_GMinus, P_ghWp, P_HlQ, 2064, check)
    call createCurrent(P_HhQ, P_ghZ, P_HPlus, P_ghWpAnti, 5891, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_ghZ, P_HQMinus, 6873, check)
    call createCurrent(P_Ha, P_HMinus, P_Ha, P_HPlus, 4712, check)
    call createCurrent(P_Hl, P_HPlus, P_Ha, P_HMinus, 10385, check)
    call createCurrent(P_ghWpAnti, P_HPlus, P_ghZ, P_G0, 9569, check)
    call createCurrent(P_A, P_d, P_dAnti, 5113, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_G0, P_G0, 717, check)
    call createCurrent(P_WQPlus, P_WMinus, P_A, P_ZQ, 7464, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WQMinus, 861, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, 3948, check)
    call createCurrent(P_Hl, P_Hl, P_g, P_g, 10515, check)
    call createCurrent(P_AQ, P_A, P_HPlus, P_HQMinus, 7931, check)
    call createCurrent(P_AQ, P_Hh, P_WPlus, P_HQMinus, 7282, check)
    call createCurrent(P_Z, P_WPlus, P_Hl, P_GMinus, 3318, check)
    call createCurrent(P_G0, P_Ha, 9999, check)
    call createCurrent(P_ghZAnti, P_WMinus, P_ghWp, P_Z, 7125, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hh, 8723, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_Hh, P_ghWp, 3981, check)
    call createCurrent(P_HMinus, P_ghWp, P_ghAAnti, P_Ha, 1088, check)
    call createCurrent(P_GPlus, P_GMinus, P_Ha, P_Ha, 2100, check)
    call createCurrent(P_GMinus, P_GPlus, P_A, P_Z, 4924, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghZ, P_HPlus, 5136, check)
    call createCurrent(P_HlQ, P_ghWpAnti, P_GPlus, P_ghZ, 2077, check)
    call createCurrent(P_ghZ, P_Hl, P_HMinus, P_ghWmAnti, 5239, check)
    call createCurrent(P_ghA, P_WMinus, P_ghZAnti, P_WPlus, 931, check)
    call createCurrent(P_Hh, P_ghWp, P_GMinus, P_ghZAnti, 7798, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghZ, P_HPlus, 3315, check)
    call createCurrent(P_GQPlus, P_Ha, P_GMinus, P_GQ0, 4664, check)
    call createCurrent(P_HQMinus, P_WPlus, P_A, P_HhQ, 7722, check)
    call createCurrent(P_GQ0, P_G0, P_ghZAnti, P_ghZ, 7594, check)
    call createCurrent(P_ghZAnti, P_Ha, P_ghZ, P_HaQ, 3868, check)
    call createCurrent(P_WPlus, P_HPlus, P_WMinus, P_GMinus, 9149, check)
    call createCurrent(P_Ha, P_WMinus, P_A, P_HPlus, 5716, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, 6060, check)
    call createCurrent(P_GPlus, P_G0, P_ghWm, P_ghAAnti, 6135, check)
    call createCurrent(P_ghZ, P_GMinus, P_Ha, P_ghWmAnti, 10435, check)
    call createCurrent(P_WPlus, P_Hl, P_WMinus, P_Hh, 9065, check)
    call createCurrent(P_WQPlus, P_WPlus, P_ghWm, P_ghWpAnti, 5278, check)
    call createCurrent(P_Hl, P_WPlus, P_WMinus, P_Hl, 4971, check)
    call createCurrent(P_WPlus, P_A, P_GMinus, P_Hl, 5803, check)
    call createCurrent(P_Hl, P_GPlus, P_HMinus, P_Ha, 4963, check)
    call createCurrent(P_G0, P_WMinus, P_G0, P_WPlus, 7295, check)
    call createCurrent(P_HMinus, P_nu_tau, P_tauPlus, 6277, check)
    call createCurrent(P_ghA, P_GMinus, P_HPlus, P_ghZAnti, 9519, check)
    call createCurrent(P_GQPlus, P_G0, P_WMinus, P_AQ, 3146, check)
    call createCurrent(P_GQ0, P_ghWm, P_G0, P_ghWmAnti, 8807, check)
    call createCurrent(P_GPlus, P_GMinus, P_GPlus, P_HMinus, 6228, check)
    call createCurrent(P_bAnti, P_Hl, P_b, 3768, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, P_A, 9345, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghWm, P_Ha, 7656, check)
    call createCurrent(P_GQ0, P_Hl, P_WMinus, P_WQPlus, 2441, check)
    call createCurrent(P_GMinus, P_Hh, P_WPlus, P_A, 8158, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_HPlus, P_Hl, 2909, check)
    call createCurrent(P_GPlus, P_Hh, P_GMinus, P_Hh, 7685, check)
    call createCurrent(P_GMinus, P_GPlus, P_WPlus, P_WMinus, 3562, check)
    call createCurrent(P_muMinus, P_WPlus, P_nu_muAnti, 3157, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghAAnti, P_ghA, 3272, check)
    call createCurrent(P_Z, P_Hl, P_Hl, P_A, 10041, check)
    call createCurrent(P_HhQ, P_Ha, P_GQ0, 8478, check)
    call createCurrent(P_GMinus, P_GPlus, P_G0, 9760, check)
    call createCurrent(P_WMinus, P_Z, P_WPlus, P_A, 6498, check)
    call createCurrent(P_HQPlus, P_Ha, P_GMinus, P_HlQ, 8013, check)
    call createCurrent(P_WMinus, P_GPlus, P_Hh, P_A, 5506, check)
    call createCurrent(P_nu_mu, P_muPlus, P_WMinus, 5098, check)
    call createCurrent(P_g, P_g, P_ghGAnti, P_ghG, 4935, check)
    call createCurrent(P_HaQ, P_Hl, P_Ha, P_HhQ, 5673, check)
    call createCurrent(P_ghA, P_Z, P_ghWpAnti, P_WPlus, 1498, check)
    call createCurrent(P_Ha, P_Ha, P_Z, P_A, 10131, check)
    call createCurrent(P_HaQ, P_G0, P_HMinus, P_GQPlus, 5520, check)
    call createCurrent(P_GQMinus, P_Hl, P_GPlus, P_HlQ, 22, check)
    call createCurrent(P_ghWp, P_G0, P_ghZAnti, P_GQMinus, 4991, check)
    call createCurrent(P_GQMinus, P_Hl, P_WPlus, P_ZQ, 1531, check)
    call createCurrent(P_GQMinus, P_Hh, P_WPlus, P_AQ, 4950, check)
    call createCurrent(P_ghAAnti, P_Hh, P_GMinus, P_ghWp, 1804, check)
    call createCurrent(P_HMinus, P_WPlus, P_A, P_Ha, 1783, check)
    call createCurrent(P_WPlus, P_GMinus, P_Z, P_Hl, 6786, check)
    call createCurrent(P_Ha, P_ghZ, P_ghWpAnti, P_HPlus, 4195, check)
    call createCurrent(P_GQPlus, P_HMinus, P_Hh, P_HaQ, 3026, check)
    call createCurrent(P_WQPlus, P_Z, P_HQMinus, 5232, check)
    call createCurrent(P_Hh, P_tauPlus, P_tauMinus, 1311, check)
    call createCurrent(P_WPlus, P_A, P_ghAAnti, P_ghWm, 6719, check)
    call createCurrent(P_AQ, P_HMinus, P_WQPlus, 3411, check)
    call createCurrent(P_g, P_WMinus, P_g, P_WPlus, 10605, check)
    call createCurrent(P_GQMinus, P_A, P_GQPlus, 4638, check)
    call createCurrent(P_GPlus, P_ghWpAnti, P_ghA, P_Ha, 9712, check)
    call createCurrent(P_ghWpAnti, P_Z, P_WPlus, P_ghZ, 3295, check)
    call createCurrent(P_A, P_A, P_WPlus, P_WMinus, 2082, check)
    call createCurrent(P_Z, P_GMinus, P_GPlus, P_A, 4587, check)
    call createCurrent(P_GQPlus, P_G0, P_Hl, P_HQMinus, 6745, check)
    call createCurrent(P_ghAAnti, P_Ha, P_ghWm, P_GPlus, 10231, check)
    call createCurrent(P_GPlus, P_muMinus, P_nu_muAnti, 5466, check)
    call createCurrent(P_c, P_Ha, P_cAnti, 5093, check)
    call createCurrent(P_Ha, P_ghA, P_ghWmAnti, P_HMinus, 882, check)
    call createCurrent(P_GQ0, P_HMinus, P_HPlus, P_HaQ, 94, check)
    call createCurrent(P_WQPlus, P_GMinus, P_G0, P_ZQ, 6190, check)
    call createCurrent(P_Z, P_GMinus, P_HPlus, 9725, check)
    call createCurrent(P_WPlus, P_ghWm, P_Z, P_ghZAnti, 7450, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_GMinus, P_ghZ, 3895, check)
    call createCurrent(P_Hh, P_Hl, P_Z, P_Z, 9945, check)
    call createCurrent(P_G0, P_A, P_WMinus, P_HPlus, 9790, check)
    call createCurrent(P_HlQ, P_ghWp, P_HMinus, P_ghZAnti, 2037, check)
    call createCurrent(P_HMinus, P_ghWmAnti, P_ghA, 2831, check)
    call createCurrent(P_WQMinus, P_GPlus, P_Hl, P_AQ, 8613, check)
    call createCurrent(P_Ha, P_ghAAnti, P_ghWm, P_HPlus, 6946, check)
    call createCurrent(P_Hh, P_ghA, P_HMinus, P_ghWmAnti, 8050, check)
    call createCurrent(P_g, P_A, P_g, P_A, 10713, check)
    call createCurrent(P_HMinus, P_A, P_HPlus, 7115, check)
    call createCurrent(P_HhQ, P_Hh, P_HPlus, P_GQMinus, 8173, check)
    call createCurrent(P_ZQ, P_GMinus, P_GQPlus, 4555, check)
    call createCurrent(P_GMinus, P_HMinus, P_GPlus, P_HPlus, 6867, check)
    call createCurrent(P_ZQ, P_WMinus, P_HPlus, P_HaQ, 5249, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_HPlus, P_ghZ, 3009, check)
    call createCurrent(P_ghA, P_Hh, P_ghWmAnti, P_GQMinus, 6415, check)
    call createCurrent(P_HaQ, P_Ha, P_ghZ, P_ghZAnti, 1375, check)
    call createCurrent(P_HPlus, P_HMinus, P_ghAAnti, P_ghA, 4498, check)
    call createCurrent(P_nu_tauAnti, P_HPlus, P_tauMinus, 1081, check)
    call createCurrent(P_GQMinus, P_Z, P_WPlus, P_HlQ, 2579, check)
    call createCurrent(P_WPlus, P_Hl, P_HMinus, P_A, 1974, check)
    call createCurrent(P_GQ0, P_HPlus, P_Ha, P_GQMinus, 2609, check)
    call createCurrent(P_ghWp, P_WMinus, P_WMinus, P_ghWmAnti, 3543, check)
    call createCurrent(P_G0, P_Ha, P_Hh, P_Hh, 6920, check)
    call createCurrent(P_HlQ, P_GMinus, P_Hl, P_GQPlus, 8113, check)
    call createCurrent(P_d, P_uAnti, P_GPlus, 8811, check)
    call createCurrent(P_HQMinus, P_tauPlus, P_nu_tau, 557, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Z, P_WQMinus, 846, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_HMinus, P_HQPlus, 5412, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, 703, check)
    call createCurrent(P_GQ0, P_G0, P_Z, P_ZQ, 1295, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_Ha, 2394, check)
    call createCurrent(P_ghWm, P_Hh, P_ghWmAnti, P_Hh, 6238, check)
    call createCurrent(P_G0, P_HMinus, P_ghWp, P_ghAAnti, 10226, check)
    call createCurrent(P_ePlus, P_eMinus, P_Z, 7864, check)
    call createCurrent(P_GMinus, P_A, P_Hh, P_WPlus, 5570, check)
    call createCurrent(P_Hh, P_HMinus, P_ghAAnti, P_ghWp, 7842, check)
    call createCurrent(P_cAnti, P_Hh, P_c, 7602, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_WMinus, P_Z, 3197, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_GQ0, 2707, check)
    call createCurrent(P_ghZAnti, P_Hh, P_ghZ, P_Hl, 9368, check)
    call createCurrent(P_GPlus, P_HMinus, P_HPlus, P_GMinus, 4144, check)
    call createCurrent(P_A, P_Hl, P_GPlus, P_WMinus, 3468, check)
    call createCurrent(P_Z, P_ghWmAnti, P_ghZ, P_WMinus, 4658, check)
    call createCurrent(P_GMinus, P_ghWp, P_Hh, P_ghZAnti, 8170, check)
    call createCurrent(P_HaQ, P_G0, P_Hl, P_HlQ, 602, check)
    call createCurrent(P_ghWp, P_ghWpAnti, P_Z, P_ZQ, 7498, check)
    call createCurrent(P_HPlus, P_WMinus, P_Ha, P_Z, 3109, check)
    call createCurrent(P_HlQ, P_Hl, P_HMinus, P_GQPlus, 7361, check)
    call createCurrent(P_ghWpAnti, P_G0, P_ghZ, P_GPlus, 8189, check)
    call createCurrent(P_G0, P_ghA, P_HMinus, P_ghWmAnti, 10009, check)
    call createCurrent(P_c, P_cAnti, P_Z, 1398, check)
    call createCurrent(P_G0, P_HPlus, P_ghWm, P_ghAAnti, 9841, check)
    call createCurrent(P_GQ0, P_HPlus, P_Hh, P_HQMinus, 3154, check)
    call createCurrent(P_GPlus, P_Hl, P_GMinus, P_Hh, 790, check)
    call createCurrent(P_HQPlus, P_Ha, P_GMinus, P_HaQ, 1799, check)
    call createCurrent(P_Ha, P_Ha, P_HPlus, P_HMinus, 7150, check)
    call createCurrent(P_WQMinus, P_tauPlus, P_nu_tau, 5701, check)
    call createCurrent(P_ghWp, P_Hl, P_HMinus, P_ghZAnti, 8419, check)
    call createCurrent(P_HMinus, P_ghAAnti, P_ghWp, P_G0, 9925, check)
    call createCurrent(P_AQ, P_GMinus, P_WQPlus, 5176, check)
    call createCurrent(P_HMinus, P_Hl, P_G0, P_HPlus, 9086, check)
    call createCurrent(P_d, P_dAnti, P_HlQ, 1662, check)
    call createCurrent(P_WQMinus, P_bAnti, P_t, 8676, check)
    call createCurrent(P_GPlus, P_Ha, P_HMinus, P_G0, 5994, check)
    call createCurrent(P_A, P_GMinus, P_WPlus, 7912, check)
    call createCurrent(P_GQ0, P_Hl, P_HPlus, P_GQMinus, 4222, check)
    call createCurrent(P_ghA, P_G0, P_ghWmAnti, P_GMinus, 7625, check)
    call createCurrent(P_dAnti, P_d, P_AQ, 1553, check)
    call createCurrent(P_HlQ, P_Hh, P_Hl, P_HlQ, 6245, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghWmAnti, P_ghWm, 3252, check)
    call createCurrent(P_HQPlus, P_Z, P_Hl, P_WQMinus, 424, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghA, P_HQPlus, 2607, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_ghA, P_Ha, 9360, check)
    call createCurrent(P_HaQ, P_GPlus, P_G0, P_HQMinus, 4526, check)
    call createCurrent(P_HlQ, P_ghZ, P_GPlus, P_ghWpAnti, 4913, check)
    call createCurrent(P_Z, P_ghWmAnti, P_A, P_ghWm, 7179, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_Z, P_A, 4887, check)
    call createCurrent(P_HaQ, P_ghWp, P_Ha, P_ghWpAnti, 4497, check)
    call createCurrent(P_GQMinus, P_Hh, P_Hh, P_HQPlus, 1522, check)
    call createCurrent(P_HhQ, P_Ha, P_ghWmAnti, P_ghWm, 5536, check)
    call createCurrent(P_HQMinus, P_ghZ, P_Hh, P_ghWmAnti, 5022, check)
    call createCurrent(P_ghAAnti, P_ghA, P_HPlus, P_HQMinus, 4196, check)
    call createCurrent(P_WQPlus, P_Ha, P_HMinus, P_ZQ, 3520, check)
    call createCurrent(P_Hl, P_b, P_bAnti, 1358, check)
    call createCurrent(P_Ha, P_GMinus, P_WPlus, P_Z, 10189, check)
    call createCurrent(P_HlQ, P_ghWm, P_GPlus, P_ghZAnti, 6489, check)
    call createCurrent(P_WQMinus, P_GPlus, P_HlQ, 5023, check)
    call createCurrent(P_Hl, P_ghWp, P_ghWpAnti, P_Hh, 9322, check)
    call createCurrent(P_WPlus, P_ghZ, P_ghAAnti, P_WMinus, 5973, check)
    call createCurrent(P_HlQ, P_Hl, P_ghZ, P_ghZAnti, 7544, check)
    call createCurrent(P_Ha, P_G0, P_ghZ, P_ghZAnti, 9724, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_G0, P_GQ0, 3429, check)
    call createCurrent(P_WMinus, P_WPlus, P_ghA, P_ghZAnti, 6428, check)
    call createCurrent(P_Hl, P_A, P_Hh, P_A, 10683, check)
    call createCurrent(P_HhQ, P_ghWpAnti, P_GPlus, P_ghZ, 4178, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghZAnti, P_ghZ, 10303, check)
    call createCurrent(P_g, P_g, P_A, P_Z, 10613, check)
    call createCurrent(P_G0, P_ghWpAnti, P_HPlus, P_ghZ, 9763, check)
    call createCurrent(P_HhQ, P_HMinus, P_Ha, P_GQPlus, 8075, check)
    call createCurrent(P_ghWmAnti, P_ghZ, P_GMinus, P_HhQ, 1229, check)
    call createCurrent(P_Hl, P_WMinus, P_HPlus, P_Z, 4486, check)
    call createCurrent(P_ghZ, P_HMinus, P_GPlus, P_ghAAnti, 9824, check)
    call createCurrent(P_Hl, P_GMinus, P_Hh, P_HPlus, 4000, check)
    call createCurrent(P_HQPlus, P_ghZ, P_HMinus, P_ghAAnti, 3374, check)
    call createCurrent(P_WQMinus, P_A, P_GPlus, P_GQ0, 5894, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghZ, P_HMinus, 7617, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_GPlus, P_HlQ, 5114, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_HlQ, 5240, check)
    call createCurrent(P_HaQ, P_HPlus, P_ghAAnti, P_ghWm, 4435, check)
    call createCurrent(P_Hh, P_Ha, P_Hl, P_G0, 7317, check)
    call createCurrent(P_G0, P_Z, P_WPlus, P_HMinus, 10357, check)
    call createCurrent(P_HMinus, P_HMinus, P_HPlus, P_GPlus, 1357, check)
    call createCurrent(P_Hh, P_ghWpAnti, P_Hl, P_ghWp, 8923, check)
    call createCurrent(P_Z, P_HMinus, P_A, P_HPlus, 4164, check)
    call createCurrent(P_Z, P_Hh, P_WPlus, P_HMinus, 4315, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_A, P_A, 4885, check)
    call createCurrent(P_A, P_G0, P_G0, P_A, 10549, check)
    call createCurrent(P_HlQ, P_HPlus, P_ghAAnti, P_ghWm, 72, check)
    call createCurrent(P_WPlus, P_Ha, P_GMinus, P_Z, 10055, check)
    call createCurrent(P_ghWpAnti, P_GPlus, P_Hl, P_ghA, 1637, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_Hl, P_GMinus, 8473, check)
    call createCurrent(P_t, P_bAnti, P_HQMinus, 2928, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_ghWp, P_HhQ, 3379, check)
    call createCurrent(P_HaQ, P_WPlus, P_A, P_HQMinus, 8629, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_Ha, P_HPlus, 3887, check)
    call createCurrent(P_HMinus, P_WPlus, P_Ha, P_A, 8139, check)
    call createCurrent(P_Z, P_G0, P_HPlus, P_WMinus, 10347, check)
    call createCurrent(P_ghWp, P_GPlus, P_ghWpAnti, P_HMinus, 9366, check)
    call createCurrent(P_GQPlus, P_Hl, P_Hh, P_GQMinus, 3831, check)
    call createCurrent(P_HlQ, P_Hl, P_Z, P_ZQ, 431, check)
    call createCurrent(P_GPlus, P_ghA, P_Hl, P_ghWpAnti, 2634, check)
    call createCurrent(P_ghZ, P_WPlus, P_ghZAnti, P_WMinus, 8023, check)
    call createCurrent(P_HQMinus, P_Ha, P_HPlus, P_HhQ, 455, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, 9617, check)
    call createCurrent(P_ghA, P_GPlus, P_ghWpAnti, P_Hl, 7683, check)
    call createCurrent(P_g, P_Z, P_g, P_Z, 10746, check)
    call createCurrent(P_A, P_ghWp, P_ghWpAnti, 6581, check)
    call createCurrent(P_WQPlus, P_GMinus, P_A, P_HhQ, 8679, check)
    call createCurrent(P_GQPlus, P_A, P_GQMinus, 4682, check)
    call createCurrent(P_HQMinus, P_GPlus, P_HaQ, 5534, check)
    call createCurrent(P_ZQ, P_Hh, P_GMinus, P_WQPlus, 8032, check)
    call createCurrent(P_HlQ, P_GMinus, P_Hh, P_GQPlus, 1902, check)
    call createCurrent(P_WMinus, P_ghWp, P_WMinus, P_ghWmAnti, 2496, check)
    call createCurrent(P_cAnti, P_c, P_HhQ, 3340, check)
    call createCurrent(P_WPlus, P_ghA, P_ghZAnti, P_WMinus, 5369, check)
    call createCurrent(P_ghWp, P_Z, P_A, P_ghWpAnti, 1924, check)
    call createCurrent(P_GQPlus, P_Ha, P_G0, P_HQMinus, 4748, check)
    call createCurrent(P_HPlus, P_tauMinus, P_nu_tauAnti, 3427, check)
    call createCurrent(P_A, P_ghWm, P_ghWmAnti, P_Z, 4061, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghA, P_HMinus, 4345, check)
    call createCurrent(P_Ha, P_WMinus, P_HPlus, P_A, 1630, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_WPlus, P_Z, 7911, check)
    call createCurrent(P_GQMinus, P_Hl, P_WPlus, P_AQ, 5439, check)
    call createCurrent(P_ghZAnti, P_ghWp, P_HMinus, P_G0, 8966, check)
    call createCurrent(P_G0, P_Z, P_WMinus, P_HPlus, 10167, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_HMinus, P_ghA, 7699, check)
    call createCurrent(P_GMinus, P_A, P_Ha, P_WPlus, 8856, check)
    call createCurrent(P_HPlus, P_tAnti, P_b, 4474, check)
    call createCurrent(P_Hh, P_ghZAnti, P_ghZ, P_Hl, 10146, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghZAnti, P_AQ, 7461, check)
    call createCurrent(P_WQPlus, P_WMinus, P_Z, P_ZQ, 8411, check)
    call createCurrent(P_GMinus, P_WPlus, P_Z, P_Hl, 6544, check)
    call createCurrent(P_Hl, P_Hh, P_ghWmAnti, P_ghWm, 10222, check)
    call createCurrent(P_HMinus, P_G0, P_Z, P_WPlus, 9000, check)
    call createCurrent(P_HPlus, P_ghAAnti, P_Hl, P_ghWm, 5874, check)
    call createCurrent(P_GPlus, P_HMinus, P_Hl, P_Ha, 2398, check)
    call createCurrent(P_HlQ, P_Hl, P_ghWp, P_ghWpAnti, 2977, check)
    call createCurrent(P_HlQ, P_HMinus, P_GPlus, P_HhQ, 8508, check)
    call createCurrent(P_HPlus, P_ghWpAnti, P_ghA, P_G0, 9929, check)
    call createCurrent(P_GQ0, P_Hl, P_ghWp, P_ghWpAnti, 4715, check)
    call createCurrent(P_G0, P_ghWp, P_ghZAnti, P_HMinus, 9249, check)
    call createCurrent(P_ghAAnti, P_ghWm, P_WPlus, P_AQ, 1036, check)
    call createCurrent(P_HMinus, P_ghZAnti, P_GPlus, P_ghZ, 8961, check)
    call createCurrent(P_HhQ, P_muMinus, P_muPlus, 5702, check)
    call createCurrent(P_c, P_GMinus, P_sAnti, 7566, check)
    call createCurrent(P_Hh, P_WPlus, P_HMinus, P_A, 3193, check)
    call createCurrent(P_Hh, P_GPlus, P_Z, P_WMinus, 1698, check)
    call createCurrent(P_WPlus, P_s, P_cAnti, 320, check)
    call createCurrent(P_HhQ, P_WPlus, P_GMinus, P_ZQ, 8299, check)
    call createCurrent(P_Hh, P_ghWmAnti, P_ghA, P_HMinus, 2325, check)
    call createCurrent(P_Hh, P_ghZ, P_Hl, P_ghZAnti, 9435, check)
    call createCurrent(P_Z, P_Hh, P_HPlus, P_WMinus, 5210, check)
    call createCurrent(P_GQMinus, P_ghZ, P_Hh, P_ghWmAnti, 3390, check)
    call createCurrent(P_GMinus, P_G0, P_WPlus, 8507, check)
    call createCurrent(P_A, P_HPlus, P_WMinus, P_Hh, 4466, check)
    call createCurrent(P_ghAAnti, P_HPlus, P_ghZ, P_HQMinus, 1657, check)
    call createCurrent(P_HPlus, P_uAnti, P_d, 1833, check)
    call createCurrent(P_WPlus, P_HPlus, P_GMinus, P_WMinus, 9877, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Hl, 8401, check)
    call createCurrent(P_GMinus, P_ghWp, P_ghZAnti, 6394, check)
    call createCurrent(P_ghWp, P_GMinus, P_G0, P_ghAAnti, 269, check)
    call createCurrent(P_ghWm, P_WPlus, P_ghAAnti, P_AQ, 3760, check)
    call createCurrent(P_GQMinus, P_WPlus, P_Z, P_HhQ, 7116, check)
    call createCurrent(P_g, P_s, P_sAnti, 5828, check)
    call createCurrent(P_Ha, P_G0, P_WMinus, P_WPlus, 8841, check)
    call createCurrent(P_ghZ, P_HMinus, P_G0, P_ghWmAnti, 9474, check)
    call createCurrent(P_WMinus, P_ghZAnti, P_ghZ, P_WPlus, 2610, check)
    call createCurrent(P_ghWm, P_GPlus, P_HMinus, P_ghWmAnti, 9297, check)
    call createCurrent(P_GQPlus, P_ghZAnti, P_G0, P_ghWm, 7015, check)
    call createCurrent(P_ghWmAnti, P_Ha, P_HMinus, P_ghZ, 5233, check)
    call createCurrent(P_ghWm, P_Hl, P_ghAAnti, P_GPlus, 8705, check)
    call createCurrent(P_HQMinus, P_ghZAnti, P_HPlus, P_ghA, 5076, check)
    call createCurrent(P_A, P_WPlus, P_ghA, P_ghWpAnti, 7545, check)
    call createCurrent(P_G0, P_WPlus, P_G0, P_WMinus, 1179, check)
    call createCurrent(P_Z, P_Hh, P_Hl, P_Z, 10478, check)
    call createCurrent(P_ghWmAnti, P_A, P_ghWm, 4905, check)
    call createCurrent(P_ZQ, P_GPlus, P_Hh, P_WQMinus, 1468, check)
    call createCurrent(P_WQPlus, P_G0, P_WMinus, P_HlQ, 488, check)
    call createCurrent(P_ghWpAnti, P_G0, P_GPlus, P_ghA, 7437, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_A, P_WPlus, 5691, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_G0, P_ghZ, 6088, check)
    call createCurrent(P_HlQ, P_Ha, P_Ha, P_HhQ, 1511, check)
    call createCurrent(P_Z, P_WMinus, P_A, P_WPlus, 3438, check)
    call createCurrent(P_Hh, P_g, P_Hh, P_g, 10564, check)
    call createCurrent(P_A, P_GPlus, P_A, P_GMinus, 2487, check)
    call createCurrent(P_ghZ, P_ghWpAnti, P_GPlus, 5763, check)
    call createCurrent(P_GQPlus, P_A, P_WMinus, P_HhQ, 3048, check)
    call createCurrent(P_GMinus, P_g, P_g, P_GPlus, 10589, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghWm, P_GQPlus, 2686, check)
    call createCurrent(P_GQ0, P_bAnti, P_b, 185, check)
    call createCurrent(P_HhQ, P_HMinus, P_G0, P_HQPlus, 228, check)
    call createCurrent(P_cAnti, P_c, P_GQ0, 5346, check)
    call createCurrent(P_Hh, P_HMinus, P_WPlus, P_Z, 968, check)
    call createCurrent(P_Hl, P_WMinus, P_A, P_HPlus, 50, check)
    call createCurrent(P_A, P_A, P_Ha, P_G0, 10573, check)
    call createCurrent(P_HQPlus, P_ghZAnti, P_Hh, P_ghWm, 5700, check)
    call createCurrent(P_A, P_G0, P_HMinus, P_WPlus, 8980, check)
    call createCurrent(P_GPlus, P_uAnti, P_d, 5755, check)
    call createCurrent(P_HPlus, P_ghWm, P_ghZAnti, P_Ha, 8086, check)
    call createCurrent(P_HQPlus, P_Hh, P_ghWm, P_ghZAnti, 6543, check)
    call createCurrent(P_AQ, P_d, P_dAnti, 475, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hh, P_HhQ, 1626, check)
    call createCurrent(P_Hl, P_Hh, P_ghWp, P_ghWpAnti, 9158, check)
    call createCurrent(P_HPlus, P_Hl, P_HMinus, P_Hl, 5557, check)
    call createCurrent(P_Hh, P_ghZ, P_ghWpAnti, P_HPlus, 7716, check)
    call createCurrent(P_HMinus, P_G0, P_ghWp, P_ghAAnti, 10102, check)
    call createCurrent(P_tAnti, P_Hh, P_t, 8714, check)
    call createCurrent(P_GQPlus, P_G0, P_HMinus, P_GQ0, 6742, check)
    call createCurrent(P_HQPlus, P_Hl, P_WMinus, P_AQ, 6922, check)
    call createCurrent(P_g, P_g, P_HMinus, P_HPlus, 10624, check)
    call createCurrent(P_ghWp, P_Hl, P_GMinus, P_ghZAnti, 5665, check)
    call createCurrent(P_GMinus, P_WMinus, P_GPlus, P_WPlus, 975, check)
    call createCurrent(P_HhQ, P_ghWp, P_ghWpAnti, 5104, check)
    call createCurrent(P_ePlus, P_eMinus, P_AQ, 2403, check)
    call createCurrent(P_GPlus, P_Hl, P_ghWpAnti, P_ghA, 4985, check)
    call createCurrent(P_HMinus, P_ghWp, P_GPlus, P_ghWpAnti, 9203, check)
    call createCurrent(P_Hh, P_A, P_A, P_Hl, 10672, check)
    call createCurrent(P_GQ0, P_GPlus, P_HMinus, P_HlQ, 1075, check)
    call createCurrent(P_ZQ, P_b, P_bAnti, 4726, check)
    call createCurrent(P_HQMinus, P_Z, P_HQPlus, 1466, check)
    call createCurrent(P_Z, P_WPlus, P_Ha, P_GMinus, 10059, check)
    call createCurrent(P_GQ0, P_Hh, P_Ha, P_HhQ, 1996, check)
    call createCurrent(P_ghWmAnti, P_G0, P_ghA, P_GMinus, 1281, check)
    call createCurrent(P_Z, P_WPlus, P_ghWpAnti, P_ghA, 420, check)
    call createCurrent(P_ZQ, P_WPlus, P_GQMinus, 4110, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghZ, P_GMinus, 3501, check)
    call createCurrent(P_HhQ, P_GPlus, P_ghWm, P_ghAAnti, 5231, check)
    call createCurrent(P_Hh, P_G0, P_Hh, P_Ha, 7509, check)
    call createCurrent(P_ghZ, P_G0, P_ghWmAnti, P_GQMinus, 4548, check)
    call createCurrent(P_ghZAnti, P_Hl, P_Hh, P_ghZ, 9603, check)
    call createCurrent(P_Ha, P_tAnti, P_t, 8314, check)
    call createCurrent(P_G0, P_ghWm, P_ghWmAnti, P_G0, 5012, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghZAnti, P_Hh, 6323, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_GPlus, P_ghZ, 3407, check)
    call createCurrent(P_HhQ, P_WMinus, P_Z, P_GQPlus, 9, check)
    call createCurrent(P_HlQ, P_GPlus, P_HQMinus, 6895, check)
    call createCurrent(P_ghWm, P_ghZAnti, P_GPlus, P_Hl, 973, check)
    call createCurrent(P_nu_e, P_Z, P_nu_eAnti, 5083, check)
    call createCurrent(P_G0, P_Hh, P_A, 8866, check)
    call createCurrent(P_A, P_ghAAnti, P_WMinus, P_ghWp, 8743, check)
    call createCurrent(P_GMinus, P_A, P_WPlus, P_Hl, 1507, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Hh, P_HPlus, 8738, check)
    call createCurrent(P_A, P_G0, P_Hl, 9496, check)
    call createCurrent(P_uAnti, P_d, P_GPlus, 6857, check)
    call createCurrent(P_A, P_ghWm, P_A, P_ghWmAnti, 6542, check)
    call createCurrent(P_Hl, P_Z, P_GPlus, P_WMinus, 5068, check)
    call createCurrent(P_HhQ, P_GMinus, P_ghAAnti, P_ghWp, 4914, check)
    call createCurrent(P_tauMinus, P_tauPlus, P_HhQ, 7567, check)
    call createCurrent(P_G0, P_Hh, P_Ha, 7568, check)
    call createCurrent(P_ZQ, P_Ha, P_HPlus, P_WQMinus, 2845, check)
    call createCurrent(P_WMinus, P_GMinus, P_WPlus, P_HPlus, 10039, check)
    call createCurrent(P_ghWm, P_Z, P_ghWmAnti, P_Z, 1435, check)
    call createCurrent(P_WQMinus, P_WPlus, P_ghZAnti, P_ghA, 1727, check)
    call createCurrent(P_GQMinus, P_ghWmAnti, P_G0, P_ghA, 8588, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_ghA, P_Hh, 2806, check)
    call createCurrent(P_Hh, P_Ha, P_GMinus, P_GPlus, 9221, check)
    call createCurrent(P_HMinus, P_HPlus, P_Hl, P_Ha, 9893, check)
    call createCurrent(P_GPlus, P_G0, P_ghWm, P_ghZAnti, 2056, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_WQPlus, 8242, check)
    call createCurrent(P_HMinus, P_Hl, P_Ha, P_HPlus, 8958, check)
    call createCurrent(P_HaQ, P_sAnti, P_s, 7767, check)
    call createCurrent(P_GQ0, P_Hh, P_ghWmAnti, P_ghWm, 3190, check)
    call createCurrent(P_HaQ, P_HMinus, P_Z, P_WQPlus, 7162, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hl, P_HaQ, 6663, check)
    call createCurrent(P_Z, P_Z, P_ghWm, P_ghWmAnti, 3590, check)
    call createCurrent(P_Hl, P_Hh, 9353, check)
    call createCurrent(P_ghWmAnti, P_GMinus, P_Ha, P_ghA, 10264, check)
    call createCurrent(P_GPlus, P_GMinus, P_ghWmAnti, P_ghWm, 369, check)
    call createCurrent(P_HhQ, P_Hh, P_Ha, P_HaQ, 6699, check)
    call createCurrent(P_Ha, P_ghZAnti, P_G0, P_ghZ, 10143, check)
    call createCurrent(P_GQ0, P_Hh, P_HMinus, P_HQPlus, 7636, check)
    call createCurrent(P_G0, P_A, P_Hl, 10029, check)
    call createCurrent(P_Ha, P_HMinus, P_G0, P_GPlus, 8161, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_Z, P_WPlus, 5562, check)
    call createCurrent(P_HlQ, P_G0, P_HaQ, 151, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_HlQ, 723, check)
    call createCurrent(P_gQ, P_g, P_ghG, P_ghGAnti, 2330, check)
    call createCurrent(P_GQ0, P_A, P_GMinus, P_WQPlus, 6819, check)
    call createCurrent(P_ghZAnti, P_ghZ, P_Hh, P_Hl, 9062, check)
    call createCurrent(P_ZQ, P_HPlus, P_HMinus, P_ZQ, 6069, check)
    call createCurrent(P_GMinus, P_Hl, P_ghZAnti, P_ghWp, 6508, check)
    call createCurrent(P_GQ0, P_GPlus, P_Hh, P_HQMinus, 7138, check)
    call createCurrent(P_GPlus, P_HMinus, P_Z, P_Z, 10032, check)
    call createCurrent(P_ghWp, P_HMinus, P_ghAAnti, P_Hl, 8587, check)
    call createCurrent(P_GQPlus, P_ghWpAnti, P_Hh, P_ghZ, 3513, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Hl, P_HaQ, 4551, check)
    call createCurrent(P_HPlus, P_Hh, P_HMinus, P_Ha, 10424, check)
    call createCurrent(P_WPlus, P_Ha, P_HMinus, P_Z, 2507, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_GPlus, P_Hh, 5688, check)
    call createCurrent(P_G0, P_ghWm, P_GPlus, P_ghZAnti, 5152, check)
    call createCurrent(P_WPlus, P_nu_tauAnti, P_tauMinus, 2643, check)
    call createCurrent(P_ZQ, P_WMinus, P_GQPlus, 5198, check)
    call createCurrent(P_ghZAnti, P_GMinus, P_Hh, P_ghWp, 5096, check)
    call createCurrent(P_GQPlus, P_Z, P_Hh, P_WQMinus, 598, check)
    call createCurrent(P_HPlus, P_G0, P_WMinus, P_Z, 9507, check)
    call createCurrent(P_HhQ, P_WMinus, P_Ha, P_WQPlus, 1014, check)
    call createCurrent(P_Hl, P_Hl, P_WPlus, P_WMinus, 4823, check)
    call createCurrent(P_t, P_HMinus, P_bAnti, 8171, check)
    call createCurrent(P_GMinus, P_A, P_Z, P_GPlus, 7300, check)
    call createCurrent(P_ghWp, P_Hh, P_GMinus, P_ghAAnti, 1272, check)
    call createCurrent(P_WQMinus, P_Ha, P_WPlus, P_HlQ, 7121, check)
    call createCurrent(P_GMinus, P_ghZ, P_ghWmAnti, P_Hl, 248, check)
    call createCurrent(P_ghA, P_HPlus, P_HMinus, P_ghZAnti, 2976, check)
    call createCurrent(P_ZQ, P_ePlus, P_eMinus, 2645, check)
    call createCurrent(P_GQ0, P_Hh, P_HPlus, P_GQMinus, 3919, check)
    call createCurrent(P_GMinus, P_HPlus, P_Hh, P_Hh, 8304, check)
    call createCurrent(P_GQPlus, P_Hl, P_Ha, P_HQMinus, 8751, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_WPlus, P_ghA, 2079, check)
    call createCurrent(P_G0, P_HPlus, P_ghWm, P_ghZAnti, 10431, check)
    call createCurrent(P_WQMinus, P_HPlus, P_ZQ, 6611, check)
    call createCurrent(P_HMinus, P_WPlus, P_Z, P_Ha, 4360, check)
    call createCurrent(P_ghWm, P_G0, P_ghWmAnti, P_GQ0, 2308, check)
    call createCurrent(P_Z, P_HPlus, P_Hh, P_WMinus, 1282, check)
    call createCurrent(P_AQ, P_A, P_GPlus, P_GQMinus, 4139, check)
    call createCurrent(P_GQMinus, P_GPlus, P_ZQ, 6997, check)
    call createCurrent(P_WPlus, P_WMinus, P_Z, P_Z, 6162, check)
    call createCurrent(P_ghWm, P_ghAAnti, P_HPlus, P_HaQ, 8512, check)
    call createCurrent(P_ghWp, P_G0, P_ghWpAnti, P_G0, 3119, check)
    call createCurrent(P_HaQ, P_G0, P_HlQ, 3918, check)
    call createCurrent(P_GPlus, P_ghZAnti, P_ghWm, P_Ha, 9448, check)
    call createCurrent(P_ghZ, P_ghZAnti, P_Hl, P_Hh, 8979, check)
    call createCurrent(P_ghAAnti, P_GPlus, P_ghWm, P_Hh, 469, check)
    call createCurrent(P_A, P_WMinus, P_HPlus, 162, check)
    call createCurrent(P_HPlus, P_GMinus, P_ghWpAnti, P_ghWp, 10419, check)
    call createCurrent(P_Ha, P_HMinus, P_G0, P_HPlus, 4804, check)
    call createCurrent(P_Ha, P_HPlus, P_ghA, P_ghWpAnti, 1407, check)
    call createCurrent(P_Z, P_Z, P_Hl, P_Hh, 9087, check)
    call createCurrent(P_HaQ, P_ghWm, P_Ha, P_ghWmAnti, 4928, check)
    call createCurrent(P_HPlus, P_Ha, P_ghZAnti, P_ghWm, 4918, check)
    call createCurrent(P_WPlus, P_WMinus, P_ghWm, P_ghWmAnti, 5286, check)
    call createCurrent(P_ghWm, P_HPlus, P_Ha, P_ghAAnti, 4832, check)
    call createCurrent(P_HMinus, P_GPlus, P_ghZ, P_ghZAnti, 10094, check)
    call createCurrent(P_ghWpAnti, P_ghWp, P_Z, P_Z, 1718, check)
    call createCurrent(P_ghWpAnti, P_ghA, P_Hl, P_GQPlus, 2861, check)
    call createCurrent(P_g, P_dAnti, P_d, 698, check)
    call createCurrent(P_ghWm, P_ghWmAnti, P_GQ0, 8039, check)
    call createCurrent(P_G0, P_Ha, P_Ha, P_G0, 6509, check)
    call createCurrent(P_ghWmAnti, P_ghA, P_Hh, P_HQMinus, 3250, check)
    call createCurrent(P_ghAAnti, P_Hl, P_ghWm, P_GPlus, 4017, check)
    call createCurrent(P_HPlus, P_ghZAnti, P_ghWm, P_G0, 8850, check)
    call createCurrent(P_ghZAnti, P_HPlus, P_ghWm, P_HaQ, 5816, check)
    call createCurrent(P_HaQ, P_Hh, P_GPlus, P_HQMinus, 6519, check)
    call createCurrent(P_GQPlus, P_Ha, P_HMinus, P_HhQ, 5392, check)
    call createCurrent(P_ghWp, P_G0, P_GMinus, P_ghZAnti, 8795, check)
    call createCurrent(P_Ha, P_ghWmAnti, P_HMinus, P_ghA, 7337, check)
    call createCurrent(P_G0, P_Z, P_G0, P_A, 9208, check)
    call createCurrent(P_ghWp, P_ghAAnti, P_HMinus, P_Ha, 2070, check)
    call createCurrent(P_GPlus, P_WPlus, P_WMinus, P_HMinus, 9163, check)
    call createCurrent(P_ghWp, P_Hl, P_ghWpAnti, P_Hl, 90, check)
    call createCurrent(P_GMinus, P_Hl, P_G0, P_HPlus, 7144, check)
    call createCurrent(P_WPlus, P_Z, P_GMinus, P_Hl, 696, check)
    call createCurrent(P_Hl, P_Hh, P_Hh, P_Hl, 958, check)
    call createCurrent(P_ghZ, P_ghAAnti, P_GPlus, P_GMinus, 3578, check)
    call createCurrent(P_GQ0, P_GPlus, P_GMinus, P_HaQ, 3652, check)
    call createCurrent(P_HhQ, P_GMinus, P_WPlus, P_ZQ, 4421, check)
    call createCurrent(P_HhQ, P_ghWm, P_GPlus, P_ghZAnti, 3669, check)
    call createCurrent(P_ghWp, P_GMinus, P_ghAAnti, P_HlQ, 5070, check)
    call createCurrent(P_GPlus, P_ghAAnti, P_ghA, P_GMinus, 7711, check)
    call createCurrent(P_WMinus, P_GPlus, P_Z, P_G0, 8759, check)
    call createCurrent(P_HaQ, P_HPlus, P_GMinus, P_HaQ, 6044, check)
    call createCurrent(P_ghAAnti, P_ghZ, P_GPlus, P_HMinus, 10322, check)
    call createCurrent(P_HhQ, P_HMinus, P_GQPlus, 2590, check)
    call createCurrent(P_A, P_HMinus, P_G0, P_WPlus, 9110, check)
    call createCurrent(P_ghZ, P_Hh, P_ghWmAnti, P_HQMinus, 6276, check)
    call createCurrent(P_GQPlus, P_GMinus, P_ghWm, P_ghWmAnti, 5544, check)
    call createCurrent(P_HaQ, P_Hl, P_HPlus, P_GQMinus, 6904, check)
    call createCurrent(P_HPlus, P_Ha, P_GMinus, P_Hl, 1317, check)
    call createCurrent(P_ghZAnti, P_GPlus, P_ghA, P_HMinus, 8892, check)
    call createCurrent(P_HQPlus, P_Z, P_HMinus, P_ZQ, 7213, check)
    call createCurrent(P_G0, P_HMinus, P_Ha, P_HPlus, 3939, check)
    call createCurrent(P_Hl, P_Hh, P_GMinus, P_GPlus, 1769, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_GMinus, 1319, check)
    call createCurrent(P_HhQ, P_ghZ, P_GPlus, P_ghWpAnti, 784, check)
    call createCurrent(P_WQMinus, P_Ha, P_HPlus, P_AQ, 6122, check)
    call createCurrent(P_GQMinus, P_ghZ, P_G0, P_ghWmAnti, 8618, check)
    call createCurrent(P_HMinus, P_ghZ, P_GPlus, P_ghAAnti, 10341, check)
    call createCurrent(P_HaQ, P_G0, P_HPlus, P_HQMinus, 8768, check)
    call createCurrent(P_GQPlus, P_b, P_tAnti, 4008, check)
    call createCurrent(P_Hl, P_Hl, P_HMinus, P_HPlus, 2257, check)
    call createCurrent(P_HMinus, P_ghZ, P_ghWmAnti, P_Hl, 6279, check)
    call createCurrent(P_GPlus, P_HMinus, P_ghZ, P_ghZAnti, 9233, check)
    call createCurrent(P_HMinus, P_G0, P_HPlus, P_G0, 5572, check)
    call createCurrent(P_ghZ, P_GMinus, P_HPlus, P_ghAAnti, 9553, check)
    call createCurrent(P_Hh, P_G0, P_HMinus, P_GPlus, 1006, check)
    call createCurrent(P_HhQ, P_ghAAnti, P_HPlus, P_ghWm, 3065, check)
    call createCurrent(P_muMinus, P_muPlus, P_Z, 6234, check)
    call createCurrent(P_ZQ, P_G0, P_WPlus, P_GQMinus, 6278, check)
    call createCurrent(P_uAnti, P_d, P_WQPlus, 3316, check)
    call createCurrent(P_ghA, P_ghWpAnti, P_HPlus, P_Ha, 3802, check)
    call createCurrent(P_ghAAnti, P_Z, P_WMinus, P_ghWp, 3497, check)
    call createCurrent(P_ghA, P_HMinus, P_ghWmAnti, P_Hh, 7363, check)
    call createCurrent(P_HQMinus, P_HPlus, P_ghZAnti, P_ghA, 1493, check)
    call createCurrent(P_Hh, P_G0, P_HPlus, P_HMinus, 9888, check)
    call createCurrent(P_HlQ, P_Z, P_Z, P_HlQ, 8717, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_WMinus, P_WQPlus, 3135, check)
    call createCurrent(P_ZQ, P_HPlus, P_WQMinus, 6051, check)
    call createCurrent(P_HaQ, P_GMinus, P_G0, P_HQPlus, 2454, check)
    call createCurrent(P_WQPlus, P_WMinus, P_ghZ, P_ghZAnti, 4831, check)
    call createCurrent(P_Hl, P_ghWpAnti, P_ghZ, P_GPlus, 4337, check)
    call createCurrent(P_WMinus, P_WMinus, P_WPlus, P_WPlus, 5988, check)
    call createCurrent(P_G0, P_HPlus, P_Hh, P_HMinus, 10447, check)
    call createCurrent(P_b, P_bAnti, P_ZQ, 4707, check)
    call createCurrent(P_tAnti, P_t, P_Hh, 4948, check)
    call createCurrent(P_ghWmAnti, P_ghWm, P_Hh, P_Hl, 9213, check)
    call createCurrent(P_c, P_WMinus, P_sAnti, 5107, check)
    call createCurrent(P_HaQ, P_G0, P_Hh, P_HlQ, 3739, check)
    call createCurrent(P_GPlus, P_Ha, P_ghZ, P_ghWpAnti, 9594, check)
    call createCurrent(P_GMinus, P_GPlus, P_Hh, P_Hh, 4283, check)
    call createCurrent(P_ghZAnti, P_HMinus, P_ghA, P_HPlus, 5090, check)
    call createCurrent(P_GMinus, P_ghWmAnti, P_Hl, P_ghZ, 2495, check)
    call createCurrent(P_GPlus, P_GMinus, P_Z, P_A, 5034, check)
    call createCurrent(P_ghWpAnti, P_WPlus, P_Z, P_ghA, 2565, check)
    call createCurrent(P_Ha, P_Ha, P_A, P_Z, 10038, check)
    call createCurrent(P_GQ0, P_GPlus, P_GMinus, P_GQ0, 4753, check)
    call createCurrent(P_GQ0, P_G0, P_ghWmAnti, P_ghWm, 4795, check)
    call createCurrent(P_HlQ, P_Ha, P_Hh, P_HaQ, 2985, check)
    call createCurrent(P_Hh, P_Hl, P_G0, P_G0, 2420, check)
    call createCurrent(P_g, P_Hl, P_Hl, P_g, 10577, check)
    call createCurrent(P_G0, P_Hl, P_GPlus, P_HMinus, 1100, check)
    call createCurrent(P_GMinus, P_G0, P_ghAAnti, P_ghWp, 2567, check)
    call createCurrent(P_Z, P_GPlus, P_A, P_HMinus, 9974, check)
    call createCurrent(P_HQPlus, P_Ha, P_Z, P_WQMinus, 903, check)
    call createCurrent(P_ghWpAnti, P_ghZ, P_HPlus, P_Hh, 8437, check)
    call createCurrent(P_GQMinus, P_HPlus, P_GPlus, P_GQMinus, 1765, check)
    call createCurrent(P_G0, P_HMinus, P_ghWmAnti, P_ghZ, 9972, check)
    call createCurrent(P_WQMinus, P_Z, P_Hl, P_HQPlus, 3699, check)
    call createCurrent(P_HhQ, P_GMinus, P_Ha, P_GQPlus, 3559, check)
    call createCurrent(P_HQPlus, P_GMinus, P_Hl, P_HlQ, 7233, check)
    call createCurrent(P_GQMinus, P_GMinus, P_GPlus, P_GQPlus, 4475, check)
    call createCurrent(P_ghAAnti, P_G0, P_HMinus, P_ghWp, 9068, check)
    call createCurrent(P_G0, P_ePlus, P_eMinus, 610, check)
    call createCurrent(P_ghAAnti, P_WPlus, P_A, P_ghWm, 1039, check)
    call createCurrent(P_HPlus, P_ghZ, P_ghAAnti, P_GMinus, 10237, check)
    call createCurrent(P_HlQ, P_Ha, P_ghWmAnti, P_ghWm, 2737, check)
    call createCurrent(P_HPlus, P_Ha, P_HMinus, P_Hl, 10203, check)
    call createCurrent(P_GPlus, P_Z, P_HMinus, P_Z, 9445, check)
    call createCurrent(P_ghA, P_Hh, P_ghWpAnti, P_HPlus, 3328, check)
    call createCurrent(P_ghZ, P_ghWmAnti, P_Hh, P_GQMinus, 6096, check)
    call createCurrent(P_ghZ, P_Hh, P_ghZAnti, P_Hl, 9857, check)
    call createCurrent(P_AQ, P_GMinus, P_GPlus, P_AQ, 3266, check)
    call createCurrent(P_g, P_HMinus, P_GPlus, P_g, 10551, check)
    call createCurrent(P_WQMinus, P_ghZAnti, P_ghWp, 4906, check)
    call createCurrent(P_Ha, P_WPlus, P_HMinus, P_A, 2143, check)
    call createCurrent(P_ghWmAnti, P_Hl, P_ghZ, P_HQMinus, 1373, check)
  end subroutine fill_current_4
end module currents_info4
